
# Semicontinuous topologies
* table of contents
{: toc}

## Idea

The (lower or upper) semicontinuous topology is a [[topological structure|topology]] on the [[real line]] (or a generalization thereof) such that a [[continuous function]] (from some [[topological space]] $X$) to the real line equipped with this semicontinuous topology is the same thing as a (lower or upper) [[semicontinuous map]] from $X$ to the real line.

Thus one replaces discussion of semicontinuous maps with continuous maps by using a different topological structure.


## Definition

Let $R$ be any [[linear order]]; think of the [[real line]] with its usual order.  For each [[element]] $a$ of $R$, consider the [[subsets]]

$$ L_a \coloneqq \{ x \in R \;|\; x \gt a \} ,$$
$$ R_a \coloneqq \{ x \in R \;|\; x \lt a \} .$$

+-- {: .num_defn}
###### Definitions

The __lower semicontinuous topology__ on $R$ is generated by the [[topological base|base]] (of open sets) given by the sets $L_a$; the __upper semicontinuous topology__ on $R$ is generated by the [[topological base|base]] (of open sets) given by the sets $U_a$.
=--

(more to come)


## References

To read later:

* Li Yong-ming and Wang Guo-jun, Localic Katětov–Tong insertion theorem and localic Tietze extension theorem, [pdf](http://www.kurims.kyoto-u.ac.jp/EMIS/journals/CMUC/pdf/cmuc9704/yong.pdf).
  {#LiWang}

* Gutiérrez García and Jorge Picado, On the algebraic representation of semicontinuity, [doi](http://dx.doi.org/10.1016/j.jpaa.2006.09.004).
  {#GarciaPicado}


[[!redirects semicontinuous topology]]
[[!redirects semicontinuous topologies]]
[[!redirects semi-continuous topology]]
[[!redirects semi-continuous topologies]]

[[!redirects lower semicontinuous topology]]
[[!redirects lower semicontinuous topologies]]
[[!redirects lower semi-continuous topology]]
[[!redirects lower semi-continuous topologies]]

[[!redirects upper semicontinuous topology]]
[[!redirects upper semicontinuous topologies]]
[[!redirects upper semi-continuous topology]]
[[!redirects upper semi-continuous topologies]]
