

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

In the broad sense of the word _constructive quantum field theory_ refers to the mathematically rigorous construction of full (i.e. [[non-perturbative quantum field theory|non-perturbative]]) [[quantum field theories]]. More specifically the term has come to be used mainly for attempts to rigorously construct [[path integral]] [[measures]] for [[Wick rotation|Wick rotated]] Euclidean field theories on [[Minkowski spacetime]] ([Jaffe](#Jaffe)). This approach has led to a construction of [[scalar field theory]] in spacetime dimension 3, and Yang-Mills theory on a four-dimensional torus.

While a mathematically rigorous construction of [[perturbative quantum field theory]] is given by [[causal perturbation theory]]/[[perturbative AQFT]], construction of [[non-perturbative quantum field theories]] has remained by and large elusive, except for toy example of [[free field theories]] or low [[spacetime]] [[dimension]] (e.g. [[2d CFTs]] or [[scalar field theory]] in 3d) or [[topological quantum field theories]]. In fact the non-perturbative [[quantization of Yang-Mills theory]]([[QCD]]) in 4d is listed as one of the open "Millenium Problems" by the Clay Mathematics Institute.

It might be noteworthy that for the established rigorous construction of [[perturbative QFT]] via [[causal perturbation theory]]/[[perturbative AQFT]] a) the [[path integral]] or any [[measures]] that could go with it plays no role at all (instead the [[causal additivity]] of the [[S-matrix]] is axiomatized directly) and b) the construction is a [[formal deformation quantization]] ([Collini 16](perturbative+quantum+field+theory#Collini16)). This might suggest that rigorous construction of [[non-perturbative quantum field theory]] ought to analogously proceed via [[strict deformation quantization]].


## Related concepts

* [[AQFT]], [[FQFT]]

## References

Review includes

* {#Jaffe} [[Arthur Jaffe]], _Constructive quantum field theory_ ([pdf](http://www.arthurjaffe.com/Assets/pdf/CQFT.pdf))

* Stephen J. Summers, _A Perspective on Constructive Quantum Field Theory_ ([arXiv:1203.3991](http://arxiv.org/abs/1203.3991))

Discussion specifically of [[path integrals]] includes

* [[James Glimm]], [[Arthur Jaffe]], _[[Quantum physics -- A functional integral point of view]]_,  535 pages, Springer

* Simon, _Functional Integration in Quantum Physics_ (AMS, 2005)

* [[Sergio Albeverio]], Raphael H&#248;egh-Krohn, Sonia Mazzucchi. _Mathematical theory of Feynman path integrals - An Introduction_, 2 nd corrected and enlarged edition,
Lecture Notes in Mathematics, Vol. 523. Springer, Berlin, 2008 ([ZMATH](href="http://www.zentralblatt-math.org/zmath/en/advanced/?q=an:pre05233292&format=complete))

* Sonia Mazzucchi, _Mathematical Feynman Path Integrals and Their Applications_,
World Scientific, Singapore, 2009.

* Magnen, Rivasseau, Seneor, _Construction of YM4 with an infrared cutoff_ ([CMP] (https://projecteuclid.org/euclid.cmp/1104253284)) 

Discussion of the problem of [[quantization of Yang-Mills theory]] from the point of view of constructive field theory is in 

* Sourav Chatterjee, _Yang-Mills for probabilists_ ([arXiv:1803.01950](https://arxiv.org/abs/1803.01950))

[[!redirects constructive QFT]]
[[!redirects constructive field theory]]