
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### $\infty$-Lie theory
+--{: .hide}
[[!include infinity-Lie theory - contents]]
=--
=--
=--

# $n$-Lie algebras #
* table of contents
{: toc}


## Idea

An **$n$-Lie algebra** is defined to be an algebraic structure which

* looks formally like the special case of an $L_\infty$-[[L-infinity-algebra|algebra]] for which only the $n$-ary bracket $D_n$ is non-vanishing (see there);

* _but_ without necessarily the grading underlying an $L_\infty$-algebra, and in particular without the requirement that $D_n$ be of homogeneous degree $-1$ in any grading.

Therefore, any "$n$-Lie algebras" that appear in the literature are **not** examples of _[[Lie n-algebras]]_, hence of  _[[L-∞ algebras]]_.
(So in particular $n$-Lie algebras in this sense in general don't integrate to [[Lie infinity-groupoids]] via the usual [[Lie theory]]. )

Instead, at least certain "3-Lie algebras" can be understood as encoding structure in [[Lie 2-algebras]] equipped with a binary [[invariant polynomial]] ([Saemann-Ritter 13, section 2.5](#SaemannRitter13)).

## Related concepts

* [[higher Poisson bracket]]

  * [[Nambu bracket]]

* [[membrane matrix model]]

* [[BLG model]]


## References

### Original

A discussion of $n$-Lie algebras (without the $L_\infty$-grading) is in

* v. T. Filippov, _$n$-Lie algebras_, Sib. Math. Zh. No 6 126--140 (195)

* v. T. Filippov, _On the $n$-Lie algebra of Jacobians_, Sibirsk. Mat. Zh., 1998, Volume 39, Number 3, Pages 660–669 ([English translation](http://link.springer.com/article/10.1007%2FBF02673915))

* A. S. Dzhumadil’daev, _Wronskians as $n$-Lie multiplications_ ([arXiv:math/0202043](http://arxiv.org/abs/math/0202043))

Similar (but different) discussion is in 
    
* P. Hanlon, M. Wachs, _On Lie k-Algebras_, Advances in Mathematics Volume 113, Issue 2, July 1995, Pages 206–236

* [[José de Azcárraga]], J. C. Perez Bueno, _Higher-order simple Lie algebras_, ([arXiv:hep-th/9605213](http://arxiv.org/abs/hep-th/9605213))


### Re-inventions

The notion of $n$-Lie algebras, for $n=3$, was re-invented by string physicists in the [[BLG model]]

* [[Jonathan Bagger]], [[Neil Lambert]], _Gauge Symmetry and Supersymmetry of Multiple M2-Branes_ ([arXiv](http://arxiv.org/abs/0711.0955))

which sparked a tremendous amount of [activity](http://people.physik.hu-berlin.de/~ahoop08/klose.pdf). 


See the blog entry

* [Lie 3-Algebras on the Membrane](http://golem.ph.utexas.edu/category/2008/11/linfinity_algebras_on_the_memb.html)

for further details and links. And see this blog discussion

* [3-Algebra and Chern-Simons terms](http://golem.ph.utexas.edu/category/2009/03/twisted_differential_string_an.html#c022696)

for discussion about the relation to proper $L_\infty$-algebraic formalism.

Further re-inventions of the concept of $n$-Lie algebras in this context are appearing. For instance in 

* Tamar Friedman, _Orbifold singularities, the LATKe, and Yang-Mills with Matter_ ([arXiv](http://arxiv.org/abs/0806.0024))

### As metric Lie $n$-algebras
 {#ReferencesAsMetricLienAlgebras}

An interpretation of $3$-Lie algebras as [[Lie 2-algebras]] equipped with a binary [[invariant polynomial]] ("metric Lie 2-algebras") is due to 

* Sam Palmer, [[Christian Saemann]], section 2 of _M-brane Models from Non-Abelian Gerbes_, JHEP 1207:010, 2012 ([arXiv:1203.5757](http://arxiv.org/abs/1203.5757))
  
based on a result in

* {#MFFMER08} Paul de Medeiros, [[José Figueroa-O'Farrill]], [[Elena Méndez-Escobar]], [[Patricia Ritter]], _On the Lie-algebraic origin of metric 3-algebras_, Commun.Math.Phys.290:871-902,2009 ([arXiv:0809.1086](http://arxiv.org/abs/0809.1086))

and reviewed in 

* {#SaemannRitter13} [[Patricia Ritter]], [[Christian Saemann]], section 2.5 of _Lie 2-algebra models_, JHEP 04 (2014) 066 ([arXiv:1308.4892](http://arxiv.org/abs/1308.4892))

* {#Saemann16} [[Christian Saemann]], appendix A of _Lectures on Higher Structures in M-Theory_ ([arXiv:1609.09815](https://arxiv.org/abs/1609.09815))

See also 

* [[José Figueroa-O'Farrill]], section _Triple systems and Lie superalgebras_ in _M2-branes, ADE and Lie superalgebras_, talk at IPMU 2009 ([pdf](http://www.maths.ed.ac.uk/~jmf/CV/Seminars/Hongo.pdf))



[[!redirects n-Lie algebras]]

[[!redirects 3-Lie algebra]]
[[!redirects 3-Lie algebras]]