
#Contents#
* table of contents
{:toc}

## Idea

A [[holomorphic line bundle]] on a [[complex manifold]] is called _positive_ if its [[curvature]] [[differential 2-form]] is, after multiplication with $i = \sqrt{-1}$, a positive definite $(1,1)$-form.


## Properties

### Relation to ample line bundles

The [[Kodaira embedding theorem]] implies that a positive line bundle is an [[ample line bundle]] and conversely that any ample line bundle admits a Hermitean metric that makes it a positive line bundle.


### Sheaf cohomology of a positive line bundle

The _[[Kodaira vanishing theorem]]_ for [[complex geometry]] says that if $X$ is a [[Kähler manifold]] and $L$ a [[holomorphic line bundle]] on $X$ which is positive, then the [[abelian sheaf cohomology]] of $X$ with [[coefficients]] in the sheaf of [[sections]] of the [[tensor product]] 

$$
  \Omega^{n,0}_X(L) \simeq L \otimes \Omega^{n,0}_X
$$ 

with the [[canonical line bundle]] $\Omega^{n,0}_X$ is concentrated in degree 0:

$$
  (L \; positive)
  \;\;\Rightarrow\;\;
  H^{\bullet \geq 1}(X, \Omega^{n,0}_X(L))
  = 0
  \,.
$$


## Related concepts

* When a [[prequantum line bundle]] is positive, then traditional [[geometric quantization]] with [[Kähler polarization]] coincides with [[geometric quantization by push-forward]], see [this remark](geometric+quantization#SectionsAndEulerQuantizationCoincidesOnPositiveBundles).

* [[stable vector bundle]], 

## References

* Wikipedia, _[Positive line bundle](http://en.wikipedia.org/wiki/Positive_form#Positive_line_bundles)_

* [[Kefeng Liu]], Xiaofeng Sun, Xiaokui Yang, _Positivity and vanishing theorems for ample vector bundles_ ([arXiv:1006.1465](http://arxiv.org/abs/1006.1465))


[[!redirects positive line bundles]]
