
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
#### Fields and quanta
+--{: .hide}
[[!include fields and quanta - table]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

In [[perturbation theory]] (in [[QFT]]) a _tachyon_ is an excitation/[[particle]] with _negative [[mass]] squared_, hence technically with [[imaginary number|imaginary]] mass.

Since the masses of particles in [[perturbation theory]] give the second derivative of the background potential energy at the point about which the [[perturbation series]] is developed, a tachyon in the spectrum indicates that the [[perturbation theory]] is set up about an _unstable_ [[vacuum]].

They [[dynamics]] of a tachyon will hence make it form a [[condensate]] at an actual local [[potential energy]] [[minimum]]. Once there it is no longer a tachyon, but a genuine [[particle]] excitation ("tachyon decay").

## Examples

### In bosonic string theory

The excitation of the [[open string]] in [[bosonic string theory]] famously contains a tachyon mode. By [[Sen's conjecture]] this indicates the instability of the space-filling [[D25-brane]] on which the ends of the open bosonic string propagate. Using [[string field theory]] to get a [[non-perturbative field theory|non-perturbative]] description of the situation one can follow the decay of the [[D25-brane]] to the "true" (stable) open [[bosonic string theory]] [[vacuum]]. (Where however analysis shows that this no longer contains open string excitations, so it is maybe better called a closed string vacuum.) See at _[[Sen's conjecture]]_ for more.

The fate of the [[closed string|closed]] bosonic string tachyon is more subtle. But see the [references below](#ReferencesInStringTheory).

### In superstring theory

Similarly in [[superstring theory]] [[open string]] states between [[brane]]/[[anti-brane]] pairs can be tachyonic, signallying the decay of these brane configurations.

(...)

## Related concepts

* **[[vacuum]]**

  * [[vacuum state]], [[Hadamard state]]

  * [[interacting vacuum]]

  * [[vacuum expectation value]], [[vacuum amplitude]], [[vacuum fluctuation]]

  * [[vacuum energy]]

  * [[vacuum diagram]]

  * [[vacuum stability]]

  * [[false vacuum]], [[tachyon]], [[Coleman-De Luccia instanton]]

  * [[theta vacuum]]

  * [[perturbative string theory vacuum]]

  * [[landscape of string theory vacua]]


* [[field (physics)]]

* [[inflaton field]]

## References

### General

* Wikipedia, _[Tachyon](http://en.wikipedia.org/wiki/Tachyon)_

### In string theory
 {#ReferencesInStringTheory}

In addition to the open string tachyon [[condensation]] discussed in the references at _[[Sen's conjecture]]_, there is also work on the closed string tachyon [[condensation]] in the following articles.

* A. Adams, [[Joseph Polchinski]] and [[Eva Silverstein]], _Don't panic! Closed string tachyons in ALE space-times,_ JHEP 0110 (2001) 029 ([arXiv:hep-th/0108075](http://arxiv.org/abs/hep-th/0108075)).

* R. Rabadan and J. Simon, _M theory lift of brane anti-brane systems and localized closed string tachyons_, JHEP 0205 (2002) 045 ([arXiv:hep-th/0203243](http://arxiv.org/abs/hep-th/0203243)).

* [[Ángel Uranga]], _Localized instabilities at conifolds_, ([arXiv:hep-th/0204079](http://arxiv.org/abs/hep-th/0204079)).

* Shin Nakamura, _Closed-string Tachyon Condensation and the On-shell Effective Action of Open-string Tachyons_,  	Prog.Theor.Phys. 106 (2001) 989-1016, ([arXiv:hep-th/0105054](http://arxiv.org/abs/hep-th/0105054))

The following articles specifically identify closed string tachyon condensation as the disappearing of [[dimensions]] of [[spacetime]].


* Simeon Hellerman, X. Liu, _Dynamical dimension change in supercritical string theory_, JHEP0709:096,2007
([hep-th/0409071](http://arxiv.org/abs/hep-th/0612051))

* Simeon Hellerman, Ian Swanson, _Dimension-changing exact solutions of string theory_, JHEP0709:096,2007 ([arXiv:hep-th/0612051](http://arxiv.org/abs/hep-th/0612051))

* Mikel Berasaluce-Gonz&#225;lez, Miguel Montero, Ander Retolaza, [[Ángel Uranga]], _Discrete gauge symmetries from (closed string) tachyon condensation_ ([arXiv:1305.6788](http://arxiv.org/abs/1305.6788))


[[!redirects tachyons]]

[[!redirects tachyon field]]
[[!redirects tachyon fields]]

[[!redirects tachyon condensation]]
[[!redirects tachyon condensations]]
