
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

In [[chromatic homotopy theory]] the _redshift conjecture_ is a [[conjecture]] about the nature of the [[algebraic K-theory]] spectrum $K(R)$ of an [[E-infinity ring]] $R$. Roughly, its say that $K(R)$ has [[chromatic level]] one higher than $R$ has.

The conjecture was originally formulated by [[John Rognes]] ([Rognes 99](#Rognes99), [Rognes 00](#Rognes00)).


## Related concepts

* [[BDR 2-vector bundle]]

[[!include chromatic tower examples - table]]

## References

The conjecture originates with

* {#Rognes99} [[John Rognes]], _Algebraic K-theory of finitely presented ring spectra_, lecture at Schloss Ringberg, Germany, January 1999 ([pdf](http://folk.uio.no/rognes/papers/red-shift.pdf))

* {#Rognes00} [[John Rognes]], _Algebraic K-theory of finitely presented ring spectra_, Oberwolfach talk September 2000 (OWF abstract [pdf](http://oda.mfo.de/show/mfo/oda/Vortragsbuch/800/E20_00127/VB_SE20_00127_N126_P034.jpg))

The conjecture appears published in

* [[Christian Ausoni]], [[John Rognes]], _The chromatic red-shift in algebraic K-theory_, Enseign. Math. (2) 54 (2008), 9-11. ([pdf](http://www.math.univ-paris13.fr/~ausoni/papers/gmconj-AR.pdf))

An outlook as of 2013 is in

* [[Tyler Lawson]], in section 3 of _The future_, Talbot lectures 2013 ([pdf](http://math.mit.edu/conferences/talbot/2013/19-Lawson-thefuture.pdf))

Previous work motivating the conjecture was the study of the [[algebraic K-theory]] $K(KU)$ of the [[complex K-theory spectrum]] $KU$ (also thought of as the [[classifying space]] for [[BDR 2-vector bundles]]) in 

* {#BaasDundasRognes07} [[Nils Baas]], [[Bjørn Dundas]], [[Birgit Richter]], [[John Rognes]], _Ring completion of rig categories_ ([arXiv:0706.0531](http://arxiv.org/abs/0706.0531))

which was motivated by the desire to turn [[topological K-theory]] into "a form of" [[elliptic cohomology]] by a kind of [[categorification]].

See also

* [[Christian Ausoni]], _On the algebraic K-theory of the complex K-theory spectrum_ ([arXiv:0902.2334](http://arxiv.org/abs/0902.2334))

[[!redirects red shift conjecture]]
[[!redirects redshift conjecture]]
