
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Operator algebra
+-- {: .hide}
[[!include AQFT and operator algebra contents]]
=--
#### Noncommutative geometry
+-- {: .hide}
[[!include noncommutative geometry - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

The generalization of the process of [[one-point compactification]] of possibly non-[[compact topological space|compact]] [[topological spaces]] from [[topology]] to [[non-commutative topology]] is the process of adding units to possibly [[non-unital ring|non-unital]] [[C*-algebras]], thought of as formal duals of non-commutative spaces in [[noncommutative topology]].


## Definition

+-- {: .num_defn}
###### Definition

For $ (A, {\Vert \cdot \Vert_{A}}) $ a non-[[unital algebra|unital]] [[C*-algebra]], its **[[unitisation]]** is the $ C^{\ast} $-algebra whose underlying vector space is the [[direct sum]]

$$
A^{+} \coloneqq A \oplus \mathbb{C}
$$

of $ A $ with the field of [[complex numbers]], equipped with the multiplication law

$$
          (a_{1} \oplus z_{1}) \cdot (a_{2} \oplus z_{2})
\coloneqq (a_{1} a_{2} + z_{2} a_{1} + z_{1} a_{2}) \oplus z_{1} z_{2},
$$

and the [[involution]]

$$
(a \oplus z)^\ast \coloneqq a^{\ast} \oplus \overline{z}
$$

([[complex conjugation]] is taking place on the right). This really is a $C^\ast$-algebra. The [[norm]] can be characterised as

$$
          {\Vert a \oplus z \Vert}_{A^{+}}
= {\Vert L_{a} + z \cdot \operatorname{Id}_{A} \Vert}_{\mathcal{B}(A)}
\coloneqq \sup_{b \in A, \Vert b \Vert_{A} \leq 1} \Vert a b + z b \Vert_{A}.
$$

if $A$ does not have a multiplicative unit. (Note that the operatornorm vanishes on $1_A\oplus -1_{\mathbb{C}}$ if $A$ does have a multiplicative unit). For $C^\ast$-algebras with a multiplicative unit one can show that the norm equals
$$\Vert a\oplus z \Vert_{A^+} = \max\{\|a+z1_A\|,|z|\}$$

=--


## Examples

+-- {: .num_example #UnitisationGivesOnePointCompactification}
###### Example

For $X$ a [[locally compact topological space|locally compact]] [[Hausdorff topological space]] and $C(X)$ its possibly non-unital [[C*-algebra]] [[algebra of functions|of functions]], then

$$
  (C_0(X))^+ \simeq C_0(X) \oplus \mathbb{C} \simeq C(X^+)
$$

this is equivalently the unital $C^\ast$-algebra of functions on the [[one-point compactification]] of $X$.

There is hence a canonical projection

$$
  i^\ast \colon C(X^+) \to \mathbb{C}
$$

The [[topological K-theory]] of $X$ is the [[kernel]] of the induced map in [[operator K-theory]]

$$
  K(X) \simeq ker(i^\ast) \simeq K(C_0(X))
  \,.
$$

=--


## Properties

### The point at infinity

+-- {: .num_remark #DualPointInclusion}
###### Remark

The unitisation of $A$ comes with a canonical [[projection]] [[homomorphism]] of [[C*-algebras]]

$$
  i^\ast_A \colon A^+ \to \mathbb{C}
$$

given by

$$
 (a + z) \mapsto z
  \,.
$$

Dually this corresponds to the inclusion of the "point at infinity".

=--

### K-theory with compact support on non-unital $C^\ast$-algebras

The map $i^\ast_A \colon A^+ \to \mathbb{C}$ of remark \ref{DualPointInclusion} induces a [[homomorphism]] of [[operator K-theory]] [[groups]] of the form

$$
  K(i^\ast_A) \colon K(A^+) \to K(\mathbb{C}) \simeq \mathbb{Z}
  \,.
$$

+-- {: .num_defn}
###### Definition

The [[kernel]] of this map is the operator K-theory of the original possibly non-unital $C^\ast$-algebra $A$:

$$
  K(A) \coloneqq ker(K(i^\ast_A))
 \,.
$$

=--


Heuristically it is clear that this is the "compactly suppported" K-theory of the possibly non-compact non-commutative space given by the algebra $A$. This statement has been made precise for instance in ([Emerson 07](#Emerson07), theorem 3.8)):

+-- {: .num_prop}
###### Proposition

For $X$ a [[locally compact topological space|locally compact]] [[Hausdorff topological space]],  there is a [[natural isomorphism]]

$$
  K(X) \simeq [X,Fred]_{cs}
  \,,
$$

where on the right we [[homotopy classes]] of maps of [[compact support]] into the [[classifying space]] for K-theory (space of Fredholm operators).

=--


## References

* [[Heath Emerson]], _Equivariant representable K-theory_ ([arXiv:0710.1410](http://arxiv.org/abs/0710.1410))
 {#Emerson07}


[[!redirects unitization of a C*-algebra]]
[[!redirects unitization of C*-algebras]]
[[!redirects unitizations of C*-algebras]]
[[!redirects unitisation of a C*-algebra]]
[[!redirects unitisation of C*-algebras]]
[[!redirects unitisations of C*-algebras]]
[[!redirects unitization of a C-star algebra]]
[[!redirects unitization of C-star algebras]]
[[!redirects unitizations of C-star algebras]]
[[!redirects unitisation of a C-star algebra]]
[[!redirects unitisation of C-star algebras]]
[[!redirects unitisations of C-star algebras]]
[[!redirects unitization of a C-star-algebra]]
[[!redirects unitization of C-star-algebras]]
[[!redirects unitizations of C-star-algebras]]
[[!redirects unitisation of a C-star-algebra]]
[[!redirects unitisation of C-star-algebras]]
[[!redirects unitisations of C-star-algebras]]
