
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Quantum field theory
+--{: .hide}
[[!include functorial quantum field theory - contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea
 {#Idea}

Despite its fundamental role in the [[standard model of particle physics]], various details of the [[non-perturbative quantum field theory|non-perturbative]] [[quantization]] of the class of [[field theories]] known as [[Yang-Mills theory]] for [[non-abelian group|non-abelian]] [[gauge group]] (such as [[QCD]] but not [[QED]]) are still open, such as derivations of the phenomena 

* [[quark]] [[confinement]]

and notably

* the [[mass gap problem]], the question of why the [[bound states]] of massless [[quarks]] ([[hadrons]]) have [[mass]]


From [Jaffe-Witten](#JaffeWitten):

> By the 1950s, when Yang–Mills theory was discovered, it was already known that the [[quantum field theory|quantum version]] of [[electromagnetism|Maxwell theory]] -- known as [[quantum electrodynamics|Quantum Electrodynamics]] or QED -- gives an extremely accurate account of [[electromagnetic fields]] and [[Lorentz force|forces]]. In fact, QED improved the accuracy for certain earlier quantum theory predictions by several orders of magnitude, as well as predicting new splittings of energy levels. 

> So it was natural to inquire whether [[non-abelian group|non-abelian]] [[gauge theory]] described other [[forces]] in [[observable universe|nature]], notably the [[weak nuclear force|weak force]] (responsible among other things for certain forms of radioactivity) and the [[strong nuclear force|strong or nuclear force]] (responsible among other things for the binding of [[protons]] and [[neutrons]] into nuclei). The massless nature of [[classical field theory|classical]] Yang–Mills waves was a serious obstacle to applying Yang–Mills theory to the other forces, for the [[weak nuclear force|weak]] and [[strong nuclear force|nuclear forces]] are short range and many of the particles are massive. Hence these phenomena did not appear to be associated with long-range fields describing massless particles.

> In the 1960s and 1970s, physicists overcame these obstacles to the physical interpretation of non-abelian gauge theory. In the case of the weak force, this was accomplished by the Glashow–Salam–Weinberg [[electroweak theory]]  with gauge group $H = $ [[special unitary group|SU(2)]] $\times$ [[circle group|U(1)]]. By elaborating the theory with an additional "[[Higgs field]]", one avoided the massless nature of [[classical field theory|classical]] Yang–Mills waves. The [[Higgs field]] transforms in a two-dimensional [[representation]] of $H$; its non-zero and approximately constant value in the [[vacuum state]] reduces the [[structure group]] from $H$ to a $U(1)$ [[subgroup]] ([[diagonal|diagonally]] embedded in $SU(2) \times U(1)$. This [[theory (physics)|theory]] describes both the [[electromagnetism|electromagnetic]] and [[weak nuclear force|weak forces]], in a more or less unified way; because of the reduction of the structure group to $U(1)$, the long-range fields are those of [[electromagnetism]] only, in accord with what we see in [[observable universe|nature]]. 

> The solution to the problem of massless Yang–Mills fields for the [[strong nuclear force|strong interactions]] has a completely different nature.  That solution did not come from adding fields to Yang–Mills theory, but by discovering a remarkable property of the quantum Yang–Mills theory itself, that is, of the quantum theory whose [[classical field theory|classical]] [[Lagrangian density|Lagrangian]] has been given $[$above$]$. This property is called "[[asymptotic freedom]]". Roughly this means that at short distances the field displays [[quantum physics|quantum]] behavior very similar to its classical behavior; yet at long distances the [[classical field theory|classical theory]] is no longer a good guide to the quantum behavior of the [[field (physics)|field]].

> [[asymptotic freedom|Asymptotic freedom]], together with other experimental and theoretical discoveries made in the 1960s and 1970s, made it possible to describe the [[strong nuclear force|nuclear force]] by a [[non-abelian group|non-abelian]] [[gauge theory]] in which the [[gauge group]] is $G = $ [[special unitary group|SU(3)]]. The additional [[field (physics)|fields]] describe, at the [[classical field theory|classical level]], "[[quarks]]," which are [[spinor|spin 1/2 objects]] somewhat analogous to the [[electron]], but transforming in the [[fundamental representation]] of $SU(3)$.  The non-abelian gauge theory of the strong force is called [[quantum chromodynamics|Quantum Chromodynamics]] (QCD).

> The use of [[QCD]] to describe the [[strong nuclear force|strong force]] was motivated by a whole series of experimental and theoretical discoveries made in the 1960s and 1970s, involving the [[symmetries]] and high-energy behavior of the strong interactions. But [[classical field theory|classical]] [[non-abelian group|non-abelian]] [[gauge theory]] is very different from the [[observable universe|observed world]] of [[strong nuclear force|strong interactions]]; for [[QCD]] to describe the strong force successfully, it must have at the quantum level the following three properties, each of which is dramatically different from the behavior of the classical theory:

> (1) It must have a "[[mass gap]];" namely there must be some constant $\Delta \gt 0$ such that every excitation of the [[vacuum]] has [[energy]] at least $\Delta$.

> (2) It must have "[[quark]] [[confinement]]," that is, even though the theory is described in terms of elementary [[field (physics)|fields]], such as the quark fields, that transform non-trivially under [[special unitary group|SU(3)]], the physical particle states -- such as the [[proton]], [[neutron]], and [[pion]] --are [[special unitary group|SU(3)]]-[[invariant]].

> (3) It must have "[[chiral symmetry breaking]]," which means that the vacuum is potentially invariant (in the [[limit of a sequence|limit]], that the quark-bare masses vanish) only under a certain [[subgroup]] of the full [[symmetry group]] that [[action|acts]] on the [[quark]] [[field (physics)|fields]].

> The first point is necessary to explain why the [[strong nuclear force|nuclear force]] is strong but short-ranged; the second is needed to explain why we never see individual [[quarks]]; and the third is needed to account for the "[[current algebra]]" theory of soft [[pions]] that was developed in the 1960s.

> Both [[experiment]] -- since [[QCD]] has numerous successes in confrontation with experiment -- and [[lattice gauge theory|computer simulations]], carried out since the late 1970s, have given strong encouragement that QCD does have the properties cited above. These properties can be seen, to some extent, in theoretical calculations carried out in a variety of highly oversimplified models (like strongly coupled [[lattice gauge theory]]).  But they are not fully understood theoretically; there does not exist a convincing, whether or not mathematically complete, theoretical computation demonstrating any of the three properties in QCD, as opposed to a severely simplified truncation of it.

This is the problem of [[non-perturbative quantum field theory|non-perturbative]] quantization of Yang-Mills theory

## Related concepts

* [[Nakanishi-Lautrup field]], [[antighost field]]

## References

### Non-perturbative theory and mass gap
 {#ReferencesNonperturbativeTheoryAndMassGap}

A survey and problem description of the [[non-perturbative quantum field theory|non-perturbative]] quantization of Yang-Mills theory, in the context of the Clay Mathematics Institute's list of "[Millenium Problems](http://www.claymath.org/millennium-problems)" ("[Yang–Mills and Mass Gap](http://www.claymath.org/millennium-problems/yang%E2%80%93mills-and-mass-gap)") is in

* {#JaffeWitten} [[Arthur Jaffe]], [[Edward Witten]], _Quantum Yang-Mills theory_ ([pdf](http://www.claymath.org/sites/default/files/yangmills.pdf))

and a report on the progress (essentially none) is in 

* {#Douglas04} [[Michael Douglas]], _Report on the Status of the Yang-Mills
Millenium Prize Problem_, 2004 ([pdf](http://www.claymath.org/sites/default/files/ym2.pdf))

Notes reviewing more technical details of the problem are in 

* Jay Yablon, _The Origins of QCD Confinement in Yang-Mills Gauge Theory_, January 2008 ([pdf](http://jayryablon.files.wordpress.com/2008/01/qcd-
confinement-handout-10.pdf))

Useful discussion of details of the problem description is in

* [[Arnold Neumaier]], [PO comment](https://www.physicsoverflow.org/21786/energy-mass-spectrum-yang-mills-bosons-infinite-and-discrete?show=21846#a21846) 2014

### Perturbative theory

The quantization of Yang-Mills theory in the guise of [[EW]] and [[QCD]] as [[perturbative quantum field theory]] is carried out rigorously via [[causal perturbation theory]] in 

* {#Scharf01} [[Günter Scharf]], _[[Quantum Gauge Theories -- A True Ghost Story]]_, Wiley 2001

The [[locally covariant perturbative quantum field theory]] of Yang-Mill [[AQFT on curved spacetime|on curved spacetimes]] is constructed in 

* {#Hollands07} [[Stefan Hollands]], _Renormalized Quantum Yang-Mills Fields in Curved Spacetime_, Rev. Math. Phys. 20:1033-1172, 2008 ([arXiv:0705.3340](https://arxiv.org/abs/0705.3340))


Discussion of the [[adiabatic limit]] is in

* {#Duch17} [[Paweł Duch]], _Massless fields and adiabatic limit in quantum field theory_ ([arXiv:1709.09907](https://arxiv.org/abs/1709.09907))


[[!redirects mass gap problem]]
