
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Complex geometry
+--{: .hide}
[[!include complex geometry - contents]]
=--
#### Differential geometry
+--{: .hide}
[[!include synthetic differential geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea 

An _(alomst) Hermitian manifold_ is a [[smooth manifold]] compatibly equipped with 

* ([[almost complex structure|almost]]) [[complex structure]]

* [[Riemannian structure]].

Equivalently an _[[almost Hermitian structure]]_, namely a [[G-structure]] for $G = U(n) \hookrightarrow GL(2n,\mathbb{R})$ the [[unitary group]].

If in addition it carries compatibly [[symplectic structure]] it is called a _[[Kähler manifold]]_.

| [[complex structure]] | + [[Riemannian structure]] | + [[symplectic structure]] |
|--|--|--|
[[complex structure]] | [[Hermitian structure]] | [[Kähler structure]] |

## Definition

+-- {: .num_defn}
###### Defnition

Given an [[orientation|oriented]] [[smooth manifold]] $X$, an **(almost) Hermitian structure** on $X$ is

1. an ([[almost complex structure|almost]]) [[complex structure]] $J$;

1. a [[Riemannian structure]] $g$

such that the rank $(0,2)$ [[tensor field]]

$$
  \omega(-,-) \coloneqq g(-,J(-))
$$

is a non-degenerate [[differential 2-form]], then called the **Hermitian form** or similar.

=--

+-- {: .num_remark}
###### Remark

If in addition the Hermitian form $\omega(-,-) = g(-,J-)$ is closed, hence a [[symplectic structure]], then $(X,J,g)$ is an ([[almost Kähler manifold|almost]]) [[Kähler manifold]].

=--


## Properties

### Relation to Spin-structure

+-- {: .num_prop}
###### Proposition

A spin structure on a [[compact topological space|compact]] [[Hermitian manifold]] ([[Kähler manifold]]) $X$ of complex [[dimension]] $n$ exists precisely if, equivalently

* there is a choice of [[square root]] $\sqrt{\Omega^{n,0}}$ of the [[canonical line bundle]] $\Omega^{n,0}$ (a "[[Theta characteristic]]"); 

* there is a trivialization of the [[first Chern class]] $c_1(T X)$ of the [[tangent bundle]].

=--

In this case one has:

+-- {: .num_prop}
###### Proposition

There is a [[natural isomorphism]] 

$$
  S_X \simeq \Omega^{0,\bullet}_X \otimes \sqrt{\Omega^{n,0}}_X
$$ 

of the [[sheaf]] of [[sections]] of the [[spinor bundle]] $S_X$ on $X$ with the [[tensor product]] of the  [[Dolbeault complex]] with the corresponding [[Theta characteristic]];


Moreover, the corresponding [[Dirac operator]] is the [[Dolbeault-Dirac operator]] $\overline{\partial} + \overline{\partial}^\ast$.

=--

This is due to ([Hitchin 74](#Hitchin74)). A textbook account is for instance in ([Friedrich 74, around p. 79 and p. 82](#Friedrich74)).

## Related concepts

* [[Hermitian space]]

* [[Kähler manifold]]

* [[p-convex polarization]]

## References

[[spin structure]] on Hermitian manifolds is discussed for instance in 

* [[Thomas Friedrich]], _Dirac operators in Riemannian geometry_, Graduate studies in mathematics 25, AMS (1997)
 {#Friedrich97}

Discussion of the relation between Hermitian metrics and almost K&#228;hler metrics is in 

* Vestislav Apostolov, Tedi Draghici, _Hermitian conformal classes and almost K&#228;hler structures on 4-manifolds_ ([pdf](http://www2.fiu.edu/~draghici/research/paperfiles/dga.pdf))


[[!redirects Hermitian manifolds]]


[[!redirects almost Hermitian manifold]]
[[!redirects almost Hermitian manifolds]]


[[!redirects Hermitean manifold]]
[[!redirects Hermitean manifolds]]

[[!redirects hermitian manifold]]
[[!redirects hermitian manifolds]]


[[!redirects Hermitian structure]]
[[!redirects Hermitian structures]]
[[!redirects Hermitean structure]]
[[!redirects Hermitean structures]]

[[!redirects Hermitian metric]]
[[!redirects Hermitian metric]]


[[!redirects Hermitean metric]]
[[!redirects Hermitean metrics]]

