
# Points
* table of contents
{: toc}

## The abstract point

The **point** is what is shown here:

$$\bullet$$

As a [[category]], we can interpret this as a category with a single [[object]] $\bullet$ and a single [[morphism]] (the [[identity morphism]] on the object, which is not shown in the picture since it is automatic).  This can be generalised recursively to [[higher category theory|higher categories]]; as an $(n+1)$-[[n-category|category]], the point consists of a single object $\bullet$ whose endomorphism $n$-category is the point (now understood as an $n$-category).  Of course, to make this work, the point must be a [[symmetric monoidal category|symmetric monoidal]] $n$-category at each stage, but it is (in a unique way).  In the limit, the point can even be understood as an $\infty$-[[infinity-category|category]], with a unique $j$-morphism for each $j \geq 0$ (each of which is an identity for $j \gt 0$).

In the other direction, the point is a [[singleton]] [[set]] with a unique element $\bullet$.  It can also be seen as a [[truth value]] that is [[true]].  It can even be understood as the $(-2)$-[[(-2)-category|category]].

As a [[topological space]], the _[[point space]]_ is the usual point from [[geometry]]: that which has no part.  In more modern language, we might say that it has no *structure* ---except that something exists.  (So it is *not* [[empty space|empty]]!)  This is consistent with the preceding paragraphs using the interpretation of a topological space as an $\infty$-[[infinity-groupoid|groupoid]].  (But up to [[homotopy equivalence]], any [[contractible space]] qualifies as a point.)

In all of the above, the point can be seen as a [[terminal object]] in an appropriate category (or $\infty$-category).  However, you can also see it as a [[zero object|null object]] in a category of [[pointed objects]].  (Of course, it\'s always true that a terminal object $1$ in $C$ becomes a null object in $1/C$, but the dual argument also holds, so the question is which is the primary picture.)

But perhaps the point is best seen as the unique object in itself:
$$ \bullet = \{\bullet\} ,$$
an equation that makes sense as a definition in the theory of ill-founded [[pure sets]].  Another possible definition (this time well-founded) in pure set theory is that the point is $\{\emptyset\}$, but this doesn\'t capture the picture that we get from higher category theory: the $(-1)$-[[(-1)-category|category]] ([[truth value]]) of the $(-2)$-category (the point) is [[true]] (which is also the point), the $0$-[[0-category|category]] (set) of the true truth value is [[generalized the|the]] [[singleton]] (which is also the point), the $1$-[[1-category|category]] (category) of the singleton (and *all* of its [[endofunctions]]!) is the [[terminal category]] (which is also the point), and so on.  That is:
$$ \bullet \in \bullet \in \bullet \in \bullet \in \cdots .$$


## Concrete points

The term 'point' is often used for a [[global element]]; that is the meaning, for example, in the sense of a [[point of a topos]] or a [[point of a locale]].  The connection is that a global element of $X$ is a map from the point to $X$.  So one may describe the point above as the *abstract* point, while a global element is a *concrete* point.


## Related concepts

### As homotopy types

[[!include homotopy n-types - table]]


### As geometric objects

* [[geometric point]]

* [[generalized element]]

* [[infinitesimally thickened point]]

* [[superpoint]]

[[!redirects point]]
[[!redirects points]]

[[!redirects abstract point]]
[[!redirects abstract points]]

[[!redirects concrete point]]
[[!redirects concrete points]]
