
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
#### Operator algebra
+--{: .hide}
[[!include AQFT and operator algebra contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

The [[thick subcategory]] 

$$
  KK_{boot} \hookrightarrow KK
$$

of the [[triangulated category]] $KK$ of [[KK-theory]] generated by the [[tensor unit]] is called the _bootstrap category_ ([Rosenberg-Schochet 87](#RosenbergSchochet87)), because on this subcategory [[KK-theory]] has a good [[axiom|axiomatic]] description (see [Blackadar 22.3](#Blackadar)). 

The canonical [[functor]] from [[KK-theory|KK]] to (the [[homotopy category]] of) [[KU]]-[[module spectra]] restricts to a [[full and faithful functor]] on the bootstrap category (prop. \ref{StrongMonoidalFullInclusionIntoKUMod} below), and so the KK-bootstrap category may also be thought of as a [[full subcategory]] of $KU Mod$

$$
  KK_{boot} \hookrightarrow Ho(KU Mod)
  \,.
$$

Many [[C*-algebras]] that "appear in practice" are in the bootstrap category, notably the [[groupoid convolution algebras]] of [[amenable Lie groupoids]] (prop. \ref{ConvolutionOfAmenableLieGroupoid} below). Generally, a [[C*-algebra]] is in the bootstrap category precisely if it is KK-[[equivalence|equivalent]] to a [[commutative C*-algebra]].

## Definition

See ([Blackadar, def. 22.3.4](#Blackadar)).

## Examples of objects in the bootstrap category

+-- {: .num_prop #ConvolutionOfAmenableLieGroupoid}
###### Proposition

The [[groupoid convolution algebra]] of an [[amenable topological groupoid]] is in the bootstrap category. 

=--

This is due to ([Tu 99, prop. 10.7](#Tu99)), recalled for instance as ([Uuye 11, example 3.6](#Uuye11)).


## Properties

### Künneth theorem

In the bootstrap category a [[Künneth theorem]] for [[operator K-theory]] is true. ([Rosenberg-Schochet 87](RosenbergSchochet87)).

### Embedding into $KU$-module spectra

+-- {: .num_prop #StrongMonoidalFullInclusionIntoKUMod}
###### Proposition

On the bootstrap category the operator K-theory spectrum functor $KK \to Ho(KU Mod)$ is 

1. a [[fully faithful functor]],

1. a [[strong monoidal functor]] 

=--

The first statement is ([DEKM 11, section 3](DEKM11)), the second is ([DEKM 11, prop. 4.2](#DEKM11)).

See at _[[KK-theory]]_ the section _[Triangulated and spectrum-enriched structure](KK-theory#TriangulatedAndSpectrumEnrichedStructure)_ for more details.



## References

The notion originates in 

* [[Jonathan Rosenberg]], [[Claude Schochet]], _The Künneth theorem and the universal coefficient theorem for Kasparov’s generalized K-functor_, Duke Math. J. 55 (1987), no. 2, 431–474.
 {#RosenbergSchochet87}

A texbook account is around def. 22.3.4 of

* [[Bruce Blackadar]], _[[K-Theory for Operator Algebras]]_
 {#Blackadar}

The corresponding [[localizing subcategories]] are discussed in

* [[Ivo Dell'Ambrogio]], _Localizing subcategories in the Bootstrap category of separable C*-algebras_, Journal of K-Theory 8 (2011), 493-50 ([arXiv:1003.0183](http://arxiv.org/abs/1003.0183))

The full embedding into the homotopy category of KU-modules is discussed in section 3 of 

* [[Ivo Dell'Ambrogio]], [[Heath Emerson]], [[Tamaz Kandelaki]], [[Ralf Meyer]], _A functorial equivariant K-theory spectrum and an equivariant Lefschetz formula_ ([arXiv:1104.3441](http://arxiv.org/abs/1104.3441))
 {#DEKM11}


The inclusion of [[groupoid convolution algebras]] of [[amenable topological groupoids]] into the bootstrap category is discussed in 

* [[Jean-Louis Tu]], _La conjecture de Baum-Connes pour les feuilletages moyennables_, K-Theory 17 (1999), no. 3, 215–264. MR 1703305 (2000g:19004)
 {#Tu99}

* [[Otgonbayar Uuye]], _A note on the Künneth theorem for nonnuclear $C^\ast$-algebras_ ([arXiv:1111.7228](http://arxiv.org/abs/1111.7228))
 {#Uuye11}

Discussion of the bootstrap category in [[equivariant K-theory]] is in 

* [[Heath Emerson]], _Localization techniques in circle-equivariant KK-theory_ ([arXiv:1004.2970](http://arxiv.org/abs/1004.2970))

This show that there are algebras in the plain bootstrap category with [[circle group]]-equivariant structure which are not $U(1)$-equivariant KK-equivalent to a commutative $U(1)$-$C^\ast$-alegbra.

[[!redirects KK-bootstrap categories]]

[[!redirects bootstrap category]]
[[!redirects bootstrap categories]]
