
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Monoidal categories
+--{: .hide}
[[!include monoidal categories - contents]]
=--
#### Topos Theory
+-- {: .hide}
[[!include topos theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

Every [[topos]] $\mathbf{H}$ is canonically a [[cartesian monoidal category]] $(\mathbf{H}, \times)$, with the [[tensor product]] being the [[cartesian product]]. If in addition to this canonical product $\mathbf{H}$ is equipped with _another_ noncartesian [[monoidal category]] structure $\otimes$, then $(\mathbf{H}, \otimes)$ might be called a _monoidal topos_. 

Of course, a topos may carry more than one non-cartesian monoidal category structure, and in some of the interesting examples, the various monoidal structures will be interlinked in some way. A typical example is the phenomenon of [[plethysm]]. 

## Examples

+-- {: .num_example}
###### Example

For $(\mathcal{C}, \otimes)$ a small [[monoidal category]], the [[presheaf topos]] $[\mathcal{C}, Set]$ is naturally a monoidal topos with respect to the [[Day convolution]] tensor product.

=--

+-- {: .num_example}
###### Example


For $\mathbf{H}$ a [[topos]] and $\mathbb{G} \in \mathbf{H}$ a [[monoid object]], the [[slice topos]]  $\mathbf{H}_{/\mathbb{G}}$ inherits a non-cartesian monoidal structure $\otimes_G$ induced from the product structure on $\mathbb{G}$:

$$
  \left[
    \array{
      X_1
      \\
      \downarrow^{\mathrlap{\chi_1}}
      \\
      \mathbb{G}
   }
  \right]
  \otimes_{\mathbb{G}}
  \left[
    \array{
      X_2
      \\
      \downarrow^{\mathrlap{\chi_2}}
      \\
      \mathbb{G}
   }
  \right]
  \;\;
  \coloneqq
  \;\;
  \left[
    \array{
      X_1 \times X_2
      \\
      \downarrow^{\mathrlap{(\chi_1, \chi_2)}}
      \\
      \mathbb{G} \times \mathbb{G}
      \\
      \downarrow^{\mathrlap{\cdot}}
      \\
      \mathbb{G}
    }
  \right]
  \,.
$$

Such monoidal toposes appear as categories of [[local action functionals]] in the context of _[[motivic quantization]]_. 

=--

+-- {: .num_example #ClassifyingToposForTheoryOfObjects}
###### Example

The [[classifying topos for the theory of objects]] which is the [[presheaf topos]] $[FinSet, Set]$ on the [[opposite category]] of [[FinSet]] or equivalently the category of [[finitary monad|finitary]] [[endofunctors]] $End_f(Set)$ is naturally a monoidal topos under [[composition]] of endofunctors. A standard textbook reference is ([Johnstone D3.2](#Johnstone)). The [[enriched category theory]] over this monoidal category is discussed in ([Garner 13](#Garner13)).

=-- 

+-- {: .num_example} 
###### Example 

There are several variations on the theme of the previous example \ref{ClassifyingToposForTheoryOfObjects}, where one considers [[presheaves]] on the "$\underline{\;\;\;\;\;}$" monoidal category $M$ generated by a single object, where the "blank" may be filled in with some structure-connoting adjective. In the previous example, we had that $FinSet^{op}$ is the [[free construction|free]] [[cartesian monoidal category]] generated by a single object, but the blank might be filled in with "symmetric" ($M$ is the [[permutation category]] $\mathbb{P} = Core(FinSet)$), or "braided" (the [[braid category]] $\mathbb{B}$), or "semicartesian symmetric monoidal" ($Fin_{inj}$: finite sets and [[injections]] between them), or "strict" (the discrete category $\mathbb{N}$), and so on. In each of these cases, the [[presheaf topos]] $E = [M^{op}, Set]$ acquires a [[Day convolution]] structure, but more interestingly, we have an [[equivalence of categories|equivalence]] 

$$E \simeq \{E, E\}$$ 

where the right side is the category of cocontinuous $\underline{\;\;\;\;\;}$ monoidal endofunctors. By transferring the endofunctor composition across the equivalence, $E$ acquires another monoidal product structure. In the classical symmetric case, this goes under names like [[plethysm|plethystic monoidal product]], and in each such case the notion of monoid therein gives a notion of [[operad]]. See also [[generalized multicategory]]. For more on this see at _[operad -- A detailed conceptual treatment](http://ncatlab.org/nlab/show/operad#Conceptual)_.

=-- 

+-- {: .num_example}
###### Example

The category of [[dendroidal sets]] is a topos (the [[presheaf topos]] on the [[tree category]]) and naturally carries the non-cartesian [[Boardman-Vogt tensor product]].

=--

+-- {: .num_example}
###### Example

In ([Dolan 11](#Dolan11)) is indicated a category of "toric [[quasicoherent sheaves]]" which is a topos and hence under tensor product of quansicoherent sheaves a (semi?)-monoidal topos.

=--

## References

For references on [[Day convolution]] see there.

The monoidal [[classifying topos for the theory of objects]] is discussed for instance in 

* [[Peter Johnstone]], section D3.2 in _[[Sketches of an Elephant]]_
 {#Johnstone}

* [[Richard Garner]], _Lawvere theories, finitary monads and Cauchy-completion_ ([arXiv:1307.2963](http://arxiv.org/abs/1307.2963))
 {#Garner13}


A monoidal classifying topos of "toric quasicoherent sheaves" is indicated in

* [[James Dolan]], _tannakian correspondence for toric varieties (sketch for a doctoral thesis)_, December 2011 ([web](http://notebook360x.blogspot.nl/2011/12/toposes-of-toric-quasicoherent-sheaves.html))
 {#Dolan11}

[[!redirects monoidal toposes]]

