
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
#### Higher geometry
+--{: .hide}
[[!include higher geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

[[K-theory]] of [[stacks]], often of [[geometric stacks]] such as [[differentiable stacks]]/[[Lie groupoids]]. Under mild assumptions equivalently the [[operator K-theory]] of their [[groupoid convolution algebras]].

The [[twisted K-theory]] of geometric stacks $X$ assigns K-classes to maps $X \to \mathbf{B}^2 U(1)$ to the [[moduli 2-stack]] of [[circle n-bundle with connection|circle 2-bundles]].


## Definition 

We discuss two different but related definitions. The first

* _[By topological K-theory of Hilbert bundles](#ByTopologicalKTheoryOfHilbertBundles)_

realizes the K-theory of a suitable [[Lie groupoid]] (a [[local quotient groupoid]]) as a class in the [[Grothendieck group]] of suitable [[equivariant vector bundles]] ([[Hilbert space]] bundles). The second

* _[By operator K-theory of convolution algebras](#ByOperatorKTheoryOfConvolutionAlgebras)_

realizes it as the [[operator K-theory]] of the [[groupoid convolution algebra]].

In the [Properties-section](#Properties) below we discuss how both definitions are compatible.

### By topological K-theory of Hilbert bundles on groupoids
 {#ByTopologicalKTheoryOfHilbertBundles}

For [[local quotient groupoids]] one can define their K-theory as, essentially, the [[Grothendieck group]] of [[equivariant vector bundles]] on the groupoid, or rather, in the twisted case, by equivalence classes of sections of Fredholm bundles. (...)

([FHT, I, 3.2](#FHT))

### By Operator K-theory of convolution algebras of groupoids
 {#ByOperatorKTheoryOfConvolutionAlgebras}

One can define the (twisted) K-theory of a [[Lie groupoid]] (equipped with a circle 2-bundle) to be the [[operator K-theory]] of its [[groupoid convolution algebra]].

([TuXuLG 03](#TuXuLG03))

## Properties
 {#Properties}

For $X$ a [[proper Lie groupoid]], the two definition above agree. ([TuXuLG 03, 4.6](#TuXuLG03)).


## References

### For topological and Lie groupoids/stacks

The [[twisted K-theory]] of [[local quotient stack|local quotient]] [[differentiable stacks]] is defined in terms of Fredholm bundles in 

* [[Daniel Freed]], [[Michael Hopkins]], [[Constantin Teleman]], part I of _[[Loop Groups and Twisted K-Theory]]_ 
 {#FHT}

The [[twisted K-theory]] of general [[differentiable stacks]]/[[Lie groupoids]] in terms of the [[operator K-theory]] of their [[twisted groupoid convolution algebras]] is discussed in 

* [[Jean-Louis Tu]], [[Ping Xu]], [[Camille Laurent-Gengoux]], _Twisted K-theory of differentiable stacks_ ([arXiv:math/0306138](http://arxiv.org/abs/math/0306138))
 {#TuXuLG03}

Functoriality of [[twisted K-theory]] of [[topological groupoids]]/[[Lie groupoids]] is discussed in 

* Alexander Alldridge, [[Jeffrey Giansiracusa]], _Contravariant functoriality for twisted K-theory of stacks_,  Oberwolfach Reports no. 46 (2006) 2796 – 2800 ([pdf](http://sma.epfl.ch/~hessbell/topsem/OWR_TwistedK.pdf))

* [[Joost Nuiten]], _[[schreiber:master thesis Nuiten|Cohomological quantization of local prequantum boundary field theory]]_, master thesis, August 2013
 {#Nuiten13}

See also

* Bram Mesland, _Groupoid cocycles and K-theory_, Müunster J. of Math. 4 (2011), 227-250 ([arXiv:1005.3677](http://arxiv.org/abs/1005.3677))



### For algebraic stacks

(...)


[[!redirects K-theory of stacks]]

[[!redirects twisted groupoid K-theory]]
[[!redirects twisted K-theory of stacks]]
