# Loci
* table of contents
{: toc}

## Disambiguation

There are other mathematical uses of the term 'locus'. See, for example, [[smooth locus]] and [[derived critical locus]].


## Idea

A **locus** is a $(\infty, 1)$-category $C$ such that the $(\infty, 1)$-category of [[indexed families]] of objects of $C$ over [[∞-groupoids]] form a [[(∞,1)-topos]].  Since $(\infty, 1)$-toposes are closed under [[left exact functor|left exact]] [[reflective sub-(∞,1)-category|localizations]], so are loci.  


## Examples

The $(\infty, 1)$-category of [[pointed object|pointed types]] is a locus, since families of it are a presheaf $(\infty, 1)$-category (the $(\infty, 1)$-category of [[retractions]] or of [[diagrams]] on the [[walking]] map-equipped-with-a-[[section]]).  

Similarly, the $(\infty, 1)$-category of [[prespectra]] is a locus.  And the $(\infty, 1)$-category of spectra is a left exact localization of the $(\infty, 1)$-category of prespectra.  Hence [[spectra]] form a locus, so [[parametrized spectra]] form an $(\infty, 1)$-topos.


## References

This page arose out of discussions at [this nForum discussion](http://nforum.mathforge.org/discussion/5192/infinity2toposes-and-internal-stable-homotopy-theory/?Focus=41445#Comment_41445), based on an idea of [[Andre Joyal]].

* [[Marc Hoyois]] _Topoi of parametrized objects_, ([arXiv:1611.02267](https://arxiv.org/abs/1611.02267))


[[!redirects locus]]
[[!redirects locuses]]
[[!redirects loci]]
