
#Contents#
* table of contents
{:toc}

## Idea

The [[moduli stack of formal groups]] $\mathcal{M}_{FG}$ (1-dimensional commutative formal groups) admits a natural [[stratification]] whose open [[strata]] are labeled by a [[natural number]] called the _[[height of a formal group|height of formal groups]]_.

For $p$ a [[prime number]], write $\overline{\mathbb{F}}_{\mathrm{p}}$ for the [[algebraic closure]] of the [[prime field]] $\mathbb{F}_p$.

The [[stratum]] $\mathcal{M}_{FG}^n$ can be identified with the [[homotopy quotient]] $Spec (\overline{\mathbb{F}}_{\mathrm{p}})// \mathbb{G}$, where the [[group]] $\mathbb{G}$ is the [[automorphism group]]  over $\mathbb{F}_p$ of the unique formal group law $f$ of [[height of a formal group|height]] $n$, 

$$
  \mathbb{G} \coloneqq Aut(\overline{\mathbb{F}}_{\mathrm{p}}, f)
$$ 

This is called the _Morava stabilizer group_. Essentially its [[group algebra]] ([[Hopf algebra]]) is called the _Morava stabilizer algebra_.

This is discussed around ([Lurie 10, lect. 19, prop. 1](#LurieLect19)), see also the beginning of [Lurie 10, lect 21](#LurieLect21), and in ([Ravenel, chapt. 6](#RavenelCh6)).

The [[deformation theory]] around these [[strata]] is [[Lubin-Tate theory]].

## References

* {#LurieLect19} [[Jacob Lurie]], _Morava Stabilizer Groups_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture19.pdf)), lecture 19 in _[[Chromatic Homotopy Theory]]_, Lecture series 2010 ([web](http://www.math.harvard.edu/~lurie/252x.html)) 
 

* {#LurieLect21} [[Jacob Lurie]], _Lubin-Tate Theory _ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture21.pdf)), lecture 21 in  _[[Chromatic Homotopy Theory]]_, Lecture series 2010 ([web](http://www.math.harvard.edu/~lurie/252x.html)) 

* {#RavenelCh6} [[Doug Ravenel]], _[[Complex cobordism and stable homotopy groups of spheres]]_, Chapter 6 _Morava stabilizer algebra_ ([pdf](http://www.math.rochester.edu/people/faculty/doug/mybooks/ravenel6.pdf)) 

* [[Niko Naumann]], _Torsors under smooth group-schemes and Morava stabilizer groups_ ([web](http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.131.5497)) 

[[!redirects Morava stabilizer groups]]

[[!redirects Morava stabilizer algebra]]
[[!redirects Morava stabilizer algebras]]