Given a smooth [[Riemann surface]] $\Sigma$ with complex structure $j$, and an [[almost complex manifold]] $M$ with almost complex structure $J$, 
a __pseudoholomorphic__ curve is a smooth map
$f:\Sigma\to M$ whose differential commutes with the almost complex structure in the sense that the equation
$$
J\circ d f = d f\circ j
$$
holds. One can also consider a [[symplectic manifold]] $(N,\omega)$ instead of $M$, in which case on chooses an almost complex structure compatible with the symplectic form $\omega$.

A more general notion is of a pseudoholomorphic map. 

Counting pseudoholomorphic curves with constraints to obtain topological invariants has been pioneered by Gromov and later Floer. 

## References

Related $n$Lab entries include [[symplectic category]], [[Lagrangian correspondence]], [[Fukaya category]], [[Gromov-Witten invariant]], [[quantum cohomology]]. 

* S. K. Donaldson, _What is...a pseudoholomorphic curve?_, Notices AMS __52__ (9): pp.1026–1027, [pdf](http://www.ams.org/notices/200509/what-is.pdf)
* wikipedia [pseudoholomorphic curve](http://en.wikipedia.org/wiki/Pseudoholomorphic_curve)
* [[Mikhail Gromov]], _Pseudo-holomorphic curves in symplectic manifolds_, Inventiones Math. __82__ (1985) 307-347 [pdf](http://www.ihes.fr/~gromov/PDF/9%5B45%5D.pdf)
* [[Andreas Floer]], _Holomorphic curves and a Morse theory for fixed points of exact symplectomorphisms_, in: Aspects dynamiques et topologiques des groupes infinis de transformation de la
mécanique (Lyon, 1986), Travaux en Cours, vol. 25, pp. 49–60. Hermann, Paris, 1987
* [[Kenji Fukaya]], Kaoru Ono, _Floer homology and Gromov-Witten invariant over integer of general symplectic manifolds—summary_, in: Taniguchi Conference on Mathematics Nara ’98,
Adv. Stud. Pure Math. __31__, 75–91. Math. Soc. Japan, Tokyo, 2001.
* Brett Parker, _Integral counts of pseudo-holomorphic curves_, [arxiv/1309.0585](http://arxiv.org/abs/1309.0585)
 
[[!redirects pseudo-holomorphic curve]] 