
> This entry is about the notion in [[Hamiltonian mechanics]]/[[symplectic geometry]]. For a different notion of the same name in [[category theory]] see at _[[canonical morphism]]_.

> To be merged with [[generating function in classical mechanics]].

***

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
#### Symplectic geometry
+--{: .hide}
[[!include symplectic geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

In [[physics]] and specifically in [[Hamiltonian mechanics]] what is called a _canonical transformation_ is an [[equivalence]] or at least a [[homomorphism]] of [[phase spaces]]. The term is to be read as short for "transformation of [[canonical coordinates]]".

Since phase spaces are mathematically identified with [[symplectic manifolds]], canonical transformations are [[symplectomorphisms]]. In fact, the notion as used in physics is a bit more general, and subsumes also certain [[Lagrangian correspondences]] between symplectic manifolds $(X_{1,2}, \omega_{1,2})$. The "generating functions" for canonical transformations as used in the physics literture correspond to functions on the [[correspondence space]] $(X_1 \times X_2, p_1^\ast \omega_1 - p_2^\ast \omega_2)$. ([Weinstein 83](#Weinstein83))

## References

The standard definition, interpreted in [[symplectic geometry]] appears for instance on p. 206 of

* [[Vladimir Arnold]], _[[Mathematical methods of classical mechanics]]_

Discussion of generating functions starts on p. 266 there.

The formalization in terms of [[Lagrangian correspondences]] is discussed on p. 5 of

* [[Alan Weinstein]], _Lectures on Symplectic Manifolds_, volume 29 of CBMS Regional Conf. Series in Math. Amer. Math. Soc., 1983. third 
printing.
  {#Weinstein83}

[[!redirects canonical transformations]]

[[!redirects canonical coordinate transformation]]
[[!redirects canonical coordinate transformations]]
