
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Riemannian geometry
+-- {: .hide}
[[!include Riemannian geometry - contents]]
=--
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

__Lorentzian geometry__ is the [[geometry]] of _[[Minkowski spacetime]]_, hence essentially of a [[Euclidean space]], but equipped not with the standard Euclidean [[Riemannian metric]] of [[signature]] $(+,+,+,\ldots,+)$ (which yields [[Euclidean geometry]]) but with the [[pseudo-Riemannian metric]] of [[signature]] $(-,+,+,\ldots,+)$. This is in particular the context of the [[theory (physics)|theory]] of [[physics]] called "[[theory of special relativity]]", and it is _locally_ the context of the "[[theory of general relativity]]".

Note that while Lorentzian geometry is analogous to [[Euclidean geometry]] (as [[Minkowski space]] is analogous to a [[Euclidean space]]), a [[Lorentzian manifold]] is analogous to a [[Riemannian manifold]].  Thus, one might use 'Lorentzian geometry' analogously to [[Riemannian geometry]] (and insist on __Minkowski geometry__ for our topic here), but usually one skips all the way to [[pseudo-Riemannian geometry]] (which studies [[pseudo-Riemannian manifolds]], including both Riemannian and Lorentzian manifolds).


## Lorentzian Cartan geometry and first order gravity

Since the [[isometry group]] of [[Minkowski spacetime]] is the [[Poincaré group]], and since Minkowski spacetime is the [[quotient]] of the [[Poincaré group]] by the [[Lorentz group]]-[[subgroup]], Lorentzian geometry and the study of [[Lorentzian manifolds]] is to a large extent the [[Cartan geometry]] of the [[Poincaré group]]. 

Promoting this perspective from global to [[local symmetry]] yields the [[first order formulation of gravity]]. Promoting this perspective form the [[Poincaré group]] to the [[super Poincaré group]] yields _[[supergravity]]_. Promoting it further to the [[L-infinity algebra cohomology|Lie n-algebra]] extensions of the [[super Poincaré group]] (from the [[brane scan]]/[[schreiber:The brane bouquet|brane bouquet]]) yields [[type II supergravity]], [[heterotic supergravity]] and [[11-dimensional supergravity]] in [[higher Cartan geometry]]-formulation ([[D'Auria-Fré formulation of supergravity]]).

[[!include local and global geometry - table]]


## Related concepts

* [[timelike curve]], [[spacelike curve]], [[lightlike curve]]

* [[causet]]

* [[Lorentzian manifold]]

## References
 {#References}

Introductions and surveys include

* Javayoles, S&aacute;nchez, _An introduction to Lorentzian Geometry and its application_, 2010 ([pdf](http://webs.um.es/majava/charlas/CursodeLorentz.pdf))

* [[Christian Bär]], N. Ginaux, [[Frank Pfäffle]], _I. Lorentzian geometry_ ([pdf](http://www.mathematik.hu-berlin.de/~baum/vortrag1.pdf))

* Graciela Birman, Katsumi Nomizu, _Trigonometry in Lorentzian geometry_, The American Mathematical Monthly Vol. 91, No. 9 (Nov., 1984), pp. 543-549 ([JSTOR](http://www.jstor.org/stable/2323737))

See also

* Geometry Group Berlin, _[Lorentzian geometry](http://www3.math.tu-berlin.de/geometrie/lorentz/)_


[[!redirects Lorentzian geometry]]
[[!redirects Lorentzian geometries]]
[[!redirects Lorentz geometry]]
[[!redirects Lorentz geometries]]
[[!redirects Minkowski geometry]]
[[!redirects Minkowski geometries]]
[[!redirects Minkowskian geometry]]
[[!redirects Minkowskian geometries]]

[[!redirects Lorentzian signature]]
[[!redirects Lorentzian signatures]]
