
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
#### Higher spin geometry
+-- {: .hide}
[[!include higher spin geometry - contents]]
=--
#### Fields and quanta
+--{: .hide}
[[!include fields and quanta - table]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The _Velo-Zwanziger problem_ is is a phenomenon in theoretical [[physics]]: the "evident" [[action functionals]] for [[field (physics)|fields]] which

1. have [[spin]] higher than 1 

1. are in an irreducible [[mass|massive]] representation of the Lorentz group

1. have [[minimal coupling]] to [[electromagnetism]]

tend to have [[equations of motion]] which are not hyperbolic and hence may violate the usual [[causal locality|causality]] relation of [[general relativity]].
 
## References

The original references are

* G. Velo, D. Zwanziger, Phys. Rev. 186 (1969) 1337, 

* G. Velo, D. Zwanziger, Phys. Rev. 188 (1969) 2218;

* G. Velo, Nucl. Phys. B 43 (1972) 389

* M. Hortacsu, Phys. Rev. D 9, 928 (1974).

Adjustments of the [[action functional]] for [[spin]] [[mass|massive]] $3/2$-particles ([[Rarita-Schwinger field]]) by non-[[minimal coupling]] that evades the Velo-Zwanziger problem is discussed in 

* Massimo Porrati, Rakibur Rahman, _Causal Propagation of a Charged Spin 3/2 Field in an External Electromagnetic Background_,  	Phys.Rev.D80:025009,2009 ([arXiv:0906.1432](http://arxiv.org/abs/0906.1432))

Discussion for the higher [[string]] excitations that appear in [[string theory]] is for instance in 

* Massimo Porrati, Rakibur Rahman, Augusto Sagnotti, _String Theory and The Velo-Zwanziger Problem_, Nucl. Phys. B846:250-282,2011 ([arXiv:1011.6411](http://arxiv.org/abs/1011.6411))

