
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

In its standard formulation, [[quantum physics]] is a probabilistic theory of nature, since it provides only [[probabilities]] (in fact [[probability amplitudes]]) for values of [[observable]] in [[experiment]]. This is in contrast to [[classical mechanics]], which (on classical [[pure states]]) predicts events with certainty. 

However, on very small scales classical mechanics predicts the _wrong_ events, while [[quantum mechanics]] and [[quantum field theory]] predicts the right [[probabilities]].

On the other hand, it is well known that upon "coarse graining", which means after averaging over certain details, also classical mechanics induces a probabilistic theory of nature, namely [[statistical mechanics]]/[[thermodynamics]].

Therefore it is natural to speculate that maybe also [[quantum physics]] is the [[statistical mechanics]] of a more refined theory of as yet unseen "degrees of freedom of nature" on small scales, which does predict events with certainty on very small scales, and which reduces to quantum mechanics on larger scales as one averages over these unseen new degrees of freedom.

These "unseen degrees of freedom" are usually called _hidden variables_, and a [[theory (physics)|theory]] which is non-probabilistic but designed to reproduce [[quantum mechanics]] as its statistical coarse grained theory are called _hidden variable theories_. (These are hence one potential [[interpretation of quantum mechanics]].)

There have been various attempts to construct such hidden variable theories. However, there are also [[theorems]] about the characteristic properties of [[quantum mechanics]] which assert (under some (natural) assumptions, of course) that there cannot be a hidden variable theory.

These theorems are

* [[Bell's inequalities]] ([Bell 64](#Bell64));

* the [[Kochen-Specker theorem]] ([Kochen-Specker 68](#KochenSpecker68)).

One well-developed attempt to construct a hidden variable theory is [[Bohmian mechanics]]; this makes hidden variables out of the entire [[wavefunction]] and violates the assumption of [[locality]].


## Related concepts

* [[interpretation of quantum mechanics]]

* [[Einstein-Podolsky-Rosen paradox]]

* [[Kochen-Specker theorem]]

* [[Bell's theorem]]

* [[Hardy's paradox]]

## References

Surveys include

* Wikipedia, _[Hidden variable theory](http://en.wikipedia.org/wiki/Hidden_variable_theory)_

The original article on [[Bell's theorem]] is

* [[John Bell]], _On the Einstein Podolsky Rosen paradox_, Physics 1, 195, 1964 ([pdf](http://www.drchinese.com/David/Bell_Compact.pdf))
  {#Bell64}

The original article on the [[Kochen-Specker theorem]] is

* [[Simon Kochen]], [[Ernst Specker]], _The problem of hidden variables in quantum mechanics_ 1968 , Journal of Mathematics and Mechanics, [pdf](http://www.iumj.indiana.edu/IUMJ/FTDLOAD/1968/17/17004/pdf).
  {#KochenSpecker68}

Discussion of hidden variable theories in terms of [[quantum logic]] is in section 5 of 

* Gianpiero Cattaneo, Maria Luisa Dalla Chiara, Roberto
Giuntini and Francesco Paoli, _Quantum Logic and Nonclassical Logics_, p. 127 in  Kurt Engesser, Dov M. Gabbay, Daniel Lehmann (eds.) _Handbook of Quantum Logic and Quantum Structures: Quantum Logic_, 2009 North Holland
  {#CCGP09}


[[!redirects hidden variable theory]]
[[!redirects hidden variable theories]]

[[!redirects hidden variable]]
[[!redirects hidden variables]]