
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### $\infty$-Lie theory
+--{: .hide}
[[!include infinity-Lie theory - contents]]
=--
#### Super-Geometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The super-Poincaré Lie algebra has certain exceptional super [[Lie algebra extensions]] by "[[central charges]]" which commute with the generators of the [[super translation Lie algebra]] and form a [[tensor]] [[representation]] of the remaining [[Lorentz group]] generators.

Here "central charges" is in quotation marks (and typically is so in the literature) since these charges will be in the [[center]] of the [[super translation Lie algebra]] but not in general in the center of the full [[super Poincare Lie algebra]].

## Examples

The "[[M-theory Lie algebra]]" is a polyvector extension of the super Poincaré Lie algebra $\mathfrak{siso}_{N=1}(10,1)$ by polyvectors of rank $p = 2$ and $p=5$ (the [[M2-brane]] and the [[M5-brane]] in the [[brane scan]]), see below [Polyvector extensions as automorphism Lie algebras](#PolyvectorExtensionsAsAutomorphismLieAlgebras).

Similarly the _[[type II supersymmetry algebra]]_ in [[type II supergravity]].

## Properties

### Short multiplets

Extended supersymmetry algebras in general have
"short" [[supermultiplets]]. These are called _[[BPS states]]_.

### As automorphism Lie algebras of Lie $n$-superalgebras
 {#PolyvectorExtensionsAsAutomorphismLieAlgebras}

At least some of the [polyvector extensions](#PolyvectorExtensions) of the super Poincar&eacute; Lie algebra arise as the [[automorphism]] super Lie algebras of the [[Lie n-algebra]] 
[[infinity-Lie algebra cohomology|extensions]] classified by the cocycles discussed above.

For instance the automorphisms of the [[supergravity Lie 3-algebra]] gives the "[[M-theory Lie algebra]]"-extension of super-Poincar&eacute; in 11-dimensions ([FSS 13](#FSS13)). This is also discussed at _[supergravity Lie 3-algebra -- Polyvector extensions](supergravity+Lie+3-algebra#Polyvector)_.

## Related concepts

* [[extended super Minkowski spacetime]]


## References

### General

Introductions and lecture notes include

* José D. Edelstein, _Lecture 6: Extended supersymmetry_, talk at _Supersymmetry_, Santiago de Compostela, November 20, 2012  ([pdf](http://www-fp.usc.es/~edels/SUSY/L6_SUSY.pdf))

* Sven Krippendorf, Fernando Quevedo, Oliver Schlotterer, section 2.3 of _Cambridge Lectures on Supersymmetry and Extra Dimensions_ ([arXiv:1011.1491](http://arxiv.org/abs/1011.1491))

* _Theories with extended supersymmetry_ ([pdf](http://people.sissa.it/~bertmat/lect6.pdf))


A comprehensive account and classification of the polyvector extensions of the super Poincar&eacute; Lie algebras is in

* D. V. Alekseevsky, V. Cortés, C. Devchand, [[Antoine Van Proeyen]], _Polyvector Super-Poincar&eacute; Algebras_ Commun.Math.Phys. 253 (2004) 385-422 ([arXiv:hep-th/0311107](http://arxiv.org/abs/hep-th/0311107))
 {#ACDP}


### From super Lie $n$-algebras

The derivation of the extended supersymmetry [[M-theory Lie algebra]] as the [[derivations]] of the [[supergravity Lie 3-algebra]] is, somewhat implicitly, in 

* [[Leonardo Castellani]], [[Riccardo D'Auria]], [[Pietro Fré]], _[[Supergravity and Superstrings - A Geometric Perspective]]_
{#CastellaniDAuriaFre}

A more explicit discussion of this in terms of [[super L-infinity algebra]] [[homotopy theory]] is in 

* [[Domenico Fiorenza]], [[Hisham Sati]], [[Urs Schreiber]], _[[schreiber:The brane bouquet|Super Lie n-algebra extensions, higher WZW models and super p-branes with tensor multiplet fields]]_
 {#FSS13}


