
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Operator algebra
+-- {: .hide}
[[!include AQFT and operator algebra contents]]
=--
#### Noncommutative geometry
+-- {: .hide}
[[!include noncommutative geometry - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

Given a nonunital [[C*-algebra]] $A$, the _multiplier algebra_ $M(A)$ is the maximal unital extension of $A$ in which $A$ is an [[essential ideal]] (an ideal having nonzero intersection with any other proper ideal). In the [[commutative ring|commutative]] case, every unital commutative extension in which $A$ is an essential ideal corresponds to a [[compactification]] of the [[spectrum]] $Spec(A)$; $M(A)$ is in that case the $C^*$-algebra of functions on the [[Stone–Čech compactification]] $\beta(Spec(A))$.


## Definition

The __multiplier algebra__ $M(A)$ of a (not necessarily unital) $C^*$-algebra $A$ is the $C^*$-algebra satisfying the following [[universal property]]: 
for any $C^*$-algebra $B$ containing $A$ as an ideal, there exists a unique $*$-homomorphism $\phi:B\to M(A)$ such that $\phi$ extends the identity homomorphism on $A$ and 
$\phi(A^\perp)=\{0\}$.

The multiplier algebra $M(A)$ can be realized as the set of 2-sided multipliers in the [[enveloping von Neumann algebra]] of $A$. If $A\subset B$, $b\in B$ is a multiplier (operator) for $A$ if $\forall a\in A$, $b a\in A$ and $a b\in A$.

Of course, if $A$ is already unital, then $M(A) = A$.


## Related concepts

There are also larger [[local multiplier algebra]]s $M_{loc}(A)$.


## Literature

* [[eom]]: Gert K. Pedersen, [multiplier algebra](http://www.encyclopediaofmath.org/index.php/Multipliers-of-C*-algebras) 

* wikipedia: [multiplier algebra](http://en.wikipedia.org/wiki/Multiplier_algebra)

* Ch.A. Akemann, G.K. Pedersen, J. Tomiyama, _Multipliers of $C^*$-algebras_, J. Funct. Anal. __13__ (1973) 277–301 [MR470685](http://www.ams.org/mathscinet-getitem?mr=470685)

* Paul Skoufranis, _An introduction to multiplier algebras_, [pdf](http://www.math.ucla.edu/~pskoufra/OANotes-MultiplierAlgebras.pdf)

* Corran Webster, _On unbounded operators affiliated with $C^*$-algebras_, J. Operator Theory __51__ (2004) 237-244 [dvi](http://corranwebster.com/Research/unbounded.dvi) [pdf](http://corranwebster.com/Research/unbounded.pdf) [ps](http://corranwebster.com/Research/unbounded.ps)

> We show that the multipliers of Pedersen's ideal of a $C^*$-algebra $A$ correspond to the densely defined operators on $A$ which are affiliated with $A$ in the sense defined by Woronowicz, and whose domains contain Pedersen's ideal. We also extend the theory of q-continuity developed by Akemann to unbounded operators and show that these operators correspond to self-adjoint operators affiliated with $A$. 

* S. L. Woronowicz, _$C^*$-algebras generated by unbounded elements_, [pdf](http://www.fuw.edu.pl/~slworono/PDF-y/GENER.pdf); _Unbounded operators in the context of $C^*$-algebras_, slides [pdf](http://www.siue.edu/MATH/BA2009/ABSTRACTS/lecture-Woronowicz.pdf‎)

* [[Bruce Blackadar]], _[[K-Theory for Operator Algebras]]_, Cambridge University Press 1998.

There is also a notion of multiplier Hopf algebra and even multiplier bimonoid and Hopf monoid:

* Gabriella Böhm, Stephen Lack, _Multiplier Hopf monoids_, [arxiv/1511.03806](http://arxiv.org/abs/1511.03806); _A category of multiplier bimonoids_, [arxiv/1509.07171](http://arxiv.org/abs/1509.07171)

category: operator algebras, noncommutative geometry, analysis

[[!redirects multiplier algebra]]
[[!redirects multiplier algebras]]
