
> under construction

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebraic Quantum Field Theory
+--{: .hide}
[[!include AQFT and operator algebra contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

In [[perturbative quantum field theory]] the _quantum master Ward identity_ (def. \ref{OnRegularPolynomialObservablesMasterWardIdentity} below) expresses the relation between the [[quantum field theory|quantum]] (measured by [[Planck's constant]] $\hbar$) [[interacting field theory|interacting]] (measured by the [[coupling constant]] $g$) [[equations of motion]] to the [[classical field theory|classical]] [[free field]] [[equations of motion]] at $\hbar, g\to 0$ (remark \ref{QuantumMasterEuqationRelatesQuantumInteractingELEquationsToClassicalFreeELEquations} below). As such it generalizes the [[Schwinger-Dyson equation]], to which it reduces for $g = 0$ (example \ref{QuantumMasterEuqationRelatesQuantumInteractingELEquationsToClassicalFreeELEquations} below) as well as the _classical master Ward equation_, which is the case for $\hbar = 0$ (example \ref{MasterWardIdentityClassical} below).

Applied to products of the [[equations of motion]] with any given [[observable]], the master Ward identity becomes a particular _Ward identity_.

This is of interest notably in view of [[Noether's theorem]], which says that every [[infinitesimal symmetry of the Lagrangian]] of, in particular, the given [[free field theory]], corresponds to a [[conserved current]], hence a [[horizontal differential form]] whose [[total spacetime derivative]] vanishes up to a term proportional to the [[equations of motion]]. Under [[transgression of variational differential forms|transgression]] to [[local observables]] this is a relation of the form

$$
  div \mathbf{J} = 0 \phantom{AAA} \text{on-shell}
  \,,
$$

where "on shell" means up to the ideal generated by the [[classical field theory|classical]] [[free field theory|free]] [[equations of motion]]. Hence for the case of [[local observables]] of the form $div \mathbf{J}$, the quantum Ward identity expresses the possible failure of the original [[conserved current]] to actually be conserved, due to both quantum effects ($\hbar$) and interactions ($g$). This is the form in which Ward identities are usually understood (example \ref{NoetherCurrentConservationQuantumCorrection} below).

In terms of [[BV-BRST formalism]], the master Ward identity is equivalent to the _[[quantum master equation]]_ on [[regular polynomial observables]] ([this prop.](quantum+master+equation#QuantumMasterEquation)). 

Neither of these equations is guaranteed to hold for any choice of [[renormalization|("re"-)normalization]]. If a Ward identity is violated by the [[renormalization|("re"-)normalized]] [[perturbative QFT]], specifically if there is no possible choice of [[renormalization|("re"-)normalization]] that preserves it, the one speaks of a _[[quantum anomaly]]_. Specifically if the [[conserved current]] corresponding to a [[gauge symmetry]] is _anomalous_ in this way, one speaks of a _[[gauge anomaly]]_.


## Details

### Before renormalization
 {#BeforeRenormalization}

+-- {: .num_defn #OnRegularPolynomialObservablesMasterWardIdentity}
###### Definition

Consider a [[free field theory|free]] [[gauge fixing|gauge fixed]] [[Lagrangian field theory]] $(E_{\text{BV-BRST}}, \mathbf{L}')$ ([this def.](A+first+idea+of+quantum+field+theory#GaugeFixingLagrangianDensity)) with global [[BV-differential]] on [[regular polynomial observables]] 

$$
  \{-S',(-)\}
  \;\colon\;
  PolyObs(E_{\text{BV-BRST}})_{reg}[ [\hbar] ]
    \longrightarrow
  PolyObs(E_{\text{BV-BRST}})_{reg}[ [\hbar] ]  
$$

([this def.](A+first+idea+of+quantum+field+theory#ComplexBVBRSTGlobal)).

Let moreover

$$
  g S_{int} 
   \;\in\; 
  PolyObs(E_{\text{BV-BRST}})_{reg}[ [ \hbar , g  ] ]
$$

be a [[regular polynomial observable]] (regarded as an [[adiabatic switching|adiabatically switched]] non-point-[[interaction]] [[action functional]]) such that the total action $S' + g S_{int}$ satisfies the [[quantum master equation]] ([this prop.](quantum+master+equation#QuantumMasterEquation)); and write

$$
  \mathcal{R}^{-1}(-)
  \;\coloneqq\;
  \mathcal{S}(g S_{int})^{-1} 
    \star_H 
  (\mathcal{S}(g S_{int}) \star_F (-))
$$

for the corresponding [[quantum Møller operator]] ([this def.](quantum+master+equation#MollerOperatorOnRegularPolynomialObservables)).

Then by [this prop.](quantum+master+equation#QuantumMasterEquation) we have

$$
  \label{OnRegularObservablesQuantumMasterWardIdentityViaTimeOrdered}
  \{-S',(-)\} \circ \mathcal{R}^{-1}   
  \;=\;
  \mathcal{R}^{-1}
  \left(
    \left\{ -(S' + g S_{int}) \,,\, (-) \right\}_{\mathcal{T}} 
    - 
    i \hbar   \Delta_{BV}
  \right)
$$

This is the _quantum master Ward identity_ on [[regular polynomial observables]], i.e. before [[renormalization]].

=--

([Rejzner 13, (37)](#Rejzner13))

+-- {: .num_remark #QuantumMasterEuqationRelatesQuantumInteractingELEquationsToClassicalFreeELEquations}
###### Remark
**([[quantum master Ward identity]] relates [[quantum field theory|quantum]] [[interacting field theory|interacting field]] [[equation of motion|EOMs]] to [[classical field theory|classical]] [[free field]] [[equation of motion|EOMs]])**

For $A \in PolyObs(E_{\text{BV-BRST}})_{reg}[ [ \hbar, g] ] $ the [[quantum master Ward identity]] on [[regular polynomial observables]] (eq:OnRegularObservablesQuantumMasterWardIdentityViaTimeOrdered) reads

$$
  \label{RearrangedMasterQuantumWard}
  \mathcal{R}^{-1}
  \left(
    \left\{ -(S' + g S_{int}) \,,\, A \right\}_{\mathcal{T}} 
    - 
    i \hbar   \Delta_{BV}(A)
  \right)
  \;=\;
  \{-S', \mathcal{R}^{-1}(A) \} 
$$

The term on the right is manifestly in the [[image]] of the global [[BV-differential]] $\{-S',-\}$ of the [[free field theory]] ([this def.](A+first+idea+of+quantum+field+theory#ComplexBVBRSTGlobal)) and hence vanishes when passing to [[on-shell]] observables along the [[isomorphism]] ([this equation](A+first+idea+of+quantum+field+theory#eq:OnShellPolynomialObservablesAsBVCohomology))

$$
  \underset{
    \text{on-shell}
  }{
  \underbrace{
    PolyObs(E_{\text{BV-BRST}}, \mathbf{L}')
  }}
  \;\simeq\;
  \underset{
    \text{off-shell}
  }{
  \underbrace{
    PolyObs(E_{\text{BV-BRST}})_{def(af = 0)}
  }}/im(\{-S',-\})
$$

(by [this example](A+first+idea+of+quantum+field+theory#BVDifferentialGlobal)).

Hence

$$
  \mathcal{R}^{-1}
  \left(
    \left\{ -(S' + g S_{int}) \,,\, A \right\}_{\mathcal{T}} 
    - 
    i \hbar   \Delta_{BV}(A)
  \right)
  \;=\;
  0
  \phantom{AAA}
  \text{on-shell}
$$

In contrast, the left hand side is the [[interacting field observable]] (via [this def.](S-matrix#MollerOperatorOnRegularPolynomialObservables)) of the sum of the [[time-ordered product|time-ordered]] [[antibracket]] with the [[action functional]] of the [[interacting field theory]] and a quantum correction given by the [[BV-operator]]. If we use the definition of the [[BV-operator]] $\Delta_{BV}$ ([this def.](BV-operator#RearrangedMasterWardWithOnShell)) we may equivalently re-write this as


$$
  \label{RearrangedMasterWardWithOnShell}
  \mathcal{R}^{-1}
  \left(
    \left\{ -S'  \,,\, A \right\}
    +
    \left\{ -g S_{int} \,,\, A  \right\}_{\mathcal{T}}
  \right)
  \;=\;
  0
  \phantom{AAA}
  \text{on-shell}
$$


Hence the [[quantum master Ward identity]] expresses a relation between the ideal spanned by the [[classical field theory|classical]] [[free field theory|free field]] [[equations of motion]] and the [[quantum field theory|quantum]] [[interacting field theory|interacting field]] equations of motion.  



=--

+-- {: .num_example #SchwingerDysonReductionOfQuantumMasterWardIdentity}
###### Example
**([[free field]]-limit of [[master Ward identity]] is [[Schwinger-Dyson equation]])**

In the [[free field]]-limit $g \to 0$ (noticing that in this limit $\mathcal{R}^{-1} = id$) the [[quantum master Ward identity]] (eq:OnRegularObservablesQuantumMasterWardIdentityViaTimeOrdered) reduces to

$$
  \left\{ -S'  \,,\, A \right\}_{\mathcal{T}} 
  - 
  i \hbar   \Delta_{BV}(A)
  \;=\;
  \{-S', A  \} 
$$

which is the defining equation for the [[BV-operator]] ([this equation](BV-operator#eq:BVOperatorDefiningRelation)), hence is isomorphic (under $\mathcal{T}$) to the [[Schwinger-Dyson equation]] ([this prop.](BV-operator#DysonSchwinger))

=--

+-- {: .num_example #MasterWardIdentityClassical}
###### Example
**([[classical limit]] of [[quantum master Ward identity]])**

In the [[classical limit]] $\hbar \to 0$ (noticing that the classical limit of $\{-,-\}_{\mathcal{T}}$ is $\{-,-\}$) the [[quantum master Ward identity]] (eq:OnRegularObservablesQuantumMasterWardIdentityViaTimeOrdered) reduces to

$$
  \mathcal{R}^{1}
  \left(
    \left\{ -(S' + g S_{int}) \,,\, A \right\} 
  \right)
  \;=\;
  \{-S', \mathcal{R}^{-1}(A) \} 
$$

This says that the [[interacting field observable]] corresponding to the global [[antibracket]] with the action functional of the [[interacting field theory]] vanishes on-shell, classically.

Applied to an observable which is [[linear map|linear]] in the [[antifields]]

$$
  A 
    \;=\; 
  \underset{\Sigma}{\int}
    A^a(x) 
    \mathbf{\Phi}^\ddagger_a(x)
  \, 
  dvol_\Sigma(x)
$$

this yields

$$
  \begin{aligned}
    0
    & =
    \{-S', \mathcal{R}^{-1}(A)\} 
    +
    \mathcal{R}^{-1}
    \left(
      \left\{ -(S' + S_{int}) \,,\, A \right\}_{\mathcal{T}}
    \right)
    \\
    & = 
    \underset{\Sigma}{\int} 
      \frac{\delta S'}{\delta \mathbf{\Phi}^a(x)} \mathcal{R}^{-1}(A^a(x))
    \, dvol_\Sigma(x)
    +   
    \mathcal{R}^{-1}
    \left(
      \underset{\Sigma}{\int}
          A^a(x) \frac{\delta (S' + S_{int})}{\delta \mathbf{\Phi}^a(x)}
        \, dvol_\Sigma(x)
    \right)
  \end{aligned}
$$

This is the _classical master Ward identity_ according to ([Dütsch-Fredenhagen 02](#DuetschFredenhagen02), [Brennecke-Dütsch 07, (5.5)](#BrennecketDuetsch07)), following ([Dütsch-Boas 02](#DuetschBoas02)).

=--

+-- {: .num_example #NoetherCurrentConservationQuantumCorrection}
###### Example
**(quantum correction to [[Noether's theorem|Noether current]] [[conserved current|conservation]])**

Let $v \in \Gamma^{ev}_\Sigma(T_\Sigma(E_{\text{BRST}}))$ be an [[evolutionary vector field]], which is an [[infinitesimal symmetry of the Lagrangian]] $\mathbf{L}'$, and let $J_{\hat v} \in \Omega^{p,0}_\Sigma(E_{\text{BV-BRST}})$ the corresponding [[conserved current]], by [[Noether's theorem|Noether's theorem I]] ([this prop.](A+first+idea+of+quantum+field+theory#NoethersFirstTheorem)), so that

$$  
  \begin{aligned}
    d J_{\hat v} 
    & =  
    \iota_{\hat v}  \delta \mathbf{L}'
    \\
    & = 
    (v^a dvol_\Sigma) \frac{\delta_{EL} L'}{\delta \phi^a}
    \phantom{AAA}
    \in 
    \Omega^{p+1,0}_\Sigma(E_{\text{BV-BRST}})
  \end{aligned}
$$

(by [this equation](A+first+idea+of+quantum+field+theory#eq:CurrentNoetherConservation)), where in the second line we just rewrote the expression in components (using [this equation](A+first+idea+of+quantum+field+theory#eq:EulerLagrangeEquationGeneral))

$$
  v^a
  \,,
  \frac{\delta_{EL} L'}{\delta \phi^a} 
  \;\in \Omega^{0,0}_\Sigma(E_{\text{BV-BRST}})
$$

and re-arranged suggestively.

Then for $a_{sw} \in C^\infty_{cp}(\Sigma)$ any choice of [[bump function]], we obtain the [[local observables]] 

$$
  \begin{aligned}
    A_{sw}
    & \coloneqq
    \underset{\Sigma}{\int}
      \underset{
        A^a(x)
      }{
      \underbrace{
        a_{sw}(x)
        v^a( \mathbf{\Phi}(x), D\mathbf{\Phi}(x), \cdots )
      }
      }
      \mathbf{\Phi}^\ddagger_a(x)
      \,
      dvol_\Sigma(x)
    \\ 
    & \coloneqq
    \tau_\Sigma( a_{sw}  v^a \phi^{\ddagger}_a \, dvol_\Sigma)
  \end{aligned}
$$

and


$$
  \begin{aligned}
    (div \mathbf{J})_{sw}
    & \coloneqq
    \underset{\Sigma}{\int}
      \underset{
        A^a(x)
      }{
      \underbrace{
        a_{sw}(x)
        v^a( \mathbf{\Phi}(x), D\mathbf{\Phi}(x), \cdots )
      }
      }
      \frac{\delta S'}{\delta \mathbf{\Phi}^a(x)}
      \,
      dvol_\Sigma(x)
    \\ 
    & \coloneqq
    \tau_\Sigma
    \left(
      a_{sw}  v^a \frac{\delta_{EL} \mathbf{L}'}{\delta \phi^a} 
      \, dvol_\Sigma  
    \right)
  \end{aligned}
$$

by [[transgression of variational differential forms]].

This is such that 

$$
  \left\{
    -S' , A_{sw}
  \right\}
  = 
  (div \mathbf{J})_{sw}
  \,.
$$

Hence applied to this choice of local observable $A$, the quantum master Ward identity (eq:RearrangedMasterWardWithOnShell) now says that 

$$
  \mathcal{R}^{-1}
  \left(
    {\, \atop \,}
    (div \mathbf{J})_{sw}
  \right)
  \;=\;
  \mathcal{R}^{-1}
  \left(
      \{g S_{int}, A_{sw} \}_{\mathcal{T}}

    {\, \atop \,}
  \right)
    \phantom{AAA}
  \text{on-shell}
$$

Hence the [[interacting field observable]]-version $\mathcal{R}^{-1}(div\mathbf{J})$ of $div \mathbf{J}$ need not vanish itself on-shell, instead there may be a correction as shown on the right.

=--


## Examples

* [[chiral anomaly]]

* [[conformal blocks]]

## References

Named after _[[John Clive Ward]]_.

Discussion in the rigorous context of [[relativistic field theory|relativistic]] [[perturbative quantum field theory]] formulated via [[causal perturbation theory]]/[[perturbative AQFT]] is in

* {#DuetschBoas02} [[Michael Dütsch]], F.-M. Boas, _The Master Ward Identity_, Rev. Math. Phys 14, (2002) 977-1049 ([pdf](http://cds.cern.ch/record/526377/files/0111101.pdf))

* {#DuetschFredenhagen02} [[Michael Dütsch]], [[Klaus Fredenhagen]], equation (90) in _The Master Ward Identity and Generalized Schwinger-Dyson Equation in Classical Field Theory_, Commun.Math.Phys. 243 (2003) 275-314 ([arXiv:hep-th/0211242](https://arxiv.org/abs/hep-th/0211242))

* {#BrennecketDuetsch07} Ferdinand Brennecke, [[Michael Dütsch]], equation (5.5) in  _Removal of violations of the Master Ward Identity_, in perturbative QFT, Rev.Math.Phys. 20 (2008) 119-172 ([arXiv:https://arxiv.org/abs/0705.3160](https://arxiv.org/abs/0705.3160))

* {#Hollands07} [[Stefan Hollands]], around (322) and (333) and (345) of _Renormalized Quantum Yang-Mills Fields in Curved Spacetime_, Rev. Math. Phys.20:1033-1172, 2008 ([arXiv:0705.3340](https://arxiv.org/abs/0705.3340))

* {#Rejzner11} [[Katarzyna Rejzner]], section 5.3 of _Batalin-Vilkovisky formalism in locally covariant field theory_ ([arXiv:1111.5130](https://arxiv.org/abs/1111.5130))

* {#Rejzner13} [[Katarzyna Rejzner]], equation (37) of _Remarks on local symmetry invariance in perturbative algebraic quantum field theory_ ([arXiv:1301.7037](https://arxiv.org/abs/1301.7037))

* {#Duetsch18} [[Michael Dütsch]], equation (4.2) of _[[From classical field theory to perturbative quantum field theory]]_, 2018

See also

* Wikipedia, _[Ward-Takahashi identity](http://en.wikipedia.org/wiki/Ward%E2%80%93Takahashi_identity)_

[[!redirects Ward identities]]


[[!redirects Ward–Takahashi identity]]
[[!redirects Ward–Takahashi identities]]

[[!redirects classical master Ward identity]]
[[!redirects classical master Ward identities]]

[[!redirects quantum master Ward identity]]
[[!redirects quantum master Ward identities]]

[[!redirects master Ward identity]]
[[!redirects master Ward identities]]

[[!redirects quantum Ward identity]]
[[!redirects quantum Ward identities]]

