
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Topology
+--{: .hide}
[[!include topology - contents]]
=--
#### Higher category theory
+-- {: .hide}
[[!include higher category theory - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Definition

### For topological spaces

A [[topological space]] $X$ is **contractible** if the canonical map $X \to \ast$ is a [[homotopy equivalence]]. It is **weakly contractible** is this map is a [[weak homotopy equivalence]], hence if all [[homotopy groups]] of $X$ are trivial.

Where the [[Whitehead theorem]] does not apply, we may find examples of weakly contractible but not contractible spaces, such as the [double comb space](http://topospaces.subwiki.org/wiki/Double_comb_space) in [[Top]].

### For $\infty$-groupoids

Since the [[Whitehead theorem]] applies in [[∞Grpd]] (and generally in any [[hypercomplete (∞,1)-topos]]), being weakly equivalent to the point is the same as there being a contraction. So an [[∞-groupoid]] is **weakly contractible** if and only if it is **contractible**.

$$
  (C \;\text{is weakly contractible}) \Leftrightarrow
  (C \stackrel{\simeq}{\to} *)
  \,.
$$

In this context one tends to drop the "weakly" qualifier.

Sometimes one allows also the empty object $\emptyset$ to be contractible. To distinguish this, we say

* an $\infty$-groupoid is **(-1)-[[truncated]]** (is a [[(-1)-groupoid]]) if it is either empty or equivalent to the point;

* an $\infty$-groupoid is **(-2)-[[truncated]]** (is a [[(-2)-groupoid]]) if it is equivalent to the point.


## Related concepts

* [[locally contractible space]]

* [[contractible chain complex]]

* [[contractible type]]

[[!include homotopy n-types - table]]


[[!redirects contractible]]

[[!redirects contractible space]]
[[!redirects contractible spaces]]

[[!redirects weakly contractible space]]
[[!redirects weakly contractible spaces]]

[[!redirects contractible topological space]]
[[!redirects contractible topological spaces]]

[[!redirects weakly contractible topological space]]
[[!redirects weakly contractible topological spaces]]

[[!redirects contractible homotopy type]]
[[!redirects contractible homotopy types]]

[[!redirects weakly contractible homotopy type]]
[[!redirects weakly contractible homotopy types]]
