
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--

# Topological states of matter
* table of contents
{: toc}

## Idea

We include here a phase of matter which is, at long distance
and low energy, described by a [[topological quantum field theory]] (invariant under small smooth deformations of space-time) as well as the phases related to [[symmetry protected trivial order]]s (SPT orders). For the first see [[topological order]]. The ground state is typically degenerate (for reasonably nontrivial orders).

Examples of topological states of matter: [[quantum Hall effect]], [[topological insulator]], [[quantum spin Hall effect]]

* applications in [[graphene]], [[topological quantum computing]], study of [[entanglement]] etc. 

Involves study of symmetry breaking, tensor categories, K-theory classification

## Relation between SPT order and topological order

This entry refers both [[topological order]] and [[SPT order]], and here is an comparison between them.

* Both [[topological order]] and [[SPT order]] are beyond Landau symmetry breaking theory.

* [[SPT state]]s are short-range entangled while [[topological order|topologically ordered]] states are long-range entangled. 

* Topologically ordered states have emergent fractional charge, emergent fractional statistics, and emergent gauge theory. In contrast, SPT states have no emergent fractional charge/fractional statistics for finite-energy excitations, nor emergent gauge theory (due to their short-ranged entanglement).

* SPT orders are described by group cohomology theory while [[topological order]]s are
described by n-category theory. The SPT orders for free fermions are described by K-theory.

## Literature

Related entries: [[TQFT]], [[quantum computing]], [[quantum Hall effect]], [[topological order]],[[modular tensor category]], [[quantum spin Hall effect]], [[entanglement]]

### Reviews

* wikipedia [topological insulator](http://en.wikipedia.org/wiki/Topological_insulator), [topological order](http://en.wikipedia.org/wiki/Topological_order)
* [[Xiao-Gang Wen]], _Topological Orders and Edge Excitations in FQH States_,
Advances in Physics 44, 405 (1995). [cond-mat/9506066](http://arxiv.org/abs/cond-mat/9506066). (for topological order)
* Chetan Nayak, Steven H. Simon, Ady Stern, [[Michael Freedman|M. Freedman]], Sankar Das Sarma, _Non-Abelian anyons and topological quantum computation_, Rev Mod Phys __80__:3 (Aug 2008) 1083–1159 [MR2009g:81041](http://www.ams.org/mathscinet-getitem?mr=2443722) [doi](http://dx.doi.org/10.1103/RevModPhys.80.1083) (for topological order)
* [M. Z. Hasan](http://www.princeton.edu/physics/people/display_person.xml?netid=mzhasan), C. L. Kane, _Topological insulators_, Reviews of Modern Physics __82__ (4): 3045 (2010) [arXiv:1002.3895](http://arxiv.org/abs/1002.3895) [doi](http://dx.doi.org/10.1103%2FRevModPhys.82.3045) (for topological insulator)
* C. L. Kane, _An insulator with a twist_, Nature physics __4__, May 2008, [pdf](http://www.physics.upenn.edu/~kane/pubs/p59.pdf) (for topological insulator)
* Class for Physics of the Royal Swedish Academy of Sciences, _Topological phase transitions and topological phases of matter_, Scientific Background on the Nobel Prize in Physics 2016, (2+)26 pages, [pdf](http://www.nobelprize.org/nobel_prizes/physics/laureates/2016/advanced-physicsprize2016.pdf)

### Early discovery articles

* [[Xiao-Gang Wen]], Qian Niu,  [_Ground state degeneracy of the FQH states in presence of random potential and on high genus Riemann surfaces_](http://dao.mit.edu/~wen/pub/topWN.pdf), Phys. Rev. B41, 9377 (1990) (for topological order described by [[TQFT]])
* E. Keski-Vakkuri, [[Xiao-Gang Wen]], [Ground state structure of hierarchical QH states on torus and modular transformation](http://dao.mit.edu/~wen/pub/kw.pdf)
Int. J. Mod. Phys. B7, 4227 (1993). (for topological order described by [[TQFT]]) 
* Liang Fu, C. L. Kane, _Topological insulators with inversion symmetry_, Physical Review B 76 (4): 045302. [arXiv:cond-mat/0611341](http://arxiv.org/abs/cond-mat/0611341) [doi](http://dx.doi.org/10.1103%2FPhysRevB.76.045302); _Superconducting proximity effect and Majorana fermions at the surface of a topological insulator_, Phys. Rev. Lett. __100__: 096407, [arXiv:0707.1692](http://arxiv.org/abs/0707.1692) [doi](http://dx.doi.org/10.1103%2FPhysRevLett.100.096407) (for topological insulator, a special case of SPT states)
* B. Andrei Bernevig, Taylor L. Hughes, Shou-Cheng Zhang, _Quantum spin Hall effect and topological phase transition in HgTe quantum wells_, Science 15 December 2006: __314__, n. 5806, pp. 1757-1761 [doi](http://dx.doi.org/10.1126/science.1133734) (for topological insulator, a special case of SPT states)
 
### Classification and symmetries

* [[Michael Levin]], [[Xiao-Gang Wen]], _String-net condensation: A physical mechanism for topological phases_, Phys. Rev. B, 71, 045110 (2005). (uses unitary [[fusion category]] to classify 2+1D topological order with gapped boundary)
* Alexei Kitaev, _Periodic table for topological insulators and superconductors_, Proc. L.D.Landau Memorial Conf. "Advances in Theor. Physics", June 22-26, 2008, Chernogolovka, Russia, [arxiv/0901.2686](http://arxiv.org/abs/0901.2686) (uses [[K-homology]], [[Bott periodicity]] etc. to classify free fermion gapped phases with symmetry)
* Xie Chen, Zheng-Cheng Gu, Zheng-Xin Liu, Xiao-Gang Wen, _Symmetry protected topological orders and the group cohomology of their symmetry group_, [arXiv:1106.4772](http://arxiv.org/abs/1106.4772); A short version in Science __338__, 1604-1606 (2012) [pdf](http://dao.mit.edu/~wen/pub/dDSPTsht.pdf) (uses [[group cohomology]] of the symmetry group to classify gapped interacting bosonic states  with symmetry and trivial topological order)

* {#FreedMoore12} [[Daniel Freed]], [[Gregory Moore]], _Twisted equivariant matter_, [arxiv/1208.5055](http://arxiv.org/abs/1208.5055) (uses [[equivariant K-theory]] to classify free fermion gapped phases with symmetry)

* Juven Wang, Zheng-Cheng Gu, [[Xiao-Gang Wen]], _Field theory representation of gauge-gravity symmetry-protected topological invariants, group cohomology and beyond_, [arxiv:1405.7689](https://arxiv.org/abs/1405.7689), [Phys. Rev. Lett. 114, 031601 (2015)](http://journals.aps.org/prl/abstract/10.1103/PhysRevLett.114.031601)

* {#Freed14} [[Daniel Freed]], _Short-range entanglement and invertible field theories_ ([arXiv:1406.7278](http://arxiv.org/abs/1406.7278))

* Guo Chuan Thiang, _On the K-theoretic classification of topological phases of matter_,
[arXiv:1406.7366](http://arxiv.org/abs/1406.7366)

* [[Edward Witten]], _Fermion path integrals and topological phases_, [arxiv/1508.04715](http://arxiv.org/abs/1508.04715)

* Ping Ye, _(3+1)d anomalous twisted gauge theories with global symmetry_, [arxiv/1610.08645](https://arxiv.org/abs/1610.08645)


### Other articles

* N. Read, Subir Sachdev, _Large-N expansion for frustrated quantum antiferromagnets_, Phys. Rev. Lett. 66 1773 (1991)
* [[Xiao-Gang Wen]], _Mean Field Theory of Spin Liquid States with Finite Energy Gap and Topological orders_, Phys. Rev. B 44 2664 (1991).
* Alexei Yu. Kitaev, _Fault-tolerant quantum computation by anyons_, Annals of Physics __303__:1, January 2003; _Anyons in an exactly solved model and beyond_, Annals of Physics __321__:1, January 2006
* A. Kitaev, C. Laumann, _Topological phases and quantum computation_, [arXiv/0904.2771](http://arxiv.org/abs/0904.2771)
* Alexei Kitaev, John Preskill, _Topological entanglement entropy_, Phys. Rev. Lett. __96__, 110404 (2006)
* M. Levin, X-G. Wen, _Detecting topological order in a ground state wave function_, Phys. Rev. Letts.,96(11), 110405, (2006)
* Jan Carl Budich, Björn Trauzettel, _From the adiabatic theorem of quantum mechanics to topological states of matter_, physica status solidi (RRL) 7, 109 (2013) [arXiv:1210.6672](http://arxiv.org/abs/1210.6672)
* [[zoranskoda:Kumar S. Gupta]], Amilcar Queiroz, _Anomalies and renormalization of impure states in quantum theories_, Modern Physics Letters __A29__:13 (2014) [arxiv/1306.5570](http://arxiv.org/abs/1306.5570) [doi](http://dx.doi.org/10.1142/S0217732314500643)
* Yosuke Kubota, _Controlled topological phases and bulk-edge correspondence_, [arxiv/1511.05314](http://arxiv.org/abs/1511.05314)
 

### Research groups

* Univ. of Maryland, [joint quantum institute](http://jqi.umd.edu/research/topological-matter)
* [Topology and correlation in condensed matter](http://tccm.pks.mpg.de) (Germany)
* [Center for topological matter](https://sites.google.com/site/ctmsrc) (Korea)
* [Microsoft Research Station Q](http://research.microsoft.com/en-us/labs/stationq) (KITP, Santa Barbara)

### Conference and seminar cycles

* seminar in Koeln [Topological states of matter](http://www.thp.uni-koeln.de/trebst/Lectures/2012-TopoSeminar.html)
* Topological Phases of Matter: Simons Center, June 10-14, 2013, videos [available](http://scgp.stonybrook.edu/archives/3464)
* A. Kitaev, _On the classification of short-range entangled states_, [video](http://scgp.stonybrook.edu/archives/7874)

* CECAM 2013, Topological Phases in Condensed Matter and Cold Atom Systems: towards quantum computations [description](http://www.cecam.org/workshop-867.html)


[[!redirects topological matter]]
[[!redirects topological state of matter]]
[[!redirects topological states of matter]]
[[!redirects topological phase of matter]]
[[!redirects topological phases of matter]]
