+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

_Time_ is what passes along a [[time-like curve]]. The [[pseudo-Riemannian manifold|pseudo-Riemannian]] [[volume]] of a piece of such curve is the _proper time_.

## Philosophy of Time

Much debate here has focused on the rival pictures of time present by '$A$ series' and 'B series' views (see [SEP: Time](http://plato.stanford.edu/entries/time/)). The $A$ series view sees time as something that flows or passes, and privileges the particularity of the present moment. The $B$ series takes all moments to have equal ontological status. '$A$ properties' make reference to the present (20 years ago, next week), while '$B$ properties' only invoke relational notions of before and after (1987, the first Sunday after this year's Spring equinox). 

$B$-theorists claim they have science on the side, in particular the [[theory of general relativity]] viewing the world as a four-dimensional manifold. $A$-theorists may maintain that the $B$-theory makes no sense of the lived dynamic experience of cause and change.


##Connes on the Emergence of Time

* [Temps et Al&#233;a du Quantique](https://www.youtube.com/watch?v=ODAngTW8deg), IHES, April 2015. (English)
&gt; When I was in preparatory school, my teacher asked me (...) "what is a variable?". I reflected and reflected, and after a while, I said "time". (...) The topic of my talk is that I believe we are all used, because of our constitution and so on, to attribute variability to the passing of time. The thesis which I will propose and try to back with mathematical results is the following: I believe that the true variability is [[quantum]], and that the true variability is the fact that when you take a quantum observable it doesn't have a single value, but it has many possible values which are given by the [[spectrum]] of the [[operator]], plus the fact that [[discrete]] variables cannot coexist with [[continuous function|continuous]] variables without the quantum formalism. I will explain how time emerges from these facts. I have never tried to explain this idea, I know it's difficult, and its difficult because in my mind it is backed up by an intuition which comes from many years of work, and this is the most difficult thing to transmit. (...) How to explain this? (...) The answer I believe comes from [[von Neumann]] (suitably implemented and very much ameliorated). (...) In the 40's and 50's [[von Neumann]] was asking what does it mean to have a subsystem? What does it mean that somehow, the [[Hilbert space]] in which you work is a Hilbert space in which you have partial knowledge of things because the system is a composite system and there is a part of the system which you know and a part which you ignore? What von Neumann was trying to understand was factorizations. (gives lecture on factorizations...) By the way, I should say that this is why I spent many years studying [[Noncommutative Geometry]]: the simplest geometric origin of von Neumann factorization is [[foliations]]. If you take the simplest [[foliation]] (well, I don't know if it's the simplest), the [???] [[foliation]] of the [[sphere bundle]] of a [[Riemann surface]], you get the most exotic factorization of [[von Neumann]] (type III1).

## Related concepts

* [[frequency]]

* [[second]], [[year]]

* [[space]]

* [[spacetime]]

* [[mass]]

## References

* Wikipedia, _[Proper time](http://en.wikipedia.org/wiki/Proper_time)_

[[!redirects proper time]]
