
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Representation theory
+-- {: .hide}
[[!include representation theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A _BGG resolution_ is a certain [[projective resolution]] of certain [[representations]].

More in detail, give a finite dimensional semisimple complex [[Lie algebra]] $\mathfrak{g}$ with [[Cartan subalgebra]] $\mathfrak{h}$, and a positive [[root system]], and let $P^+\subset \mathfrak{h}^*$ be the set of dominant integral [[weights]]. Then for every $\lambda\in P^+$ consider the corresponding finite dimensional left $U(\mathfrak{g})$-[[module]] $L(\lambda)$. Certain [[resolutions]] of $L(\lambda)$ are defined in a series of papers of Bernstein, Gel'fand and Gel'fand ([BBG 7x](#BBG7x)) and are now called _BGG resolutions_. There are also generalizations, e.g. for Kac-Moody algebras.

These resolutions have a natural incarnation in terms of [[complexes]] of sections of [[tractor bundles]] over [[flag varieties]] or more generally over [[homogeneous space|homogeneous]] [[parabolic geometry|parabolic]] [[Klein geometries]]. As such, there are generalizations of the construction to more general [[parabolic geometry|parabolic]] [[Cartan geometries]], called _curved BGG sequences_. See for instance ([Calderbank-Diemer 00, theorem 3.6](#CalderbankDiemer00)).

BGG resolutions may be used to construct [[resolutions]] of sheaves of constant functions on [[Klein geometries]]/[[coset space]] $G/H$ that are more efficient (smaller) that the general resolution given by the [[de Rham complex]] (the [[Poincare lemma]]). In this way BGG resolutions are used notably for computation in [[Leray spectral sequences]] as they appear in [[Penrose transforms]] ([Baston-Eastwood 89, chapter 8](#BastonEastwood89)).

## Properties

### Curved $A_\infty$-Structure

Under a [[cup product]] the BGG sequence becomes a [[curved A-infinity algebra]]. ([Calderbank-Diemer 00, section 6](#CalderbankDiemer00))

## Related concepts

* [[Verma module]]

* [[parabolic geometry]]

## References

### Original case over flag variety

* [[eom]]: Alvany Rocha, [BGG resolution](http://www.encyclopediaofmath.org/index.php?title=BGG_resolution&oldid=14028); wikipedia, [category O](http://en.wikipedia.org/wiki/Category_O)

* {#BBG7x} I.N. Bernstein, [[I. M. Gelfand]], S. I. Gelfand, _Structure of representations generated by vectors of highest weight_, Funkts. Anal. Prilozh. __5__: 1 (1971) pp. 1&#8211;9; _A certain category of -modules_, Funkts. Anal. Prilozh. __10__: 2 (1976) pp. 1&#8211;8; _Differential operators on the base affine space and a study of $\mathfrak{g}$-modules), I.M. Gelfand (ed.), Lie groups and their representations, Proc. Summer School on Group Representations, Janos Bolyai Math. Soc.& Wiley (1975) pp. 39&#8211;64

* James E. Humphreys, _Representations of semisimple Lie algebras in the BGG category $\mathcal{O}$_, 2008, [pdf](http://www.math.umass.edu/~jeh/bgg/main.pdf)

* M. Falk, V. Schechtman, A. Varchenko, _BGG resolutions via configuration spaces_, [arxiv/1309.7811](http://arxiv.org/abs/1309.7811)

> We study the blow-ups of configuration spaces. These spaces have a structure of what we call an Orlik-Solomon manifold; it allows us to compute the intersection cohomology of certain flat connections with logarithmic singularities using some Aomoto type complexes of logarithmic forms. Using this construction we realize geometrically the $sl_2$ Bernstein - Gelfand - Gelfand resolution as an Aomoto complex. 

* Sergey Arkhipov, _A new construction of the semi-infinite BGG resolution_, [q-alg/9605043](http://arxiv.org/abs/q-alg/9605043)

Discussion in the context of the [[Penrose transform]] includes

* Michael Eastwood, _Variations on the de Rham complex_, Notices Amer. Math. Soc. __46__ (1999), no. 11, 1368&#8211;1376 [pdf](http://www.ams.org/notices/199911/fea-eastwood.pdf) 

* {#BastonEastwood89} R. J. Baston, M. G. Eastwood, _The Penrose transform_, Oxford Univ. Press, New York, 1989; [MR92j:32112](http://www.ams.org/mathscinet/search/publdoc.html?r=1&pg1=CNO&s1=1038279)


### Curved generalization to parabolic Cartan geometries
 {#ReferencesCurved}

The generalization from [[coset spaces]] to [[parabolic geometry|parabolic]] [[Cartan geometries]] (curved BGG sequences) is discussed in

* {#Baston90} R. J. Baston, _Verma modules and differential conformal invariants_, J. Diff. Geom. 32 (1990) 851&#8211;898.

* [[Andreas Čap]], [[Jan Slovák]], [[Vladimír Souček]], _Bernstein-Gelfand-Gelfand sequences_, ESI preprint 722 (1999).

* [[Andreas Čap]], [[Jan Slovák]], [[Vladimír Souček]], _Bernstein-Gelfand-Gelfand sequences_, Ann. Math. (II) __154__:1 (2001) pp. 97-113 ([jstor](http://www.jstor.org/stable/3062111))

* {#CalderbankDiemer00} [[David Calderbank]], Tammo Diemer, _Differential invariants and curved Bernstein-Gelfand-Gelfand sequences_, J.Reine Angew.Math. 537 (2001) 67-103 ([arXiv:math/0001158](http://arxiv.org/abs/math/0001158))
 
* {#CapSoucek07} [[Andreas Čap]], [[Vladimír Souček]], _Curved Casimir operators and the BGG machinery_, SIGMA __3__, 2007, 111 ([arxiv:0708.3180](http://arxiv.org/abs/0708.3180) [doi](http://dx.doi.org/10.3842/SIGMA.2007.111))





category: representation theory

[[!redirects BGG resolutions]]
[[!redirects Bernstein-Gelfand-Gelfand resolution]]

[[!redirects BGG sequence]]
[[!redirects BGG sequences]]