
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Functional analysis
+-- {: .hide}
[[!include functional analysis - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Definition

A _positive operator_ is a [[linear operator]] $A$ on a [[Hilbert space]] $(H, \langle -,-\rangle)$ such that the [[quadratic form]]

$$
  v \mapsto \langle v, A v\rangle
$$

for $v \in H$ is [[positive quadratic form|positive]].

+-- {: .num_prop}
###### Proposition

Every positive operator $A$ on a Hilbert space is [[self-adjoint operator|self-adjoint]].

=--

+-- {: .proof}
###### Proof
Let $B = \frac{1}{2}(A + A^\dagger)$ and $C = \frac{1}{2}i(A^\dagger - A)$.
Then $B$ and $C$ are self-adjoint, and $A = B + iC$.  Now, $\langle v, A v \rangle = \langle v, B v \rangle + i \langle v, C v \rangle$ is real for any $v$, so $\langle v, C v \rangle = 0$ for all $v$.  Hence $C = 0$ and $A = B$.
=--


More generally:

+-- {: .un_defn}
###### Definition
An element $A$ of an (abstract) [[C*-algebra]] is called **positive** if it is [[self-adjoint operator|self-adjoint]] and its [[spectrum of an operator|spectrum]] is contained in $[0, \infinity)$.
=--

Here, 'positive' means positive semidefinite; see at [[inner product]] for the family of variations of this notion.  (The relevant inner product here is that associated with the quadratic form above: $v, w \mapsto \langle v, A w\rangle$.)


## Related concepts

* [[self-adjoint operator]]

* [[state on an operator algebra]]

* [[density matrix]]

* [[quantum effect]]

* [[quantum operation]]


[[!redirects positive operator]]
[[!redirects positive operators]]
