
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--

# Symmetry-protected trivial order
* table of contents
{: toc}

## Idea

**Symmetry Protected Trivial order (SPT order)** (also known as **Symmetry Protected Topological order**) is a new kind of order in zero-temperature [[solid state physics|states of matter]] that have a [[symmetry]] and a finite energy gap. The SPT order has the following defining properties:

1. distinct SPT states with a given symmetry cannot be smoothly deformed into each other without a [[phase transition]], if the deformation preserves the symmetry.
1. however, they all can be smoothly deformed into the same trivial product state without a phase transition, if the symmetry is broken during the deformation.

Using the notion of quantum entanglement, we can say that SPT states are short-range [[entanglement|entangled states]] with a symmetry.  
Using the notion of [[topological order]], we can say that SPT states are symmetric states with trivial [[topological order]].


## Examples of SPT order

The first example of SPT order is the Haldane phase of spin-1 chain. It is a SPT phase protected by the $SO(3)$ spin [[rotation group]] symmetry. Another example of SPT order is the [[topological insulator]] of non-interacting fermions, a SPT phase protected by U(1) and time reversal symmetry.

## Group cohomology theory for SPT phases

Recently, it was shown that the bosonic SPT orders are described by [[group cohomology]] theory: **d+1D SPT states with on-site symmetry G are labeled by the elements in group cohomology class $H^{d+1} [G, U(1)]$.** It was also shown that the fermionic SPT orders are described by group super-cohomology theory. 

So the group (super-)cohomology theory may allow us to classify all SPT orders even for interacting systems, which include interacting topological insulator/superconductor.

## SPT phases in free fermion systems

Free fermion system can also have non-trivial SPT phases, such as [[topological insulator]]s and topological superconductors. Those free fermion SPT phases are classified by K-theory.

## Related concepts

* [[protection from quantum corrections]]

## References

Related entries: [[TQFT]], [[topological order]], [[group cohomology]], [[entanglement]]

#### Reviews

* [SPT order](http://en.wikipedia.org/wiki/Symmetry_protected_topological_order)

#### Classification for bosonic SPT phases

Discussion via [[higher dimensional WZW models]] is in

* {#CGLW11} Xie Chen, Zheng-Cheng Gu, Zheng-Xin Liu, [[Xiao-Gang Wen]], _Symmetry protected topological orders and the group cohomology of their symmetry group_, Phys. Rev. B 87, 155114 (2013) [arXiv:1106.4772](http://arxiv.org/abs/1106.4772); A short version in Science __338__, 1604-1606 (2012) [pdf](http://dao.mit.edu/~wen/pub/dDSPTsht.pdf)

#### Classification for free fermion SPT phases

* {#FreedMoore12} [[Daniel S. Freed]], [[Gregory Moore|Gregory W. Moore]], _Twisted equivariant matter_, Annales Henri Poincar&#233; December 2013, Volume 14, Issue 8, pp 1927&#8211;2023 [arxiv/1208.5055](http://arxiv.org/abs/1208.5055) (uses [[equivariant K-theory]])

* Alexei Kitaev, _Periodic table for topological insulators and superconductors_, Proc. L.D.Landau Memorial Conf. "Advances in Theor. Physics", June 22-26, 2008, Chernogolovka, Russia, [arxiv/0901.2686](http://arxiv.org/abs/0901.2686) (uses [[K-homology]], [[Bott periodicity]] etc.)


#### Early discovery articles

* Zheng-Cheng Gu, [[Xiao-Gang Wen]], Tensor-Entanglement-Filtering Renormalization Approach and Symmetry Protected Topological Order , Phys. Rev. B80, 155131 (2009); 
* Frank Pollmann, Erez Berg, Ari M. Turner, Masaki Oshikawa, Symmetry protection of topological order in one-dimensional quantum spin systems , Phys. Rev. B85, 075125 (2012).
* Xie Chen, Zheng-Xin Liu, [[Xiao-Gang Wen]], 2D symmetry protected topological orders and their protected gapless edge excitations Phys. Rev. B 84, 235141 (2011); 
* Zheng-Cheng Gu, [[Xiao-Gang Wen]], [Symmetry-protected topological orders for interacting fermions -- fermionic topological non-linear sigma-models and a group super-cohomology theory](http://arxiv.org/abs/1201.2648)



#### Other articles

* Michael Levin, Zheng-Cheng Gu, Braiding statistics approach to symmetry-protected topological phases, Phys. Rev. B 86, 115109 (2012), arXiv:1202.3120.
* Yuan-Ming Lu, Ashvin Vishwanath, Theory and classification of interacting 'integer' topological phases in two dimensions: A Chern-Simons approach, Phys. Rev. B 86, 125119 (2012), arXiv:1205.3156.
* Davide Gaiotto, Theo Johnson-Freyd, _Symmetry protected topological phases and generalized cohomology_, [arxiv/1712.07950](https://arxiv.org/abs/1712.07950)

#### Conference and seminar cycles

* seminar in Koeln [Topological states of matter](http://www.thp.uni-koeln.de/trebst/Lectures/2012-TopoSeminar.html)
* Topological Phases of Matter: Simons Center, June 10-14, 2013, videos [available](http://scgp.stonybrook.edu/archives/3464)
* A. Kitaev, _On the classification of short-range entangled states_, [video](http://scgp.stonybrook.edu/archives/7874)

[[!redirects symmetry protected trivial order]]
[[!redirects symmetry protected trivial orders]]
[[!redirects symmetry-protected trivial order]]
[[!redirects symmetry-protected trivial orders]]
[[!redirects symmetry protected topological order]]
[[!redirects symmetry protected topological orders]]
[[!redirects symmetry-protected topological order]]
[[!redirects symmetry-protected topological orders]]
[[!redirects SPT order]]
[[!redirects SPT orders]]

[[!redirects SPT state]]
[[!redirects SPT states]]
[[!redirects SPT phase]]
[[!redirects SPT phases]]