
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Homotopy theory
+--{: .hide}
[[!include homotopy - contents]]
=--
#### Arithmetic geometry
+--{: .hide}
[[!include arithmetic geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea
 {#Idea}

A basic fact in [[number theory]] is that the [[natural numbers]] may be decomposed into the [[rational numbers]] and the [[p-adic integers]] for all [[prime numbers]] $p$. Dually  in [[arithmetic geometry]] this says that [[Spec(Z)]] has a [[cover]] by all its [[formal disks]] and the complements of finitely many points, a fact that is crucial in the geometric interpretation of the [[function field analogy]] and which motivates for instance the [[geometric Langlands correspondence]]. (See [below](#ArithmeticFractureSquares).)

Lifting this statement to [[stable homotopy theory]] and "[[higher arithmetic geometry]]" the _arithmetic fracture theorem_ says that [[stable homotopy types]] (and suitably tame plain [[homotopy types]]) canonically decompose into their [[rationalization]] and their [[p-completion]] for all primes $p$, hence into their images in [[rational homotopy theory]] and [[p-adic homotopy theory]]. Since these images are typically simpler than the original homotopy type itself, this decomposition is a fundamental computational tool in stable homotopy theory, often known under the slogan of "working one prime at a time". (See [below](#TheArithmeticFractureSquare).)

One finds that this arithmetic fracturing in stable homotopy theory is really a statement about the [[Bousfield localization of spectra]] with respect to the [[Moore spectrum]] for $\mathbb{Q}$ and that of $\mathbb{Q}/\mathbb{Z}$. Viewed this way there is a more general fracture theorem which says that for any suitable pair $E,F$ of [[spectra]]/[[homology theories]] the [[Bousfield localization of spectra|Bousfield localization]] at their [[coproduct]] decomposes into the separate Bousfield localizations. This generalized fracture theorem appears for instance in [[chromatic homotopy theory]] for localization at [[Morava K-theory]] and [[Morava E-theory]]. (See [below](#GeneralFractureSquares).)

In [[cohesive homotopy theory]] every [[stable homotopy type]] canonically sits in a fracture square formed from the localizations exhibited by the [[shape modality]] and the [[flat modality]]. For [[differential cohesion]] over [[infinitesimal cohesion]] this is a [[higher geometry|higher geometric]] analog of the classical artihmetic fracture. (See [below](#InCohesiveHomotopyTheory).)


## Statement
 {#Statement}

### In number theory and arithmetic geometry
 {#ArithmeticFractureSquares}

The  statement in [[number theory]]/[[arithmetic geometry]] is the following:

+-- {: .num_prop #ArithmeticFractureSquare}
###### Proposition

The [[integers]] $\mathbb{Z}$ are the [[fiber product]] of all the [[p-adic integers]] $\underset{p\;prime}{\prod} \mathbb{Z}_p$ with the [[rational numbers]] $\mathbb{Q}$ over the [[rationalization]] of the former, hence there is a [[pullback]] [[diagram]] in [[CRing]] of the form

$$
  \array{
     && \mathbb{Q}
     \\
     & \swarrow && \nwarrow
     \\
     \mathbb{Q}\otimes_{\mathbb{Z}}\left(\underset{p\;prime}{\prod} \mathbb{Z}_p \right) && && \mathbb{Z}
     \\
     & \nwarrow && \swarrow
     \\
     && \underset{p\;prime}{\prod} \mathbb{Z}_p
  }
  \,.
$$

Equivalently this is the [[fiber product]] of the rationals with the [[integral adeles]] $\mathbb{A}_{\mathbb{Z}}$ over the [[ring of adeles]] $\mathbb{A}_{\mathbb{Q}}$

$$
  \array{
     && \mathbb{Q}
     \\
     & \swarrow && \nwarrow
     \\
     \mathbb{A}_{\mathbb{Q}} && && \mathbb{Z}
     \\
     & \nwarrow && \swarrow
     \\
     && \mathbb{A}_{\mathbb{Z}}
  }
  \,,
$$

Since the [[ring of adeles]] is the [[rationalization]] of the integral adeles $\mathbb{A}_{\mathbb{Q}} = \mathbb{Q} \otimes_{\mathbb{Z}} \mathbb{A}_{\mathbb{Z}}$, this is also (by the discussion [here](category+of+monoids#PushoutOfCommutativeMonoids)) a [[pushout]] diagram in [[CRing]], and in fact in topological [[commutative rings]] (for $\mathbb{Q}$ with the [[discrete topology]] and $\mathbb{A}_{\mathbb{Z}}$ with its profinite/[[completion of a ring|completion]] topology).

=--

An original discussion is ([Sullivan 05, prop. 1.18](#Sullivan05)). Review includes ([Riehl 14, lemma 14.4.2](#Riehl14)).


+-- {: .num_remark #GeometricMeaning}
###### Remark

Under the [[function field analogy]] we may think of 

* $Spec(\mathbb{Z})$ as an [[arithmetic curve]] over [[F1]];

* $\mathbb{A}_{\mathbb{Z}}$ as the [[ring of functions]] on the [[formal disks]] around all the points in this curve;

* $\mathbb{Q}$ as the ring of functions on the complement of a finite number of points in the curve;

* $\mathbb{A}_{\mathbb{Q}}$ is the ring of functions on punctured formal disks around all points, at most finitely many of which do not extend to the unpunctured disk.

Under this [[analogy]] the arithmetic fracture square of prop. \ref{ArithmeticFractureSquare} says that the curve $Spec(\mathbb{Z})$ has a [[cover]] whose patches are the complement of the curve by some points, and the formal disks around these points. 

This kind of cover plays a central role in [[number theory]], see for instance the following discussions:

* _[Moduli stack of bundles over curves](moduli+space+of+bundles#OverCurvesAndTheLanglandsCorrespondence)_;

* _[[geometric Langlands correspondence]]_;

* _[[Weil conjecture on Tamagawa numbers]]_.


=--

### In homotopy theory
 {#InHomotopyTheory}

In [[homotopy theory]] the corresponding statement is that [[homotopy types]] may be decomposed into that of [[rational homotopy types]] and [[p-complete homotopy types]] of [[p-local homotopy types]].

+-- {: .num_remark #FractureForSpectra}
###### Proposition

Let $p$ be a [[prime number]]. Let $X$ be a [[homotopy type]]/[[∞-groupoid]] satisfying at least one of the following sufficient conditions 

* $X$ is a [[connected]], [[nilpotent space]] with finitely generated [[homotopy groups]];

* $X$ is [[p-local homotopy type]];

Then $X$ is the [[homotopy fiber product]]

$$
  X \simeq X_{\mathbb{Q}} \underset{(X_p^\wedge)_{\mathbb{Q}}}{\times} X_p^\wedge
$$

of its [[rationalization]] $X_{\mathbb{Q}}$ with its [[p-completion]] $X_p^\wedge$ over the rationalization $(X_p^\wedge)_{\mathbb{Q}}$of the $p$-completions. 

=--

This originates around ([Bousfield-Kan 72, VI.8.1](#BousfieldKan72)). A detailed more modern account is in ([May-Ponto, theorem 13.1.4](#MayPonto)). A quick survey is in ([Riehl 14, theorem 14.4.14](#Riehl14)).

### In stable homotopy theory
 {#InStableHomotopyTheory}

Similar statements hold in [[stable homotopy theory]] for [[spectra]]. There is a stable version of 

* [The arithmetic fracture square](#TheArithmeticFractureSquare)

but more generally there are fracture squares for the [[coproduct]] homology theory $E \vee F$ whenever $F$-localization is $E$-acyclic:

* [General fracture squares](#GeneralFractureSquares)

#### The arithmetic fracture square for spectra
 {#TheArithmeticFractureSquare}


For $p$ a [[prime number]] write

* $L_p$ for [[Bousfield localization of spectra]] at the [[Moore spectrum]] $S \mathbb{F}_p$, hence for [[p-completion]] $(-)_p^\wedge$;

* $L_{\mathbb{Q}}$ for the [[Bousfield localization of spectra]] at the [[Moore spectrum]]/[[Eilenberg-MacLane spectrum]] $S \mathbb{Q} \simeq H \mathbb{Q}$, hence for [[rationalization]].

+-- {: .num_prop #SullivanArithmeticFracture}
###### Proposition
**(Sullivan arithmetic square)**

For every [[spectrum]] $X$ the canonical square

$$
  \array{
    && L_{\mathbb{Q}}X
    \\
    & \swarrow && \nwarrow
    \\
    L_{\mathbb{Q}}
    \left(
      \prod_p L_p X
    \right)
    &&  &&
    X
    \\
     & \nwarrow && \swarrow
    \\
    && \prod_p L_p X
  }
$$

is a [[homotopy pushout]] (hence also a [[homotopy pullback]]).

=--

Original statements of this include ([Bousfield 79](#Bousfield79), [Sullivan 05, prop. 3.20](#Sullivan05)). Review includes ([van Koughnett 13, prop. 4.5](#VanKoughnett13), [Bauer 11, lemma 2.1](#Bauer11)). 

+-- {: .num_remark }
###### Remark
**("one prime at a time")**

The impact of prop. \ref{FractureForSpectra} is that it decomposes the study of ([[stable homotopy theory|stable]]) [[homotopy theory]] into that of 

1. [[rational homotopy theory]]  and

1. [[p-adic homotopy theory]] for each prime $p$.

Both the [[rationalization]] $X_{\mathbb{Q}}$ and the [[p-completion]] $X_{p}^\wedge$ are typically much easier to analyze than $p$ itself and so the fracture theorem gives a way to decompose the remaining hard part of study of [[homotopy types]] into that of $p$-local/$p$-complete spaces. 
This procedure is known in homotopy theory as working "one prime at a time".

=--


More generally:

+-- {: .num_prop #ReformulationOfProdOverPComletionByLocalizationAtCoproduct}
###### Proposition

The product of all [[p-completions]] is equivalently the [[Bousfield localization of spectra]] at the [[wedge sum]] $\vee_p S \mathbb{F}_p$ of all [[Moore spectra]]


$$
  \prod_p L_p X
  \simeq
   L_{\vee_p S \mathbb{F}_p} X
  \,.
$$

Moreover there is a  [[Bousfield equivalence]] 

$$
  S (\mathbb{Q}/\mathbb{Z}) \simeq_{Bousf} \vee_p S \mathbb{F}_p
  \,,
$$ 

and therefore also an equivalence

$$
  \prod_p L_p X
  \simeq
   L_{S (\mathbb{Q}/\mathbb{Z})} X
  \,.
$$


=--

The first statement originates around ([Bousfield 79, prop. 2.6](Bousfield+localization+of+spectra#Bousfield79)), review includes ([van Koughnett 13, prop. 4.4](Bousfield+localization+of+spectra#VanKoughnett13), [Bauer 11, below prop. 2.2](#Bauer11)); the second is highlighted in ([Strickland 12, MO comment](http://mathoverflow.net/a/91057/381)).


+-- {: .num_remark #TwoThirdHexagon}
###### Remark

By the discussion at _[[Bousfield localization of spectra]]_ and at _[[localization of a space]]_, the [[rationalization]] and the [[p-completion]] maps on spectra are [[homotopy cofibers]] of $E$-acyclifications $G_E(X) \to X$, for $E = S \mathbb{Q} \simeq H \mathbb{Q}$ and $E = S \mathbb{F}_p$  the [[Moore spectra]] of $\mathbb{Q}$ and of the [[cyclic group]]/[[finite field]] $\mathbb{F}_p = \mathbb{Z}/(p)$, respectively (e.g. [Lurie 10, lecture 20](localization+of+a+space#Lurie)).

Including this into the statement of prop. \ref{FractureForSpectra} says that for spectra $X$ satisfying sufficient conditions as above, then the canonical diagram

$$
  \array{
    && X_{\mathbb{Q}} && \longleftarrow && G_{S (\mathbb{Q}/\mathbb{Z})}(X)
    \\
    & \swarrow && \nwarrow && \swarrow
    \\
    (\prod_p X_p^\wedge)_{\mathbb{Q}} && && X
    \\
    & \nwarrow && \swarrow && \nwarrow
    \\
    && \prod_p X_p^\wedge && \longleftarrow && G_{H\mathbb{Q}}(X)
  }
$$

is homotopy exact, in that 

1. the square is a [[homotopy pullback]] and hence also a [[homotopy pushout]] (this is prop. \ref{ReformulationOfProdOverPComletionByLocalizationAtCoproduct});

1. the diagonals are [[homotopy cofiber sequences]] and hence also [[homotopy fiber sequences]] (by [this proposition](Bousfield+localization+of+spectra#LocalizationCofiber) at _[[Bousfield localization of spectra]]_);

1. the top and bottom outer composite sequences are [[homotopy fiber sequences]] (and hence [[homotopy cofiber sequences]]) (by applying the [[pasting law]] to the previous two items).

Together this is like two-thirds of a [[differential cohomology hexagon]] -- to the extent that $p$-[[adic completion]] is adjoint to $p$-[[torsion approximation]]. This is indeed the case, as the next proposition asserts


Notice that in view of remark \ref{GeometricMeaning} then $X_p^\wedge$ is like the restriction of $X$ from [[Spec(Z)]] to all [[formal disks]] around the points $(p)$, and hence $G_{S\mathbb{F}_p}$ is like the restriction to the "complement of all formal disks". Finally $X_{\mathbb{Q}}$ may be understood as the restriction to the [[Ran space]] of $Spec(\mathbb{Z})$ ([Gaitsgory 11](#Gaitsgory11)), roughly the colimit of the restriction of $X$ to the complement of finitely many points, as this set of points ranges through all points.

=--

In view of remark \ref{TwoThirdHexagon} we may regard the following fact as an refinement of the traditional arithmetic fracture theorem.

+-- {: .num_prop #CompletionTorsionAdjointModalityForModuleSpectra}
###### Proposition

Let $A$ be an [[E-∞ ring]] and let $\mathfrak{a} \subset \pi_0 A$ be a [[generators and relations|finitely generated]] ideal in its underlying [[commutative ring]].

Then there is an [[adjoint triple]] of [[adjoint (∞,1)-functors]]

$$
  \array{

    \underoverset{
      A Mod_{\mathfrak{a}comp}^{op}}
    {A Mod_{\mathfrak{a}tors}^{op}}
    {\simeq}
    &\stackrel{\overset{\Pi_{\mathfrak{a}}}{\longleftarrow}}{\stackrel{\hookrightarrow}{\underset{\flat_{\mathfrak{a}}}{\longleftarrow}}}&
    A Mod^{op}
  }
$$

where

* $A Mod$ is the [[stable (∞,1)-category|stable]] [[(∞,1)-category of modules]], i.e. of [[∞-modules]] over $A$;

* $A Mod_{\mathfrak{a}tors}$ and $A Mod_{\mathfrak{a} comp}$ are the [[full sub-(∞,1)-categories]] of $\mathfrak{a}$-[[torsion approximation|torsion]] and of $\mathfrak{a}$-[[completion of a module|complete]] $A$-[[∞-modules]], respectively;

* $(-)^{op}$ denotes the [[opposite (∞,1)-category]];

* the [[equivalence of (∞,1)-categories]] on the left is induced by the restriction of $\Pi_{\mathfrak{a}}$ and $\flat_{\mathfrak{a}}$.

=--

+-- {: .proof}
###### Proof

This is effectively the content of ([Lurie "Proper morphisms", section 4](#LurieProper)):

* the existence of $\Pi_{\mathfrak{a}}$ is corollary 4.1.16 and remark 4.1.17

* the existence of $\flat_{\mathfrak{a}}$ is lemma 4.2.2 there;

* the equivalence of sub-$\infty$-categories is proposition 4.2.5 there.

=--

+-- {: .num_cor #FractureFromCohesion}
###### Corollary

The traditional arithmetic fracture square of prop. \ref{SullivanArithmeticFracture}, regarded as in remark \ref{TwoThirdHexagon}, is the left part of the "[differential cohomology diagram](differential+cohomology+diagram#TheHexagonDiagram)" induced by the [[adjoint modality]] $(\Pi_{\mathfrak{a}} \dashv \flat_{\mathfrak{a}} )$ of prop. \ref{CompletionTorsionAdjointModalityForModuleSpectra}, for the special case that $X = \mathbb{S}$ is the [[sphere spectrum]] and $\mathfrak{a} = (p)$ a [[prime ideal]]

$$
  \array{
    &&  \Pi_{\mathfrak{a}dR} X && \stackrel{\mathbf{d}}{\longrightarrow} && \flat_{\mathfrak{a}dR} X 
    \\
    & \nearrow & & \searrow & & \nearrow && \searrow
    \\
    \Pi_{\mathfrak{a}dR} \flat  X  && \Downarrow && X && \Downarrow && \Pi_{\mathfrak{a}} \flat_{\mathfrak{a}dR} X
    \\
    & \searrow &  & \nearrow & & \searrow && \nearrow
    \\
    && \flat_{\mathfrak{a}} X && \longrightarrow && \Pi_{\mathfrak{a}} X
  }
  \,,
$$

[[!include arithmetic cohesion -- table]]

=--

+-- {: .num_remark}
###### Remark

The special case of prop. \ref{CompletionTorsionAdjointModalityForModuleSpectra} where $A$ is the [[Eilenberg-MacLane spectrum]] of a plain [[commutative ring]], and hence -- by the [[stable Dold-Kan correspondence]] -- the case where $A$-[[∞-modules]] are equivalently [[chain complexes]], has a longer tradition in the existing literature. This we highlight separately [below](#CompletionAndTorsionOnDerivedCategories).

=--

+-- {: .num_remark #FracturingOnEInfinityAlgebras}
###### Remark

By the discussion at _[[completion of modules]]_ in the section _[Monoidalness](completion+of+a+module#Monoidalness)_, the [[adjoint modality]] of prop. \ref{CompletionTorsionAdjointModalityForModuleSpectra} is a [[monoidal (∞,1)-functor]] without, possibly, respect the [[tensor unit]] in $A Mod$. This means that $(\Pi_{\mathfrak{a}}\dashv \flat_{\mathfrak{a}})$ passes to "[[commutative monoid in a symmetric monoidal (∞,1)-category|commutative ∞-monoids]]-without unit" in $A Mod$, hence to ([[Isbell duality|formal duals of]]) [[nonunital E-∞ algebras]]. 
By [this proposition](nonunital+Ek-algebra#RelationToAugmentedEkAlgebras) ([Lurie "Algebra", prop. 5.2.3.15](#LurieAlgebra)) [[nonunital E-∞ rings]]  are [[equivalence of (∞,1)-categories|equivalent]] to [[augmented E-∞ rings]] over the [[sphere spectrum]], hence this is [[E-∞ arithmetic geometry]] under $Spec(\mathbb{S})$.

Notice that in addition $\Pi_{\mathfrak{a}}$ here should preserve [[finite products]] (because by the discussion at  [completion of a module -- monoidalness](completion%20of%20a%20module#Monoidalness) the underlying $\Pi_{\mathfrak{a}} \colon A Mod \to A Mod$ preserves all small [[(∞,1)-colimits]] and because by 
[this proposition](commutative+monoid+in+a+symmetric+monoidal+%28infinity%2C1%29-category#LimitsInCRing) finite coproducts in $CRng(A Mod)$ are computed in the underlying $A Mod$.

Therefore we may think of $\Pi_{\mathfrak{a}}$ as a [[shape modality]] and of $\flat_{\mathfrak{a}}$ as a [[sharp modality]] on affine [[E-∞ geometry|E-∞]]-[[arithmetic geometry]] under $Spec(\mathbb{S})$ -- namely on [[Isbell duality|formal duals]] of [[nonunital E-∞ rings]] .

(It may be entertaining to note that on the level of [[∞-groups of units]] then [[E-∞ arithmetic geometry]] under $Spec(\mathbb{S})$ translates to [[abelian ∞-groups]] of [[twisted cohomology|twists]] over the [[sphere spectrum]] -- which has been argued to be the homotopy-theoretic incarnation of [[superalgebra]], see at _[superalgebra -- abstract idea](super+algebra#AbstractIdea)_ for more on this.)

=--

For more discussion of this see also _[[differential cohesion and idelic structure]]_.


#### The arithmetic fracture square for chain complexes
 {#CompletionAndTorsionOnDerivedCategories}


We discuss here arithmetic fracturing on [[chain complexes]] of modules. Under the [[stable Dold-Kan correspondence]] this is a special case of prop. \ref{CompletionTorsionAdjointModalityForModuleSpectra}, but this special case has a longer tradition in the literature -- going back to _Grothendieck local duality_  and sometimes called _Greenlees-May duality_ due to ([Greenlees-May 92](#GreenlessMay92)) -- and we point to these original proofs.


+-- {: .num_defn}
###### Definition

Let $A$ be a [[commutative ring]], let $\mathfrak{a} \subset A$ be be an ideal generated by a single regular element (i.e. not a zero divisor). Write $A Mod_{\infty}^{op}$ for the [[opposite (∞,1)-category]] of the [[(∞,1)-category of modules]] over $A$.

Write 


* $\flat_{\mathfrak{a}}\colon A Mod_\infty^{op} \to A Mod_{\infty}^{op}$ for the [[derived functor]] of [[formal completion]] (adic completion) of modules at $\mathfrak{a}$; 

  with canonical natural transformation

  $\epsilon_{\mathfrak{a}} \colon \flat_{\mathfrak{a}} \longrightarrow id$ 

* $\Pi_{\mathfrak{a}} \colon A Mod_\infty^{op} \to A Mod_\infty^{op}$ for the total [[derived functor]] of the $\mathfrak{a}$-[[torsion approximation]]-functor;
  
  with canonical natural transformation

  $\eta_{\mathfrak{a}}\colon id \longrightarrow \Pi_{\mathfrak{a}} $

Finally write

$$
  (A Mod_\infty^{op})^{\mathfrak{a}com}, (A Mod_\infty^{op})^{\mathfrak{a}tor} \hookrightarrow A Mod_\infty
$$

for the [[full (∞,1)-subcategories]] of objects $X$ for which, $\epsilon_{\mathfrak{a}}(X)$ or $\eta_{\mathfrak{a}}(X)$ is an [[equivalence in an (∞,1)-category]], respectively.


=--


+-- {: .num_prop}
###### Proposition

1. The transformation $\epsilon_{\mathfrak{a}}$ exhibits $(A Mod_\infty^{op})^{\mathfrak{a}com}\hookrightarrow A Mod_\infty$ as a [[reflective (∞,1)-subcategory]], hence $\flat_{\mathfrak{a}}$ as an [[idempotent (∞,1)-monad]].

1. The transformation $\eta_{\mathfrak{a}}$ exhibits $(A Mod_\infty^{op})^{\mathfrak{a}tor}\hookrightarrow A Mod_\infty$ as a co-reflective $(\infty,1)$-category, hence $\Pi_{\mathfrak{a}}$ as an idempotent $(\infty,1)$-comonad.

1. Restricted to these sub-$(\infty,1)$-categories both $\flat_{\mathfrak{a}}$ as well as $\Pi_{\mathfrak{a}}$ become [[equivalences of (∞,1)-categories]], hence exhibiting $(\Pi_{\mathfrak{a}} \dashv \flat_{\mathfrak{a}})$ as a higher [[adjoint modality]].

=--

+-- {: .proof}
###### Proof

This is a paraphrase of the results in ([Dwyer-Greenlees 99](#DwyerGreenlees99)) and ([Porta-Shaul-Yekutieli 10](#PortaShaulYekutieli10)) from the language of [[derived categories]] to [[(∞,1)-category theory]].

First of all, by our simplifying assumption that $\mathfrak{a}$ is generated by a single regular element, the running assumption of "weak proregularity" in ([Porta-Shaul-Yekutieli 10, def.3.21](#PortaShaulYekutieli10)) is satisfied.

Then in view of ([Porta-Shaul-Yekutieli 10, corollary 3.31](#PortaShaulYekutieli10)) the statement of ([Porta-Shaul-Yekutieli 10, theorem 6.12](#PortaShaulYekutieli10)) is the [characterization of reflectors](reflective+sub-(infinity,1)-category#CharacterizationOfReflectors) as discussed at _[[reflective sub-(∞,1)-category]]_, and formally dually so for the coreflection. With the fully faithfulness that goes with this the equivalence of the two inclusions on the level of [[homotopy categories]] given by ([Hovey-PalieriS-trickland 97, 3.3.5](#HoveyPalieriStrickland97), [Dwyer-Greenlees 99, theorem 2.1](#DwyerGreenlees99) [Porta-Shaul-Yekutieli 10, theorem 6.11](#PortaShaulYekutieli10)) implies the canonical equivalence of the two [[sub-(∞,1)-categories]] and this means that $\Pi_{\mathfrak{a}}$ and $\flat_{\mathfrak{a}}$ are the [[adjoint pair]] induced from the reflection/coreflection [[adjoint triple]]. 

This adjoint triple is stated more explicitly in ([Dwyer-Greenlees 99, section 4](#DwyerGreenlees99)), see also ([Porta-Shaul-Yekutieli 10, end of remark 6.14](#PortaShaulYekutieli10)).

=--

Therefore arithmetic fracture squares in the homotopy theory of chain complexes are induced by this as in corollary \ref{FractureFromCohesion} above.

#### General fracture squares of spectra
 {#GeneralFractureSquares}


By prop. \ref{ReformulationOfProdOverPComletionByLocalizationAtCoproduct}
the arithmetic fracture square of prop. \ref{SullivanArithmeticFracture} is equivalently of the form

$$
  \array{
    && L_{H\mathbb{Q}}X
    \\
    & \swarrow && \nwarrow
    \\
    L_{H\mathbb{Q}}
    L_{S \mathbb{Q}/\mathbb{Z}} X
    &&  &&
    X
    \\
     & \nwarrow && \swarrow
    \\
    && L_{S \mathbb{Q}/\mathbb{Z}} X
  }
  \,.
$$

In this form the statement holds much more generally:

+-- {: .num_prop #GeneralFractureSquare}
###### Proposition

Let $E, F, X$ be [[spectra]] such that the $F$-[[Bousfield localization of spectra|localization]] of $X$ is $E$-acyclic, i.e.  $E_\bullet(L_F X) \simeq 0$, then the canonical square [[diagram]]


$$
  \array{
    && L_F X
    \\
    & \swarrow && \nwarrow
    \\
    L_F
    L_E X
    &&  &&
    L_{E\vee F} X
    \\
     & \nwarrow && \swarrow
    \\
    && L_E X
  }
$$

is a [[homotopy pullback]] (and hence by stability also a [[homotopy pushout]]).


=--

e.g. ([Bauer 11, prop. 2.2](#Bauer11))

+-- {: .num_remark #ExampleOfChromaticFracturing}
###### Remark

The general version of the fracture statement in prop. \ref{GeneralFractureSquare} is used frequently in [[chromatic homotopy theory]] for decomposition in [[Morava K-theory]] and [[Morava E-theory]]-localizations. For example there is a **chromatic** fracture square:

$$
  \array{
    && L_{E(n-1)} X
    \\
    & \swarrow && \nwarrow
    \\
    L_{E(n-1)}
    L_{K(n)} X
    &&  &&
    L_{E(n)} X
    \\
     & \nwarrow && \swarrow
    \\
    && L_{K(n)} X
  }
$$

In particular it is used for instance in the construction of [[tmf]], see example \ref{ConstructionOfTmf} below.

=--

From another perspective:

+-- {: .num_prop}
###### Claim

Suppose that $L \colon Spectra \to Spectra$ is a [[smashing localization]] given by [[smash product]] with some [[spectrum]] $T$. Write $F$ for the [[homotopy fiber]]

$$
  F \longrightarrow \mathbb{S} \longrightarrow T
  \,.
$$

Then there is a [[fracture diagram]] of operations

$$
  \array{
    T \wedge (-) && \longleftarrow  &&  [T,-]
    \\
    & \nwarrow && \swarrow
    \\
    && \mathbb{S}
    \\
    & \swarrow & & \nwarrow
    \\
    [F,-] && \longleftarrow && F \wedge (-)
  }
$$

where $[F,-]$ and $T \wedge (-) \colon Spectra \to Spectra$ are [[idempotent (∞,1)-monads]] and $[T,-]$, $[F,-]$ are idempotent $\infty$-comonad, the diagonals are [[homotopy fiber sequences]].

=--

([[Charles Rezk]], [MO comment,August 2014](http://mathoverflow.net/a/178316/381))

+-- {: .num_example}
###### Example

For $T = S \mathbb{Z}[p^{-1}]$ the [[Moore spectrum]] of the [[integers]] [[localization of a ring|localized away from]] $p$, then 

$$
  F = \Sigma^{-1} S (\mathbb{Z}[p^{-1}]/\mathbb{Z})
   \to 
  \mathbb{S}
   \to
  S \mathbb{Z}[p^{-1}]
$$

and hence

* $\Sigma^{-1} S (\mathbb{Z}[p^{-1}]/\mathbb{Z}) \wedge (-)$ is $p$-[[torsion approximation]];

* $[\Sigma^{-1} S (\mathbb{Z}[p^{-1}]/\mathbb{Z}),-]$ is $p$-[[completion of a module|completion]];

* $S \mathbb{Z}[p^{-1}] \wedge (-)$ is $p$-[[rationalization]];

* $[T,-]$ is forming $p$-[[adic residual]].

$$
  \array{
    &&  localization\;away\;from\;\mathfrak{a} && \stackrel{}{\longrightarrow} && \mathfrak{a}\;adic\;residual
    \\
    & \nearrow & & \searrow & & \nearrow && \searrow
    \\
    && && X &&  && 
    \\
    & \searrow &  & \nearrow & & \searrow && \nearrow
    \\
    && formal\;completion\;at\;\mathfrak{a}\; && \longrightarrow && \mathfrak{a}\;torsion\;approximation
  }
  \,,
$$

=--

With ([Bousfield 79, prop.2.5](#Bousfield79))


#### For $E_\infty$-modules

+-- {: .num_prop #CompletionTorsionAdjointModalityForModuleSpectra}
###### Proposition

Let $A$ be an [[E-∞ ring]] and let $\mathfrak{a} \subset \pi_0 A$ be a [[generators and relations|finitely generated]] ideal in its underlying [[commutative ring]].

Then there is an [[adjoint triple]] of [[adjoint (∞,1)-functors]]

$$
  \array{

    \underoverset{
      A Mod_{\mathfrak{a}comp}^{op}}
    {A Mod_{\mathfrak{a}tors}^{op}}
    {\simeq}
    &\stackrel{\overset{\Pi_{\mathfrak{a}}}{\longleftarrow}}{\stackrel{\hookrightarrow}{\underset{\flat_{\mathfrak{a}}}{\longleftarrow}}}&
    A Mod^{op}
  }
$$

where

* $A Mod$ is the [[stable (∞,1)-category|stable]] [[(∞,1)-category of modules]], i.e. of [[∞-modules]] over $A$;

* $A Mod_{\mathfrak{a}tor}$ and $A Mod_{\mathfrak{a} comp}$ are the [[full sub-(∞,1)-categories]] of $\mathfrak{a}$-[[torsion approximation|torsion]] and of $\mathfrak{a}$-[[completion of a module|complete]] $A$-[[∞-modules]], respectively;

* $(-)^{op}$ denotes the [[opposite (∞,1)-category]];

* the [[equivalence of (∞,1)-categories]] on the left is induced by the restriction of $\Pi_{\mathfrak{a}}$ and $\flat_{\mathfrak{a}}$.

=--


This is effectively the content of ([Lurie "Completions", section 4](#LurieProper)):



### In cohesive (stable) homotopy theory
 {#InCohesiveHomotopyTheory}

In [[cohesive homotopy theory]] every [[stable homotopy type]] $X$ sits in a fracture square of the form

$$
  \array{
    &&  \Pi_{dR} X &&  \longrightarrow && \flat_{dR} X
    \\
    & \nearrow & & \searrow  && \nearrow
    \\
    \Pi_{dR} \flat X  && && X 
    \\
    & \searrow &  & \nearrow && \searrow
    \\
    && \flat X   && \longrightarrow && \Pi X
  }
$$

where $\flat$ is the [[flat modality]] and $\Pi_{dR}$ the [[homotopy fiber]] of the [[unit of a monad|unit]] $X\to \Pi X$ of the [[shape modality]]. This is the left part of the [[differential cohomology hexagon]] for $X$, see there for details.

Here $\Pi_{dR} X$ is such that for any other stable cohesive homotopy type $\hat E$ then functions $\Pi_{dR} X \to \hat E$ are equivalent to functions $X \to \flat_{dR} \hat E$, where $\hat E \to \flat_{dR} \hat E$ is a generalized form of rationalization in the sense discussed at _[[differential cohomology hexagon]]_. In particular if $\hat E$ is a [Hopkins-Singer-type](differential%20cohomology%20diagram#HopkinsSingerCoefficients) [[differential cohomology]] refinement of a plain [[spectrum]] $E$, then $E\to \flat_{dR} E$ is its ordinary [[rationalization]] given by the [[Chern character]] and $\hat E \to \flat_{dR} \hat E$ is the corresponding map on Chern [[curvature forms]].

Moreover, if the ambient [[cohesion]] is [[differential cohesion]] over a base of [[infinitesimal cohesion]], then the [[flat modality]] $\flat$ takes any space $X$ to the union of all its [[formal disks]]. (See at _[[differential cohesion and idelic structure]]_.) Accordingly the collection of functions $\flat X \to \hat E$ in this case behave like the product of all [[formal power series]] of $\hat E$-valued functions around all global points of $X$, analogous to remark \ref{GeometricMeaning}.

An example of this are [[synthetic differential ∞-groupoids]] regarded as cohesive over their [[formal moduli problems]], as its its complex analytic incarnation by synthetic differential [[complex analytic ∞-groupoids]]. In this context if $X = \Sigma$ is a [[complex curve]] then $\flat \Sigma$ is precisely the analog of the [[integral adeles]] as it is predicted by the [[function field analogy]].


## Examples
 {#Examples}

+-- {: .num_example #ConstructionOfTmf}
###### Example

The construction of the [[tmf]]-spectrum -- the spectrum of [[global sections]] of the [[derived Deligne-Mumford stack]] of [[derived elliptic curves]] --  as described in ([Behrens 13](tmf#Behrens13)) proceeds by first applying the arithmetic fracture square of prop. \ref{ArithmeticFractureSquare}, prop. \ref{SullivanArithmeticFracture} to decompose the [[moduli stack of elliptic curves]] into rational and $p$-adic curves, and then in a second step in applying in turn the general fracture square of prop. \ref{GeneralFractureSquare} for [[Morava K-theory]] to the remaining $p$-adic pieces.

See at _[tmf -- Decomposition via arithmetic fracture squares](tmf#DecomopositionViaArithmeticSquares)_ for more on this.

=--

## Related concepts



* [[p-adic homotopy theory]], [[p-completion]]

* [[rational homotopy theory]], [[rationalization]]


## References
 
* {#BousfieldKan72} [[Aldridge Bousfield]], [[Daniel Kan]], _[[Homotopy limits, completions and localizations]]_, Lecture Notes in Mathematics, Vol 304, Springer 1972

* {#Bousfield79} [[Aldridge Bousfield]], _The localization of spectra with respect to homology_ , Topology vol 18 (1979) ([pdf](http://www.uio.no/studier/emner/matnat/math/MAT9580/v12/undervisningsmateriale/bousfield-topology-1979.pdf))

* {#Sullivan05} [[Dennis Sullivan]], _Geometric topology: localization, periodicity and Galois symmetry_, volume 8 of K- Monographs in Mathematics. Springer, Dordrecht, 2005. The 1970 MIT notes, Edited and with a preface
by [[Andrew Ranicki]] ([pdf](http://www.maths.ed.ac.uk/~aar/books/gtop.pdf))

* {#Bauer11} [[Tilman Bauer]], _Bousfield localization and the Hasse square_, 2011 ([pdf](http://math.mit.edu/conferences/talbot/2007/tmfproc/Chapter09/bauer.pdf))

* {#VanKoughnett13} [[Paul VanKoughnett]], _Spectra and localization_, 2013 ([[VanKoughnettLocalization.pdf:file]])

* {#Riehl14} [[Emily Riehl]], _Categorical homotopy theory_, new mathematical monographs 24, Cambridge University Press 2014 (published version)

* {#MayPonto} [[Peter May]], [[Kate Ponto]], chapters 7 and 8 of _More concise algebraic topology: Localization, completion, and model categories_ ([pdf](http://www.maths.ed.ac.uk/~aar/papers/mayponto.pdf))

* [[Michael Shulman]], _The Propositional Fracture Theorem_, ([blog post](http://golem.ph.utexas.edu/category/2013/05/the_propositional_fracture_the.html))

Related MO-discussion:

* _[Fracture squares of Bousfield Localizations of Spectra](http://mathoverflow.net/a/91057/381)_

Discussion of rational functions as functions on the [[Ran space]] is in 

* {#Gaitsgory11} [[Dennis Gaitsgory]], _Contractibility of the space of rational maps_ ([arXiv:1108.1741](http://arxiv.org/abs/1108.1741))

Discussion of $\mathfrak{a}$-[[adic completion]] and $\mathfrak{a}$-[[torsion approximation]] as derived idempotent (co-)monads on a [[derived category]] of chain complexes of modules -- _Greenlees-May duality_ -- is in 

* {#PortaShaulYekutieli10} Marco Porta, [[Liran Shaul]], [[Amnon Yekutieli]], _On the Homology of Completion and Torsion_ ([arXiv:1010.4386](http://arxiv.org/abs/1010.4386))

building on

* {#GreenlessMay92} [[John Greenlees]], [[Peter May]], _Derived functors of I-adic completion and local homology_, J. Algebra 149 (1992), 438–453 ([pdf](http://math.uchicago.edu/~may/PAPERS/73.pdf))

* Leovigildo Alonso, Ana Jeremías, [[Joseph Lipman]], _Local Homology and Cohomology on Schemes_ ([arXiv:alg-geom/9503025](http://arxiv.org/abs/alg-geom/9503025))

* {#HoveyPalieriStrickland97} [[Mark Hovey]], [[John Palmieri]], [[Neil Strickland]], _Axiomatic stable homotopy theory_, Mem. Amer. Math. Soc. 128 (1997), no. 610, x+114.

* {#DwyerGreenlees99} [[William Dwyer]], [[John Greenlees]], _Complete modules and torsion modules_, Amer. J. Math. 124, No. 1, (1999)  ([pdf](https://www3.nd.edu/~wgd/Dvi/Complete.And.Torsion.pdf))

Discussion of this in [[stable homotopy theory]] and the full generality of [[higher algebra]] is in 

* {#LurieProper} [[Jacob Lurie]], section 4 of _[[Proper Morphisms, Completions, and the Grothendieck Existence Theorem]]_ 

And in the context of commutative DG-rings in

* [[Liran Shaul]], _Completion and torsion over commutative DG rings_, [arXiv:1605.07447](http://arxiv.org/abs/1605.07447)

This and further generalization is in

* {#BarthelHeard15} [[Tobias Barthel]], Drew Heard, Gabriel Valenzuela _Local duality in algebra and topology_ ([arXiv:1511.03526](http://arxiv.org/abs/1511.03526))

See also

* [[John Greenlees]], _Tate cohomology in axiomatic stable homotopy theory_ ([pdf](http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.490.322&rep=rep1&type=pdf))

[[!redirects fracture theorems]]

[[!redirects arithmetic square]]
[[!redirects arithmetic squares]]

[[!redirects fracture square]]
[[!redirects fracture squares]]

[[!redirects arithmetic fracture square]]
[[!redirects arithmetic fracture squares]]

[[!redirects fracture diagram]]
[[!redirects fracture diagrams]]

[[!redirects Grothendieck local duality]]
[[!redirects Greenlees-May duality]]

