

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--


# Power-associative algebras
* table of contents
{: toc}

## Idea

In an [[associative algebra]], or more generally in a [[semigroup]], there is no difficulty in defining $x^n$ for $x$ any element and $n$ any positive [[natural number]] (as well as $x^0$ when the algebra has an [[identity element]]).  In a [[nonassociative algebra]], or more generally a [[magma]], we can have many definitions, starting with $x^3$ (which could be $(x x) x$ but could be $x (x x)$ instead).

However, it *may* be that all possible ways of parenthesizing the expression for $x^n$ are equal.  In this case, we call the algebra _power-associative_.


## Definition

Let $\mathcal{C}$ be a [[multicategory]], and let $A$ be a [[magma object]] in $\mathcal{C}$, that is an object $A$ equipped with a bimorphism (binary multimorphism) $m\colon A, A \to A$.  Consider the [[subcategory|submulticategory]] of $\mathcal{C}$ generated by $A$ and $m$; for each [[natural number]] $n$, it has a [[family]] of $n$-ary multimorphisms whose size is the [[Catalan number]] $C(n)$ of $n$.

The magma object $A$ is __power-associative__ if, for each $n$, all of these $n$-ary multimorphisms are equal.  Traditionally, we make no requirement for $n = 0$, since $C(0) = 0$, but arguably we should require a unique $0$-ary multimorphism in the subalgebra too; then we get a power-associative magma with an [[identity element]].

If $\mathcal{C}$ is [[Set]], then a magma object is simply a [[magma]], and we have a __power-associative magma__.  If $\mathcal{C}$ is $K$-[[Mod]] for $K$ a [[commutative ring]], then a magma object is a [[nonassociative algebra]] over $K$, and we have a __power-associative algebra__.


## Examples

Every [[associative algebra]] or [[semigroup]] is of course power-associative.  More generally, every [[alternative algebra]] is also power-associative.  Every [[Jordan algebra]], although not necessarily alternative, is power-associative.  Every [[Cayley–Dickson algebra]], even beyond the [[octonions]] (the last alternative one), is power-associative.


[[!redirects power-associative algebra]]
[[!redirects power-associative algebras]]
[[!redirects power associative algebra]]
[[!redirects power associative algebras]]
[[!redirects power-associative magma]]
[[!redirects power-associative magmas]]
[[!redirects power associative magma]]
[[!redirects power associative magmas]]
[[!redirects power-associativity]]
[[!redirects power associativity]]

[[!redirects power-associative]]
[[!redirects power associative]]
