
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Goodwillie calculus
+--{: .hide}
[[!include Goodwillie calculus - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

In the context of [[Goodwillie calculus]] the _Taylor tower_ of an [[(∞,1)-functor]] $F$ to a [[Goodwillie-differentiable (∞,1)-category]] is its stagewise approximation by [[n-excisive (∞,1)-functors]] $P_n F$ (its [n-excisive projections](n-excisive+%28∞%2C1%29-functor#nExcisiveApproximation))

$$
  \cdots \to P_{n+1} F \to P_n F \to \cdots \to P_1 F \to P_0 F
  \,.
$$

which is [[analogy|analogous]] to the approximation of a [[smooth function]] by its [[Taylor series]].

If this tower converges to $F$, then $F$ is analogous to an [[analytic function]] and is called an _[[analytic (∞,1)-functor]]_.

The [[spectral sequence]] induced by the [[filtration]] given by the Goodwillie-Taylor tower is the _[[Goodwillie spectral sequence]]_.

## Properties

### Convergence

convergence for $\rho$-[[analytic (∞,1)-functors]] on $\rho$-[[n-connected object of an (infinity,1)-topos|connective objects]] (...) ([Goodwillie 03, theorem 1.13](#Goodwillie03), see also [Munson-Volic 15, theorem 10.1.51 and section 10.2.4](#MunsonVolic15))

## Related concepts

* [[n-excisive (∞,1)-functor]]

* [[Postnikov tower]], [[chromatic tower]]

## References

The concept originates in 

* {#Goodwillie03} [[Thomas Goodwillie]], _Calculus III: Taylor Series_, Geom. Topol. 7(2003) 645-711 ([arXiv:math/0310481](http://arxiv.org/abs/math/0310481))

Review includes

* {#MunsonVolic15} [[Brian Munson]], [[Ismar Volic]], _Cubical homotopy theory_, Cambridge University Press, 2015 [pdf](http://palmer.wellesley.edu/~ivolic/pdf/Papers/CubicalHomotopyTheory.pdf)

See also

* [[Gregory Arone]], [[Michael Ching]], _A classification of Taylor towers of functors of spaces and spectra_ ([arXiv:1209.5661](http://arxiv.org/abs/1209.5661))
 

[[!redirects Goodwillie-Taylor towers]]

[[!redirects Taylor tower]]
[[!redirects Taylor towers]]

[[!redirects Goodwillie-Taylor series]]
