
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Quantum field theory
+--{: .hide}
[[!include functorial quantum field theory - contents]]
=--
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
#### Super-Geometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A [[2d superconformal field theory]] in which the holomorphic sector (the "right movers") has $N=2$ [[supersymmetry]], while the antiholomorphic sector (the "left movers") has no supersymmetry (or the other way around), is traditionally denoted as $N = (2,0)$ supersymmetry. The [[topological twist]] of this is also called the _[[half-twisted model]]_.

## Properties

### Relation to the heterotic string

In contrast, the [[heterotic string]] [[worldsheet]] [[2d SCFT]] a priori has only $N = (1,0)$ supersymmetry, while the [[type II superstring]] similarly has $N = (1,1)$. But for suitable [[target spaces]] and [[background gauge fields]] the [[supersymmetry]] of the heterotic string is enhanced.

In ([BDFF 88](#BDFF88)) it was shown that this enhancement of the $N=(1,0)$-superconformal worldsheet theory of the [[heterotic string]] to an $N=(2,0)$-superconformal theory happens precisely when the corresponding [[target space]] [[effective quantum field theory]] itself has $N=1$ [[supersymmetry]]. This in turn is the case notably when the target is a [[Calabi-Yau manifold]], for more on this see at _[[supersymmetry and Calabi-Yau manifolds]]_.

So to the extent that $N=1$ target space supersymmetry is regarded as important in [[string phenomenology]] (it used to be regarded as highly important but with the failure of the [[LHC]] [[experiment]] to detect evidence reflecting this assumption, this may be changing), then 2d $(2,0)$-superconfromal QFTs define the relevant [[heterotic string]] theory [[vacua]].

### Relation to topological strings and sheaves of quantum observables

The enhanced [[supersymmetry]] of the $2d$ $(2,0)$-models allows to consider the corresponding [[topological twist]] ([Kapustin 05](#Kapustin05), [Witten 05](#Kapustin05)). The resulting topologically twisted 2d (2,0)-model is on the one hand amenable to detailed mathematical analysis, since its [[quantum observables]] for the [[chiral de Rham complex]] [[sheaf of vertex operator algebras]] (see ([Malikov 06](#Malikov06)) for a mathematical treatment) and at the same time is argued to still detect important properties of the original geometric model, such as notably the [[Witten genus]].




## Related concepts

* [[6d (2,0)-superconformal QFT]]

* [[gauged linear sigma model]]

## References

The relevance of 2d $(2,0)$-superconformal worldsheet theories for [[string phenonemology]] (see also at _[[supersymmetry and Calabi-Yau manifolds]]_) was first highligted in 

* {#BDFF88} [[Tom Banks]], [[Lance Dixon]], [[Dan Friedan]], [[Emil Martinec]], _Phenomenology and Conformal Field Theory or Can String Theory Predict the Weak Mixing Angle?_, Nucl. Phys. B299 (1988) 613.  ([pdf](http://www.slac.stanford.edu/cgi-wrap/getdoc/slac-pub-4377.pdf))

Further discussion of 2d $(2,0)$-superconformal QFTs in the contest of [[heterotic string theory|heterotic]] [[string theory]] [[vacua]] includes

* [[Jacques Distler]], [[Brian Greene]], _Aspects Of $(2,0)$ String Compactifications_, Nucl. Phys. B304 (1988) 

* [[Eva Silverstein]], [[Edward Witten]], _Criteria for Conformal Invariance of (0,2) Models_, Nucl.Phys.B444:161-190,1995 ([arXiv:hep-th/9503212](http://arxiv.org/abs/hep-th/9503212))

* [[Jock McOrist]], _The Revival of $(0,2)$ Linear Sigma Models_, Int.J.Mod.Phys.A26:1-41,2011 ([arXiv:1010.4667](http://arxiv.org/abs/1010.4667))

The topological twist leading to the [[half-twisted model]] is due to

* {#Witten91} [[Edward Witten]], _Mirror Manifolds And Topological Field Theory_ ([arXiv:hep-th/9112056](http://arxiv.org/abs/hep-th/9112056))

The original articles in the [[physics]] literature identifying the [[chiral de Rham complex]] in the topologically twisted 2d $(2,0)$ model are

* {#Kapustin05} [[Anton Kapustin]], _Chiral de Rham complex and the half-twisted sigma-model_ ([arXiv:hep-th/0504074](http://arxiv.org/abs/hep-th/0504074))

* {#Witten05} [[Edward Witten]], _Two-Dimensional Models With (0,2) Supersymmetry: Perturbative Aspects_ ([arXiv:hep-th/0504078](http://arxiv.org/abs/hep-th/0504078))

Approaches formalizing this mathematically in terms of [[sheaves of vertex operator algebras]] and the [[chiral de Rham complex]] is in

* {#Malikov06} [[Fyodor Malikov]], _Lagrangian approach to sheaves of vertex operator algebras_, ESI preprint 1828 (2006) ([pdf](http://www.mat.univie.ac.at/~esiprpr/esi1828.pdf))

and in terms of [[factorization algebras]] in 

* {#Gwilliam} [[Owen Gwilliam]], section 6 of _Factorization algebras and free field theories_ PhD thesis ([pdf](http://math.berkeley.edu/~gwilliam/thesis.pdf))

A quick review with emphasis on the [[Stolz conjecture]] is in 

* {#Yagi10} [[Junya Yagi]], _Vanishing Chiral Algebras and Höhn-Stolz Conjecture_ ([arXiv:1002.0028](http://arxiv.org/abs/1002.0028))




[[!redirects 2d (2,0)-supersymmetric QFT]]

[[!redirects 2d (2,0)-CFT]]

[[!redirects 2d (2,0)-supersymmetric sigma-model]]
[[!redirects 2d (2,0)-supersymmetric sigma-models]]
