
> under construction

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

For $p$ a [[prime number]], the _Steenrod algebra_ $\mathcal{A}$ is the [[associative algebra]] over the [[prime field]] $\mathbb{F}_p$ of [[cohomology operations]] on [[ordinary cohomology]] with [[coefficients]] in $\mathbb{F}_p$. For $p = 2$ this is the $\mathbb{F}_2$-algebra generated by the [[Steenrod square]] operations. (Often the case $p = 2$ is understood by default.)

For any prime $p$, the mod-$p$ Steenrod algebra furthermore has the structure of a [[Hopf algebra]] over $\mathbb{F}_p$, non-commutative but co-commutative. Under forming [[linear duals]] this gives the _dual Steenrod algebra_, traditionally denoted $\mathcal{A}_\ast$ instead of $\mathcal{A}^\ast$. This is a [[Hopf algebra]] over $\mathbb{F}_p$ that is commutative, but non-co-commutative.

The dual $\mathbb{F}_p$ Steenrod algebra is a special case of a [[commutative Hopf algebroid]] structure canonically induced on the self [[generalized homology]] $E_\bullet(E)$ of any [[ring spectrum]] $E$ for which $E_\bullet \to E_\bullet(E)$ is a [[flat morphisms]]. Therefore in this general case one sometimes speaks of "dual $E$-Steenrod algebras".

The [[Ext]]-groups between [[comodules]] for these [[commutative Hopf algebroids]] $E_\bullet(E)$ prominently appear on the second page of the $E$-[[Adams spectral sequence]], see there for more.

## Definition

### For ordinary cohomology

(...) (e.g. [Mosher-Tangora 68, section 6](#MosherTangora68), [Lurie 07](#Lurie07)) (...)

### For generalized cohomology

The Steenrod algebra and its standard properties, such as the [Adem relations](#OnAdemRelations), follow abstractly from the [[Cotor]] groups of [[comodules]] over any [[commutative Hopf algebroid]].

This is due to ([May 70, 11.8](#May70)). A review is in ([Ravenel, appendix 1, theorem A1.5.2](#Ravenel)).

In particular for $E$ a suitable [[E-infinity ring]], its self-[[generalized homology]] $E_\bullet(E)$ form a (graded-)[[commutative Hopf algebroid]] over $E_\bullet$.

See at _[Hopf algebroid structure -- For generalized cohomology](#HopfAlgebroidstructureForGeneralized) below._

## Properties

### Presentation by generators and relations


+-- {: .num_defn #SerreCartanBasis}
###### Definition

The _Serre-Cartan basis_ is the [[subset]] of elements of the Steenrod algebra on those of the form

$$
  Sq^{i_1} \circ Sq^{i_2} \circ \cdots \circ Sq^{i_n}
$$

where $i_k \in \mathbb{N}$ subject to the relation 

$$
  i_k \geq 2 i_{k+1}.
$$

=--

This is indeed a [[linear basis]] for the $\mathbb{F}_2$-[[vector space]] underlying the Steenrod algebra.


+-- {: .num_prop #AdemRelations}
###### Proposition

The [[Steenrod square]] operations satisfy the following relation, for all 
for all $0 \lt i \lt 2 j$:

$$
  Sq^i \circ Sq^j 
   = 
  \sum_{k = 0}^{[i/2]}
  \left(
    \array{
      j - k - 1
      \\
      i - 2k 
    }
  \right)_{mod 2}
  Sq^{i + j -k} \circ Sq^k
$$

=--

These are called the **Ádem relations** ([Ádem 52](#Adem52)).

+-- {: .num_prop }
###### Proposition


The Ádam relations precisely generate the [[ideal]] of relations among the Serre-Cartan basis elements, def. \ref{AdemRelations}, in the Steenrod algebra.

=--

More generally, for other [[prime numbers]]:

+-- {: .num_defn #SteenrodAlgebraForHFp}
###### Definition

Let $p$ be a [[prime number]]. Write $\mathbb{F}_p$ for the corresponding [[prime field]].

The **mod $p$-Steenrod algebra** $\mathcal{A}_{\mathbb{F}_p}$ is the graded co-commutative [[Hopf algebra]] over $\mathbb{F}_p$ which is

* for $p = 2$ generated by elements denoted $Sq^n$ for $n \in \mathbb{N}$, $n \geq 1$;

* for $p \gt 2$ generated by elements denoted $\beta$ and $P^n$ for $\in \mathbb{N}$, $n \geq 1$

(called the **Serre-Cartan basis elements**)  whose product is subject to the following relations (called the **Ádem relations**):

**for $p = 2$**:

for $0 \lt h \lt 2k$  the

$$
  Sq^h Sq^k
  \;=\;
  \underoverset{i = 0}{[h/2]}{\sum}
  \left(
    \array{
      k -i - 1
      \\
      h - 2i
    }    
  \right)
  Sq^{h + k -i} Sq^i
  \,,
$$

**for $p \gt 2$**:

for $0 \lt h \lt p k$ then

$$
  P^h P^k
  \;=\;
  \underoverset{i = 0}{[h/p]}{\sum}
  (-1)^{h+i}
  \left(
    \array{
      (p-1)(k-i) - 1
      \\
      h - p i 
    }
  \right)
  P^{h +k - i}P^i
$$

and if $0 \lt h \lt p k$ then

$$
  \begin{aligned}
    P^h \beta P^k
    & =\;
    \underoverset{[h/p]}{i = 0}{\sum}
    (-1)^{h+i}
    \left(
      \array{
        (p-1)(k-i)
        \\
        h - p i
      }
    \right)
    \beta P^{h+k-i}P^i
    \\
    & + 
    \underoverset{[(h-1)/p]}{i = 0}{\sum}
    (-1)^{h+i-1}
    \left(
      \array{
        (p-1)(k-i) - 1
        \\
        h - p i - 1
      }
    \right)
    P^{h+k-i} \beta P^i
  \end{aligned}
$$

and whose coproduct $\Psi$ is subject to the following relations:

**for $p = 2$**:

$$
  \Psi(Sq^n)
  \;=\;
  \underoverset{k = 0}{n}{\sum} Sq^k \otimes Sq^{n-k}
$$

**for $p \gt 2$**:

$$
  \Psi(P^n)
  \;=\;
  \underoverset{n}{k = 0}{\sum}
  P^k \otimes P^{n-k}
$$

and

$$
  \Psi(\beta) = \beta \otimes 1 + 1 \otimes \beta
  \,.
$$

=--

e.g. ([Kochmann 96, p. 52](#Kochmann96))


### Dual Steenrod algebra

+-- {: .num_defn #DualSteenrodAlgebraForHPf}
###### Definition

The $\mathbb{F}_p$-[[linear dual]] of the mod $p$-Steenrod algebra (def. \ref{SteenrodAlgebraForHFp}) is itself naturally a graded [[commutative Hopf algebroid|commutative Hopf algebra]] (with coproduct the linear dual of the original product, and vice versa), called the **dual Steenrod algebra** $\mathbb{A}_{\mathbb{F}_p}^\ast$.

=--

+-- {: .num_remark}
###### Remark

There is an isomorphism

$$
  \mathcal{A}^\ast_{\mathbb{F}_p}
  \simeq
  H_\bullet( H \mathbb{F}_p, \mathbb{F}_p )
  = 
  \pi_\bullet( H \mathbb{F}_p \wedge H \mathbb{F}_p )
  \,.
$$

=--

(e.g. [Rognes 12, remark 7.24](#Rognes12))

#### Milnor's theorem
 {#MilnorTheorem}

We now give the generators-and-relations description of the dual Steenrod algebra $\mathcal{A}^\ast_{\mathbb{F}_p}$ from def. \ref{DualSteenrodAlgebraForHPf}, in terms of linear duals of the generators for $\mathcal{A}_{\mathbb{F}_p}$ itself, according to def. \ref{SteenrodAlgebraForHFp}.

In the following, we use for $p = 2$ the notation 

$$
  P^n \coloneqq Sq^{2n}
$$

$$
  \beta \coloneqq Sq^1
  \,.
$$

This serves to unify the expressions  for $p = 2$ and for $p \gt 2$ in the following. Notice that for all $p$

* $P^n$ has even degree $deg(P^n) = 2n(p-1)$;

* $\beta$ has odd degree $deg(\beta) = 1$.


+-- {: .num_theorem #MilnorTheoremOnDualSteenrodAlgebra}
###### Theorem
**([[Milnor's theorem]])**

The dual mod $p$-Steenrod algebra $\mathcal{A}^\ast_{\mathbb{F}_p}$ (def. \ref{DualSteenrodAlgebraForHPf}) is, as an [[associative algebra]], the free [[graded commutative algebra]]

$$
  \mathcal{A}^\ast_{\mathbb{F}_p}
    \simeq
  Sym_{\mathbb{F}_p}(\xi_1, \xi_2, \cdots, \;\tau_0, \tau_1, \cdots)
$$

on generators:

* $\xi_n$ being the linear dual to $P^{p^{n-1}} P^{p^{n-2}} \cdots P^p P^1$;

* $\tau_n$ being linear dual to $P^{p^{n-1}} P^{p^{n-2}} \cdots P^p P^1\beta$.

Moreover, the coproduct on $\mathcal{A}^\ast_{\mathbb{F}_p}$ is given by

$$
  \Psi(\xi_n)
  =
  \underoverset{k = 0}{n}{\sum} \xi_{n-k}^{p^k} \otimes \xi_k
$$

and

$$
  \Psi(\tau_n)
  =
  \tau_n \otimes 1
  + 
  \underoverset{k=0}{n}{\sum}
  \xi_{n-k}^{p^k} \xi_{n-k}^{p^k}\otimes \tau_k
  \,,
$$

where we set $\xi_0 \coloneqq 1$.

=--

This is due to ([Milnor 58](#Milnor58)). See for instance ([Kochmann 96, theorem 2.5.1](#Kochmann96))



### Hopf algebroid structure
 {#HopfAlgebraStructure}

#### For ordinary cohomology

The Steenrod algebra for mod $p$ coefficients is a [[Hopf algebra]] over $\mathbb{F}_p$ which is graded commutative and non-co-commutative.

This is due to ([Milnor 58](#Milnor58)). A review is in [Ravenel, ch. 3, section 1](#Ravenel).

#### For generalized cohomology
 {#HopfAlgebroidstructureForGeneralized}

More generally:  

+-- {: .num_lemma #SelfHomologyIsModuleOverCohomologyRing}
###### Lemma

Let $R$ be an [[E-∞ ring]] and let $A$ an [[E-∞ algebra]] over $R$.
The self-[[generalized homology]] $A^R_\bullet(A)$ 
is naturally a [[module]] over the [[cohomology ring]] $A_\bullet$
via applying the [[homotopy groups]] $\infty$-functor $\pi_\bullet$ 
to the canonical inclusion

$$
  A \stackrel{\simeq}{\rightarrow}
  A \underset{R}{\wedge} R
  \stackrel{}{\rightarrow}
  A \underset{R}{\wedge} A
  \,.
$$

=--

+-- {: .num_prop}
###### Proposition

Let $R$ be an [[E-∞ ring]] and let $A$ an [[E-∞ algebra]] over $R$.
If the the $A_\bullet$-[[module]] $A^R_\bullet(A)$ of 
lemma \ref{SelfHomologyIsModuleOverCohomologyRing} is a [[flat module]],
then 

1. $(A_\bullet, A_\bullet(A))$ is a [[commutative Hopf algebroid]] over $R_\bullet$;

1. $A^R_\bullet(X)$ is a left $A^R_\bullet(A)$-module for every $R$-[[∞-module]] $X$.

=--

This is due to ([Baker-Lazarev 01](#BakerLazarev01)), further discussed  in ([Baker-Jeanneret 02](#BakerJeanneret02)) (there expressed in terms of the presentation by [[highly structured ring spectra]]). 
A review is also in ([Ravenel, chapter 2, prop. 2.2.8](#Ravenel)).

+-- {: .proof}
###### Proof sketch

Using the arguments of ([Adams 74](#Adams74), [Ravenel 86](#Ravenel86)).

The [[flat module|flatness]] condition implies that there is an [[equivalence]]

$$
  \pi_\bullet\left(
    A \underset{R}{\wedge} A \underset{R}{\wedge} X
  \right)
  \stackrel{\simeq}{\longrightarrow}
  A_\bullet^R(A) \underset{A_\bullet}{\otimes} A_\bullet^R(X)
  \,.
$$

Combining this with the map in lemma \ref{SelfHomologyIsModuleOverCohomologyRing}
yields the [[coaction]] 

$$
  A_\bullet^R(X)
  \longrightarrow
  \pi_\bullet\left(
    A \underset{R}{\wedge} A \underset{R}{\wedge} X
  \right)
  \stackrel{\simeq}{\longrightarrow}
  A_\bullet^R(A) \underset{A_\bullet}{\otimes} A_\bullet^R(X)
  \,.
$$


=--


These (dual) $E$-Steenrod algebra Hopf algebroids have also been called "[[brave new algebra|brave new Hopf algebroids]]" ([Baker](#Baker),  [Baker-Jeanneret 02](#BakerJeanneret02))


+-- {: .num_example}
###### Example

For $E = H \mathbb{F}_2$ the [[Eilenberg-MacLane spectrum]],
this reproduces the [[Hopf algebra]] structure on the dual
ordinary Steenrod algebra as above.

=--


+-- {: .num_example}
###### Example

For $E = $ [[MU]] then by [[Quillen's theorem on MU]] $\pi_\bullet(MU) \simeq L$ is the [[Lazard ring]] and the Hopf algebroid $(\pi_\bullet(MU), MU_\bullet(MU))$ is described by the [[Landweber-Novikov theorem]].

=--

+-- {: .num_example}
###### Example

For $E = $ [[BP]] the analog is the content of the [[Adams-Quillen theorem]]. The [[Landweber exact functor theorem]] was proven using the $B P_\bullet(B P)$-Hopf algebroid.

=--

### Relation to Adams spectral sequence

#### For ordinary cohomology

By construction, the total [[cohomology]] $H^\bullet(X,\mathbb{Z}_2)$ of a [[topological space]] $X$, naturally is a [[module]] over the Steenrod algebra: 

a cohomology element is represented by a [[cocycle]] which is a map $X \longrightarrow B^n \mathbb{Z}_2$ and the action of a [[Steenrod square]] on this is just by [[composition]].

In this form the Steenrod algebra appears in the second page of the
[[Adams spectral sequence]] which computes $[\Sigma^\infty X, \Sigma^\infty Y]$ for [[topological spaces]] $X$ and $Y$: that second page is given by the [[Ext]]-groups

$$
  E_2 = Ext_A(H^\bullet(X, \mathbb{Z}_2), H^\bullet(Y,\mathbb{Z}_2))
$$

computed in the [[category of modules|category of A-modules]] for $A$ the Steenrod algebra.

#### For generalized cohomology


More generally, For $R$ an [[E-infinity ring]] such that its dual $R$-[[Steenrod algebra]] in the form of the self-[[homology]] $R_\bullet(R)$ is a (graded-)[[commutative Hopf algebroid]] over $R_\bullet = \pi_\bullet(R)$ (see at [Steenrod algebra -- Hopf algebroid structure](Steenrod+algebra#HopfAlgebraStructure)), then the $E^2$-term of the $E$-Adams spectral sequence is an [[Ext]] of $E_\bullet(E)$-[[comodules]]

$$
  E^2 \simeq Ext_{R_\bullet(R)}(R_\bullet, R_\bullet(X))
  \,.
$$

See the [references below](#ReferencesHopfAlgebroid).


## Related concepts

* [[cohomology operation]]

* [[power operation]]

* [[Pi-algebra]]

* [[Lambda-algebra]]

* [[Adams resolution]], [[Adams spectral sequence]], [[Adams-Novikov spectral sequence]]

* [[Brown-Gitler spectrum]]

## References

### General

Original articles include

* {#Adem52} [[José Ádem]], _The iteration of the Steenrod squares in algebraic topology_ , Proceedings of the National Academy of Sciences of the United States of America 38: 720–726 (1952)

* {#Milnor58} [[John Milnor]], _The Steenrod algebra and its dual_, Ann. of Math. 67 (1958), 150–171.

* {#SteenrodEpstein62} [[Norman Steenrod]], [[David Epstein]], _Cohomology operations_, Ann. of Math. Studies, no. 50, Princeton University Press, Princeton, N. J., 1962.
  
* {#Adams74} [[John Frank Adams]], part III, section 12 of _[[Stable homotopy and generalised homology]]_, University of Chicago Press (1974).

Comprehensive discussion of the ordinary Steenrod algebra, with proof is the Adem relations includes

* {#MosherTangora68} [[Robert Mosher]], [[Martin Tangora]], _Cohomology Operations and Application in Homotopy Theory_, Harper and Row (1968) ([pdf](www.maths.ed.ac.uk/~aar/papers/moshtang.pdf))
 
* {#Lurie07} [[Jacob Lurie]], 18.917 _[Topics in Algebraic Topology: The Sullivan Conjecture, Fall 2007](http://ocw.mit.edu/courses/mathematics/18-917-topics-in-algebraic-topology-the-sullivan-conjecture-fall-2007)_. (MIT OpenCourseWare: Massachusetts Institute of Technology), _[Lecture notes](http://ocw.mit.edu/courses/mathematics/18-917-topics-in-algebraic-topology-the-sullivan-conjecture-fall-2007/lecture-notes/)_

  Lecture 2 _Steenrod operations_ ([pdf](http://ocw.mit.edu/courses/mathematics/18-917-topics-in-algebraic-topology-the-sullivan-conjecture-fall-2007/lecture-notes/lecture2.pdf))

  Lecture 3 _Basic properties of Steenrod operations_ ([pdf](http://ocw.mit.edu/courses/mathematics/18-917-topics-in-algebraic-topology-the-sullivan-conjecture-fall-2007/lecture-notes/lecture3.pdf))

  Lecture 4 _The Adem relations_ ([pdf](http://ocw.mit.edu/courses/mathematics/18-917-topics-in-algebraic-topology-the-sullivan-conjecture-fall-2007/lecture-notes/lecture4.pdf))

  Lecture 5 _The Adem relations (cont.)_ ([pdf](http://ocw.mit.edu/courses/mathematics/18-917-topics-in-algebraic-topology-the-sullivan-conjecture-fall-2007/lecture-notes/lecture5.pdf))

The general algebraic approach was laid out in 

* {#May70} [[Peter May]], _A general algebraic approach to Steenrod operations_, in _The Steenrod Algebra and its Applications_ (Proc. Conf. to Celebrate N. E. Steenrod’s Sixtieth Birthday, Battelle Memorial Inst., Columbus, Ohio, 1970), Lecture Notes in Mathematics, Vol. 168, Springer, Berlin, 1970, pp. 153–231. ([pdf](http://www.math.uchicago.edu/~may/BOOKS/Algebraic.pdf))
 
* [[Robert Bruner]], [[Peter May]], J. E. McClure, M. Steinberger, 
_$H_\infty$ ring spectra and their applications_, Lecture Notes in Math., Springer-Verlag, Berlin,

reviewed in ([Ravenel 86, A1.5](#Ravenel)).

Further textbook accounts include

* Harvey Margolis, _Spectra and the Steenrod algebra_, 1983 North-Holland 

* {#Kochmann96} [[Stanley Kochmann]], section 2.5 of _[[Bordism, Stable Homotopy and Adams Spectral Sequences]]_, AMS 1996

* {#Schwede12} [[Stefan Schwede]], chapter II section 10 of _[[Symmetric spectra]]_, 2012 ([pdf](http://www.math.uni-bonn.de/~schwede/SymSpec-v3.pdf))

Lecture notes include

* {#Rognes12} [[John Rognes]], section 3 of _The Adams spectral sequence_, 2012 ([pdf](http://folk.uio.no/rognes/papers/notes.050612.pdf))



Reviews include

* {#Ravenel} [[Doug Ravenel]], _[[Complex cobordism and stable homotopy groups of spheres]]_ Academic Press 1986
 

(appendix 1, section 5 reviews the abstract algebraic definition).

* Cary Malkievich, _The Steenrod Algebra_ ([pdf](http://math.stanford.edu/~carym/steenrod.pdf))

On the dual Steenrod algebra:

* J. Palmieri, _Some quotient Hopf algebras of the dual Steenrod algebra_ ([pdf](http://www.math.washington.edu/~palmieri/Papers/quotient.pdf))

For a commented list of furhter references see also

* _[Steenrod algebra learning seminar](http://www.math.uwo.ca/~sisaacso/steenrod-seminar/steenrod.xhtml)_

See also

* [online Adem relation calculator](http://math.berkeley.edu/~aaron/adem/)

### $E_\bullet$-Hopf algebroid structure
 {#ReferencesHopfAlgebroid}

The [[commutative Hopf algebroid]] structure on the dual $E$-Steenrod algebra $E_\bullet(E)$ and 
its relation to the $E^2$-term in the 
[[Adams spectral sequence]] is discussed in 

* {#Baker} [[Andrew Baker]], _Brave new Hopf algebroids_, [pdf](http://www.maths.gla.ac.uk/~ajb/dvi-ps/brave-ha.pdf)
 

* {#BakerLazarev01} [[Andrew Baker]], [[Andrey Lazarev]], _On the Adams Spectral Sequence for R-modules_, Algebr. Geom. Topol. 1 (2001) 173-199 ([arXiv:math/0105079](http://arxiv.org/abs/math/0105079))
 

* {#BakerJeanneret02} [[Andrew Baker]] and Alain Jeanneret, _Brave new Hopf algebroids and extensions of $MU$-algebras_, Homology Homotopy Appl. Volume 4, Number 1 (2002), 163-173. ([Euclid](http://projecteuclid.org/euclid.hha/1139840059))
 

* {#Hovey03} [[Mark Hovey]], _Homotopy theory of comodules over a Hopf algebroid_ ([arXiv:math/0301229](http://arxiv.org/abs/math/0301229)) 
 


[[!redirects Steenrod algebras]]

[[!redirects Adem relation]]
[[!redirects Ádem relation]]
[[!redirects Adem relations]]
[[!redirects Ádem relations]]

[[!redirects dual Steenrod algebra]]
[[!redirects dual Steenrod algebras]]