This entry is about terminological and historical issues (and matters of opinion) on binary operations/algebraic structures, in particular nonassociative ones: magmas, quasigroups, racks and quandles.

Historically, one most often considered everywhere-defined binary algebraic operations; however partial operations were also sometimes considered. [[Oystein Ore]] termed everywhere defined operations groupoidal, hence a set with one binary operation that is everywhere defined has been called a groupoid. If the operation is not everywhere defined, then according to the textbook of [Bruck](#Bruck), people talked about halfgroupoids. In the $n$Lab, a [[groupoid]] is another structure (a small category where all morphisms are isomorphisms). This however comes from Brandt's groupoids, which were considered as sets with partially defined operations, equivalent to what we call connected groupoids. As Brandt groupoids assumed primacy, what had been the usual groupoids were now renamed magmas (after [[Nicolas Bourbaki]]). In categorical universal algebra, "magma" usually means unital magma. Bourbaki coined some other names of common structures, including [[semigroup]] and [[distributive lattice]]. In choosing the word "magma", Bourbaki means to suggest amorphous structure, as a _weakening_ of the common and strong notion of a group. There is actually a tradition in such terminology of weakenings for groups: to use terms suggesting loose matter. For example, [[heap]] (synonymous with the earlier and similar *flock*) for a group with forgotten identity, and *wrack* (or what is more usual nowadays, [[rack]]) for a left distributive left quasigroup. Here *wrack* was introduced by [[John Conway]] (cf. the verb "wreck" and the noun "wreckage"), evidently to conjure up the phrase *wrack and ruin*, but Conway was also punning on the similar spelling and sound in the name of his coauthor [[Gavin Wraith|Wraith]]. (Meanwhile, the term "[[shelf]]", introduced by [[Alissa Crans]], would appear to be based on the homophone "rack" which has a different meaning, thus departing from the tradition, or starting a new one.) 

Books on binary structures are quite dominated by the study of nonassociative ones, where quasigroups are the most prominent class (including one sided versions, like left quasigroups and their subclasses, e.g., left [[rack]]s).

## Quasigroups

Some consider the concept of quasigroup to be an example of [[centipede mathematics]], and uninteresting due to their lack of deep applications (the latter opinion on quasigroups and loops is however becoming obsolete in view of modern examples and applications).  For example, one mathematician has written:

>The meeting was dominated by algebraic loop theory.  It occurred to me that as a way to use your intellectual resources this was very akin in significance to doing a difficult sudoku, a thought that was made very ironic when one speaker started making loops out of what were essentially sudoku squares.

Nonetheless it can be instructive to ponder these concepts, and there are some nontrivial examples.

## Literature 

* wikipedia [magma](http://en.wikipedia.org/wiki/Magma_%28algebra%29), [Øystein Ore](http://en.wikipedia.org/wiki/%C3%98ystein_Ore), [Nicolas Bourbaki](http://en.wikipedia.org/wiki/Nicolas_Bourbaki)
* R.H. Bruck, _A survey of binary systems_, Springer-Verlag 1958 
 {#Bruck} 
* Hala Orlik Pflugfelder, _Historical notes on loop theory_, Comment. Math. Univ. Carolin. __41__,2 (2000) 359–370 [pdf](http://www.emis.de/journals/CMUC/pdf/cmuc0002/pflug.pdf)

category: algebra