**Identities of Bol-Moufang type** are 60 fourth-order identities for a binary algebraic operation which include left and right _Bol identities_ and the three _Moufang identities_. The identities follow from associativity but are strictly weaker than associativity; in the case of [[loops]] some of them do imply associativity. 

Four general elements $x,y,z,w$ in the fixed order can be bracketed in five ways: 
\[
(xy)(zw), x((yz)w), (x(yz))w, ((xy)z)w, x(y(zw)).
\] 
If the two of the four elements are the same (hence we have $a,a,b,c$ than we can order them in six ways such that $b$ and $c$ are in fixed order. Bol-Moufang identities are obtained when we take general elements $a,a,b,c$ with $b$ before $c$ (for definiteness) and form a fourth-order monomial in any bracketing and equate it with a monomial with a different bracketing, 
for example $(ab)(ac) = a((ba)c)$. We can do this in $\binom{5}{2} \times 6= 60$ ways. Requiring different sets among Bol-Moufang identities in a [[quasigroup]] or in a loop one gets some interesting classes of quasigroups and loops, for example, [[Bol loop]]s, [[Moufang loop]]s and some others. 

The notion is introduced in 

* F. Fenyves, _Extra loops II. On loops with identities of Bol–Moufang type_, Publ. Math. Debrecen __16__ (1969), pp. 187–192

Important clarifications are introduced in 

* [[Kenneth Kunen]], _Quasigroups, loops and associative laws_, J. Algebra __185__ (1) (1996), pp. 194–204 [doi](http://dx.doi.org/10.1006/jabr.1996.0321) (for all  identities of Bol-Moufang type); _Moufang quasigroups_, J. Algebra __183__:1 (1996) 231–234 [doi](http://dx.doi.org/10.1006/jabr.1996.0216) (the question of loop vs. quasigroup in presence of Moufang identities)
* A. Pavlů, A. Vanžurová, _On identities of Bol-Moufang type_,  Bul. Acad. Ştiinţe Repub. Mold. Mat., 2005, no. 3, 88–100 [pdf](http://www.mathnet.ru/php/getFT.phtml?jrnid=basm&paperid=139&what=fullt&option_lang=rus)	

A systematic exposition is also in

* Vladimir Volenec, _Grupoidi, kvazigrupe i petlje_ (book in Croatian), Zagreb, Školska knjiga, 1982

category: algebra
[[!redirects identities of Bol-Moufang type]]