

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Differential geometry
+--{: .hide}
[[!include synthetic differential geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The [[Cartan geometry]] induced by [[parabolic subgroup]] inclusions is called _parabolic geometry_.

>Parabolic geometries are Cartan geometries of type $(G, P)$, where $G$ is a semisimple Lie group and $P \subset G$ is a parabolic subgroup. The corresponding homogeneous spaces $G/P$ are the so–called generalized flag manifolds which are among the most important examples of homogeneous spaces. Under the conditions of regularity and normality, parabolic geometries always are equivalent to underlying structures. ([Cap 05](#Cap05))

Parabolic geometries include [[conformal geometry]], [[projective geometry]], almost quaternionic structures, almost Grassmannian structures, hypersurface type [[CR structures]], systems of 2nd order ODEs, and various bracket-generating distributions. An example of a Cartan geometry that is not parabolic is [[Riemannian geometry]].

A key application of parabolic Cartan geometry is to the construction of curved generalizations of the [[BGG resolution]].

All parabolic geometries admit a fundamental curvature quantity called harmonic curvature $\kappa_H$, which is a complete obstruction
to flatness. The [[Weyl tensor]] is the specific instance of $\kappa_H$ in conformal geometry.

## Examples

* [[conformal geometry]] via [[conformal connections]]

* [[CR geometry]]

## Related concepts

* [[tractor bundle]]

* [[Schubert calculus]]

* [[twistor space]]

## References

General discussion includes

* [[Andreas Čap]], H. Schichl, _Parabolic Geometries and Canonical Cartan Connections_ Hokkaido Math. J. 29 no.3 (2000), 453-505

* {#Cap05} [[Andreas Čap]], _Two constructions with parabolic geometries_, [arXiv:0504389](http://arxiv.org/abs/math/0504389)

* [[Felipe Leitner]], part 1, section 5 of _Applications of Cartan and Tractor Calculus to Conformal and CR-Geometry_, 2007 ([pdf](http://elib.uni-stuttgart.de/opus/volltexte/2009/3922/pdf/HabilKopf.pdf))

* {#CapSlovak09} [[Andreas Čap]], [[Jan Slovák]],  _Parabolic Geometries I -- Background and General Theory_, AMS 2009

Relation to [[twistor spaces]] is discussed in

* {#Cap01} [[Andreas Čap]], _Correspondence spaces and twistor spaces for parabolic geometries_, J. Reine Angew. Math. 582 (2005) 143-172 ([arXiv:math/0102097](http://arxiv.org/abs/math/0102097))

Discussion of [[BGG sequences]] in parabolic geometry includes

* [[David Calderbank]], Tammo Diemer, _Differential invariants and curved Bernstein-Gelfand-Gelfand sequences_, J.Reine Angew.Math. 537 (2001) 67-103 ([arXiv:math/0001158](http://arxiv.org/abs/math/0001158))  

for more see the references at _[BGG resolution -- References -- Curved generalization to parabolic Cartan geometries](BGG+resolution#ReferencesCurved)_.

See also

* Wikipedia, _[Parabolic geometry (differential geometry)](http://en.wikipedia.org/wiki/Parabolic_geometry_(differential_geometry%29)_

A relation to [[Courant Lie 2-algebroids]] is discussed in 

* {#ArmstrongLu11} Stuart Armstrong, [[Rongmin Lu]], _Courant Algebroids in Parabolic Geometry_ ([arXiv:1112.6425](http://arxiv.org/abs/1112.6425))

* Xu Xiaomeng, _Twisted Courant algebroids and coisotropic Cartan geometries_, Journal of Geometry and Physics Volume 82, August 2014, Pages 124–131 ([arXiv:1206.2282](http://arxiv.org/abs/1206.2282))

See also

* Olivier Biquard, Rafe Mazzeo, _Parabolic geometries as conformal infinities of Einstein metrics_, Archivum Mathematicum, vol. 42 (2006), issue 5, pp. 85-104 ([dml](http://dml.cz/handle/10338.dmlcz/108021), [pdf](http://math.stanford.edu/~mazzeo/Web/Papers/pgciem.pdf))


[[!redirects parabolic geometries]]
[[!redirects Parabolic geometry]]