
#Contents#
* table of contents
{:toc}

## Idea

A [[projective variety]] that is moreover a [[quadric]] given by zeroes of the quadratic form
$$
x_0x_5 + x_1 x_4 + x_2 x_3
$$
where $[x_0:x_1:x_2:x_3:x_4:x_5]$ are [[projective space|homogeneous coordinates]] on $\mathbb{P}^5$. It was studied in ([Klein 1868](#Klein)), together with what is now called the [[Klein correspondence]], by [[Felix Klein]] in his 1868 dissertation under [[Julius Plücker]].

## Properties

The [[conformal compactification]], of _complexified_ [[Minkowski spacetime]] $\mathbb{R}^{3,1}$, is given by the Klein quadric. (eg, [Fioresi-Lledo-Varadarajan 07, section 2](#FioresiLledoVaradarajan07)).


## Related concepts

* [[twistor correspondence]]

## References

* {#Klein} [[Felix Klein]], _Über die Transformation der allgemeinen Gleichung des zweiten Grades zwischen Linien-Koordinaten auf eine kanonische Form_, dr. Phil. thesis (1868), published as Math. Ann **23** (1884), 539-578. doi:[10.1007/BF01446603](dx.doi.org/10.1007/BF01446603) ([English translation pdf](http://neo-classical-physics.info/uploads/3/0/6/5/3065888/klein_-_canonical_forms.pdf))


* _The Klein quadric and triality_ ([pdf](http://www.maths.qmul.ac.uk/~pjc/pps/pps8.pdf))

* {#FioresiLledoVaradarajan07} R. Fioresi, M. A. Lledo, [[Veeravalli Varadarajan]], _The Minkowski and conformal superspaces_, J.Math.Phys.48:113505,2007 ([arXiv:math/0609813](https://arxiv.org/abs/math/0609813))