[[!redirects Weil conjecture]]

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher geometry
+--{: .hide}
[[!include higher geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The _Weil conjectures_ are a sequence of [[conjectures]] about counting the number of points of [[algebraic varieties]] $X$ over [[finite fields]]; $\mathbb{F}_p$ and extensions thereof. That is, the number of [[homomorphisms]]

$$
  \operatorname{Spec} \mathbb{F}_{p^n} \longrightarrow X
  \,
$$
for fixed $p$ but all $n \geq 1$.

Effectively the conjecture says that the [[generating function]] for the number of points as $n$ varies -- the [[Weil zeta function]] -- is a [[rational function]] with some nice properties.

It was realized that the all except one of the conjectures (the [[Riemann hypothesis]]) would follow formally from the existence of a suitable [[cohomology theory]] on [[algebraic varieties]] which behaves in essential aspects like [[ordinary cohomology]] of [[topological spaces]] and which in particular satisfies a [[Lefschetz fixed point theorem]] - what is now called a [[Weil cohomology theory]].

Later [[Alexander Grothendieck]] found that the relevant [[cohomology]] theory is [[étale cohomology]] of [[schemes]].


## Related concepts

* [[number theory]]

* [[Riemann zeta function]]

* [[Frobenius endomorphism]]

* [[Weil conjecture on Tamagawa number]]

## References

* [[James Milne]], section 26 of _[[Lectures on Étale Cohomology]]_

* [[Sophie Morel]] _The Weil conjectures, from Abel to Deligne_  ([IAS video](http://video.ias.edu/members/2013/1014-SophieMorel)). Note that the title was chosen as a joke by Morel; she clarifies that there is no known connection between Abel and the Weil conjectures.

* Wikipedia, _[Weil conjectures](http://en.wikipedia.org/wiki/Weil_conjectures)_

* [[Dennis Gaitsgory]],  [[Jacob Lurie]], _Weil's Conjecture for Function Fields_ ([pdf](http://www.math.harvard.edu/~lurie/papers/tamagawa.pdf))

[[!redirects Weil conjectures]]

[[!redirects Weil's conjecture]]
[[!redirects Weil's conjectures]]
