

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Arithmetic geometry
+--{: .hide}
[[!include arithmetic geometry - contents]]
=--
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}


## Idea

There are several ways in which the _[[Riemann hypothesis]]_ has or might have an incarnation in or leave an imprint on [[physics]], specifically in [[quantum physics]].

### Via string theory

By the general discussion at _[[zeta function]]_ and at _[[functional determinant]]_ zeta functions are closely related to 1-loop [[vacuum amplitudes]] and to [[vacuum energy]] in [[quantum field theory]] in general and in [[string theory]] in particular. 

Concretely, the [[Rankin-Selberg-Zagier method]] implies that the [[partition function]] of the [[superstring]] asymptotes for small [[proper time]] to a constant times a converging oscillatory term (reminiscent of the [[explicit formulae for L-functions]]) whose [[frequencies]] are proportional to the imaginary values of the zeros of the [[Riemann zeta function]] ([ACER 11](#ACER11)).

Similarly there the [[Veneziano amplitude]] of the string has an expression in terms of the [[Riemann zeta function]] ([HJM 15](#HJM15)).

### Via noncommutative geometry

In other parts of the literature there is the desire to interpret the Riemann zeta function instead as a [[partition function]] of a [[quantum mechanical system]]. (Notice that the 1-loop [[vacuum amplitude]] mentioned before is instead a [[Mellin transform]] of the partition function.) The main example here is maybe the [[Bost-Connes system]].

## Related entries

* [[number theory and physics]]

* [[Selberg trace formula]]

* [[random matrix theory]]

## References

### Via string theory

via [[string theory]]:

* Sergio Cacciatori, Matteo Cardella, _Equidistribution Rates, Closed String Amplitudes, and the Riemann Hypothesis_ ([arXiv:1007.3717](http://arxiv.org/abs/1007.3717))

  "the Riemann hypothesis can be rephrased in terms of ultraviolet relations occurring in perturbative closed string theory"

* {#ACER11} Carlo Angelantonj, Matteo Cardella, Shmuel Elitzur, Eliezer Rabinovici, _Vacuum stability, string density of states and the Riemann zeta function_,JHEP 1102:024,2011 ([arXiv:1012.5091](http://arxiv.org/abs/1012.5091))

* Sergio L. Cacciatori, Matteo A. Cardella, _Uniformization, Unipotent Flows and the Riemann Hypothesis_ ([arXiv:1102.1201](http://arxiv.org/abs/1102.1201))

* {#HJM15} Yang-Hui He, Vishnu Jejjala, Djordje Minic, _From Veneziano to Riemann: A String Theory Statement of the Riemann Hypothesis_ ([arXiv:1501.01975](http://arxiv.org/abs/1501.01975))

### Via noncommutative geometry

via [[noncommutative geometry]]:

* [[Matthew Watkins]], _[the nontrivial Riemann zeta zeros interpreted as a spectrum of energy levels](http://empslocal.ex.ac.uk/people/staff/mrwatkin/zeta/physics1.htm)_


* [[Alain Connes]], _Noncommutative geometry and the Riemann zeta-function_ ([pdf](http://www.alainconnes.org/docs/imufinal.pdf))

* [[Masoud Khalkhali]], _What is new with Connes' approach to the Riemann hypothesis?_ [pdf](http://www.math.uwo.ca/~masoud/files/TehProg.pdf)


via [[random matrix theory]]:

* Nina Snaith, _Random matrix theory and zeta functions_, 2000 ([pdf](http://empslocal.ex.ac.uk/people/staff/mrwatkin/zeta/snaith-thesis.pdf))