
#Contents#
* table of contents
{:toc}

## Idea

The _Selberg trace formua_ ([Selberg 56](#Selberg56)) is an expression for certain sums of [[eigenvalues]] of the [[Laplace operator]] on a compact hyperbolic [[Riemann surface]] (recalled e.g. as [Bump, theorem 19](#Bump)).

It was introduced as a nonabelian generalization of the [[Poisson summation formula]] (e.g.[Voros-Balasz 86, p. 169](#VorosBalasz86)), thought of as a relation between the eigenvalues of the Laplacian and the lengths of closed [[geodesics]].

It motivates (e.g. [Bump, p.18](#Bump)) the definition of the Selberg [[zeta function of a Riemann surface]].

## Related concepts

* [[Riemann hypothesis]]

* [[number theory and physics]]

* [[Arthur-Selberg trace formula]]

* [[Duistermaat-Guillemin trace formula]]

* [[zeta function of a Riemann surface]]

* [[Selberg zeta function]]

## References

* {#Selberg56} [[Atle Selberg]], _Harmonic analysis and discontinuous groups in weakly symmetric Riemannian spaces with applications to Dirichlet series_, Journal of the Indian Mathematical Society 20 (1956) 47-87.

* {#Friedman04} [[Joshua Friedman]], _The Selberg trace formula and Selberg zeta-function for cofinite Kleinian groups with finite-dimensional unitary representations_ ([arXiv:math/0410067](http://arxiv.org/abs/math/0410067))


* Wikipedia, _[Selberg trace formula](http://en.wikipedia.org/wiki/Selberg_trace_formula)_


* {#Bump} Bump, theorem 19 in _Spectral theory of $\Gamma \backslash SL(2,\mathbb{R})$_ ([[BumpSpectralTheory.pdf:file]])

* {#VorosBalasz86} A. Voros and N.L. Balasz, _Chaos on the pseudosphere_, Physics Reports 143 no. 3 (1986)

For [[Dirac operators]]:

* Jens Bolte, Hans-Michael Stiepan, _The Selberg trace formula for Dirac operators_ ([arXiv:math-ph/0607010](http://arxiv.org/abs/math-ph/0607010))
