This entry is about the isotope and isotopy in algebra, for isotopy in geometry see [[isotopy]]; homotopy of quasigroups is also covered, do not mix with the notion from [[homotopy theory]].
For [[isotope]] in chemistry and nuclear physics see wikipedia; along with [[isotopic spin]] might be once covered in $n$Lab.

## Idea

Homotopy and isotopy are relaxed notions of homomorphism and isomorphism suitable for nonassociative binary algebraic structures.

## Definition

Let $(A,\cdot), (B,\star)$ be [[binary algebraic structure]]s (magmas)
and $\xi,\eta,\zeta : A\to B$ set maps. The triple $(\xi,\eta,\zeta)$ is a homotopy of binary structures if for all $x,y\in A$ 

$$
\xi(a)\star \eta(b) = \zeta (a\cdot b).
$$

A homotopy is an __isotopy__ if $\xi,\eta,\zeta$ are 
bijections of sets; if there is an isotopy $(A,\cdot)\to (B,\star)$, then we say that $(A,\cdot)$ is isotopic to $(B,\star)$, or that they are __isotopes__. Autotopy is an isotopy from $(A,\cdot)$ to itself. 

## Properties

Being isotopic is a relation of equivalence. Magmas and their isotopies from a groupoid. 

Every [[loop (algebra)|loop]] isotopic to a group is isomorphic to a group. This is why isotopy is a non-interesting notion for groups.
There exist a [[quasigroup]] which is isotopic to a group but not isomorphic to a group.

## Literature

* R. Artzy, _Isotopy an parastrophy of quasigroups_, Proc. Amer. Math. Soc. __14__ (1963)

category: algebra
[[!redirects isotopy (algebra)]]
[[!redirects homotopy (algebra)]]
[[!redirects homotopy of quasigroups]]
