
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Foundations
+-- {: .hide}
[[!include foundations - contents]]
=--
#### Duality
+-- {: .hide}
[[!include duality - contents]]
=--
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
#### Cohesive Toposes
+-- {: .hide}
[[!include cohesive infinity-toposes - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Summary

This page collects material related to the article

* [[William Lawvere]], 

  _Cohesive Toposes and Cantor's "lauter Einsen"_, Philosophia Mathematica (3) Vol. 2 (1994), pp. 5-15. ([[LawvereCohesiveToposes.pdf:file]])

on [[adjoint cylinders]] and [[cohesive toposes]].

## Overview of the paper

The article claims that [[Georg Cantor]]’s original use of terminology ([Cantor 1895](#Cantor1895)) was distorted by his editor to become what we now take to be the standard meaning of [[sets]] and their [[cardinality]] in [[set theory]]. But that instead Cantor really meant “[[cohesion|cohesive types]]” when saying “Menge” and used “Kardinale” really for what we call the underlying set $\flat X$ of a cohesive type $X$.

Beyond this, the article is in part motivated from attempts to formalize thoughts appearing in [[Georg Hegel]]'s _[[Science of Logic]]_ on [[unity of opposites]].

Concretely it is about the [[unity of opposites]] that in a set all elements are "distinct, but indistinguishable". Lawvere argues that this and Cantor's original notion of _[[cardinality]]_ is captured by the [[adjoint modality]] given by [[flat modality]] $\dashv$ [[sharp modality]]. 

This seems to match well with [[Hegel]]'s _[Pure quantity](Science+of+Logic#PureQuantity)_ both informally as well as formally (as discussed there).

Notice that where the English translations of [[Hegel]]'s _[[Science of Logic]]_ say "the One", the original has "Das Eins", which might just as well be translated with "The Unit". In view of this and looking through Hegel's piece on discreteness and repulsion, it seems clear that Hegel's "Einsen" is precisely Cantor's "Einsen" as recalled by Lawvere. Namely: copies of the [[unit type]].

Notice that the German "lauter" is pretty much the English "lots of". When you say "A lot o\'" as in the slang "A lot o\' stuff" or else say "lauter" with a Bavarian accent, it comes out pretty much alike.

(? The German expression 'lauter' predominantly denotes universal quantification, so that the Cantor quote translates 'all (of) units'. There might in fact be an etymological connection to English 'lot' preserved in the meaning '(specific) quantity' - German 'Posten' like in e.g. 'yesterday arrived two lots of cd-players')

On page 7, Lawvere makes a distinction between _objective_ and _subjective_ cohesion. The subjective version involve the "coming to know" aspects of points in a space. "A good example of a type of set possessing subjective cohesion is that of recursive set, which is 'traced' by various threads generated by particular recursive functions." 

In view of the relationship between cohesion and modality, Lawvere's distinction should correspond to that between metaphysical and epistemic modalities (“As far as I know, it may be the case that...”).

On page 11, Lawvere discusses categories intermediate between the original cohesive category and the base. This relates to the discussion, pp. 10-11 of [[Some Thoughts on the Future of Category Theory]], which remarks on dimensional levels of increasing determinateness, including infinitesimal increases.

## The fortunes and misfortunes of Euclid's units

It is noteworthy that Cantor's conception of cardinal number is a mildly disguised form of the definition of number as _'a multitude made up of units'_ in [[Euclid]], book VII, def.2. This was until the end of the 19th century a standard definition of the _finite_ cardinals and in Cantor's time was e.g. used by the highly influential Karl Weierstrass in his lectures[^weierstrass] and defended by Weierstrass' student Edmund Husserl in his 'Philosophie der Arithmetik' (1891).

Cantor comments on Euclid in '_Mitteilungen zur Lehre vom Transfiniten_' (1887-88, [Cantor (1932)](#Cantor32) pp.378-438)). His comment (p.380f.) makes it clear that he views cardinals actually as the cohesive 'united' objects whereas he _stresses the discreteness_ of the concrete elements in the 'Mengen'. He criticizes Euclid for not emphasizing that numbers are actually more unified objects than the material sets they are abstracted from. Another key passage (with unmistakingly Aristotelian overtones) in this direction reads: 

>'_Die Elemente der uns gegenüberstehenden Menge $M$ sind getrennt vorzustellen; in dem intellektualem Gebilde $\overline{M}$, welches ich ihren Ordnungstypus nenne, sind dagegen die Einsen zu einem Organismus vereinigt. In gewissem Sinne lässt sich jeder Ordnungstypus als ein Kompositum aus Materie und Form ansehen; die darin enthaltenen begrifflich unterschiedenen Einsen liefern die Materie, während die unter diese bestehende Ordnung das der Form entsprechende ist._' (p.380)

In a letter to Peano he writes:

> '_I conceive of numbers as 'forms' or
'species' (general concepts) of sets. In essentials this is the
conception of the ancient geometry of Plato, Aristotle, Euclid
etc.'_ (Cantor, _Briefe_, 1991, p.365; quoted after [Hill (2000)](#Hill00))

What underlies the contrast between Mengen and Kardinalen, is a platonist conception of mathematics. By abstracting from the contingencies of the material sets one reaches a realm of ideas of higher reality as they achieve a better unification of the many into unity; in particular, the introduction of the units acts as a uniformisation and homogenisation of the diversity-matter of the concrete sets which are then able to participate in the idea of the cardinal number. The pertinent contrast in Cantor is between concrete-particular vs. abstract-general. Moreover, it seems, that though cardinals are indeed (related to) 'abstract sets', a general concept of 'abstract set' is absent here, as on Cantor's view there can only be one abstract set of a given cardinality i.e. according to Cantor there is something like THE number 2. It seems also somewhat paradoxically to come up with rudimentary structural set theory in order _to do transfinite arithmetic_ !

The views advanced in R. Dedekind's '_Was sind und was sollen die Zahlen?_' (1887) appear to be a more decisive step towards the modern structural approach to set theory and mathematics. Though he similarly defines the natural numbers in §6.73 by abstraction as a certain 'simple infinite set', he clearly has a concept of such a system up to isomorphism: he has also a more general view  of 'abstract set' (see also the quote in the footnote at [[ETCS]]) and of the importance of mathematics 'up to isomorphism'. Furthermore, he stresses the fundamental importance of maps between sets as basic concept in general.

[^weierstrass]: It seems somewhat ironical that Weierstrass whose quest for arithmetical foundations of analysis was one of the main driving forces behind 19th mathematics' move towards set-theoretic foundations actually held views on his fundamental concept 'number' that are closely related to a structural view!

The abstractionist view was severely criticized by [[Gottlob Frege]] in _'Die Grundlagen der Arithmetik'_ (1884) and his reviews of Cantor and Husserl (1892,1894). Frege rejected the process of _'abstraction'_ involved in such accounts and held views on identity that made the 'distinct yet indistinguishable units' an inconsistent concept and spoke therefore sarcastically of _'unglückliche Einsen'_ - 'unfortunate units': the adjective has stuck in this context as we find it repeated in Zermelo's and Tait's discussion of Cantor's conception. 

## Related entries

* [[Beiträge zur Begründung der transfiniten Mengenlehre]]

* [[cardinal number]]

* [[ETCS]]

* [[material-structural adjunction]]

## Links

* ncafé discussion: Rethinking Set Theory ? ([link](https://golem.ph.utexas.edu/category/2012/12/rethinking_set_theory.html))

* Francois Dorais : Back to Cantor ? ([link](http://logic.dorais.org/archives/1135))

## References

Lawvere takes this interpretation of Cantor up again in

* [[William Lawvere|F. William Lawvere]], _Foundations and Applications: Axiomatization and Education_, Bulletin of Symbolic Logic **9** no.2 (2003) pp.213-224. ([ps-preprint](https://www.math.ucla.edu/~asl/bsl/0902/0902-006.ps))

He gives prominence to the essentiality of the [[double negation|double negation topos]] and the "Cantor comonad" that comes with it in the more recent

* {#Lawvere15} [[F. William Lawvere]], _Birkhoff's theorem from a geometric
perspective: A simple example_ , Categories and General Algebraic Structures with Applications **4** no.1 (2015) pp.1–7. ([pdf](http://www.cgasa.ir/pdf_12425_5ddf468d82aad53ce2e8ee88dd3bf84d.html))

Judging from the preface to [[Sets for Mathematics|(Lawvere-Rosebrugh 2003)]] Myhill made his observation presumably in Lawvere's 1985 course. C. McLarty interprets Cantor's cardinals as abstract sets in a [[well-pointed topos]] in

* [[Colin McLarty]], _Defining Sets as Sets of Points of Spaces_ , JPL **17** (1988) pp.75-90.

* [[Colin McLarty]], _Elementary Categories, Elementary Toposes_ , Oxford UP 1992.

The Cantor text Lawvere refers to is

* {#Cantor1895} [[Georg Cantor]], _[[Beiträge zur Begründung der transfiniten Mengenlehre]]_, Math. Ann. **46** (1895) pp.481-512. ([German original](http://gdz.sub.uni-goettingen.de/dms/load/img/?PPN=GDZPPN00225557X); [online English translation](https://archive.org/details/contributionstof00cant))

The text is reprinted on pp.282-351 of Cantor's collected works and the revelant comment by Zermelo is in the second annotation on p.351: 

* {#Cantor32}[[Ernst Zermelo]] (ed.), _Georg Cantor - Gesammelte Abhandlungen Mathematischen und Philosophischen Inhalts_ , Springer Berlin 1932. ([gdz](http://gdz.sub.uni-goettingen.de/dms/load/toc/?PPN=PPN237853094))

An English version of Cantor's 1885 review of Frege appears as

* P. A. Ebert, M. Rossberg, _Cantor on Frege's Foundations of Arthmetic_ , Hist. Phil. Logic **30** no.4 (2010) pp.341-348. ([draft](http://www.philipebert.info/resources/Cantorreview_Final.pdf))

For an extensive discussion and relevant quotes of Cantor's platonism and abstractionism see

* {#Hill00}C. O. Hill, _Abstraction and Idealization in Edmund Husserl and Georg Cantor prior to 1895_ , in Hill, Haddock (eds.), _Husserl or Frege, Meaning, Objectivity and Mathematics_ , Open Court Chicago 2000.

For a recent controversial discussion of Cantorian abstraction, the second article using MLTT:

* K. Fine, _Cantorian abstraction: A reconstruction and defense_ , J. Phil. **95** no.12 (1998) pp.599-634.

* W. Hinzen, _Constructive versus Ontological Construals of Cantorian Ordinals_ , Hist. Phil. Logic **24** no.1 (2003) pp.45-63.

The key concepts of 'one' and 'many' taken from Plato's '_Philebus_' dialogue reappear in Hegel's "set theory":

* Alan L. T. Paterson, _Frege and Hegel on concepts and number_, ms. n.d. University of Colorado Boulder. ([pdf](https://sites.google.com/site/apat1erson/nnfregh.pdf?attredirects=0))

For more on the Frege-Cantor debate on the concept of cardinal number, which touches upon the status of structural mathematics more generally, see

* {#Tait96}William W. Tait, _Frege versus Cantor and Dedekind:
On the Concept of Number_ , pp.213-248 in Tait (ed.),  _Frege, Russell, Wittgenstein: Essays in Early Analytic Philosophy_ , Lasalle Open Court Press 1996. ([preprint](http://home.uchicago.edu/%7Ewwtx/frege.cantor.dedekind.pdf))

For a proposal that contrasts Cantorian set theory with Zermelo-Fraenkel set theory (though leaving out the question of abstract sets) see

* J. Lake, _The Approaches to Set Theory_ , Notre Dame J. Formal Logic
**20** no.2 (1979) pp.415-437. ([pdf](https://projecteuclid.org/download/pdf_1/euclid.ndjfl/1093882550))

category: reference

[[!redirects Cohesive Toposes and Cantor's "lauter Einsen"]]
[[!redirects Cohesive Toposes and Cantor's “lauter Einsen”]]
[[!redirects Cohesive Toposes and Cantor’s “lauter Einsen”]]
[[!redirects Cohesive Toposes and Cantor's lauter Einsen]]
[[!redirects Cohesive Toposes and Cantor’s lauter Einsen]]