
#Contents#
* table of contents
{:toc}

## Idea

__Synthetic projective geometry__ is an [[axiom|axiomatic]] approach to  [[projective geometry]] (usually of projective spaces) without use of (algebraic or analytic) [[coordinate]] calculations (unlike the wider, modern study of projective and [[quasiprojective algebraic varieties]]). 
In particular, the method does not require that that [[projective space]] be defined over an [[algebraically closed field|algebraically closed ground field]], or even a [[field]] at all; for example the noncommutative ground [[division rings]] are possible as well as combinatorial descriptions of finite projective geometries. 
In dimension different from $2$ only the projective spaces over division rings are possible, while in dimension $2$ other cases are possible, in particular non-Desarguesean planes (e.g. planes coming from Hall [[quasifield]]s).

## Related concepts

* [[projective plane]]
* [[synthetic geometry]]

## References

* U. Schoenwaelder, [Literatur zur synthetischen projektiven Geometrie](http://www.math.rwth-aachen.de/%7EUlrich.Schoenwaelder/Lit/Geom/litgsprojn.pdf)
* Karl Georg Christian von Staudt, _Geometrie der Lage_, 1857 (projective geometry over reals)
* O. Veblen, J. W. Young, _Projective geometry_, 2 Vols. Blaisdell Publishing Company, 1966 
* H. S. M. Coxeter, _Reelle projektive Geometrie der Ebene_,  Mathematische Einzelschriften Band 3. Oldenbourg, 1955; _The Real projective plane_, 1949, 1992; _Projective Geometry_, Springer–Verlag, 1994
* D. R. Hughes, F. C. Piper, _Projective planes_, GTM 6. Springer–Verlag, 1973
* H. Lenz, _Vorlesungen uber projektive Geometrie_, Akademische
Verlagsgesellschaft, Leipzig, 1965
* G. Pickert, _Projektive Ebenen_, Die Grundlehren der math. Wissenschaften 80. Springer–Verlag, 1955, 1975
* A. Seidenberg, _Lectures in projective geometry_, The University Series in Undergraduate Mathematics. D. van Nostrand Company, 1962
* A. Seidenberg, _Pappus implies Desargues_, Amer. Math. Monthly, 83(3):190–192, 1976
* O. Veblen, J.H.M. Wedderburn, _Non-Desarguesian and non-Pascalian geometries_, Trans AMS __8__, 379–388 (1907) [pdf](http://www.ams.org/tran/1907-008-03/S0002-9947-1907-1500792-1/S0002-9947-1907-1500792-1.pdf)
* Marshall Hall Jr., _Projective Planes_, Transactions of the American Mathematical Society __54__: 229–277 (1943) [pdf](http://www.ams.org/journals/tran/1943-054-02/S0002-9947-1943-0008892-4/S0002-9947-1943-0008892-4.pdf)
* [[Charles Weibel]], _Survey of Non-Desarguesian Planes_, Notices of the American Mathematical Society __54__ (10): 1294–1303 (2007) [pdf](http://www.ams.org/notices/200710/tx071001294p.pdf)
* wikipedia en: [category: projective geometry](http://en.wikipedia.org/wiki/Category:Projective_geometry), [Hall plane](http://en.wikipedia.org/wiki/Hall_plane), de: [Projektive Geometrie](http://de.wikipedia.org/wiki/Projektive_Geometrie), [Satz von Pappos](http://de.wikipedia.org/wiki/Satz_von_Pappos)
* Wolfram MathWorld [Projective geometry](http://mathworld.wolfram.com/ProjectiveGeometry.html) (many references!)

The following treatment is not axiomatic but still concentrates mainly on the classical subject

* Lars Kadison, Matthias T. Kromann, _Projective geometry and modern algebra_, Birkhäuser Boston Inc., Boston, MA, 1996
* R. Hartshorne, _Foundations of projective geometry_, Lecture notes Harvard University, W. A. Benjamin, New York 1967

category: geometry