## Outline

A quasifield (earlier also called a Veblen-Wedderburn system) is an algebraic structure with two [[binary operation]]s $+$ and $\cdot$ which is weaker than a [[division ring]] and which is motivated by [[synthetic projective geometry]]. There are the 
left and right versions. Associative right quasifield is the same as a [[near-field]].

## Definition

A __left quasifield__ is an algebraic structure $(A,+,\cdot)$ with two binary operations $+$ and $\cdot$ such that

* $(A,+)$ is a group with neutral element $0$
* $(A\backslash \{0\},\cdot)$ is a [[loop (algebra)|loop]]
* left distributivity $a\cdot(b+c) = a\cdot b + a\cdot c$ for all $a,b,c\in A$
* if $a,b,c\in A$, $a\neq b$ then the equation $a\cdot x = b \cdot x + c$ has a unique solution for $x\in A$

A left quasifield is Abelian if the underlying group $(A,+)$ is [[Abelian group|Abelian]].

## Literature

* wikipedia [quasifield](http://en.wikipedia.org/wiki/Quasifield)
* O. Veblen, J.H.M. Wedderburn, _Non-Desarguesian and non-Pascalian geometries_, Trans AMS __8__, 379–388 (1907) [pdf](http://www.ams.org/tran/1907-008-03/S0002-9947-1907-1500792-1/S0002-9947-1907-1500792-1.pdf)
* Marshall Hall Jr., _Projective planes_, Trans. Amer. Math. Soc. __54__: 229–277 (1943) [pdf](http://www.ams.org/journals/tran/1943-054-02/S0002-9947-1943-0008892-4/S0002-9947-1943-0008892-4.pdf)
* [[Charles Weibel]], _Survey of non-Desarguesian planes_, Notices of the American Mathematical Society __54__ (10): 1294–1303 (2007) [pdf](http://www.ams.org/notices/200710/tx071001294p.pdf)

category: algebra
[[!redirects quasifields]]
