
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The Becker-Gottlieb transfer is a variant of [[push-forward in generalized cohomology]] of [[cohomology theories]] along [[proper map|proper]] [[submersions]] of [[smooth manifolds]].

The Becker-Gottlieb transfer operation has been refined to [[differential cohomology]] in ([Bunke-Gepner 13](#BunkeGepner13)).

Its compatibility in [[differential algebraic K-theory]] with the differential refinement of the [[Borel regulator]] is the content of the _transfer index conjecture_ ([Bunke-Tamme 12, conjecture 1.1](#BunkeTamme12), [Bunke-Gepner 13, conjecture 5.3](#BunkeGepner13)). 

For the moment see at _[regulator -- Becker-Gottlieb transfer](Beilinson+regulator#GottliebTransfer)_ for more.

## Definition

See e.g. ([Haugseng 13, def. 3.9](#Haugseng13)).

## Related concepts

* [[sheaf with transfer]]


## References

The original article is

* [[James Becker]], [[Daniel Gottlieb]], _The transfer map and fiber bundles_ Topology , 14 (1975)
 {#BeckerGottlieb75}

(which also gives a proof of the [[Adams conjecture]]).

* [[James Becker]], [[Daniel Gottlieb]], _Vector fields and transfers_ Manuscr. Math. , 72 (1991) pp. 111–130

Reviews include

* [[eom]], _[Becker-Gottlieb transfer](http://www.encyclopediaofmath.org/index.php/Becker-Gottlieb_transfer)_

Discussion in the context of [[differential algebraic K-theory]] is in

* {#BunkeTamme12} [[Ulrich Bunke]], [[Georg Tamme]], section 2.1 of _Regulators and cycle maps in higher-dimensional differential algebraic K-theory_ ([arXiv:1209.6451](http://arxiv.org/abs/1209.6451))

* {#BunkeGepner13} [[Ulrich Bunke]], [[David Gepner]], _Differential function spectra, the differential Becker-Gottlieb transfer, and applications to differential algebraic K-theory_ ([arXiv:1306.0247](http://arxiv.org/abs/1306.0247))
 

In prop. 4.14 of 

* {#Haugseng13} [[Rune Haugseng]], _The Becker-Gottlieb Transfer Is Functorial_ ([arXiv:1310.6321](http://arxiv.org/abs/1310.6321)) (withfrawn now)

Becker-Gottlieb transfer was identified with the [[Umkehr map]] induced from a [[Wirthmüller context]] in which in addition $f_\ast$ satisfies its [[projection formula]] (a "[[transfer context]]", def.4.9)

The article

* {#KleinMalkiewich16} [[John Klein]], [[Cary Malkiewich]], _The transfer is functorial_, [arXiv:1603.01872](http://arxiv.org/abs/1603.01872), 

establishes the functoriality of the Becker-Gottlieb transfer for fibrations with finitely dominated fibers, but only on the level of [[homotopy categories]] (without higher coherences).

[[!redirects transfer index conjecture]]
