
#Contents#
* table of contents
{:toc}

## Idea

The _Hasse-Weil zeta function_ is a [[zeta function]]/[[L-function]] associated with [[algebraic varieties]] over a [[number field]] $K$.

Specifically on the [[spectrum of a commutative ring|spectrum]] $Spec(\mathcal{O}_K)$ of the [[ring of integers]] of $K$ it redurces to the [[Dedekind zeta function]] of $K$.

## Properties

### Special values

The [[Birch and Swinnerton-Dyer conjecture]] describes the first non-vanishing derivative of the Hasse-Weil zeta function at the [[special values of L-functions|special value]] $s= 1$ in analogy with the [[class number formula]].

### Function field analogy

[[!include function field analogy -- table]]


## Related concepts

* [[motivic L-function]]



## References

* Wikipedia, _[Hasse-Weil L-function](http://en.wikipedia.org/wiki/Hasse–Weil_L-function)_

* Wikipedia, _[Arithmetic zeta function](http://en.wikipedia.org/wiki/Arithmetic_zeta_function)_

[[!redirects Hasse-Weil L-functions]]

[[!redirects Hasse-Weil zeta function]]