
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher geometry
+--{: .hide}
[[!include higher geometry - contents]]
=--
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
#### Arithmetic geometry
+--{: .hide}
[[!include arithmetic geometry - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

What may be called **$E_\infty$-geometry**, or **[[spectral algebraic geometry]]** is the "full" version of [[derived algebraic geometry]] where the spaces are locally modelled on [[E-infinity rings]] (as opposed to [[simplicial commutative rings]] or [[dg-algebras]]).

(In view of existing terms "[[arithmetic geometry]]" and "[[higher geometry]]" one might also tend call this **higher  [[arithmetic geometry]]**,but notice that the term _[[higher arithmetic geometry]]_ already has a different traditional usage. Maybe **$E_\infty$-arithmetic geometry** works well.)

That is to say, it is the [[higher geometry]] in the [[(∞,1)-topos]] over the [[(∞,1)-site]] of [[Isbell duality|formal duals]] of [[E-∞ rings]], equipped with the [[etale topology]].

An [[E-∞ scheme]] ( _spectral scheme_ ) in this sense is a [[structured (∞,1)-topos]] in $E_\infty$-geometry.

## Terminology

The term _spectral algebraic geometry_ is used in the literature.  On the [[nLab]] we use the term _$E_\infty$-geometry_ due to a possible terminology clash discussed at [[spectral geometry]].

## Properties

### Higher analogs of Fermat derivations and Frobenius maps

The refinement to $E_\infty$-arithmetic geometry of the power map $(-)^p$ which gives the [[Fermat quotient]] [[p-derivation]] and the [[Frobenius homomorphism]] in plain [[arithmetic geometry]] is the [[power operations]] on [[multiplicative cohomology theory]] ([Lurie "Adic", remark 2.2.9](#LurieAdic)).

### Cohesion

see at _[[differential cohesion and idelic structure]]_

[[!include arithmetic cohesion -- table]]

## Examples

* [[Spec(S)]]

## References

The basic definitions are in

* {#Lurie} [[Jacob Lurie]], _[[Spectral Schemes]]_
 

Fundamental properties of $E_\infty$-geometry are discussed in

* [[Jacob Lurie]], _[[Quasi-Coherent Sheaves and Tannaka Duality Theorems]]_

* [[Jacob Lurie]], _[[Closed Immersions]]_

* [[Jacob Lurie]], _[[Descent Theorems]]_

* [[Jacob Lurie]], _[[Proper Morphisms, Completions,
and the Grothendieck Existence Theorem]]_

* [[Jacob Lurie]], _[[Representability Theorems]]_

* {#LurieAdic} [[Jacob Lurie]], _[[Rational and p-adic Homotopy Theory]]_

* [[Jacob Lurie]], _[[Spectral Algebraic Geometry]]_ ([pdf]( http://math.harvard.edu/~lurie/papers/SAG-rootfile.pdf))

See also the overview

* [[Clark Barwick]], _Applications of derived algebraic geometry to homotopy theory_, lecture notes, mini-course in Salamanca, 2009, [pdf](https://dl.dropboxusercontent.com/u/1741495/papers/salamanca.pdf).



[[!redirects E-infinity geometry]]
[[!redirects spectral algebraic geometry]]

[[!redirects E-∞ arithmetic geometry]]
[[!redirects E-infinity arithmetic geometry]]

[[!redirects E∞ geometry]]
