
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Manifolds and cobordisms
+--{: .hide}
[[!include manifolds and cobordisms - contents]]
=--
#### Symplectic geometry
+--{: .hide}
[[!include symplectic geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A _Lagrangian cobordism_ is roughly a [[cobordism]] between [[Lagrangian submanifolds]] which is itself a [[Lagrangian submanifold]] in a suitable sense.

More in detail, given an ambient [[symplectic manifold]] $(X, \omega)$, a _Lagrangian cobordism_ in $X$ is a [[cobordism]] with an [[embedding]] into $([0,1] \times \mathbb{R} \times X )$ as a [[Lagrangian submanifold]] (where $[0,1] \times \mathbb{R} \hookrightarrow \mathbb{R}^2$ is equipped with its canonical [[symplectic structure]]) and such that the [[boundary]] components are [[Lagrangian submanifolds]] of $X$. (for details see e.g. [Biran-Cornea 11, 2.1.1](#BiranCornea11)).

Lagrangian cobordisms in $(X,\omega)$ arrange into a [[stable (infinity,1)-category]] which is supposed to be at least closely related to the [[Fukaya category]] of $(X,\omega)$ ([Nadler-Tannaka 11](#NadlerTannaka11)).

## Related concepts

* [[Fukaya category]]

## References

The notion was introduced in

* [[Vladimir Arnold]], _Lagrange and Legendre cobordisms. I, II_, Funkts. Anal. Prilozh.  14:3, 1–13 (1980) [article](http://www.mathnet.ru/eng/faa1827); 14:4 (1980), 8–17 [article](http://mi.mathnet.ru/eng/faa1848)

Further developments are in

* Paul Biran, Octav Cornea, _Lagrangian cobordism I, ([arxiv/1109.4984](http://arxiv.org/abs/1109.4984))
 {#BiranCornea11}


* Paul Biran, Octav Cornea, _Lagrangian cobordism III_([arxiv/1304.6032](http://arxiv.org/abs/1304.6032))
 {#BiranCornea13}

A [[stable (infinity,1)-category]] of Lagrangian cobordisms is discussed in 

* [[David Nadler]], [[Hiro Tannaka]], _A stable infinity-category of Lagrangian cobordisms_ ([arXiv:1109.4835](http://arxiv.org/abs/1109.4835))
  {#NadlerTannaka11}