
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Homological algebra
+--{: .hide}
[[!include homological algebra - contents]]
=--
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
=--
=--



This entry collected pointers related to the book

* [[Doug Ravenel]]

  _Complex cobordism and stable homotopy groups of spheres_

  1986/2003

  ([web](http://www.math.rochester.edu/people/faculty/doug/mu.html))

on [[stable homotopy theory]] in general and in particular the computation of the [[homotopy groups of spheres]] via the [[Adams-Novikov spectral sequence]] and its use of [[complex cobordism cohomology theory]].

> My initial inclination was to call this book [[The Music of the Spheres]], but I was dissuaded from doing so by my diligent publisher, who is ever mindful of the sensibilities of librarians. (preface to the first edition)

See also

* [[Frank Adams]], _[[Stable homotopy and generalised homology]]_, 1974

* [[Mike Hopkins]], _[[Complex oriented cohomology theories and the language of stacks]]_, 1999

* [[Jacob Lurie]], _[[Chromatic Homotopy Theory]]_, 2010
 
#Contents#
* table of contents
{:toc}

## Chapter 1. An introduction to the Homotopy Groups of Spheres

### 1. Classical theorems Old and New

* [[homotopy group]]

* [[Hurewicz theorem]]

* [[suspension]], [[reduced suspension]]

* [[Freudenthal suspension theorem]]

* [[stable homotopy groups of spheres]]

* [[Hopf fibration]]

* [[Serre finiteness theorem]]

* [[Nishida nilpotence theorem]]

* [[Bott periodicity theorem]]

* [[J-homomorphism]]

* [[Adams conjecture]]

### 2. Methods of computing $\pi_\ast(S^n)$

* [[Postnikov tower]]

* [[Serre spectral sequence]]

* [[Adams spectral sequence]]

* [[Steenrod algebra]]

* [[parallelizable sphere]]

* [[Hopf invariant one theorem]]

* [[complex cobordism cohomology]]

* [[cobordism ring]]

* [[Adams-Novikov spectral sequence]]

### 3. The Adams-Novikov $E_2$-term, Formal Group Laws, and the Greek Letter Construction

* [[formal group law]]

* [[Lazard ring]]

* [[Greek letter construction]]

### 4. More formal group law theory, Morava's point of view, and the Chromatic Spectral Sequence

* [[Brown-Peterson cohomology]]

* [[p-typical formal group law]]

* [[height of a formal group]]

* [[chromatic spectral sequence]]

### 5. Unstable homotopy groups and the EHP spectral sequence

* [[EHP spectral sequence]]


## Chapter 2. Setting up the Adams Spectral sequence


### 1. The classical Adams spectral sequence

* [[exact couple]]

* [[spectral sequence]]

* [[Adams resolution]]

* [[Adams spectral sequence]]

* [[Eilenberg-MacLane spectrum]], [[ordinary cohomology]]

* [[inverse limit]]

* [[p-completion]]

### 2. The Adams spectral sequence based on a generalized homology theory

* [[commutative Hopf algebroid]] structure on [[Steenrod algebra]]

### 3. The smash product pairing and the Generalized connecting homomorphism

* [[connecting homomorphism]]


## Chapter 3. The Classical Adams Spectral Sequence

* [[classical Adams spectral sequence]]

### 1. The Steenrod algebra and some easy calculuation

* [[Hopf algebra]] structure on [[Steenrod algebra]]

* [[cobar complex]], [[cosimplicial object]]

### 2. The May spectral sequence

* [[May spectral sequence]]

* [[Massey product]]

### 3. The Lambda Algebra

* [[Lambda algebra]]

* [[EHP spectral sequence]]

### 4. Some general properties of $Ext$

* [[periodicity theorem]]

### 5. Survey and further reading

## Chapter 4. $B P$-Theory and the Adams-Novikov Spectral Sequence 

* [[Adams-Novikov spectral sequence]]

### 1. Quillen's theorem and the structure of $BP_\bullet(BP)$

* [[Quillen's theorem on MU]]

* [[Landweber-Novikov theorem]]

* [[Brown-Peterson spectrum]]

* [[p-typical formal group]]

* [universal complex orientation on MU](cobordism+cohomology+theory#UniversalComplexOrientation), [[complex orientation and MU]]

* [[Adams-Quillen theorem]]

### 2. A survey of $B P$-theory

* [[cobordism group]]

* [[Thom spectrum]]

### 3. Some calculations in $B P_\bullet(B P)$

### 4. Beginning calculations with the Adams-Novikov Spectral Sequence

* [[BP]]-[[Adams-Novikov spectral sequence]]

## Chapter 5. The Chromatic Spectral Sequence

### 1. The algebraic construction

* [[chromatic spectral sequence]]

### 2. $Ext^1(B P_\bullet/I_n)$ and Hopf Invariant One

* [[Hopf invariant one]]

### 3. $Ext(M^1)$ and the $J$-Homomorphism

* [[J-homomorphism]]

### 4. $Ext^2$ and the Thom Reduction

### 5. Periodic families in $Ext^2$

### 6. Elements in $Ext^3$ and Beyond

## Chapter 6. Morava Stabilizer Algebras 

* [[Morava stabilizer group]]

## Chapter 7. Computing Stable Homotopy Groups with the Adams-Novikov Spectral Sequence

## Appendix 1. Hopf Algebras and Hopf Algebroids 

### 1. Basic definitions

* [[Hopf algebra]]

* [[commutative Hopf algebroid]]

* [[module]], [[comodule]]

* [[cotensor product]]

* [[change of rings theorem]]

### 2. Homological algebra

* [[derived functor]]

* [[Ext]] and [[Cotor]] for [[comodules]]


### 3. Some spectral sequences

* [[spectral sequence]]

* [[Cartan-Eilenberg spectral sequence]]


### 4. Massey products

* [[Massey product]]


### 5. Algebraic Steenrod operations

* [[Steenrod algebra]] on [[Cotor]]-groups of [[comodules]] over [[commutative Hopf algebroids]]

## Appendix 2. Formal Group Laws

* [[formal group law]]

## Appendix 3. Table of homotopy groups of spheres  

category: reference