
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Homotopy theory
+-- {: .hide}
[[!include homotopy - contents]]
=--
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}


There are several theorems by [[Serre]] which deserve to be called "finiteness theorems".

## In stable homotopy theory

On the [[homotopy groups of spheres]]

+-- {: .num_theorem }
###### Theorem
**(Serre finiteness theorem)**

The [[stable homotopy groups of spheres]] $\pi_{n+k}(S^k)$ are [[finite groups]] except

1. for $n = 0$ in which case $\pi_k(S^k) = \mathbb{Z}$;

1. $k = 2m$ and $n = 2m -1$ in which case

   $$
     \pi_{4m - 1}(S^{2m}) \simeq \mathbb{Z} \oplus F_m
   $$

   for $F_m$ a [[finite group]].

=--


([Serre 53](#Serre53))

+-- {: .num_remark }
###### Remark

The non-torsion element in $\pi_{4k-1}(S^{2k})$ may be seen explicitly in the [[minimal Sullivan model]] for the [[rational n-sphere|rational 2k-sphere]], see there for more.

=--

## Related concepts

* [[Nishida nilpotence theorem]]

## References

The original proof is due to

* {#Serre53} [[Jean-Pierre Serre]], _Groupes d’homotopie et classes de groupes abelien_, Ann. of Math. 58 (1953), 258–294.

An entirely different proof, using only elementary concepts, is given in 

* S. S. Podkorytov, _An Alternative Proof of a Weak Form of Serre's Theorem_, Journal of Mathematical Sciences July 2002, Volume 110, Issue 4, pp 2875–2881 

[[!redirects Serre finiteness theorems]]

