
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Homological algebra
+--{: .hide}
[[!include homological algebra - contents]]
=--
#### Homotopy theory
+--{: .hide}
[[!include homotopy - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

The _derived (infinity,1)-category_ or _derived category_ of an [[abelian category]] $\mathcal{A}$ is the setting for [[homological algebra]] in $\mathcal{A}$: the [[(infinity,1)-categorical localization]] of the [[category of chain complexes]] in $\mathcal{A}$ at the class of [[quasi-isomorphisms]]. The derived category is a fundamental example of a [[stable (infinity,1)-category]]. By the [[stable Dold-Kan correspondence]], it may be viewed as a linearization of the [[stable (infinity,1)-category of spectra]].

The derived (infinity,1)-category is presented by various [[dg-model structures]] on the [[category of chain complexes]], as described at [[model structures on chain complexes]]. As such it has also a natural incarnation as a [[pretriangulated dg-category]], which might be called the _derived dg-category_.

Like any [[stable (infinity,1)-category]], the [[homotopy category of an (infinity,1)-category|homotopy category]] of the derived (infinity,1)-category admits a canonical [[triangulated category]] structure. Often in the literature, the term _derived category_ refers to the [[homotopy category of an (infinity,1)-category|homotopy category]], viewed only as a [[triangulated category]]. The loss of information can often be problematic, but for many purposes is not important.

In what follows, we will describe only the homotopy category. See [[(infinity,1)-category of chain complexes]] for the full [[(infinity,1)-category]].

Associated to $\mathcal{A}$ is

* the [[category of chain complexes]] $Ch_\bullet(\mathcal{A})$ in $\mathcal{A}$ which is naturally a [[homotopical category]];

* the "[[homotopy category of chain complexes]]" $K(\mathcal{A})$;

* the [[stable ∞-category]] $K_\infty(\mathcal{A})$ of [[chain complexes]] in $C$.

The  _derived category_ $D(C)$ of $C$ is equivalently

* the [[homotopy category|1-categorical homotopy category]] of $Ch_\bullet(\mathcal{A})$ with respect to the [[quasi-isomorphisms]];

* the [[homotopy category of an (infinity,1)-category|(∞,1)-categorical homotopy category]] of $K_\infty(\mathcal{A})$.

In either case, this means that under the canonical [[localization]] functor

$$
  Q : Ch_\bullet(\mathcal{A}) \to D(\mathcal{A})
$$

the [[quasi-isomorphisms]] of [[chain complexes]] become true [[isomorphisms]]
and that $D(\mathcal{A})$ is [[universal property|universal]] with respect to this property.

Hence the derived category is an approximation to the full [[simplicial localization]] of $K(\mathcal{A})$. It is or can be equipped with several further [[properties]] and [[structure]] that give a more accurate approximation. Notably every derived category is a _[[triangulated category]]_, which is a way of remembering the [[suspension]] and de-suspension operations on its objects -- the [[suspension of chain complexes]] -- hence its "[[stable (infinity,1)-category|stability]]".

## History

Derived categories were introduced by [[Jean-Louis Verdier]] in his thesis under the supervision of [[Alexandre Grothendieck]].  It was originally used to extend [[Serre duality]] to a relative context.  See [[Robin Hartshorne|Hartshorne]]'s lecture notes "Residues and duality".

## Definition 

Let $\mathcal{A}$ be an [[abelian category]] and $K(\mathcal{A})$ its 
[[category of chain complexes]] modulo [[chain homotopy]] (the "[[homotopy category of chain complexes]]"). 

Equip $K(\mathcal{A})$ with the structure of a [[homotopical category]]
by declaring the [[weak equivalences]] to be the
**quasi-isomorphisms**: those morphisms
$f : V \to W$
which induce [[isomorphisms]] in [[homology]], 
$H(f) : H(V) \stackrel{\simeq}{\to} H(W)$. 

+-- {: .num_defn}
###### Definition

The **derived category** $D(\mathcal{A})$ is the [[homotopy category]] of
$K(\mathcal{A})$ with respect to these weak equivalences.

=--

Analogously, for $K^{+,-,b}(\mathcal{A})$ denoting the [[full subcategory]] on the chain complexes bounded above, bounded below, or bounded, respectively (see at _[[category of chain complexes]]_), one writes

$$
  D^{+,-,b}(\mathcal{A}) \hookrightarrow D(\mathcal{A})
$$

for the correspponding full subcategory of the derived category.


## Equivalent characterizations and constructions
 {#Properties}

There are various ways to construct or express the derived category more explicitly in terms of various special objects or morphisms in the [[category of chain complexes]].

* _[In terms of localization at a null system](#AsLOcalizationAtNullSystem)_

* _[In terms of resolutions](#InTermsOfResolutions)_.

### In terms of localization at a null system
 {#AsLOcalizationAtNullSystem}


The "[[homotopy category of chain complexes]]" $K(\mathcal{A})$ is already a [[triangulated category]].  The derived category can be obtained as the construction of a [[homotopy category]] of a [[triangulated category]] with respect to a [[null system]].

+-- {: .num_defn}
###### Definition

Let 

$$
  N(\mathcal{A}) \subset K(\mathcal{A})
$$ 

and analogously

$$
  N^{+,-n,b}(\mathcal{A}) \subset K^{+,-,b}(\mathcal{A})
$$ 


be the [[full subcategory]] of $K(C)$ or on $K^{+,-,b}$, respectively, on those [[chain complexes]] $V$ whose  [[chain homology]] vanishes in every degreey, $H_\bullet(V) = 0$. 

=--

+-- {: .num_prop}
###### Proposition


A [[chain map]] $f_\bullet : V_\bullet \to W_\bullet$ is a 
[[quasi-isomorphism]] precisely there exists a [[distinguished triangle]] in $K(\mathcal{A})$ of the form

$$
  V \stackrel{f}{\to} W \to cone(f)
$$

with the [[mapping cone]] $cone(f) \in N(\mathcal{C})$.

=--

+-- {: .num_prop}
###### Proposition

The derived category is equivalently the localization of $K(\mathcal{A})$ at the [[null system]] $N(\mathcal{A})$.

$$
  D(\mathcal{A}) \simeq K(\mathcal{A})/N(\mathcal{A})
  \,.
$$

=--

This perspective is discussed in ([Kashiwara-Schapira, section 13](#KashiwaraSchapira)) and ([Schapira, section 6.2, 72](#Schapira)).

### In terms of injective and projective resolutions
 {#InTermsOfResolutions}

In the case that the underlying [[abelian category]] $\mathcal{A}$ has [enough injectives](injective%20object#EnoughInjectives) or [enough projectives](projective%20object#EnoughInjectives), the [[hom sets]] in the derived category may equivalently be obtained as [[homotopy]]-classes of [[chain maps]] from [[projective resolutions]] to [[injective resolutions]] of chain complexes. 

In view of the existence of the injective and projective [[model structure on chain complexes]] this is a special case of the general fact that [[homotopy categories]] of [[model categories]] may be obtained by forming homotopy classes of maps in the model category from  [[cofibrant resolutions]] to [[fibrant resolutions]]. But here we spell out an direct discussion of this fact for chain complexes.


+-- {: .num_defn}
###### Definition

Write $K^+(\mathcal{I}_{\mathcal{A}}) \hookrightarrow K^+(\mathcal{A})$
for the [[full subcategory]] of the [[homotopy category of chain complexes]] bounded above on those that are degreewise [[injective objects]].

Dually, let $K^-(\mathcal{P}_{\mathcal{A}}) \hookrightarrow K^-(\mathcal{A})$
for the [[full subcategory]] of the [[homotopy category of chain complexes]] bounded below on those that are degreewise [[projective objects]].

=--

+-- {: .num_theorem}
###### Theorem

If $\mathcal{A}$ has [enough injectives](http://ncatlab.org/nlab/show/injective%20object#EnoughInjectives) then the canonical functor

$$
  K^+(\mathcal{I}_{\mathcal{A}}) \to D^+(\mathcal{A})
$$

is an [[equivalence of categories]].

Dually, if $\mathcal{A}$ has [enough projectives](http://ncatlab.org/nlab/show/projective%20object#EnoughProjectives) then the canonical functor

$$
  K^-(\mathcal{P}_{\mathcal{A}}) \to D^-(\mathcal{A})
$$

is an [[equivalence of categories]].

=--

For instance ([Schapira, cor. 7.3.2](#Schapira)).


## Related concepts

* [[derived functor]]
* [[triangulated categories]]

## References 

The original reference is the thesis of [[Verdier]]:

* [[Verdier, Jean-Louis]], _Des Catégories Dérivées des Catégories Abéliennes_, Astérisque (Paris: Société Mathématique de France) 239.  Available in [electronic format](http://www.math.jussieu.fr/~maltsin/jlv.html) courtesy of [[Georges Maltsiniotis]].

A systematic discussion from the point of view of [[localization]] and [[homotopy theory]] is in section 13 of 

* [[Masaki Kashiwara]], [[Pierre Schapira]], _[[Categories and Sheaves]]_
 {#KashiwaraSchapira}

and, similarly, in section 7 of 

* [[Pierre Schapira]], _Categories and homological algebra_ (2011) ([pdf](http://people.math.jussieu.fr/~schapira/lectnotes/HomAl.pdf))
 {#Schapira}

A pedagogical introduction is 

* R. P. Thomas, _Derived categories for the working mathematician_ ([arXiv:math.AG/0001045](http://arxiv.org/abs/math.AG/0001045))

A good survey of the more general topic of derived categories is 

* [[Bernhard Keller]], _Derived categories and their uses_ ([ps](http://www.google.de/url?sa=t&source=web&ct=res&cd=6&ved=0CC8QFjAF&url=http%3A%2F%2Fwww.math.jussieu.fr%2F~keller%2Fpubl%2Fdcu.ps&rct=j&q=derived+category&ei=Ib76SsSdAsjb-QaAw7moDw&usg=AFQjCNGIgXLHlprAoR70bGLWQmyKGHDjTQ))

See in particular also the list of references given there.

Other lecture notes include

* Theo Bühler, _An introduction to the derived category_ ([pdf](http://www.uni-math.gwdg.de/theo/intro-derived.pdf))


For a discussion in the context of [[(∞,1)-category|(∞,1)-categories]] and in particular [[stable (∞,1)-category|stable (∞,1)-categories]] see [section 13, p. 53](http://www.math.harvard.edu/~lurie/papers/DAG-I.pdf#page=53) of

* [[Jacob Lurie]], _[[Stable ∞-Categories]]_

For the applications of derived categories in [[algebraic geometry]], see

* [[Dmitri Orlov]], _Derived categories of coherent sheaves and equivalences between them_, Uspekhi Mat. Nauk, 2003, Vol. 58, issue 3(351), pp. 89–172, [English translation (PDF)](http://www.mi.ras.ru/~orlov/papers/Uspekhi2003.pdf)

* [[Aleksei Bondal]], [[Dmitri Orlov]], _[Reconstruction of a variety from the derived category and groups of autoequivalences](http://www.mi.ras.ru/~orlov/papers/Compositio2001.pdf)_, Compositio Mathematica 125 (03), 327-344.  See also [[Bondal-Orlov reconstruction theorem]].

* [[Daniel Huybrechts]], _Fourier-Mukai Transforms in Algebraic Geometry_, Oxford University Press, USA, 2006.

* [[Igor Dolgachev]], [_Derived categories_](http://www.math.lsa.umich.edu/~idolga/derived9.pdf).

* [[Andrei Caldararu]], _Derived categories of coherent sheaves: a skimming_.  Lecture notes from _Algebraic Geometry: Presentations by Young Researchers_ in Snowbird, Utah, July 2004.  Available on [arXiv](http://arxiv.org/abs/math/0501094).

[[!redirects derived categories]]
[[!redirects bounded derived category]]
[[!redirects bounded derived categories]]

[[!redirects derived (infinity,1)-category]]
[[!redirects derived (infinity,1)-categories]]
[[!redirects derived dg-category]]
[[!redirects derived dg-categories]]