
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--

This page collects links related to the lecture notes

* [[Jacob Lurie]], 

  _Chromatic Homotopy Theory_, Lecture series 2010 

  ([web](http://www.math.harvard.edu/~lurie/252x.html))

on [[complex oriented cohomology]], the [[Adams spectral sequence]] and [[chromatic homotopy theory]] from the modern point of view of [[E-infinity geometry]].

Based on the program of

* [[Frank Adams]], _[[Stable homotopy and generalised homology]]_, 1974

as nicely laid out in more detail in 

* [[Stanley Kochmann]], _[[Bordism, Stable Homotopy and Adams Spectral Sequences]]_, AMS 1996

First indications of the big picture developed here are due to

* [[Mike Hopkins]], _[[Complex oriented cohomology theories and the language of stacks]]_, 1999

Via the chromatic stratification of the [[moduli stack of formal groups]] one recovers as, roughly, the second chromatic stage the [[moduli stack of elliptic curves]]. For the story in that case see

* [[Jacob Lurie]], _[[A Survey of Elliptic Cohomology]]_.

See also

* [[Doug Ravenel]], _[[Complex cobordism and stable homotopy groups of spheres]]_, 1986/2003


**Lectures**

* Lecture 1 _Introduction_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture1.pdf))

* Lecture 2 _[[Lazard's theorem]]_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture2.pdf))

* Lecture 3 _Lazard's theorem (continued)_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture3.pdf))

* Lecture 4 _[[complex oriented cohomology theory|Complex-oriented cohomology theories]]_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture4.pdf))

* Lecture 5 _[[complex bordism|Complex bordism]]_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture5.pdf))

* Lecture 6 _[[MU and complex orientations]]_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture6.pdf))

* Lecture 7 _[[homology of MU|The homology of MU]]_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture7.pdf))

* Lecture 8 _The [[Adams spectral sequence]]_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture8.pdf))

* Lecture 9 _The Adams spectral sequence for MU_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture9.pdf))

* Lecture 10 _The proof of [[Quillen's theorem]]_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture10.pdf))

* Lecture 11 _[[formal groups|Formal groups]]_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture11.pdf))

* Lecture 12 _[[height of a formal group|Heights and formal groups]]_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture12.pdf))

* Lecture 13 _The stratification of $\mathcal{M}_{FG}$_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture13.pdf))

* Lecture 14 _Classification of formal groups_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture14.pdf))

* Lecture 15 _Flat modules over $\mathcal{M}_{FG}$_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture15.pdf))

* Lecture 16 _The [[Landweber exact functor theorem]]_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture16.pdf))

* Lecture 17 _[[phantom maps|Phantom maps]]_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture17.pdf))

* Lecture 18 _Even periodic cohomology theories_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture18.pdf))

* Lecture 19 _[[Morava stabilizer groups]]_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture19.pdf))

* Lecture 20 _[[Bousfield localization of spectra|Bousfield localization]]_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture20.pdf))

* Lecture 21 _Lubin-Tate theory_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture21.pdf))

* Lecture 22 _Morava E-theory and Morava K-theory_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture22.pdf))

* Lecture 23 _The Bousfield Classes of $E(n)$ and $K(n)$_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture23.pdf))

* Lecture 24 _Uniqueness of Morava K-theory_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture24.pdf))

* Lecture 25 _The Nilpotence lemma_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture25.pdf))

* Lecture 26 _Thick subcategories_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture26.pdf))

* Lecture 27 _The periodicity theorem_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture27.pdf))

* Lecture 28 _Telescopic localization_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture28.pdf))

* Lecture 29 _Telescopic vs $E_n$-localization_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture29.pdf))

* Lecture 30 _Localizations and the Adams-Novikov spectral sequence_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture30.pdf))

* Lecture 31 _The smash product theorem_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture31.pdf))

* Lecture 32 _The chromatic convergence theorem_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture32.pdf))

* Lecture 33 _Complex bordism and $E(n)$-localization_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture33.pdf))

* Lecture 34 _Monochromatic layers_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture34.pdf))

* Lecture 35 _The image of $J$_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture35.pdf))


#Contents#
* table of contents
{:toc}


## Lecture 2 _Lazard's theorem_ 

* [[Lazard ring]]

* [[Lazard's theorem]]

## Lecture 3 _Lazard's theorem (continued)_ 

* [[Lazard's theorem]]

## Lecture 4 _Complex-oriented cohomology theories_ 

* [[complex oriented cohomology theory]]

* [[splitting principle]]

* [[generalized Chern classes]]

## Lecture 5 _Complex bordism_ 

* [[complex cobordism cohomology theory]], [[MU]]

##  Lecture 6 _MU and complex orientations_ 

* [[universal complex orientation in MU]]

## Lecture 7 _The homology of MU_ 

* [[Boardman homomorphism]]

* [[homology of MU]]

##  Lecture 8 _The Adams spectral sequence_ 

* [[Adams resolution]]

* [[Adams spectral sequence]]

## Lecture 9 _The Adams spectral sequence for MU_ 

* [[Adams-Novikov spectral sequence]]

##  Lecture 10 _The proof of Quillen's theorem_ 

* [[Quillen's theorem on MU]]

## Lecture 11 _Formal groups_ 

* [[formal group]]

## Lecture 12 _Heights and formal groups_ 

* [[height of a formal group]]

## Lecture 13 _The stratification of $\mathcal{M}_{FG}$_ 

* [[chromatic filtration]]

## Lecture 14 _Classification of formal groups_ 

* [[moduli stack of formal groups]]

## Lecture 15 _Flat modules over $\mathcal{M}_{FG}$_ 

* [[quasicoherent sheaf]], [[flat module]], [[exact functor]]

* [[Landweber exactness]]

## Lecture 16 _The Landweber exact functor theorem_ 

* [[Landweber exact functor theorem]]

## Lecture 17 _Phantom maps_ 

* [[Brown representability theorem]], [[Landweber exact spectrum]]

* [[phantom map]]

## Lecture 18 _Even periodic cohomology theories_ 

* [[periodic cohomology theory]]

* [[periodic ring spectrum]]

## Lecture 19 _Morava stabilizer groups_ 

* [[Morava stabilizer group]]

## Lecture 20 _Bousfield localization_ 

* [[Bousfield localization]]

* [[Bousfield localization of spectra]]

* [[p-localization]]

## Lecture 21 _Lubin-Tate theory_

* [[Lubin-Tate formal group]]

* [[Lubin-Tate theory]]

## Lecture 22 _Morava E-theory and Morava K-theory_ 

* [[Morava K-theory]]

* [[Morava E-theory]]

## Lecture 23 _The Bousfield Classes of $E(n)$ and $K(n)$_ 

* [[Bousfield equivalence]]

* [[smash product theorem]]

##  Lecture 24 _Uniqueness of Morava K-theory_ 

* [[∞-field]]

## Lecture 25 _The Nilpotence lemma_ 

* [[nilpotence lemma]]

## Lecture 26 _Thick subcategories_ 

* [[thick subcategory]]

## Lecture 27 _The periodicity theorem_ 

* [[periodicity theorem]]

## Lecture 28 _Telescopic localization_ 

* [[telescopic localization]]

## Lecture 29 _Telescopic vs $E_n$-localization_ 

* [[smashing localization]]

* [[chromatic tower]]

## Lecture 30 _Localizations and the Adams-Novikov spectral sequence_ 

* [[Adams-Novikov spectral sequence]]

## Lecture 31 _The smash product theorem_ 

* [[smash product theorem]]

## Lecture 32 _The chromatic convergence theorem_ 

* [[chromatic convergence theorem]]


## Lecture 33 _Complex bordism and $E(n)$-localization_ 


## Lecture 34 _Monochromatic layers_ 

* [[monochromatic layer]]

## Lecture 35 _The image of $J$_ 

* [[J-homomorphism]]

* [[Adams operation]]



category: reference


