
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A statement in [[chromatic homotopy theory]] about periodicity of [[p-local spectra]].

## Statement

A *$v_n$-self-map* on  a [[p-local spectrum|p-local]] [[finite spectrum]] $X$, for $n \geq 1$ is a map

$$
  f \;\colon\; \Sigma^k X \longrightarrow X
$$ 

such that

1. it induces an [[isomorphism]] $K(n)_\ast X \longrightarrow K(n)_\ast X$

1. for $n \neq l$ the induced map $K(l)_\ast X \longrightarrow K(l)_\ast X$ is nilpotent.

The periodicity theorem says: 

Any [[p-local spectrum|p-local]] [[finite spectrum]] $X$ admits a $v_n$-self-map. ([Lurie 10, theorem 4](#Lurie10))

It is a corollary of the theorem, that for any such space, there is a $v_n$-self-map, such that for $n \neq l$ the induced map $K(l)_\ast X \longrightarrow K(l)_\ast X$ is $0$, and not just nilpotent. ([Hopkins, Smith, Corollary 3.3](#HS))

## Related concepts

* [[telescopic localization]]

## References

The periodicity theorem is due to 

* [[Ethan Devinatz]], [[Michael Hopkins]], [[Jeff Smith]], 1980s, and appears in _Nilpotence and Stable Homotopy Theory II_
 {#HS}

A quick review is in

* [[Haynes Miller]], section 4 of _"Chromatic" Homotopy theory_, 2001 ([pdf](http://www-math.mit.edu/~hrm/papers/chromatic.pdf))

Lecture notes are in

* [[Jacob Lurie]], _[[Chromatic Homotopy Theory]]_, Lecture series 2010, Lecture 27 _The periodicity theorem_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture27.pdf))
 {#Lurie10}

Quick lecture notes are in 

* Robb Legg, _The periodicity theorem_, talk at _[2013 Pre-Talbot Seminar](http://math.northwestern.edu/~htanaka/pretalbot2013/index.php)_ ([pdf](http://math.northwestern.edu/~htanaka/pretalbot2013/notes/2013-04-16-Rob-Legg-periodicity.pdf))
 {#Legg13}
