
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The _Landweber-Novikov theorem_ describes the structure of [[Hopf algebroid over a commutative base]] on the dual generalized [[Steenrod algebra]] of the [[complex cobordism cohomology theory]] [[spectrum]] [[MU]].

By [[Quillen's theorem on MU]] we have $\pi_\bullet(MU) \simeq L$, the [[Lazard ring]]. Moreover the dual [[Steenrod algebra]] is 

$$
  MU_{\bullet}(MU) \simeq L B \coloneqq L \otimes \mathbb{Z}[b_1, b_2, \cdots]
$$

where on the right we have the [[polynomial ring]] on generators $b_i$ in degree $2i$. 

Here $(L, L B)$ carries a natural structure of a [[Hopf algebroid over a commutative base]] (and apparently this example is what made [[Haynes Miller]] introduce Hopf algebroids in the first place). The Landweber-Novikov theorem asserts that 
this is the [[Hopf algebroid]] structure on the dual [[MU]]-[[Steenrod algebra]] 

$$
  (\pi_\bullet(MU), MU_\bullet(MU))
  \simeq
  (L, L B)
  \,.
$$

The analog for [[BP]] is the [[Adams-Quillen theorem]].

## Related theorems

* [[Lazard's theorem]]

* [[Quillen's theorem on MU]]

* [[universal complex orientation on MU]]

* [[Landweber exact functor theorem]]

## References

The original articles are

* [[Sergei Novikov]], _The metods of algebraic topology from the viewpoint of cobordism theories_, Izv. Akad. Nauk. SSSR. Ser. Mat. 31 (1967), 855–951 (Russian).

* [[Peter Landweber]], _Cobordism operations and Hopf algebras_, Trans. Amer. Math. Soc. 129 (1967), 94–110.

* [[Frank Adams]], Part II.11 of _[[Stable homotopy and generalised homology]]_, 1974

The Hopf algebroid structure on $(L, L B)$ is reviewed in 

* [[Doug Ravenel]], appendix 2 of _[[Complex cobordism and stable homotopy groups of spheres]]_

The Landweber-Novikov theorem is reviewed in 


* [[Doug Ravenel]], chapter 4, section 1 of _[[Complex cobordism and stable homotopy groups of spheres]]_

