
#Contents#
* table of contents
{:toc}

## Definition

For $n \in \mathbb{N}$ with $n \gt 1$, consider [[continuous functions]] between [[spheres]] of the form

$$
  \phi \;\colon\; S^{2n-1} \longrightarrow S^n
  \,.
$$

The [[homotopy cofiber]] of $\phi$ 

$$
  cofib(\phi) \simeq S^n \underset{S^{2n-1}}{\cup} D^{2n}
$$

has [[ordinary cohomology]] 

$$
  H^k(cofib(\phi), \mathbb{Z})
  \simeq
  \left\{
    \array{  
      \mathbb{Z} & for\; k = n, 2n;
      \\
      0 &  otherwise
    }
  \right.
  \,.
$$

Hence for $\alpha, \beta$ generators of the cohomology groups in degree $n$ and $2n$ (unique up to choice of sign), respectively, there exists an [[integer]] $h(\phi)$ which expresses the [[cup product]] square of $\alpha$ as a multiple of $\beta$:

$$
  \alpha \cup \alpha = h(\phi) \cdot \beta 
  \,.
$$

This integer $h(\phi)$ is called the _Hopf invariant_ of $\phi$.

It depends on the choices made only up to sign. In particular it has a well-defined image $[h(\phi)] \in \mathbb{F}_2 = \mathbb{Z}/2\mathbb{Z}$, and as such it is the [[Steenrod square]] 

$$
  [h(\phi)] \cdot (-)
    \;\colon\; 
  \mathbb{F}_2
    \simeq
  H^n(cofib(\phi), \mathbb{F}_2) 
   \stackrel{Sq^n}{\longrightarrow}
  H^{2n}(cofib(\phi), \mathbb{F}_2) 
   \simeq
  \mathbb{F}_2
  \,.
$$

## Properties

### Generic values

For $n$ odd, then the Hopf invariant necessarily vanishes. For $n$ even however, then there is a homomorphism

$$
  \pi_{2n-1}(S^n) \longrightarrow  \mathbb{Z}
$$

whose [[image]] contains at least the even integers.

### Hopf invariant one

Hence a famous open question in the 1950s was for which maps $\phi$ one has Hopf invariant one, $h(\phi) = 1$.

The _[[Hopf invariant one theorem]]_ ([Adams60](Hopf+invariant+one#Adams60)) states that the only maps of Hopf invariant one, $h(\phi) = 1$, are the [[Hopf constructions]] on the four real [[normed division algebras]]:

* the [[real Hopf fibration]];

* the [[complex Hopf fibration]];

* the [[quaternionic Hopf fibration]];

* the [[octonionic Hopf fibration]].

## Related concepts

* [[EHP spectral sequence]]

## References

* Wikipedia, _[Hopf invariant](http://en.wikipedia.org/wiki/Hopf_invariant)_

* [[John Michael Boardman]], B. Steer, _On Hopf Invariants_  ([pdf](http://www.maths.ed.ac.uk/~aar/papers/boarstee.pdf))

* Michael Crabb, [[Andrew Ranicki]], _The geometric Hopf invariant_ ([pdf](http://www.maths.ed.ac.uk/~aar/slides/hopfbeam.pdf))


[[!redirects Hopf invariants]]
