
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The term _brave new algebra_ has been coined to refer to the [[higher algebra]] of [[E-infinity rings]] ("brave new rings"), amplifying the step from more traditional [[algebra]].

Specifically, the term is typically used for the particular presentation of [[E-infinity rings]] by way of [[highly structured ring spectra]] such as ([[commutative monoids|commutative]]) [[monoids]] with respect to a [[symmetric monoidal smash product of spectra]] (such as available on [[orthogonal spectra]] ([[orthogonal ring spectra]]), [[symmetric spectra]] ([[symmetric ring spectra]]) and [[S-modules]]).

According to [Greenlees 06, p. 1](#Greenlees06):

> The phrase 'brave new rings' was coined by [[Friedhelm Waldhausen|F.Waldhausen]], presumably to capture both an optimism about the possibilities of generalizing rings to ring spectra, and a proper awareness of the risk that the new step in abstraction would take the subject dangerously far from its justification in examples.

In consequence people also speak for instance of _brave new Hopf algebroids_ when referring to the [[Hopf algebroids]] of (dual) $E$-[[Steenrod algebras]] for some [[ring spectrum]] $E$ as appearing in the [[Adams spectral sequence]]. See at _[Steenrod algebra -- Hopf algebroid structure](#Steenrod+algebra)_.

## Related entries

* [[higher algebra]], [[higher linear algebra]]

* [[E-infinity geometry]]

## References

Introductions and expositions include


* [[Peter May]], _Brave new worlds in stable homotopy theory_ ([pdf](http://www.math.uchicago.edu/~may/PAPERS/WorldsNWU.pdf))

* {#Greenlees06} [[John Greenlees]], _First steps in brave new commutative algebra_ ([arXiv:math/0609453](http://arxiv.org/abs/math/0609453))

Monographs on the technical core of "brave new algebra" in terms of [[symmetric monoidal categories of spectra]] include

* [[Anthony Elmendorf]], [[Igor Kriz]], [[Peter May]], _Modern foundations for stable homotopy theory_ ([pdf](http://hopf.math.purdue.edu/Elmendorf-Kriz-May/modern_foundations.pdf))

* {#EKMM} [[Anthony Elmendorf]], [[Igor Kriz]], [[Michael Mandell]], [[Peter May|P. May]], _Rings, modules and algebras in stable homotopy theory_, AMS Mathematical Surveys and Monographs Volume 47 (1997) ([pdf](http://www.math.uchicago.edu/~may/BOOKS/EKMM.pdf))

For more references see at _[[ring spectrum]]_ and at _[[higher algebra]]_.

[[!redirects brave new algebras]]

[[!redirects brave new ring]]
[[!redirects brave new rings]]

[[!redirects brave new Hopf algebra]]
[[!redirects brave new Hopf algebras]]

[[!redirects brave new Hopf algebroid]]
[[!redirects brave new Hopf algebroids]]