
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Model category theory
+--{: .hide}
[[!include model category theory - contents]]
=--
#### Stable homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A [[model structure on spectra]] for [[symmetric spectra]]

The [[category]] of _symmetric spectra_ is a [[presentable (∞,1)-category|presentation]] of the [[symmetric monoidal (∞,1)-category]] [[stable (infinity,1)-category of spectra|of spectra]], with the special property that it implements the [[smash product of spectra]] such as to yield itself a [[symmetric monoidal category|symmetric]] [[monoidal model category|monoidal]] [[model category of spectra]]: the _[[model structure on symmetric spectra]]_. This implies in particular that with respect to this [[symmetric smash product of spectra]] an [[E-∞ ring]] is presented simply as a plain [[commutative monoid]] [[internalization|in]] symmetric spectra.






## Properties

### Relation to model structures on sequential spectra

There is a [[Quillen equivalence]] to the [[Bousfield-Friedlander model structure]] on [[sequential spectra]] ([HoveyShipleySmith 00, section 4.3](#HoveyShipleySmith00), [Mandell-May-Schwede-Shipley 01, theorem 0.1](#MandellMaySchwedeShipley01)).

### Relation to model structure on $\mathcal{S}$-modules

There is also a [[Quillen equivalence]] to the [[model structure on S-modules]] ([Schwede 01](#Schwede01))

## Related concepts

[[model structure on spectra]]

* [[sequential spectrum]], [[model structure on sequential spectra]]

with [[symmetric monoidal smash product of spectra]]

* [[symmetric spectrum]], **model structure on symmetric spectra**

* [[orthogonal spectrum]], [[model structure on orthogonal spectra]]

* [[S-module]], [[model structure on S-modules]]

* [[excisive functor]], [[model structure on excisive functors]]

* [[Model categories of diagram spectra]]

## References

The projective and injective model structure on symmetric spectra are due to

* {#HoveyShipleySmith00} [[Mark Hovey]], [[Brooke Shipley]], [[Jeff Smith]], _Symmetric spectra_, J. Amer. Math. Soc. 13 (2000), 149-208 ([arXiv:math/9801077](http://arxiv.org/abs/math/9801077))

The "S-model structure" (also called "flat model structure" in [Schwede 12, part III](#Schwede12)) is due to

* [[Brooke Shipley]], _A Convenient Model Category for Commutative Ring Spectra_, 2003 ([web](https://www.semanticscholar.org/paper/A-Convenient-Model-Category-for-Commutative-Ring-Shipley/ae906091dab8b64213f94b8ecc8047c37be20144))

See also

* {#Hovey00} [[Mark Hovey]], _Spectra and symmetric spectra in general model categories_ ([arXiv:0004051](http://arxiv.org/abs/math/0004051))

Another proof, beyond ([Hovey-Shipley-Smith 00](#HoveyShipleySmith00)), of the Quillen equivalence to the [[Bousfield-Friedlander model structure]] is due to

* {#MandellMaySchwedeShipley01} [[Michael Mandell]], [[Peter May]], [[Stefan Schwede]], [[Brooke Shipley]], theorem 0.1 of _[[Model categories of diagram spectra]]_, Proceedings of the London Mathematical Society, 82 (2001), 441-512 ([pdf](http://www.math.uchicago.edu/~may/PAPERS/mmssLMSDec30.pdf))

The Quillen equivalence to the [[model structure on S-modules]] is due to 

* {#Schwede01} [[Stefan Schwede]], _S-modules and symmetric spectra_, Math. Ann. 319, 517–532 (2001) ([pdf](http://www.math.uni-bonn.de/people/schwede/comparison.pdf))

Comprehensive review is in
 
* {#Schwede12} [[Stefan Schwede]], part III of _[[Symmetric spectra]]_, 2012 ([pdf](http://www.math.uni-bonn.de/people/schwede/SymSpec-v3.pdf))

[[!redirects model structures on symmetric spectra]]

[[!redirects model structure on symmetric spectrum objects]]
[[!redirects model structures on symmetric spectrum objects]]
