
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Model category theory
+--{: .hide}
[[!include model category theory - contents]]
=--
#### Stable homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A [[model structure on spectra]] for [[S-modules]].

The [[category]] of _S-modules_ ([EKMM 97](#EKMM97)) is a [[presentable (∞,1)-category|presentation]] of the [[symmetric monoidal (∞,1)-category]] [[stable (infinity,1)-category of spectra|of spectra]], with the special property that it implements the [[smash product of spectra]] such as to yield itself a [[symmetric monoidal category|symmetric]] [[monoidal model category|monoidal]] [[model category of spectra]]: the _[[model structure on symmetric spectra]]_. This implies in particular that with respect to this [[symmetric smash product of spectra]] an [[E-∞ ring]] is presented simply as a plain [[commutative monoid]] [[internalization|in]] S-modules.


## Propterties

### Relation to the model structure on symmetric spectra

There is a [[Quillen equivalence]] to the [[model structure on symmetric spectra]] ([Schwede 01](#Schwede01)). 

### Relation to model structure on orthogonal structure

Comparison to the [[model structure on orthogonal spectra]] is due to ([Mandell 04](#Mandell04)).

## Related concepts

[[model structure on spectra]]

* [[sequential spectrum]], [[model structure on sequential spectra]]

with [[symmetric monoidal smash product of spectra]]

* [[symmetric spectrum]], [[model structure on symmetric spectra]]

* [[orthogonal spectrum]], [[model structure on orthogonal spectra]]

* [[S-module]], **model structure on S-modules**

* [[excisive functor]], [[model structure on excisive functors]]

* [[Model categories of diagram spectra]]


## References

The construction originates in

* {#EKMM97} [[Anthony Elmendorf]], [[Igor Kriz]], [[Michael Mandell]], [[Peter May]], _Rings, modules and algebras in stable homotopy theory_, AMS 1997, 2014 

Review includes

* [[Anthony Elmendorf]], [[Igor Kriz]], [[Peter May]], sections 2 and 3 of _[[Modern foundations for stable homotopy theory]]_ ([pdf](http://hopf.math.purdue.edu/Elmendorf-Kriz-May/modern_foundations.pdf))

Comparison to the [[model structure on symmetric spectra]] is due to 

* {#Schwede01} [[Stefan Schwede]], _S-modules and symmetric spectra_, Math. Ann. 319, 517–532 (2001) ([pdf](http://www.math.uni-bonn.de/people/schwede/comparison.pdf))


Comparison to the [[model structure on orthogonal spectra]] is due to

* {#Mandell04} [[Michael Mandell]], _Equivariant orthogonal spectra and S-modules_ ([pdf](http://www.math.uiuc.edu/K-theory/0408/MMM.pdf))

