
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Homological algebra
+--{: .hide}
[[!include homological algebra - contents]]
=--
#### Stable homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

Any [[(infinity,1)-category]] $C$ can be flattened, by ignoring higher morphisms, into a [[1-category]] $ho(C)$ called its [[homotopy category of an (∞,1)-category|homotopy category]].  The notion of a _triangulated structure_ is designed to capture the additional structure canonically existing on $ho(C)$ when $C$ has the property of being [[stable (infinity,1)-category|stable]].  This structure can be described roughly as the data of an invertible [[suspension functor]], together with a collection of sequences called _distinguished triangles_, which behave like [[decategorification|shadows]] of [[homotopy cofibre sequence|homotopy (co)fibre sequences]] in [[stable (infinity,1)-categories]], subject to various axioms.

A central class of examples of triangulated categories are the [[derived categories]] $D(\mathcal{A})$ of [[abelian categories]] $\mathcal{A}$. These are the [[homotopy category of an (∞,1)-category|homotopy categories]] of the stable [[(∞,1)-categories of chain complexes]] in $\mathcal{A}$.  However the notion also encompasses important examples coming from nonabelian contexts, like the [[stable homotopy category]], which is the [[homotopy category]] of the [[stable (infinity,1)-category|stable]] [[(infinity,1)-category of spectra]].  Generally, it seems that all triangulated categories appearing in nature arise as [[homotopy categories]] of [[stable (infinity,1)-categories]] (though examples of "exotic" triangulated categories probably exist).

By construction, passing from a [[stable (infinity,1)-category]] to its [[homotopy category]] represents a serious loss of information.  In practice, endowing the homotopy category with a triangulated structure is often sufficient for many purposes.  However, as soon as one needs to remember the [[homotopy colimits]] and [[homotopy limits]] that existed in the [[stable (infinity,1)-category]], a triangulated structure is not enough.  For example, even the [[mapping cone]] in a triangulated category is not functorial.  Hence it is often necessary to work with some [[enhanced triangulated category|enhanced]] notion of triangulated category, like [[stable derivators]], [[pretriangulated dg-categories]], [[stable model categories]] or [[stable (infinity,1)-categories]].  See [[enhanced triangulated category]] for more details.

## History

The notion of triangulated category was developed by [[Jean-Louis Verdier]] in his 1963 thesis under [[Alexandre Grothendieck]].  His motivation was to axiomatize the structure existing on the [[derived category]] of an [[abelian category]].  Axioms similar to Verdier's were given by [[Albrecht Dold]] and [[Dieter Puppe]] in a 1961 paper.  A notable difference is that Dold-Puppe did not impose the octahedral axiom (TR4).

## Definition

The traditional definition of _triangulated category_ is the following. But see remark \ref{RedundancyInDefinition} below.

+-- {: .num_defn #TriangulatedCategory}
###### Definition

A __triangulated category__ is 

* an [[additive category]];

* [[category with translation|with (additive) translation]];

* equipped with a collection of [[category with translation|triangles]] called __[[distinguished triangles]]__ (dts) 

* such that the following axioms hold

**TR0:** every triangle isomorphic to a distinguished triangle is itself a distinguished triangle;

**TR1:** the triangle 

$$
  X \stackrel{Id_X}{\to} X \to 0 \to T X
$$ 

is a distinguished triangle;

**TR2:** for all $f : X \to Y$, there exists a distinguished triangle 

$$
  X \stackrel{f}{\to} Y \to Z \to T X
  \,;
$$

**TR3:** a triangle 

$$
  X \stackrel{f}{\to} Y \stackrel{g}{\to} Z \stackrel{h}{\to} T X
$$ 

is a distinguished triangle precisely if 

$$
  Y \stackrel{g}{\to} Z \stackrel{h}{\to} T X \stackrel{-T(f)}{\to} T Y
$$ 

is a distinguished triangle;

**TR4:** given two distinguished triangles 

$$
  X \stackrel{f}{\to} Y \stackrel{g}{\to} Z \stackrel{h}{\to} T X
$$ 

and 

$$X' \stackrel{f'}{\to} Y' \stackrel{g'}{\to} Z' \stackrel{h'}{\to} T X'$$ 

and given morphisms $\alpha$ and $\beta$ in

$$\array{
  X &\stackrel{f}{\to}& Y
  \\
  \downarrow^\alpha && \downarrow^\beta
  \\
  X' &\stackrel{f'}{\to}& Y'  
}$$

there exists a morphism $\gamma : Z \to Z'$ 
extending this to a morphism of distinguished triangles in that
the diagram 

$$
  \array{
    X &\stackrel{f}{\to}& Y
    &\stackrel{g}{\to}& Z
    &\stackrel{h}{\to}& T X
    \\
    \downarrow^\alpha && \downarrow^{\mathrlap{\beta}}
    && \downarrow^{\mathrlap{\exists \gamma}}
    && \downarrow^{\mathrlap{T(\alpha)}}
    \\
    X' &\stackrel{f'}{\to}& Y'
    &\stackrel{g'}{\to}& Z'
    &\stackrel{h'}{\to}& T X'
}
$$

commutes;

**TR5 (octahedral axiom):** given three distinguished triangles of the form

$$
\begin{aligned}
& X \stackrel{f}{\to} Y
    \stackrel{h}{\to} Y/X
    \stackrel{}{\to} T X
\\
& Y \stackrel{g}{\to} Z
    \stackrel{k}{\to} Z/Y
    \stackrel{}{\to} T Y
\\
& X \stackrel{g \circ f}{\to} Z
    \stackrel{l}{\to} Z/X
    \stackrel{}{\to} T X
\end{aligned}
$$ 

there exists a distinguished triangle

$$
Y/X \stackrel{u}{\to} Z/X
    \stackrel{v}{\to} Z/Y
    \stackrel{w}{\to} T (Y/X)
$$

such that the following big diagram commutes

$$
  \array{
    X 
    &&\stackrel{g \circ f}{\to}&& 
    Z
    &&\stackrel{k}{\to}&& 
    Z/Y
    &&\stackrel{k}{\to}&& 
    T (Y/X)
    \\
    & 
    {}_{f}\searrow
    && 
    \nearrow_{g}
    &&
    \searrow^{l}
    &&
    \nearrow_{v} 
    &&
    \searrow^{}
    &&
    \nearrow_{T(h)}
    \\
    &&
    Y
    &&&&
    Z/X
    &&&&
    T Y
    \\
    &&&
    \searrow^{h}
    &&
    \nearrow_{u}
    &&
    \searrow^{}
    &&
    \nearrow_{T(f)}
    \\
    &&&&
    Y/X
    &&\stackrel{}{\to}&&
    T X
  }
$$

If TR5 is not required, one speaks of a **pretriangulated category**.

=--

+-- {: .num_remark #RedundancyInDefinition}
###### Remark

This classical definition is redundant; TR4 and one direction of TR3 follow from the remaining axioms.  See ([May](#May)).

The octahedral axiom has many equivalent formulations, a concise account is in ([Hubery](#Hubery)). Notice that one of the equivalent axioms, called axiom B, there, is essentially just an axiomatization of the existence of [[homotopy pushouts]].

=--



+-- {: .num_remark}
###### Remark

In the context of triangulated categories the translation functor $T : C \to C$ is often called the **suspension functor** and denoted $(-)[1] : X \mapsto X[1]$ (in an algebraic context) or $S$ or $\Sigma$ (in a topological context).  However unlike "translation functor", suspension functor is also the term used when the invertibility is not assumed, cf. [[suspended category]].

=--

+-- {: .num_remark}
###### Remark

If $(f,g,h)$ is a [[distinguished triangle]], then $(f,g,-h)$ is not generally distinguished, although it is "exact" (induces [[long exact sequences]] in [[homology]] and [[cohomology]]).  However, $(f,-g,-h)$ *is* always distinguished, since it is isomorphic to $(f,g,h)$:
  $$ \array{ X & \xrightarrow{f} & Y & \xrightarrow{g} & Z & \xrightarrow{h} & T X\\
    ^{id}\downarrow && ^{id} \downarrow && ^{-1} \downarrow && \downarrow^{id}\\
    X & \xrightarrow{f} & Y & \xrightarrow{-g} & Z & \xrightarrow{-h} & T X}$$

=--

## Properties

### Long fiber-cofiber sequences
 {#LongExactSequences}

The following prop. \ref{LongExactSequencesFromDistinguishedTriangle} is the incarnation in the axiomatics of triangulated categories of the [[long exact sequences of homotopy groups]] induced by [[homotopy fiber sequences]] in [[homotopy theory]].

+-- {: .num_lemma #CompositesInADistinguishedTriangleAreZero}
###### Lemma

Given a [[triangulated category]], def. \ref{TriangulatedCategory}, and 

$$
  A \overset{f}{\longrightarrow} B \overset{g}{\longrightarrow} B/A \overset{h}{\longrightarrow} \Sigma A
$$

a distinguished triangle, then 

$$
  g\circ f = 0
$$

is the [[zero morphism]].

=--

+-- {: .proof}
###### Proof

Consider the [[commuting diagram]]

$$
  \array{
    A 
      &\overset{id}{\longrightarrow}& 
    A 
      &\overset{}{\longrightarrow}&
    0
      &\overset{}{\longrightarrow}&
    \Sigma A
    \\
    \downarrow^{\mathrlap{id}} && \downarrow^{\mathrlap{f}}
    \\
    A 
      &\overset{f}{\longrightarrow}& 
    B 
      &\overset{g}{\longrightarrow}& 
    B/A 
      &\overset{h}{\longrightarrow}& 
    \Sigma A    
  }
  \,.
$$

Observe that the top part is a distinguished triangle by axioms T1 and T2 in def. \ref{TriangulatedCategory}. Hence by T3 there is an extension to 
a commuting diagram of the form

$$
  \array{
    A 
      &\overset{id}{\longrightarrow}& 
    A 
      &\overset{}{\longrightarrow}&
    0
      &\overset{}{\longrightarrow}&
    \Sigma A
    \\
    \downarrow^{\mathrlap{id}} && \downarrow^{\mathrlap{f}}
    && \downarrow
    && \downarrow^{\mathrlap{\Sigma f}}
    \\
    A 
      &\overset{f}{\longrightarrow}& 
    B 
      &\overset{g}{\longrightarrow}& 
    B/A 
      &\overset{h}{\longrightarrow}& 
    \Sigma A    
  }
  \,.
$$

Now the commutativity of the middle square proves the claim.

=--

+-- {: .num_prop #LongExactSequencesFromDistinguishedTriangle}
###### Proposition

Consider a [[triangulated category]], def. \ref{TriangulatedCategory}, with shift functor denoted $\Sigma$ and with [[hom-functor]] denoted $[-,-]_\ast \colon Ho^{op}\times Ho \to Ab$. Then for $X$ any object, and for any distinguished triangle

$$
  A \overset{f}{\longrightarrow} B \overset{g}{\longrightarrow} B/A \overset{h}{\longrightarrow} \Sigma A
$$

the sequences of [[abelian groups]]

1. (long cofiber sequence) 
    
   $$
    [\Sigma A, X]_\ast
      \overset{[h,X]_\ast}{\longrightarrow}
    [B/A,X]_\ast
      \overset{[g,X]_\ast}{\longrightarrow}
    [B,X]_\ast
      \overset{[f,X]_\ast}{\longrightarrow}
    [A,X]_\ast
   $$

1. (long fiber sequence)

   $$
     [X,A]_\ast
       \overset{[X,f]_\ast}{\longrightarrow}
     [X,B]_\ast
       \overset{[X,g]_\ast}{\longrightarrow}
     [X,B/A]_\ast
       \overset{[X,h]_\ast}{\longrightarrow}
     [X,\Sigma A]_\ast 
   $$

are [[long exact sequences]].

=--

+-- {: .proof}
###### Proof

Regarding the first case:

Since $g \circ f = 0$ by lemma \ref{CompositesInADistinguishedTriangleAreZero}, we have an inclusion $im([g,X]_\ast) \subset ker([f,X]_\ast)$. Hence it is sufficient to show that if $\psi \colon B \to X$ is in the kernel of $[f,X]_\ast$ in that $\psi \circ f = 0$, then there is $\phi \colon C \to X$ with $\phi \circ g = \psi$. To that end, consider the commuting diagram

$$
  \array{
    A 
      &\overset{f}{\longrightarrow}& 
    B 
      &\overset{g}{\longrightarrow}& 
    B/A 
      &\overset{h}{\longrightarrow}& 
    \Sigma A
    \\
    \downarrow && {}^{\mathllap{\psi}}\downarrow
    \\
    0 
      &\overset{}{\longrightarrow}&
    X
      &\overset{id}{\longrightarrow}&
    X
      &\overset{}{\longrightarrow}&
    0
  }
  \,,
$$

where the commutativity of the left square exhibits our assumption.

The top part of this diagram is a distinguished triangle by assumption, and the bottom part is by condition $T1$ in def. \ref{TriangulatedCategory}. Hence by condition T3 there exists $\phi$ fitting into a commuting diagram of the form

$$
  \array{
    A 
      &\overset{f}{\longrightarrow}& 
    B 
      &\overset{g}{\longrightarrow}& 
    B/A 
      &\overset{h}{\longrightarrow}& 
    \Sigma A
    \\
    \downarrow && {}^{\mathllap{\psi}}\downarrow && \downarrow^{\mathrlap{\phi}} && \downarrow
    \\
    0 
      &\overset{}{\longrightarrow}&
    X
      &\overset{id}{\longrightarrow}&
    X
      &\overset{}{\longrightarrow}&
    0
  }
  \,.
$$

Here the commutativity of the middle square exhibits the desired conclusion.

This shows that the first sequence in question is exact at $[B,X]_\ast$. Applying the same reasoning to the distinguished traingle $(g,h,-\Sigma f)$ provided by T2 yields exactness at $[C,X]_\ast$.

Regarding the second case: 

Again, from lemma \ref{CompositesInADistinguishedTriangleAreZero} it is immediate that 

$$
  im([X,f]_\ast) \subset ker([X,g]_\ast)
$$

so that we need to show that for $\psi \colon X \to B$ in the kernel of $[X,g]_\ast$, hence such that $g\circ \psi = 0$, then there exists $\phi \colon X \to A$ with $f \circ \phi = \psi$.

To that end, consider the commuting diagram

$$
  \array{
    X &\longrightarrow& 0 &\longrightarrow& \Sigma X &\overset{- id}{\longrightarrow}& \Sigma X
    \\
    \downarrow^{\mathrlap{\psi}} && \downarrow
    \\
     B 
       &\overset{g}{\longrightarrow}&
     B/A
       &\overset{h}{\longrightarrow}&
     \Sigma A
       &\overset{-\Sigma f}{\longrightarrow}&
     \Sigma B
  }
  \,,
$$

where the commutativity of the left square exhibits our assumption.

Now the top part of this diagram is a distinguished triangle by conditions T1 and T2 in def. \ref{TriangulatedCategory}, while the bottom part is a distinguished triangle by applying T2 to the given distinguished triangle. Hence by T3 there exists $\tilde \phi \colon \Sigma X \to \Sigma A$ such as to extend to a commuting diagram of the form

$$
  \array{
    X &\longrightarrow& 0 &\longrightarrow& \Sigma X &\overset{- id}{\longrightarrow}& \Sigma X
    \\
    \downarrow^{\mathrlap{\psi}} 
      && 
    \downarrow
      &&
    \downarrow^{\mathrlap{\tilde \phi}}
      &&
    \downarrow^{\mathrlap{\Sigma \psi}}
    \\
     B 
       &\overset{g}{\longrightarrow}&
     B/A
       &\overset{h}{\longrightarrow}&
     \Sigma A
       &\overset{-\Sigma f}{\longrightarrow}&
     \Sigma B
  }
  \,,
$$

At this point we appeal to the condition in def. \ref{TriangulatedCategory} that $\Sigma \colon Ho \to Ho$ is an [[equivalence of categories]], so that in particular it is a [[fully faithful functor]]. It being a [[full functor]] implies that there exists $\phi \colon X \to A$ with $\tilde \phi = \Sigma \phi$. It being faithful then implies that the whole commuting square on the right is the image under $\Sigma$ of a commuting square

$$
  \array{
    X &\overset{-id}{\longrightarrow}& X
    \\
    {}^{\mathllap{\phi}}\downarrow && \downarrow^{\mathrlap{\psi}}
    \\
    A &\underset{-f}{\longrightarrow}& B
  }
  \,.
$$

This exhibits the claim to be shown.

=--






### From stable model categories

A [[pointed category|pointed]] [[model category]] $\mathcal{C}$ is called a _[[stable model category]]_ if the canonically induced [[reduced suspension]]-functor on its [[homotopy category of a model category|homotopy category]] 

$$
  \Sigma \;\colon\; Ho(\mathcal{C}) \longrightarrow Ho(\mathcal{C})
$$

is an [[equivalence of categories]].

In this case $(Ho(\mathcal{C}),\Sigma)$ is a triangulated category. ([Hovey 99, section 7](#Hovey99), for review see also [Schwede, section 2](#Schwede)).

## Examples

* The [[homotopy category of chain complexes]] $K(\mathcal{A})$ in an [[abelian category]] (the category of chain complexes modulo [[chain homotopy]]) is a triangulated category: the translation functor is the [[suspension of chain complexes]] and the distinguished triangles are those coming from the [[mapping cone]] construction $X \stackrel{f}{\to}Y \to Cone(f) \to T X$ in $Ch_\bullet(\mathcal{A})$.

* The [[stable homotopy category]] (the [[homotopy category of an (∞,1)-category|homotopy category]] of the [[stable (∞,1)-category of spectra]]) is a triangulated category.  This is also true for [[parameterized spectra|parametrized]], [[equivariant spectra|equivariant]], etc. spectra. Also the [[full subcategory]] called the [[Spanier-Whitehead category]] is triangulated.

* The stable category of a [[Quillen exact category]] is [[suspended category]] as exhibited by [[Bernhard Keller]]. If the exact category is Frobenius, i.e. has enough injectives and enough projective and these two classes coincide, then the suspension of the stable category is in fact invertible, hence the stable category is triangulated. A triangulated category equivalent to a triangulated categories is said to be an [[algebraic triangulated category]]. 

* As mentioned before, the [[homotopy category of an (infinity,1)-category|homotopy category]] of a [[stable (∞,1)-category]] is a triangulated category.  Slightly more generally, this applies also to a [[stable derivator]], and slightly less generally, it applies to a [[stable model category]].  This includes both the preceding examples.

* The [[localization]] $C/N$ of any triangulated category $C$ at a [[null system]] $N \hookrightarrow C$, i.e. the localization using the [[calculus of fractions]] given by the morphisms $f : X \to Y$ such that there exists distinguished triangles $X \to Y \to Z \to T X$ with $Z$ an object of a [[null system]], is still naturally a triangulated category, with the distinguished triangles being the triangles isomorphic to an image of a distinguished triangle under $Q : C \to C/N$.

  * In particular, therefore, the [[derived category]] of any [[abelian category]] is a triangulated category, since it is the localization of the homotopy category at the null system of acyclic complexes.  This example is also the homotopy category of a stable $(\infty,1)$-category, and usually of a stable model category.

* In [[algebraic geometry]], important examples are given by the various [[triangulated categories of sheaves]] associated to a [[variety]] (e.g. bounded derived category of [[coherent sheaves]], triangulated category of [[perfect complexes]]).

## Related concepts 

* [[exact triangle]], [[distinguished triangle]]

* [[enhanced triangulated category]], [[pretriangulated dg-category]], [[stable (∞,1)-category]]

* [[tensor triangulated category]]

* [[derived category]]

* [[t-structure]], [[Bridgeland stability condition]]

* [[suspended category]], [[n-angulated category]]

* [[Bousfield lattice]], [[thick subcategory]], [[additive category]], 

* [[exceptional collection]]

* [[well-generated triangulated category]], [[compactly generated triangulated category]]

* [[spectrum of a triangulated category]]

* [[triangulated categories of sheaves]], [[Bondal-Orlov reconstruction theorem]]

## References

The concept orignates in the thesis 

* [[Jean-Louis Verdier]], _Des Catégories Dérivées des Catégories Abéliennes_, Astérisque (Paris: Société Mathématique de France) 239.  Available in [electronic format](http://www.math.jussieu.fr/~maltsin/jlv.html) courtesy of [[Georges Maltsiniotis]].

Similar axioms were already given in

* [[Albrecht Dold]], [[Dieter Puppe]], _Homologie nicht-additiver Funktoren_, Annales de l'Institut Fourier (Université de Grenoble) 11: 201–312, 1961, [eudml](https://eudml.org/doc/73776).

A comprehensive monograph is 

* {#Neeman01} [[Amnon Neeman]], _Triangulated Categories_, Princeton University Press (2001)

Discussion of the relation to [[stable model categories]] originates in 

* {#Hovey99} [[Mark Hovey]], section 7 of _Model Categories_ Mathematical Surveys and Monographs, Volume 63, AMS (1999) ([pdf](https://www.math.rochester.edu/people/faculty/doug/otherpapers/hovey-model-cats.pdf), [Google books](http://books.google.co.uk/books?id=Kfs4uuiTXN0C&printsec=frontcover))


Other surveys include

* {#Hubery} [[Andrew Hubery]], _Notes on the octahedral axiom_, ([pdf](http://math-www.uni-paderborn.de/user/hubery/static/Octahedral.pdf))

* [[Masaki Kashiwara]], [[Pierre Schapira]], section 10 _[[Categories and Sheaves]]_, 

* [[Jacob Lurie]], section 3 of _[[Stable Infinity-Categories]]_,

* [[Behrang Noohi]], _Lectures on derived and triangulated categories_ ([arXiv:0704.1009](http://arxiv.org/abs/0704.1009)).

* [[Fernando Muro]] ([pdf](http://personal.us.es/fmuro/htag.pdf))

* {#Schwede} [[Stefan Schwede]], _Triangulated categories_ ([pdf](https://math.berkeley.edu/~aaron/atf/triangulated-categories.pdf))

A survey of formalisms used in [[stable homotopy theory]] to present the triangulated [[homotopy category]] of a [[stable (∞,1)-category]] is in

* [[Neil Strickland]], _Axiomatic stable homotopy - a survey_ ([arXiv:math.AT/0307143](http://front.math.ucdavis.edu/0307.5143)) 

Discussion of the redundancy in the traditional definition of triangulated category is in 

* {#May} [[Peter May]], _The additivity of traces in triangulated categories_, ([pdf](http://www.math.uchicago.edu/~may/PAPERS/AddJan01.pdf))
 

There was also some discussion at the [nForum](http://nforum.mathforge.org/discussion/3638/triangulated-category).

category: triangulated categories

[[!redirects triangulated categories]]
[[!redirects distinguished triangle]]
[[!redirects distinguished triangles]]
[[!redirects triangulated structure]]
[[!redirects triangulated structures]]

[[!redirects pretriangulated category]]
[[!redirects pretriangulated categories]]
[[!redirects pre-triangulated category]]
[[!redirects pre-triangulated categories]]

[[!redirects octahedral axiom]]
[[!redirects octahedral axioms]]
