
#Contents#
* table of contents
{:toc}

## Idea

The [[Bousfield localization of spectra]] $L_{E(n)}$ at $n$th Morava E-theory is called _chromatic localization_. The [[tower diagram|tower]] of chromatic localizations as $n$ ranges is called the _[[chromatic tower]]_, leading to the _[[chromatic filtration]]_. This is the subject of [[chromatic homotopy theory]].

## Properties

### Relation to formal groups


Chromatic localization on [[complex oriented cohomology theories]] is like the restriction to the closed substack

$$
  \mathcal{M}_{FG}^{\leq n+1}
  \hookrightarrow
  \mathcal{M}_{FG} \times Spec \mathbb{Z}_{(p)}
$$

of the [[moduli stack of formal groups]] on those of [[height of a formal group|height]] $\geq n+1$. 

(e.g. [Lurie, lect 22, above theorem 1](#LurieLect22))

In this way the localization tower at the Morava E-theories
exhibits the [[chromatic filtration]] in [[chromatic homotopy theory]].

## Examples

[[!include chromatic tower examples - table]]

## Related concepts

* [[chromatic homotopy theory]]

## References

* [[Jacob Lurie]], _[[Chromatic Homotopy Theory]]_, Lecture series 2010 ([lecture notes](http://www.math.harvard.edu/~lurie/252x.html))
 {#LurieLectures}


* [[Mark Hovey]], Hal Sadofsky, _Invertible spectra in the $E(n)$-local stable homotopy category_  ([pdf](http://hopf.math.purdue.edu/Hovey-Sadofsky/lnpic.pdf))

[[!redirects chromatic localizations]]
