**Categorial grammar** is a tradition in formal [[linguistics]] which draws inspiration from [[category theory]]. 

Syntactic "calculus" for categorial grammars was introduced by Lambek formalizing the function [[type theory|type]] constructors.  Derivation trees are encoded by [[string diagrams]].

A seminal article, inspired by the structure of a (non-symmetric) [[biclosed monoidal category]] is:

* [[Joachim Lambek]], _The mathematics of sentence structure_, Amer. Math. Monthly __65__, 154&#8211;170 (1958) [MR0106170](http://www.ams.org/mathscinet-getitem?mr=106170) [doi](http://dx.doi.org/10.2307/2310058) [jstor](http://www.jstor.org/stable/2310058)

The connection to biclosed monoidal categories is made explicit in:

* Lambek, J. (1988). Categorial and categorical grammars. In Categorial grammars and natural language structures (pp. 297-317). Springer Netherlands.

**Pregroup grammar** ([Wikipedia](http://en.wikipedia.org/wiki/Pregroup_grammar)) is a refinement of this, and categorifies to (non-symmetric) [[rigid monoidal categories]]. 

* Preller, A. (2005). Category theoretical semantics for pregroup grammars. In Logical aspects of computational linguistics (pp. 238-254). Springer Berlin Heidelberg.

* Preller, A., & Lambek, J. (2007). Free compact 2-categories. Mathematical Structures in Computer Science, 17(2), 309-340. 


A contemporary thesis in this area:

* Matteo Capelletti, _The non-associative Lambek calculus_, Logic, Linguistic and Computational Properties, thesis, Bologna, [pdf](http://amsdottorato.cib.unibo.it/321/1/TesiBo.pdf)

* Wikipedia: [categorial grammar](http://en.wikipedia.org/wiki/Categorial_grammar), [combinatory categorial grammar](http://en.wikipedia.org/wiki/Combinatory_categorial_grammar)


* Mati Pentus, _Lambek calculus and formal grammars_, Amer. Math. Soc. Transl. 1997

* Michael Moortgat, _Categorial type logics_, [pdf](http://www.let.uu.nl/~Michael.Moortgat/personal/Courses/CG08/Docs/lola-ch2.pdf) (ch. 2 in _Handbook of logic and language_, Elsevier 1997)

Research along similar lines is sometimes described as **typelogical grammar**:

* [SEP: typelogical grammar](http://plato.stanford.edu/entries/typelogical-grammar/
)

## Related Concepts

* [[linguistics]]
* [[type theory]]
* [[context-free grammar]]
* [[lambda calculus]]

## References

* [Wikipedia](http://en.wikipedia.org/wiki/Categorial_grammar)

* Daniel J. Dougherty, _Closed Categories and Categorial Grammar_ , Notre Dame Journal of Formal Logic **34** no.1 (1993) pp.36-49. ([pdf](http://web.cs.wpi.edu/~dd/publications/ndjfl93.pdf))

* Philippe de Groote, Towards Abstract Categorial Grammars, In: _Association for Computational Linguistics, 39th Annual Meeting and 10th Conference of the European Chapter, Proceedings of the Conference_, pages 148&#8211;155, Toulouse, France, 2001. ([pdf](http://www.loria.fr/~degroote/papers/acl01.pdf))

[[!redirects categorial grammar]]
[[!redirects categorial grammars]]
[[!redirects Categorial grammar]]
[[!redirects categorical grammars]]
[[!redirects categorical grammar]]
[[!redirects Lambek calculus]]