
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Homotopy theory
+--{: .hide}
[[!include homotopy - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

In _$p$-adic homotopy theory_ one studies, for any [[prime number]] $p$, [[simply connected]] [[homotopy types]] (of [[topological spaces]], hence [[∞-groupoids]]) all of whose [[homotopy groups]] have the structure of  (finitely generated) [[modules]] over the [[p-adic integers]] $\mathbb{Z}_p$ -- the _$p$-adic homotopy types_. The central theorem ([Mandell 01](#Mandell01)) says that the [[(∞,1)-category]] on $p$-adic homotopy types is [[sub-(∞,1)-category|faithfully embedded]] into the [[(∞,1)-category]] of [[E-∞ algebras]] over an [[algebraically closed field]] of [[characteristic]] $p$ ([[Rational and p-adic Homotopy Theory|Lurie, p. 70, cor. 3.5.15]]).

In this way $p$-adic homotopy theory is directly analogous to _[[rational homotopy theory]]_ with the [[rational numbers]] $\mathbb{Q}$ replaced by the [[p-adic integers]].

The _[[fracture theorem]]_ says that under mild conditions, homotopy theory may be decomposed in a precise sense into rational homotopy theory and $p$-adic homotopy theory for each prime $p$.

## Related concepts

* [[p-adic numbers]]

* [[p-completion]], [[p-localization]]

* [[mod p Whitehead theorem]]

* [[p-adic geometry]]

* [[p-adic cohomology]]

* [[p-adic physics]]

* [[rational homotopy theory]], [[real homotopy theory]]

## References

* {#Mandell01} [[Michael Mandell]], _$E_\infty$-algebras and $p$-Adic homotopy theory_, Topology 40 (2001), no. 1, 43-94. ([pdf](http://hopf.math.purdue.edu/Mandell/einf.pdf))

  surveyed in: _Algebraic models in $p$-adic homotopy theory_, YTM13, 2013 ([pdf](http://pages.iu.edu/~mmandell/YTM/YTC3-handout.pdf))

* [[Jacob Lurie]], _$p$-Adic homotopy theory_ ([pdf](http://www-math.mit.edu/~lurie/917notes/Lecture27.pdf))


* {#Lurie} [[Jacob Lurie]], _[[Rational and p-adic Homotopy Theory]]_

 
[[!redirects p-adic homotopy theories]]

[[!redirects p-adic homotopy]]