
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
#### Étale morphisms
+--{: .hide}
[[!include etale morphisms - contents]]
=--
=--
=--


This page collects links related to 

* [[James Milne]], 

  _Lectures on Étale Cohomology_ 

  ([html](http://www.jmilne.org/math/CourseNotes/lec.html), [pdf](http://www.jmilne.org/math/CourseNotes/LEC.pdf))

based on the textbook

* _Étale Cohomology_, 

  Princeton Mathematical Series 33, 1980. xiii+323 pp.

on [[étale cohomology]] and the [[proof]] of the [[Weil conjectures]].

#Contents#
* table of contenta
{:toc}

## **I** Basic theory

### 1. Introduction

### 2. Étale morphisms

* [[formally étale morphism]]

* [[étale morphism of schemes]]

* [[tangent cone]]

* [[unramified morphism of schemes]]

### 3. The étale fundamental group

* [[étale fundamental group]]

* [[étale homotopy type]]

### 4. The local ring for the étale topology

* [[germ]]

* [[local ring]]

* [[locally ringed topological space]]

* [[Henselian ring]]

* [[geometric point]]

### 5. Sites

* [[site]]

* [[presheaf]]

* [[sheaf]]

### 6. Sheaves for the étale topology

* [[Galois cover]]

* [[descent]]

* [[structure sheaf]]

* [[sheaf of coherent modules]] 

* [[stalk]]

* [[skyscraper sheaf]]

* [[locally constant sheaf]]

### 7. The category of sheaves on $X_{et}$

* [[additive and abelian categories]]

* [[category of presheaves]]

* [[category of sheaves]]

* [[sheafification]]

* [[algebraic space]]

* [[étale topos]]

### 8. Direct and inverse image sheaves

* [[direct image]]

* [[inverse image]]

* [[injective module]]

* [[enough injectives]]

### 9. Cohomology: Definition and basic properties

* [[cohomology]]

* [[abelian sheaf cohomology]]

* [[left exact functor]]

* [[global section functor]]

* [[derived functor]]

* [[Ext]]

* [[excision]]

### 10. Cech cohomology

* [[Cech cohomology]]

* [[Grothendieck spectral sequence]]

### 11. Principal homogeneous spaces and $H^i$

* [[principal homogeneous space]], [[torsor]], [[principal bundle]]

* [[nonabelian cohomology]]

* [[gerbe]]

### 12. Higher direct images; the Leray spectral sequence

* [[derived functor]]

* [[Leray spectral sequence]]

### 13. The Weil-divisor  exact sequence and the cohomology of $\mathbb{G}_m$

* [[Weil divisor]]

* [[function field]]

* [[Brauer group]]

### 14. The cohomology of curves

* [[Picard group]]

* [[Poincaré duality]]

* [[Hochschild-Serre spectral sequence]]


### 15. Cohomological dimension

* [[cohomological dimension]]

### 16. Purity; the Gysin sequence

* [[Gysin sequence]]

### 17. The proper base change theorem

* [[proper morphism of schemes]]

* [[constructible sheaf]]

* [[Beck-Chevalley condition]]

* [[proper base change theorem]]

### 18. Cohomology groups with compact support

* [[cohomology with compact support]]

### 19. Finiteness theorem; Sheaves of $\mathbb{Z}_l$-modules

* [[ℓ-adic cohomology]]


### 20. The smooth base change theorem

* [[proper base change theorem]]

### 21. The comparison theorem

* [[complex analytic topology]]

* [[Riemann existence theorem]]

* [[comparison theorem (étale cohomology)]]


### 22. The Künneth formula

* [[Künneth theorem]]

### 23. The cycle map; Chern classes

* [[Chern class]]

### 24. Poincaré duality

* [[Poincaré duality]]

* [[Verdier duality]]

### 25. Lefschetz fixed-point formula

* [[Lefschetz fixed-point formula]]

## **II** Proof of the Weil conjectures

### 26. The Weil conjecture

* [[Weil conjecture]]

### 27. Proof of the Weil conjectures, except for the Riemann hypothesis

* [[Frobenius endomorphism]]

### 28. Preliminary reductions

### 29. The Lefschetz fixed point formula for non-constant sheaves

### 30. The main lemma

### 31. The geometry of Lefschetz pencils

### 32. The cohomology of Lefschetz pencils

### 33. Completion of the proof of the Weil conjecture

### 34. The geometry of estimates

category: reference

[[!redirects Lectures on Etale Cohomology]]

[[!redirects Étale Cohomology]]
[[!redirects Etale Cohomology]]

