
#Contents#
* table of contents
{:toc}

## Definition

+-- {: .num_defn #separable}
###### Definition

Let $\bar K$ be a fixed [[algebraic closure]] of $K$. If $F \subset K[X] - \{0\}$ is any collection of non-zero [[polynomial]]s, the **splitting field** of $F$ over $K$ is the subfield of $\bar K$ generated by $K$ and the zeros of the polynomials in $F$.

We call $f \in K[X]- \{0\}$ **separable** if it has no multiple zero in $\bar K$.

We call $\alpha \in \bar K$ **separable over $K$** if the [[irreducible polynomial]] $f^\alpha_K$ of $\alpha$ over $K$ is separable.

A subfield $L \subset K$ is called **separable over $K$** if each $\alpha \in L$ is separable over $K$. 

=--


+-- {: .num_defn #SeparableClosure}
###### Definition

Let $K$ be a [[field]] and $\bar K$ an [[algebraic closure]] of $K$. The **separable closure**  $K_S$ of $K$ is defined by

$$
  K_S \simeq \{x \in \bar K | x \; is \; separable \; over \; K\}
  \,.
$$

=--

+-- {: .num_remark}
###### Remark

We have that $K_S$ is a subfield of $\bar K$ and that $K_S \simeq \bar K$ precisely if $K$ is a [[perfect field]], in particular if the [[characteristic]] of $K$ is 0.

From xyz it follows that the inclusion $K \subset K_S$ is Galois. 

=--

+-- {: .num_defn #AbsoluteGaloisGroup}
###### Definition

The Galois group $Gal(K_S/K)$ is called the **[[absolute Galois group]]** of $K$.

=--



## Related concepts

* [[algebraic closure]]

* [[geometric point]]

* [[field extension]]

* [[absolute Galois theory]]

## References

* Wikipedia, _[Separable closure](http://en.wikipedia.org/wiki/Algebraic_closure#Separable_closure)_

[[!redirects spearable closed field]]
[[!redirects spearable closed fields]]

