
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
#### Étale morphisms
+--{: .hide}
[[!include etale morphisms - contents]]
=--
=--
=--

This page collects links related to the textbook

* [[Günter Tamme]],

  _Introduction to Étale Cohomology_

  1994


on [[étale cohomology]].

#Contents#
* table of contents
{:toc}

## Chapter 0 Preliminaries

### 1. Abelian categories

* [[abelian category]]

### 2. Homological algebra in abelian categories

* [[homological algebra]]

#### 2.1 $\delta$-Functors

* [[delta-functor]]

#### 2.2 Derived functors

* [[derived functor]]

#### 2.3 Spectral sequences

* [[spectral sequence]]

* [[edge morphism]]

* (2.3.5) [[Grothendieck spectral sequence]]

### 3. Inductive limits

## Chapter I Topologies and sheaves

### 1. Topologies

* [[Grothendieck topology]]

### 2. Abelian presheaves on topologies

#### 2.1 The category of abelian presheaves

* [[group object]]

#### 2.2 Cech cohomology

#### 2.3 The functors $f^p$ and $f_p$

* [[morphism of sites]]

* [[direct image]], [[inverse image]] (here: on [[presheaves]])


### 3. Abelian sheaves on topologies

#### 3.1 The associated sheaf of a presheaf

* [[sheafification]]

#### 3.2 The category of abelian sheaves

* [[sheaf of abelian groups]]

#### 3.3 Cohomology of abelian sheaves

* [[abelian sheaf cohomology]]

#### 3.4 The spectral sequences for Cech cohomology

* [[Cech cohomology]]

#### 3.5 Flabby sheaves 

* [[flabby sheaf]]

#### 3.6 The functors $f^s$ and $f_s$

* [[morphism of sites]]

* [[direct image]], [[inverse image]]

#### 3.7 The Leray spectral sequence

* [[Leray spectral sequence]]

#### 3.8 Localization

* [[localization]]

#### 3.9 The comparison lemma

#### 3.10 Noetherian topologies

#### 3.11 Commutation of the functors $H^q(U,-)$ with pseudofiltered inductive limits

## Chapter II Étale Cohomology

### 1. The Étale site of a scheme

#### 1.1 Étale morphisms

* [[étale morphism]]

#### 1.2 Étale site

* [[étale site]]

#### 1.3 Relation between Étale and Zariski cohomology

* [relation to Zariski cohomology](etale+cohomology#RelationZariskiEtaleCohomology)

#### 1.4 The functors $f_\ast$ and $f^\ast$

* [[direct image]], [[inverse image]]

* [[base change]]


#### 1.5 The restricted Étale site


### 2. The case $X = Spec(k)$

* [[Galois group]]

### 3. Examples of étale sheaves

#### 3.1 Representable sheaves

* [[sheaf]], [[descent]]

* [[étale topos]]

* [[representable presheaf]]

* [[canonical topology]]

* [[additive group]], [[multiplicative group]], [[roots of unity]]

#### 3.2 Étale sheaves of $\mathcal{O}_X$-modules

* [[sheaf of coherent modules]]

* [[constructible sheaf]]

#### 3.3 Big étale site

* [[big site]]

### 4. The theories of Artin-Schreier and of Kummer

#### 4.1 The groups $H^q(X, (\mathbb{G}_a)_X)$

#### 4.2 The Artin-Schreier sequence

* [[Frobenius morphism]]

* [[Artin-Schreier sequence]]

#### 4.3 The groups $H^q(X, (\mathbb{G}_m)_X)$

* [[Hilbert's theorem 90]]

* [[Azumaya algebra]], [[Brauer group]]

#### 4.4 The Kummer sequence

* [[Kummer sequence]]

#### 4.5 The sheaf of divisors on $X_{et}$

### 5. Stalks of étale sheaves

* [[stalk]]

### 6. Strict localizations

#### 6.1 Henselian rings and strictly local rings

* [[Henselian ring]]

* [[strictly local ring]]

### 6.2 Strict localization of a scheme

### 6.3 Étale cohomology on projective limits of schemes

### 7. The Artin spectral sequence

* [[Artin spectral sequence]]

### 8. The decomposition theorem. Relative cohomology

### 9. Torsion sheaves, locally constant sheaves, constructible sheaves

* [[torsion sheaf]]

* [[constructible sheaf]]

### 10. Étale cohomology of curves



### 11. General theorems in étale cohomology theory

* [[proper base change theorem]]


category: reference