
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
#### Topos Theory
+--{: .hide}
[[!include topos theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

For $(-)^n \colon \mathbb{G}_m \longrightarrow \mathbb{G}_m$ the [[endomorphism]] of powering by $n$ on the [[multiplicative group]] over an [[étale site]], then if $n$ is invertible over the site then there is a [[short exact sequence]]

$$
  0 \to \mu_n \to \mathbb{G}_m \stackrel{(-)^n}{\to} \mathbb{G}_m \to 0
  \,,
$$

where $\mu_n$ is the [[group of units]] of order $n$, the group of $n$th [[roots of unity]].

This is called the _Kummer sequence_.

The analog for the [[additive group]] is the _[[Artin-Schreier sequence]]_. Both are unified in the [[Kummer-Artin-Schreier-Witt exact sequence]].

## Related concepts

* [[Kummer theory]]

* [[exponential exact sequence]], [[Artin-Schreier sequence]]

* [[Kummer-Artin-Schreier-Witt exact sequence]]

* [[Tate twist]]


## References

Named after [[Ernst Kummer]].

* [[Günter Tamme]], section II 4.4 of _[[Introduction to Étale Cohomology]]_

* Jordan Watts, _The Kummer sequence_ ([pdf](http://www.math.toronto.edu/jwatts/papers/galois.pdf))

* {#Lieblich04} [[Max Lieblich]], around prop. 2.3.4.4 _Moduli of twisted sheaves_ ([arXiv:math/0411337](http://arxiv.org/abs/math/0411337))


[[!redirects Kummer sequences]]

[[!redirects Kummer exact sequence]]
[[!redirects Kummer exact sequences]]

