
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Definition

+-- {: .num_defn}
###### Definition


Given a [[commutative ring]] $R$ and an $R$-[[associative algebra|algebra]] $A$, this algebra is _finitely generated over $R$_ if it is a [[quotient]] of a [[polynomial ring]] $R[x_1, \cdots, x_n]$ on finitely many variables.

If moreover $A = R[x_1, \cdots, x_n]/(f_1, \cdots, f_k)$ for a finite number of [[polynomials]] $f_i$, then $A$ is called _finiteley presented_.

=--

## Examples

+-- {: .num_example}
###### Example

A [[morphism of finite presentation]] between [[schemes]] is one which is dually locally given by finitely presented algebras.

=--

+-- {: .num_example}
###### Example

A [[ring]] is an [[associative algebra]] over the [[integers]], hence a $\mathbb{Z}$-ring. Accordingly  a _finitely generated ring_ is a finitely generated $\mathbb{Z}$-algebra, and similarly for _finitely presented ring_.

For rings every finitely generated ring is already also finitely presented.

=--


## Related concepts

* [[morphism of finite type]], [[morphism of finite presentation]]

* [[Zariski site]]

* [[finitely generated object]]

  * [[finitely generated module]]


## References

Finite generation of algebras plays a role in the choice of [[geometry (for structured (infinity,1)-toposes)]] in 

* [[Jacob Lurie]], section 2.5 of _[[Structured Spaces]]_


[[!redirects finitely generated algebras]]

[[!redirects finitely presented algebra]]
[[!redirects finitely presented algebras]]

[[!redirects finitely generated ring]]
[[!redirects finitely generated rings]]

[[!redirects finitely presented ring]]
[[!redirects finitely presented rings]]

