
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
#### Formal geometry
+--{: .hide}
[[!include formal geometry -- contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

An _infinitesimal extension_ of a [[ring]] $R$ is [[quotient]] map $\widehat R \to R$ whose [[kernel]] is a [[nilpotent ideal]], hence a nilpotent [[ring extension]].

(Only if the map $\widehat R \to R$ is finite, such as for [[infinitesimally thickened point|Weil  algebras]], then this may be cast as "epimorphism with nilpotent kernel", by [[Stacks Project]] [lemma 10.106.6](http://stacks.math.columbia.edu/tag/04VM).)

If already the product of any two elements in the kernel is zero, this is also called a _square-zero extension_. See also at _[[tangent category]]_ and at _[[Mod]]_ for more on this.

## Examples

For a [[Noetherian ring]] $R$ (for instance a [[finitely generated ring]]), the projection from $R$ to its [[reduced ring]] $R_{red}$ is an example of an infinitesimal extension. In general, however, the kernel of $R\to R_{red}$ is not nilpotent.

## Related concepts

* [[infinitesimal object]], [[infinitesimally thickened point]], [[Artin algebra]]

* [[deformation theory]]

* [[module]], [[tangent category]]

* [[formally étale morphism]]

[[!include infinitesimal and local - table]]


## References

A category of infinitesimal extensions regarded as a [[site]] over which to characterize [[formally etale morphisms]] by means of an [[infinitesimal shape modality]] is considered in 

* [[Maxim Kontsevich]], [[Alexander Rosenberg]], section 2.6 of _Noncommutative spaces_, preprint MPI-2004-35 ([[KontsevichRosenbergNCSpaces.pdf:file]], [ps](http://www.mpim-bonn.mpg.de/preprints/send?bid=2331), [dvi](http://www.mpim-bonn.mpg.de/preprints/send?bid=2303))
 {#KontsevichRosenbergSpaces}


Discussion in the context of [[simplicial algebras]] is in

* Mauro Porta, [[Gabriele Vezzosi]], _Infinitesimal and square-zero extensions of simplicial algebras_ ([arXiv:1310.3573](http://arxiv-web3.library.cornell.edu/abs/1310.3573))

Further discussion in the context of [[higher algebra]] is in 

* [[Jacob Lurie]], _[[Deformation Theory]]_

Infinitesimal neighborhoods of subvarieties play role in completion of subvarieties and various definitions of [[formal schemes]], the ring case of course plays a role, cf.

* J. Illusie, Grothendieck tehorem [[FGA explained]]


[[!redirects infinitesimal extensions]]

[[!redirects square-0 extension]]
[[!redirects square-0 extensions]]
[[!redirects square-zero extension]]
[[!redirects square-zero extensions]]

[[!redirects square-0 ring extension]]
[[!redirects square-0 ring extensions]]
[[!redirects square-zero ring extension]]
[[!redirects square-zero ring extensions]]


[[!redirects infinitesimal ring extension]]
[[!redirects infinitesimal ring extensions]]

[[!redirects nilpotent ring extension]]
[[!redirects nilpotent ring extensions]]

