
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Homotopy theory
+--{: .hide}
[[!include homotopy - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The notion of _homotopy spectral sequence_ adapts the notion of _[[spectral sequence]]_ from [[homological algebra]]/[[stable homotopy theory]] to unstable/[[non-abelian cohomology|non-abelian]] [[homotopy theory]]. 

Where a [[spectral sequence]] consists of [[objects]] and [[morphisms]] in an [[abelian category]] -- which typically come from the ([[cohomology group|co-]])[[homology groups]] of a ([[cochain complex|co-]])[[chain complex]] or generally from the  [[homotopy groups]] of a [[stable homotopy type]] -- the notion of homotopy spectral sequence is modeled on the [[homotopy groups]] of ([[pointed object|pointed]]) [[topological spaces]]/[[homotopy types]] which in the lowest two degrees consist instead of [[nonabelian groups]] and ([[pointed sets|pointed]]) [[sets]].

## Examples

The classical and motivating examples of a homotopy spectral sequence is the [[Bousfield-Kan spectral sequence]] which computes [[homotopy groups]] of a [[topological space]]/[[simplicial set]]/[[homotopy type]] realized as the [[totalization]] of a [[cosimplicial homotopy type]]. It may be regarded as the unstable analog of the [[Adams spectral sequence]], which computes homotopy groups of certain [[spectra]]. The corresponding [[spectral sequence]] for [[homology groups]] of the totalization of a [[cosimplicial homotopy type]] is the [[Eilenberg-Moore spectral sequence]].

## References


The [[Bousfield-Kan spectral sequence]] was introduced and originally studied in

* [[Aldridge Bousfield]], [[Daniel Kan]], _The homotopy spectral sequence of a space with coefficients in a ring_. Topology, 11, pp. 79–106, 1972.

* [[Aldridge Bousfield]], [[Daniel Kan]], _A second quadrant homotopy spectral sequence_, Transactions of the American Mathematical Society Vol. 177, Mar., 1973 

* [[Aldridge Bousfield]], [[Daniel Kan]], _Pairings and products in the homotopy
spectral sequence_. Transactions of the American Mathematical Society, 177,
pp. 319–343, 1973.

* [[Aldridge Bousfield]], _Homotopy Spectral Sequences and Obstructions_, Isr. J. Math. 66 (1989), 54-104.

An early textbook account of this work is in 

* [[Aldridge Bousfield]], [[Daniel Kan]], _Homotopy limits, completions and localization_, Springer 1972

A general abstract category-theoretic discussion is in 

* [[Marco Grandis]], _Homotopy spectral sequences_ ([arXiv:1007.0632](http://arxiv.org/abs/1007.0632))


Lecture notes on the [[Bousfield-Kan spectral sequence]] include

* Bertrand Guillo, _The Bousfield-Kan spectral sequence_ [pdf](http://www.ms.uky.edu/~guillou/BKss.pdf)

Discussion of this using [[effective homology]] includes

* Romero Ibanez, _Effective homology and spectral sequences_, 2007 ([pdf](http://www.unirioja.es/cu/anromero/zgz07.pdf))

Discussion in [[homotopy type theory]] is in 

* {#Shulman13} [[Mike Shulman]], _Spectral sequences_ 2013 ([part I](https://golem.ph.utexas.edu/category/2013/08/what_is_a_spectral_sequence.html), [part II](http://homotopytypetheory.org/2013/08/08/spectral-sequences/))

[[!redirects homotopy spectral sequences]]