
#Contents#
* table of contents
{:toc}

## Idea

A __preconditioner__ (matrix) is a [[matrix]] which multiplies (from left or from right, thus left and right preconditioners) the matrix of [[coefficients]] of a system which discretizes a [[differential equation]] in order to get faster [[convergence]] (=smaller condition number) of iterative numerical solution techniques. As a technique, preconditioning is used also for optimization [[algorithms]].  

## Literature

* wikipedia [preconditioner](http://en.wikipedia.org/wiki/Preconditioner)
* Owe Axelsson, _Iterative Solution Methods_, Cambridge University Press 1996
* J. H. Bramble, J.E. Pasciak, _A preconditioning technique for indefinite systems resulting from mixed approximations of elliptic problems_,  Math. Comp. __50__ (1988) 1–17
* Tyrone Rees, Martin Stoll, Andy Wathen, _All-at-once preconditioning in PDE-constrained optimization_, Kybernetika __46__:2 (2010) 341 – 360 [pdf](http://www.kybernetika.cz/content/2010/2/341/paper.pdf)
* John W. Pearson, Martin Stoll, Andy Wathen, _Regularization-robust preconditioners for time-dependent PDE constrained optimization problems_, SIAM J. Matrix Anal. and Appl., 33(4), 1126–1152, 2012 [doi](http://dx.doi.org/10.1137/110847949)
* Michele Benzi, _Preconditioning techniques for large linear
systems: a survey_, J. of Computational Physics __182__,
418–477 (2002) [doi](http://dx.doi.org/10.1006/jcph.2002.7176)
[pdf](http://www.mathcs.emory.edu/~benzi/Web_papers/survey.pdf)

category: applications
[[!redirects preconditioning]]
[[!redirects preconditioners]]