
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### Quantum field theory
+--{: .hide}
[[!include functorial quantum field theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

[[super Yang-Mills theory]] in [[spacetime]] [[dimension]] 10.

## Properties

### Equations of motion from the Bianchi identity
 {#EquationsOfMotionFromTheBianchiIdentity}

The [[equations of motion]] of 10d super Yang-Mills happen to be equivalent in [[superspace]] to the [[Bianchi identity]] 

$$
  D F = 0
$$

subject to the constraint that the bispinorial part of the [[curvature]] 2-form vanishes

$$
  F_{\alpha \beta}
   = 0
$$

(e.g. [Witten 86](#Witten86), [Bonora-Bregola-Lechner-Pasti-Tonin 87, above (2.7)](#BonoraBregolaLechnerPastiTonin87)).

After embedding into [[heterotic supergravity]] this becomes parts of the [[torsion constraints of supergravity]]. See [there](torsion+constraints+in+supergravity#HeteroticSupergravity).

In this [[superspace]] formulation the [[gaugino]] $\chi$ appears as the even-odd component of the super-[[curvature]] form

$$
  \label{EvenOddFieldStrengthViaGaugino}
  F_{(1,1)} 
    \;\propto\; 
  \left(\overline{\psi} \Gamma_a \chi\right) \wedge e^a
$$

(where $(e^a, \psi^\alpha)$ is the [[super vielbein]]). This is ([Witten 86 (8)](#Witten86), [Bonora-Pasti-Tonin 87, below (11)](#BonoraPastiTonin87), [Bonora-Bregola-Lechner-Pasti-Tonin 87, (2.27)](#BonoraBregolaLechnerPastiTonin87)).

### Compactification to the point

The [[KK-compactification]] of $D=10$ super-Yang-Mills to the point is a [[theory (physics)|theory]] whose [[field (physics)|fields]] are simply elements of the gauge [[Lie algebra]], hence [[matrices]] if we have a [[matrix Lie algebra]]. The theory defined by this reduction is called the _[[IKKT matrix model]]_.

## References

* {#Nilsson81} [[Bengt Nilsson]], _Off-shell fields for the 10-dimensional supersymmetric Yang&#8211;Mills theory_, Feb 1981 ([Spire](http://inspirehep.net/record/164407/))

* {#AtickDharRatra86} [[Joseph Atick]], Avinash Dhar, and Bharat Ratra, _Superspace formulation of ten-dimensional $N=1$ supergravity coupled to $N=1$ super Yang-Mills theory_, Phys. Rev. D 33, 2824, 1986 ([doi.org/10.1103/PhysRevD.33.2824](https://doi.org/10.1103/PhysRevD.33.2824))

* {#Witten86} [[Edward Witten]], _Twistor-like transform in ten dimensions_, Nuclear Physics B Volume 266, Issue 2, 17 March 1986

* {#BonoraPastiTonin87} [[Loriano Bonora]], [[Paolo Pasti]], [[Mario Tonin]], _Superspace formulation of 10D SUGRA+SYM theory a la Green-Schwarz_, Physics Letters B Volume 188, Issue 3, 16 April 1987, Pages 335&#8211;339 (<a href="http://dx.doi.org/10.1016/0370-2693(87)91392-X">doi:10.1016/0370-2693(87)91392-X</a>)


* {#BonoraBregolaLechnerPastiTonin87} [[Loriano Bonora]], M. Bregola; [[Kurt Lechner]], [[Paolo Pasti]], [[Mario Tonin]], _Anomaly-free supergravity and super-Yang-Mills theories in ten dimensions_, Nuclear Physics B
Volume 296, Issue 4, 25 January 1988 (<a href="http://dx.doi.org/10.1016/0550-3213(88)90402-6">doi:10.1016/0550-3213(88)90402-6</a>)

* [[Martin Cederwall]], [[Bengt Nilsson]], [[Dimitrios Tsimpis]], _The structure of maximally supersymmetric Yang-Mills theory: constraining higher-order corrections_, JHEP 0106:034,2001 ([arXiv:hep-th/0102009](http://xxx.lanl.gov/abs/hep-th/0102009))

* [[Martin Cederwall]], [[Bengt Nilsson]], Dimitrios Tsimpis, _$D=10$ Super-Yang-Mills at $O(\alpha'^2)$_, JHEP 0107:042,2001 ([arXiv:hep-th/0104236](http://arxiv.org/abs/hep-th/0104236))

* [[Mikhail Movshev]], [[Albert Schwarz]], _On maximally supersymmetric Yang-Mills theories_, Nucl.Phys. B681 (2004) 324-350 ([arXiv:hep-th/0311132](https://arxiv.org/abs/hep-th/0311132))

[[!redirects 10d super Yang-Mills]]

[[!redirects 10d super Yang-Mills theory]]

[[!redirects 10d SYM]]