
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The [[KK-compactification]] of [[D=10 super Yang-Mills theory]] all the way to the point yields a [[theory (physics)|theory]] whose [[field (physics)|fields]] are simply elements of the gauge [[Lie algebra]] $\mathfrak{g}$, hence [[matrices]] for a [[matrix Lie algebra]]. This [[model (physics)|physics]] is called the _IKKT matrix model_.

Alternatively this model can be motivated from a certain regularization of the [[worldsheet]] [[action functional]] of the [[superstring]]. This is how it was originally obtained in ([IKKT 96](#IKKT96)).

It has been argued that for $\mathfrak{g} = \mathfrak{su}(N)$ for large $N$, this model captures aspects of [[non-perturbative field theory|non-perturbative]] [[type IIB string theory]] (see also at _[[M-theory]]_). Therefore this is also called the _IIB matrix model_ (in contast to the [[BFSS matrix model]] in [[type IIA string theory]]).

Several authors have explored the possibility to lift the derivation of the IKKT model from the [[superstring]] to the [[M2-brane]]. See at _[[membrane matrix model]]_ for more on this.

In ([Kim-Nishimura-Tsuchiya 12](#KimNishimuraTsuchiya12)) it is claimed that computer simulation of the IKKT matrix model, regarded as non-perturbative [[type IIB string theory]], shows a spontaneous emerging spacetime of macroscopic dimension 3+1, with 6 microscopic dimensions. (A similar claim results from a very different argument: the _[[Brandenberger-Vafa mechanism]]_.)


## Related concepts

* [[BFSS matrix model]]

## References

The original articles are

* {#IKKT96} N. Ishibashi, H. Kawai, Y. Kitazawa, A. Tsuchiya, _A Large-N Reduced Model as Superstring_, Nucl.Phys. B498 (1997) 467-491 ([arXiv:hep-th/9612115](http://arxiv.org/abs/hep-th/9612115))
 

* H. Aoki, S. Iso, H. Kawai, Y. Kitazawa, T. Tada, A. Tsuchiya, _IIB Matrix Model_, Prog.Theor.Phys.Suppl.134:47-83,1999 ([arXiv:hep-th/9908038](http://arxiv.org/abs/hep-th/9908038))

See also

* [[Mikhail Movshev]], [[Albert Schwarz]], _On maximally supersymmetric Yang-Mills theories_, Nucl.Phys. B681 (2004) 324-350 ([arXiv:hep-th/0311132](https://arxiv.org/abs/hep-th/0311132))


Arguments that full [[Yang-Mills theory]] generalized to [[noncommutative geometry]] is recovered as the [[perturbation theory]] around classical solutions of the IKKT model are in 

* H. Aoki, N. Ishibashi, S. Iso, H. Kawai, Y. Kitazawa, T. Tada, _Noncommutative Yang-Mills in IIB Matrix Model_, Nucl.Phys. B565 (2000) 176-192 ([arXiv:hep-th/9908141](http://arxiv.org/abs/hep-th/9908141))

* Tatsuo Azeyanagi, Masanori Hanada, Tomoyoshi Hirata, _On Matrix Model Formulations of Noncommutative Yang-Mills Theories_, Phys.Rev.D78:105017,2008 ([arXiv:0806.3252](http://arxiv.org/abs/0806.3252))

Arguments that [[closed string field theory]] arises from the [[dynamics]] of [[Wilson loops]] IKKT model are in 

* M. Fukuma, H. Kawai, Y. Kitazawa, A. Tsuchiya, _String Field Theory from IIB Matrix Model_, Nucl.Phys.B510:158-174,1998 ([arXiv:hep-th/9705128](http://arxiv.org/abs/hep-th/9705128))

* Daiji Ennyu, Hiroshi Kawabe, Naohito Nakazawa, _Note on a Closed String Field Theory from Bosonic IIB Matrix Model_, JHEP 0301 (2003) 025 ([arXiv:hep-th/0212044](http://arxiv.org/abs/hep-th/0212044))

Possibilities of generalizing the IKKT model from [[Lie algebras]] to [[Lie 2-algebras]] in some [[membrane matrix model]] are explored in 

* [[Patricia Ritter]], [[Christian Saemann]], _Lie 2-algebra models_ ([arXiv:1308.4892](http://arxiv.org/abs/1308.4892))

Discussion of [[standard model of particle physics|standard model]] [[phenomenology]] within the IKKT model includes

* [[Harold Steinacker]], Jochen Zahn, _An extended standard model and its Higgs geometry from the matrix model_, PTEP 2014 (2014) 8, 083B03 ([arXiv:1401.2020](http://arxiv.org/abs/1401.2020))

There are claims that numerical computer simulations show that the IKKT model predicts a spontanously generated spacetime where exactly 3+1 dimensions become macroscopic (hence _[[moduli stabilization]]_)

* {#KimNishimuraTsuchiya12} S.-W. Kim, J. Nishimura, and A. Tsuchiya, _Expanding (3+1)-dimensional universe from a Lorentzian matrix model for superstring theory in (9+1)-dimensions_, Phys. Rev. Lett. 108, 011601 (2012), ([arXiv:1108.1540](https://arxiv.org/abs/1108.1540)).

* S.-W. Kim, J. Nishimura, and A. Tsuchiya, _Late time behaviors of the expanding universe in the IIB matrix model_, JHEP 10, 147 (2012), ([arXiv:1208.0711](https://arxiv.org/abs/1208.0711)).

* Yuta Ito, Jun Nishimura, Asato Tsuchiya, _Large-scale computation of the exponentially expanding universe in a simplified Lorentzian type IIB matrix model_ ([arXiv:1512.01923](https://arxiv.org/abs/1512.01923))

[[!redirects IIB matrix model]]

[[!redirects IKKT model]]
