
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
#### $\infty$-Lie theory
+--{: .hide}
[[!include infinity-Lie theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

Applying a certain regularization prescription to the [[action functional]] of the [[superstring]] [[sigma-model]] it turns into a [[theory (physics)|theory]] whose [[field (physics)|fields]] are [[Lie algebra]] elements -- [[matrices]] for the case of [[matrix Lie algebras]] -- known as the [[IKKT matrix model]].

A similar regularization to the [[action functional]] of the [[membrane]] (the [[M2-brane]]) would have to involve objects replacing matrices which instead of a binary [[Lie bracket]] $[-,-]$ have a trinary [[Nambu bracket|Nambu]]-like bracket $[-,-,-]$. ([Park-Sochichiu 08](#ParkSochichiu08), [Sato09](#Sato09), [DeBellis-Saemann-Szabo 11](#DeBellisSaemannSzabo11)).

Given the relation of the [[IKKT matrix model]] to [[type IIB string theory]] it is naturally and often expected that making sense of this might give a way to understand [[M-theory]] (whence the title for instance of ([Sato 09](#Sato09))). 

For this to work a clear understanding of the nature of these trinary brackets is required. After the success of the [[BLG model]] for the [[M2-brane]] several authors proposed that these are to be thought of as Flippov "[[3-Lie algebras]]" ([Park-Sochichiu 08](#ParkSochichiu08), [Sato09](#Sato09), [DeBellis-Saemann-Szabo 11](#DeBellisSaemannSzabo11)). However, by the discussion there, following ([MFFMER 08](n-Lie+algebra#MFFMER08)) it seems natural to think of "3-Lie algebras" as really being [[Lie 2-algebras]] equipped with a binary [[invariant polynomial]].

Accordingly, a membrane matrix model should be a generalization of the [[IKKT matrix model]] from [[Lie algebras]] to [[Lie 2-algebras]]. This proposal is explored in ([Ritter-Saemann 13](#RitterSaemann13)).

## Related concepts

* [[BFSS matrix model]], [[M2-brane]], [[M-theory]]


## References

* {#Sato09} Matsuo Sato, _Covariant formulation of M-theory I_, Int. J. Mod. Phys. A 24 (2009) 5019 ([arXiv:0902.1333](http://arxiv.org/abs/0902.1333))
 

* {#ParkSochichiu08} J.-H. Park, C. Sochichiu, _Taking  the square root of Nambu-Goto action and obtaining Filippov-Lie algebra gauge theory action_, Eur. Phys. J. C 64 (2009) 161 ([arXiv:0806.0335](http://arxiv.org/abs/0806.0335))
 

* {#DeBellisSaemannSzabo11} J. DeBellis, [[Christian Saemann]], [[Richard Szabo]], _Quantized Nambu-Poisson manifolds in a 3-Lie algebra reduced model_, JHEP 1104 (2011) 075
 

* {#RitterSaemann13} [[Patricia Ritter]], [[Christian Saemann]], _Lie 2-algebra models_ ([arXiv:1308.4892](http://arxiv.org/abs/1308.4892))
 
