Zinbiel is a mathematical person (in the sense like [[Nicolas Bourbaki]] whose mirror person is Leibniz.

A __Zinbiel algebra__ or __dual Leibniz algebra__ (in $Vec$) is a [[nonassociative algebra]] with a product satisfying 

$$
(x y) z = x (z y + y z),
$$
Equivalently, it is an algebra over the operad which is Koszul dual to the [[quadratic operad]] of [[Leibniz algebra]]s.

It is also natural to consider dg-algebras over a dg-version of the operad of dual Leibniz algebras. 

Dually, a __Zinbiel coalgebra__ is a vector space $C$ equipped with a linear map $\delta:C\to C\otimes C$ 
satisfying: $\delta\otimes id)\circ\delta = (id\otimes \delta)
\circ \delta + (id\otimes \tau\delta)\circ\delta$ where $\tau$ is the flip of tensor factors.

* wikipedia [Zinbiel algebra](http://en.wikipedia.org/wiki/Zinbiel_algebra)
* Guillaume W. Zinbiel, _Encyclopedia of types 
of algebras 2010_, in Guo, Li; Bai, Chengming; Loday, Jean-Louis, Operads and universal algebra, Nankai Series in Pure, Applied Mathematics and Theoretical Physics 9, pp. 217–298, [arxiv/1101.0267](http://arxiv.org/abs/1101.0267)

* Emily Burgunder, _A symmetric version of Kontsevich [[graph complex]] and Leibniz homology_,  	
Journal of Lie Theory __20__ (2010), No. 1, 127--165 [arxiv/0804.2052](http://arxiv.org/abs/0804.2052)
* J-L. Loday, _Algebraic K-theory and the conjectural Leibniz K-theory_, K-Theory 09/2003; 30(2):105-127, [pdf](http://www-irma.u-strasbg.fr/~loday/PAPERS/2003Loday%28LeibnizConj%29.pdf) [doi](http://dx.doi.org/10.1023/B:KTHE.0000018382.90150.ce)

Manon Didry, _Construction of groups associated to Lie- and to Leibniz-algebras_, Journal of Lie Theory __17__ (2007), No. 2, 399--426

> We describe a method for associating to a Lie algebra $\mathfrak{g}$ over a ring $K$ a sequence of groups $(G_{n}(\mathfrak{g}))_{n\in\N}$, which are {\it polynomial groups} in the sense that will be explained in Definition 5.1. Using a description of these groups by generators and relations, we prove the existence of an action of the symmetric group $\Sigma_{n}$ by automorphisms. The subgroup of fixed points under this action, denoted by $J_{n}(\mathfrak{g})$, is still a polynomial group and we can form the projective limit $J_{\infty}(\mathfrak{g})$ of the sequence $(J_{n}(\mathfrak{g}))_{n\in\N}$. The formal group $J_{\infty}(\g)$ associated in this way to the Lie algebra $\mathfrak{g}$ may be seen as a generalisation of the formal group associated to a Lie algebra over a field of characteristic zero by the Campbell-Haussdorf formula.

[[!redirects Zinbiel algebra]]
[[!redirects dual Leibniz algebra]]
[[!redirect Zinbiel coalgebra]]