
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea


_Analytic philosophy_ is a school of [[philosophy]] emphasizing clarity of argument, [[formal logic]], and aiming for strong connections with natural [[sciences]] such as [[physics]]. 

> Analytic philosophy is characterized above all by the goal of clarity, the insistence on explicit argumentation in philosophy, and the demand that any view expressed be exposed to the rigours of critical evaluation and discussion by peers. (European Society for Analytic Philosophy, homepage of website <http://www.dif.unige.it/esap>; accessed 18 October 2011)

Analytic philosophy to some extent defined itself, via people like [[Bertrand Russell]] in a movement known as the "revolt again idealism", in opposition to forms of German idealism, notably the [[objective idealism]] of [[Georg Hegel]] as expressed in his _[[Science of Logic]]_. See at _[Perception of Hegel's Naturphilosophie](Georg+Hegel#PerceptionOfHegelsPhilosophy)_ for more on this.

Specifically, analytic philosophy aims to detect the underlying logical form of propositions and analyse the concepts they rely upon. Since the surface grammar of natural language is taken to be often misleading, this work of analysis is often done in terms of formal languages such as [[first-order logic]] or [[modal logic]]. 

Examples:

* Where it might appear that holding the belief that 'Unpunctuality is reprehensible' commits one to the existence of something denoted by 'unpunctuality', rewording the sentence, as Gilbert Ryle did, as 'Whoever is unpunctual deserves that other people should reprove him for being unpunctual' avoids this commitment. As a further step, the meaning of 'X deserves Y' would now be a candidate for analysis.

* Heidegger in _What is Metaphysics?_ passes from his claims "What is to be investigated is being only and — nothing else; being alone and further — nothing; solely being, and beyond being — nothing" to a discussion of what he takes to be their subject by asking "What about this Nothing?". For Carnap this was just to be have misled by the grammar which appear to make 'Nothing' a subject, but is to be properly analyzed in terms of negation and universal quantification.

So convinced was Russell of the power of the then new first-order logic that he wrote:

>The old logic put thought in fetters, while the new logic gives it wings. It has, in my opinion, introduced the same kind of advance into philosophy as Galileo introduced into physics, making it possible at last to see what kinds
of problems may be capable of solution, and what kinds are beyond human powers. And where a solution appears possible, the new logic provides a method which enables us to obtain results that do not merely embody personal idiosyncrasies, but must command the assent of all who are competent to form an opinion. (Bertrand Russell, 'Logic As The Essence Of Philosophy',
1914)

See also [SEP: Conceptions of Analysis in Analytic Philosophy](http://plato.stanford.edu/entries/analysis/#6). 

**Remark.** While indeed [[first-order logic]] has little to no resemblance to [[Science of Logic|Hegel's logic]], for its refinement by [[type theory]] in the guise of [[modal type theory]] the situation is quite different. [[William Lawvere]] has argued that key aspects of [[Science of Logic|Hegel's logic]] do have a useful formalization in [[modal type theory]] (Lawvere mostly considered this in the corresponding [[categorical semantics]]). Lawvere's formalization of Hegel's concepts of _[[unity of opposites]]_, _[[Aufhebung]]_, _[[category of being]]_ etc. lead to non-trivial [[theorems]] in the [[foundations of mathematics]] and for the [[geometry of physics]]. 



## References

* Wikipedia, _[Analytic philosophy](http://en.wikipedia.org/wiki/Analytic_philosophy)_
