Transvection is a name for a number of concepts of involutive transformations in algebra and geometry which use shift in a direction of a fixed vector, along geodesic line (say, through another fixed point) or alike. They leave some nondegenerate hypersurface (in some contexts, hyperplane) fixed. In the geometry of symmetric spaces, one defines transvections using a parallel transport along geodesic lines; at any point these transvections induce [[Killing vector]]s, or equivalently, elements of the tangent [[Lie triple system]].

Warning: In the usual Euclidean geometry transvection is sometimes also used as a name for _shear mapping_,  cf. wikipedia [shear mapping](http://en.wikipedia.org/wiki/Shear_mapping).

For a left vector space $V$ over a [[skewfield]] $F$, a transvection is a left $F$-linear map $t:V\to V$ such that the map $v\mapsto t(v)-v$ has 1-dimensional image (called the center of $t$) and this image is a subset of the fixed space of $V$ (the set of fixed points of $t$, i.e. the kernel if $v\mapsto t(v)-v$).

For finite dimensional vector spaces over a (commutative) field, $t\in GL(V)$ is a transvection f it is either the identity or $dim(Im(t-Id))=1$ and $det(t) = 1$. For any $s\in GL(V)$ the image $Im(s-Id)$ is also called the residual space of $s$ and $res(s) = dim(Im(s-Id))$ the residue of $s$. Residue is $0$ iff $s=Id$; residue of a product is smaller or equal the sum of residues. The fixed space and the residue space of $s$ are both fixed by $s$ and their dimensions add to the dimension of $V$; both spaces for $s^{-1}$ are equal to those of $s$. 

In the geometry of symplectic vector spaces (of positive dimension $\geq 2$ over a commutative field) special role is played by
the transvections within the symplectic group. The fixed points of a 
transvection $t\in Sp(V)$ are precisely those points $v\in V$ for which $\omega(v,t(v))=0$. 

Theorem. $Sp(V)$ is generated by symplectic transvections (a result of [[Jean Dieudonne]] n for fields other than $\mathbb{F}_2$ and of D. Callan for $\mathbb{F}_2$). This is theorem 2.1.9 in

* O. T. O'Meara, _Lectures on symplectic groups_, Amer. Math. Soc. Mathematical Monographs __16__ (1978)

There are similar generation results for alternating spaces (i.e. when the form $\omega$ is possibly degenerate, hence not symplectic)
of U. Spengler and H. Wolff. For the symplectic groups over commutative rings the validity of the generation result depends on the ring, cf.

* Yu. I. Merzlyakov, _Linear groups_, J. Soviet Math. __1__ (1973) 571--593

The study of transvections is often more complicated in the characteristic 2 case.

There is a natural projection from the general linear to the projective general linear group (quotienting out by the subgroup of diagonal matrices). A __projective transvection__ is an element of $PGL(V)$ which is an image (under this natural projection) of a transvection in
$GL(V)$.

For transvections defined via geodesics in a [[symmetric space]], the relation to Killing vectors and the infinitesimal transvections see 

* Eschenburg, _Symmetric spaces_, 24 pages, [pdf](http://www.math.uni-augsburg.de/~eschenbu/symspace.pdf)

The reflections define the Coxeter quandle what motivates the definition of transvections in the [[quandle]] context. 
The operations $R_a R_b^{-1}$ (where $R_a: x\mapsto x\triangleright a$) for $a,b$ in a quandle $X$ form the transvection group
$Transv(X)$ which is a normal subgroup of the inner automorphism group of a quandle. For Coxeter quandle, their quotient is a cyclic group (result of D. Joyce, JPAA 1982).

There are also quandles whcih are secretly entirely defined in terms of transvections; these are the transvection quandles, also called
symplectic quandles; tthe operation is defined in terms of an alternative form on the underlying $R$-module:

* Esteban Adam Navas, Sam Nelson, _On symplectic quandles_, Osaka J. Math. __45__:4 (2008), 973-985 [MR2493966](http://www.ams.org/mathscinet-getitem?mr=2493966) [euclid](http://projecteuclid.org/euclid.ojm/1227708829)


Transvections in other contexts

* J.I Hall, _Graphs, geometry, 3-transpositions, and symplectic-transvection groups_, Proc. London Math. Soc. __58__ (1989), pp. 89–111 (3)

* Hans Cuypers, _Symplectic geometries, transvection groups, and modules_, J. Combin. Theory A __65__:1, January 1994, 39–59 [journal](http://www.sciencedirect.com/science/article/pii/0097316594900361)

* P.J Cameron, J.I Hall, _Some groups generated by transvection subgroups_, J. Algebra __140__ (1991), pp. 184–209

* F Timmesfeld, _Groups generated by k-transvections_, Invent. Math. __100__ (1990), pp. 167–206

* Hans Cuypers. Anja Steinbach, _Linear transvection groups_, [pdf]()

[[!redirects transvections]]
    