
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
=--
=--


This page collects some links related to 

* [[Michael Hopkins]], [[Jacob Lurie]]

  _Ambidexterity in K(n)-Local Stable Homotopy Theory_

  ([pdf](http://www.math.harvard.edu/~lurie/papers/Ambidexterity.pdf))

  also: talk at _Notre Dame Graduate Summer School on Topology and Field Theories_ and _Harvard lecture_ 2012 ([video part 1](http://www.youtube.com/watch?v=eQayYLDw1VA), [part 2](http://www.youtube.com/watch?v=OEShrQyvmS4), [part 3](http://www.youtube.com/watch?v=nOIcdn1iUR4) [part 4](http://www.youtube.com/watch?v=ZwnClYedaYM), [pdf lecture notes](http://www.math.northwestern.edu/~celliott/notre_dame_notes/Lurie_notes.pdf) by Chris Elliott)

on [[biproduct|bilimits]] in [[K(n)-local stable homotopy theory]] and generally on [[ambidextrous adjunctions]] and their un-twisted [[Wirthmüller isomorphisms]] for [[(∞,1)-module bundles|∞-module bundles]] in [[semiadditive (∞,1)-categories]].

(The untwisted [[Wirthmüller isomorphism]] is the map $\mu$ in Construction 4.0.7 and then the [[norm map]] in Remark 4.1.12. The induced [[integration]] map considered in Construction 4.0.7, Notation 4.1.6 there is also discussed (for the general twisted case) in the note _[[schreiber:Type-semantics for quantization]]_, see section 4.3 there for details).

The discussion in the article is apparently motivated as part of what it takes to make precise the discussion of [[quantization]] in sections 3 and 8 of 

* [[Dan Freed]], [[Mike Hopkins]], [[Jacob Lurie]], [[Constantin Teleman]], _[[Topological Quantum Field Theories from Compact Lie Groups]]_ in P. R. Kotiuga (ed.) A celebration of the mathematical legacy of Raoul Bott AMS (2010) ([arXiv:0905.0731](http://arxiv.org/abs/0905.0731))

For the 2014 installment of UOregon's Moursund Lecture Series, Jacob Lurie gave three (video recorded) lectures on [[spectral algebraic geometry]], one of which is

* [[Jacob Lurie]], [Ambidexterity](http://media.uoregon.edu/channel/2014/05/23/moursund-mathematics-lecture-series-dr-jacob-lurie-lecture-2-ambidexterity/)


#Contents#
* table of contents
{:toc}

## 1. Multiplicative aspects of Dieudonne Theory

## 2. The Morava $K$-theory of Eilenberg-MacLane Spaces

* [[Morava K-theory]]

## 3. Alternating powers of $p$-Divisible groups

## 4. Ambidexterity

### 4.1 Beck-Chevalley fibrations and Norm maps

* [[Beck-Chevalley condition]]

* [[pointwise (∞,1)-Kan extension]]

### 4.2 Properties of the norm

### 4.3 Local systems

* [[local system]]

* [[ambidextrous space]]

### 4.4 Examples

* [[semiadditive (∞,1)-category]]

## 5. Ambidexterity of $K(n)$-Local stable homotopy theory

### 5.1 Ambidexterity and duality

### 5.2 The main theorem

* [[K(n)-local stable homotopy theory]]

### 5.3 Cartier duality 

* [[Cartier duality]]

### 5.4 The global sections functor

category: reference