
> This entry is about the concept in [[philosophy]]. For the concept of the same name in [[mathematics]] see at _[[category]]_.


+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A philosophical system of categories looks to provide a list of the basic kinds of entity. Often such systems derive from the linguistic form of the judgements we make about the world.

[[Per Martin-Löf]] ([1993](#Martin-Löf93)) sees a strong affinity with his idea of [[types]]: 

> Given how basic the very idea of type is, it is of course unthinkable that there shouldn’t be a word already in the tradition for what we here call types. You will all know that the traditional word for what I here call type is category. It was introduced by Aristotle and heavily used by Kant. I will show that the traditional use of the word coincides with the way I am using it here. What I call here the doctrine of types, the idea that an object is always an object of a certain type, really goes back to Aristotle.

Notice that from the perspective of [[homotopy type theory]] then [[types]] are [[infinity-groupoids]], hence kinds of ([[higher category theory|higher]]) [[categories]] in the sense of [Eilenberg-MacLane 45](category#EilenbergMacLane45). For more on this see [below](#LawvereCoRfletiveCategories) and at _[[Science of Logic]]_.



### Aristotle's categories

In his work _[Categories](#AristCat)_, [[Aristotle]] divides entities in the world into the most general kinds according to ten _categories_:

1. Substance
1. Quantity
1. Quality
1. Relation
1. Place
1. Date
1. Posture
1. State
1. Action
1. Passion (being acted upon)


### Kant's categories of pure understanding

> In the Transcendental Analytic, the most crucial as well as the most difficult part of [Kant 1781 "The critique of pure reason"](#Kant1781), he maintained that physics is a priori and synthetic because in its ordering of experience it uses concepts of a special sort. These concepts—“categories,” he called them—are not so much read out of experience as read into it and, hence, are a priori, or pure, as opposed to empirical. But they differ from empirical concepts in something more than their origin: their whole role in knowledge is different. For, whereas empirical concepts serve to correlate particular experiences and so to bring out in a detailed way how experience is ordered, the categories have the function of prescribing the general form that this detailed order must take. They belong, as it were, to the very framework of knowledge. But although they are indispensable for objective knowledge, the sole knowledge that the categories can yield is of objects of possible experience; they yield valid and real knowledge only when they are ordering what is given through sense in space and time. (from Encyclopedia Britannica)

According to [[Kant]] the _categories of pure understanding_  are (forming what is known as "the table of categories"):

1. [[quantity]]

   * unity

   * plurality

   * totality

1. [[quality]]

   * reality

   * negation
  
   * limitation

1. [[relation]]

   * inherence and subsistence ([[substance]] and accident)

   * causality and dependence (cause and effect)

   * community (reciprocity)

1. [[modality]]

   * [[possibility]]

   * actuality (_Wirklichkeit_)

   * [[necessity]]

### Hegel's categories of being
 {#CategoryOfBeing}

According to [[Hegel]] there is refinement of the table, both by adding more categories (and maybe by omitting some?) and by claiming to relate them more systematically by a system of [[unity of opposites]] and of [[Aufhebung|sublation]] of these oppositions. See at _[[Science of Logic]]_ for more on this. Hegel calls the categories the _determinations of being_.

According to [WdL §864](Science+of+Logic#864):

> Die Kategorie ist ihrer Etymologie und der Definition des Aristoteles nach, dasjenige, was von dem Seyenden gesagt, behauptet wird.

> According to its etymology and Aristotle's definition, category is what is predicated or asserted of the existent.

### Lawvere's (co-)reflective categories
 {#LawvereCoRfletiveCategories}

According to [[Lawvere]] the system of categories of Hegel [above](#CategoryOfBeing) are usefully formalized in [[categorical logic]] ("[[objective logic]]") as systems of (co-)[[reflective subcategories]] (in the sense of [[category]] in [[category theory]]) of some ambient [[topos]]. See also at _[[Science of Logic]]_ for more on this.

## Related entries

* [[category of being]]

## References

* {#Kant1781} [[Kant]], _[[Critique of Pure Reason]]_, 1781

* {#AristCat} [[Aristotle]], _Categories_, [online](http://classics.mit.edu/Aristotle/categories.html)

* Amie Thomasson, _[SEP: Categories](http://plato.stanford.edu/entries/categories/)_, Stanford Encyclopedia of Philosophy, 2013.

* Paul Studtmann, _[SEP: Aristotle's Categories](https://plato.stanford.edu/entries/aristotle-categories/)_, Stanford Encyclopedia of Philosophy, 2013.

* {#Martin-Löf93} [[Per Martin-Löf]], _Philosophical aspects of intuitionistic type theory_, unpublished lectures given at the Faculteit der Wijsbegeerte, Rijksuniversiteit, Leiden, Sept-Dec 1993, (Cited in P. Boldini, _Des catégories aux types : un itinéraire en mathématiques appliquées_, [pdf](http://pboldini.free.fr/Papers/mathmu.pdf))

* German Wikipedia, _[Kategorie (Philosophie)](http://de.wikipedia.org/wiki/Kategorie_(Philosophie)_

* Wikipedia, _<a href="http://en.wikipedia.org/wiki/Categories_(Aristotle)">Categories (Aristotle)</a>_

* Wikipedia, _<a href="http://en.wikipedia.org/wiki/Category_(Kant)">Category (Kant)</a>_C