
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

In the words of the [Stanford Encyclopedia of Philosophy](#SEP):

> [[quantum mechanics|Quantum mechanics]] is, at least at first glance and at least in part, a mathematical machine for predicting the behaviors of microscopic [[particles]] &#8212; or, at least, of the [[measurement|measuring]] instruments we use to explore those behaviors &#8212; and in that capacity, it is spectacularly successful: in terms of power and precision, head and shoulders above any [[theory (physics)|theory]] we have ever had. [[mathematics|Mathematically]], the theory is well understood; we know what its parts are, how they are put together, and why, in the mechanical sense (i.e., in a sense that can be answered by describing the internal grinding of gear against gear), the whole thing performs the way it does, how the information that gets fed in at one end is converted into what comes out the other. The question of what kind of a world it describes, however, is controversial; there is very little agreement, among physicists and among philosophers, about what the world is like according to [[quantum mechanics]]. Minimally interpreted, the [[theory (physics)|theory]] describes a set of facts about the way the microscopic world impinges on the macroscopic one, how it affects our [[measurement|measuring instruments]], described in everyday language or the language of [[classical mechanics]]. Disagreement centers on the question of what a microscopic world, which affects our apparatuses in the prescribed manner, is, or even could be, like intrinsically; or how those apparatuses could themselves be built out of microscopic parts of the sort the theory describes.

> That is what an interpretation of the theory would provide: a proper account of what the world is like according to quantum mechanics, intrinsically and from the bottom up. 

The need for and proper nature of such an interpretation may be subtle and is the subject of much debate. Generally it is maybe worthwhile to keep in mind that all [[physical theory]], well-confirmed as it may be, may usefully be subjected to deeper inspection. This point is well made by [[Richard Feynman]] in _The character of physical law_ (1967):

> For those people who insist that the only thing that is important is that the theory agrees with experiment, I would like to imagine a discussion between a Mayan astronomer and his student. The Mayans were able to calculate with great precision predictions, for example, for eclipses and for the position of the moon in the sky, the position of Venus, etc. It was all done by arithmetic. They counted a certain number, and subtracted some numbers, and so on. There was no discussion of what the moon was. There was no discussion even of the idea that it went around. They just calculated the time when there would be an eclipse, or when the moon would rise at the full, and so on. Suppose that a young man went to the astronomer and said 'I have an idea. Maybe those things are going around, and there are balls of something like rocks out there, and we could calculate how they move in a completely different way from just calculating what time they appear in the sky', 'Yes', says the astronomer, 'and how accurately can you predict eclipses?' He says, 'I haven't developed the thing very far yet', Then says the astronomer, 'Well, we can calculate eclipses more accurately than you can with your model, so you must not pay any attention to your idea because obviously the mathematical scheme is better'. There is a very strong tendency, when someone comes up with an idea and says, 'Let's suppose that the world is this way', for people to say to him, 'What would you get for the answer to such and such a problem?' And he says 'I haven't developed it far enough'. And they say, 'Well, we have already developed it much further, and we can get the answers very accurately'. So it is a problem whether or not to worry about philosophies behind ideas.


## Examples

* SEP: [Copenhagen interpretation of qm](http://plato.stanford.edu/entries/qm-copenhagen)

* SEP: [qm:collapse theories](http://plato.stanford.edu/entries/qm-collapse),

  [[Bub-Clifton theorem]]

* [[hidden variable theory]]

  * [[Bohmian mechanics]] 

* SEP: [many-world interpretation of qm](http://plato.stanford.edu/entries/qm-manyworlds), 

* SEP: [modal-interpretations of qm](http://plato.stanford.edu/entries/qm-modal)

* SEP: [Everett's relative-state formulation of qm](http://plato.stanford.edu/entries/qm-everett)

* [[Bayesian interpretation of quantum mechanics]]


## Bohr's standpoint
 {#BohrStandpoint}

In ([Bohr 49](#Bohr49)) it is argued that

> _however far the phenomena transcend the scope of classical physical explanation, the account of all evidence must be expressed in classical terms_ . The argument is simply that by the word 'experiment' we refer to a situation where we can tell others what we have done and what we have learned and that, therefore, the account of the experimental arrangement and the results of the observations must be expressed in unambiguous language with suitable application of the terminology of classical physics.

A proposal for a formalization of this point of view is the concept of the _[[Bohr topos]]_ associated with the [[kinematics]] of a [[quantum mechanical system]]. For more arguments for this see also at _[[order-theoretic structure in quantum mechanics]]_.

As ([Peres 97](#Peres97)) highlights:

> Bohr was very careful and never claimed that there were in nature two different types of physical systems. All he said was that we had to use two different (classical or quantum) languages in order to describe different parts of the world.

and continues:

> The peculiar property of the quantum measuring process is that we have to use both descriptions for the same object: namely, the measuring apparatus obeys quantum dynamics while it interacts with the quantum system under study, and at a later stage the same apparatus is considered as a classical object, when it becomes the permanent depositary of information. This dichotomy is the root of the quantum measurement dilemma: there can be no unambiguous classical-quantum dictionary.


## Theorems

* [[order-theoretic structure in quantum mechanics]]

  * [[Kochen-Specker theorem]]

  * [[Alfsen-Shultz theorem]]

  * [[Harding-Döring-Hamhalter theorem]]

* [[Wigner theorem]]

* [[Bell's theorem]]

* [[Bub-Clifton theorem]]


## Related entries

* [[wave function collapse]], [[propositions as projections]]

* [[quantum logic]]

* [[probability amplitude]]

* [[quantum probability]]

* [[philosophy of physics]]

* [[quantum measurement]], [[decoherence]], [[consistent histories approach to quantum mechanics]] 

* [[coordination]]

* [[computable quantum physics]]


## References

### Historical arguments

Discussion by the founders of quantum mechanics includes the following.

In

* [[Albert Einstein]], B. Podolsky, N. Rosen, _Can Quantum-Mechanical Description of Physical Reality Be Considered Complete?_, Phys. Rev. 47, 777&#8211;780 (1935) ([publisher](http://prola.aps.org/abstract/PR/v47/i10/p777_1))

it is argued that quantum mechanics cannot be a complete description of fundamental physics. In 

* [[Nils Bohr]], _Can Quantum-Mechanical Description of Physical Reality be Considered Complete?_ Physical Review 48, 696&#8211;702 (1935)  ([publisher](http://prola.aps.org/abstract/PR/v48/i8/p696_1))

the contrary is argued. In

* {#Bohr49} [[Nils Bohr]]  _Discussion with Einstein on Epistemological Problems in Atomic Physics_ in P. A. Schilpp (ed.) _Albert Einstein, Philosopher-Scientist_ (Evanston: Library of Living Philosophers) pp. 201&#8211;241. (1949)
 

is the famous assertion by Bohr that all experiments in quantum mechanics must be possible to describe in "classical terms".


### Textbooks and reviews

Modern textbook discussion of the issue is in 

* [[Robert Spekkens]], Lectures on _Foundations of quantum mechanics_ ([web](http://www.perimeterscholars.org/332.html))

  also: _The Quantum Puzzle_ ([web](http://www.rwspekkens.com/index.php?Show=page&PI=2))

The book

* [[Jeffrey Bub]], _Interpreting the quantum world_, Cambridge University Press, Aug 26, 1999 

has a focus on the [[Bub-Clifton theorem]]. This book is reviewed in 

* {#Peres97} [[Asher Peres]], [arXiv:quant-ph/9711003](http://arxiv.org/abs/quant-ph/9711003)
 

See also

* [[Roland Omnès]], _[[The Interpretation of Quantum Mechanics]]_

The approach to [[wave function collapse]] via macroscopic decoherence is reviewed in

* Wojciech H. Zurek, _Decoherence, einselection, and the quantum origins of the classical_, Rev. Mod. Phys. 75, 715--775 (2003) [quant-ph/0105127](http://arxiv.org/abs/quant-ph/0105127) [doi](http://dx.doi.org/10.1103/RevModPhys.75.715)


Discussion specifically with an eye towards the [[quantum measurement]] problem is also in 

* {#Wallace07} [[David Wallace]], _The Quantum Measurement Problem: State of Play_ ([arXiv:0712.0149](http://arxiv.org/abs/0712.0149))
 

One quote above is taken from the first paragraphs of
 
* {#SEP} Stanford Encyclopedia of Philosophy, _[Quantum mechanics](http://plato.stanford.edu/entries/qm/)_
 


[[!redirects interpretation of quantum mechanics]]
[[!redirects interpretations of quantum mechanics]]
[[!redirects interpretation of quantum physics]]
[[!redirects interpretations of quantum physics]]