
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The term _beable_ was proposed in ([Bell 75](#Bell75)) as a replacement in [[quantum physics]] of the traditional term _[[observable]]_. While the latter is typically given a precise mathematical meaning which does express the way in which the [[physical system]] may be, the word "observable" alludes to the complicated and subtle issue of something (a [[quantum measurement]] device) or even somebody (a concious experimentor) "observing" these ways of the system to be. The point of the term "beable" is to help conceptually cleanly separate the [[being]] of quantum systems from whatever it means to observe them.

In ([Bell 75](#Bell75)) to further justify this recourse is made to [[Niels Bohr]]'s expressed view that whatever [[quantum physics]] really is, it must be possible to communicate statements about it in terms of classical [[logic]]. Hence beables mostly refer to sets of commuting operators, [[classical contexts]]. 
This same argument was much later used to motivate [[Bohr toposes]]. In this context, the [[Kochen-Specker theorem]] proves the absence of certain global sections (Proposition 1). Halvorson and Clifton define a beable subalgebra (p9) with respect to a given state $\rho$. We first consider the important special case of the _definite algebra_ $D_\rho$ for a state $\rho$. This is the subalgebra on which $\rho$ is dispersion free. This gives, for each commutative subalgebra of $C\subset D_\rho$, a choice of an element of its spectrum. These choices are compatible. Hence, we obtain not a global section, but only local section. The general notion of beable subalgebra only requires $\rho$ to be a _mixture_ of dispersion-free states.

In practice of theoretical physics most everytime one writes "observable" it should, by this logic, rather be "beable". While this might be reasonable, as a convention of conversation it has not been picked up.

## References

The original discussion of beables in the context of [[causal locality]] in [[AQFT]] is in

* [[John Bell]], _The theory of local beables_, [Epistemological Letters](http://en.wikipedia.org/wiki/Epistemological_Letters) (1975) ([pdf](http://cds.cern.ch/record/980036/files/197508125.pdf))
 {#Bell75}

and further in 

* [[John Bell]], _Beables for quantum field theory_ (1984) ([pdf](http://prac.us.edu.pl/~ztpce/QM/Bell_beables.pdf))

A survey is in 


* Scholarpedia, _[Bell's theorem - beables](http://www.scholarpedia.org/article/Bell's_theorem#beable)_

A more technical development can be found here:

* [[Hans Halvorson]], Rob Clifton,  _Maximal Beable Subalgebras of Quantum-Mechanical Observables_ ([arXiv:quant-ph/9905042](http://arxiv.org/abs/quant-ph/9905042))

Discussion in the context of [[interpretation of quantum mechanics]] includes

* Yuichiro Kitajima, _Interpretations of Quantum Mechanics in Terms of Beable Algebras_, ([pdf](http://link.springer.com/article/10.1007/s10773-005-4051-0))

[[!redirects beables]]