
This entry provides commented references on the topic of [[derived noncommutative algebraic geometry]].

***

* [[Dmitri Orlov]], _Equivalences of derived categories and K3 surfaces_, 1996, [arXiv](http://arxiv.org/abs/alg-geom/9606006).

The original representability theorem: every [[fully faithful]] [[triangulated functor]] between the [[derived categories]] of [[perfect complexes]] on two [[smooth]] [[projective varieties]] is representable by some [[integral kernel]] (i.e. is a [[Fourier-Mukai functor]]).

* [[Alexei Bondal]], [[Dmitri Orlov]], _Reconstruction of a variety from the derived category and groups of auto-equivalences_, 1997, [arXiv](http://arxiv.org/abs/alg-geom/9712029).

If a [[smooth]] [[projective variety]] has the property that its [[canonical sheaf]] is [[ample]] or anti-ample, then one may reconstruct it up to isomorphism from its bounded [[derived category]] of [[coherent sheaves]].

* [[Alexei Bondal]], [[Dmitri Orlov]], _Derived categories of coherent sheaves on abelian varieties and equivalences between them_, [arXiv](http://arxiv.org/abs/alg-geom/9712017).

A criterion for the equivalence of the [[derived categories]] of [[coherent sheaves]] on two [[abelian varieties]].

* [[Alexei Bondal]], [[Michel van den Bergh]], _Generators and representability of functors in commutative and noncommutative geometry_, 2002, [arXiv](http://arxiv.org/abs/math/0204218).

The bounded [[derived category of coherent sheaves]] on a [[smooth]] [[projective variety]] admits a strong [[generator]].

* [[Bertrand Toen]], _Homotopy theory of dg-categories and derived Morita theory_, 2004, [arXiv](http://arxiv.org/abs/math/0408337)

The [[homotopy category]] of the [[model category]] of [[dg-categories]], where [[weak equivalences]] are quasi-equivalences, is studied.  It is shown to admit [[internal homs]] and the morphism sets are in bijection with right quasi-representable [[bimodules]].  Among other applications is a dg-version of Orlov's representability theorem: it is shown that morphisms between the [[dg-categories]] of [[perfect complexes]] on [[smooth]] [[proper schemes]] are in bijection with [[perfect complexes]] on the product.  An analogous statement for [[quasi-coherent complexes]] is also shown.

* [[Dmitri Orlov]], _Derived categories of coherent sheaves and motives_, 2005, [arXiv](http://arxiv.org/abs/math/0512620).

The [[Chow motive]] of a [[smooth]] [[projective variety]] may be reconstructed up to [[Tate twists]] from the bounded [[derived category]] of [[coherent sheaves]].

* [[Alexander Kuznetsov]], _Base change for semiorthogonal decompositions_, 2007, [arXiv](http://arxiv.org/abs/0711.1734).

* [[David Ben-Zvi]], [[John Francis]], [[David Nadler]], _Integral transforms and Drinfeld centers in derived algebraic geometry_, 2008, ([arXiv:0805.0157](http://arxiv.org/abs/0805.0157)).

An [[(infinity,1)-category|(infinity,1)-categorical]] version of Orlov's representability theorem, which is further generalized to (smooth proper) [[derived stacks]].

* [[Alexander Kuznetsov]], _Hochschild homology and semiorthogonal decompositions_, 2009, [arXiv](http://arxiv.org/abs/0904.4330).

* [[Valery Lunts]], [[Dmitri Orlov]], _Uniqueness of enhancement for triangulated categories_, 2009, [arXiv](http://arxiv.org/abs/0908.4187).

Uniqueness results are established for [[dg-enhancements]] of [[triangulated categories]].  In particular the results are applied to the [[derived categories]] of [[perfect complexes]], [[coherent sheaves]], [[quasi-coherent sheaves]], on schemes.  This is then used to deduce from (Toen 2004) representability theorems on the level of [[triangulated categories]], in the non-smooth case.

* [[Alexander Kuznetsov]], [[Valery Lunts]], _Categorical resolution of irrational singularities_, 2012, [arXiv](http://arxiv.org/abs/1212.6170).

Describes how to glue two [[dg-categories]] in such a way that the [[homotopy category]] of the result has a [[semiorthogonal decomposition]] into two components, which are the respective [[homotopy categories]] of the original [[dg-categories]].

* [[Sergei Gorchinskiy]], [[Dmitri Orlov]], _Geometric phantom categories_, 2012, [arXiv](http://arxiv.org/pdf/1209.6183v2.pdf).

If an [[admissible subcategory]] of the bounded [[derived category]] of [[coherent sheaves]] on a [[smooth]] [[projective variety]] is a [[phantom]], has vanishing [[Hochschild homology]] and [[Grothendieck group]], then its [[noncommutative motive]] vanishes.  In particular its higher [[K-theory]] also vanishes.

* [[Beatriz Rodriguez Gonzalez]], _A derivability criterion based on the existence of adjunctions_, 2012, [arXiv:1202.3359](http://arxiv.org/abs/1202.3359).

It is proved that the [[internal hom]] of Ho(DGCat) constructed in (Toën 2004) is in fact the right [[derived functor]] of the internal hom of DGCat.

* [[David Ben-Zvi]], [[David Nadler]], Anatoly Preygel, _Integral transforms for coherent sheaves_ ([arXiv:1312.7164](http://arxiv.org/abs/1312.7164))

The [[(infinity,1)-category|(infinity,1)-categorical]] representability theorem of (Ben-Zvi-Francis-Nadler 2008) is extended to the non-smooth case.