
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Linear algebra
+-- {: .hide}
[[!include homotopy - contents]]
=--
#### Algebraic Quantum Field Theory
+--{: .hide}
[[!include AQFT and operator algebra contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

In [[physics]] the symmetric [[tensor algebra]] on a [[space of quantum states]] of some [[quantum mechanical system]] is called its _bosonic Fock space_. This is regarded in turn as the space of [[quantum states]] of arbitrarily many copies of the system. In particular if the original system describes some [[boson|bosonic]] [[particle]] species, then its Fock space is the space of quantum states of arbitrarily many such particles.

Similarly the [[exterior algebra]]/[[Grassmann algebra]] is called the _[[fermion|fermionic]] [[Fock space]]_.

The process of passing from a given [[space of quantum states]] to its Fock space is also known as (or rather: is part of) what is called _[[second quantization]]_. 

Fock spaces hence appear as [[spaces of quantum states]] of [[free fields]] in [[quantum field theory]]. In [[perturbative quantum field theory]] they are still used indirectly in for non-free field theories.

## Related entries

* [[tensor algebra]]

* [[second quantization]]

## References

Named after _[[Vladimir Aleksandrovich Fock]]_.


### General

A textbook account with an eye towards [[perturbative algebraic quantum field theory]] is in

* [[Michael Dütsch]], appendix E of _[[From classical field theory to perturbative quantum field theory]]_

See also

* Wikipedia, _[Fock space](http://en.wikipedia.org/wiki/Fock_space)_

### In linear type theory

The Fock space construction may be axiomatized as the [[!-modality]] in [[linear type theory]]. This is discussed in the following articles.

* {#BlutePanangadenSeely94} [[Richard Blute]], [[Prakash Panangaden]], [[R. A. G. Seely]], _Fock Space: A Model of Linear Exponential Types_ (1994) ([web](http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.27.6825))

* {#Fiore07} [[Marcelo Fiore]], _Differential Structure in Models of Multiplicative Biadditive Intuitionistic Linear Logic_, Lecture Notes in Computer Science Volume 4583, 2007, pp 163-177 ([pdf](http://www.cl.cam.ac.uk/~mpf23/papers/Types/diff.pdf))

* {#Vicary07} [[Jamie Vicary]], _A categorical framework for the quantum harmonic oscillator_, International Journal of Theoretical Physics December 2008, Volume 47, Issue 12, pp 3408-3447 ([arXiv:0706.0711](http://arxiv.org/abs/0706.0711))

  (in the context of [[finite quantum mechanics in terms of dagger-compact categories]])


[[!redirects Fock spaces]]