+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### $(\infty,1)$-Category theory
+--{: .hide}
[[!include quasi-category theory contents]]
=--
#### $(\infty,1)$-Topos Theory
+--{: .hide}
[[!include (infinity,1)-topos - contents]]
=--
=--
=--




#Contents#
* table of contents
{:toc}


## Definition ## 

Write $(\infty,0)Cat$ for [[generalized the|the]] category [[∞Grpd]] of $\infty$-[[infinity-groupoid|groupoids]] regarded as an [[(∞,1)-category]].

Let $S$ be a [[simplicial set]] (which in particular may be a [[quasi-category]]). 

An **$(\infty,1)$-presheaf** on $S$ is an [[(∞,1)-functor]]

$$
  F : S^{op} \to (\infty,0)Cat
  \,.
$$

The [[(∞,1)-category]] of $(\infty,1)$-presheaves is the corresponding [[(∞,1)-category of (∞,1)-functors]]

$$
 PSh(S) := Fun(S^{op}, (\infty,0)Cat)
 \,.
$$

## Remarks ##

* $(\infty,1)$-presheaves are the basic building block for the definition of [[(infinity,1)-category of (infinity,1)-sheaves|(∞,1)-categories of (∞,1)-sheaves]].

## Model structures

$(\infty,1)$-presheaves can be presented by many different [[model categories]], corresponding to several of the model structures for [[(∞,1)-categories]].  These include:

* [[global model structures on simplicial presheaves]] (injective and projective)
* [[model structure for right fibrations]] of [[quasicategories]]
* [[model structure on internal simplicial presheaves]]
* [[model structure for right fibrations of Segal spaces]]
* [[model structure on simplicial presheaves over simplices]]

Various Quillen equivalences between these model structures are constructed in the references.  For special cases of the domain $S$ there exist other model structures that are also Quillen equivalent to these, such as:

* The [[Reedy model structure]] on simplicial presheaves, when $S$ is a [[Reedy category]], or more generally a [[generalized Reedy category]]
* The analogous [[model structure on internal inverse diagrams]], when $S$ is an [[inverse EI (∞,1)-category]].

## Related concepts

* [[presheaf]]

* [[(2,1)-presheaf]]

* **$(\infty,1)$-presheaf**, [[(∞,1)-sheaf]], [[∞-stack]] ,

  * [[simplicial presheaf]]

  * [[model structure on functors]]

* [[(∞,n)-presheaf]]


## References ##

### $(\infty,1)$-categorical definition

This is in Section 5.1 of

* [[Jacob Lurie]], _[[Higher Topos Theory]]_ .

### Model structures

The various model structures, and their Quillen equivalences, can be found in the following references.

The [[global model structures on simplicial presheaves]] are a standard special case of the [[global model structures on functors]].  The fact that the injective model structure exists is a bit less classical; see [[injective model structure]] for references.

The [[model structure for right fibrations]] of [[quasicategories]] is constructed in [[Higher Topos Theory]].  It is shown there to be Quillen equivalent to the global model structure on simplicial presheaves by a [[straightening functor]].  Alternative proofs of such an equivalence can be found in

* [[Gijs Heuts]], [[Ieke Moerdijk]], *Left fibrations and homotopy colimits II*, [arXiv](http://arxiv.org/abs/1602.01274)

* [[Danny Stevenson]], *Covariant Model Structures and Simplicial Localization*, [arXiv](https://arxiv.org/abs/1512.04815)

The latter also constructs the [[model structure on simplicial presheaves over simplices]] and links it with Quillen equivalences to the other two.

The [[model structure on internal simplicial presheaves]] is constructed in

* [[Geoffroy Horel]], *A model structure on internal categories in simplicial sets*, [TAC](http://tac.mta.ca/tac/volumes/30/20/30-20abs.html)

The [[model structure for right fibrations of Segal spaces]] is constructed in

* Pedro Boavida de Brito, *Segal objects and the Grothendieck construction*, [arXiv](http://arxiv.org/abs/1605.00706)

and shown to be Quillen equivalent to both the [[model structure on internal simplicial presheaves]] and the [[model structure for right fibrations]] of quasicategories.

Finally, the [[model structure on internal inverse diagrams]] is constructed, and shown to be Quillen equivalent to the model structure for internal simplicial presheaves (hence all the others) in 

* [[Mike Shulman]], *Univalence for inverse EI diagrams*, [arXiv](http://arxiv.org/abs/1508.02410).

[[!redirects (∞,1)-presheaf]]
[[!redirects (∞,1)-presheaves]]
[[!redirects (infinity,1)-presheaves]]

[[!redirects ∞-prestack]]
[[!redirects ∞-prestacks]]
[[!redirects (∞,1)-prestack]]
[[!redirects (∞,1)-prestacks]]

[[!redirects infinity-presheaf]]
[[!redirects infinity-presheaves]]

[[!redirects infinity-prestack]]
[[!redirects infinity-prestacks]]
[[!redirects (infinity,1)-prestack]]
[[!redirects (infinity,1)-prestacks]]



