
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebraic Quantum Field Theory
+--{: .hide}
[[!include AQFT and operator algebra contents]]
=--
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The two fundamental [[no-go theorems]] for [[hidden variable theory|hidden variable]] reconstructions of the [[quantum mechanics|quantum]] statistics, the [[Kochen-Specker theorem]] and [[Bell's theorem]], may be formulated as results about the impossibility of associating a classical [[probability space]] with a [[quantum system]], when certain constraints are placed on the [[probability measure]]. 

The _Bub-Clifton-Halvorson theorem_ ([Bub-Clifton 96](#BubClifton96), [Clifton-Bub-Halvorson 03](#CliftonBubHalvorson03)) on the other hand is a positive result about the possibility of associating a classical probability space with a quantum system in a given state.

Given a [[Hilbert space]] $H$ and a [[quantum observable]] represented by a [[Hermitean operator]] on this space, and given a [[pure state]], the Bub-Clifton theorem characterizes a maximal sub-[[lattice]] of the Birkhoff-vonNeumann [[Hilbert lattice]] of subspace of $H$ (the "[[quantum logic]]" of $H$) such that there are sufficiently many yes-no questions on the elements in the lattice to recover all the probabilities induced by the given pure state to compatible sets of projections ([[classical contexts]]).

A useful summary is in [Bub 09, pages 1-2](#Bub09).



## Related concepts

* [[interpretation of quantum mechanics]]

* [[beable]]


Other theorems about the foundations and [[interpretation of quantum mechanics]] include:

* [[order-theoretic structure in quantum mechanics]]

  * [[Kochen-Specker theorem]]

  * [[Alfsen-Shultz theorem]]

  * [[Harding-Döring-Hamhalter theorem]]

* [[Fell's theorem]]

* [[Gleason's theorem]]

* [[Wigner theorem]]

* [[Bell's theorem]]

* [[Kadison-Singer problem]]


## References

* {#BubClifton96} [[Jeffrey Bub]], Rob Clifton, _A Uniqueness Theorem for "No Collapse" Interpretations of Quantum Mechanics_,  Studies in the History
and Philosophy of Modern Physics 27, 181-219. (1996) 

* [[Jeffrey Bub]], Rob Clifton, [[Sheldon Goldstein]], _Revised Proof of the Uniqueness Theorem for 'No Collapse' Interpretations of Quantum Mechanics_, Studies in History and Philosophy of Modern Physics 31 (2000) 95 ([arXiv:quant-ph/9910097](http://arxiv.org/abs/quant-ph/9910097))

* {#CliftonBubHalvorson03} Rob Clifton, [[Jeffrey Bub]], [[Hans Halvorson]], _Characterizing Quantum Theory in Terms of Information-Theoretic Constraints_, Foundations of Physics 33 (2003), p 1561 ([arXiv:quant-ph/0211089](https://arxiv.org/abs/quant-ph/0211089))

* {#Bub09} [[Jeffrey Bub]], _Bub-Clifton Theorem_, in Greenberger D., Hentschel K., Weinert F. (eds.) _Compendium of Quantum Physics_
Springer 2009, pp 84-86 ([web](https://link.springer.com/chapter/10.1007%2F978-3-540-70626-7_25))

A broader textbook discussion is in 

* [[Jeffrey Bub]], _Interpreting the quantum world_, Cambridge University Press, Aug 26, 1999 

An interpretation in [[topos theory]] is proposed in

* {#Nakayama07} Kunji Nakayama, _Topos-Theoretic Extension of a Modal Interpretation of Quantum Mechanics_, Int. J. Theor. Phys. 47:2065-2094, 2008 ([arXiv:0711.2200](https://arxiv.org/abs/0711.2200))

See also

* Jonathan Bain, _Physics from Quantum Information_ ([pdf](http://faculty.poly.edu/~jbain/physinfocomp/lectures/10.PhysicsfromQI.pdf)), chapter 10 in _[Physics, Information and Computation](http://faculty.poly.edu/~jbain/physinfocomp/)_

* Wikipedia, _[CBH-Theorem](https://de.wikipedia.org/wiki/CBH-Theorem)_

[[!redirects Bub-Clifton-Halvorson theorem]]

[[!redirects CBH-theorem]]
