
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Locality and descent
+--{: .hide}
[[!include descent and locality - contents]]
=--
#### Homological algebra
+--{: .hide}
[[!include homological algebra - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

Given a [[morphism]] of [[discrete]] [[commutative rings]], $\phi:A\to B$, one is often interested in computing the [[Amitsur cohomology]] with respect to $\phi$. This is the dualization of [[Cech cohomology]] for a morphism of spaces, except it takes place before applying a "Spec" functor to the rings. Often, the Amitsur cohomology of a morphism of rings, especially with coefficients in some $B$-module, contains useful information regarding [[descent]] along $\phi$. More generally, when we pass to a morphism of, say, [[ring spectra]] $\phi:A\to B$, we obtain a [[cosimplicial]] ring spectrum, and in this homotopical context, the generalization of [[cohomology]] groups are the [[homotopy groups]] of its [[totalization]]. Indeed, if we restrict to [[Eilenberg-Mac Lane spectra]] whose homotopy is concentrated in degree zero, we regain the usual notion of discrete Amitsur cohomology. Thus, the descent spectral sequence is the [[spectral sequence]] associated to cosimplicial Amitsur complex of a morphism of [[algebra]] objects in some [[category]]. In nice cases, the descent spectral sequence for a morphism $\phi:A\to B$ converges to the homotopy groups of $B$. 
## Examples

* The (unstable) [[Adams spectral sequence]] is an example for descent along $Spec(E) \to Spec(R)$. (...) ([Hess 10, section 5.3](#Hess10))

## References

For [[higher monadic descent]]: section 5.3 of

* [[Kathryn Hess]], _A general framework for homotopic descent and codescent_, [arXiv/1001.1556](http://arxiv.org/abs/1001.1556)
 {#Hess10}

* Menini, Claudia; Ştefan, Dragoş, _Descent theory and Amitsur cohomology of triples_, J. Algebra 266 (2003), no. 1, 261--304. 


[[!redirects descent spectral sequences]]
