

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
=--
=--

The **Vienna Circle** (in German, *Der Wiener Kreis*) were a group of philosophers, mathematicians, logicians and scientists who were active in Vienna in the 1920s and 1930s where they promoted a positivist view of the world and the use of formal languages to resolve or dissolve philosophical disputes. Prominent members included [[Rudolf Carnap]], Moritz Schlick, Otto Neurath, Hans Hahn, Friedrich Waismann, and Herbert Feigl.

In 1929, Hahn, Neurath and Carnap published the Circle's Manifesto, [The Scientific Conception of the World: The Vienna Circle](http://againstpolitics.com/the-scientific-conception-of-the-world-the-vienna-circle/):

>The scientific world conception is characterised not so much by theses of its own, but rather by its basic attitude, its points of view and direction of research. The goal ahead is _unified science_. The endeavour is to link and harmonise the achievements of individual investigators in their various fields of science. From this aim follows the emphasis on _collective efforts_, and also the emphasis on what can be grasped intersubjectively; from this springs the search for a neutral system of formulae, for a symbolism freed from the slag of historical languages; and also the search for a total system of concepts. Neatness and clarity are striven for, and dark distances and unfathomable depths rejected. In science there are no ‘depths’; there is surface everywhere: all experience forms a complex network, which cannot always be surveyed and, can often be grasped only in parts. Everything is accessible to man; and man is the measure of all things. ...The scientific world-conception knows _no unsolvable riddle_. Clarification of the traditional philosophical problems leads us partly to unmask them as pseudo-problems, and partly to transform them into empirical problems and thereby subject them to the judgment of experimental science. The task of philosophical work lies in this clarification of problems and assertions, not in the propounding of special ‘philosophical’ pronouncements. The method of this clarification is that of _logical analysis_; of it, Russell says (*Our Knowledge of the External World*, p. 4) that it “has gradually crept into philosophy through the critical scrutiny of mathematics… It represents, I believe, the same kind of advance as was introduced into physics by Galileo: the substitution of piecemeal, detailed and verifiable results for large untested generalities recommended only by a certain appeal to imagination."



## References

* SEP, _[Vienna Circle](https://plato.stanford.edu/entries/vienna-circle/)_

* Wikipedia, _[Vienna Circle](http://en.wikipedia.org/wiki/Vienna_Circle)_

