
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A mechanism in the context of [[string theory]]:

before [[gauge fixing]], the [[worldsheet]] [[QFT]] describing the first-quantized [[string]] (see also at _[What is a particle?](particle#WhatIsAParticle)_ for conceptual background is a [[2d quantum gravity]] coupled to [[scalar fields]] (the embedding fields that say how the string sits in [[target space|target]] [[spacetime]]). Being [[quantum gravity]], even if in the comparatively extremely simple case of only two dimensions, one may ask if this arises as the [[effective field theory]]/[[second quantization]] of _another_ kind of string, one whose target spacetime is the [[worldsheet]] of the original string.

This idea is known as "world sheets for world sheets", going back to ([Green87](#Green87)).

This may be compared to how the [[worldvolume]] theory of the [[topological membrane]] which is a [[Chern-Simons theory]], arises as the second quantization of [[topological strings]] ([[A-model]]) for which that 3d worldvolume of the membrane is their [[target space]] ([Witten 92](#Witten92)), see at _[TCFT – Worldsheet and effective background theories](TCFT#ActionFunctionals)_ for more on this.

## References

* {#Green87} [[Michael Green]], _World Sheets for World Sheets_, Nucl.Phys. B293 (1987) 593-611 

  **Abstract** In this paper I suggest that the two-dimensional world sheet underlying the dynamics of relativistic strings may itself emerge from an approximation to a two-dimensional string theory. Coordinates that represent space-time and internal symmetries should emerge as wave functions of the massless states of that theory. This is motivated by studying various string theories with two-dimensional target spaces and internal symmetry which are related to generalized nonlinear sigma models.


See also

* [[Paul Ginsparg]], [[Gregory Moore]], _Lectures on 2D gravity and 2D string theory (TASI 1992)_ ([arXiv:hep-th/9304011](http://arxiv.org/abs/hep--th/9304011))

* [[Edward Witten]], _Chern-Simons Gauge Theory As A String Theory_, Prog.Math. 133 (1995) 637-678 ([arXiv:hep-th/9207094](http://arxiv.org/abs/hep-th/9207094))
 {#Witten92}

*  Eliezer Rabinovici, _World sheets for world sheets revisited_ ([talk](http://pirsa.org/09070008/), [slides](http://pirsa.org/pdf/files/91367ab3-1691-4b7d-a5d8-10bcae327dc0.pdf))

