
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Measure and probability theory
+-- {: .hide}
[[!include measure theory - contents]]
=--
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

In [[quantum physics]] and specifically in [[quantum computation]]/[[quantum information]], _Bloch region_ is the name of the [[convex space]] of [[density matrices]] on a given [[Hilbert space]].

Equivalently this is the space of [[mixed states|mixed]] [[quantum states]] for a [[quantum mechanical system]] with the lines in given [[Hilbert space]] as its [[pure states]].

The [[superoperators]] that preserve Bloch regions (also for products, "complete positivity") are called _[[quantum operations]]_.

## Properties

### Relation to the simplex

For $(n+1) \in \mathbb{N}$ a natural number, the Bloch region in the $(n+1)$-dimensional [[Hilbert space]] $\mathbb{C}^{n+1}$ is a [[quantum physics]]-analog of the space of [[probability measures]] on the [[finite set]] of $(n+1)$ elements. This in turn is equivalently the standard $n$-[[simplex]] $\Delta^n$.

## References

A quick introduction is in

* [[Greg Kuperberg]], section 1.4 of _A concise introduction to quantum probability, quantum mechanics, and quantum computation_, 2005 ([pdf](http://www.math.ucdavis.edu/~greg/intro-2005.pdf))
 {#Kuperberg05}


[[!redirects Bloch regions]]
