
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Topos Theory
+-- {: .hide}
[[!include topos theory - contents]]
=--
=--
=--

This entry collects hyperlinks related to the textbook

* [[Saunders Mac Lane]], [[Ieke Moerdijk]], 

  _Sheaves in Geometry and Logic -- A first introduction to topos theory_

  Springer Verlag, 1992

on [[sheaf and topos theory]] and its application in [[categorical logic]].


For a similar link lists see also

* _[[Categories and Sheaves]]_

* _[[Sketches of an Elephant]]_


# Content #
* automatic table of contents goes here
{:toc}


## Categorical Preliminaries



##I Categories of Functors

* [[presheaf]]

* [[category of presheaves]]

##II Sheaves of Sets

* [[category of open subsets]]

* [[sheaf]]

* [[global section]]/[[constant sheaf]]

##III Grothendieck Topologies and Sheaves

* [[presheaf]]

* [[site]]


  * [[coverage]]

  * [[basis for a topology]]

  * [[Grothendieck topology]]


  * [[sheaf]]

    * [[sheafification]]

    * [[direct image]]
 
    * [[inverse image]]

    * [[restriction and extension of sheaves]]

    * [[stalk]]

  * [[category of sheaves]]

* [[Grothendieck topos]]


##IV First Properties of Elementary Topoi

### 1. Definition of a topos

* [[subobject classifier]]

  * [[subobject]]

* [[topos]]

  * [[Grothendieck topos]]

  * [[well-pointed topos]]

  * [[Boolean topos]]

  * [[pretopos]]

  * [[universe in a topos]]

* [[point of a topos]]

* [[fundamental group of a topos]]

* [[dependent product]]

### 2. The construction of exponentials

* [[exponential object]]

### 3. Direct image

* [[direct image]]

### 4. Monads and Beck's theorem

* [[monad]]

* [[Eilenberg-Moore category]]

* [[monadic functor]]

* [[monadicity theorem]]

### 5. The construction of colimits

* [[quotient type]]

### 6. Factorization and images

* [[image]]

### 7. The slice category as a topos

* [[over-topos]]

### 8. Lattice and Heyting algebra objects in a topos

* [[lattice]]

* [[Heyting algebra]]

### 9. The Beck-Chevalley condition

* [[Beck-Chevalley condition]]

### 10. Injective objects

* [[injective objects]]


## V Basic Constructions of Topoi

### 1. Lawvere-Tierney topologies

* [[Lawvere-Tierney topology]]


### 2. Sheaves

* [[dense monomorphism]]

* [[sheaf]]


### 3. The associated sheaf functor

* [[sheafification]]

### 4. Lawvere-Tierney subsumes Grothendieck

* [[Grothendieck topology]]

### 5. Internal versus external

### 6. Group actions

* [[group]]

* [[action]]

* [[permutation representation]]

### 7. Category actions

### 8. The topos of coalgebras

* [[comonad]]

* [[topos of coalgebras]]

### 9. The filter-quotient construction


##VI Topoi and Logic

* [[ETCS]]

* [[continuum hypothesis]]

* [[logic]]

* [[foundations and logic]]

  * [[internal logic]]

    * [[intuitionistic logic]]
 
    * [[classical logic]]

    * [[paraconsistent logic]]

    * [[coherent logic]]

* [[Boolean algebra]]

* [[Heyting algebra]]


## VII Geometric Morphisms

### VII 1. Geometric Morphisms and Basic Examples

* [[geometric morphism]]

  * [[direct image]], [[inverse image]]

Examples:

* [[continuous function]]

* [[base change geometric morphism]]

* [[sheafification]], [[geometric embedding]]

* [[global section geometric morphism]]

### VII 2. Tensor products

* [[Kan extension]]

### VII 3. Group actions

* [[group object]]

### VII 4. Embeddings and surjections

* [[geometric embedding]]

* [[geometric surjection]]

* [[geometric surjection/embedding factorization]]
  

### VII 5. Points

* [[point of a topos]]

* [[stalk]]

### VII 6. Filtering functors

### VII 7. Morphisms into Grothendieck Topoi

### VII 8. Filtering functors into a topos

### VII 9. Geometric morphisms as filtering functors

### VII 10. Morphisms between sites

* [[morphism of sites]]

* [[covering lifting property]]


##VIII Classifying Topoi

* [[classifying topos]]


##IX Localic Topoi

* [[locale]]

* [[localic topos]]

##Geometric Logic and Classifying Topoi

* [[classifying topos]]

##Appendix: Sites for Topoi

* [[Giraud's theorem]]

category: reference

[[!redirects Sheaves in geometry and logic]]
[[!redirects sheaves in geometry and logic]]
[[!redirects Mac Lane-Moerdijk]] 
