[[!redirects Nisnevich sheaves with transfer]]


+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Motivic cohomology
+--{: .hide}
[[!include motivic cohomology - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

Given some [[category]] ([[site]]) $S$ of test spaces, suppose one fixes some  category $Corr_p(S)$ of [[correspondences]] in $S$ equipped with certain cohomological data on their correspondence space. Then a _sheaf with transfer_ on $S$ is a contravariant functor on $Corr_p(S)$ such that the restriction along the canonical embedding $S \to Corr_p(S)$ makes the resulting [[presheaf]] a [[sheaf]].

Traditionally this is considered for $S$ the [[Nisnevich site]] and $Corr_p(S)$ constructed from correspondences equipped with algebraic cycles as discussed at _[[pure motive]]_, (e.g. [Voevodsky 00, 2.1 and def. 3.1.1](#Voevodsky00)).

The idea is that, looking at it the other way around, the extension of a sheaf to a sheaf with transfer defines a kind of [[Umkehr map]]/[[fiber integration]] by which the sheaf is not only pulled back along maps, but also pushed forward, hence "transferred" (this concept of course makes sense rather generally in [[cohomology]], see e.g. [Piacenza 84, 1.1](#Piacenza84)).

The [[derived categories]] of those [[abelian sheaves]] with transfers for the [[Nisnevich site]] with are [[A1-homotopy theory|A1-homotopy invariant]] provides a model for [[motive|motives]] known as _[Voevodsky motives](motive#VoevodskyMotives)_ or similar ([Voevodsky 00, p. 20](#Voevodsky00)).

## Definition

On this page we construct the category of Nisnevich sheaves with transfer over a base scheme $S$ which is assumed to be [[regular scheme|regular]] and [[noetherian scheme|noetherian]], following [Déglise](#Deglise).  Nisnevich sheaves with transfer play an important role in the theory of [[mixed motives]].

1.  Let $S$ be a base [[scheme]] which is [[regular scheme|regular]] and [[noetherian scheme|noetherian]].  Let $Sm_S$ denote the category of [[schemes]] that are [[smooth]] and of [[finite type]] over $S$.  For $X,Y \in \Sm_S$, one defines the group of **finite $S$-[[correspondences]]** $C_S(X, Y)$ as the [[free abelian group]] generated by closed integral subschemes $Z \subset X \times_S Y$ such that the projection $Z \to X$ is [[finite]] and [[equidimensional morphism|equidimensional]].  This defines an [[additive category]] $Sm_S^{cor}$ whose objects are the same as $Sm_S$ and whose morphisms are finite $S$-correspondences.

2.  Note that there is a canonical functor $\gamma_S : \Sm_S \to \Sm_S^cor$ which acts on a [[morphism]] by taking the finite correspondence induced by its [[graph]].

3.  Recall that the [[fibred product]] over $S$ defines a [[symmetric monoidal structure]] on $\Sm_S$.  One can check that this also induces a [[symmetric monoidal structure]] on $\Sm_S^{cor}$.  The functor $\gamma_S$ respects these structures.

4.  Let $P_S$ (resp. $P_S^{tr}$) denote the category of [[abelian presheaves]] on $\Sm_S$ (resp. on $\Sm_S^{cor}$).  Objects of $P_S^{tr}$ are called **presheaves with transfer** on $S$.  We will write $L_S[X]$ for the [[presheaf]] with transfers [[representable|represented]] by an object $X \in \Sm_S$.

5.  Let $N_S$ denote the category of [[sheaves]] on $\Sm_S$ with respect to the [[Nisnevich topology]].  Let $N_S^{tr} \subset P_S^{tr}$ be the [[full subcategory]] spanned by [[presheaves]] $F : \Sm_S^{cor} \to Ab$ whose [[composition]] with $\gamma_S : \Sm_S \to \Sm_S^{cor}$ is a [[sheaf]] on $Sm_S$ (with respect to the [[Nisnevich topology]]).  Objects of $N_S^{tr}$ are called **Nisnevich sheaves with transfer**.

6.  **Proposition.** The category $N_S^{tr}$ is [[cocomplete]] and [[Grothendieck abelian category|Grothendieck abelian]] with an [[essentially small]] set of [[generators]] given by the objects $L_S[X]$ for $X \in \Sm_S$.

7.  This allows one to define a [[symmetric monoidal structure]] on $N_S^{tr}$, which is in fact the unique one for which the functor $\Sm_S \to \N_S^{tr}$ is [[symmetric monoidal]] and $- \otimes_S^{tr} -$ preserves [[colimits]].  Given $F$ and $G$ in $N_S^{tr}$, we can write
  $$ F = \colim_{X \to F} L_S[X] ; \qquad G = \colim_{Y \to G} L_S[Y] $$
where the [[colimits]] are taken over the family of morphisms $L_S[X] \to F$ (resp. $L_S[Y] \to G$.  Then we define
  $$ F \otimes_S^{tr} G = \colim_{X \to F ; Y \to G} L_S[X \times_S Y]. $$

8.  This [[symmetric monoidal structure]] is further [[closed monoidal structure|closed]]: one defines
  $$ \underline{\Hom}_{N_S^{tr}} (F,G) (X) = \Hom_{N_S^{tr}} (F \otimes_S^{tr} L_S[X], G) $$
for all $X \in \Sm_S$.

## Related concepts

* [[Becker-Gottlieb transfer]], [[transfer context]]

* [[Mackey functor]]

## References

* {#Deglise} [[Frédéric Déglise]], _Finite correspondences and transfers over a regular base_, [pdf](http://www.math.uiuc.edu/K-theory/0765/regular_base.pdf).

* {#Voevodsky00} [[Vladimir Voevodsky]], section 3.1 of _Triangulated categories of motives over a field_, K-Theory, 74 (2000) ([pdf](http://math.illinois.edu/K-theory/0368/s5.pdf), [web](http://www.math.uiuc.edu/K-theory/0074/))

* {#Levine06} [[Marc Levine]], section 3.2 of _Six lectures on motives_, ICTP lectures 2006 ([pdf](http://users.ictp.it/~pub_off/lectures/lns023/Levine/Levine.pdf))


In the more general context of [[abelian sheaf cohomology]] a kind of "transfer" is discussed in 

* {#Piacenza84} Robert Piacenza, _Transfer in generalized sheaf cohomology_, Proceedings of the AMS, Volume 90, Number 4 (1984)

[[!redirects sheaves with transfer]]
[[!redirects sheaf with transfer]]

[[!redirects sheaves with transfers]]
[[!redirects sheaf with transfers]]


[[!redirects presheaves with transfer]]
[[!redirects presheaf with transfer]]

[[!redirects presheaves with transfers]]
[[!redirects presheaf with transfers]]


[[!redirects Nisnevich sheaf with transfer]]