
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Additive and abelian categories
+--{: .hide}
[[!include additive and abelian categories - contents]]
=--
#### $(\infty,1)$-Category theory
+--{: .hide}
[[!include quasi-category theory contents]]
=--
#### Limits and colimits
+--{: .hide}
[[!include infinity-limits - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

An [[(∞,1)-category]] is _$n$-semiadditive_ for $n \in \mathbb{N}$ if [[(∞,1)-colimits]] over certain [[diagrams]] coincide with their [[(∞,1)-limits]] in a canonical way (see [Hopkins-Lurie 14, def. 4.4.2](#HopkinsLurie14)). Here for $n=0$ the condition is that [[coproducts]] coincide with [[products]], hence that [[bilimits]] exist.

So an [[(∞,1)-category]] that happens to be an ordinary [[category]] is 0-semiadditive precisely if it is a [[semiadditive category]] in the traditional sense. Generally, an [[(∞,1)-category]] is 0-semiadditive precisely if its [[homotopy category of an (∞,1)-category|homotopy category]] is [[semiadditive category|semiadditive]] ([Hopkins-Lurie 14, remark 4.4.13](#HopkinsLurie14)).

## Examples

* For $R$ an [[A-∞ ring]] such that its connected component [[ring]] $\pi_0(A)$ is a [[vector space]] over the [[rational numbers]], then the [[(∞,1)-category of modules]] $A Mod$ is $n$-semiadditive for all $n \in \mathbb{N}$ ([Hopkins-Lurie 14, example 4.4.22](#HopkinsLurie14)).

## Related concepts

* [[additive (∞,1)-category]]

* [[stable (∞,1)-category]]

## References

* {#HopkinsLurie14} [[Michael Hopkins]], [[Jacob Lurie]], _[[Ambidexterity in K(n)-Local Stable Homotopy Theory]]_ (2014)

[[!redirects semiadditive (∞,1)-categories]]

[[!redirects semiadditive (infinity,1)-category]]
[[!redirects semiadditive (infinity,1)-categories]]

[[!redirects 0-semiadditive (∞,1)-category]]
[[!redirects 0-semiadditive (∞,1)-categories]]
[[!redirects 0-semiadditive (infinity,1)-category]]
[[!redirects 0-semiadditive (infinity,1)-categories]]

[[!redirects 0-semiadditivity]]

[[!redirects 1-semiadditive (∞,1)-category]]
[[!redirects 1-semiadditive (∞,1)-categories]]
[[!redirects 1-semiadditive (infinity,1)-category]]
[[!redirects 1-semiadditive (infinity,1)-categories]]