
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Limits and colimits
+--{: .hide}
[[!include infinity-limits - contents]]
=--
=--
=--

The word _bilimit_ is used in two unrelated senses:

* **2-categorical limits** -- In the context of [[bicategory]] theory, _bilimit_ is the relevant notion of categorical [[limit]]. If one adopts the convention that _[[2-categories]]_ are understood in the most general sense and subsume bicategories, then these are just called **[[2-limits]]**. See there for more on this sense of the word.

* **limits coinciding with colimits** -- It is common to speak of [[biproducts]] to mean categorical [[products]] that coincide with [[coproducts]]. Since a product is a special kind of [[limit]], this terminology conflicts with the above one. Indeed, some references use "bilimit" to mean [[limits]] that coincide with [[colimits]] (e.g. Selinger 97 ([[SelingerThesis.pdf:file]])). 

  In a category [[enriched category|enriched]] over [[CMon]] (in particular over [[Ab]]) biproducts are a special case of [[absolute colimits]], see at _[absolute colimit -- Examples -- Weights for absolute colimits](absolute+colimit#WExampleseightsForAbsoluteColimits)_.

  More generally, since limits and colimits are a special case of [[right adjoints]] and [[left adjoints]], respectively (namely left and right [[Kan extension]] to the point), bilimits in this sense are a special case of an **[[ambidextrous adjunction]]**, which is therefore maybe a preferable termionology (proposed this way in [[Ambidexterity in K(n)-Local Stable Homotopy Theory|Hopkins-Lurie 14]]).

  Notice however that being an [[ambidextrous adjunction]] is [[structure]], since in general it inolves a genuine choice of equivalence between the left and the right adjoint, whereas bilimits in the above sense are typically regarded as [[property]]. On the other hand, at least for (co-)products the existence of any [[natural isomorphism]] between coproducts and products already implies that also the canonical comparison morphism is an equivalence, which is traditionally taken to be the property that characterizes [[semiadditive categories]], see at _[biproduct -- Properties -- Semiadditivity as structure/property](biproduct#SemiadditivityAsStructureProperty)_. Similarly, one may strengthen the notion of ambidextrous adjunction such as to make it canonical, see at _[fiberwise characterization](ambidextrous+adjunction#FiberwiseCharacterization)_.



category: disambiguation

[[!redirects bilimits]]

[[!redirects bi-limit]]
[[!redirects bi-limits]]