
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Homotopy theory
+--{: .hide}
[[!include homotopy - contents]]
=--
#### Type theory
+-- {: .hide}
[[!include type theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Definition

+-- {: .num_defn}
###### Definition

A [[homotopy type]] is called _finite_ if it is presented (via the discussion at _[[homotopy hypothesis]]_) by either

* a [[simplicial set]] with a [[finite number]] of non-degenerate [[simplices]];

* a [[CW-complex]] with a [[finite number]] of [[cell complex|cells]].

=--

+-- {: .num_remark}
###### Remark

Similarly a [[spectrum]] ([[stable homotopy type]]) given by a sequence of finite homotopy types is called a _[[finite spectrum]]_.

=--

+-- {: .num_remark}
###### Remark

Beware that a finite homotopy type in general does not have finite and finitely many [[homotopy groups]] (see e.g. at [[homotopy groups of spheres]]). Homotopy types with finite and finitely many homotopy groups have alternatively been called _$\pi$-finite_, or _[[groupoid cardinality|tame]]_, or (adapted from [[homological algebra]]) "of [[finite type]]" (which needs to be carefully distinguishes, therefore, from "finite homotopy type"). 
See at _[[homotopy type with finite homotopy groups]]_.

=--

## Properties

### Relation to compact homotopy type

The [[compact object in an (infinity,1)-category|compact objects]] in [[∞Grpd]] are the [[retracts]] of finite homotopy types. Not every such retract is itself a finite homotopy type; the vanishing of [[Wall's finiteness obstruction]] is a necessary and sufficient condition for this to happen.


## Related concepts

* [[finite set]], [[hereditarily finite set]]

* [[finite category]], [[finite limit]]

* [[finite spectrum]]

* [[finite (infinity,1)-category]], [[finite (infinity,1)-limit]]

* [[p-local homotopy type]], [[p-complete homotopy type]], [[rational homotopy type]]

* [[(infinity,1)-presheaves]] on $\infty Grpd_{fin}^{op}$ form the [[classifying (infinity,1)-topos]] for objects.

## References


* [[Doug Ravenel]], _The stable homotopy theory of finite complexes_, in [[Ioan Mackenzie James]] (ed.) _[[Handbook of Algebraic Topology]]_ (1995)

[[!redirects finite homotopy types]]

[[!redirects finite ∞-groupoid]]
[[!redirects finite ∞-groupoids]]

[[!redirects finite infinity-groupoid]]
[[!redirects finite infinity-groupoids]]

