
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### $(\infty,1)$-Topos Theory
+--{: .hide}
[[!include (infinity,1)-topos - contents]]
=--
#### Compact objects
+--{: .hide}
[[!include compact object - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The concept of _coherent $(\infty,1)$-topos_ is a notion of _[[compact topos]]_ in the context of [[(∞,1)-topos theory]] ([[Spectral Schemes|Lurie VII, def. 3.1]]).

## Definitions

+-- {: .num_defn }
###### Definition
An (∞,1)-topos $\mathbf{H}$ is called **[[quasicompact morphism|quasi-compact]]** if, for every [[effective epimorphism]]

$$ \coprod_{i\in I} U_i\to * $$

there exists a [[finite set|finite]] [[subset]] $J\subset I$ such that $\coprod_{i\in J} U_i\to *$ is an effective epimorphism. An object $X\in\mathbf{H}$ is called quasi-compact if the [[slice (∞,1)-topos]] $\mathbf{H}_{/X}$ is quasi-compact.
=--

We then define $n$-coherence by [[induction]] on $n$.

+-- {: .num_defn #nCoherentTopos}
###### Definition

Let $\mathbf{H}$ be an [[(∞,1)-topos]]. We say that $\mathbf{H}$ is 0-coherent if it is quasi-compact. If $n\geq 1$, we say that $\mathbf{H}$ is **n-coherent** if

1. it is **locally $(n-1)$-coherent**, i.e., for every $X\in\mathbf{H}$ there exists an effective epimorphism $\coprod_{i\in I} U_i\to X$ such that each $U_i$ is (n-1)-coherent;
2. the [[sub-(∞,1)-category]] of (n-1)-coherent objects in $\mathbf{H}$ is closed under [[finite products]].

We say that $\mathbf{H}$ is **coherent** if it is $n$-coherent for every $n\geq 0$, and **locally coherent** if for every $X\in\mathbf{H}$ there exists an effective epimorphism $\coprod_{i\in I} U_i\to X$ such that each $U_i$ is coherent.

=--

([[Spectral Schemes|Lurie SpecSch, def. 3.1, def. 3.12]])

+-- {: .num_remark}
###### Remark
This terminology differs from the one in [[SGA]]4: a [[topos]] is a [[coherent topos]] in the sense of [[SGA]]4 if and only if it is 1-coherent *and* locally 1-coherent according to the above definition.
=--

+-- {: .num_defn }
###### Definition

An [[object]] $X \in \mathcal{X}$ in an [[(∞,1)-topos]] is a _[[n-coherent object]]_ if the [[slice (∞,1)-topos]] $\mathcal{X}_{/X}$ is $n$-coherent according to def. \ref{nCoherentTopos}.

=--


## Properties


### Commutativity with filtered colimits

Notice that a [[compact object in an (∞,1)-category]] is one that distributes over [[filtered (∞,1)-colimits]].

In an $n$-coherent $\infty$-topos the [[global section geometric morphism]] (given by homming out of the [[terminal object]]) preserves [[filtered (∞,1)-colimits]] of [[truncated object in an (infinity,1)-topos|(n-1)-truncated objects]].

### In terms of sites

An [[(∞,1)-site]] is *finitary* if every [[covering]] [[sieve]] is generated by a finite family of morphisms. If $C$ is a finitary (∞,1)-site with [[finite (∞,1)-limits]], then the [[(∞,1)-topos of (∞,1)-sheaves]] on $C$ is coherent and locally coherent.

### Deligne-Lurie completeness theorem

The following generalizes the [[Deligne completeness theorem]] from [[topos theory]] to [[(∞,1)-topos theory]].

+-- {: .num_theorem }
###### Theorem
**[[Deligne-Lurie completeness theorem]]**

An [[hypercomplete (∞,1)-topos]] which is locally coherent has [[enough points]].

=--

([[Spectral Schemes|Lurie SpecSchm, theorem 4.1]]).

## Examples
 {#Examples}

+-- {: .num_example }
###### Example

[[∞Grpd]] is coherent and locally coherent. An [[object]] $X$, hence an [[∞-groupoid]], is an [[n-coherent object]] if all its [[homotopy groups]] in degree $k \leq n$ are [[finite set|finite]]. Hence the fully coherent objects here are the [[homotopy types with finite homotopy groups]].


=--

([[Spectral Schemes|Lurie SpecSchm, example 3.13]])


+-- {: .num_example }
###### Example

Let $X$ be a [[scheme]] and let $Sh_\infty(X_{Zar})$ be the [[(∞,1)-topos of (∞,1)-sheaves]] on the [[small site|small]] [[Zariski site]] of $X$. Then the following assertions are equivalent:

1. $Sh_\infty(X_{Zar})$ is coherent;
2. $Sh_\infty(X_{Zar})$ is 1-coherent;
3. $X$ is quasi-compact and quasi-separated.


=--

+-- {: .num_example }
###### Example

A [[spectral scheme]] or [[spectral Deligne-Mumford stack]], regarded as a [[structured (∞,1)-topos]] is locally coherent.

=--

([[Quasi-Coherent Sheaves and Tannaka Duality Theorems|Lurie QCoh, cor. 1.4.3]])

## References

* [[Jacob Lurie]], section 3 of _[[Spectral Schemes]]_ 

* [[Jacob Lurie]], section 2.3 of _[[Rational and p-adic Homotopy Theory]]_

* [[Jacob Lurie]], _[[Quasi-Coherent Sheaves and Tannaka Duality Theorems]]_

[[!redirects coherent (infinity,1)-toposes]]


[[!redirects coherent (∞,1)-topos]]
[[!redirects coherent (∞,1)-toposes]]
[[!redirects n-coherent (∞,1)-topos]]
[[!redirects n-coherent (infinity,1)-topos]]
[[!redirects n-coherent (∞,1)-toposes]]
[[!redirects n-coherent (infinity,1)-toposes]]

[[!redirects locally coherent (∞,1)-topos]]
[[!redirects locally coherent (∞,1)-toposes]]
[[!redirects locally n-coherent (∞,1)-topos]]
[[!redirects locally n-coherent (infinity,1)-topos]]
[[!redirects locally n-coherent (∞,1)-toposes]]
[[!redirects locally n-coherent (infinity,1)-toposes]]