
# Contents
* table of contents
{: toc}

## Idea

A diagrammatic calculus for [[closed categories]], akin to [[proof nets]] in linear logic and more generally [[string diagrams]] for [[monoidal categories]] and related categorical structures of "[[linear type theory|linear]]" type.


## Related concepts

* [[proof net]]

* [[Trimble rewiring]]


## References

The concept was actually introduced in 

* [[Samuel Eilenberg]], [[Max Kelly]], _A generalization of the functorial calculus_, J. Algebra 3 (1966), 366--375. 

They have come to be known as "Kelly--Mac Lane graphs" principally on account of their application to coherence problems for closed categories in the treatment 

* {#KM71} [[Max Kelly]], [[Saunders MacLane]], _Coherence in closed categories_, JPAA 1 (1971), 97--140 ([web](http://www.sciencedirect.com/science/article/pii/0022404971900132)) 

Reviews include

* [[Dominic Hughes]], _Simple free star-autonomous categories and full coherence_ (2005) ([web](http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.219.4499))

* [[John Baez]], _Classical versus quantum lambda-calculus. From lambda-terms to string diagrams_, [Nov. 2006](http://math.ucr.edu/home/baez/qg-fall2006/index.html#computation) ([pdf](http://math.ucr.edu/home/baez/qg-fall2006/f06week06b.pdf))

* [[Eugenia Cheng]], section 1 of _A relationship between trees and Kelly–Mac Lane graphs_, Math. Proc. Camb. Phil. Soc. (2006), 141, 33 ([pdf](http://www.sci-prew.inf.ua/v141/1/S0305004105009060.pdf))


[[!redirects Kelly-MacLane graph]]
[[!redirects Kelly-MacLane graphs]]
[[!redirects Kelly–MacLane graph]]
[[!redirects Kelly–MacLane graphs]]
[[!redirects Kelly--MacLane graph]]
[[!redirects Kelly--MacLane graphs]]
[[!redirects Kelly-Mac Lane graph]]
[[!redirects Kelly-Mac Lane graphs]]
[[!redirects Kelly–Mac Lane graph]]
[[!redirects Kelly–Mac Lane graphs]]
[[!redirects Kelly--Mac Lane graph]]
[[!redirects Kelly--Mac Lane graphs]]
[[!redirects KM graph]]
[[!redirects KM graphs]]

[[!redirects Kelly-Mac Lane diagram]]
[[!redirects Kelly-Mac Lane diagrams]]
[[!redirects Kelly–Mac Lane diagram]]
[[!redirects Kelly–Mac Lane diagrams]]
[[!redirects Kelly--Mac Lane diagram]]
[[!redirects Kelly--Mac Lane diagrams]]
[[!redirects Kelly-MacLane diagram]]
[[!redirects Kelly-MacLane diagrams]]
[[!redirects Kelly–MacLane diagram]]
[[!redirects Kelly–MacLane diagrams]]
[[!redirects Kelly--MacLane diagram]]
[[!redirects Kelly--MacLane diagrams]]
[[!redirects KM diagram]]
[[!redirects KM diagrams]]

[[!redirects Eilenberg-Kelly-MacLane graph]]
[[!redirects Eilenberg-Kelly-MacLane graphs]]
[[!redirects Eilenberg–Kelly–MacLane graph]]
[[!redirects Eilenberg–Kelly–MacLane graphs]]
[[!redirects Eilenberg--Kelly--MacLane graph]]
[[!redirects Eilenberg--Kelly--MacLane graphs]]
[[!redirects Eilenberg-Kelly-Mac Lane graph]]
[[!redirects Eilenberg-Kelly-Mac Lane graphs]]
[[!redirects Eilenberg–Kelly–Mac Lane graph]]
[[!redirects Eilenberg–Kelly–Mac Lane graphs]]
[[!redirects Eilenberg--Kelly--Mac Lane graph]]
[[!redirects Eilenberg--Kelly--Mac Lane graphs]]
[[!redirects EKM graph]]
[[!redirects EKM graphs]]

[[!redirects Eilenberg-Kelly-Mac Lane diagram]]
[[!redirects Eilenberg-Kelly-Mac Lane diagrams]]
[[!redirects Eilenberg–Kelly–Mac Lane diagram]]
[[!redirects Eilenberg–Kelly–Mac Lane diagrams]]
[[!redirects Eilenberg--Kelly--Mac Lane diagram]]
[[!redirects Eilenberg--Kelly--Mac Lane diagrams]]
[[!redirects Eilenberg-Kelly-MacLane diagram]]
[[!redirects Eilenberg-Kelly-MacLane diagrams]]
[[!redirects Eilenberg–Kelly–MacLane diagram]]
[[!redirects Eilenberg–Kelly–MacLane diagrams]]
[[!redirects Eilenberg--Kelly--MacLane diagram]]
[[!redirects Eilenberg--Kelly--MacLane diagrams]]
[[!redirects EKM diagram]]
[[!redirects EKM diagrams]]
