
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
#### Higher linear algebra
+-- {: .hide}
[[!include homotopy - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}


## Definition

In the generality of [[higher algebra]]:

+-- {: .num_defn #Modperf}
###### Definition

Let $R$ be an [[A-∞ ring]]. Write $R Mod^{perf} \hookrightarrow R Mod$ for the smallest [[stable (∞,1)-category]] inside that of all [[∞-modules]]  which contains $R$ and is closed under [[retracts]]. An object in $R Mod$ is called a _perfect $R$-module_ .

=--

([[Higher Algebra|HA, def. 8.2.5.1]])

## Properties

### Relation to compact and dualizable objects

+-- {: .num_prop}
###### Propositon

Let $R$ be an [[A-∞ ring]]. The [[(∞,1)-category of ∞-modules]] $R Mod$ is a [[compactly generated (∞,1)-category]] and the [[compact object in an (∞,1)-category|compact objects]] coincide with the perfect modules, def. \ref{Modperf}

If $R$ is commutative ([[E-∞ ring|E-∞]]) then the perfect modules (and hence the compact objects) also coincide with the [[dualizable objects]].

=--

The first statement is ([[Higher Algebra|HA, prop. 8.2.5.2]]), the second ([[Higher Algebra|HA, prop. 8.2.5.4]]). For [[perfect chain complexes]] this also appears as ([BFN 08, lemma 3.5](#BFN08)).




## Examples

* [[perfect chain complex]]

## Related concepts

[[!include finite objects -- table]]

## References

For [[perfect chain complexes]] see the references there.

In the general context of [[higher algebra]] perfect modules are discussed in

* [[Jacob Lurie]], sectin 8.2.5 of _[[Higher Algebra]]_

For the properties of perfect modules in [[derived algebraic geometry]], see

* {#BFN08} [[David Ben-Zvi]], [[John Francis]], [[David Nadler]], section 3.1 of _Integral Transforms and Drinfeld Centers in Derived Algebraic Geometry_, J. Amer. Math. Soc. 23 (2010), no. 4, 909-966 ([arXiv:0805.0157](http://arxiv.org/abs/0805.0157))

* [[B. Toen]], _Derived Azumaya algebras and generators for twisted derived categories_, [arXiv:1002.2599](http://arxiv.org/abs/1002.2599).

* [[Dennis Gaitsgory]], _[[Notes on geometric Langlands]]: Quasi-coherent sheaves_.

[[!redirects perfect modules]]

[[!redirects perfect ∞-module]]
[[!redirects perfect ∞-modules]]

[[!redirects perfect infinity-module]]
[[!redirects perfect infinity-modules]]



[[!redirects perfect objects]]


[[!redirects perfect object]]