
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### $(\infty,1)$-Category theory
+--{: .hide}
[[!include quasi-category theory contents]]
=--
#### Compact objects
+-- {: .hide}
[[!include compact object - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Definition

For $\kappa$ a [[regular cardinal]],
an [[(∞,1)-category]] is called _$\kappa$-compactly generated_ if it is
$\kappa$-[[accessible (infinity,1)-category|accessible]] and [[locally presentable (∞,1)-category|locally presentable]].

**Terminology** The terms "$\kappa$-compactly generated (∞,1)-category" and "[[locally presentable (∞,1)-category|locally κ-presentable (∞,1)-category]]" have the same meaning. There are differences in usage, though.

 * If we "drop the $\kappa$", then a _locally presentable (∞,1)-category_ is a an (∞,1)-category which is locally $\kappa$-presentable for _some_ $\kappa$, but a _compactly generated (∞,1)-category_ is an (∞,1)-category which is locally _finitely_ presentable, i.e. locally $\kappa$-presentable for $\kappa = \aleph_0$.

* If we "leave the $\kappa$ in", the terms "$\kappa$-compactly generated (∞,1)-category" and "[[locally presentable (∞,1)-category|locally κ-presentable (∞,1)-category]]" have the same meaning. Some authors choose one term over the other. For example, in [[Higher Topos Theory]], "$\kappa$-compactly generated (∞,1)-category" is preferred. Albeit, Lurie uses $\mathrm{Pr}_\kappa$ to denote the (∞,1)-category of $\kappa$-compactly generated (∞,1)-categories.


([[Higher Topos Theory|HTT, def. 5.5.7.1]])



## Properties

### Recognition for stable $(\infty,1)$-categories
 {#RecognitionInStableCase}


Compact generation for [[stable (∞,1)-categories]] is detected already on their [[triangulated category|triangulated]] [[homotopy category of an (infinity,1)-category|homotopy category]] as discussed at _[[compactly generated triangulated category]]_

([[Higher Algebra|HA, remark 1.4.4.3]]))

## Related concepts

* [[ind-object in an (∞,1)-category]]

* [[compact object in an (∞,1)-category]]

* [[compactly generated model category]]

* [[compactly generated triangulated category]]


## References

* [[Jacob Lurie]], section 5.5.7 of _[[Higher Topos Theory]]_

* [[Jacob Lurie]], section 1.4.4 of _[[Higher Algebra]]_

[[!redirects compactly generated (∞,1)-categories]]
[[!redirects compactly generated (infinity,1)-category]]
[[!redirects compactly generated (infinity,1)-categories]]