
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Quantum field theory
+--{: .hide}
[[!include functorial quantum field theory - contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

In the context of [[quantum field theory]], _Liouville theory_ is the name of a certain type of [[2d CFT]].

## Properties

### Relation to 3d quantum gravity

An argument (via [[Chern-Simons gravity]], but see the caveats there) that [[3d quantum gravity]] with negative [[cosmological constant]] has as [[boundary field theory]] 2d [[Liouville theory]] is due to ([Coussaert-Henneaux-vanDriel 95](#CoussaertHenneauxvanDriel95)). See also at _[[AdS3-CFT2 and CS-WZW correspondence]]_.


## References

Surveys include

* Wikipedia, _[Liouville field theory](http://en.wikipedia.org/wiki/Liouville_field_theory)

An argument (via [[Chern-Simons gravity]], but see the caveats there) that [[3d quantum gravity]] with negative [[cosmological constant]] has as [[boundary field theory]] 2d [[Liouville theory]] is due to 

* {#CoussaertHenneauxvanDriel95} O. Coussaert, [[Marc Henneaux]], P. van Driel, _The asymptotic dynamics of three-dimensional Einstein gravity with a negative cosmological constant_, Class. Quant. Grav. 12 (1995) 2961-2966 ([arXiv:gr-qc/9506019](http://arxiv.org/abs/gr-qc/9506019))

* Leon A. Takhtajan, Lee-Peng Teo, _Liouville action and Weil-Petersson metric on deformation spaces, global Kleinian reciprocity and holography_, Commun.Math.Phys. 239 (2003) 183-240 ([arXiv:math/0204318](http://arxiv.org/abs/math/0204318))

  **Abstract**: We rigorously define the Liouville action functional for finitely generated, purely loxodromic quasi-Fuchsian group using homology and cohomology double complexes naturally associated with the group action. We prove that the classical action - the critical point of the Liouville action functional, considered as a function on the quasi-Fuchsian deformation space, is an antiderivative of a 1-form given by the difference of Fuchsian and quasi-Fuchsian projective connections. This result can be considered as global quasi-Fuchsian reciprocity which implies McMullen's quasi-Fuchsian reciprocity. We prove that the classical action is a Kahler potential of the Weil-Petersson metric. We also prove that Liouville action functional satisfies holography principle, i.e., it is a regularized limit of the hyperbolic volume of a 3-manifold associated with a quasi-Fuchsian group. We generalize these results to a large class of Kleinian groups including finitely generated, purely loxodromic Schottky and quasi-Fuchsian groups and their free combinations.


The relation to [[quantum Teichmüller theory]] is discussed/reviewed in

* [[Jörg Teschner]], _On the relation between quantum Liouville theory and the quantized Teichmüller spaces_, Int. J. Mod. Phys. A 19S2:459-477,2004 ([arxiv:hep-th/0303149](http://arxiv.org/abs/hep-th/0303149))

* {#Allegretti} [[Dylan Allegretti]], _Notes on Quantum Teichmüller theory_ ([pdf](http://users.math.yale.edu/~dga4/TeichmullerNotes.pdf))

* {#Teschner14} [[Jörg Teschner]], _Quantization of moduli spaces of flat connections and Liouville theory_, proceedings of the International Congress of Mathematics 2014 ([arXiv:1405.0359](http://arxiv.org/abs/1405.0359))

Relation to the $SL(2,\mathbb{R})$-[[WZW-model]] and [[analytically continued Wess-Zumino-Witten theory]] is discussed in

* Nobuyuki Ishibashi, _Extra Observables in Gauged WZW Models_, Nucl.Phys. B379 (1992) 199-219 ([arXiv:hep-th/9110071](http://arxiv.org/abs/hep-th/9110071))

* Jian-Feng Wu, Yang Zhou, _From Liouville to Chern-Simons, Alternative Realization of Wilson Loop Operators in AGT Duality_ ([arXiv:0911.1922](http://arxiv.org/abs/0911.1922))


[[!redirects Liouville field theory]]