
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Topology
+--{: .hide}
[[!include topology - contents]]
=--
#### Operator algebra
+--{: .hide}
[[!include AQFT and operator algebra contents]]
=--
#### Bundles
+-- {: .hide}
[[!include bundles - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A _Fell Bundle_ is a family of [[Banach space|Banach spaces]] that varies continuously over the [[morphism]] space of a [[topological groupoid]], where nontrivial morphisms in the groupoid induce a [[bilinear map|bilinear]] [[composition]] across the [[fibers]]. They are a generalization of both [[continuous field of C*-algebras|continuous fields]] of [[C*-algebras]] over [[topological spaces]] and of $C^*$-algebraic bundles ([[fiber bundles]] of $C^*$-algebras over [[topological groups]]).
 
## Definition

+-- {: .num_defn}
###### Definition

A _Fell Bundle_ over a [[groupoid]] $\mathcal{G}$ is a "continuous" [[functor]] $E \colon \mathcal{G} \to\mathfrak{Corr}$, where $\mathfrak{Corr}$ is the $2$-[[2-category|category]] of $C^*$-[[C-star-algebra|algebras]] and $C^*$- [[C-star-correspondence|correspondences]].

## Banach algebra bundles

Mulvey considers the special case where the groupoid is a topological space and proves that such Banach space bundles are equivalent to sheaves of Banach spaces, and that both are equivalent to Banach spaces internal to the sheaf topos.
 
=--

## References

* Alex Kumjian, _Fell bundles over groupoids_, Proceedings of the AMS, volume 126 (1998) ([JSTOR](http://www.jstor.org/stable/118621))

* Alcides Buss, Chenchang Zhu, Ralf Meyer, _A higher category approach to twisted actions on $C^*$-algebras_, [arxiv/0908.0455](http://arxiv.org/abs/0908.0455)

There is a variant notion of Fell bundles over [[inverse semigroup]]s. Those are related to Fell bundles over the corresponding étale groupoids:

* Alcides Buss, Ruy Exel, _Fell bundles over inverse semigroups and twisted étale groupoids_, J. Oper. Theory __67__, No. 1, 153-205 (2012) [MR2821242](http://www.ams.org/mathscinet-getitem?mr=2821242) [Zbl 1249.46053](http://zbmath.org/?q=an:1249.46053) [arxiv/0903.3388](http://arxiv.org/abs/0903.3388)[journal](http://www.mathjournals.org/jot/2012-067-001/2012-067-001-007.html); _Twisted actions and regular Fell bundles over inverse semigroups_, [arxiv/1003.0613](http://arxiv.org/abs/1003.0613)

* Christopher J. Mulvey, _Banach sheaves_, Journal of Pure and Applied Algebra 17 (1980) 69-83 <a href="http://dx.doi.org/10.1016/0022-4049(80)90023-7">doi</a>


[[!redirects Fell bundles]]
[[!redirects fell bundle]]
[[!redirects fell bundles]]