
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
#### Duality
+-- {: .hide}
[[!include duality - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}


## Idea

The [[stable (infinity,1)-category of spectra]] has a [[dualizing object in a closed category|dualizing object]] (dualizing module) on a suitable subcategory of finite spectra.  It is called the _[[Anderson spectrum]]_ $I_{\mathbb{Z}}$ ([[Representability Theorems|Lurie, Example 4.3.9]]). The [[duality]] that this induces is called _Anderson duality_.

## Examples

The Anderson dual of the [[sphere spectrum]] is discussed in 

* ([Hopkins-Singer 05, appendix B](#HopkinsSinger05)) in the context of constructing a [[quadratic refinement]] of the [[intersection pairing]] on [[ordinary differential cohomology]] 

* in ([Freed 14, section 5.1.1](#Freed14)) in the context of invertible [[extended topological field theories]].

The Anderson dual of [[KU]] is (complex conjugation-equivariantly) the 4-fold [[suspension spectrum]] $\Sigma^4 KU$ ([Heard-Stojanoska 14, theorem 8.2](#HeardStojanoska14)).

Similarly [[tmf]]$[1/2]$ is Anderson dual to its 21-fold suspension ([Stojanoska 12](#Stojanoska12)).

## Related concepts

* [[Brown-Comenetz duality]]

* [[Spanier-Whitehead duality]]

## References

### General

Original articles include

* D. W. Anderson, _Universal coefficient theorems for K-theory_, mimeographed notes, Univ. California, Berkeley, Calif., 1969.

* Zen-ichi Yosimura, Universal coefficient sequences for cohomology theories of CW-spectra, Osaka J. Math. 12 (1975), no. 2, 305–323. MR 52 #9212

See also

* [[Jacob Lurie]], section 4.2 of _[[Representability Theorems]]_

### Examples

The Anderson dual of the [[sphere spectrum]] is discussed (in a context of [[extended TQFTs]]) in 

* {#HopkinsSinger05} [[Michael Hopkins]], [[Isadore Singer]], appendix B of, _[[Quadratic Functions in Geometry, Topology, and M-Theory]]_, 2005

* {#Freed14} [[Dan Freed]], section 5.1.1 of _Short-range entanglement and invertible field theories_ ([arXiv:1406.7278](http://arxiv.org/abs/1406.7278))

* [[Daniel Freed]], [[Michael Hopkins]], section 5.3 of _Reflection positivity and invertible topological phases_ ([arXiv:1604.06527](https://arxiv.org/abs/1604.06527))

The Anderson duals of [[KU]] and of [[tmf]] are discussed in

* {#Stojanoska12} [[Vesna Stojanoska]], _Duality for Topological Modular Forms_, Doc. Math. 17 (2012) 271-311 ([arXiv:1105.3968](http://arxiv.org/abs/1105.3968))

* {#HeardStojanoska14} [[Drew Heard]], [[Vesna Stojanoska]], _K-theory, reality, and duality_ ([arXiv:1401.2581](http://arxiv.org/abs/1401.2581))

### Equivariant duality

Anderson duality in [[equivariant stable homotopy theory]] is discussed in

* {#Ricka15} [[Nicolas Ricka]], _Equivariant Anderson duality and Mackey functor duality_ ([arXiv:1408.1581](http://arxiv.org/abs/1408.1581))


[[!redirects Anderson spectrum]]