
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Category theory
+-- {: .hide}
[[!include category theory - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Definition

A [[category]] consists of a collection of **objects** together with [[morphisms]] between these objects.  Thus, naively, we may think of objects as the '[[elements]]' of a category.  

More generally, in [[higher category theory]] the objects of an $(n,r)$-[[(n,r)-category|category]] are the $0$-dimensional cells of that structure, the $0$-[[0-morphism|morphisms]].


## Examples

* If a [[set]] is regarded as a [[discrete category]] (with no nontrivial morphisms) then the objects of that category are precisely the elements of the set.

* In the [[fundamental groupoid]] $\Pi_1(X)$ of a [[topological space]] $X$, the objects are the points of $X$.

* In the category [[Set]], the objects are sets; in [[Vect]] the objects are [[vector space]]s; in [[Top]] the objects are [[topological space]]s, etc.

* If a [[simplicial set]] that is a [[Kan complex]] is regarded as an $\infty$-[[infinity-groupoid|groupoid]], then its vertices are the objects of that $\infty$-groupoid.

* Similarly if a simplicial set that is a [[quasi-category]] is regarded as an $(\infty,1)$-[[(∞,1)-category|category]], then its vertices are the objects of that $(\infty,1)$-category.

* If a [[globular set]] is equipped with the structure of a [[strict ω-category]], then its $0$-cells are the objects of that [[ω-category]].


[[!redirects object]]
[[!redirects objects]]
[[!redirects Object]]
[[!redirects Objects]]
