
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Analysis
+-- {: .hide}
[[!include analysis - contents]]
=--
#### Constructivism, Realizability, Computability
+-- {: .hide}
[[!include constructivism - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

What is called _Weihrauch's Type-2 Theory_ ([Weihrauch 87](#Weihrauch87)) is a measure for the complexity of [[computable functions]] on non-[[discrete spaces|discrete]] [[topological spaces]] such as the [[real line]], the topic of [[computable analysis]]. While some approaches to [[computability]] of [[continuous functions]] take pointwise addition as an elementary operation, Weihrauch's Type-2 theory is instead "bit oriented" and takes into account the finitary aspects of [[computation]].

A quick survey is in the beginning of ([Schr&#246;der 04](#Schroeder04)).

Essentially the type-II theory considers [[functions]] between [[topological spaces]] which may be encoded by infinite sequences of [[natural numbers]], this is discussed in detail at _[[computable function (analysis)]]_. As such this is a mathematical theory of [[computability]] closely related to [[exact real computer arithmetic]].

## Related concepts

* [[computability]], [[computable function (analysis)]]

* [[domain theory]]

[[!include computable mathematics -- table]]


## References

The original article is

* {#Weihrauch87} [[Klaus Weihrauch]], _Computability_, EATCS Monographs in Theoretical Computer ScienceSpringer Verlag, Berlin Heidelberg (1987)

* [[Klaus Weihrauch]], _A foundation of computable analysis_ in
D.S. Bridges, C.S. Calude, J. Gibbons, S. Reeves, I.H. Witten (eds.), _Combinatorics, complexity and logic, discrete mathematics and computer science_, Proceedings of DMTCS 96, Springer Verlag, Singapore (1997), pp. 66&#8211;89

The equivalence of this to real PCF is shown in 

* Holger Schulz, _Type Two Theory of Effectivity and Real PCF_, Electronic Notes in Theoretical Computer Science Volume 35, 2000, Pages 191&#8211;203

See also

* {#Schroeder04} Matthias Schr&#246;der, _Spaces Allowing Type-2 Complexity Theory Revisited_, 2004 ([pdf](http://homepages.inf.ed.ac.uk/als/Research/Others/schroeder-mlq04.pdf))

[[!redirects Type-2 Theory of Effectivity]]


