
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Constructivism, Realizability, Computability
+-- {: .hide}
[[!include constructivism - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

_Computability theory_ studies [[mathematics|mathematical]] entities that may be obtained by actual [[computation]] (instead of by less concrete proofs of existence). As such computability theory is similar to _[[constructive mathematics]]_ and to _[[realizability]]_; indeed (emphasized e.g. in ([Bauer 05](#Bauer05))):

Computable mathematics is the [[realizability]] [[interpretation]] of [[constructive mathematics]].

Computability theory deals only with computability in principle and disregards the complexity of computation, that is instead the topic of _[[complexity theory]]_.

The key concept in computability theory is that of a _[[computable function]]_, hence of a [[function]] whose output may be determined from its input by an actual [[computation]]. There are two main types of computability, depending on whether one takes the domain and codomain of computable functions to be _finite string_ from a finite alphabet, hence equivalently [[natural numbers]], or _infinite strings_ from a finite interval, hence sequence of natural numbers. 

In the first case -- "type I computability" -- computable functions are [[partial recursive functions]]. In the second -- "type II computability" -- they are [[continuous functions]] on (quotients of) [[Baire space (computability)|Bair space]] (see at _[[computable function (analysis)]]_).

[[!include computable mathematics -- table]]

## Properties

### Relation to intuitionistic mathematics

Computable mathematics is an instance of [[intuitionistic mathematics]] (see e.g. ([Bauer 05, section 4.3.1](#Bauer05))).


## Related concepts

* [[computation]], [[hypercomputation]]

* [[computable real number]]

* [[computable set]]

* [[equilogical space]]

* [[halting theorem]]

* [[persistent homology]]

* [[computable physics]]

* [[descriptive set theory]]

## References

The relation to [[constructive mathematics]] and [[realizability]] is discussed in

* {#Bauer05} [[Andrej Bauer]], _Realizability as connection between constructive and computable mathematics_, in T. Grubba, P. Hertling, H. Tsuiki, and [[Klaus Weihrauch]], (eds.) _CCA 2005 - Second International Conference on Computability and Complexity in Analysis_, August 25-29,2005, Kyoto, Japan, ser. Informatik Berichte, , vol. 326-7/2005. FernUniversität Hagen, Germany, 2005, pp. 378–379. ([pdf](http://math.andrej.com/data/c2c.pdf))

based on 

* {#Bauer00} [[Andrej Bauer]], _The Realizability Approach to
Computable Analysis and Topology_, PhD thesis CMU (2000) ([pdf](http://andrej.com/thesis/thesis.pdf))

* Peter Lietz, _From Constructive Mathematics to Computable Analysis via the Realizability Interpretation_ ([pdf.gz](http://www.mathematik.tu-darmstadt.de/~streicher/THESES/lietz.pdf.gz))


For [[computable analysis]] see

* {#Weihrauch00} [[Klaus Weihrauch]], _Computable Analysis_ Berlin: Springer, 2000

[[!redirects computable mathematics]]

[[!redirects computability theory]]
[[!redirects computability theories]]

[[!redirects recursion theory]]
[[!redirects recursion theories]]
