
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Foundations
+-- {: .hide}
[[!include foundations - contents]]
=--
#### Constructivism, Realizability, Computability
+-- {: .hide}
[[!include constructivism - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The idea of _realizability_ is a way of making the [[Brouwer-Heyting-Kolmogorov interpretation]] of [[constructivism]] and [[intuitionistic mathematics]] precise. It is related to the [[propositions as types]] paradigm. For instance, constructively a [[proof]] of an [[existential quantification]] $\underset{x\in X}{\exists} \phi(x)$ consists of constructing a specific $x \in X$ and a proof of $\phi(x)$, which "realizes" the [[truth]] of the statement, whence the name (see e.g. [Streicher 07, section 1](#Streicher07), [Vermeeren 09, section 1](#Vermeeren09) for introductions to the rough idea, or [Bauer 05, page 12 and def. 4.7](#Bauer05) for an actual definition).


## Related entries

* [[realizability topos]]

* [[realizability model]]

* [[realizability interpretation]]

* [[effective topos]], [[Kleene-Vesley topos]]

[[!include computable mathematics -- table]]


## References

Realizability originates with the interpretation of [[intuitionistic mathematics|intuitionistic]] [[number theory]], later developed as _[[Heyting arithmetic]]_, in

* {#Kleene45} [[Stephen Kleene]], _On the interpretation of intuitionistic number theory_ Journal of Symbolic Logic, 10:109–124, 1945. [link](http://www.jstor.org/stable/2269016)

A historical survey of realizability (including [[realizability topos|categorical realizability]]) is in

* {#vanOosten00} [[Jaap van Oosten]], _Realizability: An Historical Essay_, 2000 ([link](http://www.staff.science.uu.nl/~ooste110/realizability/history.ps.gz))

A quick survey is in

* {#Vermeeren09} [[Stijn Vermeeren]], _Realizability Toposes_, 2009 ([pdf](http://stijnvermeeren.be/download/mathematics/essay.pdf))

being a summary of

* [[Martin Hyland]], _The effective topos_, in The L.E.J. Brouwer Centenary
Symposium (A. S. Toelstra and D. van Dalen, eds.), North-Holland Publishing
Company, 1982, pp. 165–216

A modern textbook account is

* {#vanOosten08} [[Jaap van Oosten]], _Realizability: an introduction to its categorical side_, Studies in Logic and the Foundations of Mathematics, vol. 152, Elsevier, 2008 ([preface pdf](http://www.staff.science.uu.nl/~ooste110/boekbegin.pdf))

Lecture notes include

* {#Streicher07} [[Thomas Streicher]], _Realizability_ (2007/08) ([pdf](http://www.mathematik.tu-darmstadt.de/~streicher/REAL/REAL.pdf))

and

* {#Bauer05} [[Andrej Bauer]], _Realizability as connection between constructive and computable mathematics_, in T. Grubba, P. Hertling, H. Tsuiki, and [[Klaus Weihrauch]], (eds.) _CCA 2005 - Second International Conference on Computability and Complexity in Analysis_, August 25-29,2005, Kyoto, Japan, ser. Informatik Berichte, , vol. 326-7/2005. FernUniversität Hagen, Germany, 2005, pp. 378–379. ([pdf](http://math.andrej.com/data/c2c.pdf))

based on

* {#Bauer00} [[Andrej Bauer]], _The Realizability Approach to
Computable Analysis and Topology_, PhD thesis CMU (2000) ([pdf](http://andrej.com/thesis/thesis.pdf))

* Peter Lietz, _From Constructive Mathematics to Computable Analysis via the Realizability Interpretation_ ([pdf.gz](http://www.mathematik.tu-darmstadt.de/~streicher/THESES/lietz.pdf.gz))


See also


* [[Steven Awodey]], [[Andrej Bauer]], _Sheaf toposes for realizability_ ([pdf](http://www.andrew.cmu.edu/user/awodey/preprints/stfr.pdf))

* Wouter Pieter Stekelenburg, _Realizability Categories_, PhD thesis, Utrecht 2013 ([arXiv:1301.2134](http://arxiv.org/abs/1301.2134))

* [[Martin Hyland]], _Variations on Realizability_ (2000) ([web](http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.22.9507))
