
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Arithmetic
+--{: .hide}
[[!include arithmetic geometry - contents]]
=--
=--
=--



# Contents 
* table of contents 
{:toc} 

## Discussion 

Throughout [[mathematics]] there are various entities referred to as "numbers"; in modern mathematics it would be more accurate to refer to any one of various [[types]] called "number systems", and simply define a *number* to be a [[term]] of such a type. 

A *[[numeral]]* on the other hand is a [[syntax|syntactic]] representation of a number, part of a system of numeration. 

It is interesting to try to describe the general conditions under which something comes to be designated as a "number". After all, such number systems tend to form [[commutative rings]] or at least commutative [[rigs]], but not all commutative rigs are considered to consist of "numbers", or at least that is not how the language is used in practice. 

The root notion, known to the great ancient civilizations and particularly ancient Hellenic civilization, is that of (the system of) [[natural numbers]], and in some way or other each of the various number systems are extensions of that one. If we may attempt a broad classification, qualitatively there are two broad types of number systems: 

* systems of [[transfinite arithmetic|transfinite numbers]] (e.g., cardinal numbers, ordinal numbers, surreal numbers) 

Roughly speaking, transfinite numbers tend to be quantities that measure sizes of elements in ZF-type structures (as in [[algebraic set theory]], or in the study of games in the sense of Conway), sometimes arising through a process of [[decategorification]]. 

* structures arising in [[algebraic number theory]] 

In algebraic number theory, there seem to be two distinct general trends in the creation of new number systems from old (starting from the natural numbers): 

* * Passing to a [[completion]] in some sense 

* * Passing to a *finite* extension of some sort 

For example, one passes from the rig of natural numbers to the ring of integers through additive [[group completion]], or from the [[integral domain]] of integers to the [[field]] of rationals through a [[field of fractions]] completion. Or, one constructs number fields as finite extensions of the field of rational numbers (similarly, algebraic integers $\alpha$ inside such a number field $K/\mathbb{Q}$ as those elements such that $\mathbb{Z}[\alpha]$ is a finite rank extension of $\mathbb{Z}$). Or, one constructs various [[local field]] completions of number fields, based on the [[valuations]] one can define on them; these include the real numbers and complex numbers and $p$-adic numbers. Or, one has various finite-dimensional algebra extensions such systems, including for example the [[quaternions]] (aka Hamiltonian numbers) and [[octonions]] (aka Cayley numbers), and various $p$-adic relatives of these. 

Sometimes one singles out subtypes of such types; for example, the field of all algebraic numbers is the union of all number fields considered within the type of complex numbers. Sometimes numbers are designated according to what they are *not*, for example one speaks of irrational (= non-rational) numbers and of transcendental (= non-algebraic complex) numbers. 

## Links to articles on numbers 

* [[natural number]]

* [[integer number]]

  * [[even number]], [[odd number]]

* [[rational number]]

* [[real number]]

  * [[positive number]], [[negative number]]

* [[irrational number]]

* [[complex number]] 

* [[quaternion]] 

* [[octonion]] 

* [[adic number]] 

* [[cardinal number]] 

* [[ordinal number]] 

* [[surreal number]] 

(...)

[[!redirects numbers]]

