
> This entry is about *the* Baire space of sequences of natural numbers. For another concept of the same name in [[topology]] proper, see at _[[Baire space]]_.

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Constructivism, Realizability, Computability
+-- {: .hide}
[[!include constructivism - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

In the study of [[computability]], [[descriptive set theory]], etc, by _Baire space_ is meant the [[topological space]] $\mathbb{N}^{\mathbb{N}}$ of infinite sequences of [[natural numbers]] equipped with the [[product topology]].

This [[continuous functions]] from Baire space to itself serve the role of _computable functions_ in [[computable analysis]]. See at _[[computable function (analysis)]]_.


## Related concepts

[[!include computable mathematics -- table]]

* [[irrational number]]


## References

Lecture notes include

* {#Bauer05} [[Andrej Bauer]], page 5 and section 5.3.1 of _Realizability as connection between constructive and computable mathematics_, in T. Grubba, P. Hertling, H. Tsuiki, and [[Klaus Weihrauch]], (eds.) _CCA 2005 - Second International Conference on Computability and Complexity in Analysis_, August 25-29,2005, Kyoto, Japan, ser. Informatik Berichte, , vol. 326-7/2005. FernUniversität Hagen, Germany, 2005, pp. 378–379. ([pdf](http://math.andrej.com/data/c2c.pdf))

Textbook accounts include

* {#Weihrauch00} [[Klaus Weihrauch]], section 2.3 of _Computable Analysis_ Berlin: Springer, 2000


[[!redirects Baire space (computability)]]
[[!redirects Baire space (set theory)]]
[[!redirects Baire space (descriptive set theory)]]
[[!redirects Baire space of sequences]]
[[!redirects Baire space of irrational numbers]]
[[!redirects set-theoretic Baire space]]
