
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Analysis
+-- {: .hide}
[[!include analysis - contents]]
=--
#### Constructivism, Realizability, Computability
+-- {: .hide}
[[!include constructivism - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A [[real number object]] [[interpretation|interpreted]] in [[computable mathematics]] (in [[realizability]]) yields the _computable real numbers_ (often just called _computable numbers_). This is a core object in [[computable analysis]]/[[exact analysis]].

Typically a computable real number is an [[algorithm]] that successively produces a sequence of [[rational numbers]] that approximate a given [[real number]] ever more closely.

## Related concepts

* [[exact real computer arithmetic]]

* [[completion monad]]

## References

* {#Weihrauch00} [[Klaus Weihrauch]], section 4.1 of _Computable Analysis_ Berlin: Springer, 2000


* {#Bauer05} [[Andrej Bauer]], section 5.2 of _Realizability as connection between constructive and computable mathematics_, in T. Grubba, P. Hertling, H. Tsuiki, and [[Klaus Weihrauch]], (eds.) _CCA 2005 - Second International Conference on Computability and Complexity in Analysis_, August 25-29,2005, Kyoto, Japan, ser. Informatik Berichte, , vol. 326-7/2005. FernUniversität Hagen, Germany, 2005, pp. 378–379. ([pdf](http://math.andrej.com/data/c2c.pdf))

* Wikipedia, _[Computable number](http://en.wikipedia.org/wiki/Computable_number)_

[[!redirects computable real numbers]]

[[!redirects computable number]]
[[!redirects computable numbers]]
