
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Topology
+-- {: .hide}
[[!include topology - contents]]
=--
#### Constructivism, Realizability, Computability
+-- {: .hide}
[[!include constructivism - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

A kind of [[topological space]] about which one can reason "effectively", hence [[constructive mathematics|constructively]]. Used in [[computable analysis]], see at _[[computable function (analysis)]]_.


## Related concepts

* [[formal topology]] Every effective topological space $X$ defines a formal space. If $X$ is 'constructively complete', then the formal points of $X$ coincide with its effective points; see [Spreen10](#Spreen10).
* [[equilogical space]]


## References

* Dieter Spreen, _On effective topological spaces_, The Journal of Symbolic Logic, Vol. 63, No. 1, Mar., 1998  ([JSTOR](http://www.jstor.org/stable/2586596))

* {#Spreen10} Dieter Spreen, Effectively Given Spaces, Domains, and Formal Topology, 2010 [PDF](http://www.uni-siegen.de/fb6/tcs/team/spreen/public/frauenwoerth2010.pdf)

See the references at _[[computable analysis]]_.

Discussion in relation to [[equilogical spaces]] is in

* {#Bauer00} [[Andrej Bauer]], section 4.1.2 _The Realizability Approach to
Computable Analysis and Topology_, PhD thesis CMU (2000) ([pdf](http://andrej.com/thesis/thesis.pdf))

With an eye twoards application in [[computable physics]] the definition also appears as def. 2.2 in

* {#WeihrauchZhong02} [[Klaus Weihrauch]],  Ning Zhong, _Is wave propagation computable or can wave computers beat the Turing machine?_, Proc. of the London Math. Soc. (3) 85 (2002) ([web](http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.95.5994))


[[!redirects effective topological spaces]]