
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
=--
=--

This page collects links related to the text

* [[Ludwig Wittgenstein]], 

  _Logisch-Philosophische Abhandlung_ (1921), published in English as

  _Tractatus Logico-Philosophicus_ (1922)

  ([Wikipedia entry](http://en.wikipedia.org/wiki/Tractatus_Logico-Philosophicus)).

The text deals with [[ontology]] and [[formal logic]] but, arguably, also is concerned with ethics as pointed out by ([Cora Diamond](#Diamond00)) and [Wittgenstein himself](#Wittgenstein19):

> der Sinn des Buches ist ein Ethischer. Ich wollte einmal in das Vorwort einen Satz geben, der nun tatsächlich nicht darin steht, den ich Ihnen aber jetzt schreibe, weil er Ihnen vielleicht ein Schlüssel sein wird: Ich wollte nämlich schreiben, mein Werk bestehe aus zwei Teilen:
aus dem, der hier vorliegt, und aus alledem, was ich _nicht_ geschrieben habe. Und gerade dieser zweite Teil ist der Wichtige. Es wird nämlich das Ethische durch mein Buch gleichsam von Innen her begrenzt; und ich bin überzeugt, dass es, _streng, nur so_ zu begrenzen ist.

> the book's point is ethical. I once meant to include in the preface a sentence which is not in fact there now, but which I will write out for you here, because it will perhaps be a key for you. What I meant to write then was this: my work consists of two parts: the one presented here plus all that I have _not_ written. And it is precisely this second part that is the important one. For the ethical gets its limit draw from the inside, as it were, by my book; and I am convinced that this is the _only rigorous_ way of drawing that limit.

This quote gives a taste of the problems encountered by any attempt to give an in-depth interpretation of Wittgenstein and the Tractatus in particular.
It therefore may not seem surprising that the Tractatus has been related to [[mysticism]], see ([McGuinnes66](#McGuinnes66)).

## Contents

The book states seven "propositions" (with sub-propositions):

1. The world is everything that is the case.

1. What is the case (a fact) is the existence of states of affairs.

1. A logical picture of facts is a thought.

1. A thought is a proposition with a sense.

   {#4.11} 4.11 The totality of true propositions is the whole of natural science (or the whole corpus of the natural sciences).

1. A proposition is a truth-function of elementary propositions. (An elementary proposition is a truth-function of itself.)

1. The general form of a proposition is the general form of a truth function, ...

1. Whereof one cannot speak, thereof one must be silent.

## Formal Logic

Wittgenstein suggest a new formal language that he puts in contrast to Russell's type theoretic system elaborated in the famous [[Principia Mathematica]], which he criticizes.
Russell in turn took Wittgenstein's suggestions serious giving an interpretation of them, first, in his introduction to the English translation of the Tractatus, which in the Anglo-Saxon reception has become almost a part of early Wittgenstein's magnum opus itself, and, second, in an appendix to a later edition of the Principia Mathematica.

The meaning of Wittgenstein's formal system remains disputed to this day, e.g. ([Wehmeier11](#Wehmeier11)).

## References

An expandable/collapsable online version (Pears/McGuinness English translation) is at

* [tractatuslogico-philosophicus.com](http://www.tractatuslogico-philosophicus.com/)

A side-by-side version of the German original and the Ogden/Ramsey and Pears/McGuinness English translations is at

* [Ludwig Wittgenstein: Tractatus Logico-Philosophicus Side-by-Side-by-Side Edition](http://people.umass.edu/klement/tlp/)

An edition which emphasises the tree structure of the work is

* [The Tractatus According to Its Own Form](http://www.lulu.com/spotlight/wittgensteinL) edited by Lucianno Bazzocchi,its [preface](http://www.bazzocchi.net/wittgenstein/tractatus/eng/preface.pdf) by Giovanna Corsi, and an [online version](http://www.bazzocchi.net/wittgenstein/tractatus/eng/index.htm).

* {#Diamond00}Cora Diamond, _Ethics, imagination and the method of Wittgenstein's Tractatus_

{#Wittgenstein19}Wittgenstein wrote that in a letter to Ludwig von Ficker in 1919, quoted from

* Joachim Schulte, _Wittgenstein -- Eine Einführung_, 1989

* Brian McGuinnes, _The mysticism of the tractatus_, 1966, published several times (including a German translation) for instance more recently as a chapter _Mysticism_ in

* Brian McGuinnes, _Approaches to Wittgenstein_, 2002

* {#Russell10}Bertrand Russell, _[[Principia Mathematica]]_, 1910

* Kai F. Wehmeier, _Wittgensteinian Predicate Logic_ , Notre Dame J. Formal  Logic **45** no.1 (2004) pp.1-11. ([projecteuclid](http://projecteuclid.org/euclid.ndjfl/1094155275))

* {#Wehmeier11}Wehmeier, Vortrag _The First-Order Logic of the Tractatus_, [Video](https://www.youtube.com/watch?v=e75U1fgBC6g)

category: reference