
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Gravity
+-- {: .hide}
[[!include gravity contents]]
=--
#### Constructivism, Realizability, Computability
+-- {: .hide}
[[!include constructivism - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}


## Idea

It has been argued that there are [[spacetimes]] which are such that they allow [[trajectories]] on which a [[computation|computing device]] could travel indefinitely together with spacetime points at which an observer could observe the whole infinite history of the computer in finite time. If this indeed were physically realizable it would to some extent physically implement what is called _[[hypercomputation]]_. This would contradict, to some extent, the [[physical Church-Turing thesis]], which asserts that no physical process can realize a computer more powerful than a Turing machine.

## References

Original articles include

* M. Hogarth, _Does General Relativity Allow an Observer to View an Eternity in a Finite Time?_, Foundations of Physics Letters, 5, 173–181 (1992)

Reviews include

* Wikipedia, _[Malament–Hogarth spacetime](http://en.wikipedia.org/wiki/Malament-Hogarth_spacetime)_ 

See also

* [[Gabor Etesi]], Istvan Nemeti, _Non-Turing computations via Malament-Hogarth space-times_, Int.J.Theor.Phys. 41 (2002) 341-370 ([arXiv:gr-qc/0104023](http://arxiv.org/abs/gr-qc/0104023))

Discussion relating to the [[cosmic censorship hypothesis]] is in

* {#Etesi12} [[Gabor Etesi]], _A proof of the Geroch-Horowitz-Penrose formulation of the strong cosmic censor conjecture motivated by computability theory_ ([arXiv:1205.4550](http://arxiv.org/abs/1205.4550))

[[!redirects Malament–Hogarth spacetimes]]