
# Local categories
* table of contents
{: toc}

## Idea and warning

Here we study the notion of local category and a different notion of local Grothendieck category. Local Grothendieck category is not simply Grothendieck
category which is local in above sense, but has a different definition. However, both notions have the category of modules over a local commutative unital ring as the main example. 


## Definitions

(RosenbergSpectraNSp 1.1) A category $C$ is __local__ if the full subcategory generated by all objects which are not initial, has itself an initial object. In particular, every local category has initial objects. 

The center of a local category $C$ 
which is Abelian (that is the ring of 
endomorphisms of the identity functor of $C$)
is a commutative [[local ring]].

(RosenbergSpectraNSp 1.2) The __local spectrum__ of an arbitrary small category $C$ is the full subcategory $\mathfrak{Spec}^1(C)\hookrightarrow C$ whose objects are all $x$ in $Ob C$ such that the [[undercategory]] $x\backslash C$ is local. 

(Popescu 4.20) A __local Grothendieck category__ is a Grothendieck category (= Ab5-category with a generator) $A$ 
having a simple object $S$ whose [[injective envelope]] $E(S)$
is a cogenerator of $A$. 

Let $R$ be a unital ring, and ${}_R Mod$ the category of left $R$-modules. Following (Goldman 1969), define a __left prime__ (left prime system) a [[Gabriel filter]] such that the corresponding Gabriel localization is a local Grothendieck category. All left primes form another spectrum, $Spel(R)$. Regarding that Gabriel filters of left ideals correspond to localizing subcategories of the category of left modules, it is obvious how to generalize this. 
Following Popescu, a [[localizing subcategory]] $T$ of any 
Grothendieck category $A$ is a __prime localizing subcategory__ if the Serre quotient category $A/T$ is local Grothendieck category. Prime localizing subcategories form
certain spectrum. 


## Literature

* (RosenbergSpectraNSp) A. L. Rosenberg, _Spectra of noncommutative spaces_, MPIM2003-110 [ps](http://www.mpim-bonn.mpg.de/preblob/1946) [dvi](http://www.mpim-bonn.mpg.de/preblob/1945) (2003)
* N. Popescu, _Abelian categories with applications to rings and modules_, London Math. Soc. Monographs 3, Academic Press 1973. xii+467 pp. MR0340375
* N. Popescu, _Le spectre a gauche d'un anneau_, J. Algebra __18__ (1971), 213-228.
* (Goldman 1969) O. Goldman, _Rings and modules of quotients_, J. Algebra __13__, 1969 10--47, [MR245608](http://www.ams.org/mathscinet-getitem?mr=245608), [doi](http://dx.doi.org/10.1016/0021-8693%2869%2990004-0)


category: algebra

[[!redirects local category]]
[[!redirects local categories]]

[[!redirects local Grothendieck category]]
[[!redirects local Grothendieck categories]]
