
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Index theory
+-- {: .hide}
[[!include index theory - contents]]
=--
#### Riemannian geometry
+--{: .hide}
[[!include Riemannian geometry - contents]]
=--
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The _Stolz conjecture_ (also: Stolz-[[Gerald Höhn|Höhn]] conjecture) due to ([Stolz 96](#Stolz96)) asserts that if $X$ is a [[closed manifold]] with [[String structure]] which furthermore admits a [[Riemannian metric]] with [[positive number|positive]] [[Ricci curvature]], then its Witten genus 
vanishes.

See ([Dessai](#Dessai)) for a review.

## Motivation

One part of the reasoning that motivates the conjecture is the idea that [[string geometry]] should be a "[[looping and delooping|delooping]]" of [[spin geometry]], and that the [[Witten genus]] is roughly like the [[index of a Dirac operator]] on [[loop space]]. Now for [[spin geometry]] the [[Lichnerowicz formula]] implies that for [[positive number|positive]] [[scalar curvature]] there are no harmonic [[spinors]] on a [[Riemannian manifold]] $X$, and hence that the [[index]] of the [[Dirac operator]] vanishes. One might then expect that there is a sensible concept of scalar curvature of [[smooth loop space]] $\mathcal{L} X$ obtained by integrating the [[Ricci curvature]] on $X$ along loops ([[transgression]]). Therefore in this reasoning a positive [[Ricci curvature]] of $X$ would imply a positive [[scalar curvature]] of the [[smooth loop space]] $\mathcal{L}X$, thus a vanishing of the [[index]] of the "Dirac operator on loop space", hence a vanishing of the Witten genus.

## Evidence

### From perturbation theory

The [[Witten genus]] is by construction the [[partition function]] of the [[heterotic string]], in the [[large volume limit]]. One may further approximate this in [[perturbation theory]]. Working equivalently with the [[2d (2,0)-superconformal QFT]] in perturbation theory, one may say something. A decent review is in ([Yagi 10](#Yagi10)).

## Related concepts

* [[p-curvature]]

## References

The original article is

* {#Stolz96} [[Stephan Stolz]], _A conjecture concerning positive Ricci curvature and the Witten genus_, Mathematische Annalen Volume 304, Number 1 (1996)

Reviews include

* {#Dessai} [[Anand Dessai]], _Some geometric properties of the Witten genus_ ([[DessaiWittenGenus.pdf:file]])

Discussion in the context of [[perturbation theory]] for the [[2d (2,0)-superconformal QFT]] includes

* {#Yagi10} [[Junya Yagi]], _Vanishing Chiral Algebras and Höhn-Stolz Conjecture_ ([arXiv:1002.0028](http://arxiv.org/abs/1002.0028))


[[!redirects Stolz-Höhn conjecture]]
[[!redirects Stolz-Hoehn conjecture]]
[[!redirects Stolz-Hoehn conjecture]]
