
> This entry is about the basic notion of "source" in [[category theory]]. For another use in category theory see at _[[sink]]_ and for the use in [[physics]] see at _[[source field]]_. There is also [[source forms]] in [[variational calculus]].

***

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Category theory
+-- {: .hide}
[[!include category theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc} 

## Definition

The **source object**, or simply **source**, of a [[morphism]] $f: x \to y$ in some [[category]] $C$ is the [[object]] $x$.  The source of $f$ is also called its _[[domain]]_, although that can be confusing in categories of [[partial functions]].

Given a [[small category]] $C$ with set of objects $C_0$ and set of morphisms $C_1$, the **source function** of $C$ is the function $s: C_1 \to C_0$ that maps each morphism in $C_1$ to its source object in $C_0$.

Generalising this, given an [[internal category]] $C$ with object of objects $C_0$ and object of morphisms $C_1$, the **source morphism** of $C$ is the morphism $s: C_1 \to C_0$ that is part of the definition of internal category.

Warning: there is another meaning of 'source' in category theory; see [[sink]].

## Related concepts

* [[target]], [[codomain]]

* [[simplicial identities]]


[[!redirects source object]]
[[!redirects sources]]