
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Quantum field theory
+--{: .hide}
[[!include functorial quantum field theory - contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

By embedding [[quantum field theories]] into [[string theory]]  -- typically as the [[worldvolume]] theories of various [[branes]], e.g. [[super Yang-Mills theory]] on [[D-branes]], [[6d (2,0)-superconformal QFT]] on [[M5-branes]], or else at [[O-planes]] -- the various [[duality in string theory|dualities of string theory]] will relate different QFTs in way that are typically far from obvious from just looking at these QFTs themselves. 

The investigation specifically of [[N=2 D=4 super Yang-Mills theory]] and [[N=1 D=4 super Yang-Mills theory]] in this fashion has come to be known as _geometric engineering of quantum field theory_ ([Katz-Klemm-Vafa 97](#KatzKlemmVafa97), [Katz-Klemm 96](#KatzKlemm96) ).

Specifically, the geometrically engineered QFTs are those on the [[worldvolume]] of [[black brane|black]] [[D-branes]] that end on (are suspended between) [[black brane|black]] [[NS5-branes]] (due to [Hanany-Witten 97](#HananyWitten97), review includes [Fazzi 17](#Fazzi17)). See at _[D-branes ending on NS5-branes](NS5-brane#DBranesEndingOnNS5Branes)_.


<img src="https://ncatlab.org/nlab/files/HananyWittenConfig.png" />

> graphics grabbed from [Fazzi 17, p. 25](#Fazzi17)


<img src="https://ncatlab.org/nlab/files/HananyWittenConfigII.png" />

> graphics grabbed from [Fazzi 17, p. 32](#Fazzi17)


For more relations between QFTs found via string theory see at _[[string theory results applied elsewhere]]_.

## Related concepts

* [[quiver gauge theory]]

* [[M-theory on G2-manifolds]]

## References

The original articles are

* {#KatzKlemmVafa97} [[Sheldon Katz]], [[Albrecht Klemm]], [[Cumrun Vafa]], _Geometric Engineering of Quantum Field Theories_  Nucl.Phys. B497 (1997) 173-195 ([arXiv:hep-th/9609239](http://arxiv.org/abs/hep-th/9609239))

* {#KatzKlemm96} [[Sheldon Katz]], [[Cumrun Vafa]], _Geometric Engineering of $N=1$ Quantum Field Theories_, Nucl.Phys. B497 (1997) 196-204 ([arXiv:hep-th/9611090](http://arxiv.org/abs/hep-th/9611090))

* {#HananyWitten97} [[Amihay Hanany]], [[Edward Witten]], _Type IIB Superstrings, BPS Monopoles, And Three-Dimensional Gauge Dynamics_, Nucl. Phys. B492:152-190, 1997 ([arXiv:hep-th/9611230](https://arxiv.org/abs/c))


Reviews include

* Andreas Karch, _Field Theory Dynamics from Branes in String Theory_, PhD thesis (1998) [pdf](http://edoc.hu-berlin.de/dissertationen/physik/karch-andreas/PDF/Karch.pdf)

* [[David Morrison]], _Limitations of Geometric Engineering:
Implications for Model Building_, talk (2008) [pdf slides](http://hans.math.upenn.edu/StringPhenom2008/slides/d.morrison.pdf)

* {#Fazzi17} [[Marco Fazzi]], _Higher-dimensional field theories from type II supergravity_ ([arXiv:1712.04447](https://arxiv.org/abs/1712.04447))

Further developments are in

* [[Balázs Szendrői]], _Nekrasov's Partition Function and Refined Donaldson&#8211;Thomas Theory: the Rank One Case_,  SIGMA, 2012, Volume 8, 088  ([web](http://www.mathnet.ru/php/archive.phtml?wshow=paper&jrnid=sigma&paperid=765&option_lang=eng))


[[!redirects geometric engineering]]

[[!redirects geometric engineering of quantum field theories]]
