
#Contents#
* table of contents
{:toc}

## Idea

The field of _quantum biology_ studies non-trivial effects of [[quantum mechanics]] in biological systems, typically in molecular biology.

To the extent that biology is based on [[chemistry]] it is ultimately based on [[quantum chemistry]]. But since biological systems are typically "warm" and "wet" relative to the cold and evacuated experimental setups in which quantum effects are usually seen and studied, quantum effects beyond those that account for the existence of [[molecules]] etc. in the first place have been thought and argued to be generally negligible in biology. But there is evidence that some key mechanisms in biology do rely on macroscopic quantum coherence/[[quantum superposition]] in a crucial way.

This includes notably [[photosynthesis]] which has been argued to depend, if not qualitatively at least quantitatively, on macroscopic [[quantum entanglement]]/[[quantum superposition]] ([SIFW 10](#SIFW10)).

Very speculative but prominently promoted by mathematician [[Roger Penrose]], based on joint work with [[Stuart Hameroff]], is the idea that macroscopic quantum supersoposition in [[microtubules]] in [[neurons]] is the source of the still mostly mysterious characteristic 40[[Hz]] [[oscillations]] seen in brain [[EEG]]s. (In fact [[Penrose]] goes much further and suggests that collapse of this superposition by [[quantum gravity]] effects is a source of non-[[computability]] in [[physics]] and also somehow the source of [[conciousness]] in [[biology]], see at _[orch OR](http://en.wikipedia.org/wiki/Orchestrated_objective_reduction)_ for further pointers on this).

## Related concepts

* [[quantum chemistry]]


## References

The suggestion that quantum biology is relevant for fundamentally understanding life goes back all the way to

* [[Erwin Schrödinger]], _What is life?_ Cambridge, 1944.

Discussion of relevance of macroscopic quantum entabglement in photosynthesis includes

* {#SIFW10} Mohan Sarovar, Akihito Ishizaki, Graham R. Fleming, ; K. Birgitta Whaley,   _Quantum entanglement in photosynthetic light-harvesting complexes_ Nature Physics 6 (6): 462–467 (2010) ([arXiv:0905.3787](http://arxiv.org/abs/0905.3787))

