
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The (weak or strong) _cosmic censorship hypothesis_ is a [[conjecture]] due [[Roger Penrose]] in the [[theory (physics)|theory]] of [[Einstein]]-[[gravity]] ([[general relativity]]) saying that under physically reasonable conditions all [[singularities]] in [[spacetime]] have to be behind an [[event horizon]].

The weak cosmic censorship conjecture has many counterexamples in [[dimension]] $d \geq 5$. In ([Crisford-Santos 17](#CrisfordSantos17)) finally a counterexample in $d = 4$ was found. The counterexample involves large [[electromagnetic field]] contributions in [[Einstein-Maxwell theory]].

Hence if the cosmic censorship hypothesis is to become true, it needs to add some assumption on the nature of the extra [[force]] fields besides [[gravity]].

[[Cumrun Vafa]] has argued that the _[[weak gravity conjecture]]_ will save the cosmic censorship conjecture. The weak gravity conjecture says that in consistent theories of [[quantum gravity]] the gravitational force exerted by any object (e.g. a [[black hole]]) has to be weaker, in suitable units, than any other force. As discussed in ([Crisford-Santos 17](#CrisfordSantos17)) it seems plausible that this constraint would indeed rule out the counterexample constructed there:

> Subsequent calculations by Santos and Crisford supported Vafa’s hunch; the simulations they’re running now could verify that naked singularities become cloaked in black holes right at the point where gravity becomes the weakest force. ([Wolchover, June 20 2017](https://www.quantamagazine.org/where-gravity-is-weak-and-naked-singularities-are-verboten-20170620/))


The [[weak gravity conjecture]] was motivated from [[string theory]], where there are various plausibility arguments that it holds.

## Related concepts

* [[Penrose singularity theorem]]

* [[weak gravity conjecture]]

## References

A formalization and proof of one version of the hypothesis, and discussion of relation to [[computability in physics]] and [[Malament–Hogarth spacetimes]] is in

* {#Etesi12} [[Gabor Etesi]], _A proof of the Geroch-Horowitz-Penrose formulation of the strong cosmic censor conjecture motivated by computability theory_ ([arXiv:1205.4550](http://arxiv.org/abs/1205.4550))

A counterexample in 4 dimensions was found in

* {#CrisfordSantos17} Toby Crisford, Jorge E. Santos, _Violating weak cosmic censorship in AdS$_4$_, Phys. Rev. Lett. 118, 181101 (2017) ([arXiv:1702.05490](https://arxiv.org/abs/1702.05490))

See also

* Wikipedia, _[Cosmic censorship hypothesis](http://en.wikipedia.org/wiki/Cosmic_censorship_hypothesis)_

[[!redirects cosmic censorship hypotheses]]

[[!redirects cosmic censorship]]

[[!redirects weak cosmic censorship conjecture]]
[[!redirects weak cosmic censorship conjectures]]
