
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Higher spin geometry
+-- {: .hide}
[[!include higher spin geometry - contents]]
=--
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The 0-mode of the [[supercharge]] in a [[2d SCFT]] (an operator in a ([[sheaf of vertex operator algebras|sheaf of]]) [[super vertex operator algebra]]) behaves like a higher dimensional analog of the operator $D$ in a [[spectral triple]], hence the supercharge in [[supersymmetric quantum mechanics]]. Specifically for a [[sigma-model]] 2d SCFT induced from some [[target space]] geometry it is a higher version of a [[Dirac operator]] on that space (roughtly like what one would expect of a [[Dirac operator on a smooth loop space]]). This is called the _Dirac-Ramond operator_ (after [[Pierre Ramond]]).

The [[index]] of the [[large volume limit]] of the Dirac-Ramond operator is what is now known as the [[Witten genus]] (but in fact the original article ([Alvarez-Killingback-Mangano-Windey 87](#AlvarezKillingbackManganoWindey87)
) appeared independently almost in parallel of Witten's discussion).



## Related concepts

* [[2-spectral triple]]

* [[string structure]], [[twisted string structure]]

* [[Dirac operator on smooth loop space]]

[[!include genera and partition functions - table]]

## References

The Dirac-Ramond operator ofriginates with the early beginning of [[superstring]] models, when they were still called _[[spinning strings]]_. See there for references.

The Dirac-Ramond operator gained more attention in pure mathemaitcs when it was found that the [[large volume limit]]  of its [[index]], when properly construed, is a universal [[elliptic genus]], now known as the [[Witten genus]]. See there for more references. 

Articles that explicitly consider the Dirac-Ramon operator in this context include

* {#AlvarezKillingbackManganoWindey87} [[Orlando Alvarez]], T. P. Killingback, Michelangelo Mangano, and Paul Windey, _The Dirac-Ramond operator in string theory and loop space index theorems_, Nuclear Phys. B Proc. Suppl., 1A:189–215, 1987. Nonperturbative methods in field theory (Irvine, CA, 1987)., also: Comm. Math. Phys. Volume 111, Number 1 (1987), 1-160 ([Ecudid](http://projecteuclid.org/euclid.cmp/1104159462))

* {#Landweber99} [[Gregory Landweber]], _Dirac operators on loop space_ PhD thesis (Harvard 1999) ([pdf](http://math.bard.edu/greg/LoopDirac.pdf))

* [[Orlando Alvarez]], [[Paul Windey]], _Analytic index for a family of Dirac-Ramond operators_, Proc. Natl. Acad. Sci. USA, 107(11):4845–4850, 2010



[[!redirects Dirac-Ramond operators]]