
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Spin geometry
+-- {: .hide}
[[!include higher spin geometry - contents]]
=--
#### Index theory
+-- {: .hide}
[[!include index theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}


## Idea

The traditional definition of a [[Dirac operator]] is formulated for operators acting on [[sections]] of [[spinor bundles]] over [[Riemannian manifolds]], not however directly for bundles over [[infinite dimensional manifolds]].

When the conceptual importance of the [[Dirac-Ramond operator]] in the [[superstring]] [[worldsheet]] [[2d SCFT]] was realized (an operator in a ([[sheaf of vertex operator algebras|sheaf of]]) [[super vertex operator algebra]]) via the relation in the [[large volume limit]] of its [[index]] (suitably regarded) to the [[Witten genus]], then it seemed suggestive that it should be possible to regard the Dirac-Ramond operator as an actual Dirac operator on the infinite-dimensional [[smooth loop space]] of the underlying manifold, and regard its $S^1$-equivariant [[index of a Dirac operator]] in some precise sense.

A Dirac operator on smooth loop space would also serve to make precise the sense in which [[superstring]] quantum dynamics is [[supersymmetric quantum mechanics]] on [[smooth loop space]], an observation that initially motivated the work by [[Witten]] on supersymmetric quantum mechanics.

The definition of Dirac operators on smooth loop spaces is technically tricky, but constructions do exist. It remains however unclear how these constructions relate to the [[Dirac-Ramond operator]] and a rigorous derivation of the [[Witten genus]] as an (equivariant) [[index of a Dirac operator]] along these lines seems to remain open.


## References

The motivation for constructing Dirac operator on smooth loop spaces is mainly due to the observations about the universal [[elliptic genus]] (the [[Witten genus]]) in

* {#Witten87b} [[Edward Witten]], _The Index Of The Dirac Operator In Loop Space_ Proc. of Conf. on Elliptic Curves and Modular Forms in Algebraic Topology Princeton (1986) ([spire](http://inspirehep.net/record/245523))

### On formal loop space

Since either due to arguing that $S^1$-equivariance localizes the [[index]] of a loop space Dirac operator on constant loops, or else arguing that it sees only the "[[large volume limit]]", it is only the [[formal loop space]] that actually enters the computation of the [[Witten genus]]. Therefore large parts of this literature focus on some version of this [[formal loop space]] while often still speaking of just "loop space". This includes the early articles

* {#Taubes} C.H. Taubes, _$S^1$-actions and elliptic genera_, Communications in mathematical physics **122** (1989), no. 3, pages 455-526, doi:[10.1007/BF01238437](https://dx.doi.org/doi:10.1007/BF01238437).

* {#Brylinski90} [[Jean-Luc Brylinski]], _Representations of loop groups, Dirac operators on loop space, and modular forms_, Topology, 29(4):461–480, (1990) doi:[10.1016/0040-9383(90)90016-D](http://dx.doi.org/10.1016/0040-9383(90%2990016-D)


* J. D. S. Jones and R. L&eacute;andre. _A stochastic approach to the Dirac
operator over the free loop space_, Tr.Mat. Inst. Steklova, 217(Prostran.
Petel i Gruppy Diffeomorf.):258–287, 1997

* {#Landweber99} [[Gregory Landweber]], _Dirac operators on loop space_ PhD thesis (Harvard 1999) ([pdf](http://math.bard.edu/greg/LoopDirac.pdf))

Via the [relation of formal loop space to chiral differential operators](formal+loop+space#RelationToChiralDifferentialOperators) similar comments apply modern "geometric" constructions of the [[Witten genus]] in terms of [[sheaves of vertex operator algebras]] of [[chiral differential operators]] and similar.


### On genuine smooth loop space

One construction (and hence possibly the only available) that produces an operator genuinely on the full [[smooth loop space]] over a manifold with [[string structure]] and with [[symbol of a differential operator|symbol]] as it should be for a [[Dirac operator]] is given in

* [[Andrew Stacey]], _The co-Riemannian Structure of Smooth Loop Spaces_ ([arXiv:0809.3108](http://arxiv.org/abs/0809.3108)) and _How to Construct a Dirac Operator in Infinite Dimensions_ ([arXiv:0809.3104](http://arxiv.org/abs/0809.3104))




[[!redirects Dirac operator on a smooth loop space]]

[[!redirects Dirac operators on a smooth loop space]]

[[!redirects Dirac operators on smooth loop space]]

[[!redirects Dirac operators on smooth loop spaces]]


[[!redirects Dirac operator on loop space]]
[[!redirects Dirac operators on loop space]]
[[!redirects Dirac operators on loop spaces]]