
# Grothendieck inequality
* table of contents
{: toc}

## Statement

Let $B$ be the [[unit ball]] of a [[separable space|separable]] [[Hilbert space]] over the [[real number|real]] or [[complex number|numbers]]. Then the [[inner product|scalar product]], $\langle\cdot,\cdot\rangle : B \times B \to \mathbb{C}$ has the following special property:

+-- {: .num_theorem}
###### Theorem

There exist [[infinite sequence|sequences]] $f_n,g_n: B \to \mathbb{C}$ of [[norm topology|norm]]-[[continuous functions]], such that
* $\langle x, y \rangle = \sum_n f_n(x) g_n(y)$ for all $x, y \in B$
* $\sum_n \sup_B \left| f_n \right| \sup_B \left| g_n \right| &lt; \infty$
=--

In other words, $\langle\cdot,\cdot\rangle$, as a [[function of two variables]], is an element of the [[projective tensor product]] $C(B) {\displaystyle\hat{\otimes}} C(B)$. Its [[projective tensor norm]] is known as __Grothendieck's constant__. The precise value of this constant is different in the real and complex case, and neither one is known exactly.


## References

A very nice proof and some applications of this result are discussed in

* Ron Blei, _Analysis in integer and fractional dimensions_.


[[!redirects Grothendieck inequality]]

[[!redirects Grothendieck constant]]
[[!redirects Grothendieck's constant]]
[[!redirects Grothendieck’s constant]]
[[!redirects Grothendieck\'s constant]]
