
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

_BICEP2_  (for "Background Imaging of Cosmic Extragalactic Polarization") is the name of an astrophysical [[experiment]] (their [webpage](http://www.cfa.harvard.edu/CMB/bicep2/)) which released its data in March 2014. The experiment claims to have detected a pattern called the "B-mode" in the polarization of the [[cosmic microwave background]] (CMB). 

### Claims

This data, if confirmed, would have been likely due to a [[gravitational wave]] mode created during the period of [[cosmic inflation]] by a [[vacuum fluctuation]] in the [[field (physics)|field]] of [[gravity]] which then at the era of decoupling left the characteristic B-mode imprint on the CMB. This fact alone was regarded as further strong evidence for the already excellent experimental evidence for [[cosmic inflation]] as such (competing models did not predict such gravitational waves to be strong enough to be detectable in this way).

What would have singled out the BICEP2 result over previous confirmations of cosmic inflation is that the data also gives a quantitative value for the [[energy]] scale at which cosmic inflation happened (the [[mass]] of the hypothetical [[inflaton]]), namely at around $10^{16}$[[GeV]]. This is noteworthy as being only two order of magnituded below the [[Planck scale]], and hence 12 or so orders of magnitude above energies available in current accelerator [[experiments]] (the [[LHC]]). Also, it is at least a curious coincidence that this is precisely the hypothetical [[GUT]] scale.

It was thought that this value rules out a large number of variant models of [[cosmic inflation]] and favors the model known as _[[chaotic inflation]]_.

### Problems

Further measurement by the [Planck collaboration](#Planck) showed that much of the signal claimed by BICEP2 is naturally explained just by galactic dust forground, see [below](#Resonaances). Further measurements seem to be needed to clarify the situation.

## Related entries


## References

* [BICEP2 webpage](http://www.cfa.harvard.edu/CMB/bicep2/)

* [general BICEP webpage](http://bicep.caltech.edu/public/

* {#Planck} [Planck collaboration webpage](http://sci.esa.int/planck/)

* {#Resonaances} Resonaances, _[BICEP: what was wrong and what was right](http://resonaances.blogspot.de/2014/09/bicep-what-was-wrong-and-what-was-right.html)_

* _A Joint Analysis of BICEP2/Keck Array and Planck Data_ ([arXiv:1502.00612](http://arxiv.org/abs/1502.00612))

[[!redirects bicep2]]

[[!redirects BICEP2 experiment]]
[[!redirects bicep2 experiment]]