
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

In the [[physics]] of [[cosmology]], what is called _chaotic cosmic inflation_ ([Linde 83](#Linde83)) or _eternal cosmic inflation_ is one variant [[model (physics)|model]] of the [[theory (physics)|physics]] of [[cosmic inflation]].

The name comes about since the model naturally predicts an ambient [[spacetime]] [[manifold]] in which local regions stochastically undergo [[cosmic inflation]]. The idea is that one such region would be what we observe from the inside as our [[observable universe]].  This large-scale picture of chaotic inflation has later come to be referred to as a _[[multiverse]]_ (but see the caveats there).

While the theory of [[cosmic inflation]] in general is in excellent agreement with astrophysical [[experiment]], chaotic inflation, which generically predicts large values of the tensor-to-scalar ratio $r$ is disfavored by recent measurements which show low upper bounds on $r$ ([PlanckCollaboration 13](#PlanckCollaboration13), [BICEP2-Keck-Planck 15](#BICEPKeckPlanck15)). (These low values of $r$ instead prefer the [[Starobinsky model of cosmic inflation]].)

## Description

Despite its name and its consequences, chaotic inflation is arguably the most uncontrived model of [[cosmic inflation]], in that (reviewed e.g. in [Linde 02, section II](#Linder02)) it takes the [[potential]] term $V$ of the hypothetical [[inflaton field]]  $\phi$ simply to be parabolic

$$
  V(\phi) \coloneqq \frac{m_\phi^2}{2} \phi^2
$$

hence to be the standard [[mass]] term of a [[scalar field]] ([[phi^2 interaction]]). 

Whereas other inflationary models assume a more monotonely decreasing potential with and assume in an _ad hoc_ way that the inflaton field is to have a large amplitude "at the big bang" to then slowly "roll down" (at each point in spacetime, being a field!) its potential, the idea of ([Linde 83](#Linde83)) is that instead the inflaton by and large sits in its potential minimum in equilibrium, but that [[quantum fluctuations]] stochastically ("chaotically") drive it out of its minimum here and there. Wherever this happens [[cosmic inflation]] sets in and blows up the region of the ambient spacetime in which the inflaton happened to have fluctuated out of its equilibrium.

This idea of "chaotic" inflation driven by vacuum fluctuations of the inflator is in fact not tied to the simple square potential as above, and various variants have been considered, such as a [[Higgs field]]-like potential with a quartic term added.

## Implications


The idea of eternal cosmic inflation has been argued to provide a possible way to conceptualize the measured values of dimensionles  "physical constants", such as the [[fine structure constant]], the [[Yukawa couplings]] and notably the [[cosmological constant]]: for if in the fundamental [[theory (physics)|theory]] these parameters are not really constants but are dynamical [[field (physics)|fields]] that just happen to have constant value ("moduli fields") over large scales, then they might, so the argument, still vary from one "inflationary bubble" to the next. Thereby the idea of eternal inflation combined with that of a fundamental theory that has [[moduli fields]] (such as [[string theory]] with its [[landscape of string theory vacua]]) has been argued to put "physical constants" on the same footing as other more or less random phenomenological parameters, such as for instance the distance of our planets from the sun, etc.

For more on this see at _[[multiverse]]_.


## References

The original article is

* {#Linde83} [[Andrei Linde]], _Chaotic Inflation,_, Phys. Lett. 129B, 177 (1983).
 

Reviews include


* {#Linder02} [[Andrei Linde]], _Inflationary Theory versus Ekpyrotic/Cyclic Scenario_ ([arXiv:hep-th/0205259](http://de.arxiv.org/abs/hep-th/0205259))


* [[Alan Guth]], _Eternal inflation and its implications_ ([arXiv:hep-th/0702178](http://arxiv.org/abs/hep-th/0702178))

* [[Andrei Linde]], _Eternally Existing Self-Reproducing Chaotic Inflationary Universe_ Physics Letters B 175 (4): 395&#8211;400. ([pdf](http://www.stanford.edu/~alinde/Eternal86.pdf))

* Wikipedia, _[Eternal inflation](http://en.wikipedia.org/wiki/Eternal_inflation)_

The relevant experimental results (disfavoring the model) are due to

* {#PlanckCollaboration13} _Planck 2013 results. XXII. Constraints on inflation_ ([arXiv:1303.5082](http://arxiv.org/abs/1303.5082))

* {#BICEPKeckPlanck15} _A Joint Analysis of BICEP2/Keck Array and Planck Data_ ([arXiv:1502.00612](http://arxiv.org/abs/1502.00612))


[[!redirects chaotic inflation]]

[[!redirects eternal cosmic inflation]]
[[!redirects eternal inflation]]