
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The term "multiverse" is used to descibe some picture of [[cosmology]].

### General

On the very largest scales observable in astrophysical [[experiment]], the cosmos is well described by an [[FRW model]] with [[cosmological constant]] $\Lambda$, with plenty of [[dark matter]] and with primordial [[cosmic inflation]] (called the $\Lambda$-CDM "[[standard model of cosmology|concordance model of cosmology]]"). A [[horizon]] in there and everything on smaller scales is the _[[observable universe]]_.

There has never been a reason to assume that beyond this _cosmic horizon_ visible to us today, the cosmos would not extend further. In fact in the simple [[FRW models]] with positive cosmological constant, the [[spacetime]] [[manifold]] is not a [[closed manifold]] and extends indefinitely beyond our observable horizon. This is directly analogous to the ancient mariner who would stand on the deck of his ship and see a few miles of ocean around him. That was the world within his horizon, but there was no telling what lay beyond.

Therefore it is important to distinguish the _observable universe_ from the _universe_ as such. Unfortunately, intellectual laziness tended to ignore this distinction and at some point some people who said "universe" to mean just the stretch of our cosmic horizon felt the need to have a new term for whatever may lie beyond. For better or worse, that new term has become wide-spread these days and is "multiverse". 

### In view of cosmic inflation

The main scientific observation that goes with this is the observation that [[cosmic inflation]] -- for which there is by now excellent and ever increasing [[experiment|experimental]] evidence that indeed it happened -- does, at least by the simple method which is currently used to model it, naturally predict a large ambient space in which local regions stochastically undergo inflationary expansion. This scenario of [[chaotic inflation]] has in fact been singled out as the most likely one (within the standard model) by the [[bicep2]]-[[experiment]] in 2014.

Hence what is called _multiverse_ these days might more sanely have been called _universe with multiple observable regions_ or the like, but the term has seen an immense increase in popularity and is apparently here to stay.

### In view of moduli fields

Another reason why the old speculation (going back at least to [[Giordano Bruno]]) that the [[observable universe]] is but one of many variants in a larger ambient cosmos received more empathetic attention in some corners of fundamental [[physics]] at the beginning of the 21st century is that it was argued to lead to a plausible picture of the apparent lack of the fundamental constants of nature (such as notably the [[cosmological constant]] but also the [[Yukawa couplings]] etc.) to follow any discernible law (see also the "[[hierarchy problem]]").

At the same time there are [[theory (physics)|theories]] of fundamental physics where such apparent "constants" of nature are in fact just the values of "[[moduli fields]]", hence of [[field (physics)|fields]] in the theory whose value however is approximately constant over the [[observable universe]]. Generically [[Kaluza-Klein mechanism|Kaluza-Klein theories]] have this property, and in particular [[string theory]] does.

When the [[landscape of string theory vacua]] was (finally) realized to have no reason to be "small", hence when it was realized that indeed the theory alone did not constrain its moduli fields but allowed all kinds of values for them, then it was argued (first in ([Schellekens 98](#Schellekens98))) that combining this apparent embarrassment of a surplus of theoretically admissible "kinds of universes" with the apparent embarrassment of a surplus of cosmically inflating observable universes together yields a plausible picture: each inflating "bubble" in [[chaotic inflation]] randomly has its [[moduli fields]] determined by the [[vacuum fluctuation]] that gives rise to the inflationary process, and hence literally the [[moduli space]] of "constants/laws of nature" of inhabited by a kind of [[stochastic process]]. The particular value of the [[cosmological constant]] or the [[Yukawa couplings]] which we observe would be just as random (or just as "anthropically" constrained) as, say, the number, nature and distance of the planets in the [[solar system]].

Whatever the status of this story, it is to a large part responsible for the renewed interest in the idea of the "multiverse".

## Critique

From ([Ellis 11](#Ellis11)):

> Similar claims [about a multiverse] have been made since antiquity by many cultures. What is new is the assertion that the multiverse is a scientific theory, with all that implies about being mathematically rigorous and experimentally testable. I am skeptical about this claim. I do not believe the existence of those other universes has been proved&#8212;or ever could be. Proponents of the multiverse, as well as greatly enlarging our conception of physical reality, are implicitly redefining what is meant by 'science.'&#8212;pg 39

> For a cosmologist, the basic problem with all multiverse proposals is the presence of a cosmic visual horizon. The horizon is the limit to how far away we can see, because signals traveling toward us at the speed of light (which is finite) have not had time since the beginning of the universe to reach us from farther out. All the parallel universes lie outside our horizon and remain beyond our capacity to see, now or ever, no matter how technology evolves. In fact, they are to far away to have had any influence on our universe whatsoever. That is why none of the claims made by multiverse enthusiasts can be directly substantiated. &#8212;pg 40-41

> A remarkable fact about our universe is that physical constants have just the right values needed to allow for complex structures, including living things. Steven Weinberg, Martin Rees, Leonard Susskind and others contend that an exotic multiverse provides a tidy explanation for this apparent coincidence: if all possible values occur in a large enough collection of universes, then viable ones for life will surely be found somewhere. This reasoning has been applied, in particular, to explanation the density of the dark energy that is speeding up the expansion of the universe today. I agree that the multiverse is a possible valid explanation for the value of this density; arguably, it is the only scientifically based option we have right now. But we have no hope of testing it observationally. &#8212;pg 42

> All in all, the case for the multiverse is inconclusive. The basic reason is the extreme flexibility of the proposal: it is more a concept than well-defined theory. Most proposals involve a patchwork of different ideas rather than a coherent whole. The basic mechanism for eternal inflation does not itself cause physics to be different in each domain in a multiverse; for that, it needs to be coupled to another speculative theory. Although they can be fitted together, there is nothing inevitable about it. &#8230; Nothing is wrong with scientifically based philosophical speculation, which is what multiverse proposals are. But we should name it for what it is. &#8212;pg 43

> As skeptical as I am, I think the contemplation of the multiverse is an excellent opportunity to reflect on the nature of science and on the ultimate nature of existence: why we are here&#8230; In looking at this concept, we need an open mind, though not too open. It is a delicate path to tread. Parallel universes may or may not exist; the case is unproved. We are going to have to live with that uncertainty. Nothing is wrong with scientifically based philosophical speculation, which is what multiverse proposals are. But we should name it for what it is.

## Related concepts
 {#RelatedConcepts}

* Vaguely related is the [[possible worlds semantics]] in [[modal logic]] for the formalization of [[metaphysics|metaphyisical]] [[necessity]] and [[possibility]]. For instance ([Kripke 80](#Kripke80)) is much concerned with the logic of "[[possible worlds semantics|possible worlds]]".

## References

Apparently the first mentioning of the idea that a multiverse due to [[chaotic inflation]] together with the [[landscape of string theory vacua]] provides a plausible story for the nature of "constants of nature" is due to

* {#Schellekens98} [[Bert Schellekens]], _Naar een waardig slot_, inauguration speech at University of Nijmegen, September 1998, ISBN 90-9012073-4

reproduced as

* {#Schellekens06} [[Bert Schellekens]], _The Landscape "avant la lettre"_ ([arXiv:physics/0604134](http://arxiv.org/abs/physics/0604134))

More recent account of how the relevant community pictures the situation includes

* {#Bousso11} [[Raphael Bousso]], _The State of the Multiverse: The String Landscape, the Cosmological Constant, and the Arrow of Time_, 2011 ([pdf](http://www.ctc.cam.ac.uk/stephen70/talks/swh70_bousso.pdf))

* [[Brian Greene]], _Is our universe the only universe?_, talk at TED2012 ([web](http://www.ted.com/talks/brian_greene_why_is_our_universe_fine_tuned_for_life))

* [[Andrei Linde]], _A brief history of the multiverse_ ([arXiv:1512.01203](https://arxiv.org/abs/1512.01203))

Further and popular expositions include

* {#Ellis11} [[George Ellis]], _Does the multiverse really exist?_, Scientific American, August 2011  ([web](http://www.scientificamerican.com/article/does-the-multiverse-really-exist/)

For more references see at _[[eternal cosmic inflation]]_.

Of course a bunch of links are also here

* Wikipedia, _[Multiverse](https://en.wikipedia.org/wiki/Multiverse)_

though the discussion there seems to show an undue preference of some points of view.

"Possible worlds" in the context of [[logic]] are discussed in [[modal logic]], notably in 

* {#Kripke80} [[Saul Kripke]], _[[Naming and Necessity]]_ (1980)
