
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The [[physics|physical]] [[theory (physics)|theory]] of [[Einstein]]-[[gravity]] ("[[general relativity]]") predicts, via [[Einstein equations|Einstein's equations of motion]], that [[vacuum]] [[spacetime]] may show a kind of oscillations of the [[field]] of [[gravity]] roughly analogous to [[electromagnetic waves]] in [[electromagnetism]]. (Both kinds of waves are oscillation of the [[field (physics)|field]] itself and do not depend on some "medium" such as a water wave does.) In fact, since the [[force]] of [[gravity]] is reflected in the [[pseudo-Riemannian geometry]] of [[spacetime]], a gravitational wave is a kind of periodic distortion of spacetime geometry itself.

## Experimental observation

At the end of the 20th century, there had accumulated excellent but indirect evidence for gravitational waves from the observation of [[binary pulsars]] ([Hulse-Taylor 75](#HulseTaylor75)). Their observed rotational motion loses energy precisely to the extent that [[general relativity]] predicts is being radiated away by gravitational waves.

On 11 Febrary 2016 was the announcement of the first direct detection by the [[LIGO]] collaboration, using laser interferometry, of a gravitational wave signal coming from the in-spiral and merge of a pair of [[black holes]] ([LIGO 2016](#LIGO16)). The signal was a chirp at 35-250 Hz (converted to audio in [this looped recording](https://youtu.be/TWqhUANNFXw)), detected as coming from the sky over the southern hemisphere on 14 September 2015.

Further direct detections of gravitational wave events followed. The event GW170817 [LIGO-Virgo17](LIGOVirgo17) showed gravitational waves from merging [[neutron stars]] coincident with the corresponding [[electromagnetic radiation]].

## Related concepts

* [[electromagnetic wave]]

* [[pp-wave spacetime]]

* [[radiation]]

## References
 {#References}

The first article that correctly derived gravitational waves from the [[Einstein equations]] is 

* {#Einstein18} [[Albert Einstein]], _&#220;ber Gravitationswellen_, Sitzungsberichte der K&#246;niglich Preu&#223;ischen Akademie der Wissenschaften Berlin (1918), 154-167

In particular this correctly stated that gravitational waves require a [[quadrupole moment]] as a [[source]] (e.g. a rotating binary star system) and not just a [[dipole moment]] (e.g. an oscillating charge) as for [[electromagnetic waves]] (the [[graviton]] has [[spin]] 2, the [[photon]] has spin 1...), thereby correcting a mistake to this effect in the earlier article

* {#Einstein16} [[Albert Einstein]], _N&#228;herungsweise Integration der Feldgleichungen der Gravitation_, Sitzung der physikalisch-mathematischen Klasse vom 22. Juni 1916 ([web](http://echo.mpiwg-berlin.mpg.de/ECHOdocuView?url=/permanent/echo/einstein/sitzungsberichte/BGG54UCY/index.meta&ww=0.7142&wh=0.7142&wx=0.2315))

The reality of gravitational wave solutions however kept being a cause of concern for many years (Einstein himself was concerned that the linearization approximation used in their derivation might have been too coarse), for a brief account of the early history see

* {#Steinicke05} [[Wolfgang Steinicke]], _Einstein and the Gravitational waves_, Astron. Nachr. / AN 326 (2005), No. 7 &#8211; Short Contributions AG 2005 K&#246;ln ([pdf](http://www.hs.uni-hamburg.de/DE/GNT/events/pdf/steinicke05.pdf))

* [[Sean Carroll]], _[Einstein vs. Physical Review](http://www.preposterousuniverse.com/blog/2005/09/16/einstein-vs-physical-review/)_, 2005

A modern walk through the derivation of gravitational waves from linearization of [[Einstein's equations]] may be found for instance on pages 5-24 of

* {#Guidry13} Mike Guidry, _[Astrophysics 616: General Relativity, Black Holes, and Cosmology](http://eagle.phys.utk.edu/guidry/astro616/)_ -- _Chapter 21 -- Gravitational waves_ ([pdf](http://eagle.phys.utk.edu/guidry/astro616/lectures/lecture_ch21.pdf))


Indirect detection of gravitational waves based on energy loss of a binary star pulsar system is due to 

* {#HulseTaylor75} Hulse, Taylor, _Discovery of a pulsar in a binary system_, The astrophysical journal, 195:L51-53, 1975 ([web](http://adsabs.harvard.edu/full/1975ApJ...195L..51H))

The first proposal of the [[LIGO]]-type experiment for the detection of gravitational waves is due to 

* M. Gertsenshtein, I. Postivoit, _On the detection of low frequency gravitational waves_, Soviet Physics JETP, volume 16, number 2, 1963 ([pdf](http://www.jetp.ac.ru/cgi-bin/dn/e_016_02_0433.pdf))

Discussion of theoretical predictions for events that have a chance to yield detectable gravitational wave signals includes

* {#Damour10} [[Thibault Damour]], _Gravitational Waves from Coalescing Binary Black Holes: Theoretical and Experimental Challenges_, talk in Munich, 2010 ([web](http://www.theorie.physik.uni-muenchen.de/MATH/seminars/asc_kolloquium/archiv_sose10/damour/video_damour/index.html), [youtube](https://www.youtube.com/watch?v=hVy3YBalpWE))

In particular the computation of the signal from the coalescence of two inspiralling black holes is due to 

* {#BuonannoDamour98} [[Alessandra Buonanno]], [[Thibault Damour]], _Effective one-body approach to general relativistic two-body dynamics_, Phys.Rev. D59 (1999) 084006 ([arXiv:gr-qc/9811091](http://arxiv.org/abs/gr-qc/9811091))

* {#BuonannoDamour00} [[Alessandra Buonanno]], [[Thibault Damour]], _Binary black holes coalescence: transition from adiabatic inspiral to plunge_, IX Marcel Grossmann Meeting in Rome, July 2000 ([arXiv:gr-qc/0011052](http://arxiv.org/abs/gr-qc/0011052))

* {#DamourNagar} [[Thibault Damour]], [[Alessandro Nagar]], _An improved analytical description of inspiralling and coalescing black-hole binaries_, Phys.Rev.D79:081503,2009 ([arXiv:0902.0136](http://arxiv.org/abs/0902.0136))

* {#Damour14} [[Thibault Damour]], [[Alessandro Nagar]], _A new analytic representation of the ringdown waveform of coalescing spinning black hole binaries_, 	10.1103/PhysRevD.90.024054 ([arXiv:1406.0401](http://arxiv.org/abs/1406.0401))


Direct detection of gravitational waves by the [[LIGO]] experiment is reported in 

* {#LIGO16} B.&#8201;P. Abbott et al. ([[LIGO]] Scientific Collaboration and [[Virgo]] Collaboration), _Observation of Gravitational Waves from a Binary Black Hole Merger_, Phys. Rev. Lett. 116, 061102, 11 February 2016, doi:[10.1103/PhysRevLett.116.061102](http://dx.doi.org/10.1103/PhysRevLett.116.061102)


* {#LIGOVirgo17} B.&#8201;P. Abbott et al. ([[LIGO]] Scientific Collaboration and [[Virgo]] Collaboration), _GW170817: Observation of Gravitational Waves from a Binary Neutron Star Inspiral_ Phys. Rev. Lett. 119, 161101, 2017 ([doi:10.1103/PhysRevLett.119.161101](https://doi.org/10.1103/PhysRevLett.119.161101))


Review of the theoretical predictions and their experimental verification is given in

* {#Damour16} [[Thibault Damour]], _Gravitational Waves and Binary Systems_, talk at IHES, Feb 2016 ([video recording](https://www.youtube.com/watch?v=qYong_D4VUI))

See also

* Wikipedia, _[Gravitational wave](https://en.wikipedia.org/wiki/Gravitational_wave)_


[[!redirects gravitational waves]]

[[!redirects gravitational wave spacetime]]
