
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The [[categorification]] of the concept of ([[commutative ring|commutative]]) [[ring]], hence the concept of (commutative) _[[2-ring]]_ in [[homotopy theory]]/[[(∞,1)-category theory]] may be taken to be that of ([[symmetric monoidal (infinity,1)-category|symmetric]]) [[monoidal (∞,1)-category|monoidal]] [[stable (∞,1)-category]].

In analogy to the [[prime spectrum]] of a [[commutative ring]], the prime spectrum of a symmetric monoidal stable $(\infty,1)$-category is the collection of [[thick subcategories]] which are [[prime ideals]], in the evident higher sense, under the given [[tensor product]]. On the level of [[homotopy category of an (infinity,1)-category|homotopy categories]] this concept was introduced in ([Balmer 04](#Balmer04)) as the _[[spectrum of a tensor triangulated category]]_.

## Examples

### The prime spectrum of the category of spectra
 {#OfCategoryOfSpectra}


The prime spectrum of the [[(∞,1)-category of spectra]] ([[p-localization|p-local]] and [[finite spectrum|finite]]) is labeled by the [[Morava K-theories]] ([Balmer 10, prop. 9.4](#Balmer10)). This follows from the the [[thick subcategory theorem]].

This is the topic of [[chromatic homotopy theory]], see at _[[Spec(S)]]_.

Generally, the [[kernel]] of any [[generalized homology theory]] here is a thick ideal, but not generally a prime ideal.

## Related concepts

* [[spectrum of a tensor triangulated category]]

* [[2-algebraic geometry]]

## References

The concept was introduced at the level of [[triangulated categories]] in 

* {#Balmer04} [[Paul Balmer]], _The spectrum of prime ideals in tensor triangulated categories_. J. Reine Angew. Math., 588:149–168, 2005 ([arXiv:math/0409360](http://arxiv.org/abs/math/0409360))

* {#Balmer10} [[Paul Balmer]], _Spectra, spectra, spectra—tensor triangular spectra versus Zariski spectra of endomorphism rings_, Algebr. Geom. Topol., 10(3):1521–1563, 2010 ([pdf](http://www.math.ucla.edu/~balmer/research/Pubfile/SSS.pdf))

Review includes

* [[Greg Stevenson]], _Tensor actions and locally complete intersection_ PhD thesis 2011 ([pdf](http://www.math.uni-bielefeld.de/~gstevens/Stevenson_thesis.pdf))


Exposition with an eye towards application in [[chromatic homotopy theory]] in general and [[tmf]] in particular is in

* {#MazelGee13} [[Aaron Mazel-Gee]], _You could've invented $tmf$_, April 2013 ([pdf slides](http://math.berkeley.edu/~aaron/writing/ustars-tmf-beamer.pdf))

Further discussion is in 
 
* [[Beren Sanders]], _Higher comparison maps for the spectrum of a tensor triangulated category_ ([arXiv:1302.4521](http://arxiv.org/abs/1302.4521))


See also 

* [[Jack Morava]], _Toward a fundamental groupoid for the stable homotopy category_ ([arXiv:math/0509001](http://arxiv.org/abs/math/0509001))



[[!redirects prime spectrum of a monoidal stable (∞,1)-category]]


[[!redirects prime spectrum of a monoidal stable ∞-category]]
[[!redirects prime spectrum of a monoidal stable infinity-category]]

[[!redirects prime spectrum of a monoidal stable (infinity,1)-category]]

[[!redirects prime spectrum of a tensor triangulated category]]

[[!redirects spectrum of a symmetric monoidal (∞,1)-category]]