<div class="rightHandSide toc">
[[!include differential graded objects - contents]]
</div>



##Differential graded Hopf algebras


A _$\mathbb{Z}$-graded Hopf algebra_ (pre-gha) is a $\mathbb{Z}$-graded vector space, which, for that grading, is both a $\mathbb{Z}$-graded algebra, $(A,\mu)$, with  unity, $\eta : K \to A$, and a $\mathbb{Z}$-graded coalgebra $(A, \Delta, \varepsilon)$ such that:

* $\eta : K \to A$ is a morphism of $\mathbb{Z}$-graded  coalgebras;
* $\varepsilon  : A \to K$ is a morphism of $\mathbb{Z}$-graded  algebras;
* $\mu : A \otimes A \to A$  is a morphism of $\mathbb{Z}$-graded  coalgebras

###Remark###

We can replace the third condition  by:

* $ \Delta : A \to A \otimes A$  is a morphism of $\mathbb{Z}$-graded  algebras.

Of course, wherever possible, we will abbreviate $(A,\Delta,\mu,\epsilon,\eta)$ to $A$.


A morphism of pre-ghas is a linear map of degree zero compatible with both the algebra and coalgebra structures.  We may write $pre GHA$ for the resulting category.

If $A$ and $A'$ are two pre-ghas, $A\otimes A'$ is a pre-gha for the algebra and coalgebra structures already defined.

###Derivations of Hopf algebras

Let $A$ be a pre-gha.  A  _Hopf algebra derivation_ of $A$ of degree $p\in \mathbb{Z}$ is a linear mapping $\theta \in Hom_p(A,A)$, defining both an algebra and a coalgebra derivation.

A differential $\partial$ of pre-ghas is a Hopf algebra derivation of degree -1 such that $\partial\circ \partial = 0$.  The pair $(A,\partial)$ is called a _differential $\mathbb{Z}$-graded Hopf algebra_ (pre-dgha).  Its homology $H(A,\partial)$ is also a pre-gha.  A morphism of pre-dghas is a morphism, at the same time, of pre-ghas and pre-dgvs.  This gives a category $pre DGHA$.

A pre-gha $(A,\Delta,\mu,\epsilon,\eta)$ is _commutative_ if $(A,\mu)$ is commutative and is _cocommutative_ if $(A,\Delta,\varepsilon)$ is cocommutative.

This gives categories $pre CDGHA$ and $pre CoDGHA$ respectively.

A _cocommutative_ (resp. _commutative_) _dgha_} is an object of $pre CoDGHA$ (resp. $pre CDGHA$, which has a lower (resp. upper) grading.



A cocommutative (resp. commutative) dgha $A$ is _$n$-connected_ if $\bar{A}_p = 0$ (resp $\bar{A}^p = 0$) for $p\leq n$.


###Shuffle product on $T(V)$

Let $V$ be a pre-gvs.  The gvs $T(V)$ is a pre-cga for the [[shuffle]] product defined by

$$(v_1\otimes \ldots \otimes v_p)\star (v_{p+1}\otimes\ldots \otimes v_n) = \sum_\sigma \varepsilon(\sigma)v_{\sigma^{-1}(1)}\otimes\ldots \otimes v_{\sigma^{-1}(n)},$$

where the sum is over all $(p,n-p)$ [[shuffles]], $\varepsilon(\sigma)$ is the Koszul sign of $\sigma$  and the elements $v_i$ of $V$ are all homogeneous.

###The commutative graded Hopf algebra structure on $T(V)$

The underlying algebra structure is $T(V)$ with the shuffle product.  The reduced diagonal is given by 

$$\bar{\Delta}(v_1\otimes \ldots \otimes v_n) = \sum_{p=1}^{n-1} (v_1\otimes \ldots \otimes v_p)\otimes(v_{p+1}\otimes \ldots \otimes v_n).$$


###The cocommutative graded Hopf algebra structure on $T(V)$

The underlying algebra structure this time is $T(V)$ with the usual product

$$(v_1\otimes \ldots \otimes v_p)\cdot(v_{p+1}\otimes \ldots \otimes v_n) = v_1\otimes \ldots \otimes v_p\otimes v_{p+1}\otimes \ldots \otimes v_n,$$

but with the reduced diagonal given by 

$$\bar{\Delta}(v_1\otimes \ldots \otimes v_n) = \sum_{p=1}^{n-1}\sum_\sigma \varepsilon(\sigma) (v_{\sigma(1)}\otimes \ldots \otimes v_{\sigma(p)})\otimes(v_{{\sigma(p+1)}}\otimes \ldots \otimes v_{\sigma(n)}),$$

where the sum is over all $p$ and all $(p,n-p)$-shuffles and, as usual, $\varepsilon(\sigma)$ is the Koszul sign.

The diagonal $\Delta$ is thus defined by the conditions

* $ \Delta v = v\otimes 1 + 1\otimes v$  if  $v \in V$;

* $\Delta$  is a morphism of $\mathbb{Z}$-graded algebras.

A commutative and cocommutative $\mathbb{Z}$-graded Hopf algebra structure on $\bigwedge V$ is obtained by using the algebra and coalgebra structures defined in [[differential graded algebra]] and [[differential graded coalgebra]]. respectively.



###The enveloping algebra of a Lie algebra, $U(L)$.

Let $L$ be a pre-gla, $U(L)$, is  the quotient algebra of the tensor algebra $T(L)$ by the two sided ideal generated by the elements

$$x\otimes y - (-1)^{|y||x|}y\otimes x - [x,y], \quad x,y,\in L.$$

The diagonal $\Delta : L \to L\times L$, with $\Delta(x) = (x,x)$ defines a homomorphism of pre-gas,

$$U(\Delta) : U(L)\to U(L\times L) \cong U(L)\otimes U(L),$$

which makes $U(L)$ a pre-gha which is cocommutative and conilpotent.


If $L$ is a free Lie algebra on $V$, then the enveloping algebra is the tensor algebra: $U\mathbb{L}(V) \cong T(V)$.



Let $(L,\partial)$ be a pre-dgla, the differential $\partial $ extends to an algebra differential on $T(L)$.  With the quotient differential, $U(L)$ becomes a cocommutative pre-dgha, which will be denoted $U(L,\partial)$.

The differential $\partial$ determines a differential, also denoted $\partial$, on the cocommutative pre-gca $\bigwedge' L$, (for which gca see [[differential graded coalgebra]]).  It satisfies:

$$\bigwedge' H(L,\partial) \cong H(\bigwedge' L,\partial).$$

Let $i : L \to U(L)$ be the linear mapping $L\to T(L) \to U(L)$, then define $e: \bigwedge' L \to U(L)$ by 

$$e(x_1\wedge \ldots x_n) = \frac{1}{n!}\sum_\sigma \varepsilon(\sigma)i(x_{\sigma(1)})\ldots i(x_{\sigma(n)}),$$

where the sum is over all permutations and $\varepsilon(\sigma)$ is the Koszul sign.
+-- {: .num_theorem #}
###### Theorem 

(Poincaré-Birkhoff-Witt)(cf. **Quillen**)

The mapping $e$ is an isomorphism of pre-dgcas.
=--
+-- {: .num_corollary #}
######Corollary
$i : L \to U(L)$ defines an isomorphism between $L$ and the space of primitives of $U(L)$.
=--
+-- {: .num_corollary #}
######Corollary
The natural map $UH(L,\partial)\to H(U(L,\partial)$ is an isomorphism of cocommutative pre-ghas.
=--

###The Lie algebra of primitives, $P$

Let $(A,\partial)$ be a cocommutative pre-dgha.  The vector space $P(A)$ of primitive elements (for the coalgebra structure, cf. [[differential graded coalgebra]]), is not stable under the multiplication, however the commutator $[\alpha,\beta]$ of two elements of $P(A)$ is again in $P(A)$.  This defines a pre-gla structure on $P(A)$ and we can put the induced differential on it to obtain $P(A,\partial)$.

The inclusion $P(A)\to A$ extends to a morphism of cocommutative pre-dghas $\sigma: UP(A)\to A.$
+-- {: .num_theorem #}
###### Theorem (Quillen, **Quillen**)
If $A$ is conilpotent, $\sigma$ is an isomorphism.
=--

The above theorem and earlier corollary show that $U$ and $P$ are inverse equivalences between the category, $pre DGLA$ and that of cocommutative, conilpotent pre-dghas.



###Remark


The enveloping algebra of a free Lie algebra $\mathbb{L}(V)$ coincides with the tensor algebra, $T(V)$.  It is conilpotent from which one gets $PT(V) = \mathbb{L}(V)$.

###Related concepts

* [[Hopf algebra]]



##References

The source used for this lexicon was 

D. Tanré, Homotopie rationnelle: Modèles de Chen, Quillen, Sullivan, Lecture Notes in Maths No. 1025, Springer, 1983. 

Much of the material there was based on  Quillen's paper:

D. Quillen, Rational Homotopy Theory, Ann. of Math., (2) 90 (1969), 205-295.