[[!redirects real-oriented cohomology theory]]

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
#### Representation theory
+-- {: .hide}
[[!include representation theory - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

The concept of _real oriented cohomology theory_ ([Araki 78](#Araki78), [Araki 79](#Araki79)) is the analog of that of _[[complex oriented cohomology theory]]_ in the context of $\mathbb{Z}_2$-[[equivariant cohomology theory]].

Where [[complex oriented cohomology theory]] singles out the [[classifying space]] $B S^1 = B U(1)$ of the [[circle group]], in real-oriented cohomology theory its role is played by this same space but equipped with the $\mathbb{Z}_2$-[[∞-action]] induced by the $\mathbb{Z}_2$-[[action]] $S^1 \to S^1$ on the circle that identifies the two semi-circles.

If one thinks of the canonical embedding $S^1 \hookrightarrow \mathbb{C}$ of the circle as the unit circle in the [[complex plane]], then this involution is induced by the [[complex conjugation]] [[involution]] on the complex plane. In this sense real oriented cohomology theory is in a sense "complex oriented cohomology theory with complex conjugation divided out", and that motivates the term _real_ cohomology theory.

The original and motivating example is the real version of [[complex K-theory]] called [[KR-theory]]. The real-oriented version of [[complex cobordism]] is [[MR-theory]] and that of [[Morava E-theory]] is [[BPR-theory]].

A modern review is in ([Kriz 01, section 2](#Kriz01)).

Beware the terminological issue expanded on also at _[[KR-theory]]_: real-oriented versions of "complex" cohomology theory, being genuinely $\mathbb{Z}_2$-equivariant, are richer than just the "orthogonal" [[homotopy fixed point]] theory. In particular on $\mathbb{Z}_2$-spaces of the form $X\cup X$ on which $\mathbb{Z}_2$ acts by swapping the two copies, the real version reduces to the original version on $X$. Hence real-oriented cohomology is a genuine generalization of complex-oriented cohomology. For instance [[KR-theory]] subsumes both [[complex K-theory]] as well as [[KO-theory]] as well as [[KSC-theory]].

## Applications

In [[physics]] ([[string theory]]) where ([[gauge field|gauge]]) [[field (physics)|fields]] are [[cocycles]] in some ([[differential cohomology theory|differential]]) [[cohomology theory]], real-oriented cohomology theory is that of [[orientifold]] [[spacetimes]].

## Examples

* [[real space]]

* [[KR-theory]]

* [[MR-theory]]

* [[BPR-theory]]

* [[ER-theory]]

## Related concepts

[[!include chromatic tower examples - table]]


## References

The definition is originally due to

* {#Araki78} S. Araki, _$\tau$-cohomology theories_, Japan Journal of Mathematics (N.S.) 4 (2) (1978) 363-416.

* {#Araki79} S. Araki, _Forgetful spectral sequences_, Osaka Journal of Mathematics 16 (1) (1979) 173-199.

* S. Araki, _Orientations in $\tau$-cohomology theories_, Japan Journal of Mathematics (N.S.) 5 (2) (1979) 403-430.

Discussion of the [[Adams-Novikov spectral sequence]] in this context is in

* {#Kriz01} [[Igor Kriz]], _Real-oriented homotopy theory and an analogue of the
Adams-Novikov spectral sequence_, Topology 40 (2001) 317-399 ([pdf](http://www.math.rochester.edu/people/faculty/doug/otherpapers/hukriz.pdf))

[[!redirects real-oriented cohomology theories]]

[[!redirects real oriented cohomology theory]]
[[!redirects real oriented cohomology theories]]

[[!redirects real-oriented cohomology]]
[[!redirects real oriented cohomology]]

[[!redirects real-oriented generalized cohomology theory]]
[[!redirects real oriented generalized cohomology theory]]