
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

In [[type II string theory]] on [[orientifolds]], one says _O-plane_ for the [[fixed point]] locus of the $\mathbb{Z}_2$-[[involution]] (see at _[[real space]]_).

O-planes carry [[D-brane charges]] in [[KR-theory]] ([Witten 98](#Witten98)), see ([DMR 13](#DMR13)) for a mathematical account. They serve [[RR-field tadpole cancellation]] and as such play a key role in the construction of [[intersecting D-brane models]] for [[string phenomenology]].

## Properties

### T-Duality with type I string theory
 {#TDualityWithTypeIStringTheory}

Under [[T-duality]] [[type I string theory]] is dual to [[type II string theory]] with orientifold planes (reviewed e.g. in [Ibanez-Uranga 12, section 5.3.2](#IbanezUranga12)):

<img src="https://ncatlab.org/nlab/files/TDualityOrientifold.jpg" width="700">

### Duality with M-Theory

Under the [[duality in string theory|duality]] between [[M-theory]] and [[type IIA string theory]] the O8-plane is identified with the [[M9-brane]] of [[Horava-Witten theory]]:

<img src="https://ncatlab.org/nlab/files/O8DualToM9.jpg" width="600"/>

> from [GKSTY 02, section 3](#GKSTY02)

### Fractional branes at O-planes


By the discussion at _[D-branes ending on NS5 branes](NS5-brane#D6BranesEndingOnNS5Branes)__, a [[black brane|black]] [[D6-brane]] may end on a [[black brane|black]] [[NS5-brane]], and in fact a priori each [[black brane|brane]] [[NS5-brane]] has to be the junction of two [[black brane|black]] [[D6-branes]]. 

<img src="https://ncatlab.org/nlab/files/HalfNS5.jpg" width="650"/>

> from [GKSTY 02](#GKSTY02)

If in addition the [[black brane|black]] [[NS5-brane]] sits at an [[O8-plane]], hence at the [[orientifold]] [[fixed point]]-locus, then in the ordinary $\mathbb{Z}/2$-[[quotient]] it appears as a "[[half-brane]]" with only one copy of [[D6-branes]] ending on it:


<img src="https://ncatlab.org/nlab/files/HalfNS5II.jpg" width="400"/>

> from [GKSTY 02](#GKSTY02)

(In [Hanany-Zaffaroni 99](#HananyZaffaroni99) this is interpreted in terms of the [['t Hooft-Polyakov monopole]].)

{#LiftToMTheortyOfNS5Halfbrane} The lift to [[M-theory]] of this situation is an [[M5-brane]] intersecting an [[M9-brane]]:

<img src="https://ncatlab.org/nlab/files/M9KK6Intersection.jpg" width="650"/>

> from [GKSTY 02](#GKSTY02)

Alternatively the [[O8-plane]] may intersect the [[black brane|black]] [[D6-branes]] away from the [[black brane|black]] [[NS5-brane]]:

<img src="https://ncatlab.org/nlab/files/D6D8Intersection.jpg" width="650"/>

> from [HKLY 15](#HKLY15)

In general, some of the NS5 sit away from the [[O8-plane]], while some sit on top of it:


<img src="https://ncatlab.org/nlab/files/NS5D6O8.jpg" width="500"/>

> from [Hanany-Zaffaroni 98](#HananyZaffaroni98)


See also at _[[intersecting D-brane models]]_ the section _[Intersection of D6s with O8s](intersecting+D-brane+model#IntersectionOfD6WithO8)_.


## Related concepts

* [[D-brane]]

* [[M-theory lift of gauge enhancement on D6-branes]]

* [NS5 half-branes](NS5-brane#NSHalfBranes)

## References


* {#IbanezUranga12} [[Luis Ibáñez]], [[Angel Uranga]], section 5.3.2 of _[[String Theory and Particle Physics -- An Introduction to String Phenomenology]]_, Cambridge 2012

* {#Witten98} [[Edward Witten]], section 5 of _D-branes and K-theory_, J. High Energy Phys., 1998(12):019, 1998 ([arXiv:hep-th/9810188](http://arxiv.org/abs/hep-th/9810188)) 

* {#DMR13} [[Charles Doran]], Stefan Mendez-Diez, [[Jonathan Rosenberg]], _T-duality For Orientifolds and Twisted KR-theory_ ([arXiv:1306.1779](http://arxiv.org/abs/1306.1779))

Lift to [[M-theory]]:

* Eric G. Gimon, _On the M-theory Interpretation of Orientifold Planes_ ([arXiv:hep-th/9806226](https://arxiv.org/abs/hep-th/9806226))

* {#GKSTY02} E. Gorbatov, V.S. Kaplunovsky, J. Sonnenschein, [[Stefan Theisen]], S. Yankielowicz, section 3 of _On Heterotic Orbifolds, M Theory and Type I' Brane Engineering_, JHEP 0205:015, 2002 ([arXiv:hep-th/0108135](https://arxiv.org/abs/hep-th/0108135))

* [[Amihay Hanany]], Barak Kol, section 3 of _On Orientifolds, Discrete Torsion, Branes and M Theory_, JHEP 0006 (2000) 013 ([arXiv:hep-th/0003025](https://arxiv.org/abs/hep-th/0003025))

* {#HKLY15} Hirotaka Hayashi, Sung-Soo Kim, Kimyeong Lee, Futoshi Yagi, _6d SCFTs, 5d Dualities and Tao Web Diagrams_ ([arXiv:1509.03300](https://arxiv.org/abs/1509.03300))


See also 

* Wikipedia, _[Orientifold](https://en.wikipedia.org/wiki/Orientifold)_

[[!redirects orientifold planes]]

[[!redirects O-plane]]
[[!redirects O-planes]]


[[!redirects O6-plane]]
[[!redirects O6-planes]]

[[!redirects O7-plane]]
[[!redirects O7-planes]]

[[!redirects O8-plane]]
[[!redirects O8-planes]]

