
#Contents#
* table of contents
{:toc}

## Idea

Inside the compactified [[moduli stack of elliptic curves]], at the [[cusp]] point corresponding to the [[nodal cubic curve]] sits the _moduli stack of [one dimensional tori](http://ncatlab.org/nlab/show/torus#InAlgebraicGeometry)_ $\mathcal{M}_{\mathbb{G}_m}$ ([Lawson-Naumann 12, def. A.1, A.3](#LawsonNaumann12)). This is equivalent to the [[quotient stack]] of the point by the [[group of order 2]]

$$
  \mathcal{M}_{\mathbb{G}_m}\simeq \mathbf{B}\mathbb{Z}_2
$$

([Lawson-Naumann 12, prop. A.4](#LawsonNaumann12)). Here the $\mathbb{Z}_2$-action is the inversion involution on [[abelian groups]].

Using the [[Goerss-Hopkins-Miller theorem]] this stack carries an [[E-∞ ring]]-valued [[structure sheaf]] $\mathcal{O}^{top}$ ([Lawson-Naumann 12, theorem A.5](#LawsonNaumann12)); and by the above equivalence this is a single [[E-∞ ring]] equipped with a $\mathbb{Z}_2$-[[∞-action]]. This is [[KU]] with its involution induced by [[complex conjugation]], hence essentially is $KR$. 

Accordingly, the [[global sections]] of $\mathcal{O}^{top}$ over $\mathcal{M}_{\mathbb{G}_m}$ are the $\mathbb{Z}_2$-[[homotopy fixed points]] of this action, hence is $KO$. This is further amplified in ([Mathew 13, section 3](#Mathew13)) and ([Mathew, section 2](#Mathew)).

As suggested there and by the main ([Lawson-Naumann 12, theorem 1.2](#LawsonNaumann12)) this realizes (at least localized at $p = 2$) the inclusion $KO \to KU$ as the restriction of an analogous inclusion of [[tmf]] built as the global sections of the similarly derived [[moduli stack of elliptic curves]].


## References
Discussion of $KU$ with its $\mathbb{Z}_2$-action as the [[E-∞ ring]]-valued [[structure sheaf]] of the moduli stack of tori is due to 

* {#LawsonNaumann12} [[Tyler Lawson]], [[Niko Naumann]], appendix of _Strictly commutative realizations of diagrams over the Steenrod algebra and topological modular forms at the prime 2_ ([arXiv:1203.1696](http://arxiv.org/abs/1203.1696))

which is reviewed and amplified further in 

* {#Mathew13} [[Akhil Mathew]], section 3 of _The homology of $tmf$ ([arXiv:1305.6100](http://arxiv.org/abs/1305.6100)) 

* {#Mathew} Akhil Mathew, section 2 of _The homotopy groups of $TMF$_, talk notes ([pdf](http://math.mit.edu/~sglasman/tmfhomotopy.pdf))

[[!redirects moduli stack of 1-dimensional tori]]
