
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Formal geometry
+--{: .hide}
[[!include formal geometry -- contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

It is a common experience in [[mathematics]] that phenomena ("problems") are usefully decomposed into a "local" and a "global" aspect of rather different nature.

In as far as the situation has an interpretation in [[geometry]] then the local aspect is typically given by the [[formal neighbourhoods]] of all [[points]], while the global aspect is given by the underlying [[topology]]/[[homotopy type]]. The following provides some examples.

### In number theory and algebraic geometry

In [[number theory]] and hence in [[algebraic geometry]] over $Spec(\mathbb{Z})$, the "local" situation is the [[formal neighbourhoods]] of all [[primes]] $p$ (points in the [[prime spectrum]] $Spec(\mathbb{Z})$ of the [[integers]]). These are the [[formal spectra]] of the [[p-adic integers]]. In terms of [[number theory]] this means that a solution to a [[polynomial]] [[equation]] over the [[p-adic integers]] is a "local" approximation to a solution over the [[integers]] (the former is a necessary but not a sufficient condition for the latter to exist). In this form the _local-global principle_ is attributed to [[Helmut Hasse]] and also called the **Hasse principle** or similar.

(...)

### In conformal field theory


The [[FRS-theorem]] shows that every [[rational 2d CFT]] is decomposed into local data given by a [[vertex operator algebra]] and global data given by a solution of the [[sewing constraints]]...


### More

(...)


## References

* [[Barry Mazur]], _On the passage from local to global in number theory_, Bulletin of the AMS Vol 29, Number 1, 1993 ([pdf](http://math.stanford.edu/~lekheng/flt/mazur2.pdf))

* Wikipedia, _[Hasse principle](https://en.wikipedia.org/wiki/Hasse_principle)_

[[!redirects Hasse principle]]
[[!redirects Hasse local-global principle]]