
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Elliptic cohomology
+-- {: .hide}
[[!include elliptic cohomology -- contents]]
=--
#### Higher geometry
+--{: .hide}
[[!include higher geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The _Weierstrass elliptic function_ $\wp$ is a doubly periodic [[meromorphic function]] on the [[complex numbers]] $\mathbb{C}$ (with the periods typically normalized to $1$ and $\tau$ satisfying $Im(\tau) \gt 0$, so that $\wp(z) = \wp(z + 1)$ and $\wp(z + \tau) = \wp(z)$) that exhibits an explicit parametrization of the form 

$$(\wp, \wp'): \mathbb{C}/L \to C$$ 

where $C \subset \mathbb{P}^2(\mathbb{C})$ is the set of solutions to the cubic [[Weierstrass equation]], and $L \subset \mathbb{C}$ is the [[lattice]] $\langle 1, \tau \rangle$. In other words, we have a cubic relation of type 

$$(\wp')^2 = 4\wp^3 + a\wp + b$$ 

for some constants $a, b$, providing an explicit parametrization of an [[elliptic curve]] (a nonsingular projective [[cubic curve]] $C$ considered over $\mathbb{C}$) by a [[complex manifold|complex]] [[torus]] $\mathbb{C}/L$. 

See at _[[elliptic curve]]_ and at _[[Möbius transformation]]_ for more.

## Related concepts

* [[elliptic curve]]

* [[elliptic function]]

## References

Named after [[Karl Weierstrass]].

* Wikipedia, _[Weierstrass's elliptic functions](https://en.wikipedia.org/wiki/Weierstrass's_elliptic_functions)_

[[!redirects Weierstrass elliptic functions]]

[[!redirects Weierstrass elliptic functions]]
[[!redirects Weierstrass's elliptic functions]]

[[!redirects Weierstrass elliptic curve]]
[[!redirects Weierstrass elliptic curves]]
