# Modules over quantales and quantaloids

(People use also expressions: quantale module, quantic module)

## Idea

Quantale is an analogue of a noncommutative ring and a noncommutative generalization of a locale; it is a semigroup in the monoidal category of
[[sup-lattice]]s; therefore, for a quantale $Q$, a left $Q$-module should be a sup-lattice $M$ together with an action $Q\otimes M\to M$ satisfying the
usual axioms. The special case (when the quantale is unital, commutative and
hence a locale) is the case of modules over a locale (localic modules), and the multiobject version
are the quantaloid modules. 

## References

* Isar Stubbe, _Q-modules are Q-suplattices_, Theory and Appl. of Cat. 19, 2007, No. 4, pp 50-60 [abs](http://www.tac.mta.ca/tac/volumes/19/4/19-04abs.html)
* [[Pedro Resende]], _Groupoid sheaves as quantale sheaves_, J. Pure Appl. Algebra 216 (2012), 41–70; [arxiv/0807.4848](http://arxiv.org/abs/0807.4848v3)
[doi](http://dx.doi.org/10.1016/j.jpaa.2011.05.002)
* Hans Heymans, _Sheaves on quantales as generalized metric spaces_, Doctor thesis, Universiteit Antwerpen 2010 [pdf](http://www.ua.ac.be/download.aspx?c=hans.heymans&n=31611&ct=32634&e=282776)

The localic case is studied in 

* [[André Joyal]], M. Tierney, _An extension of the Galois theory of Grothendieck_, Mem. Amer. Math. Soc. 51 (1984), no. 309, vii+71 pp.
* [[Pedro Resende]], E. Rodrigues, _Sheaves as modules_,  Appl. Categ. Structures 18 (2010) 199-217; [arXiv:0711.4401](http://arxiv.org/abs/0711.4401)

[[!redirects module over a locale]]
[[!redirects modules over quantales]]
[[!redirects modules over a quantale]]
[[!redirects localic module]]
[[!redirects quantaloid module]]
[[!redirects module over a quantaloid]]