
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
#### Representation theory
+-- {: .hide}
[[!include representation theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

For $G$ a [[compact Lie group]] (or more generally a [[compact topological group]]) the concept of _$G$-spectrum_ (or _$G$-equivariant spectrum_) is the generalization of that of [[spectrum]] as one passes from [[stable homotopy theory]] to [[equivariant stable homotopy theory]], or more generally, as $G$ is allow to vary, to [[global equivariant stable homotopy theory]]. 

Where the ordinary concept of [[spectrum]] is given in terms of [[looping and delooping]] of ordinary [[topological spaces]] by ordinary [[spheres]], a $G$-spectrum is instead given by looping and delooping of [[topological G-spaces]] with respect to [[representation spheres]] of $G$, namely [[one-point compactifications]] of linear $G$-[[representations]], for all representations appearing in a chosen "[[G-universe]]".

Such a [[G-universe]] is called _complete_ if it contains every [[irreducible representation]] of $G$, and the spectra modeled on such a complete $G$-universe are the _genuine $G$-spectra_. At the other extreme, if the [[G-universe]] contains only the trivial representations, then the resulting spectra are the _[[spectra with G-action]]_, also called _[[naive G-spectra]]_ for emphasis of the distinction to the previous case.

The genuine $G$-spectra are richer than _[[spectra with G-action]]_ and have better homotopy-theoretic properties. In particular the genuine [[equivariant cohomology]] theories which they [[Brown representability theorem|represent]] have [[suspension isomorphisms]] for suspension by all [[representation spheres]] and with respect to [[RO(G)-grading]].

When $G$ is the trivial group, a $G$-spectrum is also known as a [[coordinate-free spectrum]].


## Models

There are various equivalent ways to present genuine $G$-spectra.

### Indexed on all representations
 {#IndexedOnAllRepresentations}

([May 96, chapter XII](#May96))

Fix a [[G-universe]]. For $V$ any [[orthogonal group|orthogonal]] [[representation]] in the universe, write $S^V$ for its [[representation sphere]]. For $V \hookrightarrow W$ a subrepresentation, write $W-V$ for the [[orthogonal complement]] representation. 

A _$G$-prespectrum_ $E$ is an assignment of a [[pointed topological space]] $E_V$ to each representation $V$ (in the given [[G-universe]]), equipped for each subrepresentation $V \hookrightarrow W$ with a pointed $G$-equivariant [[continuous function]]

$$
  \sigma_{V,W}
  \;\colon\;
  S^{W-V} \wedge E_V \longrightarrow E_W
$$

such that

1. $\Sigma_{V,V} = id$;

1. for any $Z \hookrightarrow V \hookrightarrow W$ we have [[commuting diagrams]]

   $$
     \array{
       S^{Z-W}\wedge S^{V-W} \wedge E_V
       &\stackrel{S^{Z-W}\wedge(\sigma_{V,W})}{\longrightarrow}& S^{Z-W}E_W
       \\
       \downarrow && \downarrow^{\mathrlap{\Sigma_{Z,W}}}
       \\
       S^{Z-V}E_V &\stackrel{\sigma_{V,Z}}{\longrightarrow}& E_Z
     }
   $$

Write

$$
  \tilde \sigma_{V,W} \;\colon\; E_V \longrightarrow \Omega^{W-V}E_W
$$

for the [[adjuncts]] of these structure maps.

A $G$-prespectrum is called (at least in ([May 96, chapter XII](#May96)))

* a _$G$-$\Omega$-spectrum_ if all the $\sigma_{V,W}$ are [[weak homotopy equivalences]];

* a _$G$-spectrum_ if all the $\sigma_{V,W}$ are [[homeomorphisms]].


### Via orthogonal spectra with $G$-action

While the definition of [spectra indexed on all representations](#IndexedOnAllRepresentations) manifestly relates to the [[suspension isomorphism]] for smashing with [[representation spheres]] and shifting in [[RO(G)-grading]], the information encoded in the objects in this definition has much redundancy. A "smaller" definition of genuine $G$-spectra is given by [[orthogonal spectra]] equipped with $G$-action ([Mandell-May 04](#Mandellmay04), [Schwede 15](#Schwede15)).

### Via Mackey functors
 {#RelationToMackeyFunctors}

For $G$ a [[finite group]] then genuine $G$-spectra are equivalent to  _[[Mackey functors]]_ on the category of [[finite set|finite]] [[G-sets]].

([Guillou-May 11, theorem 0.1](#GuillouMay11), [Barwick 14, below example B.6](#Barwick14)).



### Via excisive functors

Characterization of $G$-spectra [via excisive functors]() on [[G-spaces]] is in ([Blumberg 05](#Blumberg05)).

## Properties

### Relation to spectra with $G$-action

(e.g. [Carlsson 92, p. 14](#Carlsson92), [GreenleesMay, p.16](#GreenleesMay))

### Equivariant stable Whitehead theorem
 {#EquivariantWhitehead}

The equivariant version of the stable [[Whitehead theorem]] holds:

a map of $G$-spectra $f \colon E \longrightarrow F$ is a [[weak equivalence]] (e.g. an $RO(G)$-degree-wise [[weak homotopy equivalence]] of [[topological G-spaces]] in the [model via indexing on all representations](#IndexedOnAllRepresentations)) precisely it if induces [[isomorphisms]] $\pi_\bullet(f) \colon \pi_\bullet(E) \longrightarrow \pi_{\bullet}(F)$ on all [[equivariant homotopy group]] [[Mackey functors]].
 
([Greenlees-May, theorem 2.3](#GreenleesMay))

## Related concepts

* [[equivariant stable homotopy category]]

* [[RO(G)-grading]]

* [[fixed point spectrum]]

* [[geometric fixed points]]

## Examples 

* [[equivariant sphere spectrum]]
 
## References

The concept of genuine $G$-spectra is due to 

* [[L. Gaunce Lewis, Jr.]], [[Peter May]], M. Steinberger, and J. E. McClure, _Equivariant stable homotopy theory_, Lecture Notes in Mathematics, vol. 1213, Springer-Verlag, Berlin, 1986, With contributions by J. E. McClure. MR 866482 (88e:55002)

and in terms of [[orthogonal spectra]] due to

* {#MandellMay04} [[Michael Mandell]], [[Peter May]], _Equivariant orthogonal spectra and S-modules_. Preprint, April 29, 2000, ([KTheory:0408](http://www.math.uiuc.edu/K-theory/0408/))

also (developed for the [[Arf-Kervaire invariant problem]])

* [[Michael Hill]], [[Michael Hopkins]], [[Doug Ravenel]], _The Arf-Kervaire invariant problem in algebraic topology: introduction_, Current developments in mathematics, 2009, Int. Press, Somerville, MA, 2010, pp. 23&#8211;57. MR 2757358

  _On the non-existence of elements of Kervaire invariant one_, ([arXiv:0908.3724](http://arxiv.org/abs/0908.3724))

  _The Arf-Kervaire problem in algebraic topology: sketch of the proof_, Current developments in mathematics, 2010, Int. Press, Somerville, MA, 2011, pp. 1&#8211;43


Surveys and introductions include

* {#Carlsson92} [[Gunnar Carlsson]], _A survey of equivariant stable homotopy theory_,Topology, Vol 31, No. 1, pp. 1-27, 1992 ([pdf](http://www.maths.ed.ac.uk/~aar/papers/carlsson1.pdf))

* {#GreenleesMay} [[John Greenlees]], [[Peter May]], section 2 of _[[Equivariant stable homotopy theory]]_, in I.M. James (ed.), _[[Handbook of Algebraic Topology]]_ , pp. 279-325. 1995. ([pdf](http://www.math.uchicago.edu/~may/PAPERS/Newthird.pdf))


Lecture notes include

* {#May96} [[Peter May]], _Equivariant homotopy and cohomology theory_ CBMS Regional Conference Series in Mathematics, vol. 91, Published for the Conference Board of the Mathematical Sciences, Washington, DC, 1996. ([pdf](http://www.math.uchicago.edu/~may/BOOKS/alaska.pdf))


* {#Schwede15} [[Stefan Schwede]], _[[Lectures on Equivariant Stable Homotopy Theory]]_

Relation to [[Mackey functors]]:

* {#GuillouMay11} [[Bert Guillou]], [[Peter May]],  _Models of $G$-spectra as presheaves of spectra, ([arXiv:1110.3571](http://arxiv.org/abs/1110.3571))

  _Permutative $G$-categories in equivariant infinite loop space theory ([arXiv:1207.3459](http://arxiv.org/abs/1207.3459))

* {#Barwick14} [[Clark Barwick]], _Spectral Mackey functors and equivariant algebraic K-theory (I)_ ([arXiv:1404.0108](http://arxiv.org/abs/1404.0108))


For more references see at _[[equivariant stable homotopy theory]]_ and at _[[Mackey functor]]_

Characterization via [[excisive functors]] is in 

* {#Blumberg05} [[Andrew Blumberg]], _Continuous functors as a model for the equivariant stable homotopy category_ ([arXiv:math.AT/0505512](http://arxiv.org/abs/math.AT/0505512))

In the case of a [[cyclic group]] of prime order, genuine $G$-spectra admit a simple model which amounts to specifying a spectrum $E$, a $G$-action on $E$, a genuine fixed point spectrum $E^G$, and a diagram $E_{hG} \to E^G \to E^{hG}$.  See Example 3.29 in:

* [[Saul Glasman]], _Stratified categories, geometric fixed points and a generalized  Arone-Ching theorem_, [arXiv:1507.01976](https://arxiv.org/abs/1507.01976).

[[!redirects G-spectra]]

[[!redirects genuine G-spectrum]]
[[!redirects genuine G-spectra]]
[[!redirects G-equivariant spectrum]]
[[!redirects G-equivariant spectra]]
[[!redirects equivariant spectrum]]
[[!redirects equivariant spectra]]

[[!redirects genuine equivariant spectrum]]
[[!redirects genuine equivariant spectra]]
