[[!redirects representation spheres]]

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Representation theory
+-- {: .hide}
[[!include representation theory - contents]]
=--
#### Homotopy theory
+--{: .hide}
[[!include homotopy - contents]]
=--
#### Topology
+--{: .hide}
[[!include topology - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

Given a linear [[representation]] of a [[group]] ([[topological group]]) $G$ in a [[vector space]]/[[Cartesian space]] $\mathbb{R}^n$, then the corresponding _representation sphere_ is the [[one-point compactification]] of this $\mathbb{R}^n$ (the $n$-[[sphere]]) regarded as a [[G-space]].

Representation spheres induce the [[looping and delooping]] which is used in 
[[RO(G)-grading|RO(G)-graded]] [[equivariant cohomology]] theory, [[Brown representability theorem|represented]] by [[genuine G-spectra]] in [[equivariant stable homotopy theory]].

## Construction
 {#Construction}

To construct a representation sphere $S^V$ associated to a $G$-representation $V$, one can consider the [[unit sphere]] $S(\mathbb{R}\oplus V)$ where $\mathbb{R}$ carries the trivial representation. Then the [[stereographic projection]] homeomorphism

$$
  S(\mathbb{R}\oplus V)\setminus \{(1,\mathbf{0})\}
  \stackrel{\simeq}{\longrightarrow} 
  V
$$ 

is manifestly $G$-equivariant, with its inverse exhibiting $S(\mathbb{R}\oplus V)$ as the one-point compactification of $V$, hence

$$
  S^V \simeq_G S(\mathbb{R}\oplus V)
  \,.
$$

This also makes it clear that for $G$ a [[Lie group]], $S^V$ is represented by a [[smooth manifold]] with smooth $G$-[[action]].

[[!redirects representation spheres]]

