
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A [[duality in string theory]]:

[[F-theory]] "[[KK-compactification|KK-compactified]]" on an [[elliptic fibration|elliptically fibered]] [[K3]] with a [[section]] is supposed to be equivalent to [[heterotic string theory]] [[KK-compactification|KK-compactified]] on a 2-[[torus]]. 

More generally, [[F-theory]] on a [[complex manifold|complex]] $n$-dimensional $X$ fibered $X\to B$ with elliptic [[K3]]-fibers is supposed to be equivalent to [[heterotic string theory]] on an [[elliptic fibration|elliptically fibered]] [[Calabi-Yau manifold]] $Z \to B$ of [[complex manifold|complex]] [[dimension]] $(n-1)$.

A detailed discussion of the [[equivalence]] of the respective [[moduli spaces]] is originally due to ([Friedman-Morgan-Witten 97](#FriedmanMorganWitten97)). A review of this is in ([Donagi 98](#Donagi98)).


From the abstract of ([Donagi 98](#Donagi98)).

> The [[heterotic string theory|heterotic string]] [[KK-compactification|compactified]] on an $(n-1)$-[[dimension|dimensional]] [[elliptic fibration|elliptically fibered]] [[Calabi-Yau variety|Calabi-Yau]] $Z \to B$ is conjectured to be [[duality in string theory|dual]] to [[F-theory]] [[KK-compactification|compactified]] on an $n$-dimensional [[Calabi-Yau variety|Calabi-Yau]] $X \to B$, fibered over the same base with [[elliptic fibration|elliptic]] [[K3]] fibers. In particular, the [[moduli]] of the two theories should be [[isomorphism|isomorphic]]. The cases most relevant to the physics are $n=2$, $3$, $4$, i.e. the [[KK-compactification|compactification]] is to [[dimensions]] $d=8$, $6$ or $4$ respectively. Mathematically, the richest picture seems to emerge for $n=3$, where the [[moduli space]] involves an analytically [[integrable system]] whose fibers admit rather different descriptions in the two theories.



## Aspects

### From M-branes to F-branes to heterotic strings and NS5-branes

[[!include F-branes -- table]]

### Non-reducible heterotic $E_8$-gauge backgrounds
 {#NonReducibleHeteroticGaugeBackgrounds}

There are some [[F-theory]] backgrounds whose supposed dual in [[heterotic string theory]] involves an [[E8]]-[[principal connection]] which is not reducible to $Spin(16)/\mathbb{Z}_2$ ([Distler-Sharpe 10, section 5](#DistlerSharpe10)), while in fact the traditional construction of the heterotic [[worldsheet]] theory only covers this case. In ([Distler-Sharpe 10, section 7-8](#DistlerSharpe10)) it is argued that therefore a more general formulation of [[heterotic string theory]] needs to involve [[parameterized WZW models]]. See also at _[heterotic string -- Properties -- General gauge backgrounds and parameterized WZW models](http://ncatlab.org/nlab/show/heterotic+string+theory#GeneralGaugeBackgroundsAndParameterizedWZWModels)_.


## Related concepts

[[!include F-theory compactifications -- table]]


## References

The observation of the relation between the two theories originates (together with the observation of [[M-theory]]) in

* [[Chris Hull]], [[Paul Townsend]], _Unity of Superstring Dualities_, Nucl.Phys.B438:109-137,1995 ([arXiv:hep-th/9410167](http://arxiv.org/abs/hep-th/9410167))

* {#Witten95} [[Edward Witten]], section 4 of _[[String Theory Dynamics In Various Dimensions]]_, Nucl.Phys.B443:85-126,1995 ([arXiv:hep-th/9503124](http://arxiv.org/abs/hep-th/9503124))

Further details were worked out in 

* {#MorrisonVafa96a} [[David Morrison]], [[Cumrun Vafa]], _Compactifications of F-Theory on Calabi--Yau Threefolds -- I_, Nucl.Phys. B473 (1996) 74-92 ([arXiv:hep-th/9602114](http://arxiv.org/abs/hep-th/9602114))

* {#MorrisonVafa96b} [[David Morrison]], [[Cumrun Vafa]], _Compactifications of F-Theory on Calabi--Yau Threefolds -- II_, Nucl.Phys.B476:437-469,1996 ([arXiv:hep-th/9603161](http://arxiv.org/abs/hep-th/9603161))

* {#Sen96} [[Ashoke Sen]], _F-theory and Orientifolds_ ([arXiv:hep-th/9605150](http://arxiv.org/abs/hep-th/9605150))

* {#FriedmanMorganWitten97} Robert Friedman, [[John Morgan]], [[Edward Witten]], _Vector Bundles And F Theory_, Commun.Math.Phys.187:679-743, 1997 ([arXiv:hep-th/9701162](http://arxiv.org/abs/hep-th/9701162))

* {#Aspinwall97} [[Paul Aspinwall]], _M-Theory Versus F-Theory Pictures of the Heterotic String_, Adv.Theor.Math.Phys.1:127-147, 1998 ([arXiv:hep-th/9707014](http://arxiv.org/abs/hep-th/9707014))

Review of ([Friedman-Morgan-Witten 97](#FriedmanMorganWitten97)) is in

* {#Donagi98} [[Ron Donagi]], _ICMP lecture on heterotic/F-theory duality_ ([arXiv:hep-th/9802093](http://arxiv.org/abs/hep-th/9802093))

* Bj&#246;rn Andreas, _$N=1$ Heterotic/F-theory duality_, PhD thesis ([pdf](http://edoc.hu-berlin.de/dissertationen/physik/andreas-bjoern/PDF/Andreas.pdf))

with more details in 

* {#DonagiMarkman95} [[Ron Donagi]], [[Eyal Markman]], _Spectral curves, algebraically completely integrable Hamiltonian systems, and moduli of bundles_ ([arXiv:alg-geom/9507017](http://arxiv.org/abs/alg-geom/9507017))

The issue with non-reducible $E_8$-gauge connections is highligted in 

* {#DistlerSharpe10} [[Jacques Distler]], [[Eric Sharpe]], section 5 of _Heterotic compactifications with principal bundles for general groups and general levels_, Adv. Theor. Math. Phys. 14:335-398, 2010 ([arXiv:hep-th/0701244](http://arxiv.org/abs/hep-th/0701244))


[[!redirects F/M-theory on elliptically fibered Calabi-Yau 2-folds]]