[[!redirects spin orientation of Ochanine elliptic cohomology]]

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
#### Elliptic cohomology
+-- {: .hide}
[[!include elliptic cohomology -- contents]]
=--
#### Spin geometry
+-- {: .hide}
[[!include higher spin geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The [[Ochanine genus]] lifts to a homomorphism of [[ring spectra]] $M Spin \to KO[ [q] ]$ from [[spin structure]] [[cobordism cohomology theory]] to [[Tate K-theory]] ([Kreck-Stolz 93, lemma 5.8, lemma 5.4](#KreckStolz93)).

Moreover, localized at 2 this map factors ([Kreck-Stolz 93, last line of p. 18 and cor 5.2 and page 21](#KreckStolz93)) through a map

$$
  M Spin \longrightarrow el
$$

where $el$ is a [[p-local spectrum|2-local spectrum]] (at least closely related to [[tmf0(2)]]) whose coefficient ring is the coefficient ring for the [[Ochanine elliptic genus]]

$$
  el_\bullet = \mathbb{Z}[a,b,c, \epsilon]/(2a, a^3, a b, b^2-4)
$$

wich, after inversion of 2, surjects onto the ring $\mathbb{Z}[\tfrac{1}{2}][\delta, \epsilon]$ of [[modular forms]] for [[congruence subgroup]] $\Gamma_0(2)$

This is [Kreck-Stolz 93, theorem 1](#KreckStolz93) (while we follow in notation [Hovey 95, page 2](#Hovey95)), which is a kind of refinement of the [[SO orientation of elliptic cohomology]] due to  ([Landweber-Ravenel-Stong 93](#LandweberRavenelStong93)).

If this map of [[ring spectra]] could be shown to be "highly structured" in that it preserves [[E-∞ ring]] structure, then it would equivalently be a universal [[orientation in generalized cohomology|orientation]]  (see at [relation between orientations and genera](orientation+in+generalized+cohomology#RelationToGenera)).


## Properties

### Relation between cobordism and homology

([Hovey 95](#Hovey95)), for the moment see at _[[cobordism theory determining homology theory]]_


## Related concepts


[[!include genera and partition functions - table]]

## References

* {#KreckStolz93} [[Matthias Kreck]], [[Stefan Stolz]], _$HP^2$-bundles and elliptic homology_, Acta Math, 171 (1993) 231-261 ([[KreckStolzElliptic.pdf:file]])

* {#Hovey95} [[Mark Hovey]], _Spin Bordism and Elliptic Homology_, Mathematische Zeitschrift 219, 163-170 1995 ([web](http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.53.3277))

* {#LandweberRavenelStong93} [[Peter Landweber]], [[Douglas Ravenel]], [[Robert Stong]], _Periodic cohomology theories defined by elliptic curves_, in [[Haynes Miller]] et. al. (eds.), _The Cech centennial: A conference on homotopy theory_, June 1993, AMS (1995) ([pdf](http://www.math.sciences.univ-nantes.fr/~hossein/GdT-Elliptique/Landweber-Ravenel-Stong.pdf))

$\,$

$\,$

$\,$

$\,$

$\,$

$\,$

$\,$

$\,$

$\,$

$\,$

$\,$

$\,$

$\,$

$\,$

$\,$

$\,$

$\,$


[[!redirects spin orientation of Tate K-theory]]

[[!redirects Spin orientation of elliptic cohomology]]
