
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Elliptic cohomology
+-- {: .hide}
[[!include elliptic cohomology -- contents]]
=--
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
=--
=--
#Contents#
* table of contents
{:toc}

## Idea

Where [[tmf]] is obtained from the [[moduli stack of elliptic curves]], $tmf_0(2)$ (or its versions $Tmf_0(2)$, $TMF_0(2)$) denotes the [[spectrum]] obtained from the cover by the moduli stack of [[elliptic curves with level structure]] for the [[congruence subgroup]] $\Gamma_0(2)$ (the one that preserves the NS-R spin structure on an elliptic curve, see [here](level+structure+on+an+elliptic+curve#RelationToSpinStructures)).

Detailed discussion is in ([Behrens 05](#Behrens05)).

This plays at least roughly the role for the [[Ochanine elliptic genus]] (the [[partition function]] of the [[type II superstring]] in the NS-R sector) as [[tmf]] does for the [[Witten genus]] (the partition function of the [[heterotic superstring]]). See at _[[spin orientation of Ochanine elliptic cohomology]]_ for more.

## Properties

### Relation to Landweber-Ravenel-Stong-Ochanine elliptic spectrum


After inversion of 6, $TMF_0(2)$ is ([Behrens 05](#Behrens05)) the [[elliptic spectrum]] $Ell$ of ([Landweber-Ravenel-Stong 93](#LandweberRavenelStong93)).

### Periodicity

The periodicity of $TMF_0(2)$ is 8.

## Related concepts

* [[modular equivariant elliptic cohomology]]


## References

* {#LandweberRavenelStong93} [[Peter Landweber]], [[Douglas Ravenel]], [[Robert Stong]], _Periodic cohomology theories defined by elliptic curves_, in [[Haynes Miller]] et. al. (eds.), _The Cech centennial: A conference on homotopy theory_, June 1993, AMS (1995) ([pdf](http://www.math.sciences.univ-nantes.fr/~hossein/GdT-Elliptique/Landweber-Ravenel-Stong.pdf))

* {#Behrens05} [[Mark Behrens]], _A modular description of the K(2)-local sphere at the prime 3_ ([arXiv:math/0507184](http://arxiv.org/abs/math/0507184))