
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Elliptic cohomology
+-- {: .hide}
[[!include elliptic cohomology -- contents]]
=--
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The [[Ochanine elliptic genus]] $\Omega^{SO}_\bullet \to M_\bullet = \mathbb{Z}[\tfrac{1}{2}][\delta, \epsilon]$ lifts to a map of [[ring spectra]]

$$
  M SO \longrightarrow Ell
$$

([Landweber-Ravenel-Stong 93](#LandweberRavenelStong93)). Here $Ell[\tfrac{1}{6}]$ is equivalently [[tmf0(2)]] ([Behrens 05](#Behrens05)) and as such this lift is analogous to the [[string orientation of tmf]] $M String \to tmf$.

If this map of [[ring spectra]] could be shown to be "highly structured" in that it preserves [[E-∞ ring]] structure, then it would equivalently be a universal [[orientation in generalized cohomology|orientation]]  (see at [relation between orientations and genera](orientation+in+generalized+cohomology#RelationToGenera)).


## Definition

After inversion of the [[prime number]] 2, the oriented [[cobordism ring]] is a [[polynomial ring]] over $\mathbb{Z}[\tfrac{1}{2}]$ on generators in degrees $4k$

$$
  \Omega^{SO}_\bullet[\tfrac{1}{2}]
  \simeq
  \mathbb{Z}[\tfrac{1}{2}] [x_4, x_8, x_{12}, \cdots  ]
$$

where $x_4$ is the class of the complex [[projective space]] $\mathbb{C}P^2$ and  $x_8$ that of $\mathbb{H}P^2$ and where all [[elliptic genera]] vanish on all the other generators ([Landweber-Ravenel-Stong 93, prop. 3.2](#LandweberRavenelStong93)). 

From this one gets that the [[quotient]] by the [[ideal]] generated by these higher elements is

$$
  \Omega^{SO}_\bullet[\tfrac{1}{2}]/(x_{4(k \geq 3)})
  \simeq
  MF_0(2)_\bullet \coloneqq \mathbb{Z}[\tfrac{1}{2}][\delta, \epsilon]
$$

where the right hand side here is naturally identified as the ring of those [[modular forms]] for the [[congruence subgroup]] $\Gamma_0(2)$ which have half-integral [[coefficients]] in their $q$-expansion at the [[nodal curve]] ([Landweber-Ravenel-Stong 93, theorem 1.5](#LandweberRavenelStong93)).

Now by a general construction due to ([Baas 73](#Baas73)) this induces a [[generalized homology theory]] 
$$
  \Omega^{SO}_\bullet[\tfrac{1}{2}](-)
$$

[[Brown representability theorem|represented]] by some [[spectrum]] $Ell$,whose coefficient ring is as above

$$
  Ell_\bullet \simeq MF_0(2)_\bullet
  \,.
$$

By construction, this comes with a quotient map

$$
  M SO[\tfrac{1}{2}] \longrightarrow Ell
$$

which is a map of [[ring spectra]] by ([Mironov 78](#Mironov78)). This maplifts the universal [[elliptic genus]] (in that it reproduces it on [[homotopy groups]]) ([Landweber-Ravenel-Stong 93, section 4.6, 4.7](#LandweberRavenelStong93))


## Properties

### Induced relation between cobordism and homology

The SO orientation of elliptic cohomology makes it expressible in terms of the [[cobordism cohomology theory]], see at _[[cobordism theory determining homology theory]]_ ([Landweber-Ravenel-Stong 93, theorem 1.2](#LandweberRavenelStong93)).

### Relation to the Atiyah-Bott-Shapiro Spin orientation of KO

There are maps of spectra

$$
  Ell [\epsilon^{-1}] \longrightarrow KO[\tfrac{1}{2}]
$$

and

$$
  Ell [(\delta^2- \epsilon)^{-1}] \longrightarrow KO[\tfrac{1}{2}]
$$

such that postcomposition of the above SO-orientation with reproduces the [[signature genus]] and the [[Atiyah-Bott-Shapiro orientation]] of [[KO]], respective, hence the [[A-hat genus]] ([Landweber-Ravenel-Stong 93, prop. 4.9](#LandweberRavenelStong93)).

Notice that here the second localization correponds again to including the [[nodal curve]]:

[[!include moduli stack of curves -- table]]

### Homotopy type of the spectrum $Ell$

After suitable localization the spectrum Ell is a wedge sum of suspensions of the [[Morava E-theory]] $E(2)$ ([Baker 97](#Baker97)).

Specifically after [[K(n)-local spectrum|K(2)-localization]] and inversion of 6 it coincides with [[tmf0(2)|TMF0(2)]]

$$
  L_{K(2)} TMF_0(2) \simeq L_{K(2)}(E(2) \vee \Sigma^8 E(2))
  \,.
$$

## Related concepts

[[!include genera and partition functions - table]]

## References

The construction is due to 

* {#LandweberRavenelStong93} [[Peter Landweber]], [[Douglas Ravenel]], [[Robert Stong]], _Periodic cohomology theories defined by elliptic curves_, in [[Haynes Miller]] et. al. (eds.), _The Cech centennial: A conference on homotopy theory_, June 1993, AMS (1995) ([pdf](http://www.math.sciences.univ-nantes.fr/~hossein/GdT-Elliptique/Landweber-Ravenel-Stong.pdf))

based on general constructions of multiplicative homology theories from cobordism theories due to 

* {#Baas73} [[Nils Baas]], _On bordism theory of manifolds with singularities_, Math. Scand. 33 (1973), 279–302.

* {#Mironov78} O. K. Mironov, _Multiplications in cobordism theories with singularities_, and Steenrod-tom Dieck operations_, Izv. Akad. Nauk SSSR, Ser. Mat. 42 (1978), 789–806; English transl. in Math. USSR Izvestiya 13 (1979), 89–106.


Analysis of $Ell$ is in 

* {#Baker97} [[Andrew Baker]], The homotopy type of the spectrum representing elliptic cohomology,  Proceedings of the American Mathematical Society 107.2 (1989): 537-548. ([pdf](http://www.maths.gla.ac.uk/~ajb/dvi-ps/homell.pdf))

* [[Andrew Baker]], _On the Adams $E_2$-term for elliptic cohomology_, 1997 ([pdf](http://www.maths.gla.ac.uk/~ajb/dvi-ps/ell-ext.pdf))

The interpretation of $Ell$ in terms of [[tmf0(2)|TMF0(2)]] is discussed in

* {#Behrens05} [[Mark Behrens]], _A modular description of the K(2)-local sphere at the prime 3_ ([arXiv:math/0507184](http://arxiv.org/abs/math/0507184))

More is in 

* [[Dylan Wilson]], _Orientations and Topological Modular Forms with Level Structure_ ([arXiv:1507.05116](http://arxiv.org/abs/1507.05116))

