+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher geometry
+--{: .hide}
[[!include higher geometry - contents]]
=--
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

**Spectral algebraic geometry** (or maybe [[E-∞ geometry]]) is the theory of [[homotopical algebraic geometry]] specialized to the [[(infinity,1)-category of spectra]].
Hence it is a generalization of ordinary [[algebraic geometry]] where instead of [[commutative rings]], [[spectral schemes]] are locally modelled on [[commutative ring spectra]].

## Applications

### Elliptic cohomology

Historically, the first application of spectral algebraic geometry was in the study of [[elliptic cohomology]] and [[topological modular forms]].  In particular it allowed the construction and study of the [[tmf]] [[spectrum]] as a certain [[derived moduli stack]] of [[derived elliptic curves]]. This construction is based on the [[Artin-Lurie representability theorem]].  See

* [[Jacob Lurie]], [[A Survey of Elliptic Cohomology]]
* [[Jacob Lurie]], [[Elliptic Cohomology I]]

## See also

* [[derived algebraic geometry]]
* [[brave new algebra]]
* [[E-infinity ring]]

## References

The foundations of the theory are developed in

* [[Jacob Lurie]], _DAG VII: Spectral schemes_, [pdf](http://www.math.harvard.edu/~lurie/papers/DAG-VII.pdf).

* [[Jacob Lurie]], _DAG VIII: Quasi-coherent sheaves and Tannaka duality theorems_, [pdf](http://www.math.harvard.edu/~lurie/papers/DAG-VIII.pdf).

* [[Jacob Lurie]], _DAG IX: Closed immersions_, [pdf](http://www.math.harvard.edu/~lurie/papers/DAG-IX.pdf).

* [[Jacob Lurie]], _DAG XI: Descent theorems_, [pdf](http://www.math.harvard.edu/~lurie/papers/DAG-XI.pdf).

* [[Jacob Lurie]], _DAG XII: Proper morphisms, completions, and the Grothendieck existence theorem_, [pdf](http://www.math.harvard.edu/~lurie/papers/DAG-XII.pdf).

* [[Jacob Lurie]], _DAG XIV: Representability theorems_, [pdf](http://www.math.harvard.edu/~lurie/papers/DAG-XIV.pdf).

A textbook account is developing in 

* [[Jacob Lurie]], _[[Spectral Algebraic Geometry]]_ ([pdf]( http://math.harvard.edu/~lurie/papers/SAG-rootfile.pdf))


See also

* [[Clark Barwick]], _Applications of derived algebraic geometry to homotopy theory_, lecture notes, mini-course in Salamanca, 2009, [pdf](https://dl.dropboxusercontent.com/u/1741495/papers/salamanca.pdf).

* [[Paul Goerss]], [[Topological Algebraic Geometry - A Workshop]]

For the 2014 installment of UOregon's Moursund Lecture Series, Jacob Lurie gave three (video recorded) lectures on spectral algebraic geometry

* [[Jacob Lurie]], [Theory of ‘Spectral’ Algebraic Geometry](http://media.uoregon.edu/channel/2014/05/21/moursund-mathematics-lecture-series-dr-jacob-lurie-lecture-1-theory-of-%E2%80%98spectral-algebraic-geometry/)

* [[Jacob Lurie]], [Ambidexterity](http://media.uoregon.edu/channel/2014/05/23/moursund-mathematics-lecture-series-dr-jacob-lurie-lecture-2-ambidexterity/)

* [[Jacob Lurie]], [Roots of Unity in Stable Homotopy Theory](http://media.uoregon.edu/channel/2014/05/28/moursund-mathematics-lecture-series-dr-jacob-lurie-lecture-3-roots-of-unity-in-stable-homotopy-theory/)