
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Model category theory
+--{: .hide}
[[!include model category theory - contents]]
=--
#### $(\infty,1)$-Topos Theory
+--{: .hide}
[[!include (infinity,1)-topos - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The **Čech model structure on simplicial sheaves** on a [[site]] $C$ is a model by [[simplicial sheaves]] for the [[topological localization]] of an [[(∞,1)-category of (∞,1)-presheaves]] on $C$ to the [[(∞,1)-category of (∞,1)-sheaves]]. 

It is obtained from the the [[Čech model structure on simplicial presheaves]] on $C$ by [[transferred model structure|transfer]] along the [[sheafification]] [[adjunction]].

Further [[Bousfield localization of model categories|left Bousfield localization]] at “internal” weak homotopy equivalences leads from the Čech model structure to the [[model structure on simplicial sheaves]] that presents the [[hypercomplete (∞,1)-topos]] which is the [[hypercompletion]] of that presented by the Čech model structure.


## Definition

Let $C$ be a small [[site]], let $sSh (C)$ be the [[category]] of [[simplicial sheaves]] on $C$, and write $[C^{op}, sSet]_{\check{C},proj}$ and $[C^{op}, sSet]_{\check{C},inj}$ for the projective and injective [[Čech model structure on simplicial presheaves]], respectively. 

+-- {: .num_defn}
###### Definitions

The injective **Čech model structure on simplicial sheaves** on $C$ is the unique model structure on $sSh (C)$ with the following properties:


* The weak equivalences are the morphisms in $sSh (C)$ that are weak equivalences in $[C^{op}, sSet]_{\check{C},inj}$.
* The cofibrations are the monomorphisms.
* The fibrations are the morphisms in $sSh (C)$ that are fibrations in $[C^{op}, sSet]_{\check{C},inj}$.

=--


+-- {: .num_defn}
###### Definition

The projective **Čech model structure on simplicial sheaves** on $C$ is the unique [[model category]] structure on $sSh (C)$ with the following properties:

* The weak equivalences are the morphisms in $sSh (C)$ that are weak equivalences in $[C^{op}, sSet]_{\check{C},proj}$.
* The trivial fibrations are the morphisms in $sSh (C)$ that are trivial fibrations in the projective Čech model structure on $[C^{op}, sSet]_{\check{C},proj}$, i.e. the componentwise trivial Kan fibrations.

=--

## Constructions

To construct the injective Čech model structure on $sSh (C)$, we use the following facts:

* The inclusion $sSh (C) \hookrightarrow [C^{op}, sSet]$ is fully faithful.
* The left adjoint (i.e. sheafification) $[C^{op}, sSet] \to sSh (C)$ preserves monomorphisms, and the class of monomorphisms in $sSh (C)$ is closed under pushouts, transfinite composition, and retracts.
* The adjunction unit is a natural weak equivalence with respect to the (injective) Čech model structure on $[C^{op}, sSet]$: see Theorem A.2 in [DHI]. 

We may then apply Kan's recognition principle for [[cofibrantly generated model category|cofibrantly generated model structures]] to transfer the injective Čech model structure from $[C^{op}, sSet]$ to $sSh (C)$. By construction, the sheafification adjunction becomes a Quillen equivalence.

On the other hand, to construct the projective Čech model structure on $sSh (C)$, we use Smith's recognition principle for [[combinatorial model category|combinatorial model structures]] and build it like a [[mixed model structure]].

## References

* {#DuggerHollanderIsaksen02} [[Daniel Dugger]], [[Sharon Hollander]], [[Daniel Isaksen]], [_Hypercovers and simplicial presheaves_](http://dx.doi.org/10.1017/S0305004103007175) ([arXiv:math/020502](http://arxiv.org/abs/math/0205027)).

[[!redirects Cech model structure on simplicial sheaves]]