
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Differential-graded objects
+--{: .hide}
[[!include differential graded objects - contents]]
=--
#### Homological algebra
+--{: .hide}
[[!include homological algebra - contents]]
=--
=--
=--


#Contents#
* automatic table of contents goes here
{:toc}

## Bar  and cobar constructions

* There is a brief entry at [[bar construction]] together with a blog link

   * [[Todd Trimble]], _On the Bar Construction_ ([blog](http://golem.ph.utexas.edu/category/2007/05/on_the_bar_construction.html))

* There is some discussion of the bar-cobar adjointness as it related to [[twisting cochain|twisting cochains]], at that entry.

* Here we will concentrate on the bar-cobar adjointness itself and start exploring the links with other parts of differential algebra.


One of the earliest examples of a pair of [[adjoint functor|adjoint functors]] studied in algebraic topology was that giving the relationship between the functors for [[reduced suspension]] and [[loop space object|based loop space]]. If we take a pointed connected space $(X,x_0)$, then its [[reduced suspension]] $\Sigma X$ is obtained by taking  the cylinder $I\times X$ and identifying the subspace $\{0,1\}\times X\cup I\times \{x_0\}$ to a point.  (Think of crushing the two ends of the cylinder and the line through the base point to a point.) This can also be thought of as forming $S^1\wedge X$ the  [[smash product]] of the circle with $X$. 

Adjoint to $\Sigma$ is the loop space functor: $\Omega Y$ is the space of pointed maps from $S^1$ to $Y$. This has a monoid structure (up to homotopy) given by concatenation of loops.  (Back in $S^1$, we have a comonoid structure with respect to the pointed coproduct $S^1\to S^1\vee S^1$ as described at [[interval object]]. This in some sense  is _'subdivision as an inverse for composition'_.)

(perhaps: Picture to go here?)

Using ordinary (co)homology to study spaces such as CW-complexes, we naturally use the complexes of (cellular) chains on spaces. The structure of chains on the suspension is  easy to work out using the obvious cellular structure, but that on the loop space is much harder as $\Omega X$ is given the compact open topology and only has the homotopy type of a CW-complex, so no nice cellular structure is given us 'on a plate'.  The idea is thus to start with  a chain complex model, $C_*(X)$, for a CW-complex, $X$, (usually the complex of cellular chains on $X$),  and we try to construct from $C_*(X)$ a 'model' for the chain complex of  the loop space $\Omega X$ of $X$. Adams' cobar construction was such a method (see below). This was adjoint to a bar construction defined by Eilenberg and MacLane. 

Both directions use an abstract algebraic model of concatenation of paths and so their construction is linked to that of free monoids, and through those to monads, operads and related abstract machinery to handle concatenation and its higher categorical analogues in categorical contexts.

The chain complex $C_*(X)$ has a rich coalgebraic structure coming from induced by a cellular diagonal approximation on $X$ so the *cobar* construction will start with a [[differential graded coalgebra|dg-coalgebra]] as 'input' and as output we will hope for both a coalgebra structure (reflecting the chain coalgebra idea) and an algebra structure (coming from modelling the concatenation of loops). We therefore might hope for, and in fact do get, a [[differential graded Hopf algebra]].

Going the other way, we start with a [[differential graded algebra]] and use 'coconcatenation' or 'subdivision'  to get a coalgebra structure. In fact, once again, this is a Hopf algebra.

These topologically motivated constructions can be applied in much greater generality as we will see both here and elsewhere:

## The Bar construction

(due originally Eilenberg-MacLane) Remember this goes from 'algebras' to Hopf algebras in general.

\[B :pre \varepsilon CDGA \to pre CDGHA\]



## Definition

Let $(A,d,\varepsilon) $ be a commutative, augmented differential $\mathbb{Z}$-graded algebra, $d(A_n)\subseteq A_{n-1}$, $\overline{A} = Ker \varepsilon$.  


The **bar construction** $B(A,d,\varepsilon)$ is given by 
$$B(A,d,\varepsilon) = (T(s\overline{A}), D),$$
where 

*  $T(s\overline{A})$ is the commutative [[differential graded Hopf algebra]] generated by $s\overline{A}$, $s$ being the _suspension_ (shift, translation, etc) operator discussed in [[graded vector space|graded vector spaces]],


*  $D = d_I + d_E$, where

$$d_I(sa_1\otimes \ldots\otimes sa_n) = -\sum_{i = 1} ^n\eta(i-1)sa_1\otimes \ldots \otimes sa_{i-2}\otimes sda_{i-1}\otimes\ldots sa_n,$$ 

and

$$d_E(sa_1\otimes \ldots\otimes sa_n) = -\sum_{i = 1} ^n\eta(i-1)sa_1\otimes \ldots \otimes sa_{i-2}\otimes sa_{i-1}.a_i\otimes \ldots sa_n,$$ 


with $\eta(i) = (-1)^{\sum_{k=1}^i |sa_k|}$.

**Note** that _the image of a 1-connected cdga is a connected commutative Hopf algebra_.
#### Things to note in this construction:

* It uses the _suspension_ operator on the graded vector spaces.  This mirrors the reduced suspension at the cell complex level.

* It uses a tensor algebra construction.  This from one point of view handles the formal concatenation aspect,  
but has also a rich structure of a coalgebraic structure with reduced diagonal, given by 

$$\bar{\Delta}(v_1\otimes \ldots \otimes v_n) = \sum_{p=1}^{n-1} (v_1\otimes \ldots \otimes v_p)\otimes(v_{p+1}\otimes \ldots \otimes v_n),$$

(see [[differential graded coalgebra]]).
This can be interpreted as looking at how a formal concatenation can be 'subdivided' into its various parts.



## The Cobar construction

(due to J. F. Adams)



We define a functor:



\[F :pre \eta  CoDGC \to pre CoDGHA\]

so essentially from cocommutative [[differential graded coalgebra|differential graded coalgebras]] to  cocommutative [[differential graded Hopf algebra|differential graded Hopf algebras]] (with frills attached in the way of coaugmentations, etc).

Let $(C,\partial,\eta)$ be a cocommutative differential $\mathbb{Z}$-graded coaugmented coalgeba:

$$\partial(C_n) \subseteq C_{n-1},  \quad \overline{C} = C/\eta(k), \quad \overline{\Delta} : \overline{C} \to \overline{C}\otimes \overline{C}.$$

The _Cobar construction_ $F(C,\partial, \eta)$ is the cocommutative pre-dgha defined by 

* $F(C,\partial,\eta) = (T(s^{-1}\overline{C}), \delta)$,
 where $\delta = \partial_I + \partial_E$.  

Here 

*  $T(s^{-1}\overline{C})$ is the cocommutative Hopf algebra generated by $s^{-1}\overline{C}$, as before(in [[differential graded coalgebra]]) $\overline{C}$ is the cokernel of the coaugmentation, $\eta$)

*   $$\partial_I (s^{-1}c_1\otimes \ldots\otimes s^{-1}c_n) = -\sum_{i = 1} ^n\eta(i-1)s^{-1}c_1\otimes \ldots\otimes s^{-1}c_{i-1}\otimes s^{-1}\partial c_i\otimes \ldots s^{-1}c_n,$$

and 

*  $$\partial_E (s^{-1}c_1\otimes \ldots\otimes s^{-1}c_n) = -\sum_{i = 1} ^n\eta(i-1)\sum_\mu (-1)^{|c'_{i\mu}| +1} (s^{-1}c_1\otimes \ldots\otimes s^{-1}c'_{i\mu}\otimes  s^{-1}c^{\prime\prime}_{i\mu}\otimes \ldots\otimes s^{-1}c_n),$$
with $\overline{\Delta}c_i = \sum_\mu c'_{i\mu}\otimes  c^{\prime\prime}_{i\mu}$; $\eta(i) = (-1)^{ \sum^i_{k=1}|s^{-1}c_k|}.$

The image of a 1-connected cdgc is a connected cocommutative dgha.

If $C$ is of finite type, $\#F(C,\partial,\eta)$ is isomorphic to $B\#(C,\partial,\eta)$ as a differential $\mathbb{Z}$-graded Hopf algebra.



If $A$ is not (graded) commutative, the differential $d_E$ of $B(A,d,\varepsilon)$ does not respect the shuffle product on $T(s\overline{A})$; $B(A,d,\varepsilon)$ thus becomes merely a differential $\mathbb{Z}$-graded coalgebra.  Similarly if $C$ is not (graded) cocommutative $F(C,\partial,\eta)$ is merely a differential $\mathbb{Z}$-graded algebra.

In particular, let

*  $\varepsilon-DGA$ be the category of augmented differential graded algebras, ($A = \oplus_{p\geq 0}A_p$).

* $DGC_0$, the category of connected differential graded coalgebras,

then the Bar and Cobar constructions yield functors

$$B: \varepsilon DGA\to DGC_0$$

$$F : DGC_0\to  \varepsilon DGA.$$


+-- {: .num_theorem #}
###### Proposition

(Husemoller-Moore-[[Jim Stasheff|Stasheff]])

$B$ is right adjoint to $F$.

For any objects $(A,d)$ in $\varepsilon-DGA$, and $(C,\partial)$ of $DGC_0$, the natural adjunction morphisms

$$\hat{\alpha} : FB(A,d) \to (A,d)$$

$$\hat{\beta} : (C,\partial) \to BF(C,\partial)$$

are weak equivalences / [[quasi-isomorphism|quasi-isomorphisms]].

=--


These latter morphisms are defined by

* $\hat{\alpha} : T(s^{-1}\overline{T(s\overline{A})}), \delta)\to (A,d)$ is the zero mapping on $s^{-1}T^{\geq 2}(s\overline{A})$ and the natural isomorphism $s^{-1}s\overline{A} \stackrel{\simeq}{\to} \overline{A}$ on $s^{-1}s\overline{A}$.

* $\hat{\beta} : (C,\partial) \to (T(\overline{sT(s^{-1}\overline{C}}),D)$ is the unique lifting of 
$$C\to s^{-1}\overline{C} \to \overline{T(s^{-1}\overline{C})}\to \overline{sT(s^{-1}\overline{C})}.$$

## References

The source used for the above was 

D. Tanré, _Homotopie rationnelle: Modèles de Chen, Quillen, Sullivan_, Lecture Notes in Maths No. 1025, Springer, 1983.

This was augmented with material from

H. J. Baues, _Geometry of loop spaces and the cobar construction_, Mem. Amer.
Math. Soc. 25 (230) (1980) ix+171.