This page is about the $\tau$-function in the study of [[soliton]]s and [[integrable model]]s, as invented by Kyoto school. There will be a separate entry for a different notion of [[Ramanujan tau function]].

## Motivation

Quoting Zabrodin, [arxiv/1211.4428](http://arxiv.org/abs/1211.4428),

> "In nature", $\tau$-functions or their logarithms appear as partition functions, different kinds of correlators and their generating functions, and effective actions as functions of coupling constants.

## Formal idea

Sato and Segal have formulated the $\tau$-function as the [[Fredholm determinant]] of certain 1-parameter family of operators on separable Hilbert space.

#### Other formal interpretations

$\tau$-functions appear as dependent variables in [[Hirota bilinear equation]]s 
associated to integrable hierarchies.

Tau functions can also be associated to the isomonodromic problems.

## References

The $\tau$-function has first been introduced in the formalism of [[Clifford group]]
of free fermions in study of [[holonomic quantum field]]s

* Mikio Sato, Tetsuji Miwa, Michio Jimbo

The $\tau$-function for [[KP hierarchy]] has originally being studied in 

* [[Masaki Kashiwara]], [[Tetsuji Miwa]], _The $\tau$-function of the Kadomtsev-Petviashvili equation transformation groups for soliton equations, I_, Proc. Japan Acad. Ser. A Math. Sci. __57__, N. 7 (1981), 337-386 [euclid](http://projecteuclid.org/euclid.pja/1195516327)

The background on the context of infinite Grassmanians is in 

* Andrew Pressley, Graeme Segal, _Loop groups_, Oxford University Press (1988)
* G. Segal, G. Wilson, _Loop groups and equations of KdV type_, Inst. Hautes Etudes Sci. Publ. Math. 61 (1985) 5–65.

Reviews include

* A. Alexandrov, A. Zabrodin, _Free fermions and tau-functions_, J.Geom.Phys. __67__ (2013) 37-80 [arxiv/1212.6049](http://arxiv.org/abs/1212.6049) [doi](http://dx.doi.org/10.1016/j.geomphys.2013.01.007)
* A. Zabrodin, _Bethe ansatz and Hirota equation in integrable models_, [arxiv/1211.4428](http://arxiv.org/abs/1211.4428)

Some special cases of $\tau$-functions include

* J. Palmer, _Determinants of Cauchy–Riemann operators as τ-functions_, Acta Appl. Math. 18 (1990), 199-223.

Isomonodromic interpretation is stemming already from the works of holonomic fields, and isomonodromic $\tau$-functions are studied also in 

* Bertola, Eynard, Harnad, _Semiclassical orthogonal polynomials, matrix models and isomonodromic tau functions_, [nlin.SI/0410043](http://arxiv.org/abs/nlin.SI/0410043)

[[Witten conjecture]] is about the equivalence of two approaches to gravity, and boils down to a connection of the $\tau$-function for the KP hierarchy and theory of Riemann surfaces. It has been proved by Kontsevich who also introduced related family of matrix models.

* [[Maxim Kontsevich]], _Intersection theory on the moduli space of curves and the matrix Airy function_, Comm. Math. Phys. __147__ (1992), no. 1, 1--23, [euclid](http://projecteuclid.org/euclid.cmp/1104250524), [author's pdf](http://193.51.104.7/~maxim/TEXTS/intersection_theory_6.pdf)

* A.Alexandrov, _Enumerative geometry, tau-functions and Heisenberg-Virasoro algebra_, [arxiv/1404.3402](http://arxiv.org/abs/1404.3402)

> In this paper we establish relations between three enumerative geometry tau-functions, namely the Kontsevich-Witten, Hurwitz and Hodge tau-functions. The relations allow us to describe the tau-functions in terms of matrix integrals, Virasoro constraints and Kac-Schwarz operators. All constructed operators belong to the algebra (or group) of symmetries of the KP hierarchy. 

Connection of $\tau$-functions to [[dessins d'enfants]] is discussed in 

* Jan Ambjørn, Leonid Chekhov, _The matrix model for dessins d'enfants_, [arxiv/1404.4240](http://arxiv.org/abs/1404.4240)

A connection to elementary geometry is studied (with nice reference list) in

* Adam Doliwa, _Desargues maps and the Hirota-Miwa equation_, 
[pdf](https://www.newton.ac.uk/preprints/NI09049.pdf)

Recent works on $\tau$-function include

* J. W. van de Leur, A. Yu. Orlov, _Pfaffian and determinantal tau functions I_, [arxiv/1404.6076](http://arxiv.org/abs/1404.6076)

* [[Mattia Cafasso]], Chao-Zhong Wu, _Tau functions and the limit of block Toeplitz determinants_, [arxiv/1404.5149](http://arxiv.org/abs/1404.5149)
 
* J. Harnad, Eunghyun Lee, _Symmetric polynomials, generalized Jacobi-Trudi identities and τ-functions_, [arxiv/1304.0020](http://arxiv.org/abs/1304.0020)

* S. Natanzon, A. Zabrodin, _Formal solution to the KP hierarchy_, [arxiv/1509.04472](http://arxiv.org/abs/1509.04472)

category: physics, representation theory, Lie theory

[[!redirects tau-function]]