Hirota equations are certain bilinear equations related to [[integrable models]]/hierarchies. The dependent variables can, in most cases, be identified with $\tau$-[[tau-function|functions]], as it was first observed by Miwa. One often speaks of Hirota's direct method in solving integrable equations. We say that an equation is put in Hirota bilinear form
if it is written as $P(D)(f\cdot f) = 0$ where $D$ is the Hirota derivative (or difference) operator. One defines it by 
$$
D_x^n (f\cdot g) = (\partial_{x_1}-\partial_{x_n})^n (f(x_1)g(x_2))|_{x_1=x_2=x}
$$
The difference version of Hirota operator is obtained by exponentiating.
The Hirota equations enable easier finding of [[multisoliton]] solutions. 
Recent $Y$-systems may also be viewed as a version of generalized Hirota equations.

One can consider partition functions as made up from characters; $GL(N)$/characters are by Weyl formula given in terms of (ratios of) certain determinants. Flag minor determinants satisfy bilinear [[Pluecker relation]]s. If the tau functions are 
interpreted in terms of infinite Grassmanians (fermionic approach) then the Hirota relations sometimes boil down to Pluecker relations. 

## Literature

* R. Hirota, _Exact solution of the Korteweg-de Vries equation for multiple
collisions of solitons_, Phys. Rev. Lett., 27, 1192 (1971).
* R. Hirota, _Discrete analogue of a generalized Toda equation_, J. Phys. Soc. Japan 50 (1981) 3785-3791.
* T. Miwa, _On Hirota’s difference equations_, Proc. Japan Acad. 58 (1982) 9-12 [euclid](http://projecteuclid.org/euclid.pja/1195516178)
* S. Saito, _String theories and Hirota’s bilinear diference equation_, Pys. Rev. Lett. 59 (1987) 1798–1801.
* A. Zabrodin, _Bethe ansatz and Hirota equation in integrable models_, [arxiv/1211.4428](http://arxiv.org/abs/1211.4428)
* G. Segal, G. Wilson, _Loop groups and equations of KdV type_, Inst. Hautes Etudes Sci. Publ. Math. 61 (1985) 5–65.

#### Relation to Y-systems

* A. Kuniba, T. Nakanishi, J. Suzuki, _T-systems and Y-systems in integrable
systems_, J. Phys. A 44 (2011) 103001.
* S. Leurent, [Hirota equation and Q-functions](http://www.normalesup.org/~sleurent/talks/2011_ENS.pdf), slides

[[!redirects Hirota bilinear equation]]
[[!redirects Hirota equations]]