
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Constructivism, Realizability, Computability
+-- {: .hide}
[[!include constructivism - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A _[[domain specific programming language]]_ is one designed for  a specialized kind ("domain") of applications. A _domain specific embedded programming language_ (DSEL) is a domain specific language realized "inside" a general-purpose high level ([[type theory|typed]]) [[programming language]].

## {#RelationToSyntheticMathematics} Relation to synthetic mathematics
 
 
There is at least some similarity between DSELs and [[synthetic mathematics]], see for instance ([Hudak 98, section 3.2](#Hudak98)). In ([Hudak 98, figure 2](#Hudak98)) this shows aspects of a real-world DSL for "geometric region analysis" embedded in [[Haskell]] which under the [[relation between type theory and category theory]]/[[computational trinitarianism]] one immediately recognizes as a fragment of [[synthetic geometry]].

## Reference


* {#Hudak98} Paul Hudak, _Modular Domain Specific Languages and Tools_, in _Proceedings of Fifth International Conference on Software Reuse_, IEEE Computer Society Press  1998  ([pdf](http://cs.yale.edu/c2/images/uploads/dsl.pdf))

Discussion for embedding in [[Haskell]] is in 

* HaskellWiki, _[Embedded domain specific language](http://www.haskell.org/haskellwiki/Embedded_domain_specific_language)_

A list of literature is at 

* Haskell Wiki, _[Research papers/Domain specific languages](http://www.haskell.org/haskellwiki/Research_papers/Domain_specific_languages)_


[[!redirects domain specific embedded programming languages]]

[[!redirects domain specific embedded language]]
[[!redirects domain specific embedded languages]]

[[!redirects embedded domain specific language]]
[[!redirects embedded domain specific languages]]

[[!redirects embedded domain specific programming language]]
[[!redirects embedded domain specific programming languages]]


[[!redirects DSEL]]
[[!redirects EDSL]]