
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Formal geometry
+--{: .hide}
[[!include formal geometry -- contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A [[formal group]]-analog of the [[Brauer group]]. The special case of the concept of [[Artin-Mazur formal group]] for $n = 2$. The $n = 1$-analog is the _[[formal Picard group]]_.

## Properties

### Relation to $K3$-cohomology

In higher dimensional analogy of how the [[formal Picard group]] of an [[elliptic curve]] gives the [[formal group]] of an [[elliptic spectrum]] representing an [[elliptic cohomology theory]], so the formal Brauer group of a [[K3 surface]] gives the formal group of an [[complex oriented cohomology theory]] given by a [[spectrum]] hence called a _[[K3-spectrum]]_ [[Brown representability theorem|representing]] _[[K3-cohomology]]_.

## Related concepts

* [[Brauer stack]]

[[!include moduli of higher lines -- table]]


## References

The original account of the construction of formal Picard groups is

* {#ArtinMazur77} [[Michael Artin]], [[Barry Mazur]], _Formal Groups Arising from Algebraic Varieties_, Annales scientifiques de l'École Normale Supérieure, Sér. 4, 10 no. 1 (1977), p. 87-131  [numdam](http://www.numdam.org/item?id=ASENS_1977_4_10_1_87_0), [MR56:15663](http://www.ams.org/mathscinet-getitem?mr=56:15663)

Modern reviews include

* {#Szymik} [[Markus Szymik]], section 3 of _K3 spectra_ ([pdf](http://www.math.ku.dk/~xvd217/szymik.K3spectra.pdf))


* {#Liedtke14} Christian Liedtke, around p. 40 of _Lectures on Supersingular K3 Surfaces and the Crystalline Torelli Theorem_ ([arXiv.1403.2538](http://arxiv.org/abs/1403.2538))

[[!redirects formal Brauer groups]]
