
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

In higher dimensional analogy of how the [[formal Picard group]] of an [[elliptic curve]] gives the [[formal group]] of an [[elliptic spectrum]] representing an [[elliptic cohomology theory]], so the [[formal Brauer group]] of a [[K3 surface]] gives the formal group of an [[complex oriented cohomology theory]] given by a [[spectrum]] hence called a _K3-spectrum_ [[Brown representability theorem|representing]] _K3-cohomology_ ([Szymik 10, section 4.2](#Szymik10)).

## Properties

### Existence

The [[formal Brauer groups]] $\Phi^2_{X}$ of [[K3 surfaces]] $X$ have [[height of a formal group|height]] in $\{1,2,3,4,5,6,7,8,9,10,\infty\}$, and all values appear. ([Artin 74](#Artin74), [Artin-Mazur 77](#ArtinMazur77)).

By the [[Landweber exact functor theorem]] there is a K3-spectrum associated with $\Phi^2_X$ if it is Landweber exact.

([Szymik 10, theorem 1](#Szymik10)) gives sufficient conditions for this to be the case and ([Szymik 10, prop. 7, prop. 8](#Szymik10)) say that these condition are satisfied for enough K3 surfaces to realize all formal Brauer groups (...add details...).

## Related concepts

[[!include moduli of higher lines -- table]]


[[!include chromatic tower examples - table]]

## References

Discussion of the [[formal groups]] given as the [[formal Brauer groups]] of [[K3-surfaces]] originates in 

* {#ArtinMazur77} [[Michael Artin]], [[Barry Mazur]], _Formal Groups Arising from Algebraic Varieties_, Annales scientifiques de l'École Normale Supérieure, Sér. 4, 10 no. 1 (1977), p. 87-131  [numdam](http://www.numdam.org/item?id=ASENS_1977_4_10_1_87_0), [MR56:15663](http://www.ams.org/mathscinet-getitem?mr=56:15663)

based on 

* {#Artin74} [[Michael Artin]], _Supersingular K3 Surfaces_, Annal. Sc. d, l'&Eacute;c Norm. Sup.  4e  s&eacute;ries, T. 7, fasc.  4, 1974, pp. 543-568


The general idea of [[Calabi-Yau cohomology]] apparently appears in 

* [[Michael Hopkins]], lectures at Midwest Topology Seminar, 1992

A further discussion of K3-cohomology appears in Chapter 10 of

* [[Charles Thomas]], _Elliptic Cohomology_.

Lecture notes include

* [[Paul VanKoughnett]], _K3 cohomology theories_, 2014 ([pdf](http://math.northwestern.edu/~dwilson/k3notes/Lecture1-K3Spectra.pdf))

The suggestion that from the point of view of [[string theory]]/[[F-theory]] K3-cohomology and further Calabi-Yau cohomology this is the required generalization of [[elliptic cohomology]] appears in 

* {#Sati05} [[Hisham Sati]], p. 18 of _The Elliptic curves in gauge theory, string theory, and cohomology_, JHEP 0603 (2006) 096 ([arXiv:hep-th/0511087](http://arxiv.org/abs/hep-th/0511087))

A discussion of some kind of K3-cohomology in terms of [[differential geometry]] appears in 

* Jorge Devoto, _Quaternionic elliptic objects and K3-cohomology_ London Mathematical Society Lecture Note Series (No. 342) 05/2007;

The concepts of K3-spectrum as such as considered in

* {#Szymik10} [[Markus Szymik]], _K3 spectra_, Bulletin of the London Mathematical Society, 2010 ([pdf](http://www.math.ku.dk/~xvd217/szymik.K3spectra.pdf), [publisher](http://blms.oxfordjournals.org/content/early/2010/01/12/blms.bdp106.abstract))

[[!redirects K3-spectra]]

[[!redirects K3 spectrum]]
[[!redirects K3 spectra]]


[[!redirects K3-cohomology]]
[[!redirects K3 cohomology]]