
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

### General

The [[KK-compactification|KK]] [[flux compactification]] of [[M-theory]]/[[F-theory]] on an [[elliptic fibration|elliptically fibered]] [[Calabi-Yau variety]] of ([[complex manifold|complex]]) [[dimension]] 4 (hence real dimension 8) yields [[type IIB superstring theory]] (with some [[S-duality]]-related [[non-perturbative effects]] included) [[KK-compactification|KK-compactified]] on Calabi-Yau 3-folds.To realize the module stabilization of those flux compactifications is by considering higher dimensional gauge fields in the compact space ,the curvature of those fields parametrizes the mass term.



### Motivation from string model building/phenomenology

By the discussion at _[[supersymmetry and Calabi-Yau manifolds]]_ such compactifications of [[type IIB superstring theory]] yield the [[UV-completion]] of an [[effective field theory]] in 4-dimensions which exhibits $N =1 $ [[supersymmetry]].

[[!include N=1 susy compactifications -- table]]

For this reason F/M-theory compactifications on elliptically fibered Calabi-Yau 4-folds are a major contender in [[string phenomenology]] [[model (physics)|model]] building. See at _[string phenomenology -- Models in type II / F-theory](string+phenomenology#ModelsInTypeIIWithIntersectingBranes)_ for more on this.

### Motivation from mathematics

At the same time these types of [[F-theory]] [[KK-compactifications]] are of interest also for their pure [[mathematics]] and as such received a fair amount of attention notably in [[algebraic geometry]].

For instance the [[duality between F-theory and heterotic string theory]] translates into a class of rich equivalences of [[moduli spaces]] of bundles on different [[algebraic varieties]] which is rather non-obvious without the [[string theory]]-perspective. 

From the abstract of ([Donagi 98](#Donagi98)).

> The [[heterotic string theory|heterotic string]] [[KK-compactification|compactified]] on an $(n-1)$-[[dimension|dimensional]] [[elliptic fibration|elliptically fibered]] [[Calabi-Yau variety|Calabi-Yau]] $Z \to B$ is conjectured to be [[duality in string theory|dual]] to [[F-theory]] [[KK-compactification|compactified]] on an $n$-dimensional [[Calabi-Yau variety|Calabi-Yau]] $X \to B$, fibered over the same base with [[elliptic fibration|elliptic]] [[K3]] fibers. In particular, the [[moduli]] of the two theories should be [[isomorphism|isomorphic]]. The cases most relevant to the physics are $n=2$, $3$, $4$, i.e. the [[KK-compactification|compactification]] is to [[dimensions]] $d=8$, $6$ or $4$ respectively. Mathematically, the richest picture seems to emerge for $n=3$, where the [[moduli space]] involves an analytically [[integrable system]] whose fibers admit rather different descriptions in the two theories.

Moreover, the description of the [[supergravity C-field]] (in the physics literature: the "4-form flux", see at _[[flux compactification]]_), being (up to various twists and subtleties, see there) a [[cocycle]] in degree-4 [[ordinary differential cohomology]] on the [[Calabi-Yau variety]]  involves the [[moduli spaces of (higher) line bundles]] on the $CY_4$ which under decomposition of the C-field into various [[cup product in ordinary differential cohomology|cup-product]] factors associated with the various [[divisor (algebraic geometry)|divisor]] of the $CY_4$ involves [[intermediate Jacobians]] and [[Artin-Mazur formal groups]] in degrees 0,1,2 with rich theory.

## Related concepts

[[!include F-theory compactifications -- table]]

* [[M-theory on G2-manifolds]]

* [[M-theory on Calabi-Yau manifolds]]

  * [[F/M-theory on elliptically fibered Calabi-Yau 3-folds]]


## References

Reviews of the general setup include

* [[Thomas Grimm]], Raffaele Savelli, sections 3.1, 3.2 of _Gravitational Instantons and Fluxes from M/F-theory on Calabi-Yau fourfolds_ ([arXiv:1109.3191](http://arxiv.org/abs/1109.3191))

Discussion of the [[duality between F-theory and heterotic string theory]] for compactifications on elliptically fibered Calabi-Yau manifolds includes

* {#Donagi98} [[Ron Donagi]], _ICMP lecture on heterotic/F-theory duality_ ([arXiv:hep-th/9802093](http://arxiv.org/abs/hep-th/9802093))

* {#DonagiMarkman95} [[Ron Donagi]], [[Eyal Markman]], _Spectral curves, algebraically completely integrable Hamiltonian systems, and moduli of bundles_ ([arXiv:alg-geom/9507017](http://arxiv.org/abs/alg-geom/9507017))

Discussion of relation to [[M-theory on G2-manifolds]] includes

* [[Mariana Graña]], C. S. Shahbazi, [[Marco Zambon]], _$Spin(7)$-manifolds in compactifications to four dimensions_, JHEP11(2014)046 ([arXiv:1405.3698](http://arxiv.org/abs/1405.3698))


[[!redirects F/M-theory on CY4]]
[[!redirects F-theory on CY4]]

[[!redirects F-theory on CY4-manifolds]]

[[!redirects F-theory on CY4-folds]]
