+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### $\infty$-Chern-Simons theory
+--{: .hide}
[[!include infinity-Chern-Simons theory - contents]]
=--
#### Quantum field theory
+--{: .hide}
[[!include functorial quantum field theory - contents]]
=--
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The most basic version of [[higher dimensional Chern-Simons theory]] over a ([[compact topological space|compact]]) [[smooth manifold]] $X$ of [[dimension]] 11 has as [[field (physics)|fields]] [[cocycles]] $\hat D \colon X \to \mathbf{B}^5 U(1)_{conn}$ in degree-5 [[ordinary cohomology]] and whose [[action functional]] is given by the [[fiber integration in ordinary differential cohomology]] of the [[cup product in ordinary differential cohomology]] of such a field with itself:

$$
  \hat D \mapsto \exp\left(\tfrac{i}{\hbar}\int_X \hat D \cup \hat D\right)
  \,.
$$

This is the direct generalization of $U(1)$-[[3d Chern-Simons theory]] of the abelian [[7d Chern-Simons theory]], and all three are related by [[holography]] to the [[self-dual higher gauge field]] in dimension 2,6, and 10, respectively.

However, for applications in [[string theory]] more refined versions of these theories matter. for instance in 7d  the full [[6d (2,0)-superconformal QFT]] contains not just a single abelian [[higher self-dual gauge field]] and accordingly the corresponding [[7d Chern-Simons theory]] is richer, namely is, by [AdS7/CFT6](#AdS-CFT#AdS7CFT6), the [[KK-compactification]] of [[11-dimensional supergravity]] on $S^4$. Similarly, in 10-dimensions the [[RR-field]] of [[type II superstring theory]] is a [[higher self-dual gauge field]] whose quantization law is of the form that makes it qualify ([Moore-Witten 99](#MooreWitten99)) as the holographic boundary theory of an 11d Chern-Simons theory. However, as a configuration of the [[RR-field]] is a [[cocycle]] in [[twisted differential K-theory]], so there should be an 11d Chern-Simons theory given ([Belov-Moore 06](#BelovMoore06)) by the [[fiber integration in differential cohomology]] of the [[cup product in differential cohomology]] in K-theory.

## Related concepts

* [[11d supergravity]]

* [[higher dimensional Chern-Simons theory]]

  * [[1d Chern-Simons theory]]

  * [[2d Chern-Simons theory]]

  * [[3d Chern-Simons theory]]

  * [[4d Chern-Simons theory]]

  * [[5d Chern-Simons theory]]

  * [[6d Chern-Simons theory]]

  * [[7d Chern-Simons theory]]





## References


The [[self-dual higher gauge field]] nature (see there for more) in terms of a [[quadratic form]] on [[differential K-theory]] is discussed originally around

* {#MooreWitten99} [[Gregory Moore]], [[Edward Witten]], _Self-Duality, Ramond-Ramond Fields, and K-Theory_, JHEP 0005:032,2000 ([arXiv:hep-th/9912279](http://arxiv.org/abs/hep-th/9912279))

and ([Freed 00](#Freed00)) for [[type I superstring theory]], and for [[type II superstring theory]] in 

* {#Wittem} [[Edward Witten]], _Duality Relations Among Topological Effects In String Theory_, JHEP 0005:031,2000 ([arXiv:hep-th/9912086](http://arxiv.org/abs/hep-th/9912086))

* {#FreedHopkins00} [[Daniel Freed]], [[Michael Hopkins]], _On Ramond-Ramond fields and K-theory_, JHEP 0005 (2000) 044 ([arXiv:hep-th/0002027](http://arxiv.org/abs/hep-th/0002027))

* {#FMW00} D. Diaconescu, [[Gregory Moore]], [[Edward Witten]], _$E_8$ Gauge Theory, and a Derivation of K-Theory from M-Theory_, Adv.Theor.Math.Phys.6:1031-1134,2003 ([arXiv:hep-th/0005090](http://arxiv.org/abs/hep-th/0005090)), summarised in _A Derivation of K-Theory from M-Theory_ ([arXiv:hep-th/0005091](http://arxiv.org/abs/hep-th/0005091))

with more refined discussion in [[twisted differential K-theory|twisted differential]] [[KR-theory]] in

* {#DFM09} [[Jacques Distler]], [[Dan Freed]], [[Greg Moore]], _Orientifold Pr&eacute;cis_ in: [[Hisham Sati]], [[Urs Schreiber]] (eds.) _[[schreiber:Mathematical Foundations of Quantum Field and Perturbative String Theory]]_ Proceedings of Symposia in Pure Mathematics, AMS (2011) ([arXiv:0906.0795](http://arxiv.org/abs/0906.0795), [slides](http://www.ma.utexas.edu/users/dafr/bilbao.pdf))

See at _[[orientifold]]_ for more on this. The relation to [[11d Chern-Simons theory]] is made manifest in

* {#BelovMooreII} Dmitriy Belov, [[Greg Moore]], _Type II Actions from 11-Dimensional Chern-Simons Theories_ ([arXiv:hep-th/0611020](http://arxiv.org/abs/hep-th/0611020))

Review is in 

* {#Szabo12} [[Richard Szabo]], section 3.6 and 4.6 of _Quantization of Higher Abelian Gauge Theory in Generalized Differential Cohomology_ ([arXiv:1209.2530](http://arxiv.org/abs/1209.2530))




[[!redirects 11d Chern-Simons theory]]