
#Contents#
* table of contents
{:toc}

## Idea

A _differential form with logarithmic singularities_ is a [[meromorphic function|meromorphic]] [[differential form]] on some space $X$ which is a [[holomorphic differential form]] on a suitably dense open subspace with at most [[logarithm|logarithmic]] [[singularities]] at the boundary. 

These are the differential forms on spaces in [[logarithmic geometry]]. They form the logarithmic generalization of the [[holomorphic de Rham complex]].

## Examples

* The [[moduli spaces of connections]] with logarithmic singularity at prescribed points are for instance the object of interest in "ramified" [[geometric Langlands duality]]. (e.g. [Witten 08, section 4](#Witten08))


* A [[’t Hooft operator]] is a [[gauge field]] configuration with certain logarithmic differential form singularities.

## Related concepts

* [[logarithmic geometry]]

* [[logarithmic connection]]

* [[differential algebraic K-theory]]

## References

The brief idea is well described in 

* {#Pottharst} Pottharst, _Logarithmic structures on schemes_ ([pdf](http://math.bu.edu/people/potthars/writings/log.str.pdf))

Further details are discussed in

* {#Ogus01} [[Arthur Ogus]], Chapter IV of _Lectures on logarithmic algebraic geometry_, TeXed notes, 2001, [pdf](http://math.berkeley.edu/~ogus/preprints/log_book/logbook.pdf)

* [[Arthur Ogus]], slides 31 ff in _Logarithmic geometry_, talk slides 2009 ([pdf](http://math.berkeley.edu/~ogus/preprints/colloqhandout.pdf))

* {#Burgos} [[José Ignacio Burgos]], _A $C^\infty$-logarithmic Dolbeault complex_, Compositio Math. 92 (1994), no. 1, 61-86. MR 1275721 (95g:32056)

* {#Voisin02} [[Claire Voisin]], section 8.2.2 of _[[Hodge theory and Complex algebraic geometry]] I,II_, Cambridge Stud. in Adv. Math. __76, 77__, 2002/3


Discussion in the context of [[geometric Langlands duality]] includes

* {#Witten08} [[Edward Witten]], _Mirror Symmetry, Hitchin's Equations, And Langlands Duality_ ([arXiv:0802.0999](http://arxiv.org/abs/0802.0999))


In the context of [[differential algebraic K-theory]]

* {#BunkeTamme12} [[Ulrich Bunke]], [[Georg Tamme]], section 3.1 of _Regulators and cycle maps in higher-dimensional differential algebraic K-theory_ ([arXiv:1209.6451](http://arxiv.org/abs/1209.6451))
 



[[!redirects differential forms with logarithmic singularities]]