
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Complex geometry
+--{: .hide}
[[!include complex geometry - contents]]
=--
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}


## Idea

It is traditional to speak, for a suitable [[scheme]] $X$, of its _[[Picard group]]_ and of its _[[Brauer group]]_. Moreover, it is a classical fact that under suitable conditions the former admits itself a canonical geometric structure that makes it the _[[Picard scheme]]_ of $X$. Still well known, if maybe less commonly highlighted, is that this is just the [[0-truncated|0-truncation]] of the [[Picard stack]] of $X$, which is simply the [[mapping stack]] $[X, \mathbf{B}\mathbb{G}_m]$ into the [[delooping]] of the [[multiplicative group]]. In this form this applies immediately also to more general context such as [[E-∞ geometry]] ("[[spectral geometry]]") and gives a concept of _[[Picard ∞-stack]]_ ("derived Picard stack").
Given this and the [relation of the Brauer group to étale cohomology](Brauer+group#RelationToEtaleCohomology) it is clear that the [[Brauer group]] similarly arises as the [[torsion subgroup]] of the 0-truncation of the [[∞-stack]] which _ought_ to be called the **Brauer stack**, given as the [[mapping stack]]

$$
  \mathbf{Br}(X) \coloneqq [X,\mathbf{B}^2 \mathbb{G}_m]
$$

into the second [[delooping]] of the [[multiplicative group]] (modulating [[line 2-bundles]], for instance [[holomorphic line 2-bundles]] in [[higher complex analytic geometry]]), where $X$ is a [[scheme]] or may itself be a [[derived scheme]], [[algebraic stack]], etc. Indeed, just as the [[Picard stack]] turns under [[Lie integration]] (evaluation on [[infinitesimally thickened points]]) and 0-truncation into what is commonly called the _[[formal Picard group]]_, so this Brauer $\infty$-stack similarly gives what is commonly called the _[[formal Brauer group]]_.

However, while therefore the terminology "Brauer stack" is the evident continuation of a traditional pattern (which in the other direction continues with the [[group of units]] and the mapping scheme $[X,\mathbb{G}_m]$), it seems that this terminology has never been introduced in the literature (at time of this writing). (?)

 

## References


[[!redirects Brauer stacks]]
[[!redirects Brauer stacks]]

[[!redirects Brauer ∞-stack]]
[[!redirects Brauer ∞-stacks]]
