
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
#### Fields and quanta
+--{: .hide}
[[!include fields and quanta - table]]
=--
=--
=--
#Contents#
* table of contents
{:toc}

## Idea

A dual of the [[graviton]] under [[electric-magnetic duality]] (e.g. [Curtright 85](#Curtright85), [Hull 01](#Hull01), [Bekaert-Boulanger-Henneaux 02](#BekaertBoulangerHenneaux02), [Godazger-Godazger-Nicolai 13, section 2.2](#GodazgerGodazgerNicolai13)).

Dual gravitons have been considered in particular for manifestly EM-duality-symmetric formulations of [[supergravity]] [[Lagrangians]]. See for instance ([de Wit-Nicolai 13, section 6](#deWitNicolai13)) and see at _[3-d supergravity -- possible gaugings](3-dimensional+supergravity#PossibleGaugings)_.

The spin-2 dual graviton is described by the [Curtright field](https://en.wikipedia.org/wiki/Curtright_field) in five spacetime dimensions. Dual graviton can be coupled to topological [[BF-theory]] in _D_ = 5 ([Bizdadea 09](#Bizdadea09)), so it should be also coupled with [[gravity as a BF theory]] in extra dimensions _D_ > 4.


## References

The dual graviton was maybe first discussed in 

* {#Curtright85} [[Thomas Curtright]], _Generalised Gauge Fields_,  Phys.Lett. B 165:304, 1985 (doi:[10.1016/0370-2693(85)91235-3](https://doi.org/10.1016%2F0370-2693%2885%2991235-3))

then further in


* {#Hull01} [[Chris Hull]], _Duality in Gravity and Higher Spin Gauge Fields_, JHEP 0109:027,2001 ([arXiv:hep-th/0107149](http://arxiv.org/abs/hep-th/0107149))

* {#BekaertBoulangerHenneaux02} [[Xavier Bekaert]], Nicolas Boulanger, [[Marc Henneaux]], _Consistent deformations of dual formulations of linearized gravity: A no-go result_, Phys.Rev. D67 (2003) 044010 ([arXiv:hep-th/0210278](http://arxiv.org/abs/hep-th/0210278))

* {#deWitNicolai13} [[Bernard de Wit]], [[Hermann Nicolai]], _Deformations of gauged SO(8) supergravity and supergravity in eleven dimensions_ ([arXiv:1302.6219](http://arxiv.org/abs/1302.6219))

Discussion in the context of [[E7]]-[[exceptional generalized geometry]] includes

* {#GodazgerGodazgerNicolai13} Hadi Godazgar, Mahdi Godazgar, [[Hermann Nicolai]], _Generalised geometry from the ground up_, Journal of High Energy Physics February 2014, 2014:75 ([arXiv:1307.8295](http://arxiv.org/abs/1307.8295))

Discussion in terms of [[E11]] [[U-duality]] is in 

* {#Wess11} [[Peter West]], section N (pp. 19) of _Generalised geometry, eleven dimensions and $E_{11}$_ ([arXiv:1111.1642](http://arxiv.org/abs/1111.1642))
[[!redirects dual gravitons]]

Coupling with topological [[BF-theory]] in

* {#Bizdadea09} C. Bizdadea, E. M. Cioroianu, A. Danehkar, M. Iordache, S. O. Saliu, S. C. Sararu, _Consistent interactions of dual linearized gravity in D=5: couplings with a topological BF model_, The European Physical Journal C (Particles and Fields) October 2009, 63:491 ([arXiv:0908.2169](https://arxiv.org/abs/0908.2169))

