
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Topology
+-- {: .hide}
[[!include topology - contents]]
=--
=--
=--

# Cauchy spaces
* table of contents
{: toc}

## Idea

A _Cauchy space_ is a generalisation of a [[metric space]] with a bare minimum of structure for the concepts of _[[Cauchy sequence]]_, _Cauchy-continuous map_, and _[[Cauchy completion of a Cauchy space|Cauchy completion]]_ to make sense.  Topologically (that is, up to [[continuous maps]]), any Cauchy space is a [[convergence space]], but not much more than that.  Besides Cauchy sequences, we can also speak more generally of [[Cauchy nets]] and [[Cauchy filters]] in a Cauchy space; in fact, the usual definition is in terms of Cauchy filters.


## Definitions

A __Cauchy space__ is a [[set]] $S$ together with a collection of [[proper filters]] declared to be __[[Cauchy filters]]__.  These must satisfy [[axioms]]:

1. Centred: The [[principal ultrafilter]] $F_x = \{ A \;|\; x \in A \}$ at $x$ is Cauchy;
2. Isotone: If $F \subseteq G$ and $F$ is a Cauchy filter (and $G$ is at least a proper filter), then $G$ is Cauchy;
3. Locally filtered: If $F$ and $G$ are Cauchy filters and $F \vee G$ (the filter generated by $F \cup G$) is proper, then $F \cap G$ is Cauchy.

That is, the set of Cauchy filters is a local filter of proper filters that contains all principal ultrafilters (sort of a tongue twister).


The definition can also be phrased in terms of [[nets]]; a __[[Cauchy net]]__ is a net whose [[eventuality filter]] is Cauchy.  In particular, a __[[Cauchy sequence]]__ is a [[sequence]] whose eventuality filter is Cauchy.


The [[morphisms]] of Cauchy spaces are the Cauchy-continuous functions; a [[function]] $f$ between Cauchy spaces is __Cauchy-continuous__ if $f(F)$ is a ([[filterbase|base]] of a) [[Cauchy filter]] whenever $F$ is.  In this way, Cauchy spaces form a [[concrete category]] $Cau$.


## Examples

Any [[metric space]] is a Cauchy space: $F$ is a Cauchy filter iff it has elements of arbitrarily small diameter.  This reconstructs the usual definitions of Cauchy sequence and Cauchy-continuous map for metric spaces.  (In particular, a map between metric spaces is Cauchy-continuous iff it maps every Cauchy sequence to a Cauchy sequence; the result for general nets follows since a metric space is [[sequential space|sequential]].)  The [[forgetful functor]] from $Met$ (metric spaces and [[short maps]]) to $Cau$ is [[faithful functor|faithful]] but not [[full functor|full]].


More generally, any [[uniform space]] is a Cauchy space: $F$ is a Cauchy filter if, given any [[entourage]] $U$, $A \times A \subseteq U$ for some $A \in F$.  This reconstructs the usual definitions of Cauchy net and Cauchy-continuous map for uniform spaces.  (In general, we need nets rather than just sequences here.)  A map between uniform spaces is Cauchy continuous iff its [[restrictions]] to [[precompact space|precompact subspaces]] are always uniformly continuous.  The [[forgetful functor]] from $Unif$ (uniform spaces and [[uniformly continuous maps]]) to $Cau$ is [[faithful functor|faithful]] but still not [[full functor|full]].


Assuming the [[ultrafilter principle]] and [[excluded middle]], we may take any collection $U$ of [[free ultrafilters]] and define a proper filter $F$ to be Cauchy if (hence iff) every free ultrafilter that refines $F$ belongs to $U$.


## Properties

Every Cauchy space is a [[convergence space]]; $F \to x$ if the intersection of $F$ with the principal ultrafilter $F_x$ is Cauchy.  Note that any convergent proper filter must be Cauchy.  Conversely, if every Cauchy filter is convergent, then the Cauchy space is called __[[complete space|complete]]__.


The set of [[Cauchy filters]] on a Cauchy space has a natural Cauchy structure which is complete and (as a convergence space) [[preregular space|preregular]]; we identify the indistinguishable Cauchy filters to get a [[Hausdorff space]], the Hausdorff __[[Cauchy completion of a Cauchy space|completion]]__ of the original Cauchy space.  The complete Hausdorff Cauchy spaces thus form a [[reflective subcategory]] of $Cau$.  This completion agrees with the completion of a metric or uniform space; that is, Cauchy completion, even of a metric space, is an operation on its Cauchy structure only.


Conversely, every Hausdorff convergence space becomes a complete Hausdorff Cauchy space upon declaring that the Cauchy filters are precisely the convergent proper filters.  The convergence structure on this Cauchy space matches the original convergence structure.


A Cauchy space $S$ is __[[totally bounded space|precompact]]__ (or __totally bounded__) if every proper filter is contained in a Cauchy filter.  Equivalently (assuming the [[ultrafilter principle]]), $S$ is precompact iff every [[ultrafilter]] is Cauchy.  A Cauchy space is [[compact space|compact]] (as a convergence space) iff it is both complete and precompact.  Conversely, it is precompact iff its completion is compact.


## References

* Eva Lowen-Colebunder, _Function Classes of Cauchy Continuous Maps_ Dekker, New York, 1989


[[!redirects Cauchy space]]
[[!redirects Cauchy spaces]]

[[!redirects Cauchy structure]]
[[!redirects Cauchy structures]]
[[!redirects Cauchy-continuous structure]]
[[!redirects Cauchy-continuous structures]]
[[!redirects Cauchy continuous structure]]
[[!redirects Cauchy continuous structures]]

[[!redirects Cauchy map]]
[[!redirects Cauchy maps]]
[[!redirects Cauchy continuous map]]
[[!redirects Cauchy continuous maps]]
[[!redirects Cauchy-continuous map]]
[[!redirects Cauchy-continuous maps]]
[[!redirects Cauchy continuous function]]
[[!redirects Cauchy continuous functions]]
[[!redirects Cauchy-continuous function]]
[[!redirects Cauchy-continuous functions]]
