[[!redirects anti-modal type]]

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Type theory
+-- {: .hide}
[[!include type theory - contents]]
=--
#### Modalities, Closure and Reflection
+-- {: .hide}
[[!include modalities - contents]]
=--
=--
=--
# Contents
* table of contents
{: toc}

## Idea

Given a [[modal operator]] $\bigcirc$, then a [[type]] $X$ may be called _$\bigcirc$-comodal_ or _$\bigcirc$-connected_ if $\bigcirc X \simeq \ast$ (the [[unit type]]).

Since a type $Y$ is called a _$\bigcirc$-[[modal type]]_ if $\bigcirc Y \simeq Y$, being comodal is in a sense the opposite extreme of being modal.


In as far as [[modal operators]] have [[categorical semantics]] as [[idempotent monads|idempotent (co-)-monads]]/[[idempotent (∞,1)-monads|idempotent (∞,1)-(co-)monads]] anti-modal types are familiar in [[homotopy theory]] as forming [[localizing subcategories]].

## Examples

* for $\bigcirc = n \coloneqq \tau_n$ the [[n-truncation]] modality, then _$n$-comodal_ is indeed _[[n-connected]]_, by [this proposition](n-connected+object+of+an+%28infinity%2C1%29-topos#ConnectednessViaTruncationComodalness).

* a comodal type for a [[reduction modality]] or [[infinitesimal shape modality]] is an [[anti-reduced type]], is an [[infinitesimally thickened point]].



## References 

The term "anti-modal type" appears in 

* [[Mike Shulman]], _All Modalities are HITs_, 2012 ([web](http://homotopytypetheory.org/2012/11/19/all-modalities-are-hits/))


[[!redirects anti-modal type]]
[[!redirects anti-modal types]]
[[!redirects anti modal type]]
[[!redirects anti modal types]]

[[!redirects antimodal type]]
[[!redirects antimodal types]]


[[!redirects comodal type]]
[[!redirects comodal types]]
[[!redirects co-modal type]]
[[!redirects co-modal types]]


[[!redirects anti-modal object]]
[[!redirects anti-modal objects]]
