
#Contents#
* table of contents
{:toc}

## Idea

A joint generalization of the concept of [[Kummer exact sequence]] and of _[[Artin-Schreier exact sequence]]_. A review is in [Mezard-Romagny-Tossici 11, section 1](#MezardRomagnyTossici11).

The case $n =1$ (Kummer-Artin-Schreier sequence) is due to ([Waterhouse 87](#Waterhouse87)) and independently ([Sekiguchi-Oort-Suwa 89](#SekiguchiOortSuwa89)). The general case is due to ([Sekiguchi-Suwa 94](#SekiguchiSuwa94), [Sekiguchi-Suwa 99](#SekiguchiSuwa99), [Sekiguchi-Suwa 01](#SS01)) and accordingly also referred to as _Sekiguchi-Suwa theory_ ([Mezard-Romagny-Tossici 11](#MezardRomagnyTossici11)).



## Related concepts

* [[ring of Witt vectors]]

* [[exponential exact sequence]]

## References

* {#Waterhouse87} William Waterhouse, _A unified Kummer-Artin-Schreier sequence_, Mathematische Annalen 1987, Volume 277, Issue 3, pp 447-451 ([publisher](http://link.springer.com/article/10.1007/BF01458325))

* {#SekiguchiOortSuwa89} T. Sekiguchi, F. Oort and N. Suwa, On the deformation of Artin-Schreier to Kummer, Ann. Scient. Éc. Norm. Sup., 4e série 22 (1989), 345–375

* {#SekiguchiSuwa94} T. Sekiguchi, N. Suwa, Théories de Kummer-Artin-Schreier-Witt, C. R. Acad. Sci. Paris, 319 Série I,
(1994), 105–110.

* {#SekiguchiSuwa99} T. Sekiguchi, N. Suwa, On the Unified Kummer-Artin-Schreier-Witt theory, Prépublications du laboratoire de Mathématiques Pures de Bordeaux, Prépublication n◦ 111 (1999).

* {#SekiguchiSuwaS01} T. Sekiguchi, N. Suwa, A note on extensions of algebraic and formal groups IV, Kummer-Artin- Schreier-Witt theory of degree p2, Tohoku Math. J. 53 (2001), 203–240.

* Kazuyoshi Tsuchiya, _On the descriptions of $\mathbb{Z}/p^2\mathbb{Z}$-Torsors by the Kummer-Artin-Schreier-Witt theory_, Tokyo J. of Math. Volume 26, Number 1 (2003), 147-177. ([ProjectEuclid](https://projecteuclid.org/euclid.tjm/1244208687))

* {#MezardRomagnyTossici11} Ariane Mézard, Matthieu Romagny, Dajano Tossici, _Sekiguchi-Suwa theory revisited_ ([arXiv:1104.2222](http://arxiv.org/abs/1104.2222))


[[!redirects Kummer-Artin-Schreier-Witt exact sequences]]

[[!redirects Kummer-Artin-Schreier-Witt sequence]]
[[!redirects Kummer-Artin-Schreier-Witt sequences]]

[[!redirects Kummer-Artin-Schreier-Witt sequence]]
[[!redirects Kummer-Artin-Schreier-Witt sequences]]

[[!redirects Kummer-Artin-Schreier sequence]]
[[!redirects Kummer-Artin-Schreier sequences]]


[[!redirects Sekiguchi-Suwa theory]]

[[!redirects Sekiguchi-Suwa sequence]]
[[!redirects Sekiguchi-Suwa sequences]]

[[!redirects Sekiguchi-Suwa exact sequence]]
[[!redirects Sekiguchi-Suwa exact sequences]]

