
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Quantum field theory
+--{: .hide}
[[!include functorial quantum field theory - contents]]
=--
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A _quiver gauge theory_ is a [[gauge theory]] -- usually a [[super Yang-Mills theory]] -- whose [[field (physics)|field]] content is determined by a [[quiver]] in that to each node $x_i$ of the quiver is assigned a [[gauge group]] $U(n_i)$ and to each edge a [[fermion]] field species which is charged as the [[fundamental representation]] under the gauge group of the target and the anti-fundamental representation of the domain of the quiver edge.

Such data naturally arises in [[geometric engineering of quantum field theory]] from [[D-brane]] models in [[string theory]] with D-branes located at certain [[singularities]] of a [[Calabi-Yau variety]]: the nodes $x_i$ of the quiver for a $(d+1)$-dimensional quiver gauge theory correspond to $n_i$ coindicent $d$-[[D-branes]] and the edges of the quiver to [[open string]] states stretching between these branes. Under this interpretation, a [[representation]] of the quiver corresponds to giving all these fields a [[vacuum expectation value]].

## Properties

### Relation between coherent sheaves and quiver representations

The [[representation theory|representation theoretic]] aspects of the [[gauge theory]] thus obtained depend only on aspects which are already seen by the [[B-model]] [[topological string]], which in this context plays the role of a simplified version of the physical [[superstring]] itself. By the discussion at [[TCFT]] this [[topological field theory]] is essentially determined by its [[derived category]] of [[B-branes]], which is a [[derived category]] of [[coherent sheaves]] on the given [[target space|target]] [[spacetime]]. Localized to suitable [[singularities]] the [[B-branes]] decompose into [[fractional branes]] which is mathematically reflected by the existence of [[exceptional collections]] of objects in the derived category. The [[endomorphism algebra]] of the [[direct sum]] of the objects in the exceptional collection turns out to be the [[path algebra]] of the corresponding [[quiver]] and under this identification the [[derived categories]] of [[coherent sheaves]] and of [[quiver representations]] are [[equivalence of categories|equivalent]] ([Bondal 90](#Bondal90)). This equivalence to quiver representations gives one of the ways of getting a concrete combinatorial handle on derived categories of [[B-branes]] and hence on properties of quiver gauge theory.

### Relation to Seiberg duality

Under [[geometric engineering of quantum field theory]] via [[D-branes]] situated at [[ADE-singularities]] in non-compact [[Calabi-Yau varieties]] as above, for instance [[Seiberg duality]] of the corresponding quiver gauge field theories may be understood in terms of [[equivalences of categories]] of derived quiver representations corresponding to [[mutations of exceptional collections]] etc. ([Robles-Llana & Rocek 04](#RoblesLlanaRocek04)).


## References

### General

An original article is

* {#DouglasMoore96} [[Michael Douglas]], [[Gregory Moore]], _D-branes, Quivers, and ALE Instantons_ ([arXiv:hep-th/9603167](http://arxiv.org/abs/hep-th/9603167))

In 

* {#Bondal90} [[Alexei Bondal]], _Helices, representations of quivers and Koszul algebras_, in Helices and vector bundles, vol. 148 of London Math. Soc. Lecture Note Ser., pp. 75–95. Cambridge Univ. Press, Cambridge, 1990.

an [[exceptional collection]] in the [[derived category]] of [[coherent sheaves]]on a suitable [[Calabi-Yau variety]] [[cone]] is used to induce a [[quiver]] and make the derived category be equivalent to that of its [[quiver representations]].


Review and discussion of further details includes

* {#BergmnProudfoot04} [[Aaron Bergman]], [[Nicholas Proudfoot]], _Moduli Spaces for D-branes at the Tip of a Cone_, JHEP0603:073, 2006 ([arXiv:hep-th/0510158](http://arxiv.org/abs/hep-th/0510158))

* {#Katz04} [[Sheldon Katz]], _ADE Quiver representations and branes_ ([pdf](http://math.tecnico.ulisboa.pt/galg/WAGP04/Katz-lecture2.pdf)), lecture 2 of _ADE Geometry and dualities_  ([pdf](http://math.tecnico.ulisboa.pt/galg/WAGP04/Katz-lecture1.pdf))


Discussion from the point of view of [[worldsheet]] [[2d CFT]] is in 

* [[Wolfgang Lerche]], A. Lutken, [[Christoph Schweigert]], _D-Branes on ALE Spaces and the ADE Classification of Conformal Field Theories_, Nucl.Phys. B622 (2002) 269-278 ([arXiv:hep-th/0006247](http://arxiv.org/abs/hep-th/0006247))

Discussion for [[Sasakian manifolds]] includes

* [[Olaf Lechtenfeld]], Alexander Popov, [[Richard Szabo]], _Sasakian quiver gauge theories and instantons on Calabi-Yau cones_ ([arXiv:1412.4409](http://arxiv.org/abs/1412.4409))


### Seiberg duality

* David Berenstein, [[Michael Douglas]], _Seiberg Duality for Quiver Gauge Theories_ ([arXiv:hep-th/0207027](http://arxiv.org/abs/hep-th/0207027))

* Subir Mukhopadhyay, Koushik Ray, _Seiberg duality as derived equivalence for some quiver gauge theories_ ([arXiv:hep-th/0309191](http://arxiv.org/abs/hep-th/0309191))

* {#RoblesLlanaRocek04} Daniel Robles-Llana, Martin Rocek, _Quivers, Quotients, and Duality_ ([arXiv:hep-th/0405230](http://arxiv.org/abs/hep-th/0405230))



[[!redirects quiver gauge theories]]
