
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Additive and abelian categories
+--{: .hide}
[[!include additive and abelian categories - contents]]
=--
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The _Quillen Q-construction_ ([Quillen 72](#Quillen72)) is a tool for producing the [[algebraic K-theory]] of a [[Quillen exact category]] $\mathcal{C}$.  The Quillen Q-construction is generalized ([Waldhausen 83, section 1.9](#Waldhausen83)) by the [[Waldhausen S-construction]] which applies more generally to [[Waldhausen categories]].
(However, the [[Quillen Dévissage theorem]] does not generalize to [[Waldhausen categories]].)

Both these constructions appear in [[stable homotopy theory]] as special cases of the concept of [[algebraic K-theory of a stable (∞,1)-category]] ([Haugseng 10](#Haugseng10), [Barwick 13](#Barwick13)).


## Related concepts

* [[Waldhausen S-construction]]

## References

The construction is due to 

* {#Quillen72} [[Daniel Quillen]], _Higher algebraic K-theory I_, Algebraic K-theory, I: Higher K-theories (Proc. Conf., Battelle Memorial Inst., Seattle, Wash., 1972), Springer, Berlin, 1973, pp. 85–147. Lecture
Notes in Math., Vol. 341

The generalization to the [[Waldhausen S-construction]] is due to

* {#Waldhausen83} [[Friedhelm Waldhausen]], _Algebraic K-theory of spaces_, Algebraic and geometric topology (New Brunswick, N.J., 1983), Lecture Notes in Math., vol. 1126, Springer, Berlin, 1985, pp. 318–419 ([pdf](http://www.math.uni-bielefeld.de/~fw/LNM1126_318-419.pdf))



Refinement of the construction to [[stable (∞,1)-categories]] and [[exact (infinity,1)-categories]] is discussed in


* {#Haugseng10} [[Rune Haugseng]], _the Q-construction for stable $\infty$-Categories_, 2010 ([pdf](http://people.mpim-bonn.mpg.de/haugseng/talks/qconstr.pdf))

* {#Barwick13} [[Clark Barwick]], _On the Q construction for exact quasicategories_ ([arXiv:1301.4725](http://arxiv.org/abs/1301.4725))

* [[C. Barwick]], _On exact infinity-categories and the Theorem of the Heart_, [arXiv:1212.5232](http://arxiv.org/abs/1212.5232).

See also

* _Motivation/interpretation for Quillen's Q-construction?_, [MO/1006](http://mathoverflow.net/questions/1006/motivation-interpretation-for-quillens-q-construction).

[[!redirects Q-construction]]

[[!redirects Q-constructions]]

[[!redirects Quillen's Q-construction]]
[[!redirects Quillen's Q-constructions]]