

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

In [[physics]], a _Lagrangian quantum field theory_ is a _[[quantum field theory]]_ (QFT) which arises via some version of [[quantization]] from a [[Lagrangian density]] on (the [[jet bundle]] of) some [[field bundle]], hence from a [[prequantum field theory]].

Most QFTs that are being considered are Lagrangian quantum field theories. Indeed all of traditional [[perturbative quantum field theory]], subsuming in particular [[QED]], [[EW]], [[QCD]], [[pQG]] and hence the [[standard model of particle physics]], is Lagrangian. 

But not all QFTs are Lagrangian; or at least they need not have been explicitly constructed via [[quantization]] from a Lagrangian density, even if they could be constructed this way:

For example [[self-dual higher gauge theory]] (such as the _chiral_ [[WZW model]], which is "one half" of the Lagrangian WZW model) is thought not to be Lagrangian. Still, these [[self-dual higher gauge theories]] are thought be be defined via the [[holographic principle]] as the holographic boundary of a QFT that is Lagrangian: [[higher dimensional Chern-Simons theory]].

Many [[topological quantum field theories]] may be constructed by abstract algebraic means. Famous examples are the [[A-model]]/[[B-model]] [[topological string]] [[worldvolume]] theories, which may abstractly be constructed from [[Calabi-Yau A-∞ categories]]. Still, these were originally conceived of as [[topological twist|topological twists]] of a Lagrangian field theory, namely of the 2-dimensional [[supersymmetric sigma-model]] with [[target space]] a 3-dimensional [[Calabi-Yau manifold]].

Similarly, some classes of [[2d CFTs]] may be constructed by purely algebraic means, in particular the construction of 2d [[rational conformal field theory]] is completely reduced to an algebraic construction in suitable [[modular tensor categories]] by the [[FRS-theorem on rational 2d CFT]]. This includes the (chiral or non-chiral) [[WZW model]] mentioned above, but there are also [[2d CFTs]] that are thought to be genuinely "non-geometric", such as the [[Gepner model]].

## Related concepts

* [[local quantum field theory]]

* [[locally variational field theory]]

* [[algebraic quantum field theory]]

* [[perturbative algebraic quantum field theory]]


[[!redirects Lagrangian quantum field theories]]

[[!redirects Lagrangian field theory]]
[[!redirects Lagrangian field theories]]