
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Topos Theory
+-- {: .hide}
[[!include topos theory - contents]]
=--
#### $(\infty,1)$-Topos Theory
+-- {: .hide}
[[!include (infinity,1)-topos - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Definition

### In Abelian categories

An object $X$ in an [[AB5-category]] $C$ is __of [[finite type]]__ if one of the following equivalent conditions hold:

(i) any complete directed set $\{X_i\}_{i\in I}$ of [[subobject]]s of $X$ is stationary

(ii) for any complete directed set $\{Y_i\}_{i\in I}$ of subobjects of an object $Y$ the natural morphism $\operatorname{colim}_i C(X,Y_i) \to C(X,Y)$ is an isomorphism.

An object $X$ is __finitely presented__ if it is of finite type and if for any epimorphism $p : Y \to X$ where $Y$ is of finite type, it follows that $\operatorname{ker} p$ is also of finite type. An object $X$ in an AB5 category is __coherent__ if it is of finite type and for any morphism $f : Y \to X$ where $Y$ is of finite type $\operatorname{ker} f$ is of finite type.

For an exact sequence $0 \to X' \to X \to X'' \to 0$ in an AB5 category the following hold:

1. if $X'$ and $X''$ are finitely presented, then $X$ is finitely presented;
2. if $X$ is finitely presented and $X'$ of finite type, then $X''$ is finitely presented;
3. if $X$ is coherent and $X'$ of finite type then $X''$ is also coherent.

For a module $M$ over a ring $R$ this is equivalent to $M$ being finitely generated $R$-module. It is finitely presented if it is finitely presented in the usual sense of existence of short exact sequence of the form $R^I \to R^J \to M \to 0$ where $I$ and $J$ are finite. 

An AB5-category is __locally coherent__ if it has a [[generator|generating set]] of coherent objects. If it is such, than every finitely presented object is coherent, and the full subcategory of finitely presented objects is therefore abelian. 

### In 1-topos theory

Let $C$ be a [[topos]].

+-- {: .num_defn}
###### Definition
An object $X$ of $C$ is called **compact** if the [[top]] element of the [[poset of subobjects]] $Sub(X)$ is a [[compact element]].
=--

+-- {: .num_defn}
###### Definition
An [[object]] $X$ of $C$ is called **stable** if for all morphisms $Y \to X$ from a compact object $Y$, the [[domain]] of the [[kernel pair]] $R \rightrightarrows Y$ of $f$ is also a compact object.
=--

+-- {: .num_defn}
###### Definition
An object $X$ of $C$ is called **coherent** if it is compact and stable.
=--

+-- {: .num_theorem}
###### Theorem
Let $(C, \tau)$ be a [[small site|small]] [[cartesian site|cartesian]] [[site]], and suppose that $\tau$ is generated by finite [[covering families]].  For an object $X$ of $C$, let $l(X)$ denote the [[sheaf]] [[sheafification|associated]] to the [[presheaf]] [[representable functor|represented]] by $X$.  Then

* $l(X)$ is a coherent object of the [[topos]] $Sh(C, \tau)$, for all objects $X$ in $C$,
* if $(C, \tau)$ is further a [[pretopos]] with its [[coherent coverage]], then every [[coherent object]] of $Sh(C, \tau)$ is isomorphic to $l(X)$ for some $X$.
=--

This is ([Johnstone, Theorem D3.3.7](#JohnstoneSketches)).

### In $(\infty,1)$-topos theory
 {#InInfinityToposTheory}

+-- {: .num_defn }
###### Definition

An [[object]] $X$ in an [[(∞,1)-topos]] $\mathbf{H}$ is an _$n$-coherent object_ if the [[slice (∞,1)-topos]] $\mathbf{H}_{/X}$ is an [[n-coherent (∞,1)-topos]] 

=--

([Lurie, def. 3.1](#Lurie)).

+-- {: .num_remark }
###### Remark

A coherent object which is also [[n-truncated object of an (∞,1)-category|n-truncated]] for some $n$ is called a _[[finitely constructible object]]_.

=--

([[Rational and p-adic Homotopy Theory|Lurie pAdic, def. 2.3.1]])

## Examples

+-- {: .num_example }
###### Example

[[∞Grpd]] is a [[coherent (∞,1)-topos]] and a [[locally coherent (∞,1)-topos]]. An [[object]] $X$, hence an [[∞-groupoid]], is an $n$-coherent object if all its [[homotopy groups]] in degree $k \leq n$ are [[finite set|finite]]. Hence the fully coherent objects here are the [[homotopy types with finite homotopy groups]].

=--

([[Spectral Schemes|Lurie SpecSchm, example 3.13]])


## See also

* [[compact object]]

* [[coherent topos]]

* [[coherent cohomology]]

* [[(∞,1)-pretopos]]

## References

* {#PopescuAbelian} N. Popescu, _Abelian categories with applications to rings and modules_, London Math. Soc. Monographs 3, Academic Press 1973. xii+467 pp. [MR0340375](http://www.ams.org/mathscinet-getitem?mr=0340375)

* {#JohnstoneSketches} [[Peter Johnstone]], [[Sketches of an elephant]], D3.3.

* {#Lurie} [[Jacob Lurie]], section 3 of _[[Spectral Schemes]]_ 

* Ivo Herzog, _Contravariant functors on the category of finitely presented modules_,  Israel J. Math. [pdf](http://lima.osu.edu/people/iherzog/contra.pdf):
_The Ziegler spectrum of a locally coherent Grothendieck category_, Proc. London Math. Soc. 74(3) (1997), 503-558 [pdf](http://lima.osu.edu/people/iherzog/Ziegler%20spec.pdf)


[[!redirects coherent objects]]
[[!redirects locally coherent category]]
[[!redirects n-coherent object]]
[[!redirects n-coherent objects]]

