
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
#### Complex geometry
+--{: .hide}
[[!include complex geometry - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

The _Hodge isomorphism_ is one of the central statements of [[Hodge theory]], identifying [[harmonic differential forms]] as representatives of [[Dolbeault cohomology]].

Together with the the theorem (see at _[Hodge structure -- For a complex analytic spaces -- Comparison theorem](Hodge+structure#HodgeFiltrationForComplexSpaceReproducesKaehlerHodgeStructure)_) which further identifies the corresponding [[Hodge filtration]] with that coming from the canonical filtration on the [[holomorphic de Rham complex]], this serves to generalize [[Hodge theory]] away from its original home in Kähler geometry to the more general modern theory in [[complex analytic geometry]] and more generally [[algebraic geometry]].

## Statement

For $X$ a [[Hermitian manifold]] write $\mathcal{H}^{p,q}(X)$ for the space of $(p,q)$-[[harmonic differential forms]] and write $H^{p,q}$ for its [[Dolbeault cohomology]] in the bidegree.

+-- {: .num_prop}
###### Proposition

There is a canonical [[homomorphism]]

$$
  \mathcal{H}^{p,q}(X) \longrightarrow H^{p,q}(X)
  \,.
$$

If $X$ is [[compact topological space|compact]], then this is an [[isomorphism]], the _[[Hodge isomorphism]]_

=--

## References

* {#Voisin02} [[Claire Voisin]], section 7 of _[[Hodge theory and Complex algebraic geometry]] I,II_,  Cambridge Stud. in Adv. Math. __76, 77__, 2002/3


* {#Maddock} Zachary Maddock, _Dolbeault cohomology_ ([pdf](http://www.math.columbia.edu/~maddockz/notes/dolbeault.pdf))
