This is a timeline of [[category theory]] and related mathematics.  For discussion about its aims and possible guidelines for people who wish to work on it, see the bottom.


#Timeline#
|Year| |Contributors     | |Event|
|----|-|-----------------|-|-----|
|1848| |Arthur Cayley<sup><a href="http://ncatlab.org/nlab/show/Timeline+of+category+theory+and+related+mathematics#1">[1]</a></sup>| |Computations with complexes, Koszul resolutions, notion of exactness; main result: the resultant is a determinant of a Koszul complex.|
|1890| |[[David Hilbert]]| |[[resolution of modules|resolution]] and free resolution of modules|
|1890| |[[David Hilbert]]| |[[Hilbert syzygy theorem]]|
|1893| |[[David Hilbert]]| |[[nullstellensatz|fundamental theorem of algebraic geometry]] also called Hilbert Nullstellensatz. It was later reformulated to: the category of [[affine variety|affine varieties]] over a field $k$ is equivalent to the [[opposite category|dual]] of the category of reduced finitely generated (commutative) $k$-[[associative unital algebra|algebras]]|
|1894| |[[Henri Poincaré]]| |[[fundamental group]] of a [[topological space]]|
|1895| |[[Henri Poincaré]]| |[[simplicial homology]]|
|1895| |[[Henri Poincaré]]| |fundamental work _[[Analysis Situs]]_, the beginning of [[algebraic topology]]|
|1923| |[[Otto Künneth]]| |[[Kunneth formula|Künneth formula]] for (co)homology of product of spaces|
|1926| |[[Otto Schreier]]| |Classifies nonabelian extensions of groups having implicitly notions of a pseudofunctor and nonabelian cohomology in dimensions up to 3|
|1929| |[[Walther Mayer]]| |[[chain complexes]]|
|1930| |[[Ernst Zermelo]]--[[Abraham Fraenkel]]| |Statement of the final [[ZFC|ZF-axioms]] of [[set theory]] after being first stated in 1908 and improved upon since then|
|1932| |[Georges de Rham]| |de Rham theorem: For a smooth manifold the de Rham cohomology is isomorphic to the singular cohomology with coefficients in R.|
|1932| |[[Eduard Čech]]| |[[Čech cohomology]], [[homotopy group|higher homotopy groups]] of a [[topological space]] though nobody paid attention because they were all abelian.|
|1933| |[[Solomon Lefschetz]]| |[[singular homology]] of a [[topological space]]|
|1934| |[[Reinhold Baer]]| |Ext groups, Ext functor (for abelian groups and with different notation)|
|1935| |[[Witold Hurewicz]]| |[[homotopy group|higher homotopy groups]] of a [[topological space]]|
|1936| |[[Marshall Stone]]| |Stone representation theorem for Boolean algebras initiates various [[Stone duality|Stone dualities]]|
|1937| |[[Richard Brauer]]--[[Cecil Nesbitt|Cecil Nesbitt]]| |[[Frobenius algebra]]s|
|1938| |[[Hassler Whitney]]| |"Modern" definition of [[cohomology]], summarizing the work since [[James Alexander]] and [[Andrey Kolmogorov]] first defined cochains|
|1940| |[[Reinhold Baer]]| |[[injective module]]s|
|1940| |[[Kurt Gödel]]--[[Paul Bernays]]| |[[proper class]]es|
|1940| |[[Heinz Hopf]]| |[[Hopf algebra]]s|
|1941| |[[Witold Hurewicz]]| |first [[fundamental theorem of homological algebra]]: Given a short [[exact sequence]] of spaces there exists a connecting homomorphism such that the long sequence of [[cohomology group]]s of the spaces is exact|
|1942| |[[Samuel Eilenberg]]--[[Saunders Mac Lane]]| |universal coefficient theorem for [[Čech cohomology]], later this became the general [[universal coefficient theorem]]. The notations $Hom$ and $Ext$ first appear in their paper|
|1943| |[[Norman Steenrod]]| |[[homology with local coefficients]]|
|1943| |[[Israel Gelfand]]--[[Mark Naimark]]| |[[Gelfand-Naimark theorem]] (sometimes called Gelfand isomorphism theorem): The category $Haus$ of locally compact [[Hausdorff space]]s with continuous proper maps as morphisms is equivalent to the category $C^* Alg$ of commutative $C^*$-algebras with proper $*$-homomorphisms as morphisms|
|1944| |[[Garrett Birkhoff]]--[[Øystein Ore]]| |[[Galois connection]]s generalizing the Galois correspondence: a pair of [[adjoint functor]]s between two [[categories]] that arise from [[partially ordered sets]] (in modern formulation)|
|1944| |[[Samuel Eilenberg]]| |"Modern" definition of [[singular homology]] and singular cohomology|
|1945| |Beno Eckmann| |Defines the [[cohomology ring]] building on [[Heinz Hopf]]\'s work|
|1945| |[[Saunders Mac Lane]]--[[Samuel Eilenberg]]| |start of category theory: axioms for [[categories]], [[functors]] and [[natural transformations]]|
|1945| |[[Norman Steenrod]]--[[Samuel Eilenberg]]| |[[Eilenberg-Steenrod axioms]] for homology and cohomology|
|1945| |[[Jean Leray]]| |Starts [[sheaf theory]]: A [[sheaf]] on a [[topological space]] $X$ is a [[functor]] reminding one of a function defined locally on $X$ and taking values in [[set]]s, abelian [[group]]s, commutative [[ring]]s, [[module]]s or generally in any [[category]] $C$. In fact [[Alexander Grothendieck]] later made a [[dictionary between sheaves and functions]]. Another interpretation of sheaves is as continuously [[variable set]]s (a generalization of [[abstract set]]s). Its purpose is to provide a unified approach to connect local and global properties of [[topological space]]s and to classify the obstructions for passing from local objects to global objects on a topological space by pasting together the local pieces. The $C$-valued sheaves on a topological space and their homomorphisms form a category|
|1945| |[[Jean Leray]]| |[[sheaf cohomology]]|
|1946| |[[Jean Leray]]| |invents [[spectral sequence]]s as a method for iteratively approximating cohomology groups by previous approximate cohomology groups. In the limiting case it gives the sought [[cohomology group]]s. The [[SpecSeq|category of spectral sequences]] is an [[abelian category]]|
|1948| |Cartan seminar (query 4 down)| |writes up [[sheaf theory]] for the first time|
|1948| |A. L. Blakers| |[[crossed complexes]] (called group systems by Blakers), after a suggestion of [[Samuel Eilenberg]]: A nonabelian generalizations of [[chain complexes]] of abelian groups which are equivalent to [[strict ω-groupoids]]. They form a category $Crs$ that has many satisfactory properties such as a [[monoidal category|monoidal structure]].|
|1949| |[[John Henry Whitehead]]| |[[crossed module]]s|
|1949| |[[André Weil]]| |formulates the [[Weil conjectures]] on remarkable relations between the cohomological structure of algebraic varieties over $\mathbf{C}$ and the diophantine structure of algebraic varieties over finite fields|
|1950| |[[Henri Cartan]]| |in the book _Sheaf Theory_ from the Cartan seminar he defines: [[sheaf space]] (étalé space), [[support]] of sheaves axiomatically, [[sheaf cohomology]] with support in an axiomatic form and more|
|1950| |[[John Henry Whitehead]]| |outlines [[algebraic homotopy]] program for describing, understanding and calculating [[homotopy type]]s of spaces and [[homotopy]] classes of mappings|
|1950| |[[Samuel Eilenberg]]--Joe Zilber| |[[simplicial set]]s as a purely algebraic model of well behaved topological spaces. A [[simplicial set]] can also be seen as a [[presheaf]] on the [[simplex category]]. A category is a [[simplicial set]] such that the [[Segal map]]s are isomorphisms|
|1951| |[[Henri Cartan]]| |modern definition of [[sheaf theory]]|
|1951| |[[M M Postnikov]]| |publishes the results of his thesis: [[Postnikov system]]|
|1952| |[[William Massey]]| |invents [[exact couple]]s for calculating spectral sequences|
|1953| |[[Jean-Pierre Serre]]| |[[Serre C-theory]] and [[Serre subcategory|Serre subcategories]]|
|1955| |[[Jean-Pierre Serre]]| |shows there is a one-to-one correspondence between algebraic vector bundles over a noetherian affine variety and finitely generated projective modules over its coordinate ring ([[Serre-Swan theorem]])|
|1955| |[[Jean-Pierre Serre]]| |[[coherent sheaf cohomology]] in algebraic geometry|
|1955| |Michel Lazard| |Introduces "analyseurs", a version of the future operads of Peter May|
|1956| |[[Jean-Pierre Serre]]| |[[GAGA correspondence]]|
|1956| |[[Henri Cartan]]--[[Samuel Eilenberg]]| |influential book: _Homological Algebra_, summarizing the state of the art in its topic at that time. The notation $Tor_n$ and $Ext^n$, as well as the concepts of [[projective module]], [[projective resolution|projective]] and [[injective resolution|injective]] resolution of a module, [[derived functor]] and [[hyperhomology]] appear in this book for the first time|
|1956| |[[Daniel Kan]]| |[[simplicial homotopy theory]] also called categorical homotopy theory: a homotopy theory completely internal to the [[SimpSet|category of simplicial sets]]|
|1957| |[[Charles Ehresmann]]--[[Jean Bénabou]]| |[[pointless topology]] building on [[Marshall Stone]]\'s work|
|1957| |[[Alexander Grothendieck]]| |[[abelian category|abelian categories]] in homological algebra that combine exactness and linearity|
|1957| |[[Alexander Grothendieck]]| |influential [[Tohoku]] paper rewrites [[homological algebra]]; proving [[Grothendieck duality]] (Serre duality for possibly singular algebraic varieties). He also showed that the conceptual basis for homological algebra over a ring also holds for linear objects varying as sheaves over a space|
|1957| |[[Alexander Grothendieck]]| |the [[Grothendieck relative point of view]], [[S-scheme]]s|
|1957| |[[Alexander Grothendieck]]| |[[Grothendieck-Hirzebruch-Riemann-Roch theorem]] for smooth schemes|
|1957| |[[Daniel Kan]]| |[[Kan complexes]]: [[simplicial sets]] (in which every horn has a filler) that are [[geometric model of higher categories|geometric models]] of [[∞-groupoids]]. Kan complexes are also the fibrant (and cofibrant) objects of [[model structure on simplicial sets|model categories of simplicial sets]] for which the fibrations are [[Kan fibration]]s.|
|1958| |[[Alexander Grothendieck]]| |starts new foundation of [[algebraic geometry]] by generalizing varieties and other spaces in algebraic geometry to [[schemes]] which have the structure of a category with open subsets as objects and restrictions as morphisms. Schemes form a category that is a [[Grothendieck topos]], and to a scheme and even a stack one may associate a Zariski topos, an étale topos, a fppf topos, a fpqc topos, a Nisnevich topos, a flat topos, ... depending on the topology imposed on the scheme. The whole of algebraic geometry was categorized with time|
|1958| |[[Roger Godement]]| |[[monad]]s in category theory (which he called standard constructions). Monads generalize classical notions from [[universal algebra]] and can in this sense be thought of as an [[algebraic theory]] over a category: the theory of the category of $T$-algebras. An algebra for a monad subsumes and generalizes the notion of a model for an algebraic theory|
|1958| |[[Daniel Kan]]| |[[adjoint functors]]|
|1958| |[[Daniel Kan]]| |[[limits]] in category theory|
|1958| |[[Alexander Grothendieck]]| |Introduces [[pseudofunctor]]s and [[descent]] theory in FGA but publish them later with Pierre Gabriel in SGA1 1961 modernized into [[fibred categories]].|
|1959| |[[Alexander Grothendieck]]| |Introduces [[formal geometry|formal algebraic geometry]] and [[formal scheme]]s (partly with Pierre Cartier) in a seminar Bourbaki and publish it in FGA.|
|1959| |Bernard Dwork| |proves the rationality part of the [[Weil conjectures]] (the first conjecture)|
|1960| |[[Alexander Grothendieck]]| |[[fiber functor]]s|
|1960| |[[Daniel Kan]]| |[[Kan extension]]s|
|1960| |[[Alexander Grothendieck]]| |[[representable functors]]|
|1960| |[[Alexander Grothendieck]]| |categorizes Galois theory ([[Grothendieck Galois theory]])|
|1960| |[[Alexander Grothendieck]]| |[[descent]] theory: an idea extending the notion of [[quotient space|gluing]] in topology to [[schemes]] to get around the brute equivalence relations. It also generalizes [[localization]] in topology|
|1960| |[[Pierre Gabriel]]<sup><a href="http://ncatlab.org/nlab/show/Timeline+of+category+theory+and+related+mathematics#2">[2]</a></sup>| |Reconstruction of a scheme from the category of [[quasicoherent sheaf|quasicoherent sheaves]] over it (Gabriel--Rosenberg theorem in the separated quasicompact case and a precursor of [[noncommutative algebraic geometry]]) and abelian localization.|
|1961| |[[Alexander Grothendieck]]| |[[local cohomology]]. Introduced at a seminar in 1961 but the notes are published in 1967|
|1961| |[[Jim Stasheff]]| |[[associahedron|associahedra]] later used in the definition of [[weak n-category|weak n-categories]]|
|1961| |[[Richard Swan]]| |Shows there is a one-to-one correspondence between topological vector bundles over a compact Hausdorff space $X$ and finitely generated projective modules over the ring $C(X)$ of continuous functions on $X$ ([[Serre-Swan theorem]])|
|1963| |[[Frank Adams]]--[[Saunders Mac Lane]]| |[[PROP]] categories and [[PACT]] categories for higher homotopies. PROPs are categories for describing families of operations with any number of inputs and outputs. [[operad|Operads]] are special PROPs with operations with only one output|
|1963| |[[Alexander Grothendieck]]| |[[etale topology]], a special Grothendieck topology on schemes|
|1963| |[[Alexander Grothendieck]]| |[[etale cohomology]]|
|1963| |[[Alexander Grothendieck]]| |[[Grothendieck toposes]], which are categories which are like universes (generalized spaces) of sets in which one can do mathematics|
|1963| |[[William Lawvere]]| |[[algebraic theory|algebraic theories]] and [[algebraic category|algebraic categories]]|
|1963| |[[William Lawvere]]| |Founds [[categorical logic]], discovers [[internal logic]]s of categories and recognizes their importance and introduces [[Lawvere theory|Lawvere theories]]. Essentially categorical logic is a lift of different logics to being internal logics of categories. Each kind of category with extra structure ([[doctrine]]) corresponds to a system of logic with its own inference rules. A Lawvere theory is an [[algebraic theory]] as a category with finite products and possessing a "generic algebra" (such as a generic group). The structures described by a Lawvere theory are models of the Lawvere theory|
|1963| |[[Jean-Louis Verdier]]| |after the advice of Grothendieck, defined [[triangulated category|triangulated categories]] and [[triangulated functor]]s including the main examples: [[derived category|derived categories]]. Studied [[derived functor]]s in the triangualted setup|
|1963| |[[Jim Stasheff]]| |$A_\infty$-[[A-infinity-algebra|algebras]]: [[dg-algebra]] analogs of [[topological monoid]]s associative up to homotopy appearing in topology (i.e. [[H-space]]s)|
|1963| |[[Jean Giraud]]| |[[Grothendieck topos|Giraud characterization theorem]] characterizing Grothendieck toposes as categories of sheaves over a small site|
|1963| |[[Charles Ehresmann]]| |[[internal category]] theory: internalization of categories in a category $V$ with pullbacks replacing the category $Set$ (same for classes instead of sets) by $V$ in the definition of a category. Internalization is a way to rise the [[higher category theory|categorical dimension]]|
|1963| |[[Charles Ehresmann]]| |[[multiple category|multiple categories]] and [[multiple functor|multiple functors]]|
|1963| |[[Saunders Mac Lane]]| |[[monoidal categories]] also called tensor categories: $2$-categories with one object made by a [[delooping|relabelling trick]] into categories with a [[tensor product]] of objects that is secretly the composition of morphisms in the $2$-category. There are several objects in a monoidal category since the relabelling trick makes $2$-morphisms of the $2$-category into morphisms, morphisms of the $2$-category into objects and forgets about the single object. In general a higher relabelling trick works for $n$-[[n-category|categories]] with one object to make general monoidal categories. The most common examples include: [[ribbon category|ribbon categories]], [[braided monoidal category|braided tensor categories]], [[spherical category|spherical categories]], [[compact closed category|compact closed categories]], [[symmetric monoidal category|symmetric tensor categories]], [[modular category|modular categories]], [[autonomous category|autonomous categories]], [[category with duals|categories with duality]]|
|1963| |[[Saunders Mac Lane]]| |[[Mac Lane coherence theorem]] for determining commutativity of diagrams in [[monoidal categories]]|
|1964| |[[William Lawvere]]| |[[ETCS]] (Elementary Theory of the Category of Sets): An axiomatization of the [[Set|category of sets]] which is also the constant case of an [[topos|elementary topos]]|
|1964| |Barry Mitchell--[[Peter Freyd]]| |[[Mitchell-Freyd embedding theorem]]: Every small [[abelian category]] admits an exact and full embedding into the [[Mod|category of (left) modules]] $Mod_R$ over some ring $R$|
|1964| |[[Rudolf Haag]]--[[Daniel Kastler]]| |[[AQFT|algebraic quantum field theory]] after ideas of [[Graeme Segal]]|
|1964| |[[Alexander Grothendieck]]| |topologizes categories axiomatically by imposing a [[Grothendieck topology]] on categories which are then called [[sites]]. The purpose of sites is to define coverings on them so sheaves over sites can be defined. The other "spaces" one can define sheaves for except topological spaces are locales|
|1964| |[[Alexander Grothendieck]]| |$l$-[[adic cohomology]]|
|1964| |[[Alexander Grothendieck]]| |proves the [[Weil conjectures]] except the analogue of the Riemann hypothesis|
|1964| |[[Alexander Grothendieck]]| |[[six operations]] formalism in [[homological algebra]]; $R f_*$, $f^{-1}$, $R f_!$, $f_!$, $\otimes^L$, $R Hom$, and proof of its closedness|
|1964| |[[Alexander Grothendieck]] | |introduced in a letter to [[Jean-Pierre Serre]] conjectural [[motive]]s to express the idea that there is a single universal cohomology theory underlying the various cohomology theories for algebraic varieties. According to Grothendieck\'s memoirs this idea was born in 1958. According to Grothendieck\'s philosophy there should be a universal cohomology functor attaching a [[pure motive]] $h(X)$ to each smooth projective variety $X$. When $X$ is not smooth or projective, $h(X)$ must be replaced by a more general [[mixed motive]] which has a weight filtration whose quotients are pure motives. The [[Mot|category of motives]] (the categorical framework for the universal cohomology theory) may be used as an abstract substitute for singular cohomology (and rational cohomology) to compare, relate and unite "motivated" properties and parallel phenomena of the various cohomology theories and to detect topological structure of algebraic varieties. The categories of pure motives and of mixed motives are abelian tensor categories and the category of pure motives is also a [[Tannakian category]]. Categories of motives are made by replacing the category of varieties by a category with the same objects but whose morphisms are [[correspondence]]s, modulo a suitable equivalence relation. Different [[equivalence relation|equivalences]] give different theories. [[rational equivalence|Rational equivalence]] gives the category of [[Chow motive]]s with [[Chow group]]s as morphisms which are in some sense universal. Every geometric cohomology theory is a functor on the category of motives. Each induced functor $\rho$ from motives modulo numerical equivalence to graded $\mathbf{Q}$-vector spaces is called a [[realization]] of the category of motives, the inverse functors are called [[improvement]]s. Mixed motives explain phenomena in as diverse areas as: Hodge theory, algebraic $K$-theory, polylogarithms, regulator maps, automorphic forms, $L$-functions, $l$-adic representations, trigonometric sums, homotopy of algebraic varieties, algebraic cycles, and moduli spaces and thus has the potential of enriching each area and of unifying them all|
|1965| |Edgar Brown| |abstract [[homotopy category|homotopy categories]]: a proper framework for the study of the homotopy theory of [[CW complex]]es|
|1965| |[[Max Kelly]]| |[[differential graded category|dg-categories]]|
|1965| |[[Max Kelly]]--[[Samuel Eilenberg]]| |[[enriched category theory]]: Categories $C$ enriched over a category $V$ are categories with [[hom-object|Hom-sets]] $Hom_C$ not just a set or class but with the structure of objects in the category $V$. Enrichment over $V$ is a way to raise the [[higher category theory|categorical dimension]]|
|1965| |[[Charles Ehresmann]]| |defines both [[strict 2-categories]] and [[strict n-category|strict n-categories]]|
|1966| |[[Alexander Grothendieck]]| |[[crystalline cohomology|crystals]] (a kind of sheaf used in [[crystalline cohomology]])|
|1966| |[[William Lawvere]]| |[[ETAC]] (Elementary theory of abstract categories), first proposed axioms for $Cat$ or category theory using first-order logic|
|1967| |[[Jean Bénabou]]| |[[bicategories]] (weak $2$-categories) and weak $2$-functors|
|1967| |[[William Lawvere]]| |founds [[synthetic differential geometry]]|
|1967| |[[Simon Kochen]]--[[Ernst Specker]]| |[[Kochen-Specker theorem]] in quantum mechanics|
|1967| |[[Jean-Louis Verdier]]| |follwing Grothendieck's advice, defined triangulated categories and constructed [[derived categories]]; redefinition of [[derived functor]]s in terms of triangulated categories|
|1967| |Peter Gabriel--Michel Zisman| |Famous book "Calculus of fractions and homotopy theory" sets a standard on the categorical approach to [[localization]] and axiomatizes [[simplicial homotopy theory]].|
|1967| |[[Daniel Quillen]]| |[[Quillen model category|Quillen model categories]] and [[Quillen model functor]]s: A framework for doing homotopy theory in an axiomatic way in categories and an abstraction of [[homotopy category|homotopy categories]] in such a way that $h C = C[W^{-1}]$ where $W^{-1}$ consists of the inverted [[weak equivalence]]s of the Quillen model category $C$. Quillen model categories are homotopically complete and cocomplete, and come with a built-in [[Eckmann–Hilton duality]]|
|1967| |[[Daniel Quillen]]| |[[homotopical algebra]] (published as a book and also sometimes called noncommutative homological algebra): introduces [[model category|model categories]] in terms of fibrations, cofibrations and weak equivalences and studies main examples, [[Quillen axioms]] for homotopy theory in [[model category|model categories]]|
|1967| |[[Daniel Quillen]]| |first [[fundamental theorem of simplicial homotopy theory]]: The [[Simp Set|category of simplicial sets]] is a (proper) closed (simplicial) [[model category]]|
|1967| |[[Daniel Quillen]]| |second [[fundamental theorem of simplicial homotopy theory]]: The [[realization functor]] and the [[singular functor]] constitute an equivalence of categories $h \Delta$ and $h Top$ ($\Delta$ the [[Simp Set|category of simplicial sets]])|
|1967| |[[Jean Bénabou]]| |$V$-[[actegory|actegories]]: a category $C$ with an action $\otimes: V \times C \to C$ which is associative and unital up to coherent isomorphism, for $V$ a [[symmetric monoidal category]]. $V$-actegories can be seen as the categorification of $R$-modules over a commutative ring $R$|
|1968| |[[Chen Yang]]--[[Rodney Baxter]]| |[[Yang-Baxter equation]], later used as a relation in [[braided monoidal category|braided monoidal categories]] for crossings of braids|
|1968| |[[Alexander Grothendieck]]| |[[crystalline cohomology]]: A $p$-[[adic cohomology]] theory in characteristic $p$ invented to fill the gap left by [[etale cohomology]] which is deficient in using mod $p$ coefficients for this case. It is sometimes referred to by Grothendieck as the yoga of de Rham coefficients and Hodge coefficients since crystalline cohomology of a variety $X$ in characteristic $p$ is like [[de Rham cohomology]] mod $p$ of $X$ and there is an isomorphism between de Rham cohomology groups and Hodge cohomology groups of harmonic forms|
|1968| |[[Alexander Grothendieck]]| |[[Grothendieck connection]]|
|1968| |[[Alexander Grothendieck]]| |formulates the [[standard conjectures on algebraic cycles]]|
|1968| |[[Michael Artin]]| |[[algebraic space]]s in algebraic geometry as a generalization of [[schemes]]|
|1968| |[[Charles Ehresmann]]| |[[sketch|sketches]]: an alternative way of presenting a theory (which is categorical in character as opposed to linguistic) whose models are to study in appropriate categories. A sketch is a small category with a set of distinguished cones and a set of distinguished cocones satisfying some axioms. A model of a sketch is a set-valued functor transforming the distinguished cones into limit cones and the distinguished cocones into colimit cones. The categories of models of sketches are exactly the [[accessible category|accessible categories]]|
|1968| |[[Joachim Lambek]]| |[[multicategory|multicategories]]|
|1969| |[[Max Kelly]]--[[Nobuo Yoneda]]| |[[end|ends and coends]]|
|1969| |[[Pierre Deligne]]--[[David Mumford]]| |[[algebraic stack|Deligne–Mumford stacks]] as a generalization of [[schemes]]|
|1969| |[[William Lawvere]]| |[[doctrine|doctrines]], a doctrine is a monad on a $2$-category|
|1970| |[[William Lawvere]]-[[Myles Tierney]]| |[[topos|Elementary toposes]]: Categories modeled after the [[category of sets]] which are like [[universe (mathematics)|universe]]s (generalized spaces) of sets in which one can do mathematics. One of many ways to define a topos is: a properly [[cartesian closed category]] with a [[subobject classifier]]. Every [[Grothendieck topos]] is an elementary topos|
|1970| |[[John Horton Conway|John Conway]]| |[[Skein theory]] of knots: The computation of knot invariants by [[skein module]]s. Skein modules can be based on [[quantum invariant]]s|
|1970| |[[Jean Bénabou]]-Jacques Roubaud| |connect the [[descent]] in fibered categories with monadic descent: [[Benabou-Roubaud theorem]]|
|1971| |[[Saunders Mac Lane]]| |Influential book: Categories for the working mathematician, which became the standard reference in category theory|
|1971| |[[Horst Herrlich]]-[[Oswald Wyler]]| |[[Categorical topology]]: The study of [[topological category|topological categories]] of [[structured set]]s (generalizations of topological spaces, uniform spaces and the various other spaces in topology) and relations between them, culminating in [[universal topology]]. General categorical topology study and uses structured sets in a topological category as general topology study and uses topological spaces. Algebraic categorical topology tries to apply the machinery of algebraic topology for topological spaces to structured sets in a topological category.|
|1971| |[[Harold Neville Vazeille Temperley|Harold Temperley]]-[[Elliott Lieb]]| |[[Temperley-Lieb algebra]]s: Algebras of [[tangle (mathematics)|tangle]]s defined by generators of tangles and relations among them|
|1971| |[[William Lawvere]]-[[Myles Tierney]]| |[[Lawvere-Tierney topology]] on a topos|
|1971| |[[William Lawvere]]-[[Myles Tierney]]| |[[Topos theoretic forcing]] (forcing in toposes): Categorization of the [[Forcing (mathematics)|set theoretic forcing]] method to toposes for attempts to prove or disprove the [[continuum hypothesis]], independence of the [[axiom of choice]], etc. in toposes|
|1971| |Bob Walters-[[Ross Street]]| |[[Yoneda structure]]s on 2-categories|
|1971| |[[Roger Penrose]]| |[[String diagram]]s to manipulate morphisms in a monoidal category|
|1971| |[[Jean Giraud (mathematician)|Jean Giraud]]| |[[Gerbe]]s: Categorified principal bundles that are also special cases of stacks|
|1971| |[[Joachim Lambek]]| |Generalizes the [[Curry-Howard correspondence#Curry-Howard-Lambek correspondence|Haskell-Curry-William-Howard correspondence]] to a three way isomorphism between types, propositions and objects of a cartesian closed category|
|1972| |[[Max Kelly]]| |[[Clubs (category theory)]] and [[coherence (category theory)]]. A club is a special kind of 2-dimensional theory or a monoid in Cat/(category of finite sets and permutations P), each club giving a 2-monad on Cat|
|1972| |John Isbell| |[[locale (mathematics)|Locales: A "generalized topological space" or "pointless spaces" defined by a lattice (a complete [[Heyting algebra]] also called a Brouwer lattice) just as for a topological space the open subsets form a lattice. If the lattice possess enough points it is a topological space. Locales are the main objects of [[pointless topology]], the dual objects being [[frame|frames]]. Both locales and frames form categories that are each others opposite. Sheaves can be defined over locales. The other "spaces" one can define sheaves over are sites. Although locales were known earlier John Isbell first named them|
|1972| |[[Ross Street]]| |[[Formal theory of monads]]: The theory of [[monad|monads]] in 2-categories|
|1972| |[[Peter Freyd]]| |[[Fundamental theorem of topos theory]]: Every slice category (E,Y) of a topos E is a topos and the functor f*:(E,X)→(E,Y) preserves exponentials and the subobject classifier object Ω and has a right and left adjoint functor|
|1972| |[[Alexander Grothendieck]]| |[[universe|Universes]] for sets|
|1972| |[[Jean Bénabou]]-[[Ross Street]]| |[[cosmos|Cosmoses]] which categorize [[universe]]s: A cosmos is a generalized universe of 1-categories in which you can do category theory. When set theory is generalized to the study of a [[Grothendieck topos]], the analogous generalization of category theory is the study of a cosmos.|
|1972| |[[Peter May]]| |[[operad|Operads]]: An abstraction of the family of composable functions of several variables together with an action of permutation of variables. Operads can be seen as algebraic theories and algebras over operads are then models of the theories. Each operad gives a [[monad]] on Top. [[multicategory|Multicategories]] with one object are operads. [[PRO (category theory)|PROP]]s generalize operads to admit operations with several inputs and several outputs. Operads are used in defining [[opetope]]s, higher category theory, homotopy theory, homological algebra, algebraic geometry, string theory and many other areas.|
|1972| |William Mitchell-[[Jean Bénabou]]| |[[Mitchell-Benabou language|Mitchell-Bénabou language]] of a [[topos]]|
|1973| |Chris Reedy| |[[Reedy category|Reedy categories]]: Categories of "shapes" that can be used to do homotopy theory. A Reedy category is a category R equipped with a structure enabling the inductive construction of diagrams and natural transformations of shape R. The most important consequence of a Reedy structure on R is the existence of a model structure on the [[functor category]] M<sup>R</sup> whenever M is a [[model category]]. Another advantage of the Reedy structure is that its cofibrations, fibrations and factorizations are explicit. In a Reedy category there is a notion of an injective and a surjective morphism such that any morphism can be factored uniquely as a surjection followed by an injection. Examples are the ordinal α considered as a [[poset]] and hence a category. The opposite R° of a Reedy category R is a Reedy category. The [[simplex category]] Δ and more generally for any [[simplicial set]] X its category of simplices Δ/X is a Reedy category. The model structure on M<sup>Δ</sup> for a model category M is described in an unpublished manuscript by Chris Reedy|
|1973| |[[Kenneth Brown]]-Stephen Gersten| |Shows the existence of a global closed [[model category|model structure]] on the categegory of [[simplicial sheaf|simplicial sheaves]] on a topological space, with weak asumptions on the topological space|
|1973| |[[Kenneth Brown]]| |[[Generalized sheaf cohomology]] of a topological space X with coefficients a sheaf on X with values in Kans [[Spectrum (homotopy theory)|category of spectra]] with some finiteness conditions. It generalizes [[generalized cohomology theory#cohomology theories|generalized cohomology theory]] and [[sheaf cohomology]] with coefficients in a complex of abelian sheaves|
|1973| |[[William Lawvere]]| |Finds that Cauchy completeness can be expressed for general [[Enriched category|enriched categories]] with the [[category of generalized metric spaces]] as a special case. Cauchy sequences become left adjoint modules and convergence become representability|
|1973| |[[Jean Bénabou]]| |[[Profunctor|Distributors]] (also called modules, profunctors, [[Categorical_bridge|directed bridges]])|
|1973| |[[Pierre Deligne]]| |Proves the last of the [[Weil conjectures]], the analogue of the Riemann hypothesis|
|1973| |John Boardman-Rainer Vogt| |[[Segal categories]]: Simplicial analogues of [[Fukaya category|A]]<sub>[[Fukaya category|∞]]</sub>[[Fukaya category|-categories]]. They naturally generalize [[simplicial category|simplicial categories]], in that they can be regarded as simplicial categories with composition only given up to homotopy.|
|1973| |[[Daniel Quillen]]| |[[Frobenius categories]]: An [[exact category]] in which the classes of injective and projective objects coincide and for all objects x in the category there is a deflation P(x)→x (the projective cover of x) and an inflation x→I(x) (the injective hull of x) such that both P(x) and I(x) are in the category of pro/injective objects. A Frobenius category E is an example of a [[model category]] and the quotient E/P (P is the class of projective/injective objects) is its [[homotopy category]] hE|
|1974| |[[Michael Artin]]| |Generalizes [[Algebraic stack#Deligne-Mumford stacks|Deligne-Mumford stacks]] to [[Algebraic stack#Artin stacks|Artin stacks]]|
|1974| |Robert Paré| |[[Paré monadicity theorem]]: E is a topos→E° is monadic over E|
|1974| |Andy Magid| |Generalizes [[Grothendieck's Galois theory|Grothendiecks Galois theory]] from groups to the case of rings using Galois groupoids|
|1974| |[[Jean Bénabou]]| |Logic of [[Fibred category|fibred categories]]|
|1974| |[[John Gray (mathematician)|John Gray]]| |[[Gray categories]] with [[Gray tensor product]]|
|1974| |[[Kenneth Brown]]| |Writes a very influential paper that defines [[brown category|Browns categories]] of fibrant objects and dually Brown categories of cofibrant objects|
|1974| |[[Shiing-Shen Chern]]-[[James Simons]]| |[[Chern-Simons theory]]: A particular TQFT which describe knot and manifold invariants, at that time only in 3D|
|1975| |[[Saul Kripke]]-[[Andre Joyal]]| |[[Kripke-Joyal semantics]] of the [[Mitchell-Benabou internal language|Mitchell-Bénabou internal language]] for toposes: The logic in categories of sheaves is first order intuitionistic predicate logic|
|1975| |Radu Diaconescu| |[[Diaconescu theorem]]: The internal axiom of choice holds in a [[topos]] → the topos is a boolean topos. So in IZF the axiom of choice implies the law of excluded middle|
|1975| |Manfred Szabo| |[[Polycategories]]|
|1975| |[[William Lawvere]]| |Observes that [[Deligne theorem (disambiguation)|Delignes theorem]] about enough points in a [[coherent topos]] implies the [[Gödel's completeness theorem|Gödel completeness theorem]] for first order logic in that topos|
|1976| |[[Alexander Grothendieck]]| |[[Schematic homotopy type]]s|
|1976| |Marcel Crabbe| | [[Heyting categories]] also called [[logos (mathematics)|logoses]]: [[Regular category|Regular categories]] in which the subobjects of an object form a lattice, and in which each inverse image map has a right adjoint. More precisely a [[coherent category]] C such that for all morphisms f:A→B in C the functor f*:Sub<sub>C</sub>(B)→Sub<sub>C</sub>(A) has a left adjoint and a right adjoint. Sub<sub>C</sub>(A) is the [[preorder]] of subobjects of A (the full subcategory of C/A whose objects are subobjects of A) in C. Every [[topos]] is a logos. Heyting categories generalize [[Heyting algebra]]s.|
|1976| |[[Ross Street]]| |[[Computads]]|
|1977| |[[Peter Johnstone]]| |Very influential book "Topos theory" (circulated as a preprint a year earlier).|
|1977| |[[Michael Makkai]]-Gonzalo Reyes| |Develops the [[Mitchell-Benabou internal language|Mitchell-Bénabou internal language]] of a topos thoroughly in a more general setting|
|1977| |Andre Boileau-[[Andre Joyal]]-Jon Zangwill| |LST [[Local set theory]]: Local set theory is a [[typed set theory]] whose underlying logic is higher order [[intuitionistic logic]]. It is a generalization of classical set theory, in which sets are replaced by terms of certain types. The category C(S) built out of a local theory S whose objects are the local sets (or S-sets) and whose arrows are the local maps (or S-maps) is a [[linguistic topos]]. Every topos E is equivalent to a linguistic topos C(S(E))|
|1977| |[[John Roberts (mathematician)|John Roberts]]| |Introduces most general [[nonabelian cohomology]] of ω-categories with ω-categories as coefficients when he realized that general cohomology is about coloring simplices in [[ω-category|ω-categories]]. There are two methods of constructing general nonabelian cohomology, as [[nonabelian sheaf cohomology]] in terms of [[descent (category theory)|descent]] for ω-category valued sheaves, and in terms of [[homotopical cohomology theory]] which realizes the cocycles. The two approaches are related by [[descent (category theory)|codescent]]|
|1978| |[[John Roberts (mathematician)|John Roberts]]| |[[Complicial set]]s (simplicial sets with structure or enchantment)|
|1978| |Francois Bayen-Moshe Flato-Chris Fronsdal-[[Andre Lichnerowicz]]-Daniel Sternheimer| |[[Weyl quantization#Deformation quantization|Deformation quantization]], later to be a part of categorical quantization|
|1978| |[[Andre Joyal]]| |[[Combinatorial species]] in [[enumerative combinatorics]]|
|1978| |Don Anderson| |Building on work of [[Kenneth Brown]] defines [[ABC categories|ABC (co)fibration categories]] for doing homotopy theory and more general [[ABC model category|ABC model categories]], but the theory lies dormant until 2003. Every [[model category|Quillen model category]] is an ABC model category. A difference to Quillen model categories is that in ABC model categories fibrations and cofibrations are independent and that for an ABC model category M<sup>D</sup> is an ABC model category. To a ABC (co)fibration category is canonically associated a (left) right [[Derivator|Heller derivator]]. Topological spaces with homotopy equivalences as weak equivalences, Hurewicz cofibrations as cofibrations and Hurewicz fibrations as fibrations form an ABC model category, the [[Hurewicz model structure]] on Top. Complexes of objects in an abelian category with quasi-isomorphisms as weak equivalences and monomorphisms as cofibrations form an ABC precofibration category|
|1978-1979| |Alexander Beilinson<sup><a href="http://ncatlab.org/nlab/show/Timeline+of+category+theory+and+related+mathematics">[3]</a></sup>| |Two articles on the structures of derived categories of coherent sheaves on projective spaces, which started a rich theory of relations between linear algebra of quivers and triangulated categories coming from algebraic geometry. This is continued in 1979 a famous related article of Bernstein-Gel'fand-Gel'fand with importance to physics and representation theory.|
|1979| |Don Anderson| |[[Anderson axioms]] for homotopy theory in categories with a [[fraction functor]]|
|1980| |[[Alexander Zamolodchikov]]| |[[Zamolodchikov equation]] also called [[tetrahedron equation]]|
|1980| |[[Ross Street]]| |Bicategorical [[Yoneda lemma]]|
|1980| |[[Masaki Kashiwara]]-Zoghman Mebkhout| |Proves the [[Riemann-Hilbert correspondence]] for complex manifolds|
|1980| |[[Peter Freyd]]| |[[Numerals (topos theory)|Numerals]] in a topos|
|1981| |[[Shigeru Mukai]]| |[[Mukai-Fourier transform]]|
|1982| |Bob Walters| |[[Enriched category|Enriched categories]] with bicategories as a base|
|1982| |[[Martin Hyland]]| |Devises the [[effective topos]], an environment for recursive mathematics|
|1983| |[[Alexander Grothendieck]]| |[[Pursuing stacks]]: Correspondence by mail with [[Daniel Quillen]] about Alexander Grothendieck's mathematical visions written down in a 629 pages manuscript|
|1983| |[[Alexander Grothendieck]]| |First appearance of [[strict ∞-categories]] in pursuing stacks|
|1983| |[[Alexander Grothendieck]]| |[[Fundamental infinity groupoid]]: A complete homotopy invariant Π<sub>∞</sub>(X) for CW-complexes X. The inverse functor is the [[geometric realization|geometric realization functor]] $\vert{.}\vert$ and together they form an "equivalence" between the [[category of CW-complexes]] and the category of ω-groupoids|
|1983| |[[Alexander Grothendieck]]| |[[Homotopy hypothesis]]: The [[homotopy category]] of CW-complexes is [[Quillen adjunction|Quillen equivalent]] to a homotopy category of reasonable weak ∞-groupoids|
|1983| |[[Alexander Grothendieck]]| |[[derivator|Grothendieck derivators]]:  A model for homotopy theory similar to [[model category|Quilen model categories]] but more satisfactory. Grothendieck derivators are dual to [[derivator|Heller derivators]]|
|1983| |[[Alexander Grothendieck]]| |[[Elementary modelizer]]s: Categories of presheaves that modelize [[homotopy type]]s (thus generalizing the theory of [[simplicial set]]s). [[Canonical modelizer]]s are also used in pursuing stacks|
|1983| |[[Alexander Grothendieck]]| |[[Smooth functor]]s and [[proper functor]]s|
|1984| |Vladimir Bazhanov-Razumov Stroganov| |[[Bazhanov-Stroganov d-simplex equation]] generalizing the Yang-Baxter equation and the Zamolodchikov equation|
|1984| |[[Horst Herrlich]]| |[[Universal topology]] in [[categorical topology]]: A unifying categorical approach to the different structured sets (topological structures such as topological spaces and uniform spaces) whose class form a topological category similar as universal algebra is for algebraic structures|
|1984| |[[Andre Joyal]]| |[[simplicial sheaf|Simplicial sheaves]] (sheaves with values in simplicial sets). Simplicial sheaves on a topological space X is a model for the [[hypercomplete topos|hypercomplete]] [[∞-topos]] Sh(X)<sup>^</sup>|
|1984| |[[Andre Joyal]]| |Shows that the category of [[simplicial object]]s in a [[Grothendieck topos]] has a closed [[model category|model structure]]|
|1984| |[[Andre Joyal]]-[[Myles Tierney]]| |[[Main Galois theorem for toposes]]: Every topos is equivalent to a category of étale presheaves on an open étale groupoid|
|1985| |Michael Schlessinger-[[Jim Stasheff]]| |L<sub>∞</sub>-algebras|
|1985| |[[Andre Joyal]]-[[Ross Street]]| |[[Braided monoidal category|Braided monoidal categories]]|
|1985| |[[Andre Joyal]]-[[Ross Street]]| |[[Joyal-Street coherence theorem]] for braided monoidal categories|
|1985| |Paul Ghez-Ricardo Lima-[[John Roberts (mathematician)|John Roberts]]| |[[C*-category|C*-categories]]|
|1986| |[[Joachim Lambek]]-Phil Scott| |Influential book: Introduction to higher order categorical logic|
|1986| |[[Joachim Lambek]]-Phil Scott| |[[Fundamental theorem of topology]]: The section-functor Γ and the germ-functor Λ establish a dual adjunction between the category of presheaves and the category of bundles (over the same topological space) which restricts to a dual equivalence of categories (or duality) between corresponding full subcategories of sheaves and of étale bundles|
|1986| |[[Peter Freyd]]-[[David Yetter]]| |Constructs the (compact braided) monoidal [[category of tangles]]|
|1986| |[[Vladimir Drinfel'd]]-[[Michio Jimbo]]| |[[Quantum groups]]: In other words quasitriangular [[Hopf algebra]]s. The point is that the categories of representations of quantum groups are [[Monoidal category|tensor categories]] with extra structure. They are used in construction of [[quantum invariant]]s of knots and links and low dimensional manifolds, representation theory, [[q-deformation theory]], [[CFT]], integrable systems. The invariants are constructed from [[braided monoidal category|braided monoidal categories]] that are categories of representations of quantum groups. The underlying structure of a [[TQFT]] is a [[modular category]] of representations of a quantum group|
|1986| |[[Saunders Mac Lane]]| |[[Mathematics,_Form_and_Function|Mathematics, form and function]] (a foundation of mathematics)|
|1987| |[[Jean-Yves Girard]]| |[[Linear logic]]: The internal logic of a [[linear category]] (an [[enriched category]] with its [[Hom-set]]s being linear spaces)|
|1987| |[[Peter Freyd]]| |[[Freyd representation theorem]] for [[Grothendieck topos]]es|
|1987| |[[Ross Street]]| |Definition of the [[nerve of a category|nerve of a weak n-category]] and thus obtaining the first definition of [[weak n-category]] using simplices|
|1987| |[[Ross Street]]-[[John Roberts (mathematician)|John Roberts]]| |Formulates [[Street-Roberts conjecture]]: Strict [[ω-categories]] are equivalent to [[complicial set]]s|
|1987| |[[Andre Joyal]]-[[Ross Street]]-Mei Chee Shum| |[[Ribbon category|Ribbon categories]]: A balanced rigid braided [[monoidal category]]|
|1987| |[[Ross Street]]| |[[n-computad]]s|
|1987| |Iain Aitchison| |Bottom up [[Pascal triangle algorithm]] for computing nonabelian n-cocycle conditions for [[nonabelian cohomology]]|
|1987| |[[Vladimir Drinfel'd]]-Gerard Laumon| |Formulates [[Langlands program|geometric Langlands program]]|
|1987| |[[Vladimir Turaev]]| |Starts [[quantum topology]] by using [[quantum groups]] and [[R-matrix|R-matrices]] to giving an algebraic unification of most of the known [[knot polynomial]]s. Especially important was [[Vaughan Jones]] and [[Edward Witten]]s work on the [[Jones polynomial]]|
|1988| |[[Alex Heller]]| |[[Heller axioms]] for homotopy theory as a special abstract [[hyperfunctor]]. A feature of this approach is a very general [[localization of a category|localization]]|
|1988| |[[Alex Heller]]| |[[Derivator|Heller derivator]]s, the dual of [[Derivator|Grothendieck derivator]]s|
|1988| |[[Alex Heller]]| |Gives a global closed [[model category|model structure]] on the category of [[simplicial sheaf|simplicial presheaves]]. John Jardine has also given a model structure for the category of simplicial presheaves|
|1988| |[[Graeme Segal]]| |[[Elliptic object]]s: A functor that is a categorified version of a vector bundle equipped with a connection, it is a 2D parallel transport for strings|
|1988| |[[Graeme Segal]]| |Conformal field theory [[Conformal field theory|CFT]]: A symmetric monoidal functor Z:nCob<sub>'''C'''</sub>→Hilb satisfying some axioms|
|1988| |[[Edward Witten]]| |Topological quantum field theory [[TQFT]]: A monoidal functor Z:nCob→Hilb satisfying some axioms|
|1988| |[[Edward Witten]]| |[[Topological string theory]]|
|1989| |Hans Baues| |Influential book: [[Algebraic homotopy]]|
|1989| |[[Michael Makkai]]-Robert Paré| |[[Accessible category|Accessible categories]]: Categories with a "good" set of [[Generator_(category_theory)|generators]] allowing to manipulate [[large category|large categories]] as if they were [[small category|small categories]], without the fear of encountering any set-theoretic paradoxes. [[locally presentable category|Locally presentable categories]] are complete accessible categories. Accessible categories are the categories of models of [[Sketch (category theory)|sketches]]. The name comes from that these categories are accessible as models of sketches|
|1989| |[[Edward Witten]]| |[[Witten functional integral]] formalism and [[Witten invariant]]s for manifolds|
|1990| | Alexei Bondal-[[Mikhail Kapranov]]| |[[enhanced triangulated categories|Enhanced triangulated categories]]|
|1990| |[[Peter Freyd]]| |[[Allegory (category theory)|Allegories (category theory)]]: An abstraction of the [[category of sets and relations]] as morphisms, it bears the same resemblance to binary relations as categories do to functions and sets. It is a category in which one has in addition to composition a unary operation reciprocation R° and a partial binary operation intersection R ∩ S, like in the category of sets with relations as morphisms (instead of functions) for which a number of axioms are required. It generalizes the [[relation algebra]] to relations between different sorts.|
|1990| |[[Nicolai Reshetikhin]]-[[Vladimir Turaev]]-[[Edward Witten]]| |[[Reshetikhin-Turaev-Witten invariant]]s of knots from [[modular tensor category|modular tensor categories]] of representations of [[quantum group]]s|
|1990| |Cartier et al.| |[[Grothendieck Festschrift]] in 3 volumes with historical contributions including Thomason-Troubaugh article on algebraic K-theory; [[Deligne: Categories Tannakiennes]]  and Breen's "Bitorseurs et cohomologie nonabeliennes"|
|1991| |[[Jean-Yves Girard]]| |[[Polarization (logic)|Polarization]] of [[linear logic]]|
|1991| |[[Ross Street]]| |[[Parity complex]]es. A parity complex generates a free [[ω-category]]|
|1991| |[[Andre Joyal]]-[[Ross Street]]| |Formalization of Penrose [[string diagram]]s to calculate with [[abstract tensor]]s in various [[monoidal category|monoidal categories]] with extra structure. The calculus now depend on the connection with [[low dimensional topology]]|
|1991| |[[Ross Street]]| |Definition of the descent strict ω-category of a cosimplicial strict ω-category|
|1991| |[[Ross Street]]| |Top down [[excision of extremals algorithm]] for computing nonabelian n-cocycle conditions for [[nonabelian cohomology]]|
|1992| |[[Yves Diers]]| |[[Axiomatic categorical geometry]] using [[algebraic-geometric category|algebraic-geometric categories]] and [[algebraic-geometric functor|algebraic-geometric functors]]|
|1992| |[[Saunders Mac Lane]]-[[Ieke Moerdijk]]| |Influential book: Sheaves in geometry and logic|
|1992| |John Greenlees-[[Peter May]]| |[[Greenlees-May duality]]|
|1992| |[[Vladimir Turaev]]| |[[Modular tensor category|Modular tensor categories]]. Special [[monoidal category|tensor categories]] that arise in constructiong [[knot invariant]]s, in constructing [[Topological quantum field theory|TQFT]]s and [[Conformal field theory|CFT]]s, as truncation (semisimple quotient) of the category of representations of a [[quantum group]] (at roots of unity), as categories of representations of weak [[Hopf algebra]]s, as category of representations of a [[Conformal field theory|RCFT]]|
|1992| |[[Vladimir Turaev]]-[[Oleg Viro]]| |[[Turaev-Viro state sum model]]s based on [[spherical category|spherical categorie]]s (the first state sum models) and [[Turaev-Viro invariant|Turaev-Viro state sum invariant]]s for 3-manifolds|
|1992| |[[Vladimir Turaev]]| |Shadow world of links: [[shadow (links)|Shadows of links]] give shadow invariants of links by shadow [[state sum]]s|
|1993| |Paul Taylor| |ASD ([[abstract Stone duality|Abstract Stone Duality]]): A reaxiomatisation of the notions of space and map in general topology in terms of [[lambda calculus|λ-calculus]] of computable continuous functions and predicates that is both constructive and computable|
|1993| |Ruth Lawrence| |[[extended topological quantum field theory|Extended TQFTs]]|
|1993| |[[David Yetter]]-[[Louis Crane]]| |[[Crane-Yetter state sum model]]s based on [[ribbon category|ribbon categories]] and [[Crane-Yetter invariant|Crane-Yetter state sum invariant]]s for 4-manifolds|
|1993| |Kenji Fukaya| |[[Fukaya category|A]]<sub>[[Fukaya category|∞]]</sub>[[Fukaya category|-categories]] and [[Fukaya category|A]]<sub>[[Fukaya category|∞]]</sub>[[Fukaya category|-functors]]: Most commonly in [[homological algebra]], a category with several compositions such that the first composition is associative up to homotopy which satisfies an equation that holds up to another homotopy, etc. (associative up to higher homotopy). A stands for associative.|
|1993| |[[John Barrett (mathematician)|John Barrett]]-Bruce Westbury| |[[spherical category|Spherical categories]]: [[monoidal category|Monoidal categories]] with duals for diagrams on spheres instead for in the plane|
|1993| |[[Maxim Kontsevich]]| |[[Kontsevich invariant]]s for knots (are perturbation expansion Feynman integrals for the [[Witten functional integral]]) defined by the Kontsevich integral. They are the universal [[Vassiliev invariant]]s for knots|
|1993| |Daniel Freed| |A new view on [[TQFT]] using [[modular tensor categories]] that unifies 3 approaches to TQFT (modular tensor categories from path integrals)|
|1994| |Francis Borceux| |Handbook of categorical algebra (3 volumes)|
|1994| |[[Jean Bénabou]]-Bruno Loiseau| |[[Orbitals (topos theory)|Orbitals]] in a topos|
|1994| |[[Maxim Kontsevich]]| |Formulates [[homological mirror symmetry]] conjecture: X a compact symplectic manifold with first chern class c<sub>1</sub>(X)=0 and Y a compact Calabi-Yau manifold are mirror pairs <=> D(Fuk<sub>X</sub>) (the derived category of the [[Fukaya category|Fukaya triangulated category]] of X concocted out of Lagrangian cycles with local systems) is equivalent to a subcategory of D<sup>b</sup>(Coh<sub>Y</sub>) (the bounded derived category of coherent sheaves on Y)|
|1994| |[[Louis Crane]]-[[Igor Frenkel]]| |[[Hopf categories]] and construction of 4D [[TQFT]]s by them |
|1994| |John Fischer| |Defines the [[2-category]] of [[2-knot]]s (knotted surfaces)|
|1995| |Bob Gordon-John Power-[[Ross Street]]| |[[tricategory|Tricategories]] and a corresponding [[coherence theorem]]: Every weak 3-category is equivalent to a [[Gray category|Gray 3-category]] which is a much simpler |
|1995| |[[Ross Street]]-[[Dominic Verity]]| |[[Surface diagram]]s for tricategories|
|1995| |[[Louis Crane]]| |Coins [[categorification]] leading to the [[categorical ladder]]|
|1995| |Sjoerd Crans| |A general procedure of transferring closed [[model category|model structure]]s on a category along [[adjoint functor]] pairs to another category|
|1995| |[[André Joyal]]-[[Ieke Moerdijk]]| |AST [[algebraic set theory|Algebraic set theory]]: Also sometimes called categorical set theory started to be developed in 1988 by André Joyal and Ieke Moerdijk and was first presented in detail as a book in 1995 by them. AST is a robust framework based on category theory to study and organize [[set theory|set theories]] and to construct [[model of set theories|models of set theories]]|
|1995| |[[Michael Makkai]]| |SFAM [[Structuralist foundation of abstract mathematics]]. In SFAM the universe consists of higher dimensional categories, functors are replaced by saturated [[anafunctor]]s, sets are [[abstract set]]s, the formal logic for entities is [[FOLDS]] (first-order logic with dependent sorts) in which the identity relation is not given a priori by first order axioms but derived from within a context|
|1995| |[[John Baez]]-[[James Dolan]]| |[[Opetopic set]]s ([[opetopes]]) based on [[operad]]s. [[weak n-category|Weak n-categories]] are n-opetopic sets|
|1995| |[[John Baez]]-[[James Dolan]]| |Introduces the [[periodic table]] of [[k-tuply monoidal n-category|k-tuply monoidal n-categories]].  
|1995| |[[John Baez]]-[[James Dolan]]| |Outlines a program in which n-dimensional [[TQFT]]s are described as [[n-category representation]]s|
|1995| |[[John Baez]]-[[James Dolan]]| |[[generalized tangle hypothesis|tangle hypothesis]]: The $n$-category of framed $n$-tangles in $n+k$ dimensions is $(n+k)$-equivalent to the free weak $k$-tuply monoidal $n$-category with duals on one object|
|1995| |[[John Baez]]-[[James Dolan]]| |[[Stabilization hypothesis]]: After suspending a weak $n$-category $n+2$ times, further suspensions have no essential effect. The suspension functor S:nCat<sub>k</sub>→nCat<sub>k+1</sub> is an equivalence for $k \ge n+2$|
|1995| |[[John Baez]]-[[James Dolan]]| |[[Extended TQFT hypothesis]]: An $n$-dimensional unitary extended TQFT is a weak $n$-functor, preserving all levels of duality, from the free stable weak $n$-category with duals on one object to $n$Hilb. |
|1995| |Valentin Lychagin| |[[Categorical quantization]]|
|1995| |[[Pierre Deligne]]-[[Vladimir Drinfel'd]]-[[Maxim Kontsevich]]| |[[Derived algebraic geometry]] with [[derived scheme]]s and [[derived moduli stacks]]. A program of doing algebraic geometry and especially [[moduli problem]]s in the [[derived category]] of schemes or algebraic varieties instead of in their normal categories|
|1997| |[[Maxim Kontsevich]]| |Formal [[deformation quantization]] theorem: Every [[Poisson manifold]] admits a differentiable [[star product (quantization)|star product]] and they are classified up to equivalence by formal deformations of the Poisson structure|
|1998| |Claudio Hermida-[[Michael-Makkai]]-John Power| |[[Multitope]]s, Multitopic sets |
|1998| |Carlos Simpson| |[[Simpson conjecture]]:  Every weak ∞-category is equivalent to a ∞-category in which composition and exchange laws are strict and only the unit laws are allowed to hold weakly. It is proven for 1,2,3-categories with a single object|
|1998| |André Hirschowitz-Carlos Simpson| |Give a [[model category]] structure on the category of Segal categories. [[Segal category|Segal categories]] are the fibrant-cofibrant objects and [[Segal map]]s are the [[model category|weak equivalences]]. In fact they generalize the definition to that of a [[Segal n-category]] and give a model structure for Segal n-categories for any n≥1. The combination of model category theory and Segal category theory is probably one of the most efficient way of doing [[simplicial homotopy theory]]|
|1998| |[[Chris Isham ]]-Jeremy Butterfield| |[[Kochen-Specker theorem]] in topos theory of presheaves: The [[spectral presheaf]] (the presheaf that assigns to each operator its spectrum) has no [[global element]]s ([[global section]]s) but may have partial elements or [[local element]]s. A global element is the analogue for presheaves of the ordinary idea of an element of a set. This is equivalent in quantum theory to the spectrum of the [[C*-algebra]] of observables in a topos having no points|
|1998| |Richard Thomas| |Richard Thomas, a student of [[Simon Donaldson]], introduces [[Donaldson-Thomas invariant]]s which are systems of numerical invariants of complex oriented 3-manifolds X, analogous to [[Donaldson invariant]]s in the theory of 4-manifolds. They are certain [[weighted Euler characteristic]]s of the [[moduli space of sheaves]] on X and "count" Gieseker semistable [[coherent sheaf|coherent sheaves]] with fixed [[Chern character]] on X. Ideally the moduli spaces should be a critical sets of [[holomorphic Chern-Simons functions]] and the Donaldson-Thomas invariants should be the number of critical points of this function, counted correctly. Currently such holomorphic Chern-Simons functions exist at best locally and it is unlikely that they exist globally|
|1998| |[[John Baez]]| |[[Spin foam|Spin foam models]]: A 2-dimensional [[cell complex]] with faces labeled by representations and edges labeled by [[intertwining operator]]s. Spin foams are functors between [[spin network category|spin network categories]]. Any slice of a spin foam gives a spin network|
|1998| |[[John Baez]]-[[James Dolan]]| |[[microcosm principle|Microcosm principle]]: Certain algebraic structures can be defined in any category equipped with a categorified version of the same structure|
|1998| |[[Alexander Rosenberg (mathematician)|Alexander Rosenberg]]| |[[Noncommutative scheme]]s: The pair (Spec(A),O<sub>A</sub>) where A is an [[abelian category]] and to it is associated a topological space Spec(A) together with a sheaf of rings O<sub>A</sub> on it. In the case when A = QCoh(X) for X a scheme the pair (Spec(A),O<sub>A</sub>) is naturally isomorphic to the scheme (X<sup>Zar</sup>,O<sub>X</sub>) using the equivalence of categories QCoh(Spec(R))=Mod<sub>R</sub>. More generally abelian categories or triangulated categories or dg-categories or A<sub>∞</sub>-categories should be regarded as categories of quasicoherent sheaves (or complexes of sheaves) on noncommutative schemes. This is a starting point in [[noncommutative algebraic geometry]]. It means that one can think of the category A itself as a space. Since A is abelian it allows to naturally do [[homological algebra]] on noncommutative schemes and hence [[sheaf cohomology]].|
|1998| |[[Maxim Kontsevich]]| |[[Calabi-Yau category|Calabi-Yau categories]]: A [[linear category]] with a trace map for each object of the category and an associated symmetric (with respects to objects) nondegenerate pairing to the trace map. If X is a smooth projective [[Calabi-Yau variety]] of dimension d then D<sup>b</sup>(Coh(X)) is a unital Calabi-Yau [[Fukaya category|A]]<sub>[[Fukaya category|∞]]</sub>[[Fukaya category|-category]] of Calabi-Yau dimension d. A Calabi-Yau category with one object is a [[Frobenius algebra]]|
|1999| |[[Joseph Bernstein]]-[[Igor Frenkel]]-[[Mikhail Khovanov]]| |[[Temperley-Lieb categories]]: Objects are enumerated by nonnegative integers. The set of homomorphisms from object n to object m is a free R-module with a basis over a ring R. R is given by the isotopy classes of systems of $(\vert{n}\vert+\vert{m}\vert)/2$ simple pairwise disjoint arcs inside a horizontal strip on the plane that connect in pairs $\vert{n}\vert$ points on the bottom and $\vert{m}\vert$ points on the top in some order. Morphisms are composed by concatenating their diagrams. Temperley-Lieb categories are categorized [[Temperley-Lieb algebra]]s|
|1999| |Moira Chas-[[Dennis Sullivan]]| |Constructs [[String topology]] by cohomology. This is string theory on general topological manifolds|
|1999| |[[Mikhail Khovanov]]| |[[Khovanov homology]]: A homology theory for knots such that the dimensions of the homology groups are the coefficients of the [[Jones polynomial]] of the knot|
|1999| |[[Vladimir Turaev]]| |Homotopy quantum field theory [[HQFT]]|
|1999| |[[Vladimir Voevodsky]]-Fabien Morel| |Constructs the [[A¹ homotopy theory|homotopy category of schemes]]|
|1999| |[[Ronald Brown (mathematician)|Ronald Brown]]-George Janelidze| |2-dimensional Galois theory|
|2000| |[[Vladimir Voevodsky]]| |Gives two constructions of [[motivic cohomology]] of varieties, by model categories in homotopy theory and by a triangulated category of DM-motives|
|2000| |[[Yasha Eliashberg]]-[[Alexander Givental]]-[[Helmut Hofer (mathematician)|Helmut Hofer]]| |[[Floer homology#Symplectic field theory (SFT)|Symplectic field theory SFT]]: A functor Z from a geometric category of framed Hamiltonian structures and framed cobordisms between them to an algebraic category of certain differential D-modules and Fourier integral operators between them and satisfying some axioms|
|2001| |Charles Rezk| |Constructs a [[model category]] with certain generalized [[Segal category|Segal categories]] as the fibrant objects, thus obtaining a model for a homotopy theory of homotopy theories. [[Complete Segal space]]s are introduced at the same time|
|2001| |Charles Rezk| |[[Model topos]]es and their generalization [[homotopy topos]]es (a model topos without the t-completeness assumption)|
|2002| |Bertrand Toën-Gabriele Vezzosi| |[[Segal topos]]es coming from [[Segal topology|Segal topologies]], [[Segal site|Segal sites]] and stacks over them|
|2002| |Bertrand Toën-Gabriele Vezzosi| |[[Homotopical algebraic geometry]]: The main idea is to extend [[scheme (mathematics)|schemes]] by formally replacing the rings with any kind of "homotopy-ring-like object". More precisely this object is a commutative monoid in a [[symmetric monoidal category]] endowed with a notion of equivalences which are understood as "up-to-homotopy monoid" (e.g. E<sub>∞</sub>-rings)|
|2002| |[[Peter Johnstone (mathematician)|Peter Johnstone]]| |Influential book: sketches of an elephant - a topos theory compendium. It serves as an encyclopedia of [[topos]] theory (2/3 volumes published as of 2008)|
|2002| |[[Dennis Gaitsgory]]-Kari Vilonen-Edward Frenkel| |Proves the [[Langlands program|geometric Langlands program]] for GL(n) over finite fields|
|2003| |Denis-Charles Cisinski| |Makes further work on [[ABC model category|ABC model categories]] and brings them back into light. From then they are called ABC model categories after their contributors|
|2004| |[[Dennis Gaitsgory]]| |Extended the proof of the [[Langlands program|geometric Langlands program]] to include GL(n) over '''C'''. This allows to consider curves over '''C''' instead of over finite fields in the geometric Langlands program|
|2004| |Mario Caccamo| |Formal [[category theoretical lambda calculus|category theoretical expanded λ-calculus]] for categories|
|2004| |Francis Borceux-Dominique Bourn| |[[Homological category|Homological categories]]|
|2004| |William Dwyer-Philips Hirschhorn-[[Daniel Kan]]-Jeffrey Smith| |Introduces in the book: Homotopy limit functors on model categories and homotopical categories, a formalism of [[homotopical category|homotopical categories]] and [[homotopical functor|homotopical functors]] (weak equivalence preserving functors) that generalize the [[model category]] formalism of [[Daniel Quillen]]. A homotopical category has only a distinguished class of morphisms (containing all isomorphisms) called weak equivalences and satisfy the two out of six axiom. This allow to define homotopical versions of initial and terminal objects, [[limit (category theory)|limit]] and colimit functors (that are computed by local constructions in the book), [[Complete category|completeness]] and cocompleteness, [[adjoint functors|adjunction]]s, [[Kan extension]]s and [[universal property|universal properties]]|
|2004| |[[Dominic Verity]]| |Proves the [[Street-Roberts conjecture]]|
|2004| |[[Ross Street]]| |Definition of the descent weak ω-category of a cosimplicial weak ω-category |
|2004| |[[Ross Street]]| |[[Cosmos (mathematics)|Characterization theorem for cosmoses]]: A bicategory M is a [[cosmos (mathematics)|cosmos]] iff there exists a base bicategory W such that M is biequivalent to Mod<sub>W</sub>. W can be taken to be any full subbicategory of M whose objects form a small [[Generator_(category_theory)|Cauchy generator]]|
|2004| |[[Ross Street]]-Brian Day| |[[Quantum categories]] and [[quantum groupoids]]: A quantum category over a [[braided monoidal category]] V is an object R with an [[opmorphism]] h:R<sup>op</sup> &otimes; R &rarr; A into a pseudomonoid A such that h<sup>*</sup> is strong monoidal (preserves tensor product and unit up to coherent natural isomorphisms) and all R, h and A lie in the autonomous monoidal bicategory Comod(V)<sup>co</sup> of comonoids. Comod(V)=Mod(V<sup>op</sup>)<sup>coop</sup>. Quantum categories were introduced to generalize [[Hopf algebroid]]s and groupoids. A quantum groupoid is a [[Hopf algebra]] with several objects|
|2004| |[[Stephen Stolz]]-[[Peter Teichner]]| |Definition of nD [[QFT]] of degree p parametrized by a manifold|
|2004| |[[Stephen Stolz]]-[[Peter Teichner]]| |[[Graeme Segal]] proposed in the 1980s to provide a geometric construction of [[elliptic cohomology]] (the precursor to [[Topological modular forms|tmf]]) as some kind of moduli space of CFTs. Stephan Stolz and Peter Teichner continued and expanded these ideas in a program to construct [[Topological modular forms|TMF]] as a moduli space of supersymmetric Euclidean field theories. They conjectured a [[Stolz-Teichner picture]] (analogy) between [[classifying space]]s of cohomology theories in the [[chromatic filtration]] (de Rham cohomology,K-theory,Morava K-theories) and moduli spaces of supersymmetric QFTs parametrized by a manifold (proved in 0D and 1D)|
|2005| |Peter Selinger| |[[Dagger category|Dagger categories]] and [[dagger functor]]s. Dagger categories seem to be part of a larger framework involving [[n-category with duals|n-categories with duals]]|
|2005| |[[Peter Ozsváth]]-[[Zoltán Szabó]]| |[[Khovanov homology#Related theories|Knot Floer homology]]|
|2006| |P. Carrasco-A.R. Garzon-E.M. Vitale| |[[Categorical crossed module]]s|
|2006| |Aslak Buan-Robert Marsh-Markus Reineke-Idun Reiten-Gordana Todorov| |[[Cluster category|Cluster categories]]: Cluster categories are a special case of triangulated [[Calabi-Yau category|Calabi-Yau categories]] of Calabi-Yau dimension 2 and a generalization of [[cluster algebra]]s|
|2006| |[[Jacob Lurie]]| |Monumental book: Higher topos theory: In its 940 pages Jacob Lurie generalize the common concepts of category theory to higher categories and defines [[n-topose]]s, [[∞-topos]]es, [[sheaves of n-types]], [[∞-site]]s, ∞-[[Yoneda lemma]] and proves [[Lurie characterization theorem]] for higher dimensional toposes. Lurie's theory of higher toposes can be interpreted as giving a good theory of sheaves taking values in ∞-categories. Roughly an ∞-topos is an ∞-category which looks like the ∞-category of all [[homotopy type]]s. In a topos mathematics can be done. In a higher topos not only mathematics can be done but also "n-geometry", which is [[higher homotopy theory]]. The [[topos hypothesis]] is that the (n+1)-category nCat is a Grothendieck (n+1)-topos. Higher topos theory can also be used in a purely algebro-geometric way to solve various moduli problems in this setting|
|2007| |Bernhard Keller-Thomas Hugh| |[[cluster category|d-cluster categories]]|
|2007| |[[Dennis Gaitsgory]]-[[Jacob Lurie]]| |Presents a derived version of the geometric [[Satake equivalence]] and formulates a geometric [[Langlands duality]] for [[quantum group]]s.  The geometric Satake equivalence realized the category of representations of the [[Langlands dual group]] <sup>L</sup>G in terms of spherical [[perverse sheaves]] (or [[D-module]]s) on the affine [[Grassmannian]] Gr<sub>G</sub>=G((t))/G<nowiki>[[t]]</nowiki> of the original group G|
|2008| |[[Bruce Bartlett]]| |Primacy of the point hypothesis: An n-dimensional unitary extended TQFT is completely described by the n-Hilbert space it assigns to a point. This is a reformulation of the [[cobordism hypothesis]]|
|2008| |[[Ieke Moerdijk]]-[[Clemens Berger]]| |Extends and improved the definition of [[Reedy category]] to become invariant under [[equivalence of categories]]|
|2008| |[[Valery Lunts]]-[[Dmitri Orlov]]| |The derived categories of coherent sheaves on quasiprojective varieties have unique [[enhanced triangulated category|dg-enhancements]]|
|2008| |Mike Hopkins-[[Jacob Lurie]]| |
[[On the Classification of Topological Field Theories|Detailed outline of proof of]] [[John Baez|Baez]]-[[James Dolan|Dolan]] [[generalized tangle hypothesis|tangle hypothesis]] and [[John Baez|Baez]]-[[James Dolan|Dolan]] [[cobordism hypothesis]] which classify [[FQFT|extended TQFT]] in all dimensions|

#Unclassifiable by year#
* EGA (Éléments de géométrie algébrique)
* FGA (Fondements de la Géometrie Algébrique)
* SGA (Séminaire de géométrie algébrique)

#Literature#
For more on the history of [[higher category theory]], see:
* John Baez, Aaron Lauda, [A Prehistory of n-Categorical Physics](http://math.ucr.edu/home/baez/history.pdf) (draft version).
* Ross Street, [A Conspectus of Australian Category Theory](http://www.math.mq.edu.au/$\sim$street/Minneapolis.pdf)

and for closely related timeline of homological algebra a comprehensive 40-page article by Weibel contains a wealth of insight (and possibly corrections to some things on this page!)

* Charles Weibel, [A history of homological algebra](http://www.math.rutgers.edu/~weibel/HA-history.dvi)

#References#
$[1]$ On the theory of elimination, Cambridge and Dublin Math. J. 3, 116-120

+-- {: .query}
Rafael: Zoran Škoda, you have to be more precise.
Koszul resolutions of what?
Notion of exactness for what?

Zoran: he does one VERY complex calculation in which he masterly uses constructions involving organizational principles as above, without modern words and general definitions. The article is reproduced in the book Gel'fand, [[Kapranov]], Zelevinsky which is about the current state of the art in similar computations and which can explain more. 
=--

+-- {: .query}
_Rafael Borowiecki_: Me and _Zoran Škoda_ are arguing if to keep this first entry in the timeline. See [[2009 September changes]] 2009-09-04 for the start of the discussion (that could be moved here). I am waiting to hear what others think about it.

_Rafael_: After thinking a bit more about it, it comes down to the same as i wrote above. Koszul resolution of whitch algebra? Is it a particular kind of Koszul algebra for starter? Otherwise the explanation is no real main theorem of the paper. It is not closed. I suppose the exactness would be for the Koszul resolution.

Then, this theorem is by far the most specialized result in the timeline. So i see it as the least important result in the timeline. If it would at least be a theory of determinants of complexes or inspired this theory, it would be worth mentioning, but it's not. There are too many particular cases and results to start to include them, the idea was at least to include the most important events in category theory and the related disciplines.

_Zoran_: I am not talking Koszul algebras of Priddy but the older Koszul resolutions in the subject of [[commutative algebra]]. Of course, Koszul pair of the symmetric vs. exterior algebra is behind the classical Koszul resolutions; but the resolutions are typically, like in Cayley's work, resolutions of modules of finite type over reduced f.g. commutative algebras. Thus take any projective variety and a coherent sheaf on it and you are in the setup of this paper. The paper starts with a notion of resolution in about this setup, then develops Koszul resolutions and calculations with determinants which express the bases of the modules which appear in the resolution. This is very general. Gel'fand, Kapranov, Zelevinsky in their book dedicate chapter 2 (and 3.4) to "Cayley method" and say this about the paper: "The method goes back to the remarkable paper by Cayley [Ca4] on elimination theory, in which the foundations were laid for what is now called homological algebra." But what happened with your too shy question/suggestion to include also Galois ? By the way what does it mean "categorical quantization" in 1978 entry ?
Never heard.

_Rafael_: I am thinking how to include what you wrote above in the Cayley entry. But not right now. Perhaps you can do it better. I am thinking more about if it is right to call it a foundation of homological algebra. In this way one could say that Gauss by Gauss elimination (i think it is the first general method) founded higher dimensional linear algebra. Hmm. I would say that more is needed for a foundation than a calculation. Cayley is doing homological algebra by a general calculation and not developing a new theory. A theory have several interacting definitions and theorems and so on. But i must think more about it.

Categorical quantization means the 1995 (unfortunately empty) Valentin Lychagin entry in the timelie. The idea is that quantization is a functor from the category of integrable Poisson manifolds and symplectomorphisms to the category of separable C$^*$-algebras and $*$-homomorphisms. The object function of the functor is deformation quantization and the morphism function of the functor is geometric quantization. I don't remember the reference but i think it is one of his papers [here](http://www.math.uit.no/seminar/preprints.html).

Well, you did have better motivation than me to include Galois theory. If i write it, it will be one short sentence since i am writing other entries now, so i suggest you write it to show some of its categorical flavour, but not as incomplete as the Cayley entry. I mean leaving questions begging to be answered in the entry.
=--

$[2]$  in his thesis on abelian categories 1962, Bull. Soc. Math. France 

Zoran: No, thesis is 1960. The reprint as a paper is 1962 about which we do have a separate nlab entry which is quoted above with the link hence no need for imprecise footnote heee; Verdier's thesis on triangulated categories has been published in a journal about 30 years after the fact.

$[3]$ "Coherent sheaves on Pn and problems in linear algebra", Funktsional. Anal. I Prilozhen. 12 (3): 68–69

+-- {: .query}
Rafael: Zoran Škoda, Which is the other paper?
You have to be more precise with the names.
Joseph Bernstein? Israel Gel'fand? Gel'fand who?
Lets stick to one year per event.

Zoran: No, Beilinson's work has been published in two papers in separate years; one of the two is written as an accompanying paper to BGG paper (BGG is the abbreviation to search for, BGG resolutions etc; B is Joseph Bernstein of course, G and G are both Gelfands, father and son, Israel Moiseevich and Sergej Israelovich). The references and the work of Beilinson cited and build upon in reference cited in nlab link within above 1990 entry on Bondal-Kapranov. I think that 1980 is too late for attribution to Mebkhout's thesis, which is earlier than Kashiwara's work by 1-2 years. Voevodsky's work is largely built in mid 1990-s (with ideas of his approach starting in late 1980s). 1995 attributes the notion of categorification to Crane; Toen gave a talk that Ehresmann invented and systematically used the notion, but I am not sure if he used the WORD or only the philosophy of it, somebody should check that with French school. One of the major missing points of the list above is that seminal works of Duskin are completely not mentioned, including his pioneering works on higher groupoids and higher torsors in simplicial language; similarly contributions of say Marta Bunge, Dedecker, Getzler... But I am not enthusiastic about pinning history to something as untrue as trying to fit into single years, and would much  rather instead more work on other nlab entries. 

_Toby_:  What is the purpose of the timeline?  If it\'s to know when things were done, not so much when they were published, then we should generally put entries in the earliest appropriate date; I think that this is what John would like to get out of this article.  But if we want to note the publishing date of every paper, then many ideas will be spread out over many dates.  Even if we want to know when ideas came, there may still be a range of dates from first glimmer to final working out.
=--

$4$ Cartan Seminaire writing up sheaf theory in 1948 for the first time

+--{.query}
Zoran: this is [CartanSem 1948-1949](http://www.numdam.org/numdam-bin/feuilleter?id=SHC_1948-1949__1_). I see no sheaf theory explicitly introduced. 

_Rafael_: I don't see anything there, the page is missing. In this case i have a [reference](http://en.wikipedia.org/wiki/Sheaf_theory) i trusted. Where this author have his reference i have no idea.

Zoran: oops one character too long, try [again](http://www.numdam.org/numdam-bin/feuilleter?id=SHC_1948-1949__1_)

_Rafael_: Alas, don't forget i don't know french. When i read the entry i interpret it as it was written on a blackboard. But something as important as this should be in the proceedings. I also know that some concepts such as the Schwartzian derivative are well hidden in their first appearance. I am open to remove entries, so if you know you are right remove it.

Zoran: In fact I believe you are right, that Cartan seminars had sheaves in 1948; thsi is what I recall from my earlier readings, but it is not in the writeup of the seminars as it stands; I do not know what is the reference. Maybe we should look in Serre's FAC paper where he should have quoted earlier papers on sheaf theory.

Zoran: Here is the key! The 1948/9 acad year volume of Cartan seminar has 11 exposes, as on numdam. Weibel in his historical survey says that exposes 12-17 in mimeographed version had sheaf theory and that those exposes were abandoned, hence not published for real later and that Cartan again in 1950/51 a reworked version is published as exposes 14-20 (the latter are at numdam). Now timeline has 3 years as 3 contributions of Cartan 1948, 1950, 1951; at least the latter two for one academic year of the same volume of publications is not sensitive. 

_Rafael_: Yes, this is something to include :) Good detective work. Here is another. Is it necessary that the variety is Noetherian in the Serre-Swan theorem? It don't say so for instance [here](http://info.fuw.edu.pl/~pmh/seminar.html)

_Zoran_ In Serre's paper, says and uses noetherian. In a manuscript book on alg K-theory, Weibel quotes several related conditions, I think one detail is even there not precise, we had short nonconclusive correspondence on that. I should remember and look in my 2 years or so old letters on that. Another issue is 1964 item on sites. As there is a reference (I have a copy) M, Artin, Grothendieck topologies (mimeographed notes), Harvard University, Cambridge, Mass., 1962. than the year should be before 1962. One should compare descent chapters in FGA which are earlier; Grothendieck created descent theory to do it for qcoh sheaves in faithfully flat Grothendieck topology, so my suspicion would be even as early as 1959, but I am not sure; this is just a response without looking.

_Rafael_: After much work i found two references. [Hazevinkel](http://eom.springer.de/S/s085660.htm) which gives 1963. And [Planetmath](http://planetmath.org/encyclopedia/Site.html) suggesting SGA4. Wikipedia gives SGA4 is from 1963-1964 which fits. Even if i am unsure if these are the reference i used in the timeline they all fit.
=--



#Discussion#

###Concerning an update from Wikipedia###

+-- {: .query}

_Rafael_: I have been writing on a new version of this timeline in wikipedia and i can handle the migration to nLab now. Except maby for some formulas. But how do i handle to update most of 1500 links!?

=--

###Concerning the Desire for References###

Rafael: John, if you need references a priority is needed for which references to include first.

[[John Baez|John]]: I would really like to know who first defined (strict) 2-categories, and in precisely what book or paper!  I have a fairly large number of references already, [here](http://math.ucr.edu/home/baez/history.pdf) and in some [other expository papers](http://math.ucr.edu/home/baez/rosetta.pdf).  If I had more time I would transfer a lot of these references to the $n$Lab --- though I see on the $n$Forum that Andrew Stacey wants to improve our facilities for dealing with references, and maybe I should wait for that.   

In general, people will consult this timeline if they want to know when something was done, but such people often also want to know _where_ it was done.  And, no scholar worth his salt would accept a date without any way to check whether it's correct.

Rafael:
The first reference i found was your "An introduction to n-categories" that states that strict 2-categories where first defined by C. Ehresmann in 1965 and by 1962 (page 12). I must have reasoned that since you mention two years and also speak about strict n-categories that were defined in 1965 you must mean that strict 2-categories were defined in 1962, and adopted it in the timeline.

A further search found "A 2-categories companion" - Stephen Lack, where he states that C. Ehresmann defined strict 2-categories in reference 13 which is the 1965 "Categories et structures". I have changed the year in the timeline.

Then i think you are missing one of the big points with the timeline: to find things (mostly explanations) that are hard to find elsewhere. This might not seem hard to experts in category theory but for the rest "nonexperts" it is. I know how much time i have spend on it. For instance first i could not find any definition of a $A_\infty$-category for a long time. Then i found 9 definitions (excluding nLab)! Only 2 of them completely agreed! I had to actually make a table with all the differences to compare them. I think i got it right.


###Concerning the Desire for 'Milestones'###

[[Urs Schreiber|Urs]]: I am very fond of the aim of this entry. I suggest, though (and might start implementing that when I find time), that we try to split, for the reader's convenience, a list of true generally accepted _milestone_ constributions that indicate the big stepts forward, from a a list that rather aims to give a somewhat complete list of all contributions of some relevance.

Rafael: Why not splitting?  The table will grow larger and a split will be necessary soon anyway. I just hope everyone agrees what the milestones are.

: [[John Baez|John]] We won't agree on the milestones, but we can have fun arguing about it.  I think this page here should include _lots_ of developments, with just a little text about each one, so people can find out when things happened.  Another entry, called something like "Milestones in Category Theory and Related Mathematics", could be more selective.  We should not remove information from this big list, but we can copy "milestones" to a shorter list.

: When writing papers it's often nice to refer to the article or book where a concept was first developed.  So, I want to have this information in the $n$Lab eventually.  In particular, if we claim that multiple categories were invented in 1963 by Ehresmann, we should have a reference somewhere to back up this claim.  But maybe that reference should appear in the (not-yet-existent) page on multiple categories.  That will prevent this page from becoming unnecessarily long.

[[David Corfield|David]]: I can see the milestone list being contentious. Anyway far more important to improve this timeline first. We could do with some experts looking it over. I'm sure most would include the effective topos concept much sooner than the quantum topos. I've transported out some of the material for a couple of lengthy entries, e.g., AST. It looks better to have entries of comparable length and with no breaks in the table, e.g., to define cosmoses.

[[John Baez|John]]: I've deleted the entry on 'quantum topos', since in fact most experts are very doubtful that a correct definition has been found for this notion, and they're even uncertain such a notion deserves to exist. Let's stick to concepts that are fairly widely considered to be fruitful.

:Rafael:
I don't mind deleting it. But i am also curious what is wrong with the definition

[[Urs Schreiber|Urs]]: that sounds good. Maybe I was thinking that "timeline of category theory" sounds like it shouldn't contain just every little bit. So maybe if and when we split, is there any majority for keeping this title here for the _short_ list and another title for the long list, maybe _literature list of category theory_ or the like?

[[John Baez|John]]:  Right now I don't feel this timeline contains too much minor stuff.  It mostly just contains stuff that's very important to the history of categories and related math.   I might take out a few things, but mostly I'd feel the need to add things to get a reasonably full timeline.

I might shorten some of the entries though: the longer ones seem to be on topics that Rafael knows more about, so their length doesn't seem proportional to their importance.  I also don't think there need to be 5 entries devoted to my first paper with Jim Dolan!

Someday someone (maybe Andrew Stacey) will create an easy way for us to dump bibliographical information into the $n$Lab, and then maybe we can grow an enormous 'literature list' without doing too much work.  

Rafael: I actually had the idea to collect John's first paper in a separate entry. If i don't find a way to do line breaks a separate page is needed for it. The same goes for pursuing stacks! I am very interesting to hear what you have in mind to add! I would edit more (especially clean up links and style in the timeline) but nLab is too slow for me to edit efficiently.

_Toby_:  See [[Bibliography]] for the beginnings of a literature list.

Jim Stasheff: Is bibtex incompatible with this wiki?
The nice lines separating entries on screen do not print.
It would be better (but too late?) if the person's name was aligned with the first line of the Event.

_Toby_:  Yet another reason for formatting this all as a list, I think.

[[Todd Trimble]]: Can I ask what organizational principles people are using to compile this list? My impression is that huge swaths are being left out (for example, last time I looked I didn't see where monads/triples were introduced, and I didn't see the 1965 Eilenberg-Moore paper). 

I like the idea of a page with a shorter list of major themes in category theory, each of which could have its own timeline page, rather than some huge monolithic entry on a subject so huge and multifarious as category theory. 

[[Rafael Borowiecki]]: It is me who is writing this timeline here and at wikipedia, but i like when other people improve it. I have no real principles except to only include the most important events. The wikipedia timeline have at the beginning an explanation for "related", this is a kind of organizational principle. The wikipedia timeline is much bigger (and contain nLabs version) and i plane to move it to nLab, but you won't be able to see it until four days or so. It might include what you are missing. I also have a list of things to include. Monads are included here in 1958. The 1965 Eilenberg-Moore paper i don't know what it is but i might recognize it when i see/hear about it. Please explain. As well as more that you see is missing.

The size of the timeline is a difficult issue since it is a matter of taste. But lets compare advantages vs. disadvantages. I say it is easier to load and search in one page. But the real problem is to classify the entries. Wikipedia gives a try but there will be entries that are outside it or difficult to classify such as Pursuing stacks, is it category theory or topology or algebraic geometry? An advantage of the split is a classification and hence that the reader can choose which subject he wants to read. Anyway, if the split could be done i still would prefer to have the subtimelines on one page. So far at least, maby i change my mind when each of them is as long as this one here at nLab. 

[[Todd Trimble]]: Thanks, Rafael. It's clear that you've put a great deal of work into this and the one over at wikipedia, and I'm sure this work has been beneficial to you personally. I'll see what I can do to help. 

I wouldn't consider myself a connoisseur of timelines, but the main benefit I would hope to draw from one is a coherent sense of a particular historical development; it seems to me it would be hard for _anyone_ to attain that coherent sense from a timeline of such an intricately branched field as category theory, no matter how skillfully it was compiled. There are just way too many threads going on -- too many _dimensions_ -- to mesh well with the single dimension of time. That of course is why I thought breaking it down into major branches and subbranches would be more useful for most readers, although it may be too late for that now. 

You're absolutely right -- I overlooked the 1958 entry on Godement's 'standard constructions'. The 1965 paper by Eilenberg and (J.C.) Moore is Adjoint functors and triples, Illinois J. Math. 9, 381-395. It gives the very important category of algebras construction (aka Eilenberg-Moore construction) among other things, which led to other studies on monadicity, including for example the Beck conditions and Manes' theorem (1968 or 1969) that compact Hausdorff spaces are monadic over sets. The tie-in between algebraic theories and monads was one of the major developments of the 1960's (as you point out in the 1958 entry, but those points came into fruition after 1958). 

One theme I see little mention of is coherence theorems and their interaction with categorical proof theory -- starting with Lambek's groundbreaking rendition of Gentzen cut elimination in categorical terms. So far I see only the 1963 entry on Mac Lane's Rice Studies paper. (Incidentally, I have a lot of trouble believing that credit is due to Lambek and P.J. Scott for observing that 'fundamental theorem of topology' listed under 1986.) 