Given a field $k$ and two $k$-[[bialgebra]]s $A$ and $B$ with [[Hopf pairing]] $\lt, \gt : A\otimes B\to k$, one defines a left [[Hopf action]] $\blacktriangleright$ of $B$ on $A$ by formulas
$$
b\blacktriangleright a = \sum \lt b, a_{(2)}\gt a_{(1)}= (\lt,\gt \otimes \id)(b\otimes \tau\Delta_A(a))
$$
one forms the __Heisenberg double__ corresponding to these data as the crossed product algebra ("smash product") $A\sharp B$ associated to the Hopf action $\blacktriangleright$. 

For example if $A = S(V)$ is the symmetric (Hopf) algebra on a finite-dimensional vector space $V$, and $B$ its algebraic dual $(S(V))^*\cong \hat{S}(V^*)$, considered as its dual topological Hopf algebra, the result is the [[Weyl algebra]] of [[regular differential operators]], completed with respect to the filtration corresponding to the degree of differential operator. If $B$ is just the finite dual of $S(V)$ which is a usual Hopf algebra, then there is no completion, of course. 

* J.-H. Lu, _On the Drinfeld double and the Heisenberg double of a Hopf algebra_, Duke Math. J. __74__ (1994) 763–776.

In the following paper there is an example showing that the Heisenberg double $A^*\sharp A$ has a structure of a Hopf algebroid over $A^*$; moreover $A^*$ can be replaced by any module algebra over the [[Drinfel'd double]] $D(A)$:  

*  Jiang-Hua Lu, _Hopf algebroids and quantum groupoids_, Int. J. Math. __7__, 1 (1996) pp. 47-70, [q-alg/9505024](http://arxiv.org/abs/q-alg/9505024), [MR95e:16037](http://www.ams.org/mathscinet-getitem?mr=95e:16037), [doi](http://dx.doi.org/10.1142/S0129167X96000050)

An example of an infinite dimensional analogue coming from Lie algebras is treated in 

* S. Meljanac, Z. Škoda, _Lie algebra type noncommutative phase spaces are Hopf algebroids_, [arxiv/1409.8188](http://arxiv.org/abs/1409.8188)

which partly refers to previous paper (which however neglects
the issues related to completions)

* [[Zoran Škoda]], _Heisenberg double versus deformed derivatives_, Int. J. of Modern Physics A __26__, Nos. 27 & 28 (2011) 4845–4854, [arXiv:0909.3769](http://arxiv.org/abs/0909.3769), [doi](http://dx.doi.org/10.1142/S0217751X11054772) 

Miscellaneous articles on Heisenberg doubles

* R.M. Kashaev, _Heisenberg double and the pentagon relation_, St. Petersburg Math. J. 8 (1997) 585–
592 [q-alg/9503005](http://arxiv.org/abs/q-alg/9503005).

* M. Kapranov, _Heisenberg doubles and derived categories_, J. Alg. 202, 712--744 (1998), [q-alg/9701009](http://arxiv.org/abs/q-alg/9701009).

* F. Panaite, _Doubles of (quasi) Hopf algebras and some examples of quantum groupoids and vertex groups related to them_, [math.QA/0101039](http://arxiv.org/abs/math/0101039)

* G. Militaru, _Heisenberg double, pentagon equation, structure and classification of finite-dimensional
Hopf algebras_, J. London Math. Soc. (2) 69 (2004) 44–64 ([doi](http://dx.doi.org/10.1112/S0024610703004897)).

* A.M. Semikhatov, _A Heisenberg double addition to the logarithmic Kazhdan–Lusztig duality_, [arXiv:0905.2215](http://arxiv.org/abs/0905.2215).

* A.M. Semikhatov, _Yetter--Drinfeld structures on Heisenberg doubles and chains_, [arXiv:0908.3105](http://arxiv.org/abs/0908.3105)

* Daniele Rosso, Alistair Savage, _Twisted Heisenberg doubles_, [arxiv/1405.7889](http://arxiv.org/abs/1405.7889)
