This is one of the most influential and comprehensive historical books in "formal" low-dimensional higher category theory:

* John W. Gray, _Formal category theory: adjointness for $2$-categories_. Lecture Notes in Mathematics, Vol. 391. Springer-Verlag, Berlin-New York, 1974. xii+282 pp. doi:[10.1007/BFb0061280](https://doi.org/10.1007/BFb0061280)

The book was supposed to be the first part of a four volume work, but unfortunately later volumes/chapters never appeared. It has some parts of 2- and 3-category theory; including the treatment of the famous [[Gray tensor product]] on 2-Cat. See also [[Gray-category]].

Unfortunately, due to changes in terminology, it is very difficult to read this book nowadays.  Gray uses prefixes such as 'quasi,' 'iso,' and 'weak' to indicate various levels of weakness, but his choice of terminology is not entirely consistent, can be confusing, and is completely different from the standard modern terminology which uses 'lax,' 'oplax,' and 'pseudo' with (mostly) precise and consistent meanings.

The following is a list of some of the definitions given in the book,
along with their modern names and links to nLab entries.

* Section 2

  * _2-category_ (see [[strict 2-category]])
  * _2-functor/$Cat$-functor_ (i.e. [[strict 2-functor]])
  * _Cat-natural transformation_ (see [[enriched functor category]])
  * _Quasi-natural transformation_ ([[lax natural transformation]])
  * [[modification|Modification]]
  * [[2-comma category]]
  * [[double category|Double category]]

* Section 3
  * [[bicategory|Bicategory]]
  * _Pseudo-functor_ ([[lax 2-functor]]), _homomorphic pseudo-functor_
  ([[pseudofunctor]]), _strict pseudo-functor_ (= strict 2-functor -- see [[enriched functor]])

* Section 4

  * $Fun(A,B)$ and $Pseud(A,B)$ (see [[Gray tensor product]])

* Section 6
  * _Adjoint morphisms_ in a 2-category ([[adjunction]])
  * [[Kan extension]] in a 2-category

* Section 7

  * _Transcendental quasi-adjunction_ ([[lax 2-adjunction]])


category: reference

[[!redirects Gray-adjointness-for-2-categories]]