
The term _torsion_ can denote very different concepts:

* In [[algebra]], the [[torsion subgroup]] of a group $G$ is the group of elements of finite order (meaning: elements $g \in G$ such that there is $n \in \mathbb{N}$ such that $g \cdot g \cdot \cdots \cdot g = 1$ (with $n$ factors in the product)); similarly in ring theory an element of a module over a ring is a torsion element if it is annihilated by a nonzero element of the ring. A module is torsion (resp. torsion-free) if all its elements are torsion (resp. not torsion, except for zero). Classes of torsion and torsion-free modules are examples of pairs of classes of objects in [[abelian category|abelian categories]] which make a so-called [[torsion theory]] (introduced by Dickson), which is one of the approaches to the [[localization]] of abelian categories.

  For torsion in this sensee see also _[[torsion module]]_, _[[torsion approximation]]_.

* In differential geometry of [[curve]]s, the [[torsion of a curve]] is a measure for how the curve tends to spirals out of the plane spanned by its [[tangent vector]] and the first [[derivative]] of that.

* In [[differential geometry]], the [[torsion of a metric connection]] on a [[tangent bundle]] is a measure for how the [[covariant derivative]] differs from the [[Lie bracket]]. 

  More generally for [[Cartan connections]] there is [[torsion of a Cartan connection]]. This expresses the [[obstruction]] to [[integrability of G-structures]].

* There is an invariant in [[homotopy theory]] called [[Reidemeister torsion]]; it is related to [[Whitehead torsion]] used in [[surgery theory]]; it is a topological invariant of a manifold which is a sort of nonabelian class, nowadays understood to relate to things like quantum dilogarithm, scissors congruences and geometry of hyperbolic 3-manifolds. Index theory relates in Riemannian geometry, Reidemeister torsion to the [[analytic torsion|analytic]] or [[Ray-Singer torsion]], more recently studied also by Witten by means of Feynman integral methods. 


Usually there is no risk of confusion, since these terms are used in very different areas of mathematics. _Except_ maybe for the following situation:

* when a $U(1)$-[[gerbe]] on a manifold $X$ is used as the background field of a [[sigma-model]] for [[conformal field theory]], its curvature 3-form characterizes the torsion -- in the differential geometric sense -- of a connection induced on the tangent space of $X$ from the coresponding [[2-spectral triple]]. At the same time, it is of interest whether the [[characteristic class]] of the gerbe, which is an element in $H^3(X, \mathbb{Z})$ is a torsion element in the sense of group theory. Authors in this area will often say sentences like "The gerbe is torsion." which may sound ambiguous for this reason. But if the author knows what a gerbe is, he or she almost surely means the group-theoretic sense.


category: disambiguation
