[[Alexander Grothendieck]] wrote in 1955 a revolutionary article on [[homological algebra]], which was, after almost 3 years in redaction, published in 1957 in Tôhoku Mathematical Journal:

* A. GROTHENDIECK, Sur quelques points d'algèbre homologique, Tôhoku Math. J. vol 9, n.2, 3, 1957, The [Tohoku university](http://www.tohoku.ac.jp/english/), Sendai, Japan; [MR21♯1328](http://www.ams.org/mathscinet-getitem?mr=0102537). Project Euclid open access pdf scans of the French original: [part 1](http://projecteuclid.org/euclid.tmj/1178244839),
[part 2](http://projecteuclid.org/euclid.tmj/1178244774). Russian translation as a separate booklet (Izdatel'stvo inostrannoj literatury, Biblioteka Sbornika Matematika, Moskva 1961): [free djvu scan](http://ncatlab.org/nlab/files/GrotendikTohoku.djvu). Michael Barr's English translation: [pdf](http://www.math.mcgill.ca/barr/papers/gk.pdf) ([review](http://inference-review.com/article/tohoku) by [[Rick Jardine]])

In _Tohoku_, as it is nowadays called, Grothendieck observes that [[modules]] over [[rings]], and [[sheaves]] of [[abelian groups]] have similar behaviour and that one can develop their [[homological algebra]] in a unified way; this includes the axiomatics of what is for the first time called [[abelian category|abelian categories]]. Essentially, they were defined in an earlier paper by Buchsbaum as "exact categories", with different motivation

* D. A. BUCHSBAUM, Exact categories and duality, Trans. Amer. Math. Soc.8 (1955), 1--34 (MR74407)

[[Saunders MacLane]] had rudiments of the definition of abelian category, around 1950, but it was a bit different and less invariant notion (and under a different name "bicategory"). The Tohoku paper also introduces the new weaker notion of an _[[additive category]]_ (in which he also postulates the existence of finite products), as well as some additional axioms (including AB5) to abelian categories ensuring existence of sufficiently many injective objects, what is now called a [[Grothendieck category]]. See _[[additive and abelian categories]]_ for more.

The Tohoku paper is the place where the notion of an [[equivalence of categories]] is introduced for the first time. In fact the definition in question is a definition of an [[adjoint equivalence]] (unit and counit isomorphisms and the corresponding triangle identities are a part of the definition). This was predating just a little bit Kan's introduction of [[adjoint functors]] in general. 

Grothendieck defined universal (co)homological functors and studied special properties of [[resolutions]], including showing that the [[Godement resolution]] of sheaves is really an [[injective resolution]]. There is also a section on [[sheaf cohomology]] of spaces with [[group]] [[action]]. In sheaf theory part of _Tohoku_, Grothendieck partly continues in spirit of his work from Kansas

* A. GROTHENDIECK, A general theory of fibre spaces with structure sheaf, University of Kansas 1955.

During his work on the Tohoku article in Kansas, Grothendieck did not have access to the manuscript of the 1956 book of Cartan-Eilenberg, about which he heard from his correspondence with [[Serre]]. Thus some of the constructions are overlapping with Cartan-Eilenberg, while being independent. 

One of the most important discoveries in _Tohoku_ is the [[spectral sequence]] for the [[derived functor]] of the composition of two functors (the _[[Grothendieck spectral sequence]]_, which is now more naturally treated in terms of [[triangulated categories]] which Grothendieck invented later with [[Verdier]]).

Chapters:

1. Généralités sur les catégories abéliennes
1. Algebre homologique dans les catégories abéliennes
1. Cohomologie à coefficients dans un faisceau
1. Les Ext de faisceaux de modules
1. Étude cohomologique des espaces a opérateurs

category: reference