
Given a [[set]] $X$ and an element $a$ of $X$, the __singleton__ $\{a\}$ is that [[subset]] of $X$ whose only element is $a$.  Strictly speaking, we are considering here a __singleton subset__; we could also consider a __singleton list__ or __$1$-tuple__ $(a)$, but this is an equivalent concept.

Here, $\{a\}$ is [[subobject classifier|classified]] by the characteristic map $c: X \to \Omega$ (where $\Omega$ is the set of [[truth value]]s) given by
$$ c(b) = (a = b) .$$
As an [[injection]] to $X$, $\{a\}$ is precisely the same map $1 \to X$ as $a$ itself is as a [[generalized element]] of $X$; the same goes for the $1$-tuple $(a)$ as a map from $[1]$.  One can take this to justify the common abuse of notation (as it would normally be considered) in which $\{a\}$ or $(a)$ is written as $a$ when no confusion can result.

Note that the set of all singletons of elements of $X$ is [[bijection|isomorphic]] to $X$ itself.  In this way, the entire concept can be seen as a triviality.

A [[subset]] of a singleton is called a _[[subsingleton]]_.  In [[classical mathematics]] (using the [[principle of excluded middle]]), the only subsingletons are the singletons and the [[empty subset]], but in [[constructive mathematics]], this is an important concept.

Everything above can be generalised from the [[Set|category of sets]] to any [[topos]].


[[!redirects singleton]]
[[!redirects singletons]]

[[!redirects singleton set]]
[[!redirects singleton sets]]
[[!redirects one-element set]]
[[!redirects one-element sets]]
[[!redirects 1-element set]]
[[!redirects 1-element sets]]

[[!redirects singleton subset]]
[[!redirects singleton subsets]]
[[!redirects one-element subset]]
[[!redirects one-element subsets]]
[[!redirects 1-element subset]]
[[!redirects 1-element subsets]]

[[!redirects singleton list]]
[[!redirects singleton lists]]
[[!redirects one-tuple]]
[[!redirects one-tuples]]
[[!redirects 1-tuple]]
[[!redirects 1-tuples]]
