
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Topos Theory
+-- {: .hide}
[[!include topos theory - contents]]
=--
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
#### Higher geometry
+--{: .hide}
[[!include higher geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Definition

### In terms of differential operators

A _D-module_ (introduced by [[Mikio Sato]]) is a [[abelian sheaf|sheaf]] of [[modules]] over the [[sheaf]] $D_X$ of [[regular differential operators]] on a 'variety' $X$ (the latter notion depends on whether we work over a [[scheme]], [[manifold]], analytic complex manifold etc.), which is quasicoherent as $O_X$-module. As $O_X$ is a subsheaf of $D_X$ consisting of the zeroth-order differential operators (multiplications by the sections of structure sheaf), every $D_X$-module is an $O_X$-module.  Moreover, the (quasi)coherence of $D_X$-modules implies the (quasi)coherence of a $D_X$-module regarded as an $O_X$-module (but not vice versa). 

### In terms of sheaves on the deRham space

The category of $\mathcal{D}$-modules on a smooth scheme $X$ may equivalently be identified with the category of [[quasicoherent sheaf|quasicoherent sheaves]] on its [[deRham space]] $dR(X)$ (in non-smooth case one needs to work in derived setting, with de Rham stack instead). 

([Lurie, above theorem 0.4](#LurieCrystal), [Gaitsgory-Rozenblyum 11, 2.1.1](#GaitsgoryRozenblyum11))


Remembering, from this discussion there, that 

* the deRham space is the decategorification of the [[infinitesimal shape modality|infinitesimal path groupoid]] $\Pi_{inf}(X)$ of $X$;

* a quasicoherent sheaf on $dR(X)$ is a generalization of a [[vector bundle]] on $X$;

* a vector bundle with a flat [[connection on a bundle|connection]] is an [[equivariant cohomology|equivariant]] vector bundle on the infinitesimal path $\infty$-groupoid $\Pi^{inf}$ of $X$

this shows pretty manifestly how D-modules are "sheaves of modules with flat connection", as described more below.


## Meaning and usage

$D$-modules are useful as a means of applying the methods of [[homological algebra]] and [[Categories and Sheaves|sheaf theory]] to the study of analytic systems of partial differential equations.

Insofar as an $O$-module on a [[ringed site]] $(X, O)$ can be interpreted as a generalization of the [[sheaf]] of sections of a vector bundle on $X$, a D$-$module can be interpreted as a generalization of the [[sheaf]] of sections of a vector bundle on $X$ _with flat [[connection]]_ $\nabla$.  The idea is that the action of the differential operation given by a vector field $v$ on $X$ on a section $\sigma$ of the sheaf (over some patch $U$) is to be thought of as the covariant derivative $\sigma \mapsto \nabla_v \sigma$ with respect to the flat connection $\nabla$. 

In fact when $X$ is a complex analytic manifold, any $D_X$-module which is coherent as $O_X$-module is isomorphic to the sheaf of sections of some holomorphic vector bundle with flat connection. Furthermore, the subcategory of nonsingular $D_X$-modules coherent as $D_X$-modules is equivalent to the category of [[local systems]].

If $X$ is a variety over a field of positive characteristic $p$, the terms "$O_X$-coherent coherent $D_X$-module" and "vector bundle with flat connection" are not interchangeable, since $D_X$  no longer is the enveloping algebra of $O_X$ and $\text{Der}_X(O_X,O_X)$. A theorem by Katz states that for smooth $X$ the category of $O_X$-coherent $D_X$-modules is equivalent to the category with objects sequences $(E_0, E_1,\ldots)$ of locally free $O_X$-modules together with $O_X$-isomorphisms $\sigma_i: E_i\rightarrow F^* E_{i+1}$, where $F$ is the Frobenius endomorphism of $X$.

+-- {: .query}

[[John Baez]]: it would be nice to have a little more explanation about how not every $D$-module that is coherent as an $O$-module is coherent as a $D$-module.  If I understand correctly, this may be the same question as how not every holomorphic vector bundle with flat connection is a local system.  Perhaps the answer can be found under [[local system]]?  Apparently not.  Perhaps the point is that not every flat connection on a holomorphic vector bundle is locally holomorphically trivializable?  If so, this is different than how it works in the $C^\infty$ category, which might explain my puzzlement.

=--

## Properties

### Six operations yoga
 {#SixOperationsYoga}

Discussion of [[six operations yoga]] for pull-push of ([[coherent D-module|coherent]], [[holonomic D-module|holonomic]]) D-modules is in ([Bernstein, around p. 18](#Bernstein)). This is  reviewed for instance in ([Etingof](#Etingof), [Ben-Zvi & Nadler 09](#BenZviNadler09)).

### Relation to geometric representation theory
 {#RelationToGeometricRepresentationTheory}

For the moment see at _[[Harish Chandra transform]]_.



## Related concepts

* [[coherent D-module]], [[holonomic D-module]]

* [[arithmetic D-module]]

* [[linear differential equation]]

* [[D-geometry]]

* [[D-scheme]]

* [[D-algebra]]


* [[crystalline cohomology]]

* [[Weyl algebra]], [[regular differential operator]], [[local system]], [[differential bimodule]], [[Grothendieck connection]], [[crystal]], [[algebraic analysis]]. 

* [[Hecke category]], [[Harish Chandra transform]]

## References 

A comprehensive account is in chapter 2 of

* [[Alexander Beilinson]] and [[Vladimir Drinfeld]], chapter 2 of _[[Chiral Algebras]]_

* [[Armand Borel]] et al., _Algebraic D-modules_, Perspectives in Mathematics, Academic Press, 1987 ([djvu](http://www.math.columbia.edu/~scautis/dmodules/boreletal.djvu))

* R. Hotta, K. Takeuchi, T. Tanisaki, _D-modules, perverse sheaves, and representation theory_, Progress in Mathematics __236__, Birkhäuser ([pdf](http://www.math.columbia.edu/~scautis/dmodules/hottaetal.pdf))

Discussion in [[derived algebraic geometry]] is in

* {#GaitsgoryRozenblyum11} [[Dennis Gaitsgory]], [[Nick Rozenblyum]], _Crystals and D-modules_,  Pure and Applied Mathematics Quarterly Volume 10 (2014) Number 1 ([arXiv:1111.2087](http://arxiv.org/abs/1111.2087), [publisher](http://www.intlpress.com/site/pub/pages/journals/items/pamq/content/vols/0010/0001/a002/index.html))

Lecture notes include

* {#LurieCrystal} [[Jacob Lurie]], _Notes on crystals and algebraic $\mathcal{D}$-modules_ (<a href="http://www.math.harvard.edu/~gaitsgde/grad_2009/SeminarNotes/Nov17-19(Crystals).pdf">pdf</a>)


* S. C. Coutinho, _A primer of algebraic D-modules_, London Math. Soc. Stud. Texts, 33, Cambridge University Press, Cambridge, 1995. xii+207 pp.

* {#Bernstein} [[Joseph Bernstein]], _Algebraic theory of D-modules_ ([[BernsteinDModule.pdf:file]], [ps](http://www.math.uchicago.edu/~mitya/langlands/Bernstein/Bernstein-dmod.ps), [dvi](http://www.math.uchicago.edu/~mitya/langlands/Bernstein/Bernstein-dmod.dvi))

* Peter Schneiders' [notes](http://www.analg.ulg.ac.be/jps/rec/idm.pdf), 

* Dragan Mili&#269;i&#263;'s [notes](http://www.math.utah.edu/~milicic/Eprints/dmodules.pdf), , [Localization and representation theory of reductive Lie groups](http://www.math.utah.edu/~milicic/Eprints/book.pdf); 

* [[Victor Ginzburg]]'s 1998 Chicago notes [pdf](http://www.math.harvard.edu/~gaitsgde/grad_2009/Ginzburg.pdf); A. 

* Braverman-T. Chmutova, _Lectures on algebraic D-modules_, [pdf](http://www.math.harvard.edu/~gaitsgde/grad_2009/Dmod_brav.pdf)

* R. Bezrukavnikov, MIT course notes, [pdf](http://www.math.harvard.edu/~gaitsgde/grad_2009/bezr_notes.pdf)

* Notes in Gaitsgory's seminar [pdf](http://www.math.harvard.edu/~gaitsgde/grad_2009/SeminarNotes/Nov17-19%28Crystals%29.pdf)
* A. [[Beilinson|Beĭlinson]], J. Bernstein, _A proof of Jantzen's conjectures_, I. M. Gelʹfand Seminar,  1--50, Adv. Soviet Math., 16, Part 1, Amer. Math. Soc. 1993, [pdf](http://www.math.harvard.edu/~gaitsgde/grad_2009/BB%20-%20Jantzen.pdf)



See also

* {#Saito89} [[Morihiko Saito]], _Induced D-modules and differential complexes_, Bull. Soc. Math. France 117 (1989), 361–387, [pdf](http://smf4.emath.fr/Publications/Bulletin/117/pdf/smf_bull_117_361-387.pdf)

* D. Gieseker, _Flat vector bundles and the fundamental group in non-zero characteristics_,  Ann. Scuola Norm. Sup. Pisa Cl. Sci. (4)  2  (1975), no. 1, 1--31. 


* J.-E. Björk, _Rings of differential operators_, North-Holland Math. Library 21. North-Holland Publ. 1979. xvii+374 pp. 

* [[Masaki Kashiwara|M. Kashiwara]], W.Schmid, _Quasi-equivariant D-modules, equivariant derived category, and representations of reductive Lie groups_, Lie Theory and Geometry, in Honor of Bertram Kostant, Progress in Mathematics, Birkhäuser, 1994, pp. 457–488

* [[M. Kashiwara]], _D-modules and representation theory of Lie groups_, 
Annales de l'institut Fourier, 43 no. 5 (1993), p. 1597-1618, [article](http://aif.cedram.org/item?id=AIF_1993__43_5_1597_0), [MR95b:22033](http://www.ams.org/mathscinet-getitem?mr=95b:22033)

* P. Maisonobe, C. Sabbah, _D-modules cohérents et holonomes_, Travaux en cours, Hermann, Paris 1993. (collection of lecture notes)

* [[Donu Arapura]], _Notes on D-modules and connection with Hodge theory_, [pdf](http://www.math.purdue.edu/~dvb/preprints/dmod.pdf)

* Nero Budur, _On the V-filtration of D-modules_, [math.AG/0409123](http://arxiv.org/abs/math/0409123), in "Geometric methods in algebra and number theory" Proc. 2003 conf. Univ. of Miami, edited by F. Bogomolov, Yu. Tschinkel 

Review of [[six operations yoga]] for D-modules is in

* {#Etingof} [[Pavel Etingof]], _Formalism of six functors on all (coherent) D-modules_ ([pdf](http://www-math.mit.edu/~etingof/dmodfactsheet.pdf))

* {#BenZviNadler09} [[David Ben-Zvi]], [[David Nadler]], section 3 of _The Character Theory of a Complex Group_ ([arXiv:0904.1247](http://arxiv.org/abs/0904.1247))

See also

* A. Beilinson, I. N. Bernstein, _A proof of Jantzen conjecture_, Adv. in Soviet Math. 16, Part 1 (1993), 1-50. MR95a:22022


## Blog discussion

* Secret Blogging Seminar [Musings on D-modules](http://sbseminar.wordpress.com/2007/07/07/musings-on-d-modules/), [Musings on D-modules, part 2](http://sbseminar.wordpress.com/2007/07/14/musings-on-d-modules-part-2/)

* The Everything Seminar [D-module Basics I](http://cornellmath.wordpress.com/2007/09/06/d-module-basics-i/), [D-Module Basics II](http://cornellmath.wordpress.com/2007/09/09/d-module-basics-ii/).


[[!redirects D-modules]]

[[!redirects twisted D-module]]
[[!redirects twisted D-modules]]