+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context ###
#### Higher category theory
+-- {: .hide}
[[!include higher category theory - contents]]
=--
=--
=--

A _$(-1)$-category_ is a [[truth value]]. Compare the concept of [[0-category]] (a [[set]]) and [[(−2)-category]] (which is trivial). The point of $(-1)$-categories (a kind of [[negative thinking]]) is that they complete some patterns in the [[periodic table]] of $n$-categories. (They also shed light on the theory of [[homotopy group]]s and [[n-stuff]].)

For example, there should be a $0$-category of $(-1)$-categories; this is the set of truth values, classically
$$
  (-1)Cat := \{true, false\}
  \,.
$$
Similarly, $(-2)$-categories form a $(-1)$-category (specifically, the true one).

If we equip the category of $(-1)$-categories with the monoidal structure of [[logical conjunction|conjunction]] (the logical AND operation), then a [[enriched category|category enriched]] over this is a [[partial order|poset]]; an enriched groupoid is a [[set]]. Notice that this doesn\'t fit the proper patterns of the [[periodic table]]; we see that $(-1)$-categories work better as either $0$-[[0-poset|poset]]s or as $(-1)$-[[(-1)-groupoid|groupoid]]s. Nevertheless, there is no better alternative for the term ‘$(-1)$-category'.

For an introduction to $(-1)$-categories and $(-2)$-[[(-2)-category|categories]] see [page 11](http://arxiv.org/PS_cache/math/pdf/0608/0608420v2.pdf#page=11) and [page 34](http://arxiv.org/PS_cache/math/pdf/0608/0608420v2.pdf#page=34) of 

* John C. Baez, Michael Shulman, _[[Lectures on n-Categories and Cohomology]]_ ([arXiv](http://arxiv.org/abs/math.CT/0608420)).

$(-1)$-categories and $(-2)$-categories were discovered (or invented) by [[James Dolan]] and [[Toby Bartels]]. To witness these concepts in the process of being discovered, read the discussion here:

* John Baez, Toby Bartels, David Corfield and James Dolan, 
[Property, structure and stuff](http://math.ucr.edu/home/baez/qg-spring2004/discussion.html).  See also [[stuff, structure, property]] for more on that material.


[[!redirects (-1)-category]]
[[!redirects (-1)-categories]]
[[!redirects (−1)-category]]
[[!redirects (−1)-categories]]
