
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Category theory
+-- {: .hide}
[[!include category theory - contents]]
=--
#### Notions of subcategory
+-- {: .hide}
[[!include notions of subcategory]]
=--
=--
=--


#Contents#
* table of contents
{:toc}


## Definition

A [[full subcategory]] $T$ of an [[abelian category]] $A$ is __topologizing__ if

* it is closed with respect to finite [[coproduct]]s (taken in $A$)

* with any object, it contains all its [[subquotient]]s in $A$

In particular, it is nonempty: it contains a [[zero object]] (which equals to the coproduct of the [[empty set]] of objects). 

A topologizing subcategory is a [[thick subcategory]] *in strong sense* if it is also closed under [[extension]]s. 


The terminology topologizing subcategory is (probably) coming from the related notion of a [[topologizing filter]] from the localization theory of rings. 

## Properties

The classes of topologizing subcategories, [[reflective subcategory|reflective]] topologizing  subcategories and [[coreflective subcategory|coreflective]] topologizing subcategories are closed under [[Gabriel multiplication]] defined on the class of full subcategories of $A$. Given a (not necessarily unital) ring $R$, any reflective topologizing subcategory of $R$-$\mathrm{Mod}$ is coreflective.


## Related concepts

Related entries include [[defining ideal of a topologizing subcategory]], [[neighborhood of a topologizing subcategory]], [[Gabriel multiplication]], [[thick subcategory]], [[Serre subcategory]], [[local abelian category]], [[differential monad]], [[localization of an abelian category]].

## References

* A. L. [[Alexander Rosenberg|Rosenberg]], _Noncommutative algebraic geometry and representations of quantized algebras_, MIA __330__, Kluwer Academic Publishers Group, Dordrecht, 1995. xii+315 pp. ISBN: 0-7923-3575-9

* V. A. Lunts, A. L. Rosenberg, _Differential calculus in noncommutative algebraic geometry I. D-calculus on noncommutative rings_, MPI 1996-53 [pdf](http://www.mpim-bonn.mpg.de/preblob/3894)

[[!redirects topologizing subcategories]]