
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Notions of subcategory
+-- {: .hide}
[[!include notions of subcategory]]
=--
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
=--
=--

#Thick subcategories and Serre quotient categories#
* table of contents
{:toc}

## Definition

A [[full subcategory|full]] [[triangulated subcategory]] is __thick__ (or __&#233;paisse__) if it is closed under [[extension]]s. 

Sometimes the same definition is used in [[abelian categories]] as well. However, for many authors, including [[Pierre Gabriel]], in abelian categories, this term denotes the stronger notion of a [[topologizing subcategory]] closed under extensions; in other words, a nonempty full subcategory $T$ of an abelian category $A$ is  __thick__ (in the strong sense) iff  for every exact sequence 
$$
0 \longrightarrow M\longrightarrow M''\longrightarrow M'\longrightarrow 0
$$
in $A$, the object $M''$ is in $T$ iff $M$ and $M'$ are in $T$.

For some authors the thick subcategory (strong version) is called a _[[Serre subcategory]]_ (in a weak sense), the term which we reserve for (generally) a stronger notion. 

For any subcategory of an [[abelian category]] $A$ one denotes by $\bar{T}$ the full subcategory of $A$ generated by all objects $N$ for which any (nonzero) [[subquotient]] of $N$ in $T$
has a (nonzero) [[subobject]] from $T$. This becomes an idempotent operation on the class of subcategories of $A$ where $T\subset \bar{T}$ iff $T$ is [[topologizing subcategory|topologizing]].
Moreover $\bar{T}$ is always thick in the stronger sense.
[[Serre subcategory|Serre subcategories]] in the strong sense are those (nonempty) subcategories which are stable under the operation $T\mapsto\bar{T}$.

## Serre quotient category

Following the extensions of an early work of Serre by Grothendieck and Gabriel, for a thick subcategory $T$ in an [[abelian category]] $A$, one defines the (Serre) quotient category $A/T$ as the one having the same [[objects]] as $A$ and [[hom-sets]] given by

$$
  (A/T)(X,Y) := colim A(X',Y/Y')
$$

where the [[colimit]] runs through all [[subobjects]] $X'\subset X$, $Y'\subset Y$ such that $X/X' \in Ob A$, $Y'\in Ob A$. The quotient functor $Q \colon A\to A/T$ is obvious. 

Notice that the set of morphisms is indeed [[small set|small]], so that the Serre quotient category exists as a [[locally small category]]. On the other hand, one can construct an equivalent [[localization]] by the Gabriel-Zisman  localizing at the class $\Sigma$ of all morphisms
whose kernel and cokernel are in $T$. Although 
$\Sigma$ admits the [[calculus of fractions]], 
this method does not guarantee the existence in general. 

### Localizing subcategories

A thick subcategory (here always in the strong sense) is said to be [[localizing subcategory|localizing]] if $T$ is thick and the canonical functor $Q$ admits a right adjoint $A/T\to A$, often called the __section functor__. In other words $A/T$ is a reflective subcategory of $A$. Every coreflective thick subcategory $T$ admits a section functor, and the converse holds if $A$ has injective envelopes. A thick subcategory $T\subset A$ is a coreflective iff $(T,F)$ is a [[torsion theory]] where

$$
F := \{X\in Ob A\,|\,A(T,X) = 0\}
$$

## Thick subcategories and saturation

Recall that a class $\Sigma$ of morphisms with category of fractions $\mathcal{C}_\Sigma$ is called _saturated_ if $\Sigma$ coincides with the class of morphisms inverted by the canonical functor $\mathcal{C}\to \mathcal{C}_\Sigma$.

Let $A$ be an abelian category, $T$ be a thick subcategory in the strong sense and let $\Sigma_T$ be the class of morphisms in $A$ such that their kernel and cokernel are in $T$. Then $\Sigma_T$ has a right and a left calculus of fractions and is saturated for the canonical functor $p:A\to A/T$. Furthermore, $p$ maps to zero objects precisely the objects in $T$.

Conversely, let $\Sigma$ be a saturated class of morphisms of $A$ with a calculus of fractions on the right and on the left. Then the full subcategory on the objects that are mapped to zero by the canonical $p:A\to A_\Sigma$ is thick. In other words, there is a bijection between thick subcategories in the strong sense and saturated classes of morphisms with a calculus of fractions on the right and on the left.

(For this material see [Schubert 1970](#Schubert70b), pp.105-107).

## Related concepts

* [[thick subcategory theorem]]

## Link

* Springer eom: [localization of categories](http://eom.springer.de/l/l060290.htm)

## References

* [[Pierre Gabriel]], _Des cat&#233;gories ab&#233;liennes_, Bulletin de la Soci&#233;t&#233; Math&#233;matique de France, 90 (1962), p. 323-448 ([numdam](http://www.numdam.org/item?id=BSMF_1962__90__323_0))

* [[Jacob Lurie]], _[[Chromatic Homotopy Theory]]_, lecture 26, _Thick subcategories_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture26.pdf))

* [[A. L. Rosenberg]], _Noncommutative algebraic geometry and representations of quantized algebras_, MIA __330__, Kluwer Academic Publishers Group, Dordrecht, 1995. xii+315 pp. ISBN: 0-7923-3575-9 

* {#Schubert70b} H. Schubert, _Kategorien II_ , Springer Heidelberg 1970.

[[!redirects thick subcategories]]
[[!redirects epaisse subcategory]]
[[!redirects epaisse subcategories]]
[[!redirects épaisse subcategory]]
[[!redirects épaisse subcategories]]
[[!redirects Serre quotient category]]

[[!redirects thick ideal]]
[[!redirects thick ideals]]
