
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Homological algebra
+--{: .hide}
[[!include homological algebra - contents]]
=--
#### Notions of subcategory
+-- {: .hide}
[[!include notions of subcategory]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Definition

A (nonempty) [[full subcategory]] $T$ of an [[abelian category]] $A$ (so  for the moment of (say left) modules over a [[ring]] $R$) is a __Serre subcategory__ if for any [[exact sequence]]
$$
0\to M\to M'\to M''\to 0
$$
$M'$ is in $T$ iff $M$ and $M''$ are in $T$. 


##Terminology
 
This notion in general is called a [[thick subcategory]] in Gabriel's thesis, [[Des Catégories Abéliennes]]. The terminology is a minefield as there are variants that occur in the literature, see [[thick subcategory]], and also the [Stack's Project section on this](http://stacks.math.columbia.edu/tag/02MN). Some of these variants are mentioned below.

##Serre quotient

Following Serre, one then defines the category $A/T$ whose objects are the objects of $A$ and where the morphisms in $A/T$ are defined by 
$$\mathrm{Hom}_{A/T}(X,Y) := \mathrm{colim}\, \mathrm{Hom}_A(X',Y/Y'),$$
where the colimit is over all $X',Y'$ in $A$ such that $Y'$ and $X/X'$ are in $T$. The quotient category $A/T$ is abelian.

Very often the same definition of Serre subcategory is used in an arbitrary abelian category $A$ (we will say in that case __weakly Serre subcategory__); but in fact, at least when the abelian category is not a [[Grothendieck category]], it is more appropriate to ask for an additional condition in the definition of Serre subcategory, so that the standard theorems on correspondences with other canonical data in localization theory remain valid.

To this aim, for any subcategory of an arbitrary abelian category $A$ one denotes by $\bar{T}$ the [[full subcategory]] of $A$ generated by all objects $N$ for which any (nonzero) [[subquotient]] of $N$ in $T$
has a (nonzero) [[subobject]] from $T$.  This becomes an idempotent operation on the class of subcategories of $A$ with $T\subset \bar{T}$ iff $T$ is [[topologizing subcategory|topologizing]].
Moreover $\bar{T}$ is always [[thick subcategory|thick]] in the stronger sense (that is, thick and topologizing). 

__Serre subcategories in the strong sense__ are those nonempty full subcategories which are stable under the operation $T\mapsto\bar{T}$.

[[!redirects Serre subcategories]]