## Definition

A __Gabriel filter__ $G$ is a [[uniform filter]] of left ideals in a [[ring]] $R$ which is [[idempotent]] under [[Gabriel composition of filters]]. 

## Terminology

In our definition this notion is equivalent to [[topologizing filter]]; though for some authors the latter notion slightly differs. Stenstroem 
says Gabriel topology instead of Gabriel filter, because all Gabriel filters form a basis of nieghborhoods of $0$ for a topology on $R$. 

## Properties

If $L$ and $L'$ are left ideals in a Gabriel filter $F$, then the set $L L'$ (of all products $l l'$ where $l\in L, l'\in L'$) is an element on $F$. Any uniform filter $F$ is contained in a minimal Gabriel filter $G$ (said to be *generated by $F$*), namely the intersection of all Gabriel filters containing $F$. Given a Gabriel filter $G$, the class of all $G$-[[torsion]] modules (see [[uniform filter]]) is a hereditary torsion class. 

## Literature

* [[Pierre Gabriel]], _[[Des catégories abéliennes]]_
* Bo Stenstroem, _Rings of quotients_, Springer 1975.
* Z. Škoda, _Noncommutative localization in noncommutative geometry_, London Math. Society Lecture Note Series __330__, ed. A. Ranicki; pp. 220–313, [math.QA/0403276](http://arxiv.org/abs/math.QA/0403276).
