
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Arithmetic geometry
+--{: .hide}
[[!include arithmetic geometry - contents]]
=--
#### Algebra
+-- {: .hide}
[[!include higher algebra - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

For $p$ a [[prime number]], the [[field]] of _complex $p$-adic numbers_ $\mathbb{C}_p$ is to the [[p-adic numbers]] $\mathbb{Q}_p$ as the [[complex numbers]] $\mathbb{C}$  are to the [[real numbers]].

## Definition

First observe that the ordinary [[complex numbers]] $\mathbb{C}$ may be characterized as follows:

the standard [[absolute value]] ([[norm]]) on the [[rational numbers]] $\mathbb{Q}$ uniquely extends to an [[algebraic closure]] $\bar \mathbb{Q}$, and the [[complete field|completion]] is the complex numbers.

In direct analogy with this:

for $p$ a [[prime number]] and $\mathbb{Q}_p$ the corresponding [[non-archimedean field]] of [[p-adic rational numbers]], then the [[complete field|completion]] of any [[algebraic closure]] $\bar \mathbb{Q}_p$ is the field of complex $p$-adic numbers $\mathbb{C}_p$. 

Notice that the completion of the algebraic closure of a [[normed field]] is still algebraically closed ([Bosch-Guntzer-Remmert 84, prop. 3.4.1.3](#BoschGuntzerRemmert84)). See also at _[normed field -- relation to algebraic closure](http://ncatlab.org/nlab/show/normed+field#RelationToAlgebraicClosure)_.

## References

* L. C. Washington, _Introduction to Cyclotomic Fields_, Springer-Verlag, New York.

* PlanetMath, _[complex p-adic numbers](http://planetmath.org/complexpadicnumbers)_

* {#BoschGuntzerRemmert84} S. Bosch, U. Guntzer, and R. Remmert, _Non-Archimedean analysis_, Grundlehren der Mathematischen Wissenschaften, vol. 261, Springer-Verlag, Berlin, 1984.

[[!redirects p-adic complex numbers]]

[[!redirects complex p-adic number]]
[[!redirects complex p-adic numbers]]