+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Homological algebra
+--{: .hide}
[[!include homological algebra - contents]]
=--
#### Stable Homotopy theory
+-- {: .hide}
[[!include stable homotopy theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

_Pretriangulated dg-categories_ over a [[commutative ring]] $k$ are, roughly speaking, [[dg-categories]] whose [[homotopy category of a dg-category|homotopy category]] is canonically [[triangulated category|triangulated]].  These form a model for [[stable (∞,1)-category|stable]] [[k-linear (∞,1)-categories]], in a sense which is made precise below (at least in [[characteristic zero]]).  In other words pretriangulated dg-categories can be viewed as [[enhanced triangulated categories]].  For this reason some authors call them _stable dg-categories_.

## History

The notion of pretriangulated dg-category goes back to [(Bondal-Kapranov 1990)](#BondalKapranov90).

[[Goncalo Tabuada]] demonstrated the existence of a [[model structure]] on the category of small [[dg-categories]], the [[quasi-equiconic model structure on dg-categories]], where the [[fibrant objects]] are the pretriangulated dg-categories.  See [(Tabuada 07, Theorem 2.2 and Proposition 2.10)](#Tabuada07).  This model structure can be [[left Bousfield localization|Bousfield localized]] to the [[Morita model structure on dg-categories]], where the [[fibrant objects]] are the [[idempotent complete (infinity,1)-category|idempotent complete]] pretriangulated dg-categories.  In [(Cohn 13)](#Cohn13) it is shown that the associated [[(infinity,1)-category]] is equivalent to the [[(infinity,1)-category]] of [[stable (infinity,1)-category|stable]] [[k-linear (∞,1)-categories]].

## Definitions

### Pretriangulated dg-categories

Let $A$ be a [[dg-category]] and $P(A)$ the dg-category of [[dg-presheaves]] or right [[dg-modules]] over $A$.  The [[Yoneda embedding]] induces a [[fully faithful functor]] $h : ho(A) \hookrightarrow ho(P(A))$ on the [[homotopy category of a dg-category|homotopy categories]].  The category $ho(P(A))$ has a canonical [[triangulated structure]] (which can be written down directly).

+-- {: .un_defn}
###### Definition
The dg-category $A$ is called **pretriangulated** if the functor $h$ is stable under the [[suspension functor]] (and its [[loop space functor|inverse]]), and under taking [[mapping cones]] in $ho(P(A))$.
=--

+-- {: .un_prop}
###### Proposition
A dg-category $A$ is pretriangulated if and only if it is a [[fibrant object]] in the [[quasi-equiconic model structure on dg-categories]].
=--

See [(Tabuada 07, Proposition 2.10)](#Tabuada07).

### Strongly pretriangulated dg-categories

Let $A$ be a [[dg-category]].

+-- {: .un_defn}
###### Definition
The **$n$-translation** of an object $X \in A$ is an object $X[n] \in A$ representing the functor
  $$ \Hom(\cdot, X)[n]. $$
The **cone** of a closed morphism $f : X \to Y$ of degree zero is an object $\Cone(f) \in A$ representing the functor
  $$ \Cone(\Hom(\cdot, X) \stackrel{f_*}{\to} \Hom(\cdot, Y)), $$
which is a [[mapping cone]] in [[category of chain complexes|chain complexes]].
=--

+-- {: .un_defn}
###### Definition
The dg-category $A$ is called **strongly pretriangulated** if it admits a [[zero object]], all translations of all objects, and all cones of all morphisms.
=--

+-- {: .un_defn}
###### Definition
Let $A$ be a dg-category.  A **strongly pretriangulated envelope** of $A$ is the data of a strongly pretriangulated dg-category $tri(A)$ and a [[fully faithful]] functor $A \hookrightarrow tri(A)$ such that any functor $u: A \to B$ to a strongly pretriangulated dg-category $B$ factors uniquely through a functor $tri(A) \to B$.
=--

A strongly pretriangulated envelope $A \hookrightarrow tri(A)$ always exists, and may be constructed by taking $tri(A)$ to be the full dg-subcategory of $P(A)$ spanned by the objects of the [[full subcategory|full]] [[triangulated subcategory]] of $ho(P(A))$ generated by the [[representable presheaves]], and $A \hookrightarrow tri(A)$ to be the functor induced by the Yoneda embedding.  There is also another construction using twisted complexes, see [Bondal-Kapranov](#BondalKapranov90).

Now we have the following characterization of pretriangulated dg-categories.

+-- {: .num_prop}
###### Proposition
Let $A$ be a dg-category and $A \hookrightarrow tri(A)$ be a strongly pretriangulated envelope of $A$.
$A$ is pretriangulated if and only if the induced fully faithful functor $ho(A) \hookrightarrow ho(tri(A))$ is [[essentially surjective]] (and hence an [[equivalence of categories]]).
=--

As an immediate corollary, note that for a pretriangulated dg-category $A$, its [[homotopy category of a dg-category|homotopy category]] $ho(A)$ inherits a canonical triangulated structure.

## Properties

+-- {: .num_prop}
###### Proposition
Let $u : A \to B$ be a functor between two dg-categories.  If $A$ and $B$ are pretriangulated then the induced functor $ho(u): ho(A) \to ho(B)$ is [[triangulated functor|triangulated]].  Further, $u$ is a [[quasi-equivalence of dg-categories|quasi-equivalence]] if and only if $ho(u)$ is a triangulated equivalence.
=--

## Applications

The use of pretriangulated dg-categories as [[enhanced triangulated categories]] has been especially successful in the study of the various [[triangulated categories of sheaves]] on [[algebraic varieties]].

In the below paper it is shown that the triangulated categories of [[quasicoherent sheaf|quasicoherent sheaves]] on quasiprojective varieties and some of their cousins (like categories of perfect complexes on quasiprojective varieties) have unique dg-enhancements. [[Fernando Muro]] has developed an obstruction theory for the existance and measuring non-uniqueness of dg-enhancements in more general settings (unpublished).

* [[Valery Lunts|V. A. Lunts]], [[Dmitri Orlov|D. O. Orlov]], _Uniqueness of enhancement for triangulated categories_, J. Amer. Math. Soc. __23__ (2010), 853-908, [journal](http://www.ams.org/journals/jams/2010-23-03/S0894-0347-10-00664-8/home.html), [arXiv:0908.4187](http://arxiv.org/abs/0908.4187).

* [[Valery Lunts]], Olaf M. Schnuerer, _New enhancements of derived categories of coherent sheaves and applications_, 2014, [arXiv](http://arxiv.org/abs/1406.7559).

Similarly, pretriangulated dg-categories have proven to give a good model for [[derived noncommutative algebraic geometry]] in the sense of [[Maxim Kontsevich]].  See there for relevant references.  In this connection see also the work of [[Goncalo Tabuada]] who has developed a theory of [[noncommutative motives]] in this framework.

## Related concepts

* [[triangulated category]]

* [[enhanced triangulated category]]

* [[stable derivator]]

* [[stable (∞,1)-category]]

## References

* {#BondalKapranov90} [[Alexei Bondal]], [[Mikhail Kapranov]], _Enhanced triangulated categories_, Матем. Сборник, Том 181 (1990), No.5, 669–683 (Russian); transl. in USSR Math. USSR Sbornik, vol. 70 (1991), No. 1, pp. 93–107, (MR91g:18010) ([[bondalKaprEnhTRiangCat.pdf:file]])

The [[model structure]] presenting pretriangulated dg-categories is discussed in

* {#Tabuada07} [[Goncalo Tabuada]], _Theorie homotopique des DG-categories_, Ph.D. thesis, Universite Denis Diderot - Paris 7, [arXiv:0710.4303](http://arxiv.org/abs/0710.4303).

See also paragraph 2.3 of

* [[Dmitri Orlov]], _Smooth and proper noncommutative schemes and gluing of DG categories_, [arXiv:1402.7364](http://arxiv.org/abs/1402.7364).

For a summary of the various [[model structures on dg-categories]], see Section 2 of the paper

* {#CisinskiTabuada11} [[Denis-Charles Cisinski]], [[Goncalo Tabuada]], _Non-connective K-theory via universal invariants_, Compositio Math. 147 (2011), 1281-1320, [arXiv:0903.3717](http://arxiv.org/abs/0903.3717), [pdf](http://www.math.univ-toulouse.fr/~dcisinsk/Non-connective-K-theory.pdf).

The relation to [[stable (infinity,1)-categories]] is discussed in

* {#Cohn13} [[Lee Cohn]], _Differential Graded Categories are k-linear Stable Infinity Categories_ ([arXiv:1308.2587](http://arxiv.org/abs/1308.2587))

[[!redirects pretriangulated dg-categories]]
[[!redirects strongly pretriangulated dg-category]]
[[!redirects strongly pretriangulated dg-categories]]
[[!redirects pre-triangulated dg-category]]
[[!redirects pre-triangulated dg-categories]]
[[!redirects stable dg-category]]
[[!redirects stable dg-categories]]