
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Model category theory
+--{: .hide}
[[!include model category theory - contents]]
=--
#### Enriched category theory
+--{: .hide}
[[!include enriched category theory contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

An _enriched model category_ is an [[enriched category]] $C$ together with the structure of a [[model category]] on the [underlying category](http://ncatlab.org/nlab/show/enriched+category#BaseChange) $C_0$ such that both structures are compatible in a reasonable way.


## Definition

Let $V$ be a [[monoidal model category]].

A **$V$-enriched model category** is

* an V-[[enriched category]] $C$

  * which is [[powering|powered]] and [[tensoring|copowered]] over $V$;

* with the structure of a [[model category]] on the [underlying category](enriched+category#BaseChange) $C_0$

* such that 

  * for every cofibration $i \colon A \to B$ in $V_0$ and every fibration $p \colon X \to Y$ in $C_0$ the [[pullback powering]] morphism (dual to the [[pushout product]]) with respect to the powering in $V$ 

    $$
      C(B,X) \stackrel{(i^* , p_*)}{\to} C(A,X) \times_{C(A,Y)} C(B,Y)
    $$ 

    is a fibration with respect to the model structure on $V$;

  * and is an [[acyclic fibration]] whenever $i$ or $p$ are acyclic.

The last two conditions here are equivalent to the fact that the [[copower]]

$$
  \otimes : C \times V \to C
$$

is a [[Quillen bifunctor]].

## Properties

### Change of enrichment

(...)


## Examples

* The most familiar examples of enriched model categories are [[simplicial model category|simplicial model categories]].

* For a [[pointed category|pointed]] model category or even [[stable model category]] there is enrichment in [[pointed]] simplicial sets with the [[smash product]] as tensor product.

## Related concepts

* The concept can be generalized to [[enriched homotopical category]].

## References

* [[Bertrand Guillou]], [[Peter May]], _Enriched model categories and diagram categories_ ([arXiv:1110.3567](http://arxiv.org/abs/1110.3567))

[[!redirects enriched model categories]]

[[!redirects enriched model structure]]
[[!redirects enriched model structures]]