
André Joyal is a Canadian mathematician, a professor at Université du Québec à Montréal. 

His wide mathematical work, is mainly in [[category theory]], [[topos theory]] and abstract [[homotopy theory]]. His works include a wide generalization of [[Galois theory]] with [[Myles Tierney]], the combinatorial ideas of "Joyal's [[species]]", discovery of the category structure on the collection of Conway combinatorial [[game theory|games]], the discovery of Kripke-Joyal semantics, a series of works (mainly with [[Ross Street]]) about (braided, tortile etc.) [[monoidal category|monoidal categories]] prompted partly by methods and motivation in theoretical physics, much of his work for about last 30 years centered on developing the theory of [[quasicategory|quasicategories]], after the first ideas of Boardman and Vogt. In the 1980s Joyal invented a Quillen [[model category]] [[model structure for quasi-categories|structure on the category of simplicial sets]] (and [[model structure on simplicial presheaves|categories of simplicial presheaves]]). Joyal and J. Kock more recently proved [[Simpson's conjecture]] (on higher categories via weak units) in categorical dimension 3. 

Joyal  promoted [[quasi-categories]], greatly extending their theory, as a basis for [[(∞,1)-category theory]].

Joyal has contributed to the $n$Lab as 'joyal'; he is also beginning a new project at [[joyalscatlab:HomePage|joyalscatlab]].

[webpage](http://www.professeurs.uqam.ca/pages/joyal.andre.htm), [wikipedia](http://en.wikipedia.org/wiki/Andr%C3%A9_Joyal)

* A. Joyal, M. Tierney, _An extension of the Galois theory of Grothendieck_,  Mem. Amer. Math. Soc.  __51__  (1984),  no. 309, vii+71 pp. (historical $n$lab note: according to MR756176 (86d:18002) featured review by [[Peter Johnstone]], the main results of this monograph were obtained by the authors around 1978-1979, typed version circulated from 1982, and the results influenced the field much before the actual publication)

* A. Joyal, _Quasi-categories and Kan complexes_, (in Special volume celebrating the 70th birthday of Prof. Max Kelly) J. Pure Appl. Algebra  __175__ (2002),  no. 1-3, 207--222 ([doi](http://dx.doi.org/10.1016/S0022-4049%2802%2900135-4)).

* A. Joyal, M. Tierney, _Quasi-categories vs Segal spaces_, Categories in algebra, geometry and mathematical physics,  277--326, Contemp. Math. __431__, Amer. Math. Soc., Providence, RI, 2007. [math.AT/0607820](http://arxiv.org/abs/math.AT/0607820).

* A. Joyal, M. Tierney, _On the theory of path groupoids_,  J. Pure Appl. Algebra __149__  (2000),  no. 1, 69--100, [doi](http://dx.doi.org/10.1016/S0022-4049%2898%2900164-9)

* A. Joyal, R. Street, _Pullbacks equivalent to pseudopullbacks_, Cahiers topologie et géométrie différentielle catégoriques 34 (1993) 153-156; [numdam](http://www.numdam.org/item?id=CTGDC_1993__34_2_153_0) MR94a:18004.

* A. Joyal, M. Tierney, _Strong stacks and classifying spaces_,  Category theory (Como, 1990),  213--236, Lecture Notes in Math. __1488__, Springer 1991. 

* A. Joyal, [[Ross Street|R. Street]], _An introduction to Tannaka duality and quantum groups_,  Category theory (Como, 1990),  413--492, Lecture Notes in Math. __1488__, Springer 1991 ([pdf](http://www.math.mq.edu.au/~street/CT90Como.pdf)).

* A. Joyal, R. Street, _The geometry of tensor calculus I_,  Adv. Math.  __88__(1991),  no. 1, 55--112, [doi](http://dx.doi.org/10.1016/0001-8708%2891%2990003-P); _Tortile Yang-Baxter operators in tensor categories_,  J. Pure Appl. Algebra  __71__  (1991),  no. 1, 43--51, [doi](http://dx.doi.org/10.1016/0022-4049%2891%2990039-5); _Braided tensor categories_, Adv. Math. __102__ (1993),  no. 1, 20--78, [doi](http://dx.doi.org/10.1006/aima.1993.1055).

* A. Joyal, R. Street, _Braided monoidal categories_, Macquarie Math Reports 860081 (1986) [pdf](http://www.maths.mq.edu.au/~street/JS1.pdf); Macquarie Math Reports 850067 (1985) [pdf](http://www.math.mq.edu.au/~street/BMC850067.pdf).

* A. Joyal, R. Street, D. Verity, _Traced monoidal categories_.  Math. Proc. Cambridge Philos. Soc.  __119__  (1996),  no. 3, 447--468. 

* A. Joyal, [[Ieke Moerdijk|I. Moerdijk]], _Algebraic set theory_. London Mathematical Society Lecture Note Series __220__. Cambridge Univ. Press 1995. viii+123 pp. ISBN: 0-521-55830-1

* A. Joyal, _The theory of quasi-categories and its applications_, lectures at CRM Barcelona February 2008, draft [hc2.pdf](http://www.crm.cat/HigherCategories/hc2.pdf) and [pdf](http://mat.uab.cat/~kock/crm/hocat/advanced-course/Quadern45-2.pdf) at backup location

* A Joyal, _Notes on quasicategories_, ([draft](http://www.math.uchicago.edu/~may/IMA/Joyal.pdf))

* A. Joyal, M. Tierney, _Notes on simplicial homotopy theory_, CRM Barcelona, Jan 2008 [pdf](http://www.crm.cat/HigherCategories/tierney.pdf), [backup pdf](http://mat.uab.cat/~kock/crm/hocat/advanced-course/Quadern47.pdf)

* A. Joyal, Letter to [[Alexander Grothendieck]], 11.4.1984, [[lettrejoyal.pdf:file]].

* A. Joyal, _Disks, duality and $\Theta$-categories_, preprint (1997)  (contains an original definition of a weak $n$-category: for a short account see Leinster's [book](http://arxiv.org/abs/math.CT/0305049), 10.2). 

* A. Joyal, _Remarques sur la théorie des jeux à deux personnes_, Gazette des
Sciences Mathematiques du Québec 1(4):46–52, 1977; Robin Houston's rough translation [ps](http://www.ma.man.ac.uk/~rhouston/Joyal-games.ps)
* André Joyal, _Free lattices, communication and money games_, in: Logic and
scientific methods. Volume one of the proceedings of the tenth international
congress of logic, methodology and philosophy of science, Florence, Italy, Synth.
Libr. 259, pages 29–68. Dordrecht: Kluwer Academic Publishers, 1997.

category: people

[[!redirects André Joyal]]
[[!redirects A. Joyal]]
[[!redirects Joyal]]
[[!redirects André]]
[[!redirects Andre]]