

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--

[[higher geometry]] $\leftarrow$ [[Isbell duality]] $\to$ **higher algebra**

***


#Contents#
* table of contents
{:toc}

## Idea

The notion of _higher algebra_ or _[[homotopical algebra]]_ refers to generalizations of [[algebra]] in the context of [[homotopy theory]] and more general of [[higher category theory]].

### General

Ordinary [[algebra]] concerns itself in particular with structures such as [[associative algebra]]s, which are [[monoid]]s [[internalization|internal to]] [[monoidal category|monoidal categories]]:

* a [[monoid]] [[internalization|internal to]] [[Set]] is just an ordinary [[monoid]];

* a [[monoid]] [[internalization|internal to]] [[Ab]], the category of abelian groups, is a [[ring]];

* a [[monoid]] [[internalization|internal to]] [[Vect]] is an ordinary algebra: a vector space equipped with a linear binary associative product with unit;

* a [[monoid]] in a [[category of chain complexes]] is a [[differential graded algebra]];


etc.

Of course, there are other aspects to algebra such as those resulting from non-associative theories such as Lie algebras and there are many aspects such as questions within Galois theory, and representation theory for which the above is too limited a view, but for the moment let it stand.

**Higher algebra** (or **[[homotopical algebra]]**) is similarly, but  in particular, the study of monoids internal to [[infinity-category|higher categories]].

A central motivating example for - or special case of the study of higher algebra was

* monoids internal to the [[stable (infinity,1)-category of spectra]] -- called [[commutative ring spectrum|commutative ring spectra]]

The "higher algebra" embodied by [[commutative ring spectrum|commutative ring spectra]] has been called **[[brave new algebra]]** by F. Waldhausen.

More generally, [[algebra]] is partially about [[algebraic theories]], about [[monads]] and about [[operads]]. All these have higher analogs in higher algebra.


###  Other aspects of higher algebra?

The parts of algebra that we set aside at the end of the *idea* are not outside the  possible range of higher algebra, they just have not yet been that developed and it is not always clear in what directions they most naturally 'should' be developed. To take an example, [[Lie infinity-algebroid]] is clearly a higher algebraic analogue of a Lie algebra, and is a 'multi-object' one as well. Questions in representation theory are often phrased in terms of monoidal categories, and their higher algebraic analogues have new structural facets that look very interesting and useful. Finally Galois theory naturally falls into the context of Grothendieck's extensive work both on higher stacks but also the Grothendieck-Teichmuller theory. Here the theory is awaiting clear indications what higher Galois theory might mean.

## Concepts


### Monads, algebraic theories, operads

* [[algebraic theory]] / [[2-algebraic theory]] / [[(∞,1)-algebraic theory]]

* [[monad]] / [[2-monad]]/[[doctrine]] / [[(∞,1)-monad]]

* [[operad]] / [[(∞,1)-operad]]


### Algebras and modules

* [[algebra over a monad]]

  [[∞-algebra over an (∞,1)-monad]] 

* [[algebra over an algebraic theory]] 

  [[∞-algebra over an (∞,1)-algebraic theory]]

  * [[homotopy T-algebra]] / [[model structure on simplicial T-algebras]]

* [[algebra over an operad]] 

   [[∞-algebra over an (∞,1)-operad]]

   * [[model structure on algebras over an operad]]



### Monoidal $(\infty,1)$-Categories

* [[monoidal category]]

  * [[monoid]]

  * [[algebra]]


* [[monoidal (∞,1)-category]]

* [[algebra in an (∞,1)-category]]


### The monoidal structure on stable homotopy theory 

* [[stable homotopy theory]]

  * [[stable (infinity,1)-category of spectra]]

  * [[stable homotopy category]]

* [[smash product of spectra]]

  * [[symmetric monoidal smash product of spectra]]


### Symmetric monoidal $(\infty,1)$-categories and commutative algebra 

* [[symmetric monoidal (infinity,1)-category]]

* [[commutative algebra in an (infinity,1)-category]]

* examples

  * [[stable (infinity,1)-category of spectra]]

  * [[symmetric monoidal (infinity,1)-category of presentable (infinity,1)-categories]]

### Commutative ring spectra 

* [[stable (infinity,1)-category of spectra]]

  * [[spectrum]]

  * [[spectrum object]]

* [[associative ring spectrum]]

  * [[A-infinity ring]]

* [[commutative ring spectrum]]

  * [[E-infinity ring]]

### Symmetric monoidal model categories 

* [[model category]]

* [[monoidal model category]]

## Related concepts

* [[higher linear algebra]]

[[!include Isbell duality - table]]


## References

A comprehensive development of the theory is in

* [[Jacob Lurie]], _[[Higher Algebra]]_

  * _[[Commutative Algebra]]_

  * _[[Noncommutative Algebra]]_

  * _[[Deformation Theory]]_



See also 

* [[Anthony Elmendorf]], [[Igor Kriz]], [[Michael Mandell]], [[Peter May]], _Rings, modules and algebras in stable homotopy theory_, Mathematical surveys and monographs 47, American Mathematical Society, 1997



