
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
#### Higher linear algebra
+-- {: .hide}
[[!include homotopy - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea


An __$E_\infty$-ring__ is a [[commutative monoid in an (∞,1)-category|commutative monoid]] in the [[stable (∞,1)-category of spectra]], an [[E-∞ algebra]] in [[spectra]]. This is (up to equivalence) also called a _[[highly structured ring spectrum]]_.

This means that an $E_\infty$-ring is an [[A-∞ ring]] that is commutative up to [[coherence|coherent]] [[higher homotopies]]. $E_\infty$-rings are the analogue in [[higher algebra]] of the [[commutative rings]] in ordinary [[algebra]].

In terms of [[model categories]], and $E_\infty$-rings may be modeled as ordinary [[commutative monoids]] with respect to the [[symmetric monoidal smash product of spectra]] -- [[highly structured ring spectra]], a fact sometimes referred to as "[[brave new algebra]]".
For details see _[[Introduction to Stable homotopy theory]]_, _[[Introduction to Stable homotopy theory -- 1-2|Part 1-2 -- Structured spectra]]_.

## Properties

### Postnikov tower

The [[Postnikov tower in an (∞,1)-category|Postnikov tower]] of a [[connective E-infinity-ring]] is a sequence of [[square-zero extensions]] ([Lurie, section 8.4](#Lurie)).


## Examples

* The [[sphere spectrum]] $\mathbb{S}$ becomes an $E_\infty$-ring via the canonical maps $S^{n_1} \wedge S^{n_2} \stackrel{\simeq}{\longrightarrow} S^{n_1 + n_2}$. As such the sphere spectrum is [[generalized the|the]] [[initial object]] in $E_\infty$-rings.

* Given any [[∞-group]], there is its [[∞-group ∞-ring]].


## Related concepts

* [[ring spectrum]], [[functor with smash products]]

* [[symmetric ring spectrum]]

* [[model structure for ring spectra]]

* [[Hopf E-infinity ring]]

* [[∞-group of units]]

* [[logarithmic cohomology operation]]

* [[étale morphism of E-∞ rings]]

* [[higher algebra]]

* [[E-∞ arithmetic geometry]]

[[!include k-monoidal table]]


## References

The theory is laid out in 

* [[Peter May]] with contributions by [[Frank Quinn]], Nigel Ray and Jorgen Tornehave, _$E_\infty$-Ring spaces and $E_\infty$ ring spectra_ ([pdf](http://www.math.uchicago.edu/~may/BOOKS/e_infty.pdf))

* {#Lurie} [[Jacob Lurie]], _[[Higher Algebra]]_

For survey see also

* [[Moritz Groth]], _A short course on infinity-categories_, [pdf](http://www.math.ru.nl/~mgroth/preprints/groth_scinfinity.pdf).

Discussion of a  [[Blakers-Massey theorem]] for $E_\infty$-rings is in 

* Michael Ching, [[John Harper]], _Higher homotopy excision and Blakers-Massey theorems for structured ring spectra_ ([arXiv:1402.4775](http://arxiv.org/abs/1402.4775))


In [[K(n)-local stable homotopy theory]]:

* [[Michael Hopkins]], _$K(1)$-local $E_\infty$-Ring spectra_ ([pdf](http://www.math.rochester.edu/people/faculty/doug/otherpapers/knlocal.pdf))

See also 

* [[Benoit Fresse]], _The Bar Complex of an E-infinity algebra_ ([pdf](http://math.univ-lille1.fr/~fresse/Bar-StructureUniqueness.pdf))

* [[Birgit Richter]], [[Brooke Shipley]], _An algebraic model for commutative HZ-algebras_, [arXiv:1411.7238](http://arxiv.org/abs/1411.7238).

[[!redirects E-∞ ring]]
[[!redirects E-infinity ring]]
[[!redirects E-∞-ring]]
[[!redirects E-infinity-rings]]
[[!redirects E-∞ rings]]
[[!redirects E-infinity rings]]
[[!redirects E-∞-rings]]

[[!redirects E-∞ ring spectrum]]
[[!redirects E-∞ ring spectra]]

[[!redirects E-infinity ring spectrum]]
[[!redirects E-infinity ring spectra]]

