
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Contents### {: .clickToReveal}
###Contents### {: .clickToHide tabindex="0"}
+--{: .hide}
[[!include contents]]
=--
=--
=--

#Contents#
* automatic table of contents
{:toc}

#History#

The [[HomePage|nLab]] is a _collaborative [wiki](http://en.wikipedia.org/wiki/Wiki)_.  It grew out of the desire ([I](http://golem.ph.utexas.edu/category/2007/09/towards_a_higherdimensional_wi.html), [II](http://golem.ph.utexas.edu/category/2008/11/beyond_the_blog.html)) to have a place for development (the "Lab" in “$n$Lab”) and indexed archives of the ideas and concepts surrounding the discussions at the [The $n$-Category Café](http://golem.ph.utexas.edu/category/).  These discussions primarily are about [[mathematics]], [[physics]] and [[philosophy]] from the perspective of [[category theory]] and [[higher category theory]] (the “$n$” in “$n$Lab” and [[nPOV]]).

The $n$Lab was [created](http://golem.ph.utexas.edu/category/2008/11/nlab.html) in November 2008 using software provided and set up by [[Jacques Distler]].  The name “$n$Lab” (short for “$n$-Category Lab”, but perhaps less restrictive) was dreamt up by Lisa Raphals ([[John Baez]]'s wife).

The $n$Lab itself spun off the [$n$-Forum](http://www.math.ntnu.no/~stacey/Mathforge/nForum/) for discussion about the $n$Lab that doesn\'t fit well here.

#What the $n$Lab is#

The most apt analogy for the $n$Lab is of a **group lab book**.  A lab book for a research scientist is a place where they write down anything that they consider relevant for their work; a group lab book is one that several researchers with common interests use.  The material recorded in a lab book can include:

* Notes from seminars
* Notes from papers and books
* Summaries of known work
* Observations and results from experiments
* Ideas for future work

Apart from not having actual physical experiments, this matches the content of the $n$Lab fairly well.  The key difference between the $n$Lab and an "ordinary" lab book is that it is public.  By making it public we hope to achieve two things:

1. To enable others to benefit from our work while it is still being done.
2. To benefit from the work of others while we are doing it.

There is much more to a research project than that which appears in the final paper and we believe that since our results and our final proofs will be public, then both we and those who might read such a paper can benefit from beginning the interaction much earlier in its development.

Thus by making our lab book public, we hope that casual passers-by will stop, read, and scribble something on it that will help us do our research.

There are three things to say about this that are worth making very clear.

1. Our reasons for having the $n$Lab are ultimately selfish.  We have set it up and run it to make it easier to our research.
2. But to make it _work_ properly in public, we need to make it attractive to others so that they will stop by, read our jottings, and scribble something of their own.
3. We aim to achieve a system whereby those who put most in are also those who get most out.

#Who Are We?#

The $n$Lab is not a community project set up for the education and improvement of Humanity.  It originally grew out of the [The $n$-Category Café](http://golem.ph.utexas.edu/category/) and the loose-knit community surrounding that blog.  It is not possible to give a precise description of who is in that community, and the community involved in the $n$Lab has itself evolved from that starting point.  Moreover, even if it were possible to describe that community we would not wish to.  We are not a closed group, we are always keen for others to join us.  The two simple rules are:

1. To join, you need to be willing to interact with the group and material already present, from the [[n-point of view]].  Specifically: is there something already on the $n$Lab that you are interested in and is there someone already working in the $n$Lab that you would like to talk to about it?
2. We will ask you to leave if what you are doing has little connection with what the rest of the group is doing and if it is interfering with others trying to do their work. This is of course unpleasant, since most people who come to contribute do so with honorable intentions. To help minimize possible areas of friction, it may help to read [[writing in the nLab]]. 

#In Practice?#

The way that this is being worked out in practice is as follows.  Currently it seems that common motivations for contributing to the $n$Lab are 

 * to **assemble information** on [[mathematics]], [[physics]] and [[philosophy]] in a modern unified way, from the perspective of [[higher category theory]];

* to **provide exposition** of this information which is useful to a wide range of readers of differing expertise;

 * to jointly **develop ideas** and research on applying higher categorical concepts and tools to issues in [[mathematics]], [[physics]] and [[philosophy]].

To some extent this involves

* collecting in principle "well known" definitions and facts in an encyclopaedic fashion, to the extent that these are not readily available, or not in the desired form, for instance on [Wikipedia](http://en.wikipedia.org/wiki/Main_Page). Depending on the enthusiasm of those who decide to contribute, this _could_ eventually develop into something like a modern version of a [Bourbaki](http://en.wikipedia.org/wiki/Bourbaki)-like project. The potential for this is conceivably there, but of course this is an ambitious idea. Time will show if the $n$Lab can live up to this goal.

But on top of this encyclopaedic function, and hopefully in parallel to that, the $n$Lab is 

* intended as providing a _laboratory_ for collaborative development of ideas -- for research. Within the community out of which the $n$Lab grew exists the feeling that there is considerable potential for the fruitful application and development of categorical and higher categorical concepts and tools to various areas in [[mathematics]], [[physics]] and [[philosophy]]. Several contributors to the $n$Lab are actively involved in research along these lines.
The $n$Lab is meant as a place to collect, develop and present such research.


These points together imply that

* on the $n$Lab we do not hesitate to provide non-traditional perspectives, definitions and explanations of terms and phenomena if we feel that these are the _right_ perspectives, definitions and explanations from a modern unified higher categorical perspective;

* at the same time we want to indicate clearly which part of an entry is traditional common material, which is a modern but widely-accepted reformulation and which is genuinely the result of original research by a contributor or by several contributors;

* we will intersperse possibly controversial but always constructive **discussion** into entries if we feel the need. While in general the [$n$-Category Café](http://golem.ph.utexas.edu/category) is where we have chat and discussion and the $n$Lab is where we compile material, few entries on the $n$Lab are or can be meant as representing a final truth. The $n$Lab will be the better the more we discuss its contents. For more on how to inject discussion into entries see the [[HowTo]] page.


##What the $n$Lab is not

Most importantly the $n$Lab is 

* **not complete** and **not meant to be complete**. Neither its general structure nor each single entry are meant to be optimal in their current state. Many existing entries, possibly all of them, deserve to be and are meant to be eventually improved and expanded on. 
Many entries are [stubs](http://en.wikipedia.org/wiki/Wikipedia:Stub)!

**If you find yourself annoyed by the state any given entry is in**, for whatever reason, please feel encouraged to edit it in order to improve the situation. 

**Notice**: an entry being in a pitiful state is usually more a sign of nobody having spared the time and energy to work on it, than of our joint incompetence to write a decent entry if we were being paid for doing it. So if you find your eyebrows raised by some entry, don't turn away to be the next one _not_ to work on it. Instead, improve it. We all do this voluntarily. We all have other duties to look after. So don't be annoyed with "us", help us.

So if you feel existing material needs to be changed, you can do so. If you feel further material needs to be added, different perspectives need to be amplified, you can add a new paragraph, headed by a suitable headline. **Be bold**: The $n$Lab will be the better the more people decide to contribute to it.

See the [[HowTo]] page for information on how to contribute to the $n$Lab and edit and/or create its entries.

#Organization of the $n$Lab#

* see [[organization of the nLab]]

# Technology and Support

The site is running a [fork](https://github.com/ncatlab/nlab) of [[Jacques Distler]]'s [Instiki](http://golem.ph.utexas.edu/instiki/show/HomePage).

The physical server running the nLab lives at [Carnegie Mellon University](http://www.cmu.edu), and is supported by the [[homotopy type theory]] MURI award FA9550-15-1-0053 from the United States Air Force Office of Scientific Research.  Any opinions, findings and conclusions or recommendations expressed on the nLab are those of the authors and do not necessarily reflect the views of the AFOSR.

category: meta