
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Equality and Equivalence
+-- {: .hide}
[[!include equality and equivalence - contents]]
=--
=--
=--

# Identity elements
* table of contents
{: toc}

## Definitions

Given an operation ([[function]]) $*\colon X \times Y \to Y$, an element $e$ of $X$ is called a __left identity__ for $*$ if $e * a = a$ for every element $a$ of $Y$.  That is, the map $Y \to Y$ given by $e * -$ is the [[identity function]] on $Y$.

If $*\colon Y \times X \to Y$, then there is a similar concept of __right identity__.

If $*\colon X \times X \to X$, then $e$ is a __two-sided identity__, or simply __identity__, if it is both a left and right identity.


## Related notions

Historically, identity elements (as above) came first, then [[identity functions]], and then [[identity morphisms]].  These are all the same basic idea, however: an identity morphism is an identity element for the operation of [[composition]].

An identity is sometimes called a __[[unit]]__ (although that term also has a broader meaning, and an operation that has an identity element is called __unital__ or __unitary__.  In particular, a [[magma]] whose underlying operation $*\colon X \times X \to X$ has an identity is called a __[[unital magma]]__ or a __unitary magma__.

Similarly, a __unit law__ is the statement that a given operation has an identity element.  In [[higher category theory]], we generalise from the [[property]] of uniticity/unitality to the [[structure]] of a [[unitor]].


## Related concepts

* [[associativity]]

* [[unitization]]

* [[identity type]] 

* [[unit]] 

* [[equivalence]]


[[!redirects identity element]]
[[!redirects identity elements]]

[[!redirects unital operation]]
[[!redirects unital operations]]
[[!redirects unitary operation]]
[[!redirects unitary operations]]


[[!redirects unit law]]
[[!redirects unit laws]]
[[!redirects uniticity]]
[[!redirects unitality]]

[[!redirects unital]]

[[!redirects identity operation]]
[[!redirects identity operations]]

