+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### $(\infty,1)$-Category theory
+--{: .hide}
[[!include quasi-category theory contents]]
=--
=--
=--



#Contents#
* automatic table of contents goes here
{:toc}

## Idea

The _homotopy coherent nerve_ (also called _simplicial nerve_) of a [[simplicially enriched category]] is a [[simplicial set]] which includes information about all the higher homotopies present in the hom-spaces.  It generalizes the ordinary [[nerve]] of an ordinary [[category]].

The homotopy coherent nerve operation

$$
  N : SSet\text{-}Cat \to SSet
  \,.
$$

is induced, by the general machinery of [[nerve and realization]], by a 
[[simplicial object|cosimplicial]] [[simplicially enriched category]], namely a [[functor]]

$$
  \Delta \to SSet\text{-}Cat
$$

from the [[simplex category]] to the category of 
[[simplicially enriched categories]] which regards each
$n$-[[simplex]] as a [[SSet]]-[[enriched category]]
with $n$ objects analogous to how the [[oriental]]s
regard the $n$-simplex as an [[strict omega-category|n-category]].



## Definition


### The cosimplicial $sSet$-category

We here describe the cosimplicial [[sSet]]-[[enriched category]] 

$$
  S : \Delta \to sSet Cat
$$

that induces the homotopy coherent nerve.

##### An abstract description 

Recall that a reflexive graph is a simplicial set of dimension $1$, i.e. 1-coskeletal; they form a full subcategory $reflGraph\hookrightarrow Cat$. The forgetful functor $U: Cat \to reflGraph$ has a left adjoint $F$ hence $G = FU : Cat\to Cat$ is a comonad. By the definition its [[bar and cobar construction|cobar construction]] is an augmented simplicial endofunctor $S\to Id$ featuring $S :\Delta\to sSet Cat$ and whose augmentation is a cofibrant replacement of a 1-category in the [[Bergner model structure]] on $sSet$ ("model structure for simplicially enriched categories"). 

##### An explicit description

For $[n]$ the finite [[ordinal number|ordinal]] $[n] := \{0 \lt 1 \lt  \cdots \lt n\}$ and for $\Delta[n]$ be  standard [[simplicial set|simplicial]] $n$-[[simplex]], define the $sSet$-category $S[n]$ as follows:

* the [[object]]s of $S[n]$ are $\{0,1, \cdots, n\}$;

* the [[hom-object]]s $S[n]_{i,j} \in sSet$ for $i, j \in \{0,1,\cdots, n\}$ are the [[nerve]]s 

  $$
    S[n](i,j) = N(P_{i,j})
  $$ 

  of the [[poset]] $P_{i,j}$ which is equivalently

  1. the [[poset]] of [[subset]]s of $[i,j]$ that contain both $i$ and $j$ (so in particular if $i\gt j$ then $P(i,j)$ is empty and hence so is its nerve) with the partial order is given by inclusion.

   1. the poset of [[path category|path]]s in $[n]$ that start at $i$ and finish at $j$ (hence is empty if $i\gt j$), the order relation is given by 'subdivision', i.e. path $a$ is less than path $b$ in $P(i,j)$ if $b$ visits all the vertices that $i$ does ... and perhaps some others as well.

      Of course, the way you go between the two descriptions is that a path corresponds to the set of vertices it visits and _vice versa_.


Notice that the simplicial set $N(P_{i,j})$ is [[isomorphism|isomorphic]] to the $j-i-1$ cube in $sSet$:

$$
  N(P_{i,j}) = (\Delta[1])^{\times (j-i-1)}
  \,.
$$ 

Under this isomorphism for instance the vertex $(0,0,1,0,1) \in (\Delta[1])^{\times (j-i-1)}$ corresponds to the subset $\{i,i+3,i+5,j\} \subset [i,j]$ and to the path $i \to i+3 \to i+5 \to j=i+6$. 

(We will look at an example after this definition.)

* the [[composition]] operation on hom-objects

  $$
    \circ_{i,j,k} : S[n]_{i,j} \times S[n]_{j,k} \to S[n]_{i,k}
  $$

  is induced by 'concatenation of the corresponding paths' and thus essentially by union of the sets involved.

### The homotopy coherent nerve

The **homotopy coherent nerve** functor

$$
  N := Hom_{sSet Cat}(S[\bullet],-) : sSet Cat \to sSet
$$

is the [[nerve]] defined by the cosimplicial $sSet$-category $S : \Delta \to sSet Cat$ defined above.

For $C \in sSet Cat$ a [[simplicially enriched category]], the homotopy coherent nerve  $N(C)$ is the [[simplicial set]] uniquely characterized by the formula 

$$ 
  Hom_{SSet}(\Delta[n], N(C)) = Hom_{SSet Cat}(S[n], C)
  \,.
$$

By the general logic of [[nerve and realization]], this functor has a [[left adjoint]]

$$
  S(-) : SSet \to SSet Cat
$$

the **realization** functor given by the [[coend]] formula

$$
  S(X) := \int^{[n] \in \Delta} X_n \cdot S[n]
  \,.
$$

This functor does extend the functor $S : \Delta \to sSet Cat$ 
in that there is a canonical isomorphism

$$
  S(\Delta[n]) \cong S[n]
$$

and hence may consistently be named $S$.



## Examples and illustration

### For the cosimplicial $sSet$-category {#IllustratOfCosimpSSetCat}

We illustrate here the nature of the cosimplicial $sSet$-category $S : [n] \mapsto S[n]$.

We will examine the lowest dimensional cases. 

For $n = 0$ there is nothing of note.

For $n = 1$ we have that

$$
  P_{0,1} = \left\{ (0,1) \right\} = \Delta[0] = \Delta[1]^0
$$

is the poset with a single object.


For $n = 2$, there are unique paths in $[2]$ from $[0]$ to $[1]$, and $[1]$ to $[2]$, so the corresponding homs in $S[2]$ are copies of $\Delta[0]$ (or, if you prefer, of $\Delta[1]^0$!). Things are slightly more interesting for $S[2](0,2)$. Looking at this from the 'subsets' viewpoint, as above, there clearly are two subsets of $\{0,1,2\}$ containing both $0$ and $2$, one corresponds to the direct route in $[2]$ from $0$ to $2$, the other goes via $1$ so is $0\to 1\to 2$. 

$$
  P_{0,2} = 
  \left\{
    (0,2) \to (0,1,2)
  \right\}
  = 
  \Delta[1]
  \,.
$$

So in $S[2](0,2)$, there is a 1-simplex $k$ starting at $\{0,2\}$ and ending at $\{0,1,2\}$.  

$$
    \array{
      & \nearrow\searrow^{\{0,1,2\}}
      \\
      0 &\Uparrow^{{k}}& 2
      \\
      & \searrow \nearrow_{\{0,2\}}
    }
$$


Everything else, in higher dimensions, is degenerate, so $S[2](0,2)\cong \Delta[1]$. Sometimes it is useful to think of this 1-simplex as 'rewriting' the direct path to that via 1, all this happening in the free category on the underlying graph of the poset $[2]$. (The construction of $S[n]$ in general has a nice interpretation in terms of higher dimensional [[rewriting]]. This can be given using the language of [[polygraph]]s or [[computad]]s.)

In this example there are no significant compositions. To see examples of those, you need to look at $n = 3$. In $S[3]$, the simplicial hom-sets $S[3](i,j)$ for $(i,j) \neq (0,3)$, can all be analysed by the same sort of argument to the above.  The new features occur in $S[3](0,3)$.  The vertices of this simplicial set are the subsets 
corresponding to the direct path $0\to 3$ and then the three others. Rewriting the direct path can be done in two immediate ways, to go via the left or via the right route. Each of these can be 'rewritten' to give the longest path /  largest subset.  There is also, of course, an inclusion of the smallest to the largest of these, so that in total the poset here looks like:

$$
  P_{0,3}
  =
  \left\{
    \array{
       \{0,3\}&\rightarrow & \{0,1,3\}
       \\  
       \downarrow & \searrow &\downarrow\\
       \{0,2,3\}&\rightarrow &\{0,1,2,3\}
     }
  \right\}
  =
  \Delta[1]^{\times 2}
  \,.
$$

In addition, there will be 2-simplexes filling the two triangles, coming from the chains $\{0,3\}\subset \{0,1,3\}\subset \{0,1,2,3\}$ and $\{0,3\}\subset \{0,2,3\}\subset \{0,1,2,3\}$ in the poset. 

$$
  \array{
    & \nearrow && \searrow^{\mathrlap{\{0,1,2,3\}}}
    \\
    & & \Uparrow
    \\
    0  &&\stackrel{\{0,1,3\}}{\to}&& 3
    \\
    && \Uparrow
    \\
    & \searrow && \nearrow_{\mathrlap{\{0,3\}}}
  }
  \;\;\;\;\;
  \;\;\;\;\;
  \;\;\;\;\;
  \,,
  \;\;\;\;\;
  \;\;\;\;\;
  \;\;\;\;\;
  \array{
    & \nearrow && \searrow^{\mathrlap{\{0,1,2,3\}}}
    \\
    & & \Uparrow
    \\
    0  &&\stackrel{\{0,2,3\}}{\to}&& 3
    \\
    && \Uparrow
    \\
    & \searrow && \nearrow_{\mathrlap{\{0,3\}}}
  }
  \,.
$$



We thus get $S[3](0,3) \cong \Delta[1]^2$, a square. 

The composition maps

$$S[3](1,3)\times S[3](0,1)\to S[3](0,3)$$

and similarly for the one with 1 replaced by 2, *are* now fairly obvious.  



For $n = 4$, the corresponding diagram for $S[4](0,4)$ gives a cube 
but here there is an interesting feature.  

Five of the six faces of the cube $|N(P_{0,4})|$ correspond to the  associativity of composition of triples of composable morphisms in $[4]$. These correspond to the 5 faces of the 4-simplex $\Delta[4]$, as depicted for instance at [[oriental]] and at [[monoidal category]].

But the cube has one more face

$$
  \array{
    (0,2,4) &\to& (0,1,2,4)
    \\
    \downarrow &\searrow& \downarrow
    \\
    (0,2,3,4) &\to& (0,1,2,3,4)
  }
$$

which does not correspond to associativity: instead, this encodes the [[exchange law]]


$$
  \array{
    && 1 &&&& 3
    \\
    & \nearrow &\Uparrow& \searrow && \nearrow && \searrow
    \\
    0 &&\to&& 2 &&  && 4
    \\
    &&  &&&& 3
    \\
    & && && \nearrow &\Uparrow& \searrow
    \\
    0 &&\to&& 2 && \to && 4  
  }
  \;\;\;\;\;\;
  \simeq
  \;\;\;\;\;\;
  \array{
    && 1 &&&& 3
    \\
    & \nearrow && \searrow && \nearrow &\Uparrow& \searrow
    \\
    0 &&&& 2 && \to && 4
    \\
    && 1 &&&& 
    \\
    & \nearrow &\Uparrow& \searrow &&  && 
    \\
    0 &&\to && 2 && \to && 4  
  }
$$

or, if preferred, to the fact that

$$S[4](2,4)\times S[4](0,2)\to S[4](0,4)$$

is to be a simplicial map.




A similar phenomenon occurs in higher dimensions.  There are two 'extra faces' in $S[5](0,5)$, and so on.

### For the homotopy coherent nerve

*  Any [[2-category]] gives a simplicially enriched category using the embedding of [[Cat]] into [[sSet]] via the usual [[nerve]] functor. The homotopy coherent nerve of a 2-category considered in this way is, sometimes, called the [[geometric nerve]] of the 2-category. The [[Duskin nerve]] of a [[bicategory]] is an extension of this construction. 

   A particular case of this nerve is the nerve of a [[2-group]] [[delooping|considered as]] a 2-category.


## Properties {#Properties}

* If $C \in sSet Cat$ is such that all [[hom-object]]s $C(x,y) \in sSet$ are [[Kan complex]]es, then the homotopy coherent nerve $N(C)$ is a [[weak Kan complex]]/[[quasi-category]].

  If $f : C \to D$ is a morphism of such Kan-complex enriched categories which is a weak equivalence (in the [[model structure on sSet-categories]]) in that

  * the induced functor 

    $$
      Ho(f) : Ho(C) \to H(D)
    $$
     
    on the ordinary underlying [[homotopy category of an (infinity,1)-category|homotopy categories]] (obtained by taking hom-wise connected component sets) is [[essentially surjective functor|essentially surjective]] 

  * its component on each hom-object

    $$
      f_{x,y} : C(x,y) \to C(f(x),f(y))
    $$

    is a [[homotopy equivalence]],

  then its homotopy coherent nerve

  $$
    N(f) : N(C) \to N(C)
  $$

  is a [[model structure for quasi-categories|weak equivalence of]] [[quasi-categories]].

  We may think of [[category]] $\Delta[n]$ trivially as a simplicially enriched category. In the [[model structure on sSet-categories]] the object $S[n]$ is a cofibrant replacement of $\Delta[n]$. And Kan-complex enriched categories are fibrant. So on these the homotopy coherent nerve is given by the [[derived hom-space]] functor

  $$
    N(C) = \mathbb{R}Hom(\Delta[\bullet], C)
    \,.
  $$

## Related concepts

### Comonadic resolution

The use of $S[A]$, above, extends that given at the start of this page. Here $S$ is related  to the [[left adjoint]] of the homotopy coherent nerve, but is defined using a [[comonadic resolution]].  The [[comonad]] comes from the adjunction between small categories and directed graphs with distinguished 'unit' loops. The 'forgetful' part of the adjunction forgets the composition in the category, but remembers that the identity arrows are special. The left adjoint /  'free' part of the adjunction takes a directed graph (with distinguished 'identity' loops, and forms the free category on the non-identity arrows. As usual, we can form a [[comonad]] from this  and hence form a functorial [[simplicial resolution]] of any small category, $A$.  

This can also be seen to be a case of a [[bar resolution]] construction, related to the [[bar construction]]. Here the adjoint pair also give a [[monad]] on   directed graphs with distinguished 'unit' loops and the small category $A$ is an algebra for this monad. 

Since the functors involved preserve the identities on the objects of $A$, the resulting simplicial category  is a simplicially enriched category, and this is $S[A]$.  The $n$-dimensional arrows between objects, $a$ and $b$ in $S[A]$ correspond to a  path from $a$ to $b$ in $A$ containing no identity arrows, together with a bracketting of the 
resulting string having depth $n$. 

### $W$-Construction of topological operads {#WConstruction}


By hom-wise precomposition with the singular complex functor

$$
  Sing : Top \to sSet
  \,,
$$

which is a [[monoidal functor]], the homotopy coherent nerve extends to a nerve of [[Top]]-[[enriched category|categories]]

$$
  N : Top Cat \to sSet
  \,.
$$

As such, it is a special case of the [[Michael Boardman|Boardman]]-[[Rainer Vogt|Vogt]] [[W-construction]] for [[model structure on operads|cofibrant replacement of]] topological [[operads]]. See also _[[dendroidal homotopy coherent nerve]]_.

In this construction, rouhgly, for $T$ a [[tree]] in an operad $O$, the tree is replaced with the topological space $e(T) \to [0,1]$ of maps from the set of edges of $T$ to the topological unit interval.

We may restrict this construction to the $n$-[[simplex]] $\Delta[n]$, regarded as a [[category]] and then trivially regarded as a $Top$-category. Then a tree in $\Delta[n]$ is necessarily a linear tree $\to \to \cdots \to$ of some length $k$ and is hence mapped to the topological space of functions $k \to [0,1]$, i.e. to the space $[0,1]^k$. This is the [[geometric realization]] of the simplicial cubes $(\Delta[1])^k$ that we saw above.

 
### Relation to quasi-categories

As mentioned above, the simplicial or h.c. nerve, together with its [[adjoint functor|left adjoint]], serves to relate the two models of [[(∞,1)-category|(∞,1)-categories]] given by [[quasi-category|quasi-categories]] and [[simplicially enriched category|simplicially enriched categories]]. 

The homotopy coherent nerve extends to a [[Quillen equivalence]] between the [[Joyal model structure]] $SSet_{Joyal}$ that models [[quasi-categories]] and the [[model structure on SSet-categories]].

See 

* [[relation between quasi-categories and simplicial categories]] 

for details.

### Models for $(\infty,1)$-categories

[[!include table - models for (infinity,1)-operads]]

### Other kinds of nerves

* [[nerve]]

* [[Duskin nerve]]

* [[∞-nerve]]

* **homotopy coherent nerve**

* [[dg-nerve]]

## History

The original motivation for the introduction of the homotopy coherent nerve is that it provides a neat simplicial formulation of idea of [[homotopy coherent diagram|homotopy coherent diagrams]]. Hmotopy coherent algebraic structures were studied in the 1970s by [[Michael Boardman|Boardman]] and [[Rainer Vogt|Vogt]] in joint work,  and then Vogt individually looked at homotopy coherenc diagrams.  The  homotopy coherent nerve was initially defined by [[Jean-Marc Cordier|Cordier]] (reference below). 
He  realised that, with a slight modification in the definition, Vogt's definition of homotopy coherent diagram, indexed by a small category $A$, say, corresponded exactly to a simplicially enriched functor from the $SSet$-category $S[A]$ to the $SSet$-category $Top$. They thus also corresponded to simplicial maps from the [[nerve]] of $A$ to $N(Top)$, (although that latter object was 'too large' to be a simplicial 'set'). This allowed a good definition of homotopy coherent diagrams in arbitrary simplicially enriched categories to be given. 

This definition works best when the simplicially enriched category is 'locally Kan', in other words it is enriched in the category of [[Kan complex|Kan complexes]]. These locally Kan $SSet$-categories are the fibrant ones in the [[model structure on sSet-categories]]. 

Cordier and [[Tim Porter|Porter]] (1986) proved that if $C$ is a locally Kan simplicially enriched category then $N(C)$ is a '[[weak Kan complex]]', in other words, a [[quasi-category]].  Some of the main ideas behind this result can be traced to [[Rainer Vogt|Vogt]]'s paper of 1973. 

In more modern terminology as [[Kan complex]]es can be considered as [[∞-groupoid]]s, these locally Kan simplicially enriched categories are one particularly nice model for an [[(infinity,1)-category]], and so this result is one of the earliest giving the transition from one model for [[(infinity,1)-categories]] to another, the 'weak Kan complexes' or [[quasi-categories]].





## References

The homotopy coherent nerve operation was introduced, explicitly, in

* [[Jean-Marc Cordier]], _Sur la notion  de diagramme homotopiquement coh&#233;rent_, Cahier Top. et Geom. Diff. XXIII 1, 1982, 93-112, available from [numdam](http://www.numdam.org/numdam-bin/feuilleter?id=CTGDC_1982__23_1)

Cordier made the link with earlier work by R.D. Leitch.

* R. D. Leitch, _The homotopy commutative cube_, J. London Math. Soc. (2) 9, (1974), 23&#8211;29.

as well as the paper by [[Vogt]] (see below) and earlier work of [[Michael Boardman|Boardman]] and [[Rainer Vogt|Vogt]],

* [[Michael Boardman]], [[Rainer Vogt]], 1973, _Homotopy invariant algebraic structures on topological spaces_, Lec. Notes in Math. __347__, Springer-Verlag.

With [[Tim Porter]], Cordier proved the simplicial generalisation of a theorem of [[Rainer Vogt|Vogt]] in

*  [[Jean-Marc Cordier]], [[Tim Porter]], _Vogt's theorem on categories of homotopy coherent diagrams_, Math. Proc. Cambridge Philos. Soc. __100__, (1986), 65 &#8211; 90.

This theorem describes an equivalence between the category obtained by inverting the 'levelwise' homotopy equivalence in a category of diagrams, and the homotopy category of [[homotopy coherent diagram]]s in the sense of Vogt. This paper includes an explicit proof that the homotopy coherent nerve of a locally Kan simplicially enriched category is a quasicategory. As well as the harder result on when [[outer horn]]s in this quasicategory can be filled.

Vogt's original version of the theorem is in 

* [[Rainer Vogt]], _Homotopy limits and colimits_, Math. Z. __134__, (1973), 11&#8211;52.  
 
Two other papers are relevant to this:

*  [[Jean-Marc Cordier]], [[Tim Porter]], _Maps between homotopy coherent diagrams_, Top. and its Appl. __28__, (1988), 255 &#8211; 275. 

* [[Jean-Marc Cordier]], [[Tim Porter]], _Fibrant diagrams, rectifications and a construction of Loday_, J. Pure. Applied Alg. __67__, (1990), 111 &#8211; 124.

An elementary discussion of the concept of homotopy coherence forms Chapter V of

*  K. H. Kamps, [[Tim Porter]], _Abstract homotopy and simple homotopy theory_, World Scientific 1997. 



For the role played by the simplicial nerve in the context of relating quasi-categories to simplicially enriched categories as models for $(\infty,1)$-categories see 

* [[Jacob Lurie]], _[[Higher Topos Theory]]_, section 1.1.5
* [[Andre Joyal]], _The theory of quasi-categories and its applications_, lectures at CRM Barcelona February 2008, draft [hc2.pdf](http://www.crm.cat/HigherCategories/hc2.pdf)
* [[Andre Joyal]], _Notes on quasicategories_, ([draft](http://www.math.uchicago.edu/~may/IMA/Joyal.pdf))

This emphasises the adjunction corresponding to the homotopy coherent ("simplicial") nerve construction. 

A review of this latter aspect is also in

* Vivek Dhand, _The simplicial nerve of a simplicial category_ ([pdf](http://www.math.msu.edu/~dhand/sSet.pdf))

* Mitya Boyarchenko, _Notes and exercise on $\infty$-categories_ ([pdf](http://math.uchicago.edu/~mitya/langlands/quasicategories.pdf))

* [[Vladimir Hinich]], _Simplicial nerve in Deformation theory_ ([arXiv:0704.2503](http://arxiv.org/abs/0704.2503))

* [[Denis-Charles Cisinski]], [[Ieke Moerdijk]], _Dendroidal sets and simplicial operads_, [arxiv/1109.1004](http://arxiv.org/abs/1109.1004) (a Quillen equivalence for Segal vs. simplicial operads using coherent nerve)

* [[Emily Riehl]], _On the structure of simplicial categories associated to quasi-categories, Math. Proc. Camb. Phil. Soc. 150 (2011), 489 - 504.

For more references see [[relation between quasi-categories and simplicial categories]].

Two query-discussions on terminology and concrete description of the coherent/"simplicial" nerve are archived at nForum [here](http://www.math.ntnu.no/~stacey/Mathforge/nForum/comments.php?DiscussionID=754&Focus=20607#Comment_20607).  For an overview of the 2009 paper by Dugger and Spivak, see also:

* Emily Riehl, [Understanding the homotopy coherent nerve](https://golem.ph.utexas.edu/category/2010/04/understanding_the_homotopy_coh.html), n-Category Caf&#233;, 29 April 2010.


[[!redirects homotopy coherent nerves]]
[[!redirects homotopy-coherent nerve]]
[[!redirects homotopy-coherent nerves]]
[[!redirects coherent nerve]]
[[!redirects coherent nerves]]
[[!redirects nerve of a simplicial category]]
[[!redirects simplicial nerve of simplicial categories]]