
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Category theory
+-- {: .hide}
[[!include category theory - contents]]
=--
#### Compact objects
+-- {: .hide}
[[!include compact object - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Definition


+-- {: .num_defn}
###### Definition

A **locally finitely presentable category** is an [[ℵ]]${}_0$-[[locally presentable category]].

=--

We spell out what this means:


An [[object]] $X$ of a [[category]] $C$ is said to be [[finitely presentable object|finitely presentable]] (sometimes called [[compact object|compact]] or 'finite') if the [[representable functor]] $C(X,-)$ is finitary, i.e., preserves [[filtered colimits]]. Write $C_{fp}$ for the full subcategory of $C$ consisting of the finitely presentable objects.


A category $C$ satisfying (any of) the following equivalent conditions is said to be __locally finitely presentable__ (or **lfp**):

1. $C$ has all small [[colimit|colimits]], the category $C_{fp}$ is [[essentially small category|essentially small]], and any object in $C$ is a [[filtered colimit]] of the canonical diagram of finitely presentable objects mapping into it.
1. $C$ is the category of models for an [[essentially algebraic theory]].  Here an 'essentially algebraic theory' is a small category $D$ with finite limits, and its category of 'models' is the category of finite-limit-preserving functors $D \to Set$.
1. $C$ is the category of models for a finite limit [[sketch]].
1. $C_{fp}$ has finite colimits, and the restricted [[Yoneda embedding]] $C\hookrightarrow [C_{fp}^{op},Set]$ identifies $C$ with the category of finite-limit-preserving functors $C_{fp}^{op} \to Set$.

Replacing "finite" by "of cardinality less than $\kappa$" everywhere, for some [[cardinal number]] $\kappa$, results in the notion of a [[locally presentable category]].

## Examples

* [[Set]], Graph, [[Pos]], [[Cat]], [[Ab]] are all lfp.

* [[Top]], [[FinSet]] are not lfp.

[[!redirects locally finitely presentable categories]]
[[!redirects lfp category]]
[[!redirects lfp categories]]

[[!redirects finitely presentable category]]
[[!redirects finitely presentable categories]]
