
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Category theory
+-- {: .hide}
[[!include category theory - contents]]
=--
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

An _algebra over an endofunctor_ is like an [[algebra over a monad]], but without a notion of [[associativity]] (which would not make sense).


## Definition

+-- {: .num_defn}
###### Definition

For a [[category]] $C$ and [[endofunctor]] $F$, an __algebra__ (or __module__) of $F$ is an [[object]] $X$ in $C$ and a [[morphism]] $\alpha\colon F(X) \to X$. ($X$ is called the __carrier__ of the algebra)

A [[homomorphism]] between two algebras $(X, \alpha)$ and $(Y, \beta)$ of $F$ is a morphism $m\colon X \to Y$ in $C$ such that the following [[commuting diagram|square commutes]]:

$$ 
  \array{ 
    F(X) 
    & 
    \stackrel{F(m)}{\rightarrow} 
    & 
    F(Y) 
    \\ 
    \alpha\downarrow 
    && 
    \downarrow \beta 
    \\ X 
    & 
    \stackrel{m}{\rightarrow} & Y 
  }
  \,. 
$$

[[composition|Composition]] of such morphisms of algebras is given by composition of the underlying morphisms in $C$.  This yields the [[category]] of $F$-algebras, which comes with a forgetful functor to $C$.
=--

+-- {: .num_remark}
###### Remark

The dual concept is a [[coalgebra for an endofunctor]]. Both algebras and coalgebras for endofunctors on $C$ are special cases of [[algebra for a C-C bimodule|algebras for bimodules]].
=--


## Properties

### Relation to algebras over a monad

To a [[category theory|category theorist]], [[algebras over a monad]] may be more familiar than algebras over just an endofunctor.  In fact, when $C$ and $F$ are well-behaved, then algebras over an endofunctor $F$ are equivalent to algebras over a certain monad, the [[algebraically-free monad]] generated by $F$ ([Maciej](#Maciej), [Gambino-Hyland 04, section 6](#GambinoHyland04)).

This is analogous to the relationship between an [[action]] $M \times B \to B$ of a [[monoid]] $M$ and a [[binary function]] $A \times B \to B$ (an action of a [[set]]): such a function is the same thing as an action of the [[free monoid]] $A^*$ on $B$.

Returning to the endofunctor case, the general statement is:

+-- {: .num_prop}
###### Proposition

The [[category]] of algebras of the endofunctor $F\colon \mathcal{C} \to \mathcal{C}$ is [[equivalence of categories|equivalent]] to the category of [[algebra over a monad|algebras]] of the [[algebraically-free monad]] on $F$, should such exist.
=--

Actually, this proposition is merely a definition of the term "algebraically-free monad".  If $F$ has an algebraically-free monad, denoted say $F^*$, then in particular the forgetful functor $F Alg \to C$ has a [[left adjoint]], and $F^*$ is the monad on $C$ generated by this [[adjunction]].  Conversely, if such a left adjoint exists, then the monad it generates is algebracially-free on $F$; for the straightforward proof, see for instance ([Maciej](#Maciej)).

Algebraically-free monads exist in particular when $C$ is a [[locally presentable category]] and $F$ is an [[accessible functor]]; see [[transfinite construction of free algebras]].

+-- {: .num_remark}
###### Remark

It turns out that an algebraically-free monad on $F$ is also [[free object|free]] in the sense that it receives a universal arrow from $F$ relative to the [[forgetful functor]] from [[monads]] to [[endofunctors]].  The converse, however, is not necessarily true: a free monad in this sense need not be algebraically-free.  It is true when $C$ is [[complete category|complete]], however.

=--

## Related concepts

* [[initial algebra of an endofunctor]]

* [[free monad]]

* [[algebra over a monad]], [[algebra over a profunctor]], [[coalgebra over an endofunctor]]


## References

A textbook account of the basic theory is in [chapter 10](http://www.andrew.cmu.edu/course/80-413-713/notes/chap10.pdf) of

* [[Steve Awodey]], _Category theory_ lecture notes (2011) ([web](http://www.andrew.cmu.edu/course/80-413-713/))

The relation to [[free monads]] is discussed in 

* [Maciej](http://maciejcs.wordpress.com/), _[Free monads and their algebras](http://maciejcs.wordpress.com/2012/04/17/free-monads-and-their-algebras/)_
 {#Maciej}

* [[Nicola Gambino]], [[Martin Hyland]], _Wellfounded trees and dependent polynomial functors_. In Types for proofs and programs, volume 3085 of Lecture Notes in Comput. Sci., pages 210–225. Springer-Verlag, Berlin, 2004 ([web](http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.98.4534))
 {#GambinoHyland04}


[[!redirects algebra of a functor]]
[[!redirects algebra of an endofunctor]]
[[!redirects algebra for a functor]]
[[!redirects algebra for an endofunctor]]
[[!redirects algebra over a functor]]
[[!redirects algebra over an endofunctor]]
[[!redirects algebras of a functor]]
[[!redirects algebras of an endofunctor]]
[[!redirects algebras for a functor]]
[[!redirects algebras for an endofunctor]]
[[!redirects algebras over a functor]]
[[!redirects algebras over an endofunctor]]
[[!redirects algebras of functors]]
[[!redirects algebras of endofunctors]]
[[!redirects algebras for functors]]
[[!redirects algebras for endofunctors]]
[[!redirects algebras over functors]]
[[!redirects algebras over endofunctors]]