

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Bundles
+-- {: .hide}
[[!include bundles - contents]]
=--
#### Complex geometry
+--{: .hide}
[[!include complex geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The concept of [[line n-bundle]] in [[algebraic geometry]], classified by maps into the $n$-fold [[delooping]] $\mathbf{B}^n \mathbb{G}_m$ of the [[multiplicative group]].

* for $n = 0$, classified by the [[group of units]];

* for $n= 1$ these are [[algebraic line bundles]], classified by [[Picard group]], modulated by [[Picard stack]];

* for $n =2$ these are [[algebraic line 2-bundles]], classified by [[Brauer group]], modulated by [[Brauer stack]]

## Properties
 {#Properties}

According to ([Grothendieck 64, prop. 1.4](#Grothendieck64)) for $X$ a [[Noetherian scheme]] whose [[local rings]] have strict [[Henselian ring|Henselisations]] that are factorial (...explain...) then the [[cohomology groups]]

$$
  H^n(X,\mathbb{G}_m) = \pi_0 \mathbf{H}(X,\mathbf{B}^n \mathbb{G}_m)
$$

are all [[torsion groups]] for $n \geq 2$. (For $n = 2$ this is the [[Brauer group]].) See also [this MO discussion](http://mathoverflow.net/q/171638/381).

See also at _[[Friedlander-Milnor isomorphism conjecture]]_.

## Related concepts

* [[holomorphic line n-bundle]]

## References

* {#Grothendieck58} [[Alexander Grothendieck]], _Torsion homologique et sections rationnelles_, Séminaire Claude Chevalley, 3 (1958), Exp. No. 5, 29 p. ([Numdam](http://www.numdam.org/item?id=SCC_1958__3__A5_0))

* {#Grothendieck64} [[Alexander Grothendieck]], _Le groupe de Brauer : II. Théories cohomologiques_. Séminaire Bourbaki, 9 (1964-1966), Exp. No. 297, 21 p. ([Numdam](http://www.numdam.org/item?id=SB_1964-1966__9__287_0))



[[!redirects algebraic line n-bundles]]

[[!redirects algebraic line 2-bundle]]
[[!redirects algebraic line 2-bundles]]
