
#Contents#
* table of contents
{:toc}

## Idea

### For knot complements

The original **volume conjecture** states that a certain limit of the [[colored Jones
polynomial]] of a knot $K$ gives the simplicial volume of its complement in the 3-sphere.

$$
lim_{N \to \infty}\left(\frac{2 \pi log |V_N(K; q = e^{\frac{2 \pi i}{N}})|}{N}\right) = vol(K).
$$

Here $V_N(K; q)$ is the ratio of the values of the $N$-colored Jones polynomial of $K$ and of the unknot

$$
V_N(K; q) = \frac{J_N(K; q)}{J_N(\bigcirc; q)}.
$$

The simplicial volume of a knot complement can be found via its unique **torus** decomposition  into hyperbolic pieces and Seifert fibered pieces by a system of tori. The simplicial volume is then the sum of the hyperbolic volumes of the hyperbolic pieces of the decomposition.

### Generally
 {#IdeaGenerally}

More generally, volume conjectures state convergence of the [[Chern-Simons theory]] quantum invariant (realized notably via [[Reshetikhin-Turaev construction]] or [[Turaev-Viro construction]]) on [[hyperbolic 3-manifold]] to the [[complex volume]] (for Reshetikhin-Turaev) or to the plain volume (for Turaev-Viro).

See ([Chen-Yang 15](#ChenYang15))


## Related concepts

* [[hyperbolic manifold]]

* [[analytically continued Chern-Simons theory]]

* [[Borel regulator]]

## References

Original articles include

* Tudor Dimofte, Sergei Gukov, _Quantum Field Theory and the Volume Conjecture_, ([arxiv:1003.4808](http://arxiv.org/abs/1003.4808))

* R. M. Kashaev, _The Hyperbolic Volume Of Knots From The Quantum Dilogarithm_ Lett. Math. Phys. 39 (1997) 269-275.

* H. Murakami and J. Murakami, _The Colored Jones Polynomial And The Simplicial Volume Of A Knot_, Acta Math. 186 (2001) 85-104.

* H. Murakami, J. Murakami, M. Okamoto, T. Takata, and Y. Yokota, _Kashaev's Conjecture And The Chern-Simons Invariants Of Knots And Links_, Experiment. Math. 11 (2002) 427-435.

* R. M. Kashaev, O. Tirkkonen, _Proof of the volume conjecture for torus knots_ ([arXiv:math/9912210](http://arxiv.org/abs/math/9912210))

* [[Sergei Gukov]], _Three-Dimensional Quantum Gravity, Chern-Simons Theory, And The A-Polynomial_, Commun. Math. Phys. 255 (2005) 577-627.

* H. Murakami, _Asymptotic Behaviors Of The Colored Jones Polynomials Of A Torus Knot_, Internat. J. Math. 15 (2004) 547-555.

Generalization to [[Reshetikhin-Turaev construction]] on closed manifold, to the  [[Turaev-Viro construction]] on manifolds with boundary, and to more general roots of unity than considered before is in 

* {#ChenYang15} [[Qingtao Chen]], [[Tian Yang]], _A volume conjecture for a family of Turaev-Viro type invariants of 3-manifolds with boundary_ ([arXiv:1503.02547](http://arxiv.org/abs/1503.02547))

Review includes

* {#Witten14} [[Edward Witten]], pp. 4 of _Two Lectures On The Jones Polynomial And Khovanov Homology_ ([arXiv:1401.6996](http://arxiv.org/abs/1401.6996))

* Wikipedia, _[Volume conjecture](http://en.wikipedia.org/wiki/Volume_conjecture)

* H. Murakami, Asymptotic Behaviors Of The Colored Jones Polynomials Of A Torus Knot, Internat. J. Math. 15 (2004) 547-555.

Discussion in [[string theory]] includes

* [[Robbert Dijkgraaf]], Hiroyuki Fuji, _The Volume Conjecture and Topological Strings_ ([arXiv:0903.2084](http://arxiv.org/abs/0903.2084))

