
__Albert Lautman__ was a French [[philosophy of mathematics|mathematical philosopher]].

He was interested in the structure of advanced mathematics and its creativity and critiziced the [[analytic philosophy|analytic philosophers]] like [[Bertrand Russell|Russell]] and [[Gottlob Frege|Frege]] from the early 20th century who dealt mainly with the issues of a particular logical [[foundation]] and formal aspects and not much on the nature of doing mathematics and its meaning. 

As a member of the Resistance, a former prisoner of war and also of Jewish origin, he was killed by a German squad on August 1, 1944.

He influenced the French philosophers [[Gilles Deleuze]] and [[Alain Badiou]], the mathematician and historian of culture and mathematical philosophy [[Fernando Zalamea]], the mathematician, semiolinguist, and philosopher (of science) [[Jean Petitot]], and the philosopher [[David Corfield]].

According to

* Jean Petitot, _Refaire le « Timée » : Introduction à la philosophie mathématique d'Albert Lautman_, 1987

>Although studied very little, Albert Lautman has already been labelled a neo-platonist. Regarded as too speculative despite his exceptional mathematical erudition and his close relationship to Hilbert's axiomatic structuralism, his philosophy of mathematics has not been a subject of specific attention until now. And yet it is, in our opinion, of noteworthy importance. In separating from mathematical theories an additional level of reality lying above, level made up of dialectic- problematic ideas whose understanding is equivalent to the genesis of real theories in which they are determined and achieved, this philosophy of mathematics allows a (transcendental) doctrine of relationships between mathematics and reality to be developed, which goes beyond the dogmatism of logical empiricism without ending up in post-positivistic skepticisms for all that and which articulates the indefinite evolution of the autonomisation and unification of mathematics toward the indefinite production of scientific ontogenèses.

>...

>We believe Albert Lautman is, unemphatically, one of the most inspired philosophers of the century. His theses are of real importance and if we would devote to him only a fraction of the thoughts which we have devoted to another philosopher, who is comparable in stature and opposed in ideas, namely Wittgenstein, he would undoubtedly become one of the most glorious figures of our modernity.

### Lautman on effective and advanced mathematics

According to 

* Fernando Zalamea, _Albert Lautman and the Creative
Dialectic of Modern Mathematics_

> With the term ‘effective mathematics’, Lautman tackles the theories, structures and constructions conceived in the very activity of the mathematician. The term refers to the structure of mathematical knowledge, and what is effective refers to the concrete _action_ of the mathematician to gradually build the mathematical edifice, that such action is constructivist or existential. The mathematical – beyond its ideal set theoretical reconstruction – develops along a hierarchy of real configurations of rather diverse complexity, in which the concepts and examples are connected through structural processes of liberation and saturation, resulting in mathematical creations like mixes between opposite polarities. Lautman detects some _specific_ features of advanced mathematics that are not given in elementary mathematics: 

> a) the _complex hierarchisation_ of various theories, irreducible to systems of _intermediate_ deduction; 

> b) the _richness_ of the models, irreducible to linguistic manipulation; 

> c) the _unity_ of structural methods and of conceptual polarities, beyond the effective multiplicity of models; 

> d) the _dynamics_ of the creative activity, in a permanent back-and-forth between freedom and saturation, open to the Platonic division and the Platonic dialectic; 

> e) the _mathematically demonstrable relation_ between what is multiple on a given level and what is singular on another, through a sophisticated lattice of mixed ascents and descents.

###Lautman on the abstract world of mathematics and the sensible world of physics as both participating in the same dialectical structure

According to

* Lautman, _Mathematics, Ideas, and the Physical Real_, p231:

>In seeing the sensible thus defined by a mixture of symmetry and dissymmetry, of identity and difference, it is impossible not to recall Plato’s [[Timaeus]] (1997). The existence of bodies is based there on the existence of this receptacle that Plato calls the place and whose function consists, as Rivaud has shown in the preface to his edition of the Timaeus (Plato 1932), in making possible the multiplicity of bodies and their alternation in a sin- gle place in the sensible world, just as the role of the Idea of the Other in the intelligible world is to ensure, by its mixture with the Same, both the connection and the separation of types. This reference to Plato enables the understanding that the materials of which the universe is formed are not so much the atoms and molecules of the physical theory as these great pairs of ideal opposites such as the Same and the Other, the Symmetrical and Dissymmetrical, related to one another according to the laws of a harmonious mixture. Plato also suggests more. The properties of place and matter, according to him, are not purely sensible, they are, as Rivaud goes on to say, the geometric and physical transposition of a dialectical theory. It is also possible that the distinction between left and right, as observed in the sensible world, is only the transposition on the plane of experience of a dissymmetrical symmetry which is equally constitutive of the abstract reality of mathematics. A common participation in the same dialectical structure would thus bring to the fore an analogy between the structure of the sensible world and that of mathematics, and would allow a better understanding of how these two realities accord with one another.

### Literature

* wikipedia: [en](http://en.wikipedia.org/wiki/Albert_Lautman)

His collected works have appeared now also in English:

* Albert Lautman, _Mathematics, ideas and the physical real_, collected works, 2011

Jean Petitot wrote an introduction to his philosophy:

* Jean Petitot, [Refaire le « Timée » : Introduction à la philosophie mathématique d'Albert Lautman](http://www.persee.fr/web/revues/home/prescript/article/rhs_0151-4105_1987_num_40_1_4488), 1987

An edition of the French-language journal _Philosophiques_ was dedicated to Lautman ([2010, vol. 37 no. 1](http://www.er.uqam.ca/nobel/philuqam/philosophiques/index.php?section=sommaire_par_numeros&amp;vol=37&amp;no=1)). For an English version of one these articles see

* David Corfield, [Lautman and the Reality of Mathematics](http://philsci-archive.pitt.edu/9210/)

category: people, philosophy

[[!redirects Albert Lautman]]
[[!redirects A. Lautman]]