* Stewart Shapiro, _[[The Oxford handbook of philosophy of mathematics and logic]]_, Oxford University Press 2005
[doi](http://dx.doi.org/10.1093/oxfordhb/9780195325928.001.0001)

Contents:

> After the Introduction (chapter 1), the book begins with a historical section, consisting of three chapters. Chapter 2 deals with the modern period—Kant and his intellectual predecessors; chapter 3 concerns later empiricism, including John Stuart Mill and logical positivism; and chapter 4 focuses on Ludwig Wittgenstein.

> The volume then turns to the “big three” views that dominated the philosophy and foundations of mathematics in the early decades of the twentieth century: logicism, formalism, and intuitionism. There are three chapters on logicism, one dealing with the emergence of the program in the work of Frege, Russell, and Dedekind (chapter 5); one on neologicism, the contemporary legacy of Fregean logicism (chapter 6); and one called “Logicism Reconsidered,” which provides a technical assessment of the program in its first century (chapter 7). This is followed by a lengthy chapter on formalism, covering its historical and philosophical aspects (chapter 8). Two of the three chapters on intuitionism overlap considerably. The first (chapter 9) provides the philosophical background to intuitionism, through the work of L. E. J. Brouwer, Arend Heyting, and others. The second (chapter 10) takes a more explicitly mathematical perspective. Chapter 11, “Intuitionism Reconsidered,” focuses largely on technical issues concerning the logic.

> The next section of the volume deals with views that dominated in the later twentieth century and beyond. Chapter 12 provides a sympathetic reconstruction of Quinean holism and indispensability. This is followed by two chapters that focus directly on naturalism. Chapter 13 lays out the principles of some prominent naturalists, and chapter 14 is critical of the main themes of naturalism. Next up are nominalism and structuralism, which get two chapters each. One of these is sympathetic to at least one variation on the view in question, and the other “reconsiders.”

> Chapter 19 is a detailed and sympathetic treatment of a predicative approach to both the philosophy and the foundations of mathematics. This is followed by an extensive treatment of the application of mathematics to the sciences; chapter 20 lays out different senses in which mathematics is to be applied, and draws some surprising philosophical conclusions.

> The last six chapters of the volume focus more directly on logical matters, in three pairs. There are two chapters devoted to the central notion of logical consequence. Chapter 21 presents and defends the role of semantic notions and model theory, and chapter 22 takes a more “constructive” approach, leading to proof theory. The next two chapters deal with the so‐called paradoxes of relevance, chapter 23 arguing that the proper notion of logical consequence carries a notion of relevance, and chapter 24 arguing against this. The final two chapters concern higher‐order logic. Chapter 25 presents higher‐order logic and provides an overview of its various uses in foundational studies. Of course, chapter 26 reconsiders.

