
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Geometric quantization
+-- {: .hide}
[[!include geometric quantization - contents]]
=--
#### Complex geometry
+--{: .hide}
[[!include complex geometry - contents]]
=--
#### Symplectic geometry
+-- {: .hide}
[[!include symplectic geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The concept of $p$-convex polarization is the generalization of the concept of [[Kähler polarization]] to possibly indefinite [[Hermitean metrics]].

For a Hermitean metric with precisely $p$ negative eigenvalues, one speaks of _$p$-convex polarization_ (e.g. [Griffiths survey, p. 3](#GriffithsSurvey)).

Hence for $(X,h)$ a [[Hermitean manifold]] with Hermitean metric of [[signature of a quadratic form|signature]] $(dim(X)-p,p)$, then a $p$-convex polarization of it is a [[symplectic form]] $\omega$ which in every local [[coordinate chart]] has the form

$$
  \omega = \tfrac{i}{2} \sum_{\alpha,\beta} h_{\alpha,\beta} d z^\alpha \wedge d\bar z^\beta
$$

where $(h_{\alpha,\beta})$ are the components of the [[Riemannian metric|metric]] in the given chart. 

Hence for $p = 0$ then a $p$-convex polarization reduces to a [[Kähler polarization]] or, algebraically, to a [[polarized variety]].


## Examples

The Griffiths [[intermediate Jacobians]] (see there for more) naturally carry a $p$-convex polarization but not in general a [[Kähler polarization]] ([Griffiths 68b](#Griffiths68b)).

## Related concepts

* [[real polarization]]

* [[polarized variety]]

## References

* {#Griffiths68a} [[Phillip Griffiths]], _Periods of integrals on algebraic manifolds. I_ Construction and properties of the modular varieties", American Journal of Mathematics 90 (2): 568–626, (1968) doi:10.2307/2373545, ISSN 0002-9327, JSTOR 2373545, MR 0229641

* {#Griffiths68b} [[Phillip Griffiths]]  _Periods of integrals on algebraic manifolds. II_ Local study of the period mapping", American Journal of Mathematics 90 (3): 805–865 (1968), doi:10.2307/2373485, ISSN 0002-9327, JSTOR 2373485, MR 0233825 

* {#GriffithsSurvey} [[Phillip Griffiths]], _On the periods of integrals on algebraic manifolds_, survey ([[GriffithsPeriodsSummary.pdf:file]])

[[!redirects p-convex polarizations]]

[[!redirects convex polarization]]
[[!redirects convex polarizations]]
