
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Differential cohomology
+-- {: .hide}
[[!include differential cohomology - contents]]
=--
#### Complex geometry
+--{: .hide}
[[!include complex geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The [[Beilinson-Deligne cup product]] of two [[holomorphic functions]] $f,g \in H^0(X,\mathbb{G}_m)$ is a [[holomorphic line bundle]] with connection, hence a degree-2 [[cocycle]] in [[Deligne cohomology]]

$$
  f \cup g \in H^2(X, \mathbb{Z} \to \Omega^0 \to \Omega^1)
  \,.
$$

This kind of line bundle is often referred to as the _Deligne line bundle_, following ([Deligne 91](#Deligne91)).

They were originally motivated and used in a geometric construction of the [[Beilinson regulartor]] $c_{2,2}$, see at _[Beilinson regulator -- Geometic construction](higher+regulator#GeometricConstruction)_.

The universal version of this is the Deligne bundle on $\mathbb{G}_m \times \mathbb{G}_m$ with $f$ and $g$ the [[projection]] onto the first and onto the second factor, respectively (e.g. [Brylinski 00, p. 15](#Brylinski00)).

## References

* {#Deligne91} [[Pierre Deligne]], _Le symbole modéré_. Publ. Math. IHES 73, (1991), 147-181.

Review in the general context of [[Deligne cohomology]] is in 

* {#EsnaultViehweg88} [[Hélène Esnault]], [[Eckart Viehweg]], p.5 of _Deligne-Beilinson cohomology_ in Rapoport, Schappacher, Schneider (eds.) _Beilinson's Conjectures on Special Values of L-Functions_ . Perspectives in Math. 4, Academic Press (1988) 43 - 91 ([pdf](http://www.uni-due.de/~mat903/preprints/ec/deligne_beilinson.pdf))

Review in the context of [[holomorphic line 2-bundles]] and [[Chern-Simons line 3-bundles]] is in

* {#Brylinski00} [[Jean-Luc Brylinski]], p. 15 of _Gerbes on complex reductive Lie groups_ ([arXiv:math/0002158](http://arxiv.org/abs/math/0002158))


[[!redirects Deligne line bundles]]
