
A [[complex number]] $z$ is __imaginary__ if it is not [[real number|real]]; it is __purely imaginary__ if its [[real part]] $\Re{z}$ is [[zero]].  For purposes of [[constructive mathematics]], we only accept $z$ as imaginary if its [[imaginary part]] $\Im{z}$ is [[apartness|apart from]] zero, or equivalently if $z$ is apart from $\Re{z}$.  This all generalizes to other kinds of [[hypercomplex numbers]].

People often get these two notions mixed up.  (For example, $2 + 3\mathrm{i}$ is imaginary but not purely imaginary; while $0$ is the unique purely imaginary number that is not imaginary.)  This may be because the imaginary numbers, as is typical for things defined by an [[inequality]], do not form an interesting collection as a whole (for example, they are not even closed under addition).  Compare [[irrational number]].

The purely imaginary numbers, on the other hand, form the [[Lie algebra]] $\mathfrak{u}(1)$.  Often people substitute $\mathbb{R}$ (the algebra of real numbers), which is simpler, when they only care about this Lie algebra up to [[isomorphism]].  However, using $\mathrm{i}\mathbb{R}$ (the algebra of purely imaginary numbers) makes $\mathfrak{u}(1)$ fit with the [[matrix]] formulas used in higher dimensions.

## Related concepts

* [[imaginary unit]]


[[!redirects imaginary number]]
[[!redirects imaginary numbers]]

[[!redirects purely imaginary number]]
[[!redirects purely imaginary numbers]]
