
[[!redirects second order logic]]
[[!redirects SOL]]

## Idea

_Second-order logic_(SOL) is an extension of [[first-order logic]] with quantifiers and variables that range over subsets of the universe of discourse, and hence is a [[higher-order logic]] of stage 2.

An important fragment is _Monadic Second-order logic_  (MSOL), where second-order quantification is restricted to second-order unary relations between subsets i.e. MSOL quantifies only over set predicates e.g. $\forall X.\varphi(X)$ but not $\forall X\forall Y .\varphi(X,Y)$.

##Remark
As SOL permits characterization of mathematical structures up to isomorphism, it is sometimes promoted as a contender to [[set theory]] for the [[foundations of mathematics]] (cf. references).

## References

* Wikipedia, _[Second-order logic](http://en.wikipedia.org/wiki/Second-order_logic)_

* Stewart Shapiro, _Do Not Claim Too Much: Second-Order Logic and First-Order Logic_ , Phil. Math. **3** no. 7 (1999) pp.42-64 . ([pdf](http://www.accionfilosofica.com/misc/1214145300crs.pdf))

* [[Jouko Väänänen]], _Second-order Logic and Foundations of Mathematics_ , BSL **7** no. 4 (2001) pp.504-520. ([ps](http://www.math.ucla.edu/~asl/bsl/0704/0704-003.ps)) 

* [[Jouko Väänänen]], _Second-order logic, set theory, and the foundations of mathematics_ , Ms. ([pdf](http://www.math.helsinki.fi/logic/people/jouko.vaananen/second_order_or_set_theory.pdf))