
# Abstract model theory
* table of contents
{: toc}

## Idea

_Abstract model theory_ is the study of the general properties of the [[model theory]] of extensions of (classical untyped) [[first-order logic]].

Originally motivated by _[[Lindström's theorem]]_ that characterizes first-order logic, the field has subsequently been extended to provide alternative characterizations and include different logics within its range.

The basic concept of abstract model theory is that of an _abstract logic_
which is  a triple $\mathcal{L}=(S,\Phi ,\models)$ where $\models$ is a binary relation between the class of $\mathcal{L}$-'structures' $S$ and the class of $\mathcal{L}$-'sentences' $\Phi$ to be thought of as minimalistic version of the _satisfaction_ relation.

##Remark
As the logical relations studied by abstract model theory are of a functorial nature, some category theory entered the picture already in Barwise (1974). The theory of [[institutions]], aka _institution-independent model theory_ (Diaconescu 2008), constitutes abstract categorical model theory proper. In a similar abstract categorical vein is the approach to [[geometric theories]] described in Johnstone (2002, sec. B4.2).


## References

* Wikipedia, _[Abstract model theory](http://en.wikipedia.org/wiki/Abstract_model_theory)_

* Jon Barwise, _Axioms for abstract model theory_ , Annals of Mathematical Logic 7 pp.221-265, 1974.

* Barwise, Feferman (eds.), _Model-theoretic Logics_ , Springer Heidelberg 1985 (freely available online: [toc](http://projecteuclid.org/euclid.pl/1235417263#toc)) .

* Razvan Diaconescu, _Institution-independent Model Theory_ , Birkhäuser Basel 2008.

* Marta García-Matos, [[Jouko Väänänen]], _Abstract Model Theory as a Framework for Universal Logic_ , Logica Universalis 2005 pp.1-33 ([draft](http://www.math.helsinki.fi/logic/opetus/lt/unilog2005_proofs.pdf)) .

* [[Peter Johnstone]], _[[Sketches of an Elephant]] vol. I_ , Oxford UP 2002.

* [[Jouko Väänänen]], _The Craig Interpolation Theorem and abstract model  theory_ , Synthese  164:401 (2008) (freely available online)