
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Analysis
+-- {: .hide}
[[!include analysis - contents]]
=--
#### Higher algebra
+-- {: .hide}
[[!include higher algebra - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

A Banach ring is a [[complete space|complete]] [[normed ring]], hence a [[commutative monoid]] in the [[monoidal category]] of complete [[normed groups]] (with [[short map|short]] group homomorphisms and the [[projective tensor product]]).

If not just in complete normed groups but in complete [[normed vector spaces]] ([[Banach spaces]]), then this is a [[Banach algebra]].

The [[Berkovich spectrum]] of a Banach ring $R$ is the [[topological space]] of multiplicative [[seminorms]] on $R$ that are bounded by the norm on $R$.


## Examples

* The [[integers]] $\mathbb{Z}$ equipped with their [[absolute value]] [[norm]] ${\vert- \vert_\infty}$ are a Banach ring.

* The integers with the $p$-adic norm ${|-|_p}$ are an incomplete normed ring whose completion is the Banach ring $\mathbb{Z}_p$ of $p$-[[adic integers]].


## Related concepts

[[!include analytic geometry ingredients -- table]]


## References

A quick review is in

* [[Sarah  Brodsky]], _Non-archimedean geometry_ ([pdf](http://math.berkeley.edu/~sstich/MAT_274/Math_274_3_Feb_2012.pdf))

A standard textbook account in the context of [[rigid analytic geometry]] is

* {#BoschGuntzerRemmert84} [[Siegfried Bosch]], [[Ulrich Güntzer]], [[Reinhold Remmert]], section 1.2.4 of _[[Non-Archimedean Analysis]] -- A systematic approach to rigid analytic geometry_, 1984 ([pdf](http://math.arizona.edu/~cais/scans/BGR-Non_Archimedean_Analysis.pdf))

A set of lecture notes in the context of [[Berkovich spaces]] is

* [[Vladimir Berkovich]], section 1.2 of _Non-archimedean analytic spaces_, lectures at the _Advanced School on $p$-adic Analysis and Applications_, ICTP, Trieste, 31 August - 11 September 2009 ([pdf](http://www.wisdom.weizmann.ac.il/~vova/Trieste_2009.pdf))

Discussion from a more [[topos theory|topos-theoretic]] point of view is in

* {#BassatKremnitzer13} [[Oren Ben-Bassat]], [[Kobi Kremnizer]], section 6.5 of _Non-Archimedean analytic geometry as relative algebraic geometry_ ([arXiv:1312.0338](http://arxiv.org/abs/1312.0338))


category: analysis

[[!redirects Banach ring]]
[[!redirects Banach rings]]

[[!redirects complete normed ring]]
[[!redirects complete normed rings]]
