
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Analytic geometry
+--{: .hide}
[[!include analytic geometry -- contents]]
=--
#### Topos Theory
+-- {: .hide}
[[!include topos theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

While [[p-adic numbers]] and other [[non-archimedean fields]] may be [[complete topological space|complete]] with respect to the [[norm]] [[topology]] induced from their [[non-archimedean valuation]], this [[topology]] is generally not a useful topology on the [[affinoid domains]] over these spaces. For instance [[analytic continuation]] does not in general exist for these topologies. 

To remedy this ([Tate 71](#Tate71)) introduced a 
[[Grothendieck topology]] for such [[analytic spaces]] with respect to which there is a good [[analytic geometry]], namely what is called _[[rigid analytic geometry]]_.

This is simple the Grothendieck topology whose [[coverings]] are the covers by [[affinoid domain embeddings]]. It should probably be called the _Tate topology_. But in ([Bosch-Güntzer-Remmert 84,section 9.1.4](#BoschGuntzerRemmert84)) it is called the _G-topology_ (where actually "G" is short for "Grothendieck"...) and since then that name stuck.

## References

The concept was introduced in

* {#Tate71} [[John Tate]], _Rigid analytic spaces_, Invent. Math. __12__:257–289, 1971

A standard textbook account is in section 9 of

* {#BoschGuntzerRemmert84} S. Bosch, U. Güntzer, [[Reinhold Remmert]], section 9.1 of _[[Non-Archimedean Analysis]] -- A systematic approach to rigid analytic geometry_, 1984 ([pdf](http://math.arizona.edu/~cais/scans/BGR-Non_Archimedean_Analysis.pdf))

Lectures notes in the context of [[Berkovich analytic spaces]] include

* {#Berkovich09} [[Vladimir Berkovich]], section 3.2 of _Non-archimedean analytic spaces_, lectures at the _Advanced School on $p$-adic Analysis and Applications_, ICTP, Trieste, 31 August - 11 September 2009 ([pdf](http://www.wisdom.weizmann.ac.il/~vova/Trieste_2009.pdf))


In theorem 8.14 of

* {#BassatKremnitzer13} [[Oren Ben-Bassat]], [[Kobi Kremnizer]],  _Non-Archimedean analytic geometry as relative algebraic geometry_ ([arXiv:1312.0338](http://arxiv.org/abs/1312.0338))

the G-topology is re-derived from more general abstract grounds.

