
#Contents#
* table of contents
{:toc}

## Idea

The _Hermitean Yang-Mills connection_ or _Hermite-Einstein connection_ is a [[connection on a vector bundle]] on a [[complex vector bundle]] over a base space with [[almost complex structure]] and [[almost Hermitean structure]] such that its [[curvature]] 2-form is of [[Dolbeault complex|Dolbeault-type]] $(1,1)$  and, finally,the contraction of the almost Hermitean structure with the curvature 2-form is proportional to the identity bundle endomorphism (see e.g. [Popov 09 (2.5)](http://arxiv.org/abs/0907.0106v2)).

## Properties

### Relation to (semi-)stable vector bundles

The [[Donaldson-Uhlenbeck-Yau theorem]] ([Uhlenbeck-Yau 86](UhlenbeckYau86)) relates [[moduli]] of Hermite-Einstein connections over compact [[Kähler manifolds]] to [[stable vector bundle|(semi-)stable vector bundles]].

The [[Kobayashi-Hitchin correspondence]] generalizes this to more general [[complex manifolds]].

## References

* {#UhlenbeckYau86} [[Karen Uhlenbeck]], [[Shing-Tung Yau]], _On the existence of Hermitean Yang-Mills-connections on stable bundles over Kähler manifolds_, Comm. Pure Appl. Math. 39 (1986)  257-293


* {#LuciaGomez09} Ignacio Sols Lucía, Tomás L. Gómez , _The Hermite-Einstein equation and stable principal bundles (an updated survey)_ Geometriae Dedicata, 139 (1). 83-98 . (2009) ([web](eprints.ucm.es/20127/)) 
 

* [pdf](http://www.math.mcgill.ca/bsmith/Notes.pdf)

[[!redirects Hermite-Einstein connections]]

[[!redirects Hermitean Yang-Mills connection]]
[[!redirects Hermitean Yang-Mills connections]]

[[!redirects Hermitian Yang-Mills connection]]
[[!redirects Hermitian Yang-Mills connections]]