
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--


# Contents
* table of contents
{: toc}

## Idea

Numbers like $\sqrt{3}$ and ${}^5\sqrt{3}$ look tied to the usual integers: indeed they are obtained from an integer number by doing operation of 2nd or 5th root. 
More generally, we can start with the usual integer numbers and do similar algebraic operations, namely form monic polynomials with such integer coefficients
and search for roots in a larger ring, obtaining 
generalized integers as solutions of a monic polynomial equation, which makes sense in an arbitrary commutative ring. 
If we look for solutions of monic equations within $\mathbb{Q}$, the field of rationals, we get nothing new, just the usual integers. 
Thus the __integral elements in a ring__ generalize integers in 
wide context and form a "ring of integers" within a larger ring.
This generalizes the standard [[integers]] inside the [[field]] of [[rational numbers]] to various situations like [[number fields]] and [[local field|local]] [[non-archimedean fields]]. 

## Definition

### General definition

In any unital ring $R$ one can identify the ring $\mathbb{Z}$ with the subring
$\{ n 1_R | n\in\mathbb{Z}\}\subseteq R$ of all multiples $\pm 1_R, \pm (1_R+1_R), \pm(1_R+1_R+1_R),\ldots$ of the unit element $1_R$. The ring $R$ is then a left and right module over $\mathbb{Z}$ via the multiplication with
the corresponding multiple of unit, that is $n.m = (n 1_R)\cdot m$. 

An __integer__ in a commutative ring $R$ is any element
$r\in R$ which satisfies equation $P(r) = 0$ 
where $P$ is a nontrivial [[polynomial]] whose coefficients are multiplies of $1_R$ and the top degree coefficient is $1_R$ (in other words, a [[root]] of a monic polynomial in $R$ with the coefficients in $\mathbb{Z}$). 
It can be checked that the set of integers
(also said to be integral elements) in $R$ (also said the _ring of integers of_ $R$) is closed with respect to addition, multiplication and taking the negative of an element, hence a subring of $R$, which is moreover containing the usual integers $\mathbb{Z} 1_R$ as unique solutions for $x\in R$ of equations $1_R \cdot x - n 1_R = 0$.

### Notation in number theory

The subring of integers in an [[algebraic number field]] $K$ (a [[finite number|finite]]-[[dimension|dimensional]] [[field extension]] of $\mathbb{Q}$), is often denoted $\mathcal{O}_K \hookrightarrow K$. In a [[local field|local]] [[non-archimedean field]] $F$, then its ring of integers is often denoted $\mathcal{O}_F$.

## Properties in a number field
 {#OfANumberField}

Alternatively, an element $\alpha \in K$ is an __[[algebraic integer]]__ if the subring $\mathbb{Z}[\alpha] \hookrightarrow K$ generated by $\alpha$ is of [[finite number|finite]] [[rank]] over $\mathbb{Z}$. This makes it plain that the [[algebraic integers]] themselves form a [[ring]]: if $\alpha, \beta \in \mathcal{O}_K$ are integral, then both $\alpha - \beta$ and $\alpha \beta$ are contained in the image of the induced map $\mathbb{Z}[\alpha] \otimes \mathbb{Z}[\beta] \to K$, which is also of finite rank. 

## Properties in a local non-archimedean field
 {#OfANonArchimedeanField}

Given a [[local field|local]] [[non-archimedean field]] $F$, then its ring of integers $\mathcal{O}_F$ is the subring of elements of [[norm]] $\leq 1$. 

If $F$ is the [[formal completion]] of a [[number field]] $K$, then the ring of integers of $F$ is the formal completion of the ring of integers of $K$.

## Examples

* For $K = \mathbb{Q}$ the [[rational numbers]] then $\mathcal{O}_{\mathbb{Q}} \simeq \mathbb{Z}$ is the [[commutative ring]] of ordinary [[integers]].


* For $p$ any [[prime]] and $\mathbb{Q}_p$ the [[formal completion]] of $\mathbb{Q}$ at $p$, hence the [[p-adic numbers]], then the ring of integers of $\mathbb{Q}_p$ is $\mathbb{Z}_p$, the [[p-adic integers]].

* For $K$ the [[Gaussian numbers]] then $\mathcal{O}_K$ is the ring of [[Gaussian integers]].

* The ring of integers of the field $\mathbb{F}_q((t))$ of [[Laurent series]] with [[coefficients]] in a [[finite field]] is the ring of [[formal power series]] $\mathbb{F}_q[ [t] ]$.

## Properties

### General

A ring of integers is a [[Dedekind domain]].

### Function field analogy

[[!include function field analogy -- table]]


## References

* Wikipedia, _[Ring of integers](http://en.wikipedia.org/wiki/Ring_of_integers)_

The following paper shows that the subset of integers is definable in $\mathbb{Q}$ by a universal first-order formula in the language of rings.

* Jochen Koenigsmann, _Defining $\mathbb{Z}$ in $\mathbb{Q}$_, Annals of Mathematics,  **183**, issue 1 (2016) pp 73-93, doi:[10.4007/annals.2016.183.1.2](http://dx.doi.org/10.4007/annals.2016.183.1.2), arXiv:[1011.3424](https://arxiv.org/abs/1011.3424)


[[!redirects ring of integers]]
[[!redirects rings of integers]]
[[!redirects ring of algebraic integers]]
[[!redirects rings of algebraic integers]]
[[!redirects integral element in a ring]]