
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Topos Theory
+--{: .hide}
[[!include topos theory - contents]]
=--
=--
=--

[[!redirects Myhill-Schanuel topos]]
[[!redirects Schanuel Topos]]

# Contents
* automatic table of contents goes here
{:toc}


##Idea
The **Schanuel topos** (also called the _Myhill-Schanuel topos_) is the [[Grothendieck topos]] of combinatorial functors. It plays an important role in [[computer science]] in the theory of name-binding calculi and in [[William  Lawvere]]'s approach to petit toposes. It can be viewed as a categorical variant of the [[Fraenkel-Mostowski model]] of [[set theory]].

##Definition
The _Schanuel topos_ is the [[sheaf topos]] $Sh(FinSet^{op}_{mono},J)$ where $FinSet^{op}_{mono}$ is the opposite of the category of finite sets and monomorphisms and the coverage is the collection of all sieves generated by singletons $\{f\}\quad.$

##Properties

* The objects of the Schanuel topos are called [[nominal set|nominal sets]] and correspond precisely to the pullback preserving functors $FinSet_{mono}\to Set$.

* The Schanuel topos $Sh(FinSet^{op}_{mono},J)$ is [[atomic topos|atomic]] over $Set$ ([[Stephen Schanuel|S. Schanuel]], cf. (Wraith 1978), p.335) hence Boolean. This fact can be viewed as a reflex of the _urelements_ in Fraenkel-Mostowski set theory.

* $Sh(FinSet^{op}_{mono},J)$ is the [[classifying topos]] $Set[D_\infty]$ for the [[theory of infinite decidable objects]] $D_\infty$ i.e. for a Grothendieck topos $\mathcal{E}$ geometric morphisms $\mathcal{E}\to Sh(FinSet^{op}_{mono},J)$ correspond to infinite [[decidable objects]] in $\mathcal{E}$. $Sh(FinSet^{op}_{mono},J)$ is equivalent to $Sh_{\neg\neg}([FinSet_mono,Set])$.

* $Sh(FinSet^{op}_{mono},J)$ is the category of continuous actions for the group of bijections of $N$ equipped with the topology derived from the product topology for $\prod_{N}N\quad .$

* $Sh(FinSet^{op}_{mono},J)$ is the [[Kleisli category]] of the monad on the topos of [[species]] $Set^{FinSet_{iso}}$ induced by the inclusion of finite sets and bijections $FinSet_{iso}\hookrightarrow FinSet_{mono}$ (cf. Fiore-Menni 2004).

### Remark

For some information on the history of the Schanuel topos see section 10 of Menni ([2009, pp.529f](#Menni09)).

##Related Concepts

* [[nominal set]]

* [[locally decidable topos]]

* [[theory of decidable objects]]

* [[Fraenkel-Mostowski model]]

* [[permutation model]]

* [[atomic topos]]

* [[species]]

##References

* [[Marcelo Fiore|M. Fiore]], [[Matias Menni|M. Menni]], _Reflective Kleisli Subcategories of the Category of Eilenberg-Moore Algebras for Factorization Monads_ , TAC **15** no. 2 (2004) pp.40-65. ([pdf](http://www.tac.mta.ca/tac/volumes/15/2/15-02.pdf))

* M. J. Gabbay, [[Andrew Pitts|A. M. Pitts]], _A new approach to abstract syntax with variable binding_, Formal Aspects of Computing **13** (2002) pp.341-363. ([draft](http://www.cl.cam.ac.uk/~amp12/papers/newaas/newaas-jv.pdf))

* [[Peter Johnstone]], _Sketches of an [[Elephant]] vols. I,II_, Oxford UP 2002. (pp.79f, 691, 925)

* [[F. William Lawvere]], _Qualitative Distinctions between some Toposes of Generalized Graphs_ , Cont. Math. **92** (1989). (pp.298f)

* [[Saunders Mac Lane|S. Mac Lane]], [[Ieke Moerdijk|I. Moerdijk]], _Sheaves in Geometry and Logic_ , Springer Heidelberg 1994. (pp.155, 158)

* {#Menni03}[[Matías Menni]], _About N-quantifiers_ , Appl. Cat. Struc. **11** (2003) pp.421-445. ([preprint](https://sites.google.com/site/matiasmenni/newQuantifiers.pdf?attredirects=0))

* {#Menni09}[[Matías Menni]], _Algebraic categories whose projectives are explicitly free_ , TAC **22** no.20 (2009) pp.509-541. ([abstract](http://www.tac.mta.ca/tac/volumes/22/20/22-20abs.html))

* Sam Staton, _Name-passing process calculi: operational models and structural operational semantics_, Technical Report **688** CL University Cambridge 2007. ([pdf](https://www.cl.cam.ac.uk/techreports/UCAM-CL-TR-688.pdf))

* [[Gavin Wraith|G. Wraith]], _Intuitionistic Algebra: Some Recent Developments of Topos Theory_ , Proc. ICM Helsinki (1978) pp.331-337. ([pdf](http://www.mathunion.org/ICM/ICM1978.1/Main/icm1978.1.0331.0338.ocr.pdf))