
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Linear algebra
+-- {: .hide}
[[!include homotopy - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A [[vector space]] is _finite-dimensional_ if it admits a [[finite set|finite]] [[basis]]. The category [[FinVect]] of finite-dimensional vector spaces is of course the [[full subcategory]] of [[Vect]] whose objects are finite-dimensional. 

## Properties

### Compact closure
 {#CompactClosure}

+-- {: .num_prop}
###### Proposition

A vector space $V$ is finite-dimensional precisely if the [[hom-functor]] $\hom(V, -): Vect \to Set$ preserves [[filtered colimits]]. 

=--

+-- {: .proof}
###### Proof

Every vector space $W$ is the  [[filtered colimit]] of the [[diagram]] of finite-dimensional subspaces $W' \subseteq W$ and inclusions between them; applying this to $W = V$, the condition that $\hom(V,-)$ preserves filtered colimits implies that the canonical comparison map 

$$colim_{fd\; V' \subseteq V} \hom(V, V') \to \hom(V, V)$$ 

is an [[isomorphism]], so some element $[f]$ in the colimit represented by $f: V \to V'$ gets mapped to $1_V$, i.e., $i \circ f = 1_V$ for some inclusion $i: V' \hookrightarrow V$. This implies $i$ is an isomorphism, so that $V$ is finite-dimensional. 

In the converse direction, observe that $\hom(V, -)$ has a [[right adjoint]] (and in particular preserves filtered colimits) if $V$ is finite-dimensional. 

To see this, first notice that the [[dual vector space]] $V^\ast$ of [[functionals]] $f: V \to k$ to the [[ground field]] is a [[dual object]] to $V$ in the [[monoidal category]] sense, so that there is a [[counit of an adjunction|counit]] $eva \colon V^\ast \otimes V \to k$ taking $f \otimes v \mapsto f(v)$. The [[unit of an adjunction|unit]] is uniquely determined from this counit and can be described using any basis $e_i$ of $V$ and dual basis $f_j$ as the map 

$$k \to V \otimes V^\ast$$ 

taking $1 \mapsto \sum_i e_i \otimes f_i$. We thus have an adjunction $(- \otimes_k V) \; \dashv (- \otimes V^\ast)$, which is [[mate|mated]] to an [[adjunction]] $\hom(V, -) \dashv \hom(V^\ast, -)$ by familiar hom-tensor adjunctions; thus $\hom(V, -)$ has a right adjoint. 

=--

This means that

+-- {: .num_prop}
###### Proposition

Finite-dimensional vector spaces are exactly the [[compact objects]] of [[Vect]] in the sense of [[locally presentable categories]], but also the compact = [[dualizable objects]] in the sense of [[monoidal category]] theory. In particular the category [[FinVect]] is a [[compact closed category]]. 

=--

## Related concepts

* [[finite abelian category]]

* [[Schur functor]]

* [[finite quantum mechanics in terms of dagger-compact categories]]

[[!redirects finite-dimensional vector space]]
[[!redirects finite-dimensional vector spaces]]
[[!redirects finite dimensional vector space]]
[[!redirects finite dimensional vector spaces]]
