
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Complex geometry
+-- {: .hide}
[[!include complex geometry - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Definition

A _[[branched cover]] of the [[Riemann sphere]]_ $\mathbb{C}P^1$ is a [[compact topological space|compact]] [[connected topological space|connected]] [[Riemann surface]] $\Sigma$ equipped with a non-[[constant function|constant]] [[holomorphic function]]

$$
 \phi: \Sigma \longrightarrow \mathbb{C}P^1
  \,.
$$ 

If we think of $\Sigma$ as retrievable from its [[field]] of [[meromorphic functions]] (see for example [Mumford](#Mum)), then each such map $\phi$ is dual to a [[field extension]] $\mathbb{C}(t) \hookrightarrow Func(\Sigma)$; this is an _algebraic_ field extension. The dual map $\phi$ is [[surjective map|surjective]], and restricts to a [[covering space]] projection after removing all the (finitely many) [[ramification point|ramification points]] of $\phi$. 


## Properties

By the [[Riemann existence theorem]], every connected compact [[Riemann surface]] admits the [[structure]] of a branched cover of the Riemann sphere. ([MO discussion](http://mathoverflow.net/a/53286/381))


## References

* Brian Ossermann, _Branched covers of the Riemann sphere_ ([pdf](https://www.math.ucdavis.edu/~osserman/rfg/290W/branched-covers.pdf))

* David Mumford, _Curves and their Jacobians_, U. Michigan Press (1977). 
 {#Mum} 


[[!redirects branched cover of Riemann sphere]]
[[!redirects branched covers of Riemann sphere]]
[[!redirects branched cover of a Riemann sphere]]
[[!redirects branched covers of a Riemann sphere]]
[[!redirects branched covers of Riemann spheres]]
[[!redirects branched cover of the Riemann sphere]]
[[!redirects branched covers of the Riemann sphere]]
