
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Geometry
+--{: .hide}
[[!include higher geometry - contents]]
=--
#### Bundles
+-- {: .hide}
[[!include bundles - contents]]
=--
=--
=--

#Contents#
*  table of contents
{:toc}

## Idea


A "branched" or "ramified" covering spaces is much like a plain [[covering space]], only that over isolated points in the base space -- called the _branch point_ or _ramification points_ -- sheets of the covering may merge.


The archetypical examples in [[complex analysis]] and here the most archetypical example of all is the [[graph of a function|graph]] of (any choice of) the  [[square root]] function on the [[complex plane]], which is a double cover away from the point at the origin, but including the origin it is a branched double cover with branch point that origin

[[Isbell duality|Dually]] branching is reflected in [[rings of functions]] by [[ramification of ideals]].

Notably under the [[function field analogy]] one may also understand [[ramification of ideals]] in [[number fields]] as encoding branched coverings ("over Spec([[F1]])")

## Examples

* [[branched cover of Riemann sphere]]

* [[ramified extension]]

## Related concepts

* [[covering space]]


## References

* Wikipedia, _[Branched covering](http://en.wikipedia.org/wiki/Branched_covering)_

* {#Neukirch92} [[Jürgen Neukirch]], _Algebraische Zahlentheorie_ (1992), English translation _Algebraic Number Theory_,  Grundlehren der Mathematischen Wissenschaften 322, 1999 ([pdf](http://www.plouffe.fr/simon/math/Algebraic%20Number%20Theory.pdf))


[[!redirects branched covers]]

[[!redirects branched covering]]
[[!redirects branched coverings]]

[[!redirects branched covering space]]
[[!redirects branched covering spaces]]

[[!redirects ramified cover]]
[[!redirects ramified covers]]

[[!redirects ramified]]

[[!redirects ramification]]
[[!redirects ramifications]]

[[!redirects branch point]]
[[!redirects branch points]]

[[!redirects ramified extension]]
[[!redirects ramified extensions]]

[[!redirects unramified extension]]
[[!redirects unramified extensions]]


