
#Contents#
* table of contents
{:toc}

## Idea

Ramification of [[ideals]] through [[ring]]/[[algebra]] [[homomorphisms]] is the [[Isbell duality|dual]] incarnation of [[branch points]] of [[branched covering spaces]].

## Definition

Given a [[ring]] [[injection]] $i \colon B \to A$ (for instance the inclusion of $\mathcal{O}_K$ in $\mathcal{O}_L$, where $K \to L$ is a [[field extension]] and $\mathcal{O}_K$ (resp. $\mathcal{O}_L$) is the [[ring of integers]] of $K$ (resp. $L$)), then a [[prime ideal]] $J \subset B$ is said to be _ramified in $A$_ if $\iota(J) A\subset A$ is not a prime ideal anymore. 

Here $\iota(J)A$ will be a product of powers of [[prime ideals]] of $A$, and the _ramification index_ of $J$ at a prime ideal of $A$ is the power with which this appears.

## Examples

* Under the [[function field analogy]] ramifications of [[algebraic number fields]] as [[field extensions]] of the [[rational numbers]] are [[analogy|analogous]] to [[branched covers of the Riemann sphere]] in [[complex geometry]].

## Related concepts

* [[Kummer's theorem]]

* [[unramified morphism]]

* [[formally unramified morphism]]

## References

* {#Snyder02} [[Noah Snyder]], section 1.5.2 of _Artin L-Functions: A Historical Approach_, 2002 ([pdf](http://www.math.columbia.edu/~nsnyder/thesismain.pdf))


[[!redirects ramified ideal]]
[[!redirects ramified ideals]]


[[!redirects ramified extension]]
[[!redirects ramified extensions]]