
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Analysis
+-- {: .hide}
[[!include analysis - contents]]
=--
=--
=--

* [[Eric Schechter]], 

  _Handbook of Analysis and its Foundations_

  Academic Press (1996)

  ([errata](http://www.math.vanderbilt.edu/~schectex/ccc/addenda/))

on [[analysis]].

***

Schechter\'s _[Handbook of Analysis and its Foundations](http://www.math.vanderbilt.edu/~schectex/ccc/)_ is a large book, intended for self study by beginning graduate students or senior-level undergraduates, on all of the basic topics of abstract [[analysis]] and then some.  Its logical flow is very much like that of [[Bourbaki]], but focussed on that which applies to analysis and written in a modern style.  Except for the slightly broken index (check the [errata](http://www.math.vanderbilt.edu/~schectex/ccc/addenda/)!), it is very user-friendly, with sketched proofs phrased as exercises with hints, many examples (eventually), and abundant cross references.  It is also extremely self contained; the only prerequisite is mathematical maturity, and the first section even helps with that!

It begins, as the name implies, with [[foundations]]: not only the usual naïve [[set theory]], but also a discussion of [[ZFC]], [[constructive mathematics]], and enough [[model theory]] to do [[nonstandard analysis]].  There is special emphasis on the [[axiom of choice]]; throughout the book, it is explicitly pointed out whenever anything beyond [[dependent choice]] and [[excluded middle]] is required.  (The axioms of [[axiom of replacement|replacement]] and [[axiom of foundation|foundation]], on the few occasions when they appear, are also pointed out, so logically the book takes place in ${Z^-} + {DC}$.)

The book then moves on to [[algebra]], moving from [[monoid]]s to [[field]]s, on the grounds that such algebra also serves as a foundation for analysis.  This culminates in a treatment of [[category theory]]; this is somewhat unsatisfactory (although very good for an analysis book!) and is not much more than Bourbaki\'s theory of structures reinterpreted as a theory of [[concrete category|concrete categories]].  After algebra comes [[topology]], and then analysis proper.

Those aspects of analysis that do not depend on the theory of the [[real number]]s are also covered when appropriate in the set-theory and algebra sections of the book; thus [[topological space]]s and convex sets (for example) are defined early, although they are not thoroughly studied until later (after the foundational parts are finished).  The analysis in the book is soft and abstract, on the grounds that this material serves as the proper foundation for hard results in concrete cases.  However, many concrete examples are given to illustrate the abstract ideas.  The breadth of topics covered, even within analysis itself, is quite wide; from [[convergence space]]s to [[ultrabarrel]]s, from the [[Henstock integral]] to the [[Brouwer fixed-point theorem]], it has it all.

But everything must stop somewhere; it does not cover [[complex analysis]].


## Contents

*  Part A:  Sets and Orderings (Chapters 1--7)
*  Part B:  Algebra (Chapters 8--14)
*  Part C:  Topology and Uniformity (Chapters 15--21)
*  Part D:  Topological Vector Spaces (Chapters 22--30)

1.  Sets
2.  Functions
3.  Relations and Orderings
4.  More About Sups and Infs
5.  Filters, Topologies, and Other Sets of Sets
6.  Constructivism and Choice
7.  Nets and Convergences
8.  Elementary Algebraic Systems
9.  Concrete Categories
10. The Real Numbers
11. Linearity
12. Convexity
13. Boolean Algebras
14. Logic and Intangibles
15. Topological Spaces
16. Separation and Regularity Axioms
17. Compactness
18. Uniform Spaces
19. Metric and Uniform Completeness
20. Baire Theory
21. Positive Measure and Integration
22. Norms
23. Normed Operators
24. Generalized Riemann Integrals
25. Fréchet Derivatives
26. Metrization of Groups and Vector Spaces
27. Barrels and Other Features of TVS’s
28. Duality and Weak Compactness
29. Vector Measures
30. Initial Value Problems


category: reference, analysis

[[!redirects HAF]]
[[!redirects Handbook of analysis and its foundations]]