
#Contents#
* table of contents
{:toc}

## Idea

The _Weil zeta function_ is a [[zeta function]] for [[arithmetic varieties]] over [[finite fields]] which, under the [[function field analogy]], is [[analogy|analogous]] to the [[Dedekind zeta function]] for [[number fields]] $K$ (and hence of the [[Riemann zeta function]], for $K = \mathbb{Q}$).

The (proof of the) [[Weil conjectures]] concerns the properties of the Weil zeta function.

## Properties

### Relation to other zeta-, theta- and L-functions 

[[!include zeta-functions and eta-functions and theta-functions and L-functions -- table]]

### Function field analogy

[[!include function field analogy -- table]]

## References

Introductions and lecture notes include

* [[Marc Hindry]], section 2.3 of _Introduction to zeta and $L$-functions from arithmetic geometry and some applications_  ([pdf](http://www.math.jussieu.fr/~hindry/Notes_rev_Brasilia.pdf))

* Daqing Wan, _Lectures on zeta functions over finite fields_, 2007 ([pdf](http://www.math.uci.edu/~dwan/gottingen.pdf))

* E. Kowalski, section 1.6 in _Automorphic forms, L-functions and number theory (March 12–16) Three Introductory lectures_ ([pdf](http://www.math.ethz.ch/~kowalski/lectures.pdf))


[[!redirects Weil zeta functions]]
