
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Arithmetic geometry
+--{: .hide}
[[!include arithmetic geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

One proposal for a precise realization of the idea of "absolute" [[arithmetic geometry]] over [[F1|Spec(F1)]] is _Borger's absolute geometry_ ([Borger 09](#Borger09)). Here the structure of a [[Lambda-ring]] on a ring $R$, hence on its [[spectrum of a commutative ring|spectrum]] $Spec(R) \to Spec(\mathbb{Z})$,  is interpreted as a collection of lifts of all [[Frobenius morphisms]] and hence as [[descent]] data for descent to $Spec(\mathbb{F}_1)$ (which is defined thereby).  This definition yields an [[essential geometric morphism]] of [[gros topos|gros]] [[etale toposes]]

$$
  Et(Spec(\mathbb{Z}))
   \stackrel{\overset{}{\longrightarrow}}{\stackrel{\overset{}{\longleftarrow}}{\underset{}{\longrightarrow}}}
  Et(Spec(\mathbb{F}_1))
  \,,
$$

where on the right the notation is just suggestive, the [[topos]] is a suitable one over [[Lambda-rings]]. Here the middle [[inverse image]] is the [[forgetful functor]] which forgets the Lambda structure, and its [[right adjoint]] [[direct image]] is given by the [[ring of Witt vectors]] construction and may be thought of as producing [[arithmetic jet spaces]]. In this sense the [[adjoint triple]] here would be directly analogous to the [[base change]] along the [[unit of a monad|unit]] of an [[infinitesimal shape modality]] whose induced [[comonad]] is the [[jet comonad]].

This proposal seems to subsume many aspects of other existing proposals (see e.g. [Le Bruyn 13](#LeBruyn13)) and stands out as yielding an "absolute [[base topos]]" $Et(Spec(\mathbb{F}_1))$ which is rich and genuinely interesting in its own right.

## Motivation
 {#Motivation}

The following is an attempt to motivate or make intuitively clear why lifts of [[Frobenius morphisms]] may be related to "abolute geometry" over [[F1]].

First of all, the [[function field analogy]] says that $\mathbb{Z}$ is analogous to the [[polynomial ring]] $k[z]$ over a finite field $k$, as well as to the ring $\mathcal{O}_{\mathbb{C}}$ of ([[entire function|entire]]) [[holomorphic functions]] on the [[complex plane]].

To make this analogy more concrete, notice that one characteristic property of the rings $k[z]$ and $\mathcal{O}_{\mathbb{C}}$, witnessing
their affine-ness in one variable, is that they carry a canonical [[derivation]], namely $\frac{\partial}{\partial z}$, and that the [[ground field]] is recovered as the [[quotient]] by the [[ideal]] generated by $z$. More to the point, for each [[maximal ideal]] $(z-x)$ there is the
first order translation operator $\mathrm{id} + (z-x)\frac{\partial}{\partial (z-x)}$ and the quotient by its difference from the
identity is the [[residue field]] of functions at the point $x$.

Therefore if $\mathbb{Z}$ is analogous to $k[z]$ and to $\mathcal{O}_{\mathbb{C}}$, then it ought to
admit analogous operators, one for each of its [[maximal ideals]] $(p)$ given by a [[prime number]] $p \in \mathbb{Z}$.
Remarkably, such a collection of operations indeed exists on $\mathbb{Z}$: the $p$-power operations
$(-)^p : \mathbb{Z} \to \mathbb{Z}$ (acting on the underlying set of $\mathbb{Z}$) which by
[[Fermat's little theorem]] is indeed of the above form
$$
  (-)^p : n \mapsto n^p = n + p \cdot\partial_p n
  \,.
$$

Here the expression
$\partial_p n \in \mathbb{Z}$ is uniquely defined by this equation, it is given by the [[Fermat quotient]] operation

$$
  \partial_p : n \mapsto \partial_p n \coloneqq \frac{n^p - n}{p}
  \,.
$$

Hence by [[analogy]] it makes sense to think of $\partial_p : \mathbb{Z} \to \mathbb{Z}$ as being like a [[derivation]] on $\mathrm{Spec}(\mathbb{Z})$ -- it is called a _[[p-derivation]]_.
This is the beginning of the theory of _[[arithmetic differential equations]]_ ([Buium 05](#Buium05)).

More generally, a $k[z]$-algebra $A$ is to be thought of as a space $\mathrm{Spec}(A)$ over $\mathrm{Spec}(k[z])$.
The canonical [[derivation]] on the latter canonically lifts to the former, and is given by the same
formula: $\mathrm{id} + (z-x)\frac{\partial}{\partial (z-x)}$. This exhibits the fact that
$\mathrm{Spec}(A) \to \mathrm{Spec}(k[z])$ is simply a [[product]] of
$\mathrm{Spec}(A/(z)) \to \mathrm{Spec}(k)$ with the [[affine line]] $\mathbb{A}_k = \mathrm{Spec}(k[z])$ over the [[ground field]] $k$.
Analogously, any [[commutative ring]] $R$ is to be thought of as a space $\mathrm{Spec}(R)$ over $\mathrm{Spec}(\mathbb{Z})$ and the above arithmetic translation operator canonically
lifts to $\mathrm{Spec}(R)$, by the same formula: $a \mapsto a^p$.
However, inspecting this one finds that not only is the derivation-like part lifted non-trivially, but also the identity-part is lifted in general to some [[homomorphism]]: in particular if $R$ is an $\mathbb{F}_p$-[[associative algebra|algebra]], so that $\mathrm{Spec}(R)$
is [[support|supported]] over the point $\mathrm{Spec}(\mathbb{F}_p)$ in $\mathrm{Spec}(\mathbb{Z})$, then the standard fact that in [[positive characteristic|characteristic]] $p$ the
$p$-power operation is a ring homomorphism now means that
the derivation-like action vanishes here, as expected from the analogy, but that a pure homomorphism part covering the identity remains --  the [[Frobenius homomorphism]] $\mathrm{Frob}_p$.
If by some abuse of notation we allow ourselves to write [[Isbell duality|formally dual]] morphisms for maps between rings that are not necessarily homomorphisms, then this situation is, possibly, usefully visualized as follows.
$$
  \array{
    \mathrm{Spec}(R)
    &\stackrel{\mathrm{Frob}_p + 0}{\longrightarrow}
    &
    \mathrm{Spec}(R)
    \\
    \downarrow && \downarrow
    \\
    \mathrm{Spec}(\mathbb{F}_p)
    &\stackrel{\mathrm{id} + 0}{\longrightarrow}
    &
    \mathrm{Spec}(\mathbb{F}_p)
    \\
    \downarrow && \downarrow
    \\
    \mathrm{Spec}(\mathbb{Z})
    &\stackrel{\mathrm{id} + p \cdot \partial_p}{\longrightarrow}
    &
    \mathrm{Spec}(\mathbb{Z})
  }
$$

This suggests that we are to think of the operation $(-)^p = \mathrm{id} + p \cdot \partial_p$ on $\mathrm{Spec}(\mathbb{Z})$
not just as analogous to the identity transformation plus a derivation, but as analogous to the sum of a general finite transformation plus a derivation. In other words, a lift
of this operation to some $\mathrm{Spec}(R)$ is to be a choice of ring homomorphism
$\Phi : R \to R$ (a "finite translation")
in addition to a derivation-like operation $\partial_p : R \to R$ (the "infinitesimal translation"), such that
$$
  (-)^p = \Phi + p \cdot\partial_p
  \,.
$$
As before, when $p$ is invertible in $R$, hence away from the fiber over $\mathrm{Spec}(\mathbb{F}_p)$,
then $\partial_p$ is uniquely fixed by this equation once $\Phi$ is chosen, and hence
it is $\Phi$ alone which is to be chosen on $R$. A pair $(R,\Phi)$ satisfying the above
equation is equivalently a "$\Lambda_p$-ring" (see at _[[Lambda ring]]_). Or rather, by the analogy we are to lift
the whole collection of operators $\mathrm{id} + p \cdot\partial_p$ for all primes $p$ and hence are to ask that $\Phi$ satisfies the above equation for all $p$ and hence defines
for all primes $p$ the derivation-like operator (function on the underlying set of $R$)
$$
  \partial^\Phi_p  \coloneqq \frac{(-)^p - \Phi}{p} : R \to R
  \,.
$$
This is the general form of an "[[arithmetic jet space|arithmetic differential operator]]", see for instance the first pages of ([Buium 13](#Buium13)) for review.

In terms of the abuse of notation already employed previously, this situation is usefully visualized as follows.
$$
  \array{
    \mathrm{Spec}(R)
    &\stackrel{\Phi + p\cdot \partial^{\Phi}_p}{\longrightarrow}
    &
    \mathrm{Spec}(R)
    \\
    \downarrow && \downarrow
    \\
    \mathrm{Spec}(\mathbb{Z})
    &\stackrel{\mathrm{id} + p\cdot \partial_p}{\longrightarrow}
    &
    \mathrm{Spec}(\mathbb{Z})
  }
$$

A ring $R$ equipped with such an endomorphism $\Phi$ is equivalently a [[Lambda ring]] (an insight highlighted by [[James Borger]]).
In this way a $\Lambda$-ring structure
on a commutative ring $R$ is the [[arithmetic geometry]]-analog of exhibiting $\mathrm{Spec}(R) \to \mathrm{Spec}(\mathbb{Z})$ as being like a product by the [[affine line]] over the
non-existent field $\mathbb{F}_1$ of a map to "$\mathrm{Spec}(\mathbb{F}_1)$".
This should be one way to think of how $\Lambda$-rings
embody "geometry over $\mathbb{F}_1$" as proposed in ([Borger 09](#Borger09)).

Finally notice that the refinement of the $(-)^p$-operation from [[arithmetic geometry]] to [[E-infinity arithmetic geometry]] is given by the [[power operations]] in [[multiplicative cohomology theory]] ([Lurie, remark 2.2.9](#Lurie))

## Definition

> under construction

Write [[CRing]] for the [[category]] of (finitely generated) [[commutative rings]] and $\Lambda Ring$ for that of [[Lambda-rings]].

By the discussion at _[here](Lambda-ring#FreeAndCofreeLambdaRings)_
the [[forgetful functor]]
$U \;\colon\; \Lambda Ring \longrightarrow CRing$
from [[Lambda-rings]] to [[commutative rings]] has 

* a [[left adjoint]], given by forming the ring $Symm$ of [[symmetric functions]];

* a [[right adjoint]] given by forming the [[ring of Witt vectors]] $W$.

$$
  (Symm \dashv U \dashv Witt)
  \;\colon\;
  \Lambda Ring
   \stackrel{\overset{Symm}{\leftarrow}}{\stackrel{\overset{U}{\longrightarrow}}{\overset{Witt}{\leftarrow}}}
  CRing
  \,.
$$

Hence 

* [[rings of Witt vectors]] are the _[[co-free functors|co-free]] Lambda-rings;

* rings of [[symmetric functions]] are the [[free construction|free]] Lambda-rings.

Regarding $Ring^{op}$ as a [[site]] for [[arithmetic geometry]], the order of the adjoints is reversed by forming [[opposite categories]]

$$
  (Witt \dashv U \dashv Symm)
  \;\colon\;
  CRing^{op}
   \stackrel{\overset{Witt}{\longrightarrow}}{
     \stackrel{\overset{U}{\longleftarrow}}{
       \overset{Symm}{\longrightarrow}
     }
   }
  \Lambda Ring^{op}
  \,.
$$


Write $Spec(\mathbb{Z})_{et}$ for $CRing^{op}$ equipped with the [[etale topology]]. Hence

$$
  Et(Spec(\mathbb{Z}))
  \coloneqq
  Sh(Spec(\mathbb{Z})_{et})
$$

is the [[gros topos|gros]] [[etale topos]] of [[arithmetic geometry]]. 

Put a compatible [[Grothendieck topology]] on $\Lambda Ring^{op}$(...) and write the resulting [[site]] $Spec(\mathbb{F}_1)_{et}$.

In analogy we write

$$
  Et(Spec(\mathbb{F}_1))
  \coloneqq
  Sh(Spec(\mathbb{F}_1)_{et})
$$

and speak of the "[[etale topos]] over $Spec(\mathbb{F}_1)$", or the "absolute [[base topos]]" or something like this. 

The above [[adjoint triple]] on sites then induces a sequence of adjoint functors on the [[categories of presheaves]] by left and right [[Kan extension]]

$$
  PSh(Spec(\mathbb{Z})_{et})
  \stackrel{\stackrel{Witt_!}{\longrightarrow}}{
    \stackrel{\stackrel{U_! \simeq Witt^\ast}{\longleftarrow}}{
      \stackrel{\stackrel{Symm_! \simeq U^\ast \simeq Witt_\ast}{\longrightarrow}}{
        \stackrel{\stackrel{Symm^\ast \simeq U_\ast}{\longleftarrow}}{
          \stackrel{Symm_\ast}{\longrightarrow}
        }
      }
    }
  }
  PSh(Spec(\mathbb{F}_1)_{et})
$$

The top three restrict to sheaves

$$
  Sh(Spec(\mathbb{Z})_{et})
  \stackrel{\stackrel{Witt_!}{\longrightarrow}}{
    \stackrel{\stackrel{U_! \simeq Witt^\ast}{\longleftarrow}}{
      \stackrel{Symm_! \simeq U^\ast \simeq Witt_\ast}{\longrightarrow}
    }
  }
  Sh(Spec(\mathbb{F}_1)_{et})
$$


The induced [[adjoint pair]] of [[monad]]/[[comonad]] is

$$
  (W^\ast \dashv W_\ast)
  \coloneqq
  ( U_! \circ Witt_!  \dashv U_! \circ Witt_\ast)
  \,.
$$

[[infinitesimal disk bundle]] $\dashv$ [[jet comonad]]



## References

The original article which proposes the [[topos]] over [[Lambda-rings]] as a realization of [[F1]]-geometry is

* {#Borger09} [[James Borger]], _Lambda-rings and the field with one element_ ([arXiv/0906.3146](http://arxiv.org/abs/0906.3146))

This is based on technical details laid out in

* {#Borger08} [[James Borger]], _The basic geometry of Witt vectors, I: The affine case_ ([arXiv:0801.1691](http://arxiv.org/abs/0801.1691))

* {#Borger10} [[James Borger]], _The basic geometry of Witt vectors, II: Spaces_ ([arXiv:1006.0092](http://arxiv.org/abs/1006.0092))

More discussion relating to this includes

* {#LeBruyn13} [[Lieven Le Bruyn]], _Absolute geometry and the Habiro topology_ ([arXiv:1304.6532](http://arxiv.org/abs/1304.6532))

Related discussion of [[arithmetic jet spaces]] is in 

* {#Buium05} [[Alexandru Buium]], _Arithmetic differential equations_, volume 118 of Mathematical Surveys and Monographs. American Mathematical Society, Providence, RI, 2005.

* {#Buium13} [[Alexandru Buium]], _Differential calculus with integers_ ([arXiv:1308.5194](http://arxiv.org/abs/1308.5194), [slighly differing pdf](http://www.math.unm.edu/~buium/statupdated.pdf))

Related discussion of [[power operations]] in [[E-infinity arithmetic geometry]] is around remark 2.2.9 of  

* {#Lurie} [[Jacob Lurie]], _[[Rational and p-adic Homotopy Theory]]_

Further discussion of and speculation on an analogy between [[power operations]] and Borger's absolute geometry is in 

* [[Pierre Guillot]], _Adams operations in cohomotopy_ ([arXiv:0612327](http://arxiv.org/abs/math/0612327))

* {#MoravaSanthanam} [[Jack Morava]], Rakha Santhanam, _Power operations and Absolute geometry_ ([pdf](http://www.lemiller.net/media/slidesconf/AbsolutePower.pdf))


[[!redirects Borger absolute geometry]]

[[!redirects Borger geometry]]
[[!redirects Borger geometries]]