
# Fixed and movable singularities
* table of contents
{: toc}

Given an [[ordinary differential equation]] (ODE) for an analytic function from a domain in the complex plane (or on a Riemann surface) to the complex numbers, a point is a __fixed singularity__ if it is a [[singular point]] of every solution of the ODE and a __movable singularity__ if the position of the singular point depends on the solution (or equivalently on the initial conditions).

For example, the [[Ricatti equation]] $u'' + u^2 = 0$ has a general solution $u(z) = 1/(z-z_0)$, where $z_0\in\mathbb{C}$ is an arbitrary constant. The position of the pole is at $z_0$, hence it depends on a particular solution. 

An ODE satisfies the [[Painlevé property]] if all solutions are single-valued around every movable singularity.


## Related entries

Related entries include [[monodromy]], [[holomorphic function]], [[Riemann-Hilbert problem]], [[Painlevé transcendent]], [[Milnor fiber]], [[Stokes phenomenon]], [[semiclassical approximation]], [[Fuchsian equation]], [[hypergeometric function]], and [[Picard-Lefschetz theory]].


## References

* Martin D. Kruskal, Nalini Joshi, Rod Halburd, _Analytic and asymptotic methods for nonlinear singularity analysis: a review and extensions of tests for the Painlevé property_, 1996 [pdf](http://www.ucl.ac.uk/~ucahrha/Publications/Pond-97.pdf)

* Henryk Żołądek, _The monodromy group_, Monografie Matematyczne __67__, 588 pp. Birkhäuser 2006

* Vladimir V. Golubev, _Lekcii po analitičeskoi teorii differencial’nyh uravnenii_. 1ed 1941, 2nd ed. Moscow-Leningrad. 1950; German transl. _Vorlesungen ueber
Differentialgleichungen im Komplexen_, Deutsche Verlag Wissenschaft., 1958

As a possible generalization for PDEs,
one can consider _analytic movable singularity manifolds_ as in 

* J. Weiss, M. Tabor, G. Carnevale, _The Painlevé  property
for partial differential equations_, J. Math. Phys. __24__, 522–526 (1983)

category: analysis

[[!redirects movable singular point]]
[[!redirects movable singular points]]
[[!redirects movable singularity]]
[[!redirects movable singularities]]

[[!redirects fixed singular point]]
[[!redirects fixed singular points]]
[[!redirects fixed singularity]]
[[!redirects fixed singularities]]
