
> This entry is about traditional [[arithmetic geometry]] over [[higher local fields]]. For "[[E-∞ arithmetic geometry]]" see there.

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Arithmetic geometry
+--{: .hide}
[[!include arithmetic geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

the study of [[arithmetic geometry]] which concentrates on arithmetic schemes of higher dimensions and uses associated higher structures such as  [[higher local fields]], higher adelic structures, (commutative) higher class field theory and hence Milnor K-theory is often called higher arithmetic geometry.

The [[zeta functions]] in higher dimensional arithmetic geometry are called _[[arithmetic zeta functions]]_.


## Related concepts

* [[perfectoid space]]

## References

* [[Alexander Beilinson]], _Residues and adeles_, Funct. Anal. and Appl. 14(1980), 34-35

* [[Ivan Fesenko]], M. Kurihara (eds.), _Invitation to Higher Local Fields_, Geometry and Topology Monographs vol 3, Warwick 2000, 304 pp. ([web](https://www.maths.nottingham.ac.uk/personal/ibf/volume.html))

* [[Ivan Fesenko]], _Analysis on arithmetic schemes. I_,  Docum. Math. Extra Volume Kato (2003) 261--284 ([web] (http://www.mathematik.uni-bielefeld.de/documenta/vol-kato/fesenko.dm.html))

* [[Ivan Fesenko]], _Adelic approch to the zeta function of arithmetic schemes in dimension two_, Moscow Math. J. 8 (2008), 273–317 ([pdf](https://www.maths.nottingham.ac.uk/personal/ibf/ada.pdf))

* [[Ivan Fesenko]], _Geometric adeles and the Riemann–Roch theorem for 1-cycles on surfaces_ ([pdf](https://www.maths.nottingham.ac.uk/personal/ibf/ar.pdf))

* {#Fesenko06} [[Ivan Fesenko]], _Measure, integration and elements of harmonic analysis on generalized loop spaces_, Proc. of
St Petersburg Math. Soc. 12(2005), 179–199; English transl. in AMS Transl. Series 2, 219 (2006), 149–164 ([pdf](http://www.maths.nott.ac.uk/personal/ibf/aoh.pdf))

* [[Ivan Fesenko]],  G. Ricotta,  M. Suzuki, _Mean-periodicity and zeta functions_, Ann. L'Inst. Fourier, 62(2012), 1819-1887 ([pdf] (https://www.maths.nottingham.ac.uk/personal/ibf/m-p.pdf))

* K. Kato, Sh. Saito, Two-dimensional class field theory,
Adv. Stud. Pure Math., vol. 2, 1983, 103-152

* K. Kato and Sh. Saito, Global class field theory of arithmetic schemes,
 Contemp. Math., vol. 55 part I, 1986, 255-331

* M. Morrow, Grothendieck's trace map for arithmetic surfaces via residues and higher adeles, Algebra and Number Theory J., 6-7 (2012), 1503-1536

* A. Parshin, On the arithmetic of two dimensional schemes. I, Distributions and residues, Math. USSR Izv. 10(1976), 695-729

* A. Parshin,  Abelian coverings of arithmetic schemes, Dokl. Akad. Nauk SSSR  243(1978), no. 4, 855-858

* M. Suzuki, Two dimensional adelic analysis and cuspidal automorphic representations of $GL(2)$,  In Multiple Dirichlet Series, L-functions and automorphic forms, D. Bump, S. Friedberg, D. Goldfeld,  eds., Progress in Math. 300, pp.339-361, Birkhaeuser 2012

* [[Amnon Yekutieli]], _An explicit construction of the Grothendieck residue complex_, Asterisque 208, 1992.

See also the conference webpage

*  _[Symmetries and Correspondences: 
Higher Structures in Number Theory](https://www.maths.nottingham.ac.uk/personal/ibf/files/hsnt1.html)_, Oxford, July 2014

[[!redirects higher arithmetic geometry]]
