[[!redirects higher local fields]]

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Arithmetic geometry
+--{: .hide}
[[!include arithmetic geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}


## Idea

The concept of _higher local field_ is the generalization of that of _[[local field]]_ to higher _[[dimension]]_. They are the subject of [[higher arithmetic geometry]].

In particular two-dimensional local field are the analog of [[loop spaces]] in [[arithmetic geometry]].

Their examples are $\mathbb{C}((t))$, $\mathbb{R}((t))$, $\mathbb{Q}_p((t))$, $\mathbb{F}_q((t))((u))$, etc. All these are naturally associated to a full flag of subschemes on algebraic and arithmetic surfaces.

These fields are not locally compact with respect to any reasonable topology on them.  But they are topologically self-dual, similar to the classical local fields. 
For a collection of articles on all the main aspects of higher local fields known by 2000, see ([Invitation to Higher Local Fields](#HLF00)). For a survey of higher local fields and associated algebraic theories see ([Morrow12](#Morrow12)).

One of the main new developments is the theory translation invariant measure and integration on higher local fields, a higher Haar measure, see ([Fesenko03](#Fesenko03)), ([Fesenko06](#Fesenko06)), ([Morrow10](#Morrow10)). This measure takes values not in $\mathbb{C}$ but in $\mathbb{C}((X))$. Fourier transform with respect to this rigorously defined measure has many features similar to those of the Feynman [[path integral]], the latter still does not have a rigorous math justification, see ([Fesenko 06, sect. 18](#Fesenko06)).

## References

* Wikipedia, _[Higher local field](http://en.wikipedia.org/wiki/Higher_local_field)_

* {#HLF00} [[Ivan Fesenko]], M. Kurihara (eds.), _Invitation to Higher Local Fields_, Geometry and Topology Monographs vol 3, Warwick 2000, 304 pp. ([web](https://www.maths.nottingham.ac.uk/personal/ibf/volume.html))

* {#Fesenko03}[[Ivan Fesenko]], _Analysis on arithmetic schemes. I_,
Docum. Math. Extra Volume Kato (2003) 261-284; 
([web](https://www.maths.nottingham.ac.uk/personal/ibf/a1.pdf))

* {#Fesenko06} [[Ivan Fesenko]], _Measure, integration and elements of harmonic analysis on generalized loop spaces_,Proceed. St. Petersburg Math. Soc., Vostokov Festschrift, vol. 12 (2005), 179199;
English translation in AMS Transl. Series 2, vol. 219, 149–164, 2006 ([pdf](https://www.maths.nottingham.ac.uk/personal/ibf/aoh.pdf))

* {#Morrow10} M. Morrow, Integration on valuation fields
over local fields, arXiv:0712.2172, Tokyo J. Math. 33(2010),  235-281

* {#Morrow12} M. Morrow, An introduction to higher local fields and adeles, arXiv:1204.0586

For more on applications of higher local fields to fundamental open problems in arithmetic geometry see also

* {#Fesenko08} [[Ivan Fesenko]], _Adelic approch to the zeta function of arithmetic schemes in dimension two_, Moscow Math. J. 8 (2008), 273–317 ([pdf](https://www.maths.nottingham.ac.uk/personal/ibf/ada.pdf))