
**Paul J. Cohen** (1934-2007) was an American mathematician who received the [[Fields medal]] in 1966 for his groundbreaking work in [[set theory]].

In his proof of the independence of the [[continuum hypothesis]] from the [[ZFC]] axioms of set theory he introduced [[forcing]] into the arsenal of [[mathematical logic]] and [[model theory]]:

>It was in 1963 that we were hit by a real bomb, however, when Paul J. Cohen discovered his method of 'forcing'... Set theory could never be the same after Cohen, and there is simply no comparison whatsoever in the sophistication of our knowledge about models for set theory today as contrasted to the pre-Cohen area. One of the most striking consequences of his work is the realization of the extreme *relativity* of the notion of cardinal number. [[Dana Scott]] in (Bell 2005, p.xiv) 

From a broader perspective Cohen's results fit nicely into the landscape of relativising set theory and the rise of 'variable sets'in the work of [[Grothendieck]], [[Lawvere]] and [[Miles Tierney|Tierney]] on [[topos theory]] in the 60s and afterwards.

## Related pages

* [[forcing]]

* [[continuum hypothesis]]

## Links

* [Wikipedia entry](http://en.wikipedia.org/wiki/Paul_Cohen_%28mathematician%29)

## References

* [[John Bell|J. L. Bell]], _Set Theory - Boolean-Valued Models and Independence Proofs_ , Oxford Logic Guides **47** 3rd ed. Oxford UP 2005.

* [[Alonzo Church|A. Church]], _Paul J. Cohen and the Continuum Problem_, pp.15-20 in Proceedings ICM Moscow 1966. ([pdf](http://www.mathunion.org/ICM/ICM1966.1/Main/icm1966.1.0015.0020.ocr.pdf))

* P. J. Cohen, _The independence of the continuum hypothesis I_ , Proc.Nat.Acad.Sci. **50** (1963) pp.1143-1148. ([pdf](http://www.ncbi.nlm.nih.gov/pmc/articles/PMC221287/pdf/pnas00240-0135.pdf))

* P. J. Cohen, _The independence of the continuum hypothesis II_ , Proc.Nat.Acad.Sci. **51** (1963) pp.105-110. ([pdf](http://www.ncbi.nlm.nih.gov/pmc/articles/PMC300611/pdf/pnas00175-0117.pdf))

* P. J. Cohen, _Set Theory and the Continuum Hypothesis_ , Benjamin New York 1966. (Dover reprint 2008)

category:people

[[!redirects Paul Joseph Cohen]]
[[!redirects Paul Cohen]]
[[!redirects P. J. Cohen]]