
# Contents
* table of contents
{: toc}

## Idea

The _geometric Satake equivalence_ identifies for a suitable [[algebraic group]] $G$, and suitable [[local field]] $K$ with [[ring of integers]] $\mathcal{O}_K$, suitable functions on the [[double coset]]/[[Grassmannian]] $G(\mathcal{O}_K)\backslash G(K)/G(\mathcal{O}_K)$ with the [[representation ring]] of the [[Langlands dual group]] ${}^L G$.

Notice that the double coset appearing here is akin to that which controls the [[Langlands correspondence]], whose geometric meaning is discussed for instance at _[[Weil uniformization]]_ and at _[[function field analogy]]_.

## Related concepts

* [[geometric Langlands correspondence]]

* [[categorification via groupoid schemes]] -- [section on geometric Satake](categorification+via+groupoid+schemes#GeometricSatake)

## References

* Wikipedia, _[Satake isomorphism](http://en.wikipedia.org/wiki/Satake_isomorphism)_

* Benedict Gross, _On the Satake isomorphism_ ([pdf](http://www.math.harvard.edu/~gross/preprints/sat.pdf))

* [[Dennis Gaitsgory]], [Graduate Seminar. Geometric Representation theory. Fall 2009--Spring 2010](http://www.math.harvard.edu/~gaitsgde/grad_2009/), _Feb. 23: Affine Grassmannian-II: the Satake equivalence (Ryan Reich)_ ([pdf](http://www.math.harvard.edu/~gaitsgde/grad_2009/SeminarNotes/Feb23%28Gr-II%29.pdf))

* example 1.7 in these rough notes, apparently taken in some talk by [[Jacob Lurie]]: [[lurie.pdf:file]]


[[!redirects geometric Satake equivalence]]
[[!redirects geometric Satake equivalences]]

[[!redirects Satake isomorphism]]
[[!redirects Satake isomorphism]]

[[!redirects Satake equivalence]]
[[!redirects Satake equivalences]]

[[!redirects geometric Satake]]