
#Contents#
* table of contents
{:toc}

## Idea
 {#Idea}

Generally, a _functional equation_ is an [[equation]] between values of a [[function]] which serves to characterize that function.

Specifically one speaks of the functional equations which characterize the [[Riemann zeta function]], [[Jacobi theta functions]] and more generally [[zeta functions]], [[L-functions]]. These equations correspond, under [[Mellin transform]], to the "automorphy" of the [[theta functions]]/[[automorphic forms]] that they come from (e.g. [Gelbhart 84, starting p. 184](#Gelbhart84), see [Baez 05](#Baez05) for exposition). 

The generalization of Mellin transforms from [[automorphic forms]] to [[automorphic representations]] are [[automorphic L-functions]], and there are various complementary approaches to the proof of the functional equation of an [[automorphic L-function]]:

1. The first one, fully developed by Godement and Jacquet for the principal linear group, following closely the approach explained in Tate's thesis, is given by the use of Poisson summation formula. This approach extends to automorphic representations of classical groups by using Arthur's result on the [[Langlands functoriality]] of automorphic representations along an embedding $G\subset \GL_n$: the principal automorphic L-function (obtained by applying Godement-Jacquet to the transfered representation) associated to an automorphic representation of $G$ will fulfill the functional equation because of Poisson's summation formula.

1. Another one, explained in a quite general setting by Langlands, is given by evaluating at a given point the functional equation for Eisenstein series.

1. A different but very important approach was developed by Rankin-Selberg for $\mathrm{GL}_2$, and Piatetski-Shapiro and his school for more general groups, and has the advantage of allowing not only to get the functional equation, but also an important [[converse theorem]] that roughly says that an L-function is automorphic if and only if a given family of (Rankin-Selberg) L-functions
containing it fulfills the functional equation. This shows that automorphicity and the functional equation are deeply related, i.e., almost equivalent, when one formulates it precisely.

## Related concepts

* [[Poisson summation formula]]

## References

### General

(...)

Exposition includes

* {#Baez05} [[John Baez]], _[TWF 217](http://math.ucr.edu/home/baez/week217.html)_

* {#Gelbhart84} [[Stephen Gelbart]], _An elementary introduction to the Langlands program_,  Bull. Amer. Math. Soc. (N.S.) 10 (1984), no. 2, 177–219 ([web](http://www.ams.org/journals/bull/1984-10-02/S0273-0979-1984-15237-6/))


### For zeta functions and similar

* E. Kowalski, first part of _Automorphic forms, L-functions and number theory (March 12–16) Three Introductory lectures_ ([pdf](http://www.math.ethz.ch/~kowalski/lectures.pdf))


[[!redirects functional equations]]