

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Integration theory
+--{: .hide}
[[!include integration theory - contents]]
=--
#### Arithmetic geometry
+--{: .hide}
[[!include arithmetic geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The concept of _adelic integration_ is a concept of [[integration]] in [[arithmetic geometry]] over [[rings of adeles]].

This was introduced for [[arithmetic curves]] in ([Tate 50](#Tate50), [Iwasawa 52](#Iwasawa52), [Iwasawa 92](#Iwasawa92)) and used to establish [[analytic continuation]], [[functional equations]] and [[Euler product]]-form of [[L-functions]] and [[zeta functions]], see [below](#ZetaFunctions).  Here one speaks of _[[Iwasawa-Tate theory]]_. In ([Fesenko 08, chapter 3](#Fesenko08)) adelic integration is generalized to [[higher arithmetic geometry]]. A textbook account is in  ([Goldfeld-Hundley 11, section 2,2](#GoldfeldHundley11))).


## Examples

### Zeta functions and L-functions
 {#ZetaFunctions}

* The [completed Riemann zeta function](Riemann+zeta+function#TheCompletedZetaFunction) (see there) is naturally an adelic integral (reviewed e.g. in [Goldfeld-Hundley 11, (2.2.6)](#GoldfeldHundley11)).

For L-functions: [Wikipedia Rankin-Selberg method -- Modern adelic theory](http://en.wikipedia.org/wiki/Rankin&#8211;Selberg_method#Modern_adelic_theory)

### $p$-Adic string scattering amplitudes

In the context of [[p-adic string theory]] (see there) one considers adelic integral version of the [[Veneziano amplitude]] and of some further [[string scattering amplitudes]] for the [[open string]].

### Adelic path integral

Analogies with the [[Feynman path integral]] are pointed out in ([Fesenko 06, section 18](#Fesenko06))...

## Related entries

* [[Iwasawa-Tate theory]]

* [[Mellin transform]]

## References

The original articles are

* {#Tate50} [[John Tate]], _[[Fourier analysis in number fields, and Hecke's zeta-functions]]_, Algebraic Number Theory (Proc. Instructional Conf., Brighton, 1965), Thompson, Washington, D.C., pp. 305&#8211;34 1950

* {#Iwasawa52} {#Iwasawa92} [[Kenkichi Iwasawa]], _A note on functions_, Proc. ICM 1950, [link](http://www.mathunion.org/ICM/ICM1950.1) [MR0044534](http://www.ams.org/mathscinet-getitem?mr=0044534); _On the rings of valuation vectors_, Ann. Math. (II) 57:2 (Mar., 1953), pp. 331-356 [jstor](http://www.jstor.org/stable/1969863); Letter to [[Jean Dieudonne]] [link](http://books.google.com/books?ei=jyALTq-_L4nkiAL6zrHXAQ)



The generalization to [[higher arithmetic geometry]] and hence to [[arithmetic zeta functions]] is due to

* {#Fesenko06} [[Ivan Fesenko]], _Measure, integration and elements of harmonic analysis on generalized loop spaces_, Proc. of
St Petersburg Math. Soc. 12(2005), 179&#8211;199; English transl. in AMS Transl. Series 2, 219 (2006), 149&#8211;164 ([pdf](http://www.maths.nott.ac.uk/personal/ibf/aoh.pdf))

* {#Fesenko08} [[Ivan Fesenko]], chaper 3 of _Adelic approch to the zeta function of arithmetic schemes in dimension two_, Moscow Math. J. 8 (2008), 273&#8211;317 ([pdf](https://www.maths.nottingham.ac.uk/personal/ibf/ada.pdf))

* {#FesenkoAnalysisI} [[Ivan Fesenko]], _Analysis on arithmetic schemes I_ ([pdf](https://www.maths.nottingham.ac.uk/personal/ibf/a1.pdf))

* {#Fesenko10} [[Ivan Fesenko]], _Analysis on arithmetic schemes II_, Journal of K-theory 5: 437&#8211;557, 2010 ([pdf](https://www.maths.nottingham.ac.uk/personal/ibf/a2.pdf))

A textbook account is in 

* {#GoldfeldHundley11} [[Dorian Goldfeld]], [[Joseph Hundley]], chapter 2 of _Automorphic representations and L-functions for the general linear group_, Cambridge Studies in Advanced Mathematics 129, 2011 ([pdf](https://www.maths.nottingham.ac.uk/personal/ibf/text/gl2.pdf))


[[!redirects adelic integrals]]

[[!redirects adelic integration]]

[[!redirects idelic integral]]
[[!redirects idelic integrals]]

[[!redirects idelic integration]]