
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Arithmetic geometry
+--{: .hide}
[[!include arithmetic geometry - contents]]
=--
#### Integration theory
+--{: .hide}
[[!include integration theory - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

What has come to be called _Iwasawa-Tate theory_ is a method of expressing [[zeta functions]], [[L-functions]] and [[theta functions]] as [[adelic integrals]] over [[idele groups]] and deriving this way their fundamental properties such as their [[analytic continuation]], their [[functional equation]] and their [[Euler product]] form.

[[John Tate]] in his thesis ([Tate 50](#Tate50)) had generalized the notion of [[zeta function]] according to his advisor [[Emil Artin]] from "the sum over integral ideals of certain type of ideal character" to

> the [[adelic integral]] over the [[idèle group]] of a rather general weight function times the idèle character which is trivial on field elements. The role of Hecke's complicated theta-formulas for [[theta functions]] formed over a lattice in $n$-dimensional space of classical number theory can be played by a simple [[Poisson formula]] for general function of valuation vectors, summed over the discrete subgroup of field elements

[[Kenkichi Iwasawa]] in [Iwasawa 5x](#Iwasawa50) has rediscovered and extended this approach using the wider study of [[invariant integration]] on locally compact groups over ideles. It is distinguished from the related but different subject of [[Iwasawa theory]] (cf. [wikipedia](http://en.wikipedia.org/wiki/Iwasawa_theory))

## Related entries

* [[adelic integration]], [[locally compact group]], [[Fourier analysis]], [[zeta function]], [[L-function]], [[ring of adeles]], [[group of ideles]]

## References


The original articles are

* {#Tate50} [[John Tate]], _Fourier analysis in number fields, and Hecke’s zeta-functions_, Princeton, May 1950, thesis; reproduced in _Algebraic Number Theory_ (Proc. Instructional Conf., Brighton, 1965) pp. 305–347, Acad, Press 1967 
[MR0217026](http://www.ams.org/mathscinet-getitem?mr=0217026)

* {#Iwasawa50} [[Kenkichi Iwasawa]], _A note on functions_, Proc. ICM 1950, [link](http://www.mathunion.org/ICM/ICM1950.1) [MR0044534](http://www.ams.org/mathscinet-getitem?mr=0044534); _On the rings of valuation vectors_, Ann. Math. (II) 57:2 (Mar., 1953), pp. 331-356 [jstor](http://www.jstor.org/stable/1969863); Letter to [[Jean Dieudonne]] [link](http://books.google.com/books?ei=jyALTq-_L4nkiAL6zrHXAQ)

Reviews include

* {#Garrett11} [[Paul Garrett]], _Iwasawa-Tate on ζ-functions and L-functions_, 2011
([pdf](http://www-users.math.umn.edu/~garrett/m/mfms/notes_c/Iwasawa-Tate.pdf))


* cyclopaedia.info, _[Iwasawa-Tate theory](http://www.cyclopaedia.info/wiki/Iwasawa-Tate-theory-1)_

* Wikipedia, _[Tate's thesis](http://en.wikipedia.org/wiki/Tate%27s_thesis)_



  _Bibliographic fragments concerning Iwasawa-Tate theory_, ([pdf](http://www-users.math.umn.edu/~garrett/m/v/iwasawa-tate))

Further developments include

* [[David Wright]], _Twists of the Iwasawa-Tate zeta function_, Math. Zeitschrift 200:2, pp 209-231, 1989  ([[WrightIwasawaTate.pdf:file]])

[[!redirects Tate's thesis]]

[[!redirects Fourier analysis in number fields, and Hecke’s zeta-functions]]
[[!redirects Fourier analysis in number fields and Hecke’s zeta-functions]]

[[!redirects Fourier analysis in number fields, and Hecke's zeta-functions]]