
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Arithmetic geometry
+--{: .hide}
[[!include arithmetic geometry - contents]]
=--
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The _Bost-Connes system_ ([Bost-Connes 95](#BostConnes95)) is the [[semigroup]] [[crossed product C*-algebra]] $C^\ast(\mathbb{Q}/\mathbb{Z})\rtimes \mathbb{N}^\times$ equipped with a canonical 1-parameter flow $t\mapsto\exp(-t H)$, and as such thought of as a [[quantum mechanical system]].

The point is that the [[partition function]] of this system is the [[Riemann zeta function]] ([Bost-Connes 95, theorem 5 (c) (page 6)](#BostConnes95)). 

[[Alain Connes]] has proposed that via this relation there might be a way to shed insight on the [[Riemann hypothesis]] using tools from [[quantum mechanics]] and [[statistical mechanics]] ([Connes-Marcolli 06](#ConnesMarcolli06)). See also at _[[Riemann hypothesis and physics]]_.


## References

The original article is

* {#BostConnes95} [[Jean-Benoit Bost]]; [[Alain Connes]], _Hecke algebras, type III factors and phase transitions with spontaneous symmetry breaking in number theory_, Selecta Mathematica. New Series 1 (3): 411–457, (1995) doi:10.1007/BF01589495, ISSN 1022-1824, MR 1366621 ([pdf](http://www.alainconnes.org/docs/bostconnesscan.pdf))

A review is in 

* {#ConnesMarcolli06} [[Alain Connes]], [[Matilde Marcolli]], section 22 of _A walk in the noncommutative garden_ ([arXiv:0601054](http://arxiv.org/abs/math/0601054))

Further developments include

* Marcelo Laca, Sergey Neshveyev, Mak Trifkovic, _Bost-Connes systems, Hecke algebras, and induction_ ([arXiv:1010.4766](http://arxiv.org/abs/1010.4766))

An abstract generalization is proposed in

* Matilde Marcolli, Goncalo Tabuada, _Bost-Connes systems, categorification, quantum statistical mechanics, and Weil numbers_, [arxiv/1411.3223](http://arxiv.org/abs/1411.3223)
