
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Theta functions
+--{: .hide}
[[!include theta functions - contents]]
=--
#### Complex geometry
+--{: .hide}
[[!include complex geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The _Riemann theta functions_ are a special class of [[theta functions]].
They are [[coordinate]]-expressions for the (essentially unique) [[holomorphic sections]] of certain [[line bundles]] over [[Jacobian varieties]] of [[compact topological space|compact]] [[Riemann surfaces]] $\Sigma$.

As such these are functions of two parameters, a complex modulus $\mathbf{\tau}$ varying in the [[Siegel upper half-space]] and encoding the [[complex structure]] on $\Sigma$, as well as a parameter $\mathbf{z}$ varying in $\mathbb{C}^g$ and encoding a point in the [[Jacobian variety]] $\mathbb{C}^g/\mathbb{Z}^g$. As such the Riemann theta functions are the local coordinate expressions of the covariantly constant sections of the [[Hitchin connection]] on the [[moduli space of Riemann surfaces]] (for [[circle group]] [[gauge group]]) ([Hitchin 90, remark 4.12](#Hitchin90)).

The [[partition function]] of a [[2d CFT]]/[[string]] is naturally a Riemann theta function ([AlvaresGaume-Moore-Vafa 86](#AlvaresGaumeMooreVafa86)).

## Related concepts

* [[Theta characteristic]]

## References

A standard account is 

* {#Mumford83} [[David Mumford]], _Tata Lectures on Theta_, Birkhäuser 1983

Review includes

* Wikipedia, _[Riemann theta function](http://en.wikipedia.org/wiki/Theta_function#Riemann_theta_function)_

A review with an eye towards the interpretation of the Riemann theta functions as [[partition functions]] of [[2d CFT]]/[[string]] models is in 


* {#AlvaresGaumeMooreVafa86} [[Luis Alvarez-Gaumé]], [[Gregory Moore]], [[Cumrun Vafa]], _Theta functions, modular invariance, and strings_, Communications in Mathematical Physics Volume 106, Number 1 (1986), 1-4 ([Euclid](http://projecteuclid.org/euclid.cmp/1104115581))

Discussion as covariantly constant sections of the [[Hitchin connection]] is in 

* {#Hitchin90} [[Nigel Hitchin]], _Flat connections and geometric quantization_, : Comm. Math. Phys. Volume 131, Number 2 (1990), 347-380. ([Euclid](http://projecteuclid.org/euclid.cmp/1104200841))


[[!redirects Riemann theta functions]]
