
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Theta functions
+--{: .hide}
[[!include theta functions - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Definition

For $\tau \mapsto f(\tau)$ a suitably well-behaved [[function]] of a single [[variable]], its _Mellin transform_ is the function given by the [[integral]] expression

$$
  s \mapsto \int_0^\infty \tau^{s-1} f(\tau) \; d\tau
 \,.
$$

## Examples

### Of the exponential function

For the [[exponential function]] $\exp(-(-)A)$ the Mellin transform is proportional to the inverse [[power]] $A^{-(-)}$

$$
  \int_0^\infty \tau^{s-1} \exp(-\tau A) \,d\tau
  =
  (s-1)! \, A^{-s}
  \,.
$$

For $s = 1$ this has a [[complex number|complex]] analougue given by the [[Fourier transform]] of the [[Heaviside distribution]] ([this example](Cauchy+principal+value#RelationToFourierTransformOfHeavisideDistribution)).

In [[perturbative quantum field theory]], especially in the computation of [[propagators]] such as the [[Feynman propagator]], this formula is known as the _[[Schwinger parameterization]]_ for $A^{-s}$, leading to the "[[worldline formalism]]". See below at _[1-Loop amplitudes](#1LoopVacuumAmplitudes)_.

### Zeta functions

A [[zeta function]]/[[L-function]] is the [[analytic continuation]] of the Mellin transform of the corresponding [[theta function]].

In particular it sends the [[Jacobi theta function]] to the (completed) [[Riemann zeta function]]:

$$ \hat \zeta(s) = \int_0^\infty t^{s-1} \hat \theta(t) \, d t $$

More generally, the Mellin transform appears as a stage in the expression of [[zeta functions]] as [[adelic integrals]] in [[Iwasawa-Tate theory]].

### 1-loop vacuum amplitudes
 {#1LoopVacuumAmplitudes}

[[1-loop vacuum amplitudes]] in [[quantum field theory]] are analytically continued Mellin transforms of [[partition functions]]. Here the parameter $\tau$ is called the _[[Schwinger parameter]]_ and the Mellin transform turns the [[worldline formalism]]-picture into the [[Feynman propagator]]-picture.

$$ Tr H^{-s} = \int_0^\infty t^{s-1} Tr\, \exp(- t H) \, d t \,. $$ 

## Examples

### Zeta functions

* [[zeta function of an elliptic differential operator]]

* [[Riemann zeta function]]

## Related concepts

* [[Laplace transform]]

* [[Fourier transform]]

* the generalization of Mellin transforms from [[automorphic forms]] to [[automorphic representation]] is the concept of [[automorphic L-function]]

## References

* Wikipedia, _[Mellin transform](http://en.wikipedia.org/wiki/Mellin_transform)_

* Wikipedia, _[Schwinger parameterzation](https://en.wikipedia.org/wiki/Schwinger_parametrization)_

* [[Joel Shapiro]], _Schwinger trick and Feynman parameter_, 2007 ([pdf](https://www.physics.rutgers.edu/grad/615/lects/schwingertrick.pdf))

For the [[adelic integral]]-version see at _[[Iwasawa-Tate theory]]_.

For [[function fields]]:

* [[David Goss]], _A formal Mellin transform in the arithmetic of function fields_, Transactions of the AMS, volume 327, Number 2, October 1991 ([pdf](http://www.ams.org/journals/tran/1991-327-02/S0002-9947-1991-1041048-5/S0002-9947-1991-1041048-5.pdf))

For the appearance in  [[physics]] as integrals over [[Schwinger parameters]] producing [[Feynman propagators]] see

* [[Joel Shapiro]], _Schwinger trick and Feynman parameters_ ([pdf](https://www.physics.rutgers.edu/grad/613/615lects/schwingertrick.pdf))

* Stefan Weinzierl, section 4.2.1 of _Mathematical aspects of particle physics_, 2010 ([pdf](http://wwwthep.physik.uni-mainz.de/~stefanw/download/script_thep2.pdf))

[[!redirects Mellin transforms]]

[[!redirects Schwinger parameter]]
[[!redirects Schwinger parameters]]

[[!redirects Schwinger parameterization]]
[[!redirects Schwinger parameterizations]]

[[!redirects Schwinger parameterisation]]
[[!redirects Schwinger parameterisations]]
