
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

**Hermann Cohen** (1842-1918) was a German Philosopher of Jewish origin. He was one of the main protagonists of the _Marburg school of neo-Kantianism_ together with _Paul Natorp_ and _[[Ernst Cassirer]]_.

Cohen's _'[Kants Theorie der Erfahrung](#Cohen71)'_ (1871) is widely viewed as a founding document of **neo-Kantianism**, the 'return to Kant' (O. Liebmann 1865), that dominated German academic philosophy until the 1920s.

The second edition of 1883 contains a famous exegesis of the 'principles of anticipations of perceptions' from Kant's 'Kritik der reinen Vernunft' where Cohen proposes to identify Kant's _intensive quantities_ of consciousness with [[infinitesimals]] in a mathematical sense which serve as a principle on which the reality (of all perceptions) is based. (For more on this main work see the introduction [Edel (1987)](#Edel87).)

_'Das Prinzip der Infinitesimal-Methode und seine Geschichte'_ ([Cohen 1883](#Cohen83)) seeks to corroborate this programmatic transcendental-philosophical interpretation of the 'generation of reality from the inifinitesimally small' in the natural sciences by a detailed discussion of the historical development of the concept of continuity or [[infinitesimal objects]] in mathematics and physics. (See [Katz-Mormann (2013)](#KM13) for the role that these ideas have played in the Marburg school.)

Cohen's views on the role of continuity have affinities with Hegelianism (see at _[[Science of Logic]]_) and related ideas by [[Charles Sanders Peirce|C. S. Peirce]] and may be viewed as philosophical complement to [[F.W. Lawvere]]'s concept of [[infinitesimal generation]] for [[cohesive toposes]] (although the latter explicitly rejected the idealist idea of generation of reality from pure thought).

## Related entries

* [[cohesion]]
* [[synthetic differential geometry]]
* [[infinitesimal]]
* [[William Lawvere]]
* [[Ernst Cassirer]]
* [[Charles Sanders Peirce]]

## Links

* [Stanford Encyclopedia of Philosophy entry](http://plato.stanford.edu/entries/cohen/)
* [Wikipedia entry (German)](http://de.wikipedia.org/wiki/Hermann_Cohen)
* [Wikipedia entry](http://en.wikipedia.org/wiki/Hermann_Cohen)
* [Homepage of G. Edel](http://www.geert-edel.de/)

Most of Cohen's writings in their German original are digitally available via

* [Wikisource entry (German)](https://de.wikisource.org/wiki/Hermann_Cohen)

## References

* {#Cohen71}H. Cohen, _Kants Theorie der Erfahrung_ , Dümmler Berlin 1871. (strongly revised editions in 1883 and 1918)

* {#Cohen83}H. Cohen, _Das Prinzip der Infinitesimal-Methode und seine Geschichte_ , Berlin 1883.

* H. Cohen, _Logik der Reinen Erkenntnis_ , Berlin 1902. 

* {#Edel87}G. Edel, _Einleitung zu 'Herman Cohen: Kants Theorie der Erfahrung'_ , pp.8-59 in Cohen, _Werke 1_ , Olms Hildesheim 1987. ([preprint](http://www.geert-edel.de/Texte/Ed1.pdf))

* G. Edel, _Hermann Cohen und die analytische Philosophie der Gegenwart_ , pp.179-203 in R. Brandt, F. Orlik (eds.), _Philosophisches Denken – Politisches Wirken. Hermann Cohen Kolloquium Marburg 1992_, Olms Hildesheim 1993.
([preprint](http://www.geert-edel.de/Texte/Text4.pdf))

* [[Gottlob Frege|G. Frege]], _Rezension von: [Cohen 1883](#Cohen83)_, Z.Phil.Phil.Kr. **87** (1885) pp.324-329, reprinted on pp.99-102 in Frege, _Kleine Schriften_ , Olms Hildesheim 1990.

* H.-G. Gadamer, _Festrede zum 100. Geburtstag von Paul Natorp gehalten am 24.1.1954_ , pp.XI-XVII in Natorp, _Philosophische Systematik_ , Meiner Hamburg 1958. 

* {#KM13}M. G. Katz, T. Mormann, _Infinitesimals as an issue in neo-Kantian philosophy of science_ , arXiv:1304.1027v1 (2013) . ([pdf](http://arxiv.org/pdf/1304.1027v1))

* [[F. W. Lawvere]], _Toposes of Laws of Motion_ , Talk Montreal 1997.

* [[Bertrand Russell| B. Russell]] , _The Principles of Mathematics_ , Routledge London 1992[1903/1937²]. (ch.XLI)

category:people