
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

In [[quantum field theory]] (and [[string theory]]) the [[scattering amplitudes]] ([[string scattering amplitudes]]) "where nothing external scatters," hence for no incoming and no outgoing states, are called _[[vacuum]] amplitudes_. 

## Properties

### As generating functionals for all other amplitudes

As functions of [[source]] fields, the vacuum amplitudes, or rather the _[[vacuum energy]]_, serve as the [[generating functionals]] for all [[correlators]]/[[n-point functions]] (e.g. [Scrucca, 1.6](#Scrucca)).

### One loop contribution and zeta functions
 {#OneLoopContributionAndZetaFunction}

The 1-loop vacuum amplitudes are [[regularization (physics)|regularized]] [[traces]] over [[Feynman propagators]]/[[Dirac propagators]]. These are the incarnations of [[special values of L-functions|special values]] of [[zeta functions]], [[L-functions]] and [[eta functions]] in [[physics]]:

[[!include zeta-functions and eta-functions and theta-functions and L-functions -- table]]

### Vanishing of the vacuum amplitude and supersymmetry

In the presence of [[supersymmetry]] 1-loop vacuum amplitudes are typically supposed to vanish.

For the [[type II superstring]], see e.g. ([Palti](#Palti)). For the [[heterotic superstring]] see e.g. [Han 89](#Han89).

In view of the [above](#OneLoopContributionAndZetaFunction) relation of 1-loop vacuum amplitudes to [[special values of L-functions]] such vanishing reminds one of the [[Riemann hypothesis]]. See ([ACER 11](#ACER11)).


## Related concepts

* **[[vacuum]]**

  * [[vacuum state]], [[Hadamard state]]

  * [[interacting vacuum]]

  * [[vacuum expectation value]], [[vacuum amplitude]], [[vacuum fluctuation]]

  * [[vacuum energy]]

  * [[vacuum diagram]]

  * [[vacuum stability]]

  * [[false vacuum]], [[tachyon]], [[Coleman-De Luccia instanton]]

  * [[theta vacuum]]

  * [[perturbative string theory vacuum]]

  * [[landscape of string theory vacua]]

* [[Riemann hypothesis and physics]]

## References

### For particles

Discussions for [[particles]] includes


* {#Scrucca} Claudio Scrucca, _Advanced quantum field theory_ [pdf](http://itp.epfl.ch/webdav/site/itp/users/181759/public/aqft.pdf)


* Ori Yudilevich, _Calculating Massive One-Loop Amplitudes in QCD_, Utrecht 2009 ([pdf](http://testweb.science.uu.nl/ITF/teaching/2009/Ori%20Yudilevich.pdf))

* Robbert Rietkerk, _One-loop amplitudes in perturbative  quantum field theory_, Utrecht 2012 ([pdf](http://www.nikhef.nl/pub/theory/masters-theses/robbert_rietkerk.pdf))

### For strings

Lecture notes for 1-loop vacuum amplitudes for [[strings]] (vacuum [[string scattering amplitudes]]) include

* {#Edelstein13} [[José Edelstein]], _Lecture 8: 1-loop closed string vacuum amplitude_, 2013 ([pdf](http://www-fp.usc.es/~edels/Strings/Lect8Str.pdf))

* {#Palti} Eran Palti, _The IIA/B superstring one-loop vacuum amplitude_ ([pdf](http://www.thphys.uni-heidelberg.de/~palti/Stringcourse/problemset11.pdf))

* {#Han89} Seung Kee Han, _Vanishing vacuum amplitude of four-dimensional heterotic string theory compactified on N=2 superconformal field theory_, Phys. Rev. D 39, 2322 &#8211; Published 15 April 1989 ([web](http://journals.aps.org/prd/abstract/10.1103/PhysRevD.39.2322))

And with relation to the [[Riemann hypothesis]]:

* {#ACER11} Carlo Angelantonj, Matteo Cardella, Shmuel Elitzur, Eliezer Rabinovici, _Vacuum stability, string density of states and the Riemann zeta function_,JHEP 1102:024,2011 ([arXiv:1012.5091](http://arxiv.org/abs/1012.5091))


[[!redirects vacuum amplitudes]]

[[!redirects 1-loop vacuum amplitude]]
[[!redirects 1-loop vacuum amplitudes]]