
# Bicovariant differential calculus
* table of contents
{: toc}

## Definitions

Let $A$ be a $k$-algebra. A first order differential calculus $\Omega^1(A)$ is an $A$-bimodule with an
$A$-derivation $d: A\to\Omega^1(A)$ such that $\Omega^1(A)$ is $k$-spanned by elements of the form $a d(b)$ where $a,b\in A$. 

Let $A = H$ be a Hopf algebra. A first order differential calculus $d:H \to \Gamma = \Omega^1(H)$
is bicovariant if $\Omega^1(H)$ is also an $H$-bicomodule (compatibly left and right comodule) where the left and right coaction $\rho^L$, $\rho^R$ are $A$-bimodule maps and $d$ is an $A$-bicomodule map. In other words, $\Gamma$ is a [[Hopf bimodule]]
and $d:A\to \Gamma$ is a Hopf bimodule map. 


## Relation to Yetter--Drinfeld condition

It is well-known that the category of Hopf bimodules 
${}^H_H\mathcal{M}^H_H$ is equivalent (even as a monoidal category!) to the category of [[Yetter–Drinfeld module]]s, at least for finite-dimensional
Hopf algebra $H$. 


## Literature

The notion of bicovariance of a noncommutative 
differential calculus is introduced in 

* [[Stanisław Lech Woronowicz]], _Differential calculus on compact matrix pseudogroups (quantum groups)_ Commun. Math. Phys. __122__, 125--170 (1989) [euclid](http://projecteuclid.org/euclid.cmp/1104178320) [MR0994499](http://www.ams.org/mathscinet-getitem?mr=0994499)

* [[Shahn Majid]], _Classification of bicovariant differential calculi_, Journal of Geometry and Physics __25__:1–2, April 1998, 119--140; <a href="http://dx.doi.org/10.1016/S0393-0440(97)00025-9">doi</a> [q-alg/9608016](http://arxiv.org/abs/q-alg/9608016v2)

* Konrad Schmüdgen, Axel Schüler, _Classification of bicovariant differential calculi on quantum groups of type A, B, C and D_, Commun. Math. Phys. __167__:3, pp 635--670 (1995) [euclid](http://projecteuclid.org/euclid.cmp/1104273123)

* Ursula Carow-Watamura, Satoshi Watamura, _Complex quantum group, dual algebra and bicovariant differential calculus_, Comm. Math. Phys. __151__:3 (1993) 487--514 [euclid](http://projecteuclid.org/euclid.cmp/1104252236)

* Peter Schauenburg, _Hopf modules and Yetter--Drinfel′d modules_, J. Algebra __169__:3 (1994) 874--890 [doi](http://dx.doi.org/10.1006/jabr.1994.1314)


category: algebra 

[[!redirects bicovariant differential calculus]]
[[!redirects bicovariant differential calculi]]
