
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Knot theory
+--{: .hide}
[[!include knot theory - contents]]
=--
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--

The text

* [[Lord Kelvin]],

  _On Vortex Atoms_

  Proceedings of the Royal Society of Edinburgh, Vol. VI, pp. 94-105.

  1867

  ([web](http://zapatopi.net/kelvin/papers/on_vortex_atoms.html))

presented the hypothesis that [[atoms]] ([[elementary particles]]) are fundamentally [[vortices]] in some [[spacetime]]-filling substance (the "aether").

Review and discussion includes

* {#Krage} Helge Kragh, 2002, _The Vortex Atom: A Victorian Theory of Everything_, Centaurus, 44(1-2), pp. 32–114

* {#Corfield} [[David Corfield]] ([[CorfieldVortexAtoms.pdf:file]])

* Samuel Lomonaco, _The modern legacies of Thomson's atomic vortex theory in classical electrodynamics_ ([pdf](http://www.csee.umbc.edu/~lomonaco/kelvin/kelvin23.pdf))

#Contents#
* table of contents
{:toc}

## Impact

As a literal theory of [[physics]] the vortex atom hypothesis lasted no more than 30 years, even Thomson himself giving up on it by 1890 ([Krage 02, p. 34](#Krage)), but it did make [[Peter Tait]] start thinking about classification of [[knots]], which eventually led to modern [[knot theory]] in [[mathematics]]. Moreover, faint shadows of Kelvin's original idea have been argued to be visible in [[string theory]] -- and the failure of the vortex atom theory has been used to warn of too much hope into string theory.

## Similarity with Descartes' thoughts
 {#SimilarityWithDescartesThoughts}

According to the _Routledge encyclopedia of Philosophy_ [here](http://www.rep.routledge.com/article/DA026SECT11):

> [[Descartes]] also rejected atoms and the void, the two central doctrines of the atomists, an ancient school of philosophy whose revival by Gassendi and others constituted a major rival among contemporary mechanists. Because there can be no extension without an extended substance, namely body, there can be no space without body, Descartes argued. His world was a plenum, and all motion must ultimately be circular, since one body must give way to another in order for there to be a place for it to enter ( Principles II: §§2–19, 33). Against atoms, he argued that extension is by its nature indefinitely divisible: no piece of matter in its nature indivisible ( Principles II: §20). Yet he agreed that, since bodies are simply matter, the apparent diversity between them must be explicable in terms of the size, shape and motion of the small parts that make them ( Principles II: §§23, 64) (see Leibniz, G.W. §4 ).

However, according to ([Krage 02, p. 33](#Krage)):

>In spite of the similarities, there are marked differences between the Victorian theory and Descartes’s conception of matter. Thus, although Descartes’s plenum was indefinitely divisible, his ethereal vortices nonetheless consisted of tiny particles in whirling motion. It was non-atomistic, yet particulate. Moreover, the French philosopher assumed three different species of matter, corresponding to emission, transmission, and reflection of light (luminous, "subtle", and material particles). The vortex theory, on the other hand, was strictly a unitary continuum theory.

## Similarity to concepts of modern particle physics
 {#SimilarityToParticlePhysics}

It is however striking that the modern concept of [[baryogenesis]] via the [[chiral anomaly]] and its sensitivity to [[instantons]] is not too far away from Kelvin's intuition.

To play this out in the most pronounced scenario, consider, for the sake of it, a [[no boundary proposal|Hartle-Hawking no-boundary spacetime]] carrying $N$ [[Yang-Mills instantons]]. Notice that an [[instanton]] is in a precise sense the modern higher dimensional and [[gauge theory|gauge theoretic]] version of what Kelvin knew as a fluid [[vortex]].

Then the non-[[conservation law]] of the [[baryon]] [[conserved current]] due to the [[chiral anomaly]] says precisely the following: the net baryon number in the early universe is a steadily increasing number -- this is the modern mechanism of [[baryogenesis]] -- such that as one approaches the asymptotically late time after the "[[Big Bang]]" this number converges onto the integer $N$, the number of instantons.

Hence while in the modern picture of baryogenesis via [[gauge anomaly]] an [[elementary particle]] is not literally identified with an instanton, nevertheless each instanton induces precisely one net [[baryon]].

(If one doesn't want to consider a [[no boundary proposal|Hartle-Hawking-type]] Euclidean no-boundary spacetime but instead a [[globally hyperbolic spacetime]] then the conclusion still holds, just not relative to vanishing baryon number at the "south pole" of the cosmic 4-sphere, but relative to the net baryon  number at any chosen spatial reference slice. )

For more on this see at _[baryogenesis -- Exposition](baryogenesis#Exposition)_.

## Related entries

* [[William Clifford]], _[[On the Space-Theory of Matter]]_

category: reference
