
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
#### Mathematics
+-- {: .hide}
[[!include mathematicscontents]]
=--
=--
=--

* [Wikipedia entry](http://de.wikipedia.org/wiki/René_Descartes)

* [[Georg Hegel]], _[[Lectures on the History of Philosophy]] -- [Descartes](Lectures+on+the+History+of+Philosophy#Descartes)_

> René Descartes ist in der Tat der wahrhafte Anfänger der modernen Philosophie, insofern sie das Denken zum Prinzip macht. ([LecthHistPhil, Descartes](#Lectures+on+the+History+of+Philosophy#DescartesDerAnfaenger))

#Contents#
* table of contents
{:toc}

## On space, matter and mechanics
 {#OnSpaceMatterAndMechanics}



> Extension and motion are the fundamental conceptions in mechanical physics; they represent the truth of the corporeal world. It is thus that ideality comes before the mind of Descartes, and he is far elevated above the reality of the sensuous qualities, although he does not reach so far as to the separation of this ideality. He thus remains at the point of view of mechanism pure and simple. Give me matter (extension) and motion and I will build worlds for you, is what Descartes virtually says.(33) Space and time were hence to him the only determinations of the material universe. In this, then, lies the mechanical fashion of viewing nature, or the natural philosophy of Descartes is seen to be purely mechanical. Hence changes in matter are due merely to motion, so that Descartes traces every relationship to the rest and movement of particles, and all material diversity such as colour, and taste — in short, all bodily qualities and animal phenomena — to mechanism. In living beings processes such as that of digestion are mechanical effects which have as principles, rest and movement. We here see the ground and origin of the mechanical philosophy; but further on we find that this is unsatisfactory, for matter and motion do not suffice to explain life. Yet the great matter in all this is that thought goes forward in its determinations, and that it constitutes from these thought-determinations the truth of nature. ([Hegel, LectHistPhil](Lectures+on+the+History+of+Philosophy#DescartesMechanism))


> {#SEPDescartesOnSpace} For Descartes argued in his 1644 _Principles of Philosophy_ (see Book II) that the essence of matter was extension (i.e., size and shape) because any other attribute of bodies could be imagined away without imagining away matter itself. But he also held that extension constitutes the nature of space, hence he concluded that space and matter were one and the same thing. An immediate consequence of the identification is the impossibility of the vacuum; if every region of space is a region of matter, then there can be no space without matter. Thus Descartes' universe is ‘hydrodynamical’ — completely full of mobile matter of different sized pieces in motion, rather like a bucket full of water and lumps of ice of different sizes, which has been stirred around. Since fundamentally the pieces of matter are nothing but extension, the universe is in fact nothing but a system of geometric bodies in motion without any gaps. (from [Stanf. Enc. Phil, Theories of Space and Motion](#SEPTheoriesOfSpaceAndMotion))

> Also like the Scholastics, Descartes rejects any form of atomism, which is the view that there exists a smallest indivisible particle of matter. Rather, he holds that since any given spatially extended length is divisible in thought, thus God has the power to actually divide it (Pr II 20). The material entities that interact in Descartes' physics come in distinct units or corpuscles (see Section 7), which explains the “corpuscularian” title often attributed to his mechanical system, but these corpuscles are not indivisible. ([from Stanf. Enc. Phil., Descartes -- Space, Body, and Motion](http://plato.stanford.edu/entries/descartes-physics/#3))

> {#OnDusekOnDescartes} In places, Dusek seems to suggest (quite correctly, in my opinion) that Descartes’ physics is closer in spirit to later−day [[continuum mechanics]], which is supposedly holistic, than to the sort of atomistic, reductionist physics of the Newtonians ([Dusek 1999, 23, 204](#Dusek99)) ([pdf source](http://www.philsci.org/archives/psa2000/descartes-science.pdf))

>  In addition, Descartes rejects any explanation of the solidity of a body that employs a bond among its particles (since the bond itself would be either a substance or property, and thus the solidity of the bond would presumably need to be explained; Pr II 55). A macroscopic material body is, essentially, held together just by the relative rest of its constituent material parts. This raises the obvious difficulty that the impact of such bodies should result in their dispersion or destruction (for there is nothing to hold them together). These sorts of complications prompted many later natural philosophers, who were generally sympathetic to Descartes' mechanical philosophy, to search for an internal property of matter that could serve as a type of individuating and constitutive principle for bodies; e.g., Leibniz' utilization of “force”. ([from Stanf. Enc. Phil., Descartes -- Space, Body, and Motion](http://plato.stanford.edu/entries/descartes-physics/#3))

## related $n$Lab entries

* [[Cartesian space]]


## References


* {#SEPTheoriesOfSpaceAndMotion} Stanford Encyclopedia of Philosophy, _[Absolute and Relational Theories of Space and Motion](http://plato.stanford.edu/entries/spacetime-theories/#3)_


* {#Dusek99} V. Dusek, _The Holistic Inspirations of Physics_ NewBrunswick: Rutgers University Press (1999) ([review](http://www.jstor.org/stable/188634?seq=1))

[[!redirects Descartes]]
[[!redirects Rene Descartes]]


category: people