
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher geometry
+--{: .hide}
[[!include higher geometry - contents]]
=--
#### Monoidal categories
+--{: .hide}
[[!include monoidal categories - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

Where in [[algebraic geometry]] one considers [[spaces]] which are [[Isbell duality|formally dual]] to [[commutative rings]], in "2-algebraic geometry" one considers spaces formally dual to _[[2-rigs]]_, namely to certain [[tensor categories]] or more generally to [[tensor (∞,1)-categories]].

Curiously, the more general idea of regarding certain [[abelian categories]] and certain linear [[A-∞ categories]] ([[stable (∞,1)-categories]]) as analogs of categories of [[quasicoherent sheaves]] on some space (i.e. ignoring the monoidal structure) is much older, this is the program of [[derived noncommutative geometry]], see also at [derived algebraic geometry -- Relation to noncommutative geometry](derived+algebraic+geometry#RelationToDerivedNoncommutativeGeometry).

The systematic use of the tensor product structure here goes back to ([Balmer 02](#Balmer02)) and the concept of the [[spectrum of a tensor triangulated category]]. In ([Lurie](#Lurie)) the concept of "2-[[affine scheme]]" is studied more systematically. Then ([CJF 11](#CJF11)) introduce the terminology of "2-algebraic geometry".


## Related concepts

* [[spectrum of a tensor triangulated category]]

* [[spectrum of a symmetric monoidal (∞,1)-category]]

## References

* {#Balmer02} [[Paul Balmer]], _Presheaves of triangulated categories and reconstruction of schemes_, Mathematische Annalen __324__:3 (2002), 557-580 [dvi](http://www.math.ucla.edu/~balmer/research/Pubfile/Reconstr.dvi), [pdf](http://www.math.ucla.edu/~balmer/research/Pubfile/Reconstr.pdf) [ps](http://www.math.ucla.edu/~balmer/research/Pubfile/Reconstr.ps); _The spectrum of prime ideals in tensor triangulated categories_, J. Reine Angew. Math. __588__:149–168, 2005 [](http://www.math.ucla.edu/~balmer/research/Pubfile/Spectrum.dvi) [pdf](http://www.math.ucla.edu/~balmer/research/Pubfile/Spectrum.pdf) [ps](http://www.math.ucla.edu/~balmer/research/Pubfile/Spectrum.ps); _Spectra, spectra, spectra - Tensor triangular spectra versus Zariski spectra of endomorphism rings_, Alg. and Geom. Topology __10__:3 (2010) 1521-1563 [dvi](http://www.math.ucla.edu/~balmer/research/Pubfile/SSS.dvi) [pdf](http://www.math.ucla.edu/~balmer/research/Pubfile/SSS.pdf) [ps](http://www.math.ucla.edu/~balmer/research/Pubfile/SSS.ps)



* {#Lurie} [[Jacob Lurie]], _[[Tannaka duality for geometric stacks]]_.

* {#CJF11} [[Alexandru Chirvasitu]], [[Theo Johnson-Freyd]], _The fundamental pro-groupoid of an affine 2-scheme_ ([arXiv:1105.3104](http://arxiv.org/abs/1105.3104))

* {#Brandenburg14} [[Martin Brandenburg]], _Tensor categorical foundations of algebraic geometry_ ([arXiv:1410.1716](http://arxiv.org/abs/1410.1716))
