+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}

###Context###
#### Philosophy
+--{: .hide}
[[!include philosophy - contents]]
=--
#### Foundations
+--{: .hide}
[[!include foundations - contents]]
=--
#### Topology
+--{: .hide}
[[!include topology - contents]]
=--
=--
=--

# Contents
* automatic table of contents goes here
{:toc}


[[!redirects Mereology]]


##Idea##
The term **mereology** was coined by the logician Stanislaw Lesniewski from greek 'meros'-part to designate the _study of the parthood relation_.

Traditionally a 'part' of philosophy, the modern mathematical theory started with the work of the _Polish school of logic_ in the early 20th century in the context of the [[foundations of mathematics]]. These early approaches went hand in hand with systems of [[pointless topology]].

More recently, the main impact for the field comes from computer science in the context of _logics for spatial reasoning_ and computer vision.

##Remark
With the inception of topos theory [[William Lawvere]] has conceived of logic from the perspective of mereology by making the role of the [[subobject classifier]] manifest.

More specifically, he has pointed out in the 1980s the relevance of [[co-Heyting algebra|co-Heyting and bi-Heyting structures]] to mereology in this context and proposed to view logical theories from the point of view of a 'mereodynamics'.

##Related entries

* [[co-Heyting algebra]]
* [[co-Heyting boundary]]
* [[closed subspace]]
* [[Alfred Tarski]]
* [[William Lawvere]]

##Links

* [wikipedia entry](http://en.wikipedia.org/wiki/Mereology)
* [Stanford encyclopedia of philosophy entry](http://plato.stanford.edu/entries/mereology/)

##References

* P. Forrest, _Nonclassical Mereology and Its Application to Sets_ , Notre Dame J. Form. Logic **43** no.2 (2003) pp.79-94. ([pdf](http://projecteuclid.org/download/pdfview_1/euclid.ndjfl/1071509430))

* [[Kazimierz Kuratowski|C. Kuratowski]], _Sur l'opération $\bar{A}$ de l'analysis situs_ , Fund. Math. **III** (1922) pp.192-195. ([pdf](http://matwbn.icm.edu.pl/ksiazki/fm/fm3/fm3121.pdf))

* {#Law86} [[William Lawvere|F. W. Lawvere]], _Introduction_ , pp.1-16 in Lawvere, Schanuel (eds.), _Categories in Continuum Physics_ , Springer LNM **1174** 1986.

* {#Law91a} F. W. Lawvere, _Intrinsic Co-Heyting Boundaries and the Leibniz Rule in Certain Toposes_ , pp.279-281 in Carboni, Pedicchio, Rosolini (eds.) , _Category Theory Como Conference_, Springer LNM **1488** (1991).

* S. Lesniewski, _Grundzüge eines neuen Systems der Grundlagen der Mathematik_ , Fund. Math. **XIV** pp.1-81 (1929).[^Lesn] ([pdf](http://matwbn.icm.edu.pl/ksiazki/fm/fm14/fm1411.pdf))

* T. Mormann, _Heyting Mereology as a Framework for Spatial Reasoning_ , Axiomathes **23** no.1 (2013) pp.237-264. ([draft](http://philpapers.org/go.pl?id=MORCMA-3&proxyId=&u=http%3A%2F%2Fphilpapers.org%2Farchive%2FMORCMA-3.pdf))

* W. Noll, _The Geometry of Contact, Separation and Reformation of Continuous Bodies_ , Research report no.92-NA-029 Carnegie Mellon University 1992.  ([pdf](http://repository.cmu.edu/cgi/viewcontent.cgi?article=1387&context=math))

* W. Noll, _The geometry of contact, separation and reformation of continuous bodies_ , Arch. Rat. Mech. Anal. **122** (1993) pp.97-112. 

* [[Dana Scott|Dana S. Scott]], _Geometry without Points_ , Talk Vienna 2014. ([slides](http://www.logic.at/latd2014/2014%20Vienna%20Scott.pdf))

* J.G. Stell, M.F. Worboys, _The algebraic structure of sets of regions_ , pp.163-174 in Hirtle, Frank (eds.), _Spatial Information Theory_, Springer LNCS **1329** (1997).

[^Lesn]: Caveat: Lesniewski conceives his foundations as layered into a _Protothetik_ , roughly the deductive system or 'logistics', an _ontology_ , roughly the theory of classes, and, _mereology_. This paper that is one in row that stretches from 1927 to 1938 is concerned with the first two layers.