
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Regular and exact categories
+-- {: .hide}
[[!include regular and exact categories - contents]]
=--
#### Category Theory
+-- {: .hide}
[[!include category theory - contents]]
=--
=--
=--

[[!redirects p-exact category]]

##Idea
Loosely speaking a **Puppe exact category** is an [[abelian category]] without additivity. The subsisting exactness properties permit a considerable amount of homology theory.

Introduced by [[Dieter Puppe|D. Puppe]] in the early 1960s as a weakening of abelian categories, their homology theory was studied by [[Barry Mitchell|B. Mitchell]] in his textbook on category theory. They were extensively used by [[Marco Grandis|M. Grandis]] in his work on distributive homological algebra in the 1980s.

##Remark

Grandis worked on further generalizations that he called semi-exact or homological. This family differs from the concepts around [[semi-abelian categories]] studied in particular in the monograph by [[Dominique Bourn|Bourn]] and [[Francis Borceux|Borceux]] with respect to the existence of finite limits in the latter. Grandis (2010) proposes to view the difference as akin to the difference between projective and affine spaces.


##Definition

A [[well-powered categroy|well-powered]] category $\mathcal{C}$ is called _Puppe exact_ (, or _p-exact_ for short,) iff 

* $\mathcal{C}$ has a [[zero object]].

* $\mathcal{C}$ has [[kernels]] and [[cokernels]].

* every mono is a kernel and every epi is a cokernel.

* every morphism has an [[factorization system|epi-mono factorization]].

##Related entries

* [[exact category]]

* [[abelian category]]

* [[semi-abelian category]]


##References

* [[Francis Borceux|F. Borceux]] , M. Grandis, _Jordan-Hölder, modularity and distributivity in non-commutative algebra_ , JPAA **208** (2007), pp.665-689.

* [[Aurelio Carboni|A. Carboni]], M. Grandis, _Categories of projective spaces_ , JPAA **110** (1996), pp.241-258.

* [[Peter Freyd|P. J. Freyd]], A. Scedrov, _Categories, Allegories_ , North-Holland Amsterdam 1990.

* M. Grandis, _Transfer functors and projective spaces_ , Math. Nachr. **118** (1984) pp.147-165. 

* [[Marco Grandis|M. Grandis]], _Homotopy spectral sequences_ , J. Homotopy Relat. Struct. **5** (2010), pp.213-252.  ([preprint](http://arxiv.org/pdf/1007.0632.pdf))

* [[Dieter Puppe|D. Puppe]], _Korrespondenzen in abelschen Kategorien_ , Math. Ann. **148** (1962) pp.1-30. ([gdz](http://gdz.sub.uni-goettingen.de/dms/load/pdf/?PPN=GDZPPN002290812))