
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Topos Theory
+-- {: .hide}
[[!include topos theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

Certain [[Grothendieck topologies]] on a category with an [[initial object]] can be presented by a very simple structure called a _cd-structure_.  For such [[sites]], the condition of [[descent]] for [[sheaves]] can be checked via a [[Mayer-Vietoris sequence|Mayer-Vietoris]]-like property.

## Definition

+-- {: .num_defn}
###### Definition
A *cd-structure* $\chi$ on a [[category]] $C$ with an [[initial object]] is a class of [[commutative squares]] which is stable by isomorphism.
We will call its elements **$\chi$-distinguished squares**.
=--

## Properties

Any cd-structure gives rise in a canonical way to a [[Grothendieck topology]] on $C$.

+-- {: .num_defn}
###### Definition
Let $\chi$ be a cd-structure on $C$.  The associated [[Grothendieck topology]] $\tau_\chi$ on $C$ is the coarsest topology such that:

* the empty sieve covers $\emptyset_C$, the initial object of $C$;
* $\{ b \to d, c \to d \}$ generates a covering sieve for all $\chi$-distinguished squares
$$
\begin{matrix}
  a& \to & b \\
  \downarrow& &\, \downarrow p\\
  c &\underset{j}{\to} & d
\end{matrix}
$$
=--

+-- {: .num_defn}
###### Definition
A cd-structure $\chi$ is called **complete** if every [[morphism]] whose target is an [[initial object]] of $C$ is an isomorphism, and if it is stable by [[base change]] along arbitrary morphisms of $C$.
=--

+-- {: .num_defn}
###### Definition
A cd-structure $\chi$ is called **regular** if (i) each $\chi$-distinguished square $Q$ is [[cartesian square|cartesian]], (ii) the lower horizontal morphism $j : c \to d$ is a [[monomorphism]], and (iii) for each $Q \in \chi$, the induced commutative square
$$
\begin{matrix}
  a& \to & b \\
  \downarrow& &\, \downarrow\\
  a \times_c a &\to & b \times_d b
\end{matrix}
$$
belongs to $\chi$.
=--

+-- {: .num_prop}
###### Proposition
Let $\chi$ be a complete cd-structure.  If $F$ is an [[(∞,1)-presheaf]] on $C$ that maps initial objects of $C$ to terminal objects, and sends $\chi$-distinguished squares to [[cartesian squares]], then $F$ is a $\tau_\chi$-[[(∞,1)-sheaf]].

If $\chi$ is further regular, then the converse is also true.
=--

For presheaves of *sets*, this is [Voevodsky, Lem. 2.9 and Prop. 2.15](#VoevodskyCD). For general (∞,1)-presheaves, this is a rephrasing of [Voevodsky, Cor. 5.10](#VoevodskyCD).

## Examples

There are various interesting cd-structures on the category of [[schemes]] over a base $S$, which give rise to [[Grothendieck topologies]] like the [[Zariski topology|Zariski]], [[Nisnevich topology|Nisnevich]] and [[cdh topology|cdh]] topologies.

## See also

* [[Grothendieck topology]]
* [[Nisnevich topology]]
* [[cdh topology]]

## References


* Brad Drew, _Descente : Nisnevich et cdh_, Groupe de travail at Université Paris 13, Spring 2010, [pdf](http://www.math.univ-paris13.fr/~kelly/GdT/exposeVII.pdf).

* [[Vladimir Voevodsky]], _Homotopy theory of simplicial presheaves in completely decomposable topologies_, 2000, [K-theory archive](http://www.math.uiuc.edu/K-theory/443/), [arXiv:0805.4578](http://arxiv.org/abs/0805.4578v1).
{#VoevodskyCD}

* [[Vladimir Voevodsky]], _Unstable motivic homotopy categories in
Nisnevich and cdh-topologies_, 2000, [arXiv:0805.4576](http://arxiv.org/pdf/0805.4576v1.pdf).

[[!redirects cd-structures]]
[[!redirects cd structure]]
[[!redirects cd structures]]
[[!redirects cd-topology]]
[[!redirects cd-topologies]]
[[!redirects cd topology]]
[[!redirects cd topologies]]