
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
#### non-archimedean geometry
+--{: .hide}
[[!include non-archimedean geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A surprising parallel between classical [[Hodge theory]] and the theory of [[Galois representations]] was noted in the beginning of the 60's; shortly [[John Tate|Tate]] and [[Alexander Grothendieck|Grothendieck]] attempted to understand the topology of p-adic [[algebraic variety|varieties]] in light of this analogy.
A series of precise conjectures about p-adic Hodge theory was formulated by [[Jean-Marc Fontaine|Fontaine]] at the beginning of the 80's; three different proofs were proposed by [[Gerd Faltings|Faltings]], [[Wieslawa Niziol|Niziol]] and [[Takeshi Tsuji|Tsuji]].
A significantly simpler approach was developed recently in works of [[Alexander Beilinson|Beilinson]] and [[Bhargav Bhatt|Bhatt]].

_This paragraph is translated from the abstract of ([Beilinson's Yaroslavl' lectures](#BeilinsonLectures2014))._

## Overview

_p-adic Hodge theory_ is the study of properties of p-adic (étale, de Rham, logarithmic cristalline) [[cohomology]] (and [[motives]]) of non-archimedean [[analytic spaces]]. The $p$-adic Hodge structure of a (proper or semi-stably compactified) p-adic analytic variety is essentially given by a relation between three important invariants of the given variety:

* p-adic de Rham cohomology equipped with the Hodge filtration,

* log-cristalline cohomology (of a potentially semi-stable model) equipped with its Frobenius and monodromy map,

* [[pro-étale cohomology]] of the extension of the given variety to a `chosen` algebraic closure of the base field, together with its natural action of the Galois group.

There is an "evident" isomorphism between p-adic de Rham cohomology and log-cristalline cohomology (both are given by a kind of differential calculus).

The main theorem of p-adic Hodge theory is that the datum of these two cohomologies and their relation
on the one side, and of pro-étale cohomology on the other side, mutually determine each other (once
equipped with their natural additional structures).

This result has been conjectured first by Grothendieck in the case of p-divisible
groups. He called it the `mysterious functor`. A conjecture generalizing this
statement to other kinds of ---algebraic--- p-adic varieties was formulated by
Jannsen in a particular case, and then grounded on the setting of [[p-adic periods]]
by Fontaine. After these important Breakthrough, the theory was fully developed by a long list of contributors (see `periodes p-adiques`, Astérisque for a first list). The comparison theorem was proved by many authors in various particular cases, and then in full generality (for algebraic varieties) by Faltings
using [[almost mathematics]].

During the last few years, there were interesting new developments.

If one works with rational coefficients (no torsion), one may get the isomorphism between both
structures in a geometric way (in an algebraic setting),
using Beilinson's approach, through (derived de Rham cohomology)[[de Rham complex]].

It is also possible to use Scholze's [[perfectoid spaces]]
and Faltings' [[almost mathematics]] to give a very elegant
proof of this theorem for proper (or more generally, semi-stably compactified) p-adic
(strict, i.e., rigid) analytic varieties. The fact that the classical result extends
to the analytic setting is essentially due (up to difficulties related to the resolution in finite characteristic, that are dealt with using Faltings' methods) to the fact that (proper) rigid analytic varieties always
have an integral model, given by a formal scheme over the ring of integers of the given
non-archimedean field.
The same proof may also extend to the non-strict situation by using a convenient base
extension, but this work has not yet been done.

The very important case of torsion coefficients has also been
addressed by Scholze in his setting, and by Bhatt, who gave a useful refinement
of Beilinson's construction. Remark that almost mathematical tools seem to be quite well adapted to the study of completed integral cohomology.

Scholze’s original method involves the use of Witt vectors (already used in
Fontaine’s definition of period rings), that were also
studied by Kedlaya and Liu in this Hodge theoretic context. This Witt vector
approach are interesting, but they seem to have the drawback of being
quite hard to globalize (including the archimedean norm in a context of
[[global Hodge theory]]).

It is quite clear to the experts that a nice way to overcome the difficulties that appear
when one uses Witt vectors would be to combine directly the (analytic) `derived de Rham`
approach of Beilinson and Bhatt to the `perfectoid and almost mathematics` approach of
Faltings and Scholze. Both approaches may be extended to the analytic setting using
overconvergent derived analytic spaces (see [[global analytic geometry]]).

One may say that almost geometrical derived methods could be useful to study integral completed cohomology, while usual derived geometric methods are quite
well adapted to the study of torsion phenomena in finite characteristic.

Indeed, as explained by Bhatt at the end of his paper, one may use derived de Rham cohomology
over $\Z$ to get a (non-archimedean) period ring isomorphism for an [[arithmetic variety]].

## Related concepts

* [[Fargues-Fontaine curve]]

## References

Niziol's [[algebraic K-theory|K-theoretic]] proof:

* [[Wiesława Nizioł]], _Crystalline conjecture via $K$-theory_, Annales scientifiques de l'École Normale Supérieure 31.5 (1998): 659-681. [web](http://eudml.org/doc/82474).

### Beilinson-Bhatt approach

* [[Alexander Beilinson]], _p-adic periods and derived de Rham cohomology_, [arXiv:1102.1294](http://arxiv.org/abs/1102.1294).

* [[Alexander Beilinson]], _On the crystalline period map_, [arXiv:1111.3316](http://arxiv.org/abs/1111.3316).

* [[Bhargav Bhatt]], _p-adic derived de Rham cohomology_, [arXiv:1204.6560](http://arxiv.org/abs/1204.6560).

* [[Luc Illusie]], _Around the Poincaré lemma, after Beilinson_ (Preliminary notes), 2013, [pdf](http://www.math.u-psud.fr/~illusie/derived-deRham3.pdf).

* {#BeilinsonLectures2014} [[Alexander Beilinson]], _p-adic Hodge theory_, lectures from Yaroslavl' summer school 2014, [videos](http://bogomolov-lab.ru/SHKOLA2014/talks/beilinson.html).

### $p$-adic absolute Hodge cohomology

* [[Frédéric Déglise]], [[Wiesława Nizioł]], _On $p$-adic absolute Hodge cohomology and syntomic coefficients, I_, [arXiv:1508.02567](http://arxiv.org/abs/1508.02567).