
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher category theory
+--{: .hide}
[[!include higher category theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

In [[higher category theory]] a notion of $\infty$-[[infinity-category|categories]] or $n$-[[n-category|categories]] is said to be **semi-strict**, if these higher categories are, somewhat vaguely, _as strict as possible while still being equivalent to general weak higher categories_ -- a kind of [[rectification]] statement.

For $n \leq 2$, even [[strict n-categories]] are semi-strict, but this does not hold for $n \gt 2$.

For $n \leq 3$ two alternative semi-strictifications are known:

1. **Gray-semistrictness**: horizontal composition is strict, but the [[exchange law]]s are nontrivial; see [[Gray-category]].

2. **Simpson-semistrictness**: everything except the [[unit law]]s hold strictly; see [[Simpson's conjecture]].

## Examples for strictification of horizontal composition

* Every [[quasi-category]] is equivalently modeled by a [[simplicially enriched category]], which is a model for an [[(∞,1)-category]] in which 
all horizontal composition is strict. See [[relation between quasi-categories and simplicial categories]].

* A [[dg-category]] is an [[A-infinity-category]] in which horizontal composition is defined strictly. Every $A_\infty$-category is $A_\infty$-equivalent to a [[dg-category]]. This is at least roughly the [[stable (∞,1)-category]] analog of the above statement.

## Related concepts

* [[rectification]]

* _[[Globular]]_ proof assistant

## References

A review, some references and further discussion is at

* [_Semistrict $\infty$-categories and $\omega$-Semi-Categories_](http://golem.ph.utexas.edu/category/2008/10/semicategories.html)


[[!redirects semistrict]]
[[!redirects semi-strict]]
[[!redirects semistrict categories]]
[[!redirects semi-strict categories]]
[[!redirects semistrict n-categories]]
[[!redirects semi-strict n-categories]]
[[!redirects semistrict higher categories]]
[[!redirects semi-strict higher categories]]
[[!redirects semistrict ω-categories]]
[[!redirects semi-strict ω-categories]]
[[!redirects semistrict omega-categories]]
[[!redirects semi-strict omega-categories]]
[[!redirects semistrict ∞-categories]]
[[!redirects semi-strict ∞-category]]
[[!redirects semi-strict ∞-categories]]
[[!redirects semistrict infinity-categories]]
[[!redirects semi-strict infinity-categories]]
[[!redirects semistrict category]]
[[!redirects semi-strict category]]
[[!redirects semistrict n-category]]
[[!redirects semi-strict n-category]]
[[!redirects semistrict higher category]]
[[!redirects semi-strict higher category]]
[[!redirects semistrict ω-category]]
[[!redirects semi-strict ω-category]]
[[!redirects semistrict omega-category]]
[[!redirects semi-strict omega-category]]
[[!redirects semistrict ∞-category]]
[[!redirects semi-strict ∞-category]]
[[!redirects semistrict infinity-category]]