
> This entry is about the concept related to [[homotopy pullbacks]]. For a different concept of the same name see at _[[sharp modality]]_.

#Contents#
* table of contents
{:toc}

## Idea

In a [[right proper model category]] a morphism is called _sharp_ if its [[pullback]] along any other morphism is already a [[homotopy pullback]]. In a general [[model category]] a morphism is sharp if all its pullbacks preserve weak equivalences under (further) pullback.

## Definition

In a [[model category]] $\mathcal{M}$, a **sharp map** is a morphism $p : X \to Y$ satisfying the following condition: for any commutative diagram in $\mathcal{M}$ of the form below,
$$
  \array{
    X'' & \stackrel{f}{\longrightarrow} & X' & \longrightarrow & X \\
    \downarrow && \downarrow && \downarrow^{\mathrlap{p}} \\
    Y'' & \stackrel{g}{\longrightarrow} & Y' & \longrightarrow & Y
  }
$$
if $g \colon Y'' \to Y'$ is a weak equivalence and both squares are pullback diagrams, then  $f \colon X'' \to X'$ is also a weak equivalence.

## Properties

A model category is [[right proper model category|right proper]] if and only if every fibration is sharp. ([Rezk 98, prop. 2.2](#Rezk98))

In a [[right proper model category]], the sharp maps in the full subcategory on sharp-fibrant objects form the fibrations of a [[category of fibrant objects]]. See there the section _[Examples -- Right proper model categories](category+of+fibrant+objects#RightProperModelCategories)_.

## References

The concept was introduced in 

* {#Rezk98} [[Charles Rezk]], _Fibrations and homotopy colimits of simplicial sheaves_ ([arXiv:9811038](http://arxiv.org/abs/math/9811038))

[[!redirects sharp maps]]
[[!redirects sharp morphism]]
[[!redirects sharp morphisms]]