
+-- {: .rightHandSide?0
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Analytic geometry
+--{: .hide}
[[!include analytic geometry -- contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

Global Hodge theory is the study of Hodge theoretical invariants in
[[global analytic geometry]] and [[overconvergent global analytic geometry]].
The basic idea is to try to generalize/combine
the results of classical (complex analytic) [[Hodge theory]] and of
[[p-adic Hodge theory]] in a unique setting.

A first (non-archimedean) step in this direction was given by Bhatt in his
paper on the derived approach to p-adic Hodge theory (originally due to Beilinson), where he proposed a Hodge theory for (say semi-stable) varieties over $\mathbb{Z}$, using Illusie's [[derived de Rham cohomology]] to define a convenient [[period ring]]. From the point of view of global analytic geometry, this gives a Hodge theory for strict analytic spaces over $\mathbb{Z}$, equipped with its trivial norm. One may try to adapt these ideas to extend
them to a Hodge theory for strict analytic spaces over $\mathbb{Z}$, equipped with
its archimedean norm, but the use of a derived completion in the process prevents one from a straightforward generalization. Remark that the treatment of quasi-projective varieties should certainly involve a [[global mixed Hodge theory]] for pre-proper [[logarithmic geometry|logarithmic analytic varieties]].

The advantage of including the archimedean norm
in global Hodge theory is that this seems to give a better setting for the
study of completed [[arithmetic L-functions]] and [[automorphic L-functions]],
whose [[functional equation]] may not be proved without using the archimedean
information given by a convenient Gamma-factor. This extension is very easy
to make if one works with rational coefficients, like in Beilinson's original
paper on p-adic Hodge theory (i.e., with the `de Rham` period ring).
It remains a challenging problem to combine the non-archimedean and archimedean
information on Hodge theory without forgetting to take care of torsion phenomena in
cohomology, that are very important for the study of special values of L-functions. This may be doable if one follows the line
of ideas used in Arakelov geometry, but formulated in a global analytic way. A very natural setting for this seems to be global [[strict analytic geometry]] over $\mathbb{Z}$ equipped with its archimedean norm.

## Related concepts

* [[Berkovich space]]

* [[global analytic geometry]]

* [[overconvergent global analytic geometry]]

* [[arithmetic cryptography]]


## References

