

This [[axiom]] in [[set theory]] has important role implications in [[descriptive set theory]] (since regularity properties of certain classes of subsets of [[Polish space]]s are implied by corresponding statements of determinacy). There are well-established relationships between the variants of the axiom and reflection principles/[[large cardinal]] axioms.

## Definition

+-- {: .num_defn }
###### Definition

A [[game]] is called **determined** iff some player has a winnig strategy. Typically in set theory Gale-Stewart games are considered, i. e. two players pick natural numbers (which might be required to be at most some $X$). The winning condition is then given as a subset $A$ of $X^\omega$ (for $X\le\omega$) and player 1 is considered to win iff the path chosen during the game is an elment of $A$.

The set [[set]] providing the winning condition is also called determined in the case that the game is determined.
=--

## Statement

The axiom of determinacy (AD) states that every Gale-Stewart game is determined. In ZF this axiom contradicts the axiom of choice.

## Restrictions and relations to reflection principles
Determinacy for [[Borel set]]s can be proven in ZFC, however it cannot be proven in Zermelo set theory (without the [[axiom of replacement]] which is equivalent to [[Levy-Montague reflection]]).

The existence of infinitely many [[Woodin cardinal]]s implies the axiom of projective determinacy (PD) stating that all [[projective set]]s are determined.

The existence of infinitely many Woodin cardinals is equiconsistent to AD.

## Reference

* Wikipedia, _[Axiom of determinacy](http://en.wikipedia.org/wiki/Axiom_of_determinacy)_

[[!redirects projective determinacy]]