
## Seminar on Factorization Algebras at Goettingen: 2014 Fall - 2015 Winter ##
***

**Place: Sitzungssaal,  [Page in studip](https://www.studip.uni-goettingen.de/dispatch.php/course/overview?cid=a829cf0bce827ed6bc8a6ae2413e96bf) for people at Gottingen, and its [Google group](https://groups.google.com/forum/?hl=en#!forum/factorizationalgebras).

* table of contents
{: toc}

### Objectives ###
{#Objectives}

The aim of this seminar is bi-fold: to learn factorization algebra, and to understand perturbative quantum field theory. 

Quantum field theory is an amazing generating machine to obtain interesting mathematical objects (observables), and to relate different parts of math together. However, the mathematical formulation for full quantum field theory seems to be a quite formidable task. Nonetheless, interesting mathematical frameworks have been constructed and developed all the time. For example, topological field theories, (rational) conformal field theories, string field theories, mirror symmetries, Sieberg-Witten theory and Donaldson theory, and integrable systems. A common theme, behind those examples, is to capture the topological, algebraic or geometric invariants in various settings. Perhaps, this verifies why quantum field theory should be interesting to mathematicians.

It turns out, the very theme of looking for invariants also shows up in the development of factorization algebras. And more is true. The various axioms one would like to have in constructing a field theory, are naturally encoded in the definition of a factorization algebra. In this picture, it is quite natural to describe the classical and quantum observables in a coherent picture, and quantization is expected to be a kind of deformation. We are going to see how to materialize this during our seminar. Due to the deep impact from field theory to mathematics, this also means that we are going to revisit relevant mathematics from this new point of view, which includes, the theory of operads, Poisson geometry, vertex algebra, general and differential cohomology, index theorems, higher geometry, and dg-categories. 

Factorization algebra is broadly connected to different branches in mathematics, and attracts algebraists, geometers and tologists in general. It has both the abstract, higher point of view, and the down-to-earth calculation/applications. Thus it is a good arena to train our professional skills. We hope this seminar help us to

* review some important classical contents from the modern perspective,
* build up a common language to relate to each other’s research topics,
* contribute to this exciting area from our own expertise.

### Prerequisite ###
{#Prerequisite}

Graduate-level courses on abstract algebra, differential geometry and topology. No knowledge on classical/quantum field theory is assumed. It would be good to have in mind some possible connections/applications of factorization algebras in your research topics. Or, if you are not sure at this point, feel free to raise up a discussion among the participants.

### Plan of Talks ###
{#Plan}

We initiated the first several talks, which give a gentle introduction to the topic. The future talks will be the on more specific developments. 

* Oct. 21, 2014: Organization meeting. Why factorization algebra is interesting, and a brief account on the introduction chapter of Costello-Gwilliam (CG).

* Nov. 4, 2014: Prefactorization algebra by Chenchang. Definition, relation to $E_n$ operad theory (TFT) and functorial field theories ($\mathbf G$-FT). Associative algebras in quantum mechanics. CG: Chap 1, 3.

* Nov. 11, 2014: Continuation of Chenchang's prefactorization algebra: a description of quantum observables in free field theory through divergence operator, and a construction of $\mathcal{U}(\mathfrak{g})$. CG: Chap 2-3.

* Nov. 18, 2014: Examples of prefactorization algebras from field theories by Thomas. A finite dimensional analogy --- the divergence complex of a measure, Koszul resolution of the derived critical locus, and the relation to the Chevalley-Eilenberg complex of Heisenberg Lie algebra.  CG: Chap 4.1-4.2.

* Nov. 25, 2014: Continuation of free field theory by Thomas. Elliptic complexes, the homotopy equivalence between smooth and distributional sections, free field theories: classical observables and Poisson structure, quantum observables and the BD structure. CG: Chap 4.

* Dec. 2, 2014: An introduction to operads by Malte. $End$-operad, the definitions of (unital) operads, and algebras over operads. LV, F.

* Dec. 9, 2014: (1) A computation of 1d massive free scalars: quantum observables and Weyl algebra by Dorothea. CG: Chap 4.3. (2) $E_n$ operads and examples of $E_\infty$ operad by Malte. LV, F.

* Dec. 16, 2014: A talk on T-dualities by Bei. 

* Jan. 6, 2015: Factorization algebra by Dennis. Weiss cover and Ran space, descent condition with respect to three topologies (a la Beilinson-Drinfeld, Lurie and Costello-Gwilliam), (co)sheafification vs glue, a recast of $E_n$-algebras, locally constant factorization algebras and $E_n$-algebras are equivalent (as $(\infty,1)$-categories). Lurie: Chap 5, CG: Chap 6, Ginot: Chap 4.

* Jan. 13, 2015: Guest lecture by Owen Gwilliam. The general picture of QFT: classical field theory is about critical loci, while quantization involves integration over the critical loci plus that along the "normal directions". To deal with the singular critical loci, one considers the derived deformation theory. A family version of it leads to $L_\infty$ spaces. Derived loop spaces as an example. GG.

* Jan. 20, 2015: Quantum BV formalism by Dennis. Kontsevich quantization of Poisson algebras (operadically $P_1\to E_1$), Etingof-Kazhdan quantization of Lie bialgebras ($P_2\to E_2$), an operadic description of the BV formalism, which quantizes a $P_0$ stricture into a $BD$(, or $E_0$) structure. CG: Chap 8,13.

In the following meetings we shall look into various applications and comparisons relevant to other parts of mathematics.

* Jan. 27, 2015: Quantum BV formalism in AQFT by Dorothea. QFT in globally hyperbolic spacetime: free theory as an example, the functorial description, the classical observables. The quantum description involves three types of product: the star product, the (naive) pointwise product and the time-ordered product. Time-ordering operator relates the last two, while the connection to the star product is given by the casual structure. FR1, FR2.

* Feb. 3, 2015: Factorization algebras and Goodwillie Calculus by Dmitri. The Eilenberg-Steenrod axioms give a collection of (homology) functors from spaces to chain complexes that are represented by their values at a point. With a slight generalization, one considers functors from the category $Man_n$ of manifolds with embeddings to a general symmetric monoidal $\infty$-category $\mathcal{D}$ subject to similarly defined axioms. There is an equivalence between those functors and the little-disk algebras valued in $\mathcal{D}$ induced by the evaluation map, whose inverse is given by factorization homology. Given one such functor $A: Man_n\to \mathcal{D}$, one defines $k$-th Taylor (co)tower $P_k A$ via the left Kan extension from $Disk_n^{\leq k}$ to $Man_n$, and $A$ is analytic if $P_\infty A\to A$ is an equivalence, which encodes the factorization descent condition. Homotopy fibers $D_\bullet A$ of the (co)tower $P_\bullet A$ at each stage can be defined. In the homotopy context for Taylor towers $P_\bullet \mathcal{F}$, the results of Goodwillie allow one to describe $D_\bullet \mathcal{F}$ quite explicitly. Fra.


### Discussion Sessions ###
{#Discussion}

We launched a discussion program, as certain kind of continuation of the factorization algebra seminar during the break. The aim is to promote relaxing and enlightening discussions on factorization algebra and nearby areas among people at Goettingen.

For each session, there will be one-hour long presentation given by the leader/speaker (so to "tell the story"), s/he may also bring up some points to discuss during the tea break and the extra discussion hours. If people are interested, we could also go for joint dinner later that day.

* Session 1 @ Sitzungssaal

| February 23       |    Leader                        |    Topic                   | 
| ------------- | --------------------| ---------------- |
| 12:40 - 13:40   |    Xiaoyi Cui    | Geometric context for quantum BV formalism.                                 |
| 13:40 - 14:10   |    tea time                                                     ||
| 14:10 - 15:10   |    Dmitri Pavlov              |    $1\vert 1$-dimensional field theories and K-theory.      |
| 15:10 - 18:00[^1]   |    tea time                                               ||

* Session 2 @ Sitzungssaal

| March 5 [^2]            |    Leader                        |    Topic                   | 
| ------------- | --------------------| ---------------- |
| 13:00 - 14:00   |    Jan Jitse Venselaar     |     Factorization algebras for noncommutative geometry.                           |
| 14:00 - 14:30   |    tea time                                                     ||
| 15:00 - 16:00   |    Vadim Alekseev         |     Groups, operator algebras and ergodic theory.               |
| 16:00 - 18:00[^1]   |    tea time                                               ||

* Session 3 @ Sitzungssaal

| March 19           |    Leader                        |    Topic                   | 
| ------------- | --------------------| ---------------- |
| 13:00 - 14:00   |    David Buecher            |       Holomorphic field theories and vertex algebras                       |
| 14:00 - 14:30   |    tea time                                                     ||
| 14:30 - 15:30   |    Dmitri Pavlov               |        Bundle n-gerbes with connection as field theories.                        |
| 15:30 - 18:00[^1]   |    tea time                                               ||

[^1]: The room has been reserved till 18:00 to allow for further discussion.
[^2]: Please note that the second talk will start at 15:00. 

### References ###
{#References}

The main relation/application to quantum field theory is given by the following book, which also contains a careful introduction to the notion of factorization algebra.

* [CG] K. Costello and O. Gwilliam, Factorization algebras in quantum field theory. 

An out-dated version is available on Costello's webpage. Participants can also join our mailing list to get the most up-dated version.

A more mathematical introduction to factorization algebra is given in 

* [Ginot] G. Ginot, Notes on factorization algebras, factorization homology and applications, arXiv:1307.5213[math.AT].

A much more elaborated treatment (using slightly different languages from the formers):

* [Lurie] J. Lurie, Higher Algebra. [pdf](http://www.math.harvard.edu/~lurie/papers/higheralgebra.pdf).

The introduction to operads is based on

* [LV] J.-L. Loday, B. Vallette: Algebraic Operads. [Pdf available here](http://math.unice.fr/~brunov/Operads.html).

For $E_\infty$ operads, see

* [F] B. Fresse: Introduction to $E_n$-operads and little discs operads. [pdf](http://www.newton.ac.uk/files/seminar/20130305140015152-153497.pdf).

and the material here:

* B. Fresse: Homotopy of Operads and Grothendieck-Teichmueller Groups. [Book project homepage](http://math.univ-lille1.fr/~fresse/OperadHomotopyBook/).

Next here are references with more specific applications.

For the perturbative quantum field theory, and for the intuition of BV formalism, see the following monograph.

* K. Costello, Renormalization and effective field theory, Surveys and monographs, American Mathematical Society, 2011.

For the application to topological manifold, see

* [Fra] J. Francis, Factorization homology of topological manifolds, arXiv:1206.5522[math.AT].

* D. Ayala, J. Francis and H. Tanaka, Structured singular manifolds and factorization homology, arXiv:1206.5164[math.AT].

On $L_\infty$ space, see

* [GG] R. Grady and O. Gwilliam, L-infinity spaces and derived loop spaces, arXiv:1404.5426[math.AG].

On Algebraic Quantum Field Theory, see

* [FR1] K. Fredenhagen and K. Rejzner, Batalin-Vilkovisky formalism in the functional approach to classical field theory, Commun.Math.Phys. 314 (2012) 93-127, arXiv:1101.5112[math-ph].

* [FR2] K. Fredenhagen and K. Rejzner, Batalin-Vilkovisky formalism in perturbative algebraic quantum field theory, Commun.Math.Phys. 317 (2013) 697-725, arXiv:1110.5232[math-ph].