###Context###
#### Arithmetic geometry
#### Automorphic representation theory

* table of contents
{:toc}

## Overview

Many results on arithmetic or automorphic [[zeta functions]] and [[L-functions]] are obtained by using the fact that their zeroes and poles may be seen as the spectrum of an operator acting either on a given [[geometric cohomology]] theory (in arithmetic geometry) or on a given [[topological vector space]] (in the automorphic theory).

For example, the functional equation is often proved by using an equivariant pairing on the space that gives the spectral interpretation (Poincaré duality in arithmetic geometry and Poisson summation formula in the automorphic theory).

The finite characteristic analog of the Riemann hypothesis was also proved, following the [[Weil conjectures]], by the use of a kind of geometric Fourier duality result, in Laumon's approach.

## Challenges

The main challenge is to find a [[geometric cohomology]] theory for strict [[global analytic spaces]] over $\mathb{Z}$ (with its archimedean norm) that will allow the spectral interpretation of zeroes and poles of motivic L-functions. It may also be interesting to propose a similar definition for non-strict [[global analytic spaces]], in order to get a unified treatment of the finite characteristic case (seen as a theory of derived overconvergent analytic spaces over $\mathbb{Z}_p$) and the global case (of flat regular schemes over $\mathbb{Z}$).

## References

* Connes on the spectral interpretation of Riemann's zeta function (Hilbert space approach).

* Meyer on the spectral interpretation of Dedekind zeta functions (Schwartz space approach).

* Soulé on the spectral interpretation for Godement-Jacquet's automorphic L-functions (Hilbert space approach).

* Grothendieck-Deligne: proof of the Weil conjectures ($\ell$-adic cohomology), using monodromy. The Riemann hypothesis is proved using a Rankin-Selberg type of idea.

* Laumon: proof of the Weil conjectures using Fourier-Deligne transform and ideas similar to those used by Witten for his super-symmetric proof of the Morse inequalities.

* Caro-Kedlaya: p-adic proof of the full Weil conjectures.

* Deninger: system of constraints for a cohomological theory of global arithmetic L-functions, i.e., a global analog of the Weil conjectures (for flat schemes over Z).

* Katz-Rudnick-Sarnak: proposition of a global analog of the notion of monodromy used by Deligne in his Rankin-Selberg type proof of the Riemann hypothesis, based on the conjectured Montgomery link between zeroes of L-functions and random matrix theory.