The term _algebraic K-theory spectrum_ refers to one of the following two notions:

* an object $K(C) \in \Spt$ in the [[stable (infinity,1)-category of spectra]], associated to a [[stable (infinity,1)-category]] or [[symmetric monoidal (infinity,1)-category]] $C$, whose [[homotopy groups]] give the [[algebraic K-theory]] of $C$;

* a [[motivic spectrum]] $KGL \in SH(S)$ in the [[stable motivic homotopy category]], representing an $\mathbf{A}^1$-[[homotopy invariant]] version of [[algebraic K-theory]], where $S$ is a scheme.

This entry is about the latter notion; for the former one, see [[algebraic K-theory]].

## Idea

Suppose that $S$ is a [[regular scheme]]. Then there exists a [[motivic spectrum]] $KGL_S$ with the property that, for every $X\in Sm/S$,

$$ KGL^{p,q}(X) = K_{2q-p}(X), $$

where $K_*(X)$ are the [[algebraic K-theory]] groups of $X$ defined by [[Daniel Quillen|Quillen]]. In particular, $KGL$-cohomology is $(2,1)$-periodic: this is _Bott periodicity_ for algebraic K-theory.

The multiplicative structure of algebraic K-theory makes $KGL$ into a ring spectrum (up to homotopy), which comes from a unique structure of $E_\infty$-algebra (see [Naumann-Spitzweck-Ostvaer](#NSO11)).

Over non-regular schemes, the motivic spectrum $KGL$ is also defined and it represents Weibel's homotopy invariant version of [[algebraic K-theory]] (see [Cisinski13](#Cis13)).

## Related concepts

* [[algebraic K-theory]]
* [[motivic homotopy theory]]
* [[motivic cohomology]]
* [[algebraic cobordism]]

## References

* [[Fabien Morel]], [[Vladimir Voevodsky]], _$\mathbb{A}^1$-homotopy theory of schemes_ K-theory, 0305 ([web](http://www.math.uiuc.edu/K-theory/0305/) [pdf](http://www.math.uiuc.edu/K-theory/0305/nowmovo.pdf))
{#MorelVoevodsky}

* {#Voevodsky98} [[Vladimir Voevodsky]], _$\mathbf{A}^1$-Homotopy Theory_, Doc. Math., Extra Vol. ICM 1998(I), 417-442, [web](http://www.mathematik.uni-bielefeld.de/documenta/xvol-icm/00/Voevodsky.MAN.html).

* {#Cis13} [[Denis-Charles Cisinski]], _Descente par éclatements en K-théorie invariante par homotopie_, Ann. of Math. (2) 177 (2013), no. 2, pp. 425–448 ([pdf](http://hal.archives-ouvertes.fr/docs/00/52/56/40/PDF/descente3.pdf))

* {#NSO11} [[Niko Naumann]], [[Markus Spitzweck]], [[Paul Arne Østvær]], _Existence and uniqueness of E-infinity structures on motivic K-theory spectra_, ([arXiv](http://arxiv.org/abs/1010.3944))

* [[Ivan Panin]], K. Pimenov, [[Oliver Röndigs]], _On the relation of Voevodsky’s algebraic cobordism to Quillen’s K-theory_, Inventiones mathematicae, 2009, 175(2), 435-451, [DOI](http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.244.7301), [arXiv](http://arxiv.org/abs/0709.4124).

* {#GepnerSnaith08} [[David Gepner]], [[Victor Snaith]], _On the motivic spectra representing algebraic cobordism and algebraic K-theory_, Documenta Math.  2008 ([arXiv:0712.2817](http://arxiv.org/abs/0712.2817)).

[[!redirects algebraic K-theory spectra]]
[[!redirects motivic algebraic K-theory spectrum]]
[[!redirects KGL]]