#Contents#
* table of contents
{:toc}

## Idea

Logarithmic motivic homotopy theory is a common generalization of [[motivic homotopy theory]] and [[analytic motivic homotopy theory]] that is a homotopy theory for proper [[logarithmic geometry|logarithmic analytic spaces]] obtained by replacing the unit disc (used as the interval of analytic homotopy theory over an arbitrary base Banach ring) by the logarithmic (overconvergent) unit disc, that is defined as the logarithmic strict analytic space
$$D^{1,\dagger}_{log}:=(\mathbb{P}^1,\mathcal{M}_\infty),$$
where $\mathcal{M}_\infty\to \mathcal{O}_{\mathbb{P}^1}$ is the sub-multiplicative monoid associated to the compactifiction of $\mathbb{A}^1$ given by the pair $(\mathbb{P}^1,\infty)$:
$$\mathcal{M}:=j_*\mathcal{O}_U^*\cap \mathcal{O}_{\mathbb{P}^1}.$$

## Interest

The main interest of logarithmic homotopy theory is that it seems to be better adapted to an integral base than usual [[analytic motivic homotopy theory]].
In particular, it should allow to represent logarithmic $K$-theory, used by Niziol in her approach to the $p$-adic comparison theorem (Fontaine's $C_{st}$-conjecture) by a motivic spectrum.

The category of pre-proper [[logarithmic geometry|logarithmic analytic spaces]] (defined as the category of log-smooth logarithmic analytic spaces whose underlying analytic space is proper) also seems to be the right setting for [[global mixed Hodge theory]], because Scholze's p-adic Hodge theory only works for proper rigid spaces, and should not be generalizable to arbitrary analytic spaces (even in the complex setting, motivic homotopy theory only contains the Betti information, i.e., is equivalent to classical homotopy theory): its correct setting should be given by pre-proper [[logarithmic geometry|logarithmic analytic spaces]] (that are defined as smooth logarithmic analytic spaces whose underlying analytic spaces is proper).

## References

* [[Wieslava Niziol]], _Logarithmic $K$-theory $I$ and $II$_ Doc. Math. 13 and Adv. Math. 230.

* [[Frédéric Déglise]], [[Wiesława Nizioł]], _On $p$-adic absolute Hodge cohomology and syntomic coefficients, I_, [arXiv:1508.02567](http://arxiv.org/abs/1508.02567).

* [[Vadim Vologodsky]], _Motivic homotopy type of a log scheme_, lecture at IHES 25-09-2015, [video](https://www.youtube.com/watch?v=3d1rTsv75yM).

* [[Doosung Park]], _Triangulated categories of motives over fs log schemes_, thesis, [pdf](https://math.berkeley.edu/~doosung/thesis.pdf).