
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Modalities, Closure and Reflection
+-- {: .hide}
[[!include modalities - contents]]
=--
=--
=--
#Contents#
* table of contents
{:toc}

## Idea

In the context of [[modal logic]], by _possible world semantics_ one means the interpretation of the [[possibility]] and [[necessity]] [[modalities]] as [[existential quantification]] and [[universal quantification]] over a [[context]] of "possible worlds". Such a model is sometimes referred to as a [[Kripke frame]].

For formalization of this in terms of [[hyperdoctrines]]/[[dependent type theory]] see at _[necessity and possibility -- In first-order logic and dependent type theory](http://ncatlab.org/nlab/show/necessity+and+possibility#InFirstOrderLogicAndTypeTheory)_.

Under [[categorical semantics]] such a context interprets as an [[object]] of some [[category]] whose interpretation is similar to that of a [[probability space]] in [[measure theory]] -- which is one sensible formalization of possible worlds (e.g. [Toronto-McCarthy 10, slide 23](#TorontoMcCarthy10)).

## Related concepts

* [[probability space]]

* [[multiverse]]

## References
 {#References}

* Stanford Encyclopedia of Mathematics _[Possible Worlds](http://plato.stanford.edu/entries/possible-worlds/)_

* Stanford Encyclopedia of Mathematics, _[Modal Logic -- Possible worlds semantics](http://plato.stanford.edu/entries/logic-modal/#PosWorSem)_

* {#TorontoMcCarthy10} Neil Toronto, Jay McCarthy, _From Bayesian Notation to Pure Racket_, 2010 ([pdf](http://jeapostrophe.github.io/home/static/toronto-2010ifl-slides.pdf))

[[!redirects possible worlds]]