
Georg Philipp Friedrich Freiherr von Hardenberg (Novalis) (May 2, 1772 – March 25, 1801), was a German Romantic poet, philosopher, author, scientific polymath, and salt-mine manager. He is distinguished from the other German Romantics in that he is the only one who was academically qualified and professionally trained in the sciences. He undertook a grand philosophico-poetic-scientific encyclopedia project - the _Allgemeine Brouillon_ - and encapsulated this project in narrative form in _The Disciples at Sais_, among other things. As evinced by the mathematical fragments below, mathematics held much importance in his work.

* [Wikipedia entry](http://en.wikipedia.org/wiki/Novalis)
* [Stanford Encyclopedia of Philosophy entry](http://plato.stanford.edu/entries/novalis/)

### Mathematical Fragments

* “In the end, mathematics is only common, simple philosophy, and philoso- phy, is higher mathematics in general. In particular, higher mathematics connects common mathematics with the system of mathematics, while the latter borders on the philosophy of mathemat- ics—or philosophical mathematics, just as systematic science is generally always the precursor and boundary of a higher degree of science—of the philosophical degree.222 (Degrees of scientific character. The highest degree of scientific character would be termed philosophy). The philosophical degree again divides into 3 parts and immediately—passes over into the higher series, or into the higher de- gree of the philosophy of philosophy, and so on. (Just as the man of nature passes over into the common and complex human being, so too pure science into the common and higher. Higher science is the transition to a system, just as the scholar, or complex man is the transition to the systematist).”

* “(Has philosophy originated from the contemplation of mathematics?) Philosophy is universal—or higher mathematics—the animating principle of mathematics—poetical mathematics—Or the substance, if mathematics is the form. Mathematics is merely objective philosophy—formal philosophy—and so- called philosophy—is merely subjective philosophy or mathematics—real philoso- phy. By combining them in a manner analogous to that of the combination of chemistry and mechanics—there arises substantial—synthetic—philosophy—or mathematics, or physics. Contrasted with philosophy, physics is mathematics— while contrasted with mathematics—it is philosophy”

* “All the universal sciences—e.g. physics and mathematics, etc., really resemble philosophy in one respect—they are Proteusses—universal substances—indications etc.”

* “The mathematical method is the essence of mathematics. Whoever fully understands this method, is a mathematician. As the scientific method in general it is extremely interesting, and perhaps supplies us with the most accurate model for the classification of knowledge, or for the faculty of experience. Axioms and postulates denote the theoretical (a.) and practical (b.) cognitive faculty as such. Problems denote the desire. Solution and proof, the analytic (ad a.) and synthetic (ad b.) ability. Explanations and corollaries also have their significance. This reveals that our desire for knowledge is the intelligence’s desire for life, a play of intellectual forces.”

* “Mathematics is genuine science—because it contains created knowledge—the products of its own spiritual activity—and because it methodically inspires. It is art, because it has fashioned inspired procedures into rules—because it teaches one to be a genius—and because it replaces Nature with reason. Higher mathematics is concerned with the spirit of quantities—with their political principle—with the world of quantities”

* “All sciences should become mathematics. Up to now, mathematics has merely been the first and simplest expression or revelation of true scientific spirit.”

* “The external is the common. The internal, is the particular./ The inte- gration is much more difficult than the differentiation. In relation to physics and philosophy./ The science that joins and puts both into contact with one another—that instructs in deriving the particular from the common, and the inverse, as well as with the external and internal aspects—this science is the connecting—and higher science. If the first is quantative mathematics, and the second qualitative mathe- matics, then the third is relative mathematics—which appear in four systems of elements and in a single universal system.”

* “The highest life is mathematics.”

* “Pure mathematics is religion.”

* “Pure mathematics is the intuition of the intellect as a universe. Genuine mathematics is the actual element of the magician … In music it appears formally, as revelation - as creative idealism”

### Rondas en Sais

[[Fernando Zalamea]] edited a Spanish language volume which updates Novalis in light of contemporary mathematics, culture, and philosophy:

* _Rondas en Sais. Ensayos sobre matemáticas y cultura contemporánea_ introduce algunos desarrollos profundos en matemáticas modernas (1830-1950: Galois, Riemann, Peirce, Florenski) y contemporáneas (1950-hoy: Grothendieck, Connes, Lawvere, Shelah, Zilber), para luego reflexionar sobre las transformaciones que esos avances han producido y pueden llegar a producir en el ámbito general de la cultura, aquí explorada a través de diversas vertientes (filosofía, literatura, cine, arte). En homenaje a Los Discípulos de Sais de Novalis, y continuando con la simbiosis de filosofía natural y la especulativa presente en su clarividente borrador general, Rondas en Sais reúne ensayos expresamente preparados para esta ocasión por reconocidos especialistas del mundo hispánico en historia y filosofía de las matemáticas. Con ello se registra un estado de la cuestión por primera vez a nivel internacional y se plantean problemáticas a desarrollar en el futuro próximo. El pensamiento matemático avanzado ha explorado con sumo detalle algunas fuerzas directrices tránsitos fronterizos, contaminaciones estructurales, deformaciones conceptuales, fluxiones pláticas, procesos reflexivos, por ejemplo que han permeado la cultura en el último medio siglo, y que han sido rara vez estudiadas desde la riqueza de los trasfondos matemáticos subyacentes. Rondas en Sais pretende cubrir en parte esa ausencia y ayudar a hacer comprender la matemática como un pensamiento dinámico, imprescindible, parte integral de la cultura como un todo.

### References

* Dalia Nassar (ed), _[The Relevance of Romanticism: Essays on German Romantic Philosophy](http://books.google.com/books?id=V6rFAgAAQBAJ&printsec=frontcover&source=gbs_ge_summary_r&cad=0#v=onepage&q=wood&f=false)_ Oxford University Press (2014)

  * [[Paul Redding]], "[Mathematics, Computation, Language and Poetry: The Novalis Paradox](http://paulredding.net/Novalis%20Paradox-final.pdf)", essay 12

  * [[David W. Wood]], "The "Mathematical" Wissenschaftslehre: On a Late Fichtean Reflection of Novalis", essay 14

* [[Fernando Zalamea]], _[Singularidades, Ramificatión, y Continuidad: Un Encuentro entre Riemann, Beethoven, y Novalis](http://www.virtual.unal.edu.co/revistas/bolmat/revista/volumen11/parte1/art2.pdf)_

NDPR review of [[David W. Wood]]'s translation of the _Allgemeine Brouillon_, and [[David W. Wood]]'s associated introductory essay on Novalis & the _Allgemeine Brouillon_ :

* [https://ndpr.nd.edu/news/23728-notes-for-a-romantic-encyclopaedia-das-allgemeine-brouillon/](https://ndpr.nd.edu/news/23728-notes-for-a-romantic-encyclopaedia-das-allgemeine-brouillon/)

* [https://www.sunypress.edu/pdf/61378.pdf](https://www.sunypress.edu/pdf/61378.pdf)

free digital copy of _The Disciples at Sais and other fragments_:

* [https://archive.org/details/disciplesatsais00nova](https://archive.org/details/disciplesatsais00nova)

general introduction to German Romanticism:

* interview with Philosopher Dalia Nassar: [http://www.3ammagazine.com/3am/the-jena-romantics-et-al/](http://www.3ammagazine.com/3am/the-jena-romantics-et-al/)



category: people