
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Riemannian geometry
+--{: .hide}
[[!include Riemannian geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A _prime geodesic_ is a primitive closed [[geodesic]] in a [[hyperbolic manifold]].


## Properties

### Analogy with prime numbers
 {#AnalogyWithPrimeNumbers}

Prime geodesics in hyperbolic geometry are in several ways [[analogy|analogous]] to [[prime numbers]] and [[prime ideals]] in [[arithmetic geometry]]. 

Notably they appear in the [[Selberg zeta function]] (see there) in the same way as prime ideals appear in the [[Artin L-function]], and moreover their [[asymptotics]] is controled in an analogous way by this function via the [[prime geodesic theorem]] as that of prime numbers is by the [[prime number theorem]] and the [[Riemann zeta function]].

A table of analogies is in ([Brown 09, p. 9](#Brown09)). Some are also mentioned in [Wikipedia, prime geodesic -- Number theory](http://en.wikipedia.org/wiki/Prime_geodesic#Number_theory).

### Prime geodesic theorem

The [[prime geodesic theorem]] (e.g. [Soundararajan-Young 13](#SoundararajanYoung13)) describes the [[asymptotic]] distribution of prime geodesics in [[analogy]] to the [[prime number theorem]].

## Related concepts

* The [[Selberg zeta function]] of a hyperbolic manifold is an [[infinite product]] over prime geodesics.

## References

* Wikipedia, _[Prime geodesic](http://en.wikipedia.org/wiki/Prime_geodesic)_

* {#Brown09} Darin Brown, _Lifting properties of prime geodesics_, Rocky Mountain J. Math. Volume 39, Number 2 (2009), 437-454 ([euclid](http://projecteuclid.org/euclid.rmjm/1239113439))

On the [[prime geodesic theorem]] (see there for more):

* {#SoundararajanYoung13} K. Soundararajan, Matthew P. Young, _The Prime Geodesic Theorem_, J. Reine Angew. Math. 676 (2013), 105-120 ([arXiv:1011.5486](http://arxiv.org/abs/1011.5486))


* Maki Nakasuji, _Prime Geodesic Theorem for Higher-Dimensional Hyperbolic Manifold_, Transactions of the AMS, Vol. 358, No. 8


[[!redirects prime geodesics]]