

## Idea 

What is known as the _prime number theorem_ is a description of the [[asymptotic]] distribution of [[prime numbers]]. It says that the number of primes less than a positive real number $x$ is asymptotic to $x/\log(x)$, where $\log x$ is the natural [[logarithm]].  

## Proof 

See [[proof of the prime number theorem]], which is based on a well-known account by Don Zagier (who in turn was explicating a short proof due to Donald J. Newman) -- see the references there. 

## Related concepts

* An [[analogy|analog]] of the theorem exists for [[prime geodesics]] in [[hyperbolic manifolds]], accordingly called the _[[prime geodesic theorem]]_. Just as the zeros of the [[Riemann zeta function]] control the error term in the prime number theorem, so the zeros of the [[Selberg zeta function]] control the error term in the prime geodesic theorem.

## References

* Wikipedia, _[Prime number theorem](http://en.wikipedia.org/wiki/Prime_number_theorem)_