## Idea

Chow groups with modulus are a non-[[homotopy invariant]] variant of [[Chow groups]].

In the theory of [[motives]] one studies [[affine line|A^1]]-[[homotopy invariant]] phenomena, like [[higher Chow groups]]/[[motivic cohomology]] and homotopy invariant [[algebraic K-theory]].
It is expected that the various [[categories of motives]] can be embedded into larger ones which also contain non-homotopy invariant phenomena, like (honest) [[algebraic K-theory]].
(Higher) Chow groups with modulus are expected to play the role of [[higher Chow groups]] in these larger categories.

## See also

* [[motivic cohomology]]
* [[higher Chow groups]]

## References

* [[Kay Rülling]], [[Takao Yamazaki]], _Suslin homology of relative curves with modulus_, [arXiv:1505.05922](http://arxiv.org/abs/1505.05922).

* Federico Binda, [[Shuji Saito]], _Relative cycles with moduli and regulator maps_, [arXiv:1212.0385](http://arxiv.org/abs/1412.0385v2).

* [[Moritz Kerz]], [[Shuji Saito]], _Chow group of 0-cycles with modulus and higher dimensional class field theory_, [arXiv:1304.4400](http://arxiv.org/abs/1304.4400).

* [[Amalendu Krishna]], [[Jinhyun Park]], _A module structure and a vanishing theorem for cycles with modulus_, [arXiv:1412.7396](http://arxiv.org/abs/1412.7396).

* [[Amalendu Krishna]], _0-cycles with modulus on surfaces_, [arXiv:1504.03125](http://arxiv.org/abs/1504.03125).

* [[Kay Rülling]], [[Shuji Saito]], _Higher Chow groups with modulus and relative Milnor K-theory_, [arXiv:1504.02669](http://arxiv.org/abs/1504.02669).

* [[Amalendu Krishna]], [[Jinhyun Park]], _A moving lemma for cycles with very ample modulus_, [arXiv:1507.05429](http://arxiv.org/abs/1507.05429).

* [[Wataru Kai]], _A moving lemma for algebraic cycles with modulus and contravariance_, [arXiv:1507.07619](http://arxiv.org/abs/1507.07619).

### Historical precursors

* [[Bruno Kahn]], [[Shuji Saito]], [[Takao Yamakazi]], _Reciprocity sheaves, I_, [arXiv:1402.4201](http://arxiv.org/abs/1402.4201).

* [[Bruno Kahn]], _Reciprocity sheaves_, notes from a talk in "Homotopical methods in algebraic geometry", USC, Los Angeles, May 28 – June 1, 2013, [pdf](http://webusers.imj-prg.fr/~bruno.kahn/preprints/reciprocity-USC.pdf).

* [[Florian Ivorra]], Kay Rülling, _K-groups of reciprocity functors_, [arXiv:1209.1217](http://arxiv.org/abs/1209.1217).

* [[Spencer Bloch]], [[Hélène Esnault]], _An additive version of higher Chow groups_, [arXiv:math/0112101](http://arxiv.org/abs/math/0112101).

[[!redirects Chow group with modulus]]
[[!redirects higher Chow group with modulus]]
[[!redirects higher Chow groups with modulus]]
[[!redirects motivic cohomology with modulus]]