
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### Geometric quantization
+--{: .hide}
[[!include geometric quantization - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Definition

Given a [[symplectic vector space]] $(V,\omega)$, then a [[function]] $H \colon V \to \mathbb{R}$ regarded as a [[Hamiltonian]] is called _quadratic_ if in terms of linear [[coordinates]] it is a degree-2 [[polynomial]]. If it is in fact a [[quadratic form]] then it is called a _homogeneous quadratic Hamiltonian_.


## Properties

### Quantization

Quadratic Hamiltonians enjoy particularly nice properties under [[quantization]]. In particular [[Weyl quantization]] restricts on them to a [[homomorphism]] of [[Lie algebras]] from the [[Poisson bracket]] to the [[commutator]] (e.g. [Robbin-Salamon 93](#RobbinSalamon93)).


### Relation to metaplectic group and extended affine symplectic group

The [[quantomorphisms]] of the [[symplectic manifold]] $(V,\omega)$ which come from paths of quadratic Hamiltonians form the [[extended affine symplectic group]] $ESp(V,\omega)$. The further [[subgroup]] of those coming from homogeneous quadratic Hamiltonians form the [[metaplectic group]] ([Robbin-Salamon 93](#RobbinSalamon93))

## References

* D. G. Currie, E. J. Saletan, _Canonical transformations and quadratic hamiltonians
_, II Nuovo Cimento B Series 11 , Volume 9, Issue 1, pp 143-153,  1972

* {#Leray81} [[Jean Leray]], section 1.1 of _Lagrangian analysis and quantum mechanics_, MIT press 1981 [pdf](http://www.maths.ed.ac.uk/~aar/papers/leraybook.pdf)


* {#RobbinSalamon93} [[Joel Robbin]],  [[Dietmar Salamon]], _Feynman path integrals on phase space and the metaplectic representation_  Math. Z. __221__ (1996), no. 2, 307–335, ([MR98f:58051](http://www.ams.org/mathscinet-getitem?mr=98f:58051), [doi](http://dx.doi.org/10.1007/BF02622118), [[RobbinSalamonMetaplectic.pdf:file]]), also  in [[Dietmar Salamon]] (ed.), _Symplectic Geometry_, LMS Lecture Note series 192 (1993) 

* Monique Combescure, Didier Robert, _Quadratic Quantum Hamiltonians revisited_ ([arXiv:math-ph/0509027](http://arxiv.org/abs/math-ph/0509027))

[[!redirects quadratic Hamiltonians]]

[[!redirects homogeneously quadratic Hamiltonian]]
[[!redirects homogeneously quadratic Hamiltonians]]