
#Contents#
* table of contents
{:toc}

Euler's formula is a fundamental relation between the [[exponential function]] and the [[trigonometric functions]]. 

## Statement

The [[exponential function]] $\exp: \mathbb{C} \to \mathbb{C}$ relates to [[sine]] and [[cosine]] $\cos, \sin \colon \mathbb{R} \to \mathbb{R}$ via

$$
  \exp(i x) = \cos(x) + i \sin(x)
$$

This can be interpreted as either a theorem (especially when $x$ is restricted to [[real numbers]] and $\cos, \sin$ have been defined independently of $\exp$), or as an implicit definition of $\cos, \sin$ (where more explicitly we have $\cos(x) \coloneqq \frac1{2}(\exp(i x) + \exp(-i x))$ and $\sin(x) \coloneqq \frac1{2 i}(\exp(i x) - \exp(-i x))$). 

## Related concepts

* [[trigonometric identity]]

## References

Named after [[Leonhard Euler]].

* Wikipedia, _[Euler's formula](https://en.wikipedia.org/wiki/Euler%27s_formula)_

[[!redirects Euler formula]]