
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Monoidal categories
+--{: .hide}
[[!include monoidal categories - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea ##

A _modular tensor category_ is roughly a [[category]] that encodes the _topological_ structure underlying a rational 2-dimensional [[conformal field theory]]. In other words, it is a basis-independent formulation of _Moore-Seiberg data_.

It is in particular a [[fusion category]] that is also a [[ribbon category]] such that the "modularity operation" is non-degenerate (this is what the name "modular tensor category" comes from):

this means that for $i,j \in I$ indices for representatives of simple objects $U_i$, $U_j$, the matrix 
$$
  (s^{i j}) = (U_i\text{-circle threading through the} \, U_j\text{ -circle})
$$
is non-degenerate.

Here on the right what is meant is the diagram in the modular tensor category made from the identity morphisms, the duality morphisms and the braiding morphism on the objects $U_i$ and $U_j$ that looks like a figure-eight with one circle threading through the other, and this diagram is interpreted as an element in the endomorphism space of the tensor unit object, which in turn is canonically identified with the [[ground field]].

In the description of 2-dimensional [[conformal field theory]] in the [[FFRS-formalism]] it is manifestly this kind of modular diagram that encodes the torus partition function of the CFT. This explains the relevance of modular tensor categories in the description of [[conformal field theory]].

Since 2-dimensional conformal field theory is related by a [[holographic principle]] to 3-dimensional [[TQFT]], modular tensor categories also play a role there, which was in fact understood before the full application in conformal field theory was: in the [[Reshetikhin-Turaev model]].


## Definition ##

A **modular tensor category** is a [[category]] with the following long list of extra structure.

>needs to be put in more coherent form, just a stub

* it is an [[abelian category]], $\mathbb{C}$-linear (i.e. $Vect_{\mathbb{C}}$ [[enriched category]]), [[semisimple category]] [[monoidal category|tensor category]]

* the tensor unit is a simple object, $I$ 
  a finite set of representatives of isomorphism classes of simple objects

* [[fusion category]]

* [[braided monoidal category]]

* [[ribbon category]], in particular objects have duals

* **modularity** a non-degeneracy condition on the braiding given by an isomorphism of algebras
  $$
    K(C) \otimes_{\mathbb{Z}} \stackrel{\simeq}{\to} End(Id_C)
  $$
  where
  $$
    [U] \mapsto \alpha_U
  $$
  where the transformation $\alpha_U$ is given on the simple object $V$ by
  $$
    \alpha_U(V) = \text{straight } V\text{-line encircled by } U\text{-loop}
  $$
  (on the right we use string diagram notation)

## Examples

Modular tensor categories arise as [[representation]] categories of [[vertex operator algebras]] (see there for more details). A database of examples is given by ([GannonHöhn](#GannonHoehn)).

## References

### General

A review is for instance in section 2.1 of ([Fuchs-Runkel-Schweigert 02](#FuchsRunkelSchweigert02)).

A list of examples (with an emphasis on [[representation categories]] of rational [[vertex operator algebras]]) is in

* {#GannonHoehn} [[Terry Gannon]], [[Gerald Höhn]], Hiroshi Yamauchi, _[The online database of Vertex Operator Algebras and Modular Categories](http://www.math.ksu.edu/~gerald/voas/)_


### Relation to 3dCS/2dWZW quantum field theory

Discussion of modular tensor categories in [[quantum field theory]] ([[3d TQFT]] and [[2d CFT]], as well as their relation via the [[AdS3-CFT2 and CS-WZW correspondence|CS/WZW correspondence]]) includes the following.

A general survey of the literature is in 

* [[Eric Rowell]], _From quantum groups to Unitary modular tensor categories_, Contemporary Mathematics 2005 ([arXiv:math/0503226](http://arxiv.org/abs/math/0503226))

See also

* [[Victor Ostrik]], _Tensor categories in conformal field theory_, talk notes 2011  ([pdf slides](http://pages.uoregon.edu/vostrik/talks/beijing.pdf))

More specific discussion in the context of [[2d CFT]] is in

* {#FuchsRunkelSchweigert02} [[Jürgen Fuchs]], [[Ingo Runkel]], [[Christoph Schweigert]], _TFT construction of RCFT correlators I: partition functions_ ([arXiv:hep-th/0204148](http://arxiv.org/abs/hep-th/0204148))

  (for more along these lines see at _[[FRS formalism]]_)

Review of construction of MTCs from [[vertex operator algebras]] is in

* James Lepowsky, _From the representation theory of vertex operator algebras to modular tensor categories in conformal field theory_ ([pdf](http://www.pnas.org/content/102/15/5304.full.pdf))

Discussion from the point of view of the [[cobordism hypothesis]] (see also the discussion at [[fusion category]]) is in 

* [[Bruce Bartlett]], [[Christopher Douglas]], [[Chris Schommer-Pries]], [[Jamie Vicary]], _Modular categories as representations of the 3-dimensional bordism 2-category_ ([arXiv:1509.06811](http://arxiv.org/abs/1509.06811))

### Examples

* [[Terry Gannon]], [[Gerald Höhn]], Hiroshi Yamauchi, _[The online database of Vertex Operator Algebras and Modular Categories](http://www.math.ksu.edu/~gerald/voas/)_
  {#GannonHoehn} 



[[!redirects modular tensor categories]]