## Idea

Any [[dg-category]] admits a pretriangulated envelope, which is a [[fully faithful functor|fully faithful]] embedding into a [[strongly pretriangulated dg-category]]. When the [[dg-category]] is itself [[pretriangulated dg-category|pretriangulated]], this is in fact an [[equivalence of dg-categories]].

## Definition

Let $T$ be a [[dg-category]].

+-- {: .un_defn}
###### Definition
The **pretriangulated envelope** (or _pretriangulated hull_, _pretriangulated completion_) of $T$, denoted $tri(T)$, is the full sub-[[dg-category]] of the [[derived dg-category of a dg-category|derived dg-category]] $D(T)$ generated by the representable [[dg-modules]] under [[homotopy fibres]] and [[homotopy cofibres]].
=--

Here, the notions of [[homotopy fibre]] and [[homotopy cofibre]] can be taken in a [[dg-model category]] [[dg-category presented by a dg-model category|presenting]] $D(T)$. Explicitly $tri(T)$ can be described as follows.

+-- {: .un_lemma}
###### Lemma
The pretriangulated envelope $tri(T)$ coincides with the full sub-dg-category of $D(T)$ spanned by the finitely generated semi-free [[dg-modules]].
=--

## Related concepts

* [[pretriangulated dg-category]]
* [[quasi-equiconic model structure on dg-categories]]

## References

Paragraph 2.3 of

* [[Dmitri Orlov]], _Smooth and proper noncommutative schemes and gluing of DG categories_, [arXiv:1402.7364](http://arxiv.org/abs/1402.7364).


[[!redirects pretriangulated hull of a dg-category]]
[[!redirects pretriangulated completion of a dg-category]]