

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Gravity
+-- {: .hide}
[[!include gravity contents]]
=--
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The fundamental [[physical unit]] of [[mass]].

About $10^{19}$ [[GeV]].

## Definition

Two important [[physical units]] of [[length]] induced by a [[mass]] $m$ are

1. the [[Compton wavelength]]

   $$
     \ell_m \coloneqq \frac{2 \pi \hbar}{m c}
   $$

1. the _[[Schwarzschild radius]]_ 

   $$
     r_m \coloneqq 2 m G/c^2
   $$

where 

* $c$ is the [[speed of light]];

* $\hbar$ is [[Planck's constant]];

* $G$ is the [[gravitational constant]];


Solving the [[equation]]

$$
  \array{
    & \ell_m &=& r_m
    \\
    \Leftrightarrow & 2\pi\hbar / m c &=& 2 m G / c^2
  }
$$

for $m$ yields the _[[Planck mass]]_

$$
   m_{P} \coloneqq \tfrac{1}{\sqrt{\pi}} m_{\ell = r} = \sqrt{\frac{\hbar c}{G}}
  \,.
$$

The corresponding [[Compton wavelength]] $\ell_{m_{P}}$ is given by the _[[Planck length]]_ $\ell_P$

$$
  \ell_{P} \coloneqq \tfrac{1}{2\pi} \ell_{m_P} = \sqrt{ \frac{\hbar G}{c^3} }
  \,
$$

## Related entries

* [[Planck length]]

* [string theory -- scales](string+theory#scales)

## References

* {#Planck99} [[Max Planck]], _Über irreversible Strahlungsvorgänge_, Sitzungsberichte der Königlich Preußischen Akademie der Wissenschaften zu Berlin. 5: 440–480. pp. 478–80, 1899, ([10.1002/andp.19003060105](http://onlinelibrary.wiley.com/doi/10.1002/andp.19003060105/abstract))

See also

* Wikipedia, _[Planck mass](http://en.wikipedia.org/wiki/Planck_mass)_

