
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebraic Quantum Field Theory
+--{: .hide}
[[!include AQFT and operator algebra contents]]
=--
#### Super-Geometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The [[spontaneously broken symmetry|spontaneous breaking]] of [[supersymmetry]]. Key to all [[phenomenology]] with global low energy supersymmetry. In [[supergravity]] for instance due to _[[gravitino condensation]]_ or _[[gaugino condensation]]_.

In a supersymmetric [[Lagrangian field theory]], the [[stress-energy tensor]] $T_{\mu \nu}$ is the image of the supersymmetry [[Noether's theorem|Noether's]] [[conserved current]] $(S_{\nu \beta})$ under the [[super Lie algebra|super Lie bracket]] with the [[supercharge]] $(Q_\alpha)$

$$
  T_{\mu \nu}
  \;=\;
  \gamma_\mu^{\alpha \beta}
  \{Q_\alpha, S_{\nu, \beta}\}
$$

and hence the [[vacuum expectation value]] of the [[stress-energy tensor]] is 

$$
  \langle vac \vert 
    T_{\mu \nu}
  \vert vac \rangle
  =
  \gamma_\mu^{\alpha \beta}
  \langle vac \vert 
     \{Q_\alpha, S_{\nu_beta}\}
  \vert vac \rangle
$$

which hence vanishes if the [[vacuum state]] is supersymmetric, hence if supersymmetry is not [[spontaneous symmetry breaking|spontaneously broken]].

Conversely, this means that supersymmetry, as opposed to ([[gauge symmetry|gauge]]) [[symmetries of the Lagrangian]] not related to [[gravity]], is broken by a positive vacuum energy 

(e.g [Witten 81, (3), (4)](#Witten81))

<img src="https://ncatlab.org/nlab/files/SupersymmetryBreaking.png" width="800">

> graphics grabbed from [Fayet-Ferrara 77, Fig. 1 on p. 286 (38 of  86)](#FayetFerrara77)



## Related concepts

* [[soft supersymmetry breaking term]]

* [[hidden sector]]

* [[Starobinsky model of cosmic inflation]]

## References

Original articles include

* {#FayetFerrara77} [[Pierre Fayet]], [[Sergio Ferrara]], _Supersymmetry_, Physics Reports Volume 32, Issue 5, September 1977, Pages 249-334 (<a href="https://doi.org/10.1016/0370-1573(77)90066-7">doi:10.1016/0370-1573(77)90066-7</a>)

* {#Witten81} [[Edward Witten]], _Dynamical breaking of supersymmetry_, Nuclear Physics B Volume 188, Issue 3, 5 October 1981, Pages 513-554 (<a href="https://doi.org/10.1016/0550-3213(81)90006-7">doi:10.1016/0550-3213(81)90006-7</a>)

Review includes

* [[Hans-Peter Nilles]], _Supersymmetry, supergravity and particle physics_, Physics Reports Volume 110, Issues 1–2, August 1984, Pages 1-162 (<a href="https://doi.org/10.1016/0370-1573(84)90008-5">doi:10.1016/0370-1573(84)90008-5</a>)

* [[Hans-Peter Nilles]], _Hidden Sector Supergravity Breakdown_, Nucl. Phys. Proc. Suppl. 101 (2001) 237-250 ([arXiv:hep-ph/0106063](https://arxiv.org/abs/hep-ph/0106063))

* Yael Shadmi, _Supersymmetry breaking_ ([arXiv:hep-th/0601076](http://arxiv.org/abs/hep-th/0601076)) 

* [[Matteo Bertolini]], _Supersymmetry breaking_ ([pdf](http://people.sissa.it/~bertmat/lect7.pdf))

A quantitative analysis showing that locally supersymmetric [[spacetime]] theories will generically not exhibit global spacetime supersymmetry is

* {#DLSW} [[Keith Dienes]], Michael Lennek, David S&#233;n&#233;chal, Vaibhav Wasnik, _Is SUSY Natural?_ NewJ.Phys.10:085003,2008 ([arXiv:0804.4718](http://arxiv.org/abs/0804.4718))
 
Discussion of supersymmetry breaking unified with [[cosmic inflation]] via [[higher curvature corrections]] of [[supergravity]] -- in the [[Starobinsky model of cosmic inflation]] -- includes

* {#FerrarKehagias14} Sergio Ferrara, Alex Kehagias, _Higher Curvature Supergravity, Supersymmetry Breaking and Inflation_ ([arXiv:1407.5187](http://arxiv.org/abs/1407.5187))

* {#DFKRU14} I. Dalianis, F. Farakos, A. Kehagias, A. Riotto, R. von Unge, _Supersymmetry Breaking and Inflation from Higher Curvature Supergravity_ ([arXiv:1409.8299](http://arxiv.org/abs/1409.8299))


[[!redirects gravity-mediated supersymmetry breaking]]
