This entry is about the collection of notes

* [[Dennis Gaitsgory]], _Notes on geometric Langlands_, [web](http://www.math.harvard.edu/~gaitsgde/GL/)

on the [[categorical geometric Langlands conjecture]], which is formulated as an equivalence of [[stable (infinity,1)-categories]] of

* [[D-modules]] on the [[derived stack]] of [[G-bundles]] on a [[curve]] $X$,

and

* [[quasi-coherent sheaves]] on the [[derived stack]] of $G^\vee$-equivariant [[local systems]] on $X$,

where $X$ is a smooth complete [[curve]] over a [[field]] of [[characteristic zero]], and $G$ is a [[reductive group]] and $G^\vee$ is its [[Langlands dual]].  (More precisely, the latter category should be replaced by some appropriate category of [[ind-coherent sheaves]].)

## See also

* [[D. Gaitsgory]], [[N. Rozenblyum]], _[[A study in derived algebraic geometry]]_.

* [[D. Gaitsgory]] et. al., _Geometric representation theory_, graduate seminar, Fall 2009--Spring 2010, [web](http://www.math.harvard.edu/~gaitsgde/grad_2009/).

## Contents

### Foundational stuff

* [[Dennis Gaitsgory]], _Generalities on DG categories_, [pdf](http://www.math.harvard.edu/~gaitsgde/GL/textDG.pdf)

Studies some aspects of the [[symmetric monoidal (infinity,1)-category]] of [[dg-categories]], including [[colimits in an (infinity,1)-category|colimits]], [[limits in an (infinity,1)-category|limits]], and [[dualizable objects]] in it, and [[categories of modules]] over it.

* [[N. Rozenblyum]], _Filtered colimits of categories_, [pdf](http://www.math.harvard.edu/~gaitsgde/GL/colimits.pdf).

An explicit description of [[filtered colimits]] in the [[(infinity,1)-category of (infinity,1)-categories]].

* [[Dennis Gaitsgory]], _Functors given by kernels, adjunctions and duality_, [pdf](http://www.math.harvard.edu/~gaitsgde/GL/kernels.pdf).

* [[Dennis Gaitsgory]], _Stacks_, [pdf](http://www.math.harvard.edu/~gaitsgde/GL/Stackstext.pdf)

A concise review of [[derived stacks]] and [[derived schemes]] in [[derived algebraic geometry]] (the version based on coconnective [[commutative dg-algebras]]).

* [[Dennis Gaitsgory]], _Quasi-coherent sheaves on stacks_, [pdf](http://www.math.harvard.edu/~gaitsgde/GL/QCohtext.pdf)

A concise review of [[stable (infinity,1)-categories]] of [[quasi-coherent sheaves]] and [[perfect complexes]] on [[derived stacks]].

* [[Dennis Gaitsgory]], _Sheaves of categories and the notion of 1-affineness_, [pdf](http://www.math.harvard.edu/~gaitsgde/GL/shvsofcat.pdf).

* [[Dennis Gaitsgory]], _Ind-coherent sheaves_, [pdf](http://www.math.harvard.edu/~gaitsgde/GL/IndCohtext.pdf).

On the [[stable (infinity,1)-category]] of [[ind-coherent sheaves]] on a [[derived stack]], and the [[six operations]] in this setting.

* [[Dennis Gaitsgory]], [[N. Rozenblyum]], _DG Indschemes_, [pdf](http://www.math.harvard.edu/~gaitsgde/GL/IndSchemestext.pdf).

Develops the theory of [[ind-schemes]] in [[derived algebraic geometry]].

* [[Dennis Gaitsgory]], [[N. Rozenblyum]], _Crystals and D-modules_, [pdf](http://www.math.harvard.edu/~gaitsgde/GL/Crystalstext.pdf).

Studies [[crystals]] and [[D-modules]] in [[derived algebraic geometry]].

* [[V. Drinfeld]], [[Dennis Gaitsgory]], _On some finiteness questions for algebraic stacks_, [pdf](http://www.math.harvard.edu/~gaitsgde/GL/Finiteness.pdf).

### ...

rest of the contents to be filled in