This entry is about the book (in progress)

* [[D. Gaitsgory]], [[N. Rozenblyum]], _A study in derived algebraic geometry_, [web](http://www.math.harvard.edu/~gaitsgde/GL/).

It develops some aspects of the theory of [[derived algebraic geometry]] with the [[categorical geometric Langlands conjecture]] in mind.

## See also

* [[Dennis Gaitsgory]], _[[Notes on geometric Langlands]]_, [web](http://www.math.harvard.edu/~gaitsgde/GL/).

* [[D. Gaitsgory]] et. al., _Geometric representation theory_, graduate seminar, Fall 2009--Spring 2010, [web](http://www.math.harvard.edu/~gaitsgde/grad_2009/).

## Contents

* Preface

* Introduction to Part I: Preliminaries

* Chapter I.1: Some higher algebra 

An introduction to $\infty$-categories and review of Lurie's books

* Chapter I.2: Basics of derived algebraic geometry 

Introduces (derived) [[prestacks]], [[stacks]], [[schemes]] and [[Artin stacks]].

* Chapter I.3: Quasi-coherent sheaves on prestacks 

Introduces and studies the basic properties of the category of quasi-coherent sheaves on a prestack.

* Introduction to Part II: Ind-coherent sheaves

* Chapter II.1: _Ind-coherent sheaves on schemes_, [pdf](http://www.math.harvard.edu/~gaitsgde/GL/IndCohSch.pdf)

Introduces and studies elementary properties of the [[stable (infinity,1)-category]] of [[ind-coherent sheaves]] on [[derived schemes]].

* Chapter II.2: _The !-pullback and base change_, [pdf](http://www.math.harvard.edu/~gaitsgde/GL/corrtext.pdf).

Discusses how the system of [[stable (infinity,1)-categories]] of [[ind-coherent sheaves]] satisfies the formalism of [[six operations]].

* Chapter II.3: _Relation between QCoh and IndCoh_, [pdf](http://www.math.harvard.edu/~gaitsgde/GL/QCohandIndCoh.pdf).

Discusses the relationship between the [[stable (infinity,1)-categories]] of [[quasi-coherent sheaves]] and [[ind-coherent sheaves]].

* Introduction to Part III: Inf-schemes

* Chapter III.1: _Deformation theory_, [pdf](http://www.math.harvard.edu/~gaitsgde/GL/deftext.pdf).

Sets up [[derived deformation theory]].

* Chapter III.2: _(Ind)-inf-schemes_, [pdf](http://www.math.harvard.edu/~gaitsgde/GL/InfSchtext.pdf).

Introduces [[inf-schemes]], which are algebro-geometric objects that include [[derived schemes]] and de Rham [[prestacks]] of schemes

* Chapter III.3: _Ind-coherent sheaves on (ind)-inf-schemes_, [pdf](http://www.math.harvard.edu/~gaitsgde/GL/InfSchtext.pdf).

Extends the formalism of [[ind-coherent sheaves]] to [[inf-schemes]] and discusses functoriality.

* Chapter III.4: _An application: crystals_, [pdf](http://www.math.harvard.edu/~gaitsgde/GL/crystext.pdf).

Studies the [[six operations]] for [[D-modules]].

* Introduction to Part IV: Formal geometry

* Chapter IV.1: _Lie algebras and co-commutative co-algebras_, [pdf](http://www.math.harvard.edu/~gaitsgde/GL/Lie.pdf).

Sets up the theory of [[Lie algebras]] from the point of view of [[Koszul-Quillen duality]].

* Chapter IV.2: _Formal moduli_, [pdf](http://www.math.harvard.edu/~gaitsgde/GL/formalmoduli.pdf).

Reinterprets [[Jacob Lurie]]'s theory of [[formal moduli problems]] using the language of [[inf-schemes]].

* Chapter IV.3: _Formal groups and Lie algebras_, [pdf](http://www.math.harvard.edu/~gaitsgde/GL/exp.pdf).

Explains how to pass between [[Lie algebras]] and [[formal groups]] within the framework of [[derived algebraic geometry]].

* Chapter IV.4: _Lie algebroids_, [pdf](http://www.math.harvard.edu/~gaitsgde/GL/algebroids.pdf).

Introduces [[Lie algebroids]] and studies various aspects of [[infinitesimal geometry]].

* Chapter IV.5: Infinitesimal differential geometry 

Studies various aspects of infinitesimal geometry, such as the n-th infinitesimal neighborhood.

* Introduction to Part V: Categories of correspondences

* Chapter V.1: The $(\infty,2)$-category of correspondences

Introduces the formalism of correspondences.

* Chapter V.2: Extension theorems for category of correspondences

Extends the theory of IndCoh from schemes to inf-schemes.

* Chapter V.3: The (symmetric) monoidal structure on the category of correspondences

Shows how the formalism of correspondences encodes Serre duality

* Introduction to Part A (appendix on $(\infty,2)$-categories)

* Chapter A.1: Basics of $(\infty,2)$-categories

Defines $(\infty,2)$-categories and introduces some basic constructions

* Chapter A.2: Straightening and Yoneda $(\infty,2)$-categories

Constructs the straightening/unstraightening procedures and the Yoneda embedding

* Chapter A.3: Adjunctions in $(\infty,2)$-categories

Studies the procedure of passing to the adjoint 1-morphism

* References