
This page collects material related to the article

* {#Cantor1895} [[Georg Cantor]], 

  _Beiträge zur Begründung der transfiniten Mengenlehre_, 

  Math. Ann. 46 (1895) pp.481-512, 

  reprinted from p. 282 on in 

  [[Ernst Zermelo]] (ed.), 

  _Georg Cantor -- Gesammelte Abhandlungen mathematischen und philosophischen Inhalts_, 
  
  Springer Berlin 1932 

  ([online English translation](https://archive.org/details/contributionstof00cant))

which is the origin of the modern concept of [[cardinality]] of [[sets]]. (But see also the commentary in [[William Lawvere]], _[[Cohesive Toposes and Cantor's "lauter Einsen"]]_).


#Contents#
* table of contents
{:toc}

## Section 1. The conception of Power or Cardinal Number**

By an "aggregate" (Menge) we are to understand any collection into a whole (Zusammenfassung zu
einem Ganzen) $M$ of definite and separate objects of our intuition or our thought. These objects are called the "elements" of $M$.
In signs we express this thus :

(i) $M = \{m\}$.

We denote the uniting of many aggregates $M$, $N$,
$P$, $\cdots$, which have no common elements, into a
single aggregate by

(2) $(M, N, P, \cdots)$.

The elements of this aggregate are, therefore, the elements of $M$, of $N$, of $P$, . . ., taken together. We will call by the name "part" or "partial aggregate " of an aggregate M any other aggregate $M_1$ whose elements are also elements of $M$. If $M_2$ is a part of $M_1$ and $M_1$ is a part of $M$, then $M_2$ is a part of $M$.

Every aggregate $M$ has a definite "power", which
we will also call its "cardinal number".

We will call by the name "power" or "cardinal number" of $M$ the general concept which, by means
of our active faculty of thought, arises from the aggregate $M$ when we make abstraction of the
nature of its various elements $m$ and of the order
in which they are given.

[482] We denote the result of this double act of abstraction, the cardinal -number or power of M, by
(3) $\overline{\overline{M}}$

Since every single element $m$, if we abstract from its nature, becomes a "unit," the cardinal number $M$ is a definite aggregate composed of units, and this number has existence in our mind as an intellectual image or projection of the given aggregate $M$.
We say that two aggregates $M$ and $N$ are "equivalent,"
in signs

(4) $M \sim N$ or $N \sim M$

if it is possible to put them, by some law, in such a relation to one another that to every element of each one of them corresponds one and only one element
of the other. To every part $M_1$ of $M$ there corresponds, then, a definite equivalent part $N_1$ of $N$, and inversely.

$[$ ...$]$

Every aggregate is equivalent to itself

(5) $M \sim M$

If two aggregates are equivalent to a third, they are
equivalent to one another ; that is to say :

(6) from $M \sim P$ and $N \sim P$ follows $M \sim N$.

Of fundamental importance is the theorem that two aggregates $M$ and $N$ have the same cardinal number if, and only if, they are equivalent : thus,

(7) from $M \sim N$ we get $\overline{\overline{M}} = \overline{\overline{N}}$,

and

(8) from $\overline{\overline{M}} = \overline{\overline{N}}$ we get $M \sim N$.

Thus the equivalence of aggregates forms the necessary and sufficient condition for the equality of their cardinal numbers.

[483] In fact, according to the above definition of power, the cardinal number $M$ remains unaltered if in the place of each of one or many or even all
elements $m$ of $M$ other things are substituted. If, now, $M \sim N$, there is a law of co-ordination by means of which $M$ and $N$ are uniquely and reciprocally
referred to one another; and by it to the
element $m$ of $M$ corresponds the element $n$ of $N$.
Then we can imagine, in the place of every element
$m$ of $M$, the corresponding element $n$ of $N$ substituted,
and, in this way, $M$ transforms into $N$ without
alteration of cardinal number. Consequently

$\overline{\overline{M}} = \overline{\overline{N}}$.

The converse of the theorem results from the remark that between the elements of $M$ and the
different units of its cardinal number $M$ a reciprocally univocal (or bi-univocal) relation of correspondence subsists. For, as we saw, $\overline{\overline{M}}$ grows, so to
speak, out of $M$ in such a way that from every element $w$ of $M$ a special unit of $M$ arises. Thus we can say that

(9) $M \sim \overline{\overline{M}}$

In the same way $N \sim \overline{\overline{N}}$. If then $\overline{\overline{M}} = \overline{\overline{N}}$, we have,
by (6), $M \sim N$.

We will mention the following theorem, which
results immediately from the conception of equival ence. If $M$, $N$, $P$, . . . are aggregates which have no common elements, $M'$, $N'$, $P'$, . . . are also aggregates
with the same property, and if

$M \sim M'$, $N \sim N'$, $P \sim P'$, ...,

then we always have

$(M, N, P, . . .) \sim (M', N', P', \cdots)$.


category: reference