
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

In classical [[gravity]] ([[general relativity]]) the _positive energy theorem_ (formerly the _positive mass conjecture_) states that under reasonable assumptions ([[dominant energy condition]]) on the nature of the [[matter]] content (i.e. on the non-gravitational [[stress-energy tensor]]) then the [[ADM mass]] of any [[asymptotically flat spacetime]] solving the [[Einstein equations]] is non-negative, and zero precisely only for [[Minkowski spacetime]] (the [[vacuum]]).


## Related concepts

* [[BPS state]]

## References

An influential argument for the positive energy theorem for [[supergravity]] is due to

* [[Stanley Deser]], [[Claudio Teitelboim]], _Supergravity has positive energy,_  Phys.  Rev. Lett. 39, 249-252 (1977

The first proof of the positive energy theorem for bosonic Einstein gravity was given in

* [[Richard Schoen]] and [[Shing-Tung Yau]], _On the proof of the positive mass conjecture in general relativity_, Commun. Math. Phys. 65, 45 (1979).

* [[Richard Schoen]] and [[Shing-Tung Yau]], _Proof of the positive mass theorem. II_, Commun. Math. Phys. 79, 231 (1981).


An alternative proof for Einstein gravity, making crucial use of [[spinor]] algebra,  was found in

* [[Edward Witten]], _A new proof of the positive energy theorem_, Commun. Math. Phys. 80, 381 (1981).

Comparison of the relation between the proof for [[supergravity]] and the spinorial proof for Einstein gravity is made in

* {#Hull83} [[Chris Hull]], _The positivity of gravitational energy and global supersymmetry_, Comm. Math. Phys. Volume 90, Number 4 (1983), 545-561 ([Euclid](https://projecteuclid.org/euclid.cmp/1103940417))

See also

* Maung Min-Oo, _Scalar curvature rigidity of certain symmetric spaces_, 1995 ([pdf](http://ms.mcmaster.ca/minoo/mypapers/crm.pdf))

* Wikipedia, _[Positive energy theorem](http://en.wikipedia.org/wiki/Positive_energy_theorem)_


[[!redirects positive mass conjecture]]


[[!redirects positive energy conjecture]]

[[!redirects positive mass theorem]]
