
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

What has come to be called the _doctrine of ideas_ or the _theory of forms_ is  a central part of the [[philosophy]] of [[Plato]], going back mostly to the [[Parmenides dialogue]] and the allegory of 'The Cave' in the [[Republic dialogue]].

[[Aristotle]] expands on this. In the 19th century it becomes _[[idealism]]_. With  [[Hegel]] there is "The Idea" in an absolute way ([WdL -- Die Idee](http://ncatlab.org/nlab/show/Science%20of%20Logic#TheIdea)).

## Hegel's perspective
 {#HegelPerspective}

> For Hegel identifies the idea not with Plato’s archetype but with [[Aristotle]]’s formal–final cause. Hegel saw Aristotle, not Plato, as the proper founder of [[absolute idealism]]. ([Beiser 05, p. 66](#Beiser05))

> Hegel contrasts Plato's Idea with "Aristotle's Idea" (sic), ... in contrast to Plato's it makes the end effective ([Ferrarin 04, p. 106](#Ferrarin04))

* [[Georg Hegel]], _[[Science of Logic]]_:

> [WdL §55](Science+of+Logic#55) Um dies in die Vorstellung wenigstens aufzunehmen, ist die Meinung auf die Seite zu legen, als ob die Wahrheit etwas Handgreifliches sein müsse. Solche Handgreiflichkeit wird zum Beispiel selbst noch in die Platonischen Ideen, die in dem Denken Gottes sind, hineingetragen, als ob sie gleichsam existierende Dinge, aber in einer anderen Welt oder Region seien, außerhalb welcher die Welt der Wirklichkeit sich befinde und eine von jenen Ideen verschiedene, erst durch diese Verschiedenheit reale Substantialität habe. Die Platonische Idee ist nichts anderes als das Allgemeine oder bestimmter der Begriff des Gegenstandes; nur in seinem Begriffe hat etwas Wirklichkeit; insofern es von seinem Begriffe verschieden ist, hört es auf, wirklich zu sein, und ist ein Nichtiges; die Seite der Handgreiflichkeit und des sinnlichen Außersichseins gehört dieser nichtigen Seite an.

> §55 To get some idea of this one must discard the prejudice that truth must be something tangible. Such tangibility is, for example, imported even into the Platonic Ideas which are in God's thinking, as if they are, as it were, existing things but in another world or region; while the world of actuality exists outside that region and has a substantial existence distinct from those Ideas and only through this distinction is a substantial reality. The Platonic Idea is the universal, or more definitely the Notion of an object; only in its Notion does something possess actuality and to the extent that it is distinct from its Notion it ceases to be actual and is a non-entity; the side of tangibility and sensuous self-externality belongs to this null aspect. But on the other side, one can appeal to the conceptions of ordinary logic itself; for it is assumed, for example, that the determinations contained in definitions do not belong only to the knower, but are determinations of the object, constituting its innermost essence and its very own nature. Or, if from given determinations others are inferred, it is assumed that what is inferred is not something external and alien to the object, but rather that it belongs to the object itself, that to the thought there is a correspondent being.


* [[Georg Hegel]],  _[[Lectures on the History of Philosophy]]_ 


> Chapter III: First Period, Third Division

> The third division, which deals with Plato and Aristotle, is found in Greek science where objective thought, the Idea, forms itself into a whole. The concrete, in itself determining Thought, is, with Plato, the still abstract Idea, but in the form of universality; while with Aristotle that Idea was conceived of as the self-determining, or in the determination of its efficacy or activity. ([source](https://www.marxists.org/reference/archive/hegel/works/hp/hpconten.htm))

* [[Georg Hegel]], _[[Lectures on the History of Philosophy]] -- [Aristotle -- 1. Metaphyiscs](Lectures+on+the+History+of+Philosophy#AristotleMetaphysics)_ ([English translation](https://www.marxists.org/reference/archive/hegel/works/hp/hpconten.htm)):

> From this definition we now see clearly the sort of opposition in which the Idea of Aristotle stands to that of Plato, for although the Idea of Plato is in itself essentially concrete and determined, Aristotle goes further. In so far, namely, as the Idea is determined in itself, the relation of the moments in it can be more closely specified, and this relation of the moments to each other is to be conceived of as nothing other than activity.

> The Platonic Idea, on the other hand, is rather that abrogation of opposites, where one of the opposites is itself unity. While, therefore, with Plato the main consideration is the affirmative principle, the Idea as only abstractly identical with itself, in Aristotle there is added and made conspicuous the moment of negativity, not as change, nor yet as nullity, but as difference or determination. The principle of individualization, not in the sense of a casual and merely particular subjectivity, but in that of pure subjectivity, is peculiar to Aristotle.

## Related concepts

* [[idealism]]

  [[objective idealism]]

  [[absolute idealism]]

## References

* Wikipedia, _[Theory of Forms](http://en.wikipedia.org/wiki/Theory_of_Forms)_

* Wikipedia, _[Platonic idealism](http://en.wikipedia.org/wiki/Platonic_idealism)_

* {#WdL} [[Georg Hegel]], section _[The Idea](Science+of+Logic#TheIdea)_ in _[[Science of Logic]]_ 

*  {#Ferrarin04} Alfredo Ferrarin, _Hegel and Aristotle_, 2004 ([web](https://books.google.it/books?id=H_SjGi51DrEC&pg=PA106#v=onepage&q&f=false))

* {#Beiser05} Frederick Beiser, _Hegel_ (2005), passim and page 66

[[!redirects Platonic idealism]]