
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
=--
=--

This page collects material related to

* [[Plato]]

  _Parmenides_

  370 BC

  English translation by Benjamin Jowett, 1871 

  ([plain text](http://www.sacred-texts.com/cla/plato/parmeni.htm))

Named after the Eleatic philosopher, the **Parmenides** is one of the later and most influential dialogues of [[Plato]]. The first part concerns the [[doctrine of ideas]], the second part concerns a [[dialectic]] between "the one" and "the many", and is commonly perceived as being mysterious (for a dialetheic interpretation see [Priest 2012](#Priest12)). It concludes as follows:

> $[$...$]$ whether one is or is not, one and the others in
relation to themselves and one another, all of them, in every way, are
and are not, and appear to be and appear not to be.

> Most true.

The Parmenides dialogue is also the main source on _[[Zeno]]_.

#Contents#
* table of contents
{:toc}

## Hegel's interpretation


The Parmenides dialogue has influenced, and its topics (and mysterious style) have been picked up, by [Hegel WdL](#HegelWdL), eg. in [§357](Science%20of%20Logic#357).

> Hegel's interpretation of Plato's Parmenides during the early Jena period focuses largely on its methodological value as a radical exercise in negative skepticism, and, as such, as introduction to proper philosophizing. In his Relation of Skepticism to Philosophy, for example, Hegel characterizes Plato's dialogue as exhibiting "the negative side of the knowledge of the absolute" (die negative Seite der Erkenntnis des Absoluten). According to this interpretation, the dialogue's role in the history of philosophy is twofold. On the one hand, the negative dialectic of ideas that constitutes its backbone would exhibit the inadequacy of the understanding to provide true cognition. By showing that concepts (here understood as "determinations of the understanding [Verstandes-bestimmungen]") like similar and dissimilar, older and younger, continuous and discrete, or, more crucially, same and other, are intimately connected with their respective contradictory, Plato would demonstrate that to deny or attribute these opposites simultaneously to "finite" or "badly infinite," that is, non-self-reflexive, objects of thinking leads to utter unintelligibility. On the other hand, Hegel believes also that the dialogue works as indirect proof of the validity of a different cognitive mode - namely, reason - that Plato intends to display and account for in a separate trilogy: the Sophistes, the Politicos, and, in definitive form, the Philosophos. The Parmenides would then tacitly imply that "truly infinite," self-reflexive objects of thinking may actually be made intelligible precisely by the dialectic contradictions of which the dialogue shows only the negative results. ... ([de Laurentiis 04](#deLaurentiis04))

## Related entries

* [[Timaeus dialogue]]

* [[Republic dialogue]]

## References

* Wikipedia _[Parmenides (dialogue)](http://en.wikipedia.org/wiki/Parmenides_%28dialogue%29)_

* Stanford Encyclopedia of Philosophy, _[Plato's Parmenides](http://plato.stanford.edu/entries/plato-parmenides/)_

* {#HegelWdL} [[Georg Hegel]], _[[Science of Logic]]_

* [[Georg Hegel]], _[[Lectures on the History of Philosophy]]_ 

  -- _[Eleatic school -- Parmenides](#Lectures+on+the+History+of+Philosophy#Parmenides)_

  -- _[Plato -- Dialectic -- Parmenides dialogue](Lectures+on+the+History+of+Philosophy#ParmenidesDialogue)_

* {#deLaurentiis04} A. de Laurentiis, _On Hegel's reading of Plato's Parmenides_, 2004 

* {#Priest12} G. Priest, _The Parmenides: a Dialetheic Interpretation_,  Plato J.Int. Plato Soc.**12** (2012)([link](http://gramata.univ-paris1.fr/Plato/article120.html))

[[!redirects Parmenides]]

[[!redirects Parmenides (dialogue)]]

category:reference