
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## About

Meister Eckhart was a medieval christian [[mystic]].


> The German monk Meister Eckhart (1260-1327) was the first to develop the terminology of philosophy in German, translating and adapting Latin terms. For him, God becomes conscious of himself only within his creation. Eckhart also argues that Divine Knowledge is ‘the negation of negation’. As with other mystics, Eckhart’s aim was the unification of the soul with God. Christ is continually born within each believing soul.  ([source](https://www.marxists.org/reference/archive/smith-cyril/works/articles/interim.htm))

## Quotes

> {#UnverhuellteWahrheit} Denn, solange der Mensch dieser Wahrheit nicht gleicht, solange wird er diese Rede nicht verstehen; denn dies ist eine unverhüllte Wahrheit, die da gekommen ist aus dem Herzen Gottes unmittelbar.

> {#TheEye} The eye with which God sees me is the eye with which I see Him; my eye and His eye are one and the same. In righteousness I am weighed in God and He in me. If God did not exist nor would I; if I did not exist, nor would He. But there is no need to know this, for there are things that are easily misunderstood (and that can be grasped only in the concept). (quoted in [Hegel 1832, p 249](#Hegel1832))

> {#DiesZuWissenIstichtNot} Nun bitte ich euch, ebenso zu sein, auf daß ihr diese Rede verstehet; denn ich sage euch bei der ewigen Wahrheit: Wenn ihr dieser Wahrheit, von der wir nun sprechen wollen, nicht gleicht, so könnt ihr mich nicht verstehen. $[$...$]$ So denn sagen wir, daß der Mensch so arm dastehen müsse, daß er keine Stätte sei noch habe, darin Gott wirken könne. Wo der Mensch (noch) Stätte (in sich) behält, da behält er noch Unterschiedenheit. Darum bitte ich Gott, daß er mich Gottes quitt mache; denn mein wesentliches Sein ist oberhalb von Gott, sofern wir Gott als Beginn der Kreaturen fassen. In jenem Sein Gottes nämlich, wo Gott über allem Sein und über aller Unterschiedenheit ist, dort war ich selber, da wollte ich mich selber und erkannte mich selber (willens), diesen Menschen (= mich) zu schaffen. Und darum bin ich Ursache meiner selbst meinem Sein nach, das ewig ist, nicht aber meinem Werden nach, das zeitlich ist. Und darum bin ich ungeboren, und nach der Weise meiner Ungeborenheit kann ich niemals sterben. Nach der Weise meiner Ungeborenheit bin ich ewig gewesen und bin ich jetzt und werde ich ewiglich bleiben. Was ich meiner Geborenheit nach bin, das wird sterben und zunichte werden, denn es ist sterblich; darum muß es mit der Zeit verderben. In meiner (ewigen) Geburt wurden alle Dinge geboren, und ich war Ursache meiner selbst und aller Dinge; und hätte ich gewollt, so wäre weder ich noch wären alle Dinge; wäre aber ich nicht, so wäre auch »Gott« nicht: daß Gott »Gott« ist, dafür bin ich die Ursache; wäre ich nicht, so wäre Gott nicht »Gott«. Dies zu wissen ist nicht not. (Eckehart, Predigten _[Selig sind die Armen im Geiste](http://www.teeweg.de/de/varia/selig-die%20armen.html)_)


## Relation to Hegel
 {#RelationToHegel}

On the relation to [[Hegel]]:

> The final “Hermetic” period of Hegel’s life is his time in Berlin, from 1818 until his death on November 14, 1831. This is contrary to what one might expect. It might be assumed that Hegel’s “Hermeticism” was merely an aberration of youth, which the “arch rationalist” moved away from as he matured. Surprisingly, precisely the reverse seems to be the case. In Berlin, Hegel developed a friendship with Franz von Baader, the premiere occultist and mystic of the day. Together they studied Meister Eckhart. ([Magee 01, Introduction, section 1](#Magee01))

> Another Hegelian, Hans Martensen, author of one of the first scholarly studies of Meister Eckhart, remarked that “German mysticism is the first form in which German philosophy revealed itself in the history of thought” (“philosophy” for Hegelians generally means Hegel’s Philosophy). Wilhelm Dilthey noted the same continuity between German mysticism and speculative philosophy. ([Magee 01, Introduction, section 1](#Magee01))

see also ([Hacket 13, pp. 629 "Eckhart reception in the 19th century"](#Hacket13))


## Related concepts

* [[mysticism]], [[hermeticism]], [[gnosticism]]

## References

* Wikipedia, _[Meister Eckhart](http://en.wikipedia.org/wiki/Meister_Eckhart)_

* {#Hegel1832} [[Georg Hegel]], _Lectures on the philosophy of religion_, Volume 1, 1832 ([pdf](http://hegel.net/hegelwerke/Hegel_Werke_Bd11_Religion_Bd1_1aufl_1832.pdf))

* {#Magee01} [[Glenn Alexander Magee]], _Hegel and the Hermetic Tradition_, Cornell University Press, 2001 ([introduction html](https://www.marxists.org/reference/subject/philosophy/works/en/magee.htm))

* {#Hacket13} Jeremiah Hackett, _A companion to Meister Eckhart_, 2013


category: people