+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Relation to speculative philosophy

According to [[Georg Hegel]], _[[Encyclopedia of the Philosophical Sciences]]_, medieval mysticism is the same as the [[speculative philosophy]] of the 19th century:

> [Enc&#167;82d](Science+of+Logic#Enc82d)  Hinsichtlich der Bedeutung des Spekulativen ist hier noch zu erw&#228;hnen, da&#223; man darunter dasselbe zu verstehen hat, was fr&#252;her, zumal in Beziehung auf das religi&#246;se Bewu&#223;tsein und dessen Inhalt, als das Mystische bezeichnet zu werden pflegte.  Wenn heutzutage vom Mystischen die Rede ist, so gilt dies in der Regel als gleichbedeutend mit dem Geheimnisvollen und Unbegreiflichen, und dies Geheimnisvolle und Unbegreifliche wird dann, je nach Verschiedenheit der sonstigen Bildung und Sinnesweise, von den einen als das Eigentliche und Wahrhafte, von den anderen aber als das dem Aberglauben und der T&#228;uschung Angeh&#246;rige betrachtet. 

> Hier&#252;ber ist zun&#228;chst zu bemerken, da&#223; das Mystische allerdings ein Geheimnisvolles ist, jedoch nur f&#252;r den Verstand, und zwar einfach um deswillen, weil die abstrakte Identit&#228;t das Prinzip des Verstandes, das Mystische aber (als gleichbedeutend mit dem Spekulativen) die konkrete Einheit derjenigen Bestimmungen ist, welche dem Verstand nur in ihrer Trennung und Entgegensetzung f&#252;r wahr gelten. 
Wenn dann diejenigen, welche das Mystische als das Wahrhafte anerkennen, es gleichfalls dabei bewenden lassen, da&#223; dasselbe ein schlechthin Geheimnisvolles sei, so wird damit ihrerseits nur ausgesprochen, da&#223; das Denken f&#252;r sie gleichfalls nur die Bedeutung des abstrakten Identischsetzens hat und da&#223; man um deswillen, um zur Wahrheit zu gelangen, auf das Denken verzichten oder, wie auch gesagt zu werden pflegt, da&#223; man die Vernunft gefangennehmen m&#252;sse. 

> [Enc&#167;82e](Science+of+Logic#Enc82e) Nun aber ist, wie wir gesehen haben, das abstrakt verst&#228;ndige Denken so wenig ein Festes und Letztes, da&#223; dasselbe sich vielmehr als das best&#228;ndige Aufheben seiner selbst und als das Umschlagen in sein Entgegengesetztes erweist, wohingegen das Vern&#252;nftige als solches gerade darin besteht, die Entgegengesetzten als ideelle Momente in sich zu enthalten. Alles Vern&#252;nftige ist somit zugleich als mystisch zu bezeichnen, womit jedoch nur so viel gesagt ist, da&#223; dasselbe &#252;ber den Verstand hinausgeht, und keineswegs, da&#223; dasselbe &#252;berhaupt als dem Denken unzug&#228;nglich und unbegreiflich zu betrachten sei.

> It should also be  mentioned here that the meaning of the  speculative is  to be understood as being the same as what used in earlier times to be called "mystical", especially with regard to  the religious consciousness and its content. When we speak of the "mystical" nowadays, it is  taken as a rule to be synonymous with what is mysterious and incomprehensible; and, depending on the ways their culture and mentality vary in other respects, some people treat the mysterious and in&#173;comprehensible as what is authentic and genuine, whilst others regard it as belong&#173;ing to the domain of superstition and deception. About this we must remark first that "the mystical" is certainly something mysterious, but only for the understand&#173;ing, and then only because  abstract identity is the principle of the understanding. But when it is regarded as synonymous with  the speculative, the mystical is the concrete unity of just those determinations that count as true for the understanding only in their separation and opposition. So if those who recognise the mystical as what is genuine say that it is something utterly mysterious, and just leave it at that, they are only declaring that for them, too, thinking has only the Significance of an abstract positing of identity, and that in order to attain the truth we must renounce thinking, or, as they frequently put it, that we must "take reason captive." As we have seen, however, the abstract thinking of the understanding is so far from being something firm and ultimate that it proves itself, on the contrary, to be a constant sublating of itself and an overturning into its opposite, whereas the rational as such is rational precisely because it contains both of the opposites as ideal moments within itself. Thus, everything rational can equally be called "mystical"; but this only amounts to saying that it transcends the understanding. It does not at all imply that what is so spoken of must be considered inaccessible to thinking and incomprehensible.

For Hegel's relation to [[Meister Eckhart]], see [there](Meister+Eckhart#RelationToHegel).

## Bertrand Russell's relation to mysticism

The philosopher [[Bertrand Russell]] concerned himself with mysticism and was, according to himself, influenced by a "mathematical mysticism" in his younger years. 

In his essay "Mysticism and Logic" ([Russell 1918]({#Russell18)) Russell understands mysticism as "the attempt to conceive the world as a whole by means of thought". He gives four characteristics of it:

1. "belief in insight as against discursive knowledge"
1. a belief in unity of everything
1. denial of the reality of time
1. the claim that evil, and sometimes also good, is a mere appearance

Russell finds at least some of these characteristics in the philosophies of [[Heraclitus]], [[Plato]], [[Hegel]], and [[Spinoza]]. Interestingly, Heraclitus is judged far better than Plato, the former being ascribed "a nature [in which] we see the true union of the mystic and the man of science". In the remainder of the essay Russell discusses the relation of the four characteristics of mysticism to his own views.

In the autobiographical book _Portraits from Memory_ the passage

&gt; Mathematics ... deals with the world of ideas and has in consequence an exactness and perfection which is absent from the everyday world. This kind of mathematical mysticism, which Plato derived from Pythagoras, appealed to me.

may serve as an example how Russell was influenced in young age by the exposure to mathematics; more poetically it is expressed in the essay _The Study of Mathematics_ published along with _Mysticism and Logic_ ([Russell 1918]({#Russell18))

> Mathematics, rightly viewed, possesses not only truth, but supreme beauty---a beauty cold and austere, like that of sculpture, without the gorgeous trappings of painting or music, yet sublimely pure, and capable of a stern perfection such as only the greatest art can show. The true spirit of delight, the exaltation, the sense of being more than man, which is the touchstone of the highest excellence, is to be found in mathematics as surely as in poetry. ... Real life is, to most men, a long second-best, a perpetual compromise between the ideal and the possible; but the world of pure reason knows no compromise, no practical limitations, no barrier to the creative activity embodying in splendid edifices the passionate aspiration after the perfect from which all great works springs.

> ... Of the austere virtues the love of truth is the chief, and in mathematics, more than elsewhere, the love of truth may find encouragement for waning faith.

According to Ray [Monk's biography](#Monk97) on Russell, the search for a foundation of this "Pythagorean" mysticism governed the first half of his life: Being deeply disappointed by the mathematical curriculum at Cambridge, which did not address his philosophical needs, Russell turned to [[idealism]] which was at that time propounded in Britain by [[J.M. Ellis McTaggart]] following the German tradition of [[Kant]] and [[Hegel]]. Under this influence Russell devised a variation of Kant's concept of space claiming that the curvature of physical space is a priori constant.

Exposure to the work of the German mathematicians [[Richard Dedekind|Dedekind]], [[Karl Weierstraß|Weierstraß]], and [[Georg Cantor|Cantor]] along with a personal meeting with [[Peano]] caused a turn in Russell's views. He now hoped to find a rigorous [[foundations|foundation of mathematics]] based solely on [[logic|logical]] [[axioms]], thereby justifying a kind of [[platonism|Platonic]] view on mathematics. But over the years he was frustrated in this attempt by many problems he encountered, especially [[Russell's paradox]]. He gradually gave up all his Platonic beliefs; arriving in the end (after [[Wittgenstein|Wittgenstein's]] [[Tractatus Logico-Philosophicus|Tractatus]]) at [[formalism]].

He remarks on the power of rigorous mathematical definition:

> "Continuity" had been, until he [Cantor] defined it, a vague word, convenient for philosophers like Hegel, who wished to introduce metaphysical muddles into mathematics. Cantor gave a precise significance to the word, and showed that continuity, as he defined it, was the concept needed by mathematicians and physicist. By this means a great deal of mysticism, such as that of Bergson, was rendered antiquated. (Chapter XXXI of "A History of Western Philosophy" (1945))

## Brouwer

[[L.E.J. Brouwer]] had a long standing interest in the theory and practice of mysticism, setting out his manifesto while still a graduate student in the essay [Life, Art, and Mysticism](#LAM05) (1905). The essay quotes the Bhagavad Gita, [[Meister Eckhart]], and [[Jakob Böhme]].

However, he did not consider his [[intuitionism]] to depend upon his mystical views as such. For Brouwer, mysticism is the domain of "consciousness' deepest home", wherein there is no subject-object distinction. The first act of intuitionism, the intuition of time, propels us away from this pure state of "wisdom". It is in fact the precondition for any experience of an outer world or experience of the self as something distinct. Mathematics thus comes into being in this exodus from the home of consciousness, so on Brouwer's view, "mathematics is in a sense the very opposite of mysticism" ([Van Atten, 2004](#vanAtten04)), and mystical insight is only possible quite apart from the machinations of the intellect. 

Brouwer even went so far as to remark on the perniciousness of mathematics in its keeping us from the home of consciousness. Thus in the notebooks in which he conceived his 1907 thesis we find: "One could see as the goal of one's life: abolition and delivery from all mathematics".

## Related entries

* [[hermeticism]], [[gnosticism]]

* [[Meister Eckhart]]



## References


* Wikipedia, _[Mysticism](http://en.wikipedia.org/wiki/Mysticism)_

* [[Georg Hegel]], _[[Lectures on the Philosophy of Religion]]_ 1832

* {#LAM05} [[L.E.J. Brouwer]], [_Life, Art, and Mysticism_](https://projecteuclid.org/euclid.ndjfl/1039886518), 1905

* {#Russell18} [[Bertrand Russell]], _Mysticism and Logic and Other Essays_, 1918 ([on Wikisource](https://en.wikisource.org/wiki/Mysticism_and_Logic_and_Other_Essays)). Containing _Mysticism and Logic_ and _The Study of Mathematics_. The former was published already in 1914 in the _Hibbert Journal_.

* {#CPM} [[L. E. J. Brouwer]], [_Consciousness, Philosophy, and Mathematics_](https://projecteuclid.org/euclid.jsl/1183730638), 1948

* {#Monk97} Ray Monk, _Bertrand Russell -- Mathematics: Dreams and Nightmares_, 1997


* van Atten & Tragesser, [Mysticism and mathematics: Brouwer, G&#246;del, and the common core thesis](http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.99.1853&rep=rep1&type=pdf), 2003

* {#vanAtten04} van Atten, _On Brouwer_, 2004

* {#Melzer14} Arthur Melzer, _Philosophy between the lines -- The lost history of esoteric writing_, University of Chicago Press, 2014


Decent discussion of the history of mysticism (or not) in [[quantum physics]], such as induced by the concept of "[[wavefunction collapse]]" (see also [[interpretation of quantum mechanics]]) is in

* Juan Miguel Marin, _'Mysticism' in quantum mechanics: the forgotten controversy_, European Journal of Physics, Volume 30, Number 4 


[[!redirects mystic]]