
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Speculative philosophy

In the 19th century, _speculation_, from Latin _speculari_ = _observing_, referred to a method in [[philosophy]] by which truths were meant to be "observed" in a kind of [[mysticism|mystic]] insight. Specifically in the school of [[idealism]] this _speculation_ is used with positive connotation and is meant to be closer to the truth. 

Evidently, later this attitute widely changed.


## Hegel on speculation

Various paragraphs by [[Hegel]] on _speculative philosophy_:

According to the _[[Lectures on the History of Philosophy]]_ ([here ](Lectures+on+the+History+of+Philosophy#DescartesNonSpeculative)) this kind of speculation originates with [[Fichte]].

> [WdL §3](Science+of+Logic#3) Indem so die Wissenschaft und der gemeine Menschenverstand sich in die Hände arbeiteten, den Untergang der Metaphysik zu bewirken, so schien das sonderbare Schauspiel herbeigeführt zu werden, ein gebildetes Volk ohne Metaphysik zu sehen, – wie einen sonst mannigfaltig ausgeschmückten Tempel ohne Allerheiligstes. – Die Theologie, welche in früheren Zeiten die Bewahrerin der spekulativen Mysterien und der obzwar abhängigen Metaphysik war, hatte diese Wissenschaft gegen Gefühle, gegen das Praktisch-Populäre und gelehrte Historische aufgegeben.

> Science and ordinary common sense thus co-operating to bring about the downfall of metaphysics, there was seen the strange spectacle of a cultured nation without metaphysics – like a temple richly ornamented in other respects but without a holy of holies. Theology, which in former times was the guardian of the speculative mysteries and of metaphysics (although this was subordinate to it) had given up this science in exchange for feelings, for what was popularly matter-of-fact, and for historical erudition.


In _[[Encyclopedia of the Philosophical Sciences]]_ §82 it says (not in the first editions, beware) that speculation in this sense is the same that at other times has been called [[mysticism]]:

> [Enc§82d](Science+of+Logic#Enc82d) Hinsichtlich der Bedeutung des Spekulativen ist hier noch zu erwähnen, daß man darunter dasselbe zu verstehen hat, was früher, zumal in Beziehung auf das religiöse Bewußtsein und dessen Inhalt, als das Mystische bezeichnet zu werden pflegte.  Wenn heutzutage vom Mystischen die Rede ist, so gilt dies in der Regel als gleichbedeutend mit dem Geheimnisvollen und Unbegreiflichen, und dies Geheimnisvolle und Unbegreifliche wird dann, je nach Verschiedenheit der sonstigen Bildung und Sinnesweise, von den einen als das Eigentliche und Wahrhafte, von den anderen aber als das dem Aberglauben und der Täuschung Angehörige betrachtet. 

> Hierüber ist zunächst zu bemerken, daß das Mystische allerdings ein Geheimnisvolles ist, jedoch nur für den Verstand, und zwar einfach um deswillen, weil die abstrakte Identität das Prinzip des Verstandes, das Mystische aber (als gleichbedeutend mit dem Spekulativen) die konkrete Einheit derjenigen Bestimmungen ist, welche dem Verstand nur in ihrer Trennung und Entgegensetzung für wahr gelten. 
Wenn dann diejenigen, welche das Mystische als das Wahrhafte anerkennen, es gleichfalls dabei bewenden lassen, daß dasselbe ein schlechthin Geheimnisvolles sei, so wird damit ihrerseits nur ausgesprochen, daß das Denken für sie gleichfalls nur die Bedeutung des abstrakten Identischsetzens hat und daß man um deswillen, um zur Wahrheit zu gelangen, auf das Denken verzichten oder, wie auch gesagt zu werden pflegt, daß man die Vernunft gefangennehmen müsse. 

> [Enc§82e](Science+of+Logic#Enc82e) Nun aber ist, wie wir gesehen haben, das abstrakt verständige Denken so wenig ein Festes und Letztes, daß dasselbe sich vielmehr als das beständige Aufheben seiner selbst und als das Umschlagen in sein Entgegengesetztes erweist, wohingegen das Vernünftige als solches gerade darin besteht, die Entgegengesetzten als ideelle Momente in sich zu enthalten. 
Alles Vernünftige ist somit zugleich als mystisch zu bezeichnen, womit jedoch nur so viel gesagt ist, daß dasselbe über den Verstand hinausgeht, und keineswegs, daß dasselbe überhaupt als dem Denken unzugänglich und unbegreiflich zu betrachten sei.” 

In [Hegel, Lectures on Religion](#HegelLectures):

> ([Hegel, Lectures on Religion](#HegelLectures)) Spekulative Philosophie ist das Bewusstsein der Idee, so daß alles als Idee aufgefasst wird; die Idee aber ist das Wahre in Gedanken, nicht als bloße Anschauung oder Vorstellung. Das Wahre in Gedanken ist näher dieses, daß es konkret sei, in sich entzweit gesetzt, und zwar so, daß die zwei Seiten des Entzweiten entgegengesetzte Denkbestimmungen sind, als deren Einheit die Idee gefasst werden muss. Spekulativ denken heißt, ein Wirkliches auflösen und dieses in sich so entgegensetzen, daß die Unterschiede nach Denkbestimmungen entgegengesetzt sind und der Gegenstand als Einheit beider aufgefasst wird. .

## References

* German Wikipedia, _[Spekulation (Philosophie)](http://de.wikipedia.org/wiki/Spekulation_%28Philosophie%29)_

* [[Georg Hegel]], _[[Encyclopedia of the Philosophical Sciences]]_

* {#HegelLectures} [[Georg Hegel]], _[[Lectures on the Philosophy of Religion]]_

[[!redirects speculations]]

[[!redirects speculative philosophy]]
