[[!redirects Taub-NUT spacetime]]

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Riemannian geometry
+--{: .hide}
[[!include Riemannian geometry - contents]]
=--
#### Gravity
+-- {: .hide}
[[!include gravity contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea


A kind of [[spacetime]]. For the moment see at _[[KK-monopole]]_ for more.

<img src="https://ncatlab.org/nlab/files/TaubNUT.png" width="300">

> graphics grabbed from [Acharya-Gukov 04](#AcharyaGukov04)

Consider the [[left invariant 1-forms]] on the [[3-sphere]] $\simeq$ 
[[special unitary group|SU(2)]], which in terms of [[Euler angles]] are

$$
  \begin{aligned}
     \sigma_1 &= \sin \psi \, d \theta - \cos \psi \sin \theta \, d \phi
     \\
     \sigma_2 & = \cos \psi \, d \theta + \sin \psi \sin \theta \, d \phi
     \\
     \sigma_3 &= d \psi + \cos \theta \, d \phi
  \end{aligned}
$$

Then the [[pseudo-Riemannian metric]] defining the Taub-NUT geometry is 

$$
  (d s)^2 = \frac{1}{4} \frac{r+n}{r-n} (d r)^2 + \frac{r-n}{r+n} n^2 {\sigma_3}^2 + \frac{1}{4}(r^2 - n^2)({\sigma_1}^2 + {\sigma_2}^2)
$$



## Relation to D6-branes

[[!include F-branes -- table]]

## Related concepts

* [[KK monopole]]

## References


* Wikipedia, _[Taub-NUT space](http://en.wikipedia.org/wiki/Taub%E2%80%93NUT_space)_

* Wikipedia, _[Gravitational instanton](http://en.wikipedia.org/wiki/Gravitational_instanton)_

* {#IbanezUranga12} [[Luis Ibáñez]], [[Angel Uranga]], section 6.3.3 of _[[String Theory and Particle Physics -- An Introduction to String Phenomenology]]_, Cambridge University Press 2012

Discussion in the context of [[M-theory on G2-manifolds]] and [[gauge enhancement]]

* {#AcharyaGukov04} [[Bobby Acharya]], [[Sergei Gukov]], section 5.2 of _M theory and Singularities of Exceptional Holonomy Manifolds_, Phys.Rept.392:121-189,2004 ([arXiv:hep-th/0409191](http://arxiv.org/abs/hep-th/0409191))



[[!redirects Taub-NUT spacetimes]]

[[!redirects Taub-NUT space]]
[[!redirects Taub-NUT spaces]]