
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
=--
=--

This page collects material related to 

* [[Bertrand Russell]],

  _A History of Western Philosophy_

  1945

on the history of [[philosophy]].

## Chapter 22 -- Hegel

Chapter 22 is on [[Georg Hegel]] and his philosophy as expressed in the _[[Science of Logic]]_ etc.

> {#MysticYouth} In youth he was much attracted to [[mysticism]], and his later views may be regarded, to some extent, as an intellctualizing of what had first appeared to him as a mystic insight.

## Chapter 31 -- The Philosophy of Logical Analysis

([html text](http://www.personal.kent.edu/~rmuhamma/Philosophy/RBwritings/philoLogicalAnaly.htm))
> In philosophy ever since the time of Pythagoras there has been an opposition between the men whose thought was mainly inspired by mathematics and those who were more influenced by the empirical sciences. Plato, Thomas Aquinas, Spinoza, and Kant belong to what may be called the mathematical party; Democritus, Aristotle, and the modern empiricist from Locke onwards, belong to the opposite party. In our day a school of philosophy has arisen which sets to work to eliminate Pythagoreanism from the principles of mathematics, and to combine empiricism with an interest in the deductive parts of human knowledge. The aims of this school are less spectacular than those of most philosophers in the past, but some of its achievements are as solid as those of the men of science.

> The origin of this philosophy is in the achievements of mathematicians who set to work to purge their subject of fallacies and slipshod reasoning. The great mathematicians of the seventeenth century were optimistic and anxious for quick results; consequently they left the foundations of analytical geometry and the infinitesimal calculus insecure. Leibnitz believed in actual infinitesimals, but although this belief suited his metaphysics it has no sound basis in mathematics. Weierstrass, soon after the middle of the nineteenth century, showed how to establish the calculus without infinitesimals, and thus at last made it logically secure. Next came [[Georg Cantor]], who developed the theory of continuity and infinite number. “Continuity” had been, until he defined it, a vague word, convenient for philosophers like [[Hegel]], who wished to introduce metaphysical muddles into mathematics. Cantor gave a precise significance to the word, and showed that continuity, as he defined it, was the concept needed by mathematicians and physicist. By this means a great deal of mysticism, such as that of Bergson, was rendered antiquated. 



(Here it is maybe worth remarking that not much later [[infinitesimal objects]] as anticipated by [[Gottfried Leibniz]] were given a neat formal basis in [[mathematics]], by formalisms such as [[synthetic differential geometry]] and [[nonstandard analysis]].)




## References

* Wikipedia, _[A History of Western Philosophy](http://en.wikipedia.org/wiki/A_History_of_Western_Philosophy)_

category: reference