
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
=--
=--

* [Wikipedia entry](http://en.wikipedia.org/wiki/Baruch_Spinoza)

* [Stanford Encycl. of Phil. entry](http://plato.stanford.edu/entries/spinoza/)

## Hegel on Spinoza

From [[Georg Hegel]], _[Lectures on the history of Philosophy --  Spinoza](https://www.marxists.org/reference/archive/hegel/works/hp/hpspinoz.htm)_:

> The philosophy of Descartes underwent a great variety of unspeculative developments, but in Benedict Spinoza a direct successor to this philosopher may be found, and one who carried on the Cartesian principle to its furthest logical conclusions. For him soul and body, thought and Being, cease to have separate independent existence. The dualism of the Cartesian system Spinoza, as a Jew, altogether set aside. For the profound unity of his philosophy as it found expression in Europe, his manifestation of Spirit as the identity of the finite and the infinite in God, instead of God's appearing related to these as a Third — all this is an echo from Eastern lands. The Oriental theory of absolute identity was brought by Spinoza much more directly into line, firstly with the current of European thought, and then with the European and Cartesian philosophy, in which it soon found a place.

> First of all we must, however, glance at the circumstances of Spinoza's life. He was by descent a Portuguese Jew, and was born at Amsterdam in the year 1632; the name he received was Baruch, but he altered it to Benedict. In his youth he was instructed by the Rabbis of the synagogue to which he belonged, but he soon fell out with them, their wrath having been kindled by the criticisms which he passed on the fantastic doctrines of the Talmud. He was not, therefore, long in absenting himself from the synagogue, and as the Rabbis were in dread lest his example should have evil consequences, they offered him a yearly allowance of a thousand gulden if he would keep away from the place and hold his tongue. This offer he declined; and the Rabbis thereafter carried their persecution of him to such a pitch that they were even minded to rid themselves of him by assassination. After having made a narrow escape from the dagger, he formally withdrew from the Jewish communion, without, however, going over to the Christian Church. He now applied himself particularly to the Latin language, and made a special study of the Cartesian philosophy. Later on he went to Rhynsburg, near Leyden, and from the year 1664 he lived in retirement, first at Voorburg, a village near the Hague, and then at the Hague itself, highly respected by numerous friends: he gained a livelihood for himself by grinding optical glasses. It was no arbitrary choice that led him to occupy himself with light, for it represents in the material sphere the absolute identity which forms the foundation of the Oriental view of things. Although he had rich friends and mighty protectors, among whom even generals were numbered, he lived in humble poverty, declining the handsome gifts offered to him time after time. Nor would he permit Simon von Vries to make him his heir; he only accepted from him an annual pension of three hundred florins; in the same way he gave up to his sisters his share of their father's estate. From the Elector Palatine, Carl Ludwig, a man of most noble character and raised above the prejudices of his time, he received the offer of a professor's chair at Heidelberg, with the assurance that he would have liberty to teach and to write, because “the Prince believed he would not put that liberty to a bad use by interfering with the religion publicly established.” Spinoza (in his published letters) very wisely declined this offer, however, because “he did not know within what limits that philosophic liberty would have to be confined, in order that he might not appear to be interfering with the publicly established religion.” He remained in Holland, a country highly interesting in the history of general culture, as it was the first in Europe to show the, example of universal toleration, and afforded to many a place of refuge where they might enjoy liberty of thought; for fierce as was the rage of the theologians there against Bekker, for example (Bruck. Hist. crit. phil. T. IV. P. 2, pp. 719, 720), and furious as were the attacks of Voetius on the Cartesian philosophy, these had not the consequences which they would have had in another land. Spinoza died on the 21st of February, 1677, in the forty-fourth year of his age. The cause of his death was consumption, from which he had long been a sufferer; this was in harmony with his system of philosophy, according to which all particularity and individuality pass away in the one substance. A Protestant divine, Colerus by name, who published a biography of Spinoza, inveighs strongly against him, it is true, but gives nevertheless a most minute and kindly description of his circumstances and surroundings — telling how he left only about two hundred thalers, what debts he had, and so on. A bill included in the inventory, in which the barber requests payment due him by M. Spinoza of blessed memory, scandalizes the parson very much, and regarding it he makes the observation: “Had the barber but known what sort of a creature Spinoza was, he certainly would not have spoken of his blessed memory.” The German translator of this biography writes under the portrait of Spinoza: characterem reprobationis in vultu gerens, applying this description to a countenance which doubtless expresses the melancholy of a profound thinker, but is otherwise wild and benevolent. The reprobatio is certainly correct; but it is not a reprobation in the passive sense; it is an active disapprobation on Spinoza's part of the opinions, errors and thoughtless passions of mankind.(1)

> Spinoza used the terminology of Descartes, and also published an account of his system. For we find the first of Spinoza's works entitled “An Exposition according to the geometrical method of the principles of the Cartesian philosophy.” Some time after this he wrote his Tractatus theologico-politicus, and by it gained considerable reputation. Great as was the hatred which Spinoza roused amongst his Rabbis, it was more than equalled by the odium which he brought upon himself amongst Christian, and especially amongst Protestant theologians — chiefly through the medium of this essay. It contains his views on inspiration, a critical treatment of the books of Moses and the like chiefly from the point of view that the laws therein contained are limited in their application to the Jews. Later Christian theologians have written critically on this subject, usually making it their object to show that these books were compiled at a later time, and that they date in part from a period subsequent to the Babylonian captivity; this has become a crucial point with Protestant theologians, and one by which the modern school distinguishes itself from the older, greatly pluming itself thereon. All this, however, is already to be found in the above-mentioned work of Spinoza. But Spinoza drew the greatest odium upon himself by his philosophy proper, which we must now consider as it is given to us in his Ethics. While Descartes published no writings on this subject, the Ethics of Spinoza is undoubtedly his greatest work; it was published after his death by Ludwig Mayer, a physician, who had been Spinoza's most intimate friend. It consists of five parts; the first deals with God (De Deo). General metaphysical ideas are contained in it, which include the knowledge of God and nature. The second part deals with the nature and origin of mind (De natura et origine mentis). We see thus that Spinoza does not treat of the subject of natural philosophy, extension and motion at all, for he passes immediately from God to the philosophy of mind, to the ethical point of view; and what refers to knowledge, intelligent mind, is brought forward in the first part, under the head of the principles of human knowledge. The third book of the Ethics deals with the origin and nature of the passions (De oriqine et natura affectuum); the fourth with the powers of the same, or human slavery (De servitute humana seu de affectuum viribus); the fifth, lastly, with the power of the understanding, with thought, or with human liberty (De potentia intellectus seu de libertate humana). (2) Kirchenrath Professor Paulus published Spinoza's works in Jena; I had a share in the bringing out of this edition, having been entrusted with the collation of French translations.

## related entries

* [[Spinoza's system]]

category: people

[[!redirects Spinoza]]