An __ind-pro-object__ in a category $C$ 
is a formal [[colimit]] of formal [[limit]]s of objects in category $C$. In other words, it
is an [[ind-object]] in the category $pro(C)$ of [[pro-object]]s in $C$. Ind-pro-objects form 
a category $ind(pro(C))$. Similarly, there is a category
$pro(ind(C))$ of pro-ind-objects 
and its iterated versions. For example,
__higher local fields__ can be considered as ring objects
in (iterated versions of) $pro(ind(C))$.

Regarding that there is a natural map from colimit of a limit to the limit of a colimit, but in general not the 
other way around, every ind-pro-object provides a
pro-ind-object: there is a canonical functor 
$ind(pro(C))\to pro(ind(C))$.

In some prominent cases in applications, say if $C$ is a [[Quillen exact category]], then certain
subcategory of locally compact objects $ind(pro(C))$ is defined and studied by Beilinson and Kato.

* A. A. Beĭlinson, _How to glue perverse sheaves_, in: K-theory, arithmetic and geometry (Moscow, 1984–1986), 42–51, Lecture Notes in Math. 1289, Springer 1987.
* [[Kazuya Kato]], _Existence theorem for higher local fields_, Geometry & Topology Monographs 3 (2000) 165–195 [doi](http://dx.doi.org/10.2140/gtm.2000.3.165)
* Luigi Previdi, _Locally compact objects in 
exact categories_, [arxiv/0710.2509](http://arxiv.org/abs/0710.2509); _Sato Grassmannians for generalized Tate spaces_, Tohoku Math. J. (2) __64__:4 (2012), 489-538, [arxiv/1002.4863](http://arxiv.org/abs/1002.4863) [euclid](http://projecteuclid.org/euclid.tmj/1356038976); _The homotopy determinantal torsor_, poster at Newton Institute, [pdf](http://www-old.newton.ac.uk/programmes/GDO/Previdi.pdf);
_Generalized Tate spaces_, PhD thesis, Yale 2010 [record](http://gradworks.umi.com/34/15/3415298.html)

* Benjamin Hennion, _Formal loops, Tate objects and tangent Lie algebras_, [arxiv/1412.0053](http://arxiv.org/abs/1412.0053)

* Oliver Braunling, Michael Groechenig, Jesse Wolfson, _Tate objects in exact categories_ (with appendix by Jan Šťovíček and Jan Trlifaj), [arxiv/1402.4969](http://arxiv.org/abs/1402.4969)

* [[M. Kapranov]], E. Vasserot, _Vertex algebras and the formal loop space_, Publications Mathématiques de l'IHÉS __100__, 209-269 (2004) [eudml](https://eudml.org/doc/104201) [math.AG/0107143](http://arxiv.org/abs/math/0107143)

* [[M. Kapranov]], _Infinite-dimensional objects in algebraic geometry_, Pathways lectures, Keio university 2007,
real audio videos at [link](http://www.math.hc.keio.ac.jp/coe/videos/kapranov2007)
* D. Gaitsgory, D. Kazhdan, _Representations of algebraic groups over a 2-dimensional local field_,  GAFA 14 (2004), 535–574, [math.RT/0302174](http://arxiv.org/abs/math/0302174)
* D. V. Osipov, A. N. Parshin, _Harmonic analysis on local fields and adelic spaces I_, Izvestiya: Mathematics 2008, 72:5, pp. 915-976 [arxiv/0707.1766](http://arxiv.org/abs/0707.1766)

The following work of Drinfeld does not treat ind-pro-objects (only ind-schemes and some pro-modules over them), but has 
influenced many of the works above on Tate objects:

* [[Vladimir Drinfeld]], _Infinite-dimensional vector bundles in algebraic geometry: an introduction_, in: The unity of mathematics, 263–304, Progr. Math., 244, Birkhäuser Boston 2006, [math.AG/0309155](http://arxiv.org/abs/math/0309155)

A category $C_1$ somewhat similar to that of Beilinson and Kato, and its higher analogues $C_n$ were studied in

* D.V. Osipov, _Adeles on $n$-dimensional schemes and categories $C_n$_, Intern. J. Math. __18__:3 (2007) 269-279, [math.AG/0509189](http://arxiv.org/abs/math/0509189)

[[!redirects ind-pro-objects]]
[[!redirects pro-ind-object]]
[[!redirects pro-ind-objects]]