
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
#### Mathematics
+-- {: .hide}
[[!include mathematicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

In his _[[Science of Logic]]_ [[Georg Hegel]] makes a distinction between _subjective logic_, which involves _[[type|concepts]]_, _[[judgements]]_ and _[[deduction]]_ (as usual for [[logic]]), and _objective logic_ which is concerned with something like the _[[logos]]_, a kind of [[ontology]] or [[metaphysics]], not unlike the ontological deductions of [[Spinoza's system]].

This _objective logic_ as presented by Hegel is hence rather unlike common [[predicate logic]], a fact that led to the rejection of this school of [[objective idealism]] by [[Bertrand Russell]] and the school of [[analytic philosophy]].

In ([Lawvere 94b](#Lawvere94b)) it is suggested that [[universal constructions]] in [[categorical logic]] and [[topos theory]], such as [[adjunctions]], should be thought of as the formal incarnation of Hegel's _objective logic_. Related suggestions are implicit in many of [[Lawvere]]'s writings, see at _[Lawvere -- Mathematics relating to philosophy](William+Lawvere#RelationToPhilosophy)_. 

> {#ItIsMyBelief} [Lawvere 92](#Lawvere92): It is my belief that in the next decade and in the next century the technical advances forged by category theorists will be of value to dialectical philosophy, lending precise form with disputable mathematical models to ancient philosophical distinctions such as general vs. particular, objective vs. subjective, being vs. becoming, space vs. quantity, equality vs. difference, quantitative vs. qualitative etc. In turn the explicit attention by mathematicians to such philosophical questions is necessary to achieve the goal of making mathematics (and hence other sciences) more widely learnable and useable. Of course this will require that philosophers learn mathematics and that mathematicians learn philosophy.


In ([Lawvere-Rosebrugh 03, section C.1](#LawvereRosebrugh03)) the following characterization is given:

> **Logic:**

> The science of logic in the ancient philosophical sense means the study of the general laws of the development of thinking. Thinking (1) reflects reality (i.e., has a content) but also (2) is itself part of reality and so has some motions that are oblivious to content. Therefore the science of logic finds two aspects of thought’s motion: (1) the struggle to form a conceptual image of reality that is ever more refined, whose laws we may call objective logic, and (2) the motion of thought in itself (for example the inference of statements from statements), whose laws we may call subjective logic. Although grammar and some aspects of algebra might be considered as subjective logic, we will limit ourselves to the part we will sometimes refer to as logic in the narrow sense – that which is related to the inference of statements from statements by means dependent on their form rather than on their content. (Logic in the narrow sense is explained in more detail in Appendix A.) Logic in the narrow sense is useful (at least in mathematics) if it is made explicit, and the work of Boole and Grassmann in the 1840s, Schr¨oder in the late 1800s, Skolem in the early 1900s, Heyting in the 1930s (and of many others) has led to a high development, most aspects of which were revealed to be special cases of adjoint functors by 1970 [La69b]. The use of adjoint functors assists in reincorporating the subjective into its rightful place as a part of the objective so that it can organically reflect the objective and in general facilitate the mutual transformation of these two aspects of logic.

> **Logic, Objective:**

> The long chains of correct reasonings and calculations of which subjective logic is justly proud are only possible within a precisely defined universe of discourse, as has long been recognized. Since there are many such universes of discourse, thinking necessarily involves many transformations between universes of discourse as
well as transformations of one universe of discourse into another. The results of
applying logic in the narrow sense to the laws of these objective transformations are necessarily inadequate; for example, such attempts have led to the use of phrases such as “let X be a set in which there exists a group structure,” which are essentially meaningless. Rather than using “there exists” in such contexts, one needs instead a logic of “given.” Before category theory, at least one systematic discussion of the laws of these objective transformations was given by Bourbaki, who discussed how one structure could be deduced from another. The concepts of categories, functors, homomorphisms, adjoint functors, and so on, provide a rich beginning to the project of making objective logic explicit, but there is probably much more to be discovered.

Related commentary is in ([Rodin 14](#Rodin14)).



## References

* [[Georg Hegel]], _[[Science of Logic]]_

* {#Lawvere92} [[William Lawvere]], _Categories of space and quantity_ in J. Echeverria et al (eds.), _The Space of mathematics_ , de Gruyter, Berlin, New York, pages 14-30, 1992.

* {#Lawvere94b} [[William Lawvere]] _[[Tools for the advancement of objective logic]]: closed categories and toposes_, in J. Macnamara and [[Gonzalo Reyes]] (Eds.), _The Logical Foundations of Cognition_, Oxford University Press 1993 (Proceedings of the Febr. 1991 Vancouver Conference "Logic and Cognition"),
pages 43-56, 1994.

* {#LawvereRosebrugh03} [[William Lawvere]], [[Robert Rosebrugh]], _[[Sets for Mathematics]]_ , Cambridge UP  2003. ([web](http://books.google.de/books?id=h3_7aZz9ZMoC&pg=PP1&dq=sets+for+mathematics))


* {#Rodin14} [[Andrei Rodin]], section 5.8 _Categorical Logic and Hegelian Dialectics_ of _Axiomatic Method and Category Theory_ ([arXiv:1210.1478](http://arxiv.org/abs/1210.1478)), Springer 1914


[[!redirects subjective and objective logic]]

[[!redirects objective logic]]
[[!redirects subjective logic]]