
[[Stephen H. Schanuel|Schanuel's]] conjecture is a conjecture in transcendental number theory: 

> If $z_1, \ldots, z_n$ are [[complex numbers]] that are [[linear independence|linearly independent]] over the [[rational numbers]] $\mathbb{Q}$, then the field $\mathbb{Q}(z_1, \ldots, z_n, \exp(z_1), \ldots, \exp(z_n))$ has [[transcendence degree]] at least $n$. (Here $\exp$ denotes the [[exponential function]].) 

Compare the statement of the [Lindemann-Weierstrass theorem](/nlab/show/pi#LindWeier): if $z_1, \ldots, z_n$ are $\mathbb{Q}$-linearly independent **[[algebraic number|algebraic]]** numbers, then $\mathbb{Q}(\exp(z_1), \ldots, \exp(z_n))$ has transcendence degree $n$. Indeed, the Lindemann-Weierstrass theorem is a straightforward consequence of Schanuel's conjecture. 

Most known results in transcendental number theory follow from Schanuel's conjecture, and it would imply many more results not yet known. As one illustration: by setting $z_1 = 1$ and $z_2 = \pi i$, it would imply that $\mathbb{Q}(1, \pi i, \exp(1), \exp(\pi i)) = \mathbb{Q}(e, \pi i)$ has transcendence degree $2$, implying that $e$ and $\pi$ are algebraically independent. Meanwhile, much weaker claims such as the irrationality of $e + \pi$ are unknown! This supports the general opinion that we are still very far from deciding Schanuel's conjecture, even if it is widely believed to be true. 

Schanuel's conjecture, if proven, would have important consequences for the [[model theory]] of exponential rings. For example, it would imply that the theory of [[real numbers]] as an exponential field is decidable (Tarski's exponential function problem). For more information, see [Wikipedia](http://en.wikipedia.org/wiki/Schanuel%27s_conjecture). 