+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Linear algebra
+-- {: .hide}
[[!include homotopy - contents]]
=--
#### Super-Algebra and Super-Geometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
=--
=--

This page collects material related to the book

* [[Hermann Grassmann]],

  _Die Wissenschaft der extensive Gr&#246;ssen oder die Ausdehnungslehre_

    _Erster Teil, die lineale Ausdehnungslehre_,

  1844

  ([pdf scan of original](http://www.uni-potsdam.de/u/philosophie/grassmann/Werke/Hermann/Ausdehnungslehre_1844.pdf))

which introduced for the first time basic concepts of what today is known as [[linear algebra]] (including [[affine spaces]] as [[torsors]] over [[vector spaces]]) and introduced in addition an _exterior product_ (&#167;37, &#167;55) on [[vectors]], forming what today is known as _[[exterior algebra]]_ or _[[Grassmann algebra]]_, hence in fact _[[superalgebra]]_. 

Grassmann advertizes his work (p. xxv) as being the theory of _[[extensive quantity]]_. The modern way of speaking about this is that the elements of the [[exterior algebra]] he considered are [[differential forms]] on [[Euclidean space]].



Discussion of the book includes

* {#Lawvere96} [[William Lawvere]], _Grassmann's Dialectics and Category Theory_, in _Hermann G&#252;nther Gra&#223;mann (1809&#8211;1877): Visionary Mathematician, Scientist and Neohumanist Scholar_, Boston Studies in the Philosophy of Science Volume 187, 1996, pp 255-264 ([publisher](http://link.springer.com/chapter/10.1007%2F978-94-015-8753-2_21))

and the similar text

* {#Lawvere95} [[William Lawvere]], _A new branch of mathematics, "The Ausdehnungslehre of 1844," and other works. Open Court (1995), Translated by Lloyd C. Kannenberg, with foreword by Albert C. Lewis_, _Historia Mathematica Volume 32, Issue 1, February 2005, Pages 99&#8211;106_ ([publisher](http://www.sciencedirect.com/science/article/pii/S031508600400059X))

which says at one point that full appreciation of the _Ausdehnungslehre_ requires concepts of [[category theory]]

> The modern conceptual apparatus, involving levels of structure, [[categories]] of [[morphisms]] preserving given [[structure]], [[forgetful functor|forgetful reduct functors]] between categories, the [[adjoints]] to such functors, etc., seems to be necessary for ordinary mortals to be able to find their way through the riches of Grassmann's geometry.

The first part of the introduction of the _Ausdehnungslehre_ is concerned with [[philosophy]], about which 

> Grassmann insists that his reason for including it is an attempt to provide an orientation to help the student form for himself the proper estimation of the relation between general and particular at every stage of the learning process ([Lawvere 95](#Lawvere95)).

The second part of the introduction, titled _Survey of the general theory of forms_ considers key concepts of [[algebra]]. For instance it considers the [[associativity law]] and states its [[coherence law]] (&#167;3). Grassmann writes that he uses the term "form" in place of "quantity" (German: "Gr&#246;sse") (Introduction A.3, &#167;2). It is "forms" that his algebraic operations are defined on, and which are produced by these.

> The last half of that introduction is essentially one of the first expositions of the rudimentary principles of what today might be called universal algebra. The content of the first half, after considerable study of the compact formulations, appears to be a simple and clear natural scientist's version of the basic principles of dialectical materialism, as applied to the formal sciences. ([Lawvere 95](#Lawvere95))

Curiously, while Grassmann complains (on p. xv) about the "unclarity and arbitrariness" of [[Hegel]]'s school of philosophy ([[German idealism]], predominant in Germany at Grassmann's time), the introduction of the _Ausdehnungslehre_ has much the same sound as Hegel, notably it discusses "[[category (philosophy)|categories]]" such as _[[being]]_, _[[becoming]]_ (p. xxii), _[[concrete particular|particulars]]_ (p.xx) and the [[dialectic]] of [[unities of opposites|opposites]] such as _[[flat modality|discrete]] $\dashv$ [[sharp modality|continuous]]_ (p.xxii) and, notably, of _[[intensive and extensive quantity]]_ (p. xxiv-xxv), which Grassmann advertizes as the very topic of his mathematical theory. That of course is the difference to [[Hegel]], that unambiguous mathematical formalization of these otherwise vague concepts is provided (according to [Lawvere 95](#Lawvere95) Grassmannn's formalization of the pair _[[being]]_ and _[[becoming]]_ is via points and [[vectors]] in an [[affine space]]), and in this sense Grassmann is clearly a forerunner of Lawvere's various proposals for formalizing Hegel's [[objective logic]] in [[categorical logic]]/[[topos theory]] (as discussed at _[[Science of Logic]]_).

## References

* Wikipedia, _[Grassmann -- Mathematician](http://en.wikipedia.org/wiki/Hermann_Grassmann#Mathematician)_

* {#Dyson72} [[Freeman Dyson]], _Missed opportunities_, Bulletin of the AMS, Volume 78, Number 5, September 1972 ([pdf](https://www.math.uh.edu/~tomforde/Articles/Missed-Opportunities-Dyson.pdf))

  > In  the  year  1844  two  remarkable  events  occurred,  the  publication  by   Hamilton of  his  discovery  of  [[quaternions]],  and  the  publication  by Grassmann of  his  "Ausdehnungslehre."  With  the  advantage  of  hindsight  we  can  see  that  Grassmann's  was  the  greater  contribution  to   mathematics,  containing  the  germ  of  many  of  the  concepts  of  modern algebra,  and  including  vector  analysis  as a  special  case. However, Grassmann  was an  obscure  high-school  teacher  in Stettin, while Hamilton  was the  world-famous  mathematician  whose  official  titles  occupy  six  lines  of  print  after  his name at the beginning  of his 1844 paper.  So it  is regrettable,  but  not surprising,  that  quaternions  were  hailed  as  a  great  discovery, while Grassmann  had  to  wait  23  years  before  his  work  received  any recognition  at  all  from  professional  mathematicians.  When  Grassmann's  work  finally became  known,  mathematicians  were  divided  into  quaternionists and antiquaternionists, and  were spending more energy in polemical arguments  for  and  against  quaternions  than  in  trying  to  understand how  Grassmann  and  Hamilton  might  be  fitted  together  into  a  larger scheme  of  things.

category: reference