
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Topology
+--{: .hide}
[[!include topology - contents]]
=--
#### Geometry
+--{: .hide}
[[!include higher geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}




## Idea ##

In [[topology]], a _neighbourhood_ (or _neighborhood_) of a point $x$ in some [[topological space]] $X$ is a set $U$ such that there is enough room around $x$ in $U$ to move in any direction (but perhaps not very far).  One writes $x \in U^\circ$, $U \stackrel{\circ}\ni x$, or any of the six other obvious variations to indicate that $U$ is a neighbourhood of $x$.


## Definitions ##

Let $(X,\tau)$ be a [[topological space]] and $x \in X$ a point. Then:

1. A [[subset]] $U \subset X$ is a __neighbourhood__ of $x$ if there exists an [[open subset]] $O \subset X$ such that $x \in O$ and $O \subset U$.

1. A [[subset]] $U \subset X$ is an __open neighbourhood__ of $x$ if it is both an [[open subset]] and a neighbouhood of $x$;

Beware, some authors use "neighbourhood" as a synonym for "open neighbouhood".

Similarly one says that a _closed neighbourhood_ or _compact neighbourhood_ etc. is a neighbourhood that is also a [[closed subset]] or [[compact subspace]], respectively.


## Properties ##

* When definitions of topological concepts are given in terms of neighbourhoods, it often makes no difference if the neighbourhoods are required to be open or not.  There should be some deep logical reason for this ....

* The neighbourhoods of a given point form a proper [[filter]], the __neighbourhood filter__ of that point.  A __local (sub)[[base]]__ for the topology at that point is a (sub)base for that filter.


* The concept of [[topological space]] can be defined by taking the neighbourhood relation as primitive.  One axiom is more complicated than the others; if it is dropped, then the result is the definition of [[pretopological space]].

## Related concepts

* [[neighbourhood base]]

[[!include infinitesimal and local - table]]


[[!redirects neighborhood]]
[[!redirects neighbourhood]]
[[!redirects neighborhoods]]
[[!redirects neighbourhoods]]
[[!redirects neighbourhood filter]]
[[!redirects neighborhood filter]]
[[!redirects neighbourhood filters]]
[[!redirects neighborhood filters]]
[[!redirects local base]]
[[!redirects local bases]]
[[!redirects local subbase]]
[[!redirects local subbases]]

[[!redirects open neighborhood]]
[[!redirects open neighbourhood]]

[[!redirects open neighborhoods]]
[[!redirects open neighbourhoods]]

[[!redirects closed neighborhood]]
[[!redirects closed neighbourhood]]

[[!redirects closed neighborhoods]]
[[!redirects closed neighbourhoods]]

