
> not to be confused with the [[Hurewicz theorem]].

***

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Statement

The only Euclidean [[composition algebras]] / [[division algebra|division]] [[composition algebras]] over the [[real numbers]] (i.e. real [[normed division algebras]]) are, up to [[isomorphism]], the algebras of

1. [[real numbers]]

1. [[complex numbers]]

1. [[quaternions]]

1. [[octonions]].

For more see at _[composition algebra -- Hurwitz theorem](composition+algebra#HurwitzTheoremSection)_.

## Implications


### Real spinor representations and supersymmetry

This classification turns out to closely connect to various other systems of exceptional structures in [[mathematics]] and [[physics]]. Notably patterns related to [[Majorana spinors]] in [[spin geometry]] are intimately related to the four normed division algebras, and, induced by this, so is the classification of [[super Poincaré Lie algebras]] and [[super Minkowski spacetimes]] (which are built from these real spin representations). For more on this see at _[[supersymmetry and division algebras]]_.


[[!include exceptional spinors and division algebras -- table]]


### Hopf invariant one maps

The classification matches that of [[Hopf invariant one]] maps. See there for more.

## References

Due to [[Adolf Hurwitz]] (1859–1919), published posthumously in 1923.

* {#Hurwitz1898} [[Adolf Hurwitz]], _Über die Composition der quadratischen Formen von beliebig vielen Variabeln_, Nachr. Ges. Wiss. Göttingen (1898) pp 309--316 ([GDZ pdf](http://gdz.sub.uni-goettingen.de/download/PPN252457811_1898/LOG_0034.pdf), [EuDML entry](https://eudml.org/doc/58420))

* [[Adolf Hurwitz]],  _Über die Komposition der quadratischen Formen_, Math. Ann. 88 (1923) pp 1--25, doi:[10.1007/bf01448439](http://dx.doi.org/10.1007/bf01448439) ([GDZ pdf](http://gdz.sub.uni-goettingen.de/download/PPN235181684_0088/LOG_0005.pdf), [EuDML entry](https://eudml.org/doc/158975))


* Wikipedia, _[Hurwitz theorem (composition algebras)](http://en.wikipedia.org/wiki/Hurwitz%27s_theorem_%28composition_algebras%29)_

[[!redirects Hurewitz' theorem]] 
[[!redirects Hurewitz's theorem]] 