
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
#### Super-Geometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

By the _[[brane scan]]_ there exists a [[classical field theory|classical]] ([[prequantum field theory|pre-quantum]]) [[Green-Schwarz super p-brane sigma model]] for $p =1 $ ([[superstrings]]) with [[target space]] being $d = 3$ dimensional [[super Minkowski spacetime]] or more generally a [[superspacetime]] which is a [[super Cartan geometry]] solving the [[equations of motion]] of $N=1$ or $N=2$ [[3d supergravity]]. (The literature traditionally knows this as the "3d superstring".)

For $N=(1,1)$ this is the [[double dimensional reduction]] of the [[super 2-brane in 4d]] (e.g. [Mezincescu-Townsend 11, p. 44](#MezincescuTownsend11)).

These superstrings in 3d target spacetime play a role in the [[AdS3-CFT2 and CS-WZW correspondence]] (e.g. ([YuZ-Zhang 98](#YuZhang98))) and at least after a [[topological twist]]  as exhibiting [[3d Chern-Simons theory]] as a [[second quantization]] (see at [TCFT -- Effective background theories](TCFT#ActionFunctionals)).

## Quantization

While the  [[light-cone gauge quantization]] of the [[Green-Schwarz super p-brane|Green-Schwarz superstrings]] [[broken symmetry|breaks]] [[Lorentz group]]-symmetry for $d = 4$ and $d = 6$, it preserves Lorentz symmetry not only for $d = 10$ (the "critical string" of [[heterotic string theory]] or [[type II string theory]]) but also for $d = 3$ ([Mezincescu-Townsend 10](#MezincescuTownsend10), [Mezincescu-Townsend 11](#MezincescuTownsend11)). This quantization turns out to be equivalent to that of the RR-sector of the worldsheet supersymmetric [[spinning string]] in $d = 3$ ([Mezincescu-Routh-Townsend 13](#MezincescuRouthTownsend13)).

## Related concepts

[[super 2-brane in 4d]]

[[!include brane scan]]

## References
 {#References}

* {#YuZhang98} Ming Yu, Bo Zhang, _Light-Cone Gauge Quantization of String Theories on AdS3 Space_, Nucl.Phys. B551 (1999) 425-449 ([arXiv:hep-th/9812216](http://arxiv.org/abs/hep-th/9812216))

* {#MezincescuTownsend10} [[Luca Mezincescu]], [[Paul Townsend]], _Anyons from Strings_, Phys.Rev.Lett.105:191601,2010 ([arXiv:1008.2334](http://arxiv.org/abs/1008.2334))

* {#MezincescuTownsend11} [[Luca Mezincescu]], [[Paul Townsend]], _Quantum 3D Superstrings_, PhysRevD.84.106006 ([arXiv:1106.1374](http://arxiv.org/abs/1106.1374))

* {#MezincescuRouthTownsend13} [[Luca Mezincescu]], Alasdair J. Routh, [[Paul Townsend]], _Equivalence of 3D Spinning String and Superstring_ ([arXiv:1305.5049](http://arxiv.org/abs/1305.5049))

The [[F-theory]]-lift of the 3d superstring is discussed in

* William D. Linch III, [[Warren Siegel]], _F-theory Superspace_ ([arXiv:1501.02761](http://arxiv.org/abs/1501.02761))

[[!redirects superstring in 3d]]