## Idea

In [[motivic homotopy theory]], the slice filtration is a filtration of $\mathrm{H}(S)$ and of $SH(S)$ which is analogous to the [[Postnikov tower in an (∞,1)-category|Postnikov filtration]] for [[(∞,1)-topoi]]. It generalizes the _coniveau filtration_ in [[algebraic K-theory]], the _fundamental filtration_ on [[Witt groups]], and the _weight filtration_ on [[mixed Tate motives]].

If $S$ is [[smooth scheme|smooth]] over a [[field]], the layers of the slice filtration of a motivic spectrum (called its _slices_) are modules over the [motivic Eilenberg–Mac Lane spectrum](#MotivicCohomology) $H(\mathbb{Z})$. At least if $S$ is a [[field]] of characteristic zero, this is the same thing as an integral [[motive]]. The [[spectral sequences]] associated to the slice filtration are analogous to the [[Atiyah-Hirzebruch spectral sequence]]s in that their first page consists of [[motivic cohomology]] groups.


## Related concepts

* [[Postnikov tower]], [[slice filtration]]
* [[motivic homotopy theory]]

## References

* [[Vladimir Voevodsky]], _Open problems in the motivic stable homotopy theory, I_, [web](http://www.math.uiuc.edu/K-theory/0392/).

* [[Vladimir Voevodsky]], _A possible new approach to the motivic spectral sequence for algebraic K-theory_, [web](http://www.math.uiuc.edu/K-theory/469/).

* [[Marc Levine]], _Motivic Postnikov towers_, talk notes, 2007, [pdf](https://www.uni-due.de/~bm0032/publ/Postnikov2.pdf).

In the [[unstable motivic homotopy category]]:

* [[Pablo Pelaez]], _The Unstable Slice Filtration_, [arXiv:1201.3657](http://arxiv.org/abs/1201.3657).

[[!redirects motivic slice filtration]]
[[!redirects motivic Postnikov tower]]
[[!redirects Voevodsky slice tower]]
[[!redirects Voevodsky slice filtration]]
