
#Contents#
* table of contents
{:toc}

## Idea 

**Derived Morita equivalence** is a generalization of [[Morita equivalence]] to the "derived" context ([[homotopy theory]] of [[dg-algebras]]). Just as two $k$-[[associative algebra|algebras]] are Morita equivalent if and only if their [[category of modules|categories of left modules]] are [[equivalence of categories|equivalent]], the coarser equivalence relation of derived Morita equivalence holds whenever for two [[differential graded algebras]] their (bounded) [[derived categories]] [[category of modules|of modules]], along with their [[triangulated category]] structure, are equivalent.

The existence of a tilting complex is necessary and sufficient for an equivalence between the unbounded derived categories of two rings. A tilting complex is a special small generator of the derived category. It is a bounded complex $T$ of finitely generated projective $R$-modules which generates the derived category $\mathcal{D}(R)$ and whose graded ring of self maps $\mathcal{D}(R)(T, T)_{\ast}$ is concentrated in dimension zero.

## Examples

A derived Morita equivalence in the context of [[homological mirror symmetry]] appears in ([Okada 09](#Okada09))

## References

* [[Stefan Schwede]] _Morita theory in abelian, derived and stable model categories_ ([arXiv:math/0310146](http://arxiv.org/abs/math/0310146))

In the setting of [[dg-categories]]:

* [[B. Toen]], _The homotopy theory of dg-categories and derived Morita theory_, [arXiv:math/0408337](http://arxiv.org/abs/math/0408337).

In the setting of [[stable (infinity,1)-categories]] (section 4):

* [[Andrew J. Blumberg]], [[David Gepner]], [[Goncalo Tabuada]], _A universal characterization of higher algebraic K-theory_, [arXiv:1001.2282](http://arxiv.org/abs/1001.2282v4).

* {#Okada09} So Okada, _Homological mirror symmetry of Fermat polynomials_ ([arXiv:0910.2014](http://arxiv.org/abs/0910.2014))

For a treatment in terms of bicategories:

* Niles Johnson, _Morita Theory For Derived Categories: A Bicategorical Perspective_ ([arXiv:0805.3673](http://arxiv.org/abs/0805.3673))