
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

What is sometimes called _de Sitter gravity_ and _anti de Sitter gravity_ is the analog of [[Einstein gravity]] with the local model geometry of [[Minkowski spacetime]] acted on by the [[Poincaré group]] replaced by [[anti de Sitter spacetime]] or [[de Sitter spacetime]] acted on by their [[isometry groups]] ([[anti de Sitter group]] and [[de Sitter group]], respectively).

More in detail, in the [[first order formulation of gravity]] the [[field (physics)|field configurations]] of [[Einstein gravity]] ([[general relativity]]) are [[Cartan connections]] for the inclusion of the [[Spin group]] into the [[Poincaré group]]. Accordingly a field configuration of anti de Sitter (resp. de Sitter) gravity is a [[Cartan connection]] for a suitable [[stabilizer subgroup]] included into  $O(d-1,2)$ (resp. $O(d,1)$).

## Examples 

* In the case of 3-dimensional [[spacetime]] both de Sitter and anti de Sitter gravity have been studie in much detail. See at  _[[3d quantum gravity]]_ for more.

## Related concepts

* [[AdS-CFT correspondence]]

* [[Chern-Simons gravity]]

[[!include local and global geometry - table]]

## References


* [[Paul Townsend]], _Small Scale Structure of Space-Time as the Origin of the Gravitational Constant_, Phys.Rev. D15 (1977) 2795 ([spire](https://inspirehep.net/record/5017?ln=en))

* Takeshi Fukuyama, _Gauge theory of gravity_, Zeitschrift für Physik C Particles and Fields 1981, Volume 10, Issue 1, pp 9-15 ([publisher](http://link.springer.com/article/10.1007%2FBF01545778))

* A. Ach&uacute;carro and [[Paul Townsend]], _A Chern-Simons Action for Three-Dimensional anti-De Sitter Supergravity Theories_ , Phys. Lett. B180 (1986) 89.

* {#Witten88} [[Edward Witten]], _(2+1)-Dimensional Gravity as an Exactly Soluble System_ Nucl. Phys. B311 (1988) 46. ([web](http://adsabs.harvard.edu/abs/1988NuPhB.311...46W))

* {#CastellaniDAuriaFre} [[Leonardo Castellani]], [[Riccardo D'Auria]], [[Pietro Fré]], volume 1, chapter I.4.4 of _[[Supergravity and Superstrings - A Geometric Perspective]]_, World Scientific (1991)

* [[Derek Wise]], _MacDowell-Mansouri gravity and Cartan geometry_, Class.Quant.Grav.27:155010,2010 ([arXiv:gr-qc/0611154](http://arxiv.org/abs/gr-qc/0611154))

* Theo Verwimp, _Anti-de Sitter gauge theory for gravity_ ([arXiv:1006.1614](http://xxx.tau.ac.il/abs/1006.1614))

* Wikipedia, _[de Sitter invariant special relativity](http://en.wikipedia.org/wiki/De_Sitter_invariant_special_relativity)_

* M. Gunaydin, [[Peter van Nieuwenhuizen]], N.P. Warner, _General Construction of the Unitary Representations of Anti-de Sitter Superalgebras and the Spectrum of the $S^7$ Compactification of Eleven-dimensional Supergravity_, Nucl.Phys. B255 (1985) 63 ([spire](http://inspirehep.net/record/206013?ln=en))

[[!redirects anti de Sitter gravity]]

[[!redirects AdS gravity]]
[[!redirects deSitter gravity]]