
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Super-Geometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
#### Lie theory
+--{: .hide}
[[!include infinity-Lie theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The _orthosymplectic supergroup_ $Osp(N|2p)$ is the sub-[[supergroup]] of the [[general linear supergroup]] $GL(N|2p)$ on those elements which preserve the canonical graded-symmetric [[bilinear form]] on $\mathbb{R}^{N|2p}$, i.e. the form which is the canonical symmetric bilinear form on the even elements $\mathbb{R}^{N}$, is the canonical [[symplectic form]] on the odd elements in $\mathbb{R}^{0|2p}$ and is zero on mixed pairs of elements.

The corresponding [[super Lie algebras]] are called the _orthosymplectic Lie algebras_ $\mathfrak{osp}(N|2p)$. Over a [[field]] of [[characteristic zero]] these constitute the infinite $B$- and $D$-series in the [classification of simple super Lie algebras](super%20Lie%20algebra#Classification). 
They are closely related to [[superconformal]] symmetry (e.g. [DAuria-Ferrara-Lledo-Varadarajan 00](#DAuriaFerrareLledoVaradarajan00)), see at _[supersymmetry -- Classification -- Superconformal symmetry](supersymmetry#ClassificationSuperconformal)_.

## Examples

* $\mathfrak{osp}(1\vert 32)$ is a limiting case of the [[M-theory super Lie algebra]] ([Fernandez-Izquierdo-Olmo 15](#FernandezIzquierdoOlmo15)). Further relation also to the [[type II supersymmetry algebra]] had been discussed in ([Bergshoess-Proeyen 00](#BergshoessProeyen00)).

## Related concepts

* [[orthogonal Lie algebra]]

## References

### General


* {#Kac77b} [[Victor Kac]], pages 9-10 of _A sketch of Lie superalgebra theory_, Comm. Math. Phys. Volume 53, Number 1 (1977), 31-64. ([EUCLID](https://projecteuclid.org/euclid.cmp/1103900590))

* [[Manfred Scheunert]], chapter II, 4.3.A of _The theory of Lie superalgebras. An introduction_, Lect. Notes Math. 716 (1979) 


* {#Farmer84} Richard Joseph Farmer, _Orthosymplectic superalgebras in mathematics and science_, PhD Thesis (1984) ([web](http://eprints.utas.edu.au/19542/), [pdf](http://eprints.utas.edu.au/19542/1/whole_FarmerRichardJoseph1985_thesis.pdf))

* {#CastellaniDAuriaFre91} [[Leonardo Castellani]], [[Riccardo D'Auria]], [[Pietro Fré]], section II.2.2 in _[[Supergravity and Superstrings - A Geometric Perspective]]_, World Scientific (1991)


* {#DAuriaFerrareLledoVaradarajan00} [[Riccardo D'Auria]], S. Ferrara, M. A. Lledó, [[Veeravalli Varadarajan]], _Spinor Algebras_, J.Geom.Phys. 40 (2001) 101-128 ([arXiv:hep-th/0010124](http://arxiv.org/abs/hep-th/0010124))


* N. A. Gromov, I. V. Kostyakov, V. V. Kuratov, _Cayley-Klein contractions of orthosymplectic superalgebras_ ([arXiv:hep-th/0110257](http://arxiv.org/abs/hep-th/0110257))

* Steven V Sam, _Orthosymplectic Lie superalgebras, Koszul duality, and a complete intersection analogue of the Eagon-Northcott complex_ ([arXiv:1312.2255](http://arxiv.org/abs/1312.2255))

* G.I. Lehrer, R.B. Zhang, _The second fundamental theorem of invariant theory for the orthosymplectic supergroup_ ([arXiv:1407.1058](http://arxiv.org/abs/1407.1058))


### In superstring theory

* {#BergshoessProeyen00} [[Eric Bergshoeff]], [[Antoine Van Proeyen]], _The many faces of $OSp(1|32)$_, Class. Quantum Grav. 17 (2000) 3277–3303 ([arXiv:hep-th/0003261](http://arxiv.org/abs/hep-th/0003261))

* {#FernandezIzquierdoOlmo15} J.J. Fernandez, J.M. Izquierdo, M.A. del Olmo, _Contractions from $osp(1|32) \oplus osp(1|32)$ to the M-theory superalgebra extended by additional fermionic generators_, Nuclear Physics B Volume 897, August 2015, Pages 87–97 ([arXiv:1504.05946](http://arxiv.org/abs/1504.05946))

### Representation theory

The [[representation theory]] of the orthosymplectic group is discussed in

* {#NicolaiSezgin84} [[Hermann Nicolai]], [[Ergin Sezgin]], _Singleton representations of $Osp(N,4)$_,  Physics Letters B, Volume 143, Issues 4–6, 16 August 1984, Pages 389-395

[[!redirects osp]]

[[!redirects orthosymplectic super Lie algebras]]

[[!redirects orthosymplectic supergroup]]
[[!redirects orthosymplectic supergroups]]

[[!redirects orthosymplectic super group]]
[[!redirects orthosymplectic super groups]]
