
#Contents#
* table of contents
{:toc}

## Idea

A [[spacetime]] is _asymptotically flat_ if far enough away from any point it looks like flat [[Minkowski spacetime]].

On asymptotically flat spacetimes a total gravitational [[mass]]/[[energy]] is well defined, the _[[ADM mass]]_. See also at _[[positive energy theorem]]_.

Regarding a field configuration of [[Einstein gravity]] as a [[Cartan connection]] for the inclusion of the [[Lorentz group]] into the [[Poincaré group]] (see at _[[first-order formulation of gravity]]_), then asymptotic flatness means that the [[Cartan geometry]] asymptotivally approaches its model [[Klein geometry]]. From this perspective there are various generalizations of asymptotic flatness: 

for instance for [[anti de Sitter gravity]] it means that spacetime asymptootes to [[anti de Sitter spacetime]]. For more on this see at _[[AdS-CFT correspondence]]_.

## Related concepts

* [[conformal compactification]]

## References

### Asymptotically Minkowski spacetimes

* Wikipedia, _[Asymptotically flat spacetimes](http://en.wikipedia.org/wiki/Asymptotically_flat_spacetime)_

* Jörg Frauendiener, _Conformal Infinity_ ([living reviews](http://relativity.livingreviews.org/Articles/lrr-2000-4/))

### Asymptotically AdS spacetimes

* [[Marc Henneaux]], [[Claudio Teitelboim]], _Asymptotically Anti-de Sitter Spaces_, Comm. Math. Phys. 98, 391-424 (1985) ([pdf](http://srv2.fis.puc.cl/~mbanados/Cursos/TopicosRelatividadAvanzada/HenneauxTeitelboim.pdf))


[[!redirects asymptotically flat spacetimes]]
[[!redirects asymptotically anti de Sitter spacetime]]
[[!redirects asymptotically anti de Sitter spacetimes]]