
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

In _[[physics]]_, specifically in fundamental physics/high energy physics, the term _theory of everything_ is used to refer to a (hypothetical) [[theory (physics)|theory]] which coherently subsumes "all" of fundamental physics in some sense.

Taken at face value this terminology has its evident problems, but its usage is to be understood in the context of the situation of the field of theoretical physics at the turn to the 21st century, where it has the evident and justified restricted meaning of a theory which somehow coherently subsumes and possibly explains from more fundamental principles both the [[nLab:standard model of particle physics]] on the one hand, based on [[nLab:Yang-Mills theory]], and the [[nLab:standard model of cosmology]], based on [[nLab:Einstein gravity]]. 

One issue here is to do so at the level of [[quantum field theory]] proper, for more on this see at _[[quantum gravity]]_. Another is to possibly find a explanation for some of the random-looking structures in these standard models, for more on this see at _[[grand unified field theory]]_.

(Notice here that in their colloquial meaning the terms _theory of everything_ and _grand unified field theory_ largely overlap, but that as technical terms they are understood very differenty, indeed the term _[[grand unified field theory]]_ is used almost exclusively for [[nLab:gauge group]]-unification, which is not even part of all proposals for a "theory of everything").


## Related concepts

* [[grand unified theory]]

* [[gauge coupling unification]]

## References

* Wikipedia, _[Theory of everything](http://en.wikipedia.org/wiki/Theory_of_everything)_

Back in the days, [[David Hilbert]] would speak of "Weltgesetze", see starting on page 396 in 

* {#SauerMajer} [[Tilman Sauer]], [[Ulrich Majer]] with  Arne Schirrmacher, Heinz-Jürgen Schmidt (eds.), _David Hilbert’s "Lectures on the foundations of physics"_, 1915-1927 : relativity, quantum theory and epistemology, Springer 2009


[[!redirects theories of everything]]