
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Representation theory
+-- {: .hide}
[[!include representation theory - contents]]
=--
#### Super-Algebra and Super-Geometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
=--
=--
#Contents#
* table of contents
{:toc}

## Idea

A _supermultiplet_ is an [[irreducible representation]] of a [[supersymmetry]] [[supergroup]] or [[super Lie algebra]], decomposed as a [[direct sum]] ([[branching rule|branching]]) of [[irreps]] of the underlying ordinary group.

For the case of [[unitary representations of the super Poincaré group]], then under the canonical inclusion of the ordinary [[Poincaré group]] into the [[super Poincaré group]], the supermultiplets for super-isometries of [[super Minkowski spacetime]] decompose into a [[direct sum]] of irreducible [[unitary representations of the Poincaré group]]. Via the [[Wigner classification]] of fundamental [[particles]] as irreps of the [[Poincaré group]], this gives a decomposition of supermultiplets into [[particle]] species. The particles in this direct sum related by odd supersymmetry transformations are called _superpartners_.

Similar statements hold for the [[super anti de Sitter group]] or [[superconformal group]] etc.

By [[Deligne's theorem on tensor categories]] the most general regular [[tensor categories]] are those spanned by supermultiplets for some [[supergroup]].

## Related concepts

* [[superconformal multiplet]]

* [[adinkra]]

## References

* {#CastellaniDAuriaFre91} [[Leonardo Castellani]], [[Riccardo D'Auria]], [[Pietro Fré]], chapter II.4 in _[[Supergravity and Superstrings - A Geometric Perspective]]_, World Scientific (1991)


* [[Veeravalli Varadarajan]], section 5.3 of _Unitary representations of super Lie groups_, 2006 ([pdf](http://www.math.ucla.edu/~vsv/ur.pdf))

* Wikipedia, _[Supermultiplet](https://en.wikipedia.org/wiki/Supermultiplet)_

[[!redirects super multiplets]]


[[!redirects supermultiplet]]
[[!redirects supermultiplets]]



[[!redirects superpartner]]
[[!redirects superpartners]]

[[!redirects super partner]]
[[!redirects super partners]]

[[!redirects vector multiplet]]
[[!redirects vector multiplets]]

[[!redirects tensor multiplet]]
[[!redirects tensor multiplets]]

[[!redirects hypermultiplet]]
[[!redirects hypermultiplets]]

[[!redirects hyper multiplet]]
[[!redirects hyper multiplets]]
