[[!redirects Fermat prime]]
A **Fermat number** is a number of the form
$$
F_k = 2^{2^k}+1
$$
for integers $k \geq 0$. A Fermat number that is [[prime number|prime]] is called a **Fermat prime**. 

[[Pierre de Fermat]] conjectured (1640) that all $F_k$ are prime, but $F_5=4294967297$ is composite (641 is a factor, discovered by [[Euler]] in 1732), and in fact (as of 2014) only $F_k$ for $k=0,1,2,3,4$ are known to be prime. Basic questions remain open, such as:

* Are there infinitely many Fermat primes?
* Are there infinitely many composite Fermat numbers?

The Fermat numbers $F_k$ for $k=5,\ldots,32$ are known to be composite, though in some cases no explicit factors are known ($k=20,24$), or incomplete factorisations ($12 \leq k \leq 32$). Isolated other cases are known to be composite, for instance $k=3329780$.

There are heuristic (nonrigorous) arguments that there should be only finitely many Fermat primes, _and_ that Fermat primes have positive [[density of a subset|density]] in the primes; it is impossible that both of these hold, since finite sets have zero density in a countable set like that of the primes. In any case, it is conjectured by various people that: there are only finitely many Fermat primes; there are only five Fermat primes; and that there are finitely many, but more than five (this last position is argued by [[Emil Artin]]).

## Related entries

* [[prime number]]
* [[constructible polygon]]
* [[Mersenne prime]]

## References

* [Wikipedia](http://en.wikipedia.org/wiki/Fermat_number)
* [[OEIS]] [A000215](http://oeis.org/A000215)
* Křížek, Michal; Luca, Florian; Somer, Lawrence _17 lectures on Fermat numbers. From number theory to geometry. With a foreword by Alena Šolcová._ CMS Books in Mathematics/Ouvrages de Mathématiques de la SMC, 9. Springer-Verlag, New York, 2001. xxiv+257 pp. ISBN: 0-387-95332-9 doi:[10.1007/978-0-387-21850-2](http://dx.doi.org/10.1007/978-0-387-21850-2)

The following page lists heuristic arguments as to the finiteness of the Fermat primes, and also that there are only five such:

* The prime puzzles and conjectures connection, [Conjecture 4. Fermat primes are finite](http://www.primepuzzles.net/conjectures/conj_004.htm)

New factors of composite Fermat numbers are announced here:

* FermatSearch.org [News](http://www.fermatsearch.org/news.html)