## Statement

Let $X$ be a smooth projective [[complex manifold]].
The _integral Hodge conjecture_ states that every integral [[Hodge cycle]], i.e. $2k$-degree [[cohomology class]] of $X$ which lies in the $(k,k)$-piece of the [[Hodge decomposition]], is _algebraic_, i.e. the class of an [[algebraic cycle]].

This conjecture is known to be false, hence the refinement of the [[Hodge conjecture]] to rational cohomology classes.  However it is true for $k=1$ by the [[Lefschetz theorem on (1,1)-classes]].

## Counterexamples

The integral Hodge conjecture fails in two ways: 

* There are [[torsion]] [[cohomology classes]] which are not [[algebraic cycle|algebraic]].
* There are [[cohomology classes]] of infinite [[order of a group|order]] which are not [[algebraic cycle|algebraic]], but for which some multiple is algebraic.

Counterexamples of the first type were given first by [Atiyah-Hirzebruch 61](#AtiyahHirzebruch61).
They were later re-interpreted in terms of [[complex cobordism]] by [Totaro 97](#Totaro97).
These examples were so-called [[Godeaux-Serre varieties]], constructed in  ([Serre 58](#Serre58), section 20).

Counterexamples of the second type were first given by [Kollar 90](#Kollar90).


## Related concepts

* [[Hodge conjecture]]
* [[Tate conjecture]]

## References

* {#Serre58} [[J.-P. Serre]], _Sur la topologie des varietes algebriques en caracteristique p_, Symposium internacional de topologia algebraica, Mexico (1958), 24-53; in Oeuvres vol. 1, 501-530.

* {#AtiyahHirzebruch61} [[M. F. Atiyah]], [[F. Hirzebruch]], _Analytic cycles on complex manifolds_, 1961, Topology Vol. 1, pp. 25-45, [pdf](http://hirzebruch.mpim-bonn.mpg.de/151/1/29_Analytic%20cycles%20on%20complex%20manifolds.pdf).

* {#Totaro97} [[Burt Totaro]], _Torsion algebraic cycles and complex cobordism_, J. Amer.
Math. Soc. 10 (1997), no. 2, 467–493, [pdf](http://www.math.ucla.edu/~totaro/papers/public_html/bord.pdf).

* {#Kollar90} [[J. Kollar]], _Trento examples_, in Classification of irregular varieties,
edited by E. Ballico, F. Catanese, C. Ciliberto, Lecture Notes in Math.
1515, Springer (1990).

* [[C. Soulé]], [[C. Voisin]], _Torsion cohomology classes and algebraic cycles on complex projective  manifolds_, Adv. Math. 198 (2005), no. 1, 107–127, [arXiv:math/0403254](http://arxiv.org/abs/math/0403254v2).

These are summarized in section 2 of the following notes

* [[Claire Voisin]], _Some aspects of the Hodge conjecture_, notes from Takagi lectures, Kyoto 2006, [pdf](http://www.math.polytechnique.fr/~voisin/Articlesweb/takagifinal.pdf).

and section 4 of 

* [[Arnaud Beauville]], _The Hodge conjecture_, [pdf](http://math.unice.fr/~beauvill/pubs/Hodge.pdf).

A [[motivic homotopy theory|motivic]] reinterpretation is discussed in

* [[Alena Pirutka]], [[Nobuaki Yagita]], _Note on the counterexamples for the integral Tate conjecture over finite  fields_, [arXiv:1401.1620](http://arxiv.org/abs/1401.1620).

The ideas of Atiyah-Hirzebruch and Totaro are shown to extend to [[positive characteristic]], using [[etale cohomology]] and [[etale homotopy theory]], to give counterexamples to the integral [[Tate conjecture]], in

* [[Jean-Louis Colliot-Thélène]], [[Tamás Szamuely]], _Autour de la conjecture de Tate `a coefficients Z_l pour les vari'et'es  sur les corps finis_, [arXiv:0902.1666](http://arxiv.org/abs/0902.1666), [pdf](http://www.math.u-psud.fr/~colliot/CTSz21dec2009.pdf).

and

* [[Gereon Quick]], _Torsion algebraic cycles and etale cobordism_, [arXiv:0911.0584](http://arxiv.org/abs/0911.0584v3).

New examples are in

* [[Benjamin Antieau]], _On the integral Tate conjecture for finite fields and representation  theory_, [arXiv:1504.04879](http://arxiv.org/abs/1504.04879).