
> this entry is one chapter of "[[geometry of physics]]"

> previous chapter: _[[geometry of physics -- manifolds and orbifolds|manifolds and orbifolds]]_

> next chapter: _[[geometry of physics -- BPS charges|BPS charges]]_

>

> Presently this entry is under construction. It is being incrementally expanded as this lecture series progresses: _[[schreiber:From the Superpoint to T-Folds]]_.

#Contents#
* table of contents
{:toc}


In [[nLab:Klein geometry]] and [[nLab:Cartan geometry]] the fundamental geometric concept is the [[nLab:symmetry group]] $G$ of the local model [[nLab:space]], which is then recovered as some [[nLab:coset space]] $G/H$. These symmetry groups $G$ are reflected in their [[nLab:categories of representations]] $Rep(G)$, which are certain nice [[nLab:tensor categories]]. In terms of [[nLab:physics]] via [[nLab:Wigner classification]], the [[nLab:irreducible objects]] in  $Rep(G)$ label the possible [[nLab:fundamental particle]] species on the [[nLab:spacetime]] $G/H$. Hence if we regard the [[nLab:tensor category]] $Rep(G)$ as the actual fundamental concept, then the natural question is that of _[[nLab:Tannaka duality|Tannaka reconstruction]]_: Given any nice [[nLab:tensor category]], is it [[nLab:equivalence of categories|equivalent]] to $Rep(G)$ for some symmetry group $G$? For [[nLab:rigid monoidal category|rigid]] [[nLab:tensor categories]] in [[nLab:characteristic zero]] subject only to a mild size constraint this is answered by **[[nLab:Deligne's theorem on tensor categories]]**: all of them are, but only if we allow $G$ to be a "[[nLab:supergroup]]". This we discuss in the first section [below](#Superalgebra).



## Superalgebra
  {#Superalgebra}

this section is at _[[geometry of physics -- superalgebra]]_



## Supergeometry
 {#Supergeometry}


this section is at _[[geometry of physics -- supergeometry]]_


## Spacetime supersymmetry



this section is at _[[geometry of physics -- supersymmetry]]_



## Fundamental super $p$-branes

this section is at _[[geometry of physics -- fundamental super p-branes]]_




## References

The following first mentions

* [General accounts](#GeneralReading)

that might usefully be held on to during the seminar. Then I list

* [Special literature](#MoreDetails)

with refernces to original results and to reviews of these. Then I list pointers to my own work with collaborators on

* [Higher super Cartan geometry](#ReferencesHigherSuperCartan)


### General accounts
 {#GeneralReading}

An excellent general textbook for our purposes is

* {#CDF} [[nLab:Leonardo Castellani]], [[nLab:Riccardo D'Auria]], [[nLab:Pietro Fré]], _[[nLab:Supergravity and Superstrings - A Geometric Perspective]]_, World Scientific (1991)

This is written by physicists in physics style, but the development is careful and thorough, and the "geometric perspective" in the title is nothing but the perspective of higher [[nLab:super Cartan geometry]] in slight disguise. See also at _[[nLab:D'Auria-Fré formulation of supergravity]]_.

Lecture notes closely related to the seminar are in

* {#StructureTheory} [[nLab:Urs Schreiber]], _[[schreiber:Structure Theory for Higher WZW Terms]]_, lectures at _[Higher Structures in String Theory and Quantum Field Theory](http://www.esi.ac.at/activities/events/2015/higher-structures-in-string-theory-and-quantum-field-theory)_, ESI Vienna, November 30-December 4, 2015

### More specialized literature
 {#MoreDetails}

[[nLab:Deligne's theorem on tensor categories]] is due to

* {#Deligne02} [[nLab:Pierre Deligne]], _Catégorie Tensorielle_, Moscow Math. Journal 2 (2002) no. 2, 227-248. ([pdf](https://www.math.ias.edu/files/deligne/Tensorielles.pdf))

building on his general work on [[nLab:Tannakian categories]]

* [[nLab:Pierre Deligne]], _[[nLab:Catégories Tannakiennes]]_, Grothendieck Festschrift, vol. II, Birkhäuser Progress in Math. 87 (1990) pp.111-195. ([pdf](https://publications.ias.edu/sites/default/files/60_categoriestanna.pdf))

A brief survey is in

* {#Ostrik04} [[nLab:Victor Ostrik]], _Tensor categories (after P. Deligne)_ ([arXiv:math/0401347](http://arxiv.org/abs/math/0401347))

and a more comprehensive texbook account is in chapter 9.11 of

* {#EGNO15} [[nLab:Pavel Etingof]], Shlomo Gelaki, Dmitri Nikshych, [[nLab:Victor Ostrik]], _Tensor categories_, Mathematical Surveys and Monographs, Volume 205, American Mathematical Society, 2015 ([pdf](http://www-math.mit.edu/~etingof/egnobookfinal.pdf
))



The observation that [[nLab:supergeometry]] is naturally regarded as ordinary geometry inside the [[nLab:sheaf topos]] over [[nLab:superpoints]] is due to

* {#Schwarz84} [[nLab:Albert Schwarz]], _On the definition of superspace_, Teoret. Mat. Fiz. (1984)  Volume 60,  Number 1, Pages 37–42, ([russian original pdf](http://www.mathnet.ru/links/b12306f831b8c37d32d5ba8511d60c93/tmf5111.pdf))

* {#KonechnySchwarz97} Anatoly Konechny, [[nLab:Albert Schwarz]],  _On $(k \oplus l|q)$-dimensional supermanifolds_ in _Supersymmetry and Quantum Field Theory_ (D. Volkov memorial volume) Springer-Verlag, 1998, Lecture Notes in Physics, 509 , J. Wess and V. Akulov (editors)([arXiv:hep-th/9706003](http://arxiv.org/abs/hep-th/9706003))

  _Theory of $(k \oplus l|q)$-dimensional supermanifolds_ Sel. math., New ser. 6 (2000) 471 - 486

A nice account is in

* {#Sachse08} [[nLab:Christoph Sachse]], _A Categorical Formulation of Superalgebra and Supergeometry_ ([arXiv:0802.4067](http://arxiv.org/abs/0802.4067))

Useful discussion of [[nLab:Majorana spinors]] and the induced [[nLab:supersymmetry]] algebras includes

* [CDF, II.7.3](#II.7.3)

* {#FigueroaOFarrill} [[nLab:José Figueroa-O’Farrill]], _Majorana spinors_ ([pdf](http://www.maths.ed.ac.uk/~jmf/Teaching/Lectures/Majorana.pdf))

The close relation between [[nLab:supersymmetry and division algebras]] was first observed in

* {#KugoTownsend83} [[Taichiro Kugo]], [[Paul Townsend]], _Supersymmetry and the division algebras_, Nuclear Physics B, Volume 221, Issue 2 (1983) p. 357-380. ([spires](http://inspirehep.net/record/181889), [pdf](http://cds.cern.ch/record/140183/files/198301032.pdf))

A clean survey is in

* {#BH09} [[John Baez]], [[John Huerta]], _Division algebras and supersymmetry I_, in  R. Doran, G. Friedman, [[nLab:Jonathan Rosenberg]](eds.) _Superstrings, Geometry, Topology, and $C^\ast$-algebras_,  Proc. Symp. Pure Math. 81, AMS, Providence, 2010, pp. 65-80 ([arXiv:0909.0551](http://arxiv.org/abs/0909.0551))

and the discussion of the spinor bilinear pairings from this perspective is in

* {#BH10} [[John Baez]], [[John Huerta]], _Division algebras and supersymmetry II_, Adv. Math. Theor. Phys. 15 (2011), 1373-1410 ([arXiv:1003.34360](http://arxiv.org/abs/1003.3436))

The seminal analysis of [[nLab:torsion of G-structures]] is due to

* {#Guillemin65} [[Victor Guillemin]], _The integrability problem for $G$-structures_, Trans. Amer. Math. Soc. 116 (1965), 544–560. ([JSTOR](http://www.jstor.org/stable/1994134))

Discussion of [[nLab:torsion of G-structures]] in the context of [[nLab:supergeometry]] ([[nLab:supertorsion]]) is in

* {#Lott01} [[nLab:John Lott]], _The Geometry of Supergravity Torsion Constraints_ Comm. Math. Phys. 133 (1990), 563–615, (exposition in [arXiv:0108125](http://arxiv.org/abs/math/0108125))

An elegant construction of [[nLab:11-dimensional supergravity]], right in the spirit of [[nLab:super Cartan geometry]], is due to

* {#DAuriaFre82}  [[nLab:Riccardo D'Auria]], [[nLab:Pietro Fré]]; _Geometric Superravity in D=11 and its hidden supergroup_, Nuclear Physics B201 (1982) 101-140 ([pdf](https://ncatlab.org/nlab/files/GeometricSupergravity.pdf))

This is the main original result on which the [[nLab:D'Auria-Fré formulation of supergravity]] is based, as laid out in [CDF](#CDF).

The observation that the [[nLab:equations of motion]] of bosonic solutions of [[nLab:11-dimensional supergravity]] are equivalent simply to vanishing of the [[nLab:supertorsion]] is due to

*  {#CandielloLechner93} A. Candiello, K. Lechner, _Duality in Supergravity Theories_, Nucl.Phys. B412 (1994) 479-501 ([arXiv:hep-th/9309143](http://arxiv.org/abs/hep-th/9309143))

* {#Howe97} [[nLab:Paul Howe]], _Weyl Superspace_, Physics Letters B
Volume 415, Issue 2, 11 December 1997, Pages 149–155 ([arXiv:hep-th/9707184](http://arxiv.org/abs/hep-th/9707184))

Discussion of [[nLab:Fierz identities]] includes

* [CDF, II.8](#CDF)

The classification of the invariant super Lie algebra cocycles on super-Minkowski spacetime, hence that of [[nLab:super p-branes]] without gauge fields on their worldvolume, is due to

* {#AETW87} Anna Achúcarro, [[nLab:Jonathan Evans]], [[nLab:Paul Townsend]], [[nLab:David Wiltshire]], _Super $p$-Branes_, Phys. Lett. B **198** (1987) 441 ([spire](http://inspirehep.net/record/22286?ln=en))

The extension of this classification to [[nLab:D-branes]] and to the [[nLab:M5-brane]] using [[nLab:extended super Minkowski spacetime]] is due to

* {#CAIB99} C. Chrysso‌malakos, [[nLab:José de Azcárraga]], J. M. Izquierdo and C. Pérez Bueno, _The geometry of branes and extended superspaces_, Nuclear Physics B Volume 567, Issues 1–2, 14 February 2000, Pages 293–330 ([arXiv:hep-th/9904137](http://arxiv.org/abs/hep-th/9904137))

* {#Sakaguchi00} Makoto Sakaguchi, _IIB-Branes and New Spacetime Superalgebras_, JHEP 0004 (2000) 019 ([arXiv:hep-th/9909143](https://arxiv.org/abs/hep-th/9909143))

The M5-brane cocycle on the "M2-brane extended super-Minkowski spacetime" that appears here has in fact been observed, as a cocycle, all the way back in [D'Auria-Fré 82](#DAuriaFre82). But there it was seen just as a means for constructing [[nlab:11-dimensional supergravity]]. That it indeed gives the [[nLab:higher WZW term]] in the [[nLab:Green-Schwarz action functional|Green-Schwarz type action functional]] that defines the fundamental [[nLab:M5-brane]] has been argued in

* {#BLNPST97} [[nLab:Igor Bandos]], [[nLab:Kurt Lechner]], Alexei Nurmagambetov, [[nLab:Paolo Pasti]], [[nLab:Dmitri Sorokin]], Mario Tonin, _Covariant Action for the Super-Five-Brane of M-Theory_, Phys.Rev.Lett. 78 (1997) 4332-4334 ([arXiv:hep-th/9701149](http://arxiv.org/abs/hep-th/9701149))

The observation that [[nLab:super p-branes]] on curved [[nLab:super spacetimes]] require [[nLab:definite globalization of WZW term|definite globalization]] of super Lie algebra cocycles from Minkowski spacetime over the supermanifold is due to

* {#BergshoeffSezginTownsend86} [[nLab:Eric Bergshoeff]], [[nLab:Ergin Sezgin]], [[nLab:Paul Townsend]], _Superstring actions in $D = 3, 4, 6, 10$ curved superspace_, Phys.Lett., B169, 191, (1986) ([spire](http://inspirehep.net/record/223138/?ln=en))

* {#BergshoeffSezginTownsend87}  [[nLab:Eric Bergshoeff]], [[nLab:Ergin Sezgin]], [[nLab:Paul Townsend]], _Supermembranes and eleven dimensional supergravity_, Phys.Lett. B189 (1987) 75-78, In [[nLab:Mike Duff]],  (ed.), _[[nLab:The World in Eleven Dimensions]]_ 69-72 ([pdf](http://streaming.ictp.trieste.it/preprints/P/87/010.pdf), [spire](http://inspirehep.net/record/248230?ln=en))

The formulation of [[nLab:topological T-duality]] is due to

* {#BouwknegtEvslinMathai04} [[nLab:Peter Bouwknegt]], [[nLab:Jarah Evslin]], [[nLab:Varghese Mathai]], _T-Duality: Topology Change from H-flux_, Commun.Math.Phys.249:383-415,2004 ([hep-th/0306062](http://arxiv.org/abs/hep-th/0306062))

and in an alternative form due to

* {#BunkeRumpfSchick08} {#BunkeRumpfSchick08} [[nLab:Ulrich Bunke]], P. Rumpf, [[nLab:Thomas Schick]], _The topology of $T$-duality for $T^n$-bundles_,  Rev. Math. Phys. 18, 1103 (2006). ([arXiv:math.GT/0501487](http://arxiv.org/abs/math.GT/0501487))



The suggestion that there ought to be "[[nLab:T-folds]]" or "[[nLab:double field theory|doubled geometry]]" is due to

* {#Hull04} [[nLab:Chris Hull]], _A Geometry for Non-Geometric String Backgrounds_, JHEP0510:065,2005 ([arXiv:hep-th/0406102](http://arxiv.org/abs/hep-th/0406102))

* {#Hull06} [[nLab:Chris Hull]], _Doubled geometry and T-folds_ JHEP0707:080,2007  ([arXiv:hep-th/0605149](http://arxiv.org/abs/hep-th/0605149))

The mathematical formalization of this idea in terms of [[nLab:principal 2-bundles]] for the [[nLab:T-duality 2-group]] was claimed in

* {#Nikolaus14} [[nLab:Thomas Nikolaus]], _T-Duality in K-theory and elliptic cohomology_, talk at _String Geometry Network Meeting_, Feb 2014, ESI Vienna ([website](http://www.ingvet.kau.se/juerfuch/conf/esi14/esi14_34.html))


### Higher super Cartan geometry
 {#ReferencesHigherSuperCartan}

The following articles develop the higher super Cartan geometry that we give an exposition of in the second part of the seminar.

The mathematical foundation of higher supergeometry:

* {#dcct} [[nLab:Urs Schreiber]], _[[schreiber:differential cohomology in a cohesive topos]]_, Thesis, ([v1 arXiv:1310.7930](http://arxiv.org/abs/1310.7930v1), [v2](https://dl.dropboxusercontent.com/u/12630719/dcct.pdf))

The general idea of [[schreiber:The brane bouquet]] and the general construction of [[nLab:higher WZW terms]] from higher $L_\infty$-cocycles:

* {#FSS13} [[nLab:Domenico Fiorenza]], [[nLab:Hisham Sati]], [[nLab:Urs Schreiber]],   _[[schreiber:The brane bouquet|Super Lie n-algebra extensions, higher WZW models and super p-branes with tensor multiplet fields]]_ International Journal of Geometric Methods in Modern Physics Volume 12, Issue 02 (2015) 1550018, ([arXiv:1308.5264](http://arxiv.org/abs/1308.5264))

The homotopy-[[nLab:descent]] of the [[nLab:M5-brane]] cocycle and of the type IIA [[nLab:D-brane]] cocycles:

* {#FSS16} [[nLab:Domenico Fiorenza]], [[nLab:Hisham Sati]], [[nLab:Urs Schreiber]], _[[schreiber:Rational sphere valued supercocycles in M-theory]]_, to appear in Journal of Geometry and Physics ([arXiv:1606.03206](http://arxiv.org/abs/1606.03206))

The derivation of supersymmetric [[nLab:topological T-duality]], rationally, and of the higher super Cartan geometry for [[nLab:super T-folds]]:

* {#FSS16a} [[nLab:Domenico Fiorenza]], [[nLab:Hisham Sati]], [[nLab:Urs Schreiber]], _[[schreiber:T-Duality from super Lie n-algebra cocycles for super p-branes]]_ ([arXiv:1611.06536](https://arxiv.org/abs/1611.06536))

The derivation of the process of higher invariant extensions that leads from the [[nLab:superpoint]] to [[nLab:11-dimensional supergravity]]:

* {#MTheoryFromTheSuperpoint} [[nLab:John Huerta]], [[nLab:Urs Schreiber]], _[[schreiber:M-Theory from the Superpoint]]_


