
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Topos Theory
+-- {: .hide}
[[!include topos theory - contents]]
=--
#### Arithmetic
+--{: .hide}
[[!include arithmetic geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

An **arithmetic pretopos** is a [[pretopos]] $C$ with a _parameterized [[natural numbers object]]_. A **list-arithmetic pretopos** is a pretopos with all _parameterized list objects_ ([Maietti 10, 2.6](#Maietti10)).

Using the (equivalent) definition given in [Cockett 1990](#Cockett90), a **parameterized list object** is a [[W-type]] for the [[polynomial functor]] $B+ A\times(-)\colon C\to C$. This definition makes sense since a pretopos has [[finite products]] and [[disjoint coproducts]] (here denoted "$+$").


Discussion via its [[internal language]], which is a [[dependent type theory]]... ([Maietti 05](#Maietti05), [Maietti 10, p.6](#Maietti10)).

Maietti ([05](#Maetti05),[10](#Maetti10)) proposed that list-arithmetic pretoposes serve as the **arithmetic universes** that [[André Joyal]] (cf. [Joyal 05](#Joyal05)) once suggested to use for discussion of [[incompleteness theorems]]; they are used directly as the definition of arithmetic universes e.g. in ([Maietti-Vickers 2012](#MaiettiVickers12)).

## Related entries

* [[free monoid]]

* [[Gödel's incompleteness theorem]]

* [[Lawvere's fixed point theorem]]

* [[classifying topos for the theory of objects]]

## References

* {#Cockett90} [[Robin Cockett]], _List-arithmetic distributive categories: Locoi_, JPAA **66** no.1 (1990) pp.1-29.

* {#Cockett97} [[Robin Cockett]], _Finite objects in a locos_, JPAA **116** (1997) pp.169-183.

* {#Joyal05} [[André Joyal]], _The Gödel incompleteness theorem, a categorical approach_ , (abstract) Amiens 2005, Cah. Top. Géom. Diff. Cat. **46** no.3 (2005) p.202. ([numdam](http://www.numdam.org/item/CTGDC_2005__46_3_163_0))

* {#Maietti05a} [[Maria Maietti]], _Reflection Into Models of Finite Decidable FP-sketches in an Arithmetic Universe_ , ENTCS **122** (2005) pp.105-126.

* {#Maietti05} [[Maria Maietti]], _Modular correspondence between dependent type theories and categories including pretopoi and topoi_, Mathematical Structures in Computer Science **15**  no.6 (2005) pp.1089-1149. ([draft](https://www.mittag-leffler.se/preprints/files/IML-0001-44.pdf))

* {#Maietti10} [[Maria Maietti]], _Joyal's arithmetic universe as list-arithmetic pretopos_ , TAC **24** no.3 (2010) pp.39-83. ([abstract](http://www.tac.mta.ca/tac/volumes/24/3/24-03abs.html))

* {#MaettiVickers12} [[Maria Maietti|M. E. Maietti]], [[Steve Vickers|S. Vickers]], _An induction principle for consequence in arithmetic universes_ , JPAA **216** (2012) pp.2049-2067. ([draft](http://www.math.unipd.it/~maietti/papers/aumv12.pdf))

* [[Paul Taylor]], _Inside Every Model of Abstract Stone Duality Lies an Arithmetic Universe_ , ENTCS **122** (2005) pp.247–296. 

* {#Vickers16} [[Steve Vickers]], _Sketches for arithmetic universes_ , arXiv:1608.0159 (2016). ([link](http://arxiv.org/abs/1608.01559))

* {#Vickers17} [[Steve Vickers]], _Arithmetic universes and classifying toposes_ , arXiv:1701.04611 (2017). ([link](https://arxiv.org/abs/1701.04611))

[[!redirects arithmetic pretoposes]]
[[!redirects list-arithmetic pretopos]]
[[!redirects list-arithmetic pretoposes]]

[[!redirects arithmetic universe]]
[[!redirects arithmetic universes]]