The [[group]]

$$\mathcal{C}_2 = \langle\sigma_0,\sigma_1,\sigma_2 \mid \sigma_0^2 = \sigma_1^2 = \sigma_2^2 = (\sigma_0\sigma_2)^2 = 1\rangle$$

is called the **cartographic group** (of dimension 2), while its [[index of a subgroup|index]] 2 [[subgroup]]

$$\mathcal{C}_2^+ = \langle\rho_0,\rho_1,\rho_2 \mid \rho_1^2 = \rho_0\rho_1\rho_2 = 1\rangle$$

is called the **oriented cartographic group**.  Specifically, this terminology comes from [[Grothendieck]]'s [[Esquisse d'un programme]], and is motivated by the fact that [[transitive action|transitive]] [[permutation representations]] (or equivalently, [[conjugacy class]]es of transitive subgroups) of $\mathcal{C}_2^+$ can be identified with [[topological maps]] on connected, oriented surfaces without boundary, while more generally, transitive permutation representations of $\mathcal{C}_2$ can be identified with maps on connected surfaces which may or may not be orientable or have a boundary.

## Higher dimensions

The $n$-dimensional analogue of the cartographic group is

$$\mathcal{C}_n = \langle\sigma_0,\dots,\sigma_n \mid \sigma_i^2 = (\sigma_i\sigma_j)^2 = 1, (|i-j|\gt 1)\rangle,$$

which is a [[Coxeter group]].  For related references, see the last section of [Jones and Singerman](#JonesSingerman94).

## Related concepts

* [[topological map]]
* [[combinatorial map]]
* [[child's drawing]]

## References

* [[Alexander Grothendieck]]. [[Esquisse d'un programme]] (section 3)
* [[Christine Voisin]] and [[Jean Malgoire]]. Cartes cellulaires, Cahiers Mathématiques, 12, Montpellier, 1977. ([sudoc](http://www.sudoc.fr/009461914))
* [[Gareth A. Jones]] and [[David Singerman]]. Theory of Maps on Orientable Surfaces. Proceedings of the London Mathematical Society, 37:273-307, 1978. ([doi](https://doi.org/10.1112/plms/s3-37.2.273))
* Robin P. Bryant and [[David Singerman]]. Foundation of the Theory of Maps on Surfaces With Boundary. Quarterly Journal of Mathematics, 2(36):17-41, 1985. ([doi](https://doi.org/10.1093/qmath/36.1.17))
* {#JonesSingerman94} [[Gareth Jones]] and [[David Singerman]]. Maps, hypermaps, and triangle groups.  In _The Grothendieck Theory of Dessins d'Enfants_, [[L. Schneps]] (ed.), London Mathematical Society Lecture Note Series 200, Cambridge University Press, 1994. ([doi](https://doi.org/10.1017/CBO9780511569302.006))
* See also the Wikipedia page on [generalized maps](https://en.wikipedia.org/wiki/Generalized_map), which correspond to permutation representations of $\mathcal{C}_n$.