## Idea

Hellman-Feynman theorem relates the time derivative of energy in [[quantum mechanics|quantum mechanical]] system with the expectation value of the time derivative of the Hamiltonian operator.

It is a consequence of the variational principle, hence it is valid not only to true eigenstates but also for some other wave functions (e.g. Hartree-Fock) steming from the variational principle. 

## References

* wikipedia: [Hellman-Feynman theorem](http://en.wikipedia.org/wiki/Hellmann%E2%80%93Feynman_theorem)

Historical references in physics are

* H. Hellmann, _Einfuehrung in die Quantenchemie_ (Franz Deuticke, Leipzig, 1937)

* [[Richard Feynman|R. P. Feynman]], _Forces in molecules_, Phys. Rev. 56, 340 (1939)

A strong version with careful functional analysis can be found in

* David Carfì, _The pointwise Hellman-Feynman theorem_, AAPP Physical, Mathematical, and Natural Sciences 88 (1). no. C1A1001004 [doi](http://dx.doi.org/10.1478/C1A1001004)

The theorem also holds for the [[WKB method|WKB approximations]]:

*  K. Banerjee, _W. K. B. approximation and scaling_, Proc. Royal Soc. London A 363, No. 1712 (Nov. 1, 1978) 147-151
[jstor](http://www.jstor.org/stable/79720)