## Idea

**Tambara functors** are algebraic structures similar to [[Mackey functors]], but with multiplicative norm maps as well as additive transfer maps, and a rule governing their interaction. They were introduced by Tambara, as TNR-functors, to encode the relationship between Trace (additive transfer), Norm (multiplicative transfer) and Restriction maps in the representation theory and cohomology theory of finite groups ([Tam93](#Tam93)).

>In the $G$-equivariant context for a finite group $G$, the role of abelian groups in non-equivariant algebra is played by Mackey functors. The category of Mackey functors is a closed symmetric monoidal category with symmetric monoidal product, the box product. In addition to the expected generalization of commutative rings to simply commutative monoids for the box product, there is a poset of generalizations of the notion of commutative rings to the $G$-equivariant context: the incomplete Tambara functors. These interpolate between [[Green functors]], the ordinary commutative monoids for the box product, and Tambara functors. The distinguishing feature for [incomplete] Tambara functors is the presence of certain multiplicative transfer maps, called norm maps. For a [[Green functor]], we have no norm maps; for a Tambara functor, we have norm maps for any pair of subgroups $H \subset K$ of $G$. ([Hill 17](#Hill17))

>A Mackey functor is represented by a "$G$-equivariant Eilenberg–MacLane spectrum", ... a Tambara functor is represented by a commutative "$G$-equivariant Eilenberg-MacLane ring spectrum" ([AB15](#AB15))


## Examples

Burnside rings, representation rings, zeroth stable homotopy group of a genuine equivariant $E_{\infty}$-ring.

>the homotopy category of Eilenberg MacLane commutative ring spectra is equivalent to the category of Tambara functors. ([Ull13](#Ull13))

Some other examples are related to [[Witt-Burnside functors]], Witt rings in the sense of Dress and Siebeneicher.

## Related concepts

* [[Mackey functor]]
* [[polynomial functor]]
* [[Witt vectors]]

##References

* [[Neil Strickland]], _Tambara Functors_, [arXiv:1205.2516](http://arxiv.org/abs/1205.2516)
* [[Morten Brun]], _Witt vectors and Tambara functors_, [arXiv:math/0304495](http://arxiv.org/abs/math/0304495)
* {#Tam93} Daisuke Tambara, _On multiplicative transfer_, Comm. Algebra 21 (1993), no. 4, 1393–1420 ([pdf](http://www.math.rochester.edu/people/faculty/doug/otherpapers/tambara.pdf)).
* {#AB15} [[Vigleik Angeltveit]] and [[Anna Marie Bohmann]], _Graded Tambara Functors_, ([arXiv:1504.00668](http://arxiv.org/abs/1504.00668))
[[!redirects Tambara functors]]
* {#Ull13} [[John Ullman]], _Tambara Functors and Commutative Ring Spectra_, ([arXiv:1304.4912](http://arxiv.org/abs/1304.4912))
* [[Michael Hill]], _Derived Equivariant Algebraic Geometry_, ([lecture and notes](https://www.msri.org/workshops/689/schedules/18236))
* Kristen Mazur, _On the Structure of Mackey Functors and Tambara Functors_, ([thesis](http://sites.lafayette.edu/mazurk/files/2013/07/Mazur-Thesis-4292013.pdf))
* {#Hill17} [[Michael Hill]], _On the Andre-Quillen homology of Tambara functors_, ([arXiv:1701.06219](https://arxiv.org/abs/1701.06219))
* [[Andrew Blumberg]], [[Michael Hill]], _Incomplete Tambara functors_, ([arXiv:1603.03292](https://arxiv.org/abs/1603.03292))