
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Riemannian geometry
+--{: .hide}
[[!include Riemannian geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A _harmonic map_ is a [[smooth function]] $f \colon X \longrightarrow Y$ between two [[Riemannian manifolds]] $(X,g_X)$, $(X,g_Y)$ which is a [[critical point]] of the Dirichlet [[kinetic energy]] [[functional]]

$$
  E(f) \coloneqq \int_{X} \Vert d f\Vert^2 dVol_X
  \,.
$$

where $d f \in \Gamma (T^\ast X \otimes \phi^\ast T Y)$ is the [[derivative]], where the [[norm]] is given jointly by the metrics of $X$ and $Y$ and where the [[volume form]] is that of $X$.

This is a standard [[kinetic action]] [[action functional]] for [[sigma models]], the _[[Polyakov action]]_.

## References

* Wikipedia, _[Harmonic map](https://en.wikipedia.org/wiki/Harmonic_map)_

Discussion in the context of [[action functionals]] for [[theory (physics)|theories of physics]] includes

* [[Charles Misner]], _Harmonic maps as models for physical theories_, Phys. Rev. D 18, 4510 (1978) ([spire](http://inspirehep.net/record/137431/))

Discussion in the context of [[integrable systems]] includes

* [[Shabnam Beheshti]], A. Shadi Tahvildar-Zadeh, _Integrability and Vesture for Harmonic Maps into Symmetric Spaces_ ([arXiv:1209.1383](http://arxiv.org/abs/1209.1383))

[[!redirects harmonic maps]]

[[!redirects Dirichlet energy]]
[[!redirects Dirichlet energies]]