
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

Membrane [[instantons]] are constituted by [[supermembranes]] ([[M2-branes]])  [[wrapped brane|wrapped]] on [[spacelike]] (and [[supersymmetric cycle|supersymmetric]]) [[cycles]].

Basically the effect is that the [[action functional]] of the given [[11-dimensional supergravity]] is multiplied by the exponentiated [[Nambu-Goto action]] of the [[wrapped brane|wrapping]] membrane configurations $\phi \colon \Sigma \to X$. These are of the form (e.g. [Harvey-Moore 99, (4.13)](#HarveyMoore99), [Atiyah-Witten 01 (4.17)](#AtiyahWitten01), [Curio 02, (2.15)](#Curio02))

$$
  \exp(i \int_{\Sigma} (\phi^\ast C + i \ell^{-3} vol(\phi^\ast g)))
  \,,
$$

where $C$ is the background [[supergravity C-field]], $g$ the background [[metric]] and $vol$ its [[volume form]], $\ell$ is the [[Planck length]] of [[11-dimensional supergravity]].  

When here $(\Sigma, \phi^\ast g)$ is a [[hyperbolic 3-manifold]] and $\phi^\ast C = CS(\omega)$ is the [[Chern-Simons form|Chern-Simons invariant]] then this is the exponentiated "[[complex volume]]" of $\Sigma$[^footnote].

## related concepts

* [[hierarchy problem]]

* [[non-perturbative effect]]

* [[complex volume]]

* [[associative submanifold]]

* [[D3-brane instanton]]

* [[M5-brane instanton]]

## References

* [[Katrin Becker]], [[Melanie Becker]], [[Andrew Strominger]], section 2.1 of _Five-branes, membranes and nonperturbative string theory_, Nucl. Phys. B 456, 130 (1995) ([hep-th/9507158](http://arxiv.org/abs/hep-th/9507158))

* {#HarveyMoore99} [[Jeff Harvey]], [[Greg Moore]], _Superpotentials and Membrane Instantons_ ([arXiv:hep-th/9907026](http://arxiv.org/abs/hep-th/9907026))

Discussion specifically for [[M-theory on G2-manifolds]] includes

* {#AtiyahWitten01} [[Michael Atiyah]], [[Edward Witten]], around (4.17) of _$M$-Theory dynamics on a manifold of $G_2$-holonomy_, Adv. Theor. Math. Phys. 6 (2001) ([arXiv:hep-th/0107177](http://arxiv.org/abs/hep-th/0107177))

* {#Curio02} [[Gottfried Curio]], _Superpotentials for M-theory on a $G_2$ holonomy manifold and Triality symmetry_, JHEP 0303:024,2003 ([arXiv:hep-th/0212211](http://arxiv.org/abs/hep-th/0212211))

[^footnote]: This relation was pointed out by [[Hisham Sati]].

[[!redirects membrane instantons]]

[[!redirects M2-instanton]]
[[!redirects M2-instantons]]
