
# Contents
* automatic table of contents goes here
{:toc}

##Idea#
[[crossed complex|Crossed complexes]] are a useful extension of [[crossed module]]s allowing not only the encoding of an algebraic model for the [[homotopy 2-type]], but also information on the '[[complex of chains on the universal cover]]'.  The category of crossed complexes is a [[monoidal closed category]] equivalent to various types of [[strict infinity-groupoid]]. 

To model the [[homotopy 3-type]] of a space, we can use either a [[2-crossed module]] or a [[crossed square]] (or various other algebraic models to be added some time in the future). A [[crossed complex]] is a 'hybrid', part [[crossed module]] but with a 'tail' which is a [[chain complex]]. What would be the 'hybrid' between a 2-crossed module and a chain complex? Are there examples that are easily constructed? What sort of information do they encode? Are they easy to analyse, understand, ... and useful?

##Definition##
 A __2-crossed complex__ is a [[normal complex   of  groups]]

 $$\ldots \to C_n \stackrel{\partial_n}{\longrightarrow} C_{n-1} \longrightarrow \ldots \longrightarrow C_0,$$

 together with a 2-crossed module structure  given on $C_2\to C_1\to C_0$ by a Peiffer lifting function $\{ -,-\} : C_1\times C_1 \to C_2$, such that, on writing $\pi = Coker(C_1\to C_0)$,

1. each $C_n$, $n\geq 3$ and $Ker \,\partial_2$ are  $\pi$-modules and the $\partial_n$ for $n\geq 4$, together with the codomain restriction of $\partial_3$, are $\pi$-module homomorphisms;

1. the   $ \pi $-module structure on $Ker \partial_2$ is the action  induced from the  $C_0$-action on $C_2$ for which the action of $\partial_1 C_1$ is trivial.


 
 
 A  2-crossed complex morphism is defined in the obvious way, being compatible with all the actions, the pairings and Peiffer liftings.  We will denote by $2 Crs$, the corresponding category. 

##Examples:#

* Any 2-crossed module clearly gives a 2-crossed complex (with trivial 'tail').
 

* _From simplicial groups to 2-crossed complexes_.  If $G$ is a simplicial group, then 

$$ \ldots \to C(G)_3 \to  \frac{\mathcal{N}G_2}{d_0(\mathcal{N}G_3\cap D_3)} \to \mathcal{N}G_1\to \mathcal{N}G_0,$$

has the structure of a 2-crossed complex, where $\mathcal{N}G$ is the [[Moore complex]] of $G$, $D_n$ is the subgroup of $G_n$ generated by the degenerate elements, and, for $n\gt2$,

$${C}(G)_{n} = \frac{\mathcal{N}G_n}{(\mathcal{N}G_n\cap D_n)d_0(\mathcal{N}G_{n+1}\cap D_{n+1})},$$

 is the $n$-dimensional term of the crossed complex, $C(G)$, associated to the simplicial group $G$ as in the entry [[crossed complex]] (in the section **From simplicial group(oid)s to crossed complexes**.) 

(There is an obvious extension of the group based definition above to a groupoid based one, and of this construction to one which takes as input a simplicially enriched groupoid.)


The Moore complex of a simplicial group $G$ has the structure of a 2-crossed complex if and only if for each $n\gt 2$, $\mathcal{N}G_n\cap D_n$ is trivial. This means that the axioms of a [[group T-complex]] are almost satisfied, but not necessarily in  dimension 2.

* A quadratic chain complex as defined by H.J. Baues is a special case of a 2-crossed complex, satisfying additional (pre-crossed module) nilpotency condition at the level of the underlying pre-crossed module. (In fact the category of quadratic chain complexes is a reflective subcategory of the category of 2-crossed complexes.) In Baues' book referenced below, there is the construction of the fundamental quadratic chain complex of a pointed CW-complex. The reflection (or cotruncation) of this to the category of quadratic modules (i.e. 3-truncated quadratic chain complexes) faithfully represents  the homotopy 3-type of a CW-space (at the level of spaces and maps between them).

* Graham Ellis defined the fundamental squared complex of a CW-complex from triad homotopy groups and generalised Whitehead products, and showed how Baues fundamental quadratic chain complex of a CW-complex can be obtained from it. A homotopy 2-crossed complex of a CW-complex can also be defined is the same way, see the work of Jo&#227;o Faria Martins below.


##Crossed complexes and 2-crossed complexes.
Any [[crossed complex]] can be given the structure of a 2-crossed complex simply by defining a trivial Peiffer lifting, $\{-,-\}$. As the Peiffer lifting covers the Peiffer commutators in $C_1$, and these are trivial (since the bottom of the crossed complex is a crossed module), this trivial Peiffer lifting works and gives a 2-crossed complex structure.  This defines a functor from the category of crossed complexes to that of 2-crossed complexes.

Any 2-crossed complex which has a Peiffer lifting that is trivial $\{x,y\} = 1$, for all $x,y \in C_1$) is isomorphic to a crossed complex in this sense.

This functor, from $Crs$ to $2-Crs$, has a left adjoint which is the identity on the subcategory of $2-Crs$ with trivial Peiffer liftings, so $Crs$ is equivalent to a reflective subcategory of $2-Crs$




##References##

* See the [[Crossed Menagerie]], chapter 5.

* [[H.-J. Baues]], Combinatorial Homotopy and 4-Dimensional Complexes , de Gruyter Expositions in Mathematics 2, Walter de Gruyter, (1991).

* [[Graham Ellis]], Crossed squares and combinatorial homotopy. Mathematische Zeitschrift
Volume 214, Number 1, 93-110, DOI: 10.1007/BF02572393

* [[João Faria Martins]], Homotopies of 2-crossed complexes and the homotopy category of pointed 3-types (web [pdf] (http://ferrari.dmat.fct.unl.pt/~jnm/Hom2XComplexes.pdf))
