
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Differential geometry
+--{: .hide}
[[!include synthetic differential geometry - contents]]
=--
#### Differential cohomology
+--{: .hide}
[[!include differential cohomology - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The _Cheeger-Simons classes_ are complexified [[secondary invariants]].

Under identifying the [[fundamental class]] of a [[hyperbolic 3-manifold]] $X$ as an element in the [[Bloch group]], the corresponding degree-3 Cheegers-Simons invariant this is the _complex volume_ of the 3-manifold, namely the linear combination

$$
  CS + i vol
$$

of its [[Chern-Simons form|Chern-Simons invariant]] and its [[volume]] (e.g. [Neumann 11, section 2.3](#Neumann11)). 

This appears as the action in [[analytically continued Chern-Simons theory]].

(It is, incidentally, also the contribution of a corresponding [[membrane instanton]] [[wrapped brane|wrapping]] a hyperbolic 3-cycle.)

## Properties

### Volume conjecture

The [[volume conjecture]] for the [[Reshetikhin-Turaev construction]] states that in the classical limit it converges to the complex volume ([Chen-Yang 15](#ChenYang15))

## Related concepts

* [[Borel regulator]]

## References

* [[Jeff Cheeger]], [[Jim Simons]], _Differential characters and geometric invariants_, in _Geometry and Topology_, Proceedings of the Special Year, University of Maryland 1983-84, eds. J. Alexander and J. Harer, Lecture Notes in Math. 1167, Springer-Verlag, Berlin, Heidelberg, New York, 1985, pp. 50–80.

* Johan Dupont, Richard Hain, Steven Zucker, _Regulators and characteristic classes of flat bundles_ ([arXiv:alg-geom/9202023](http://arxiv.org/abs/alg-geom/9202023))


* {#Neumann04} [[Walter Neumann]], _Extended Bloch group and the Cheeger-Chern-Simons class_, Geom. Topol. 8 (2004) 413-474 ([arXiv:math/0307092](http://arxiv.org/abs/math/0307092))

* {#Neumann11} [[Walter Neumann]], _Realizing arithmetic invariants of hyperbolic 3-manifolds_, Contemporary Math 541 (Amer. Math. Soc. 2011), 233--246 ([arXiv:1108.0062](http://arxiv.org/abs/1108.0062))

Relation to the [[volume conjecture]] is discussed in 

* {#ChenYang15} [[Qingtao Chen]], [[Tian Yang]], _A volume conjecture for a family of Turaev-Viro type invariants of 3-manifolds with boundary_ ([arXiv:1503.02547](http://arxiv.org/abs/1503.02547))


Relation to [[analytic torsion]] is discussed in

* [[Varghese Mathai]], section 6 of _$L^2$-analytic torsion_, Journal of Functional Analysis Volume 107, Issue 2, 1 August 1992, Pages 369–386

* [[John Lott]], _Heat kernels on covering spaces and topological invariants_, J. Diff. Geom. 35 no 2 (1992) ([pdf](https://math.berkeley.edu/~lott/covering.pdf))


[[!redirects complex volumes]]

[[!redirects Cheeger-Simons class]]
[[!redirects Cheeger-Simons classes]]