+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Model category theory
+--{: .hide}
[[!include model category theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}



## General

The following definition was introduced by [[Jeff Smith]] under the name of a _minimal model structure_.

+-- {: .num_defn}
###### Definition

(See Definition 2.1 in ([RT 2003](#RT)).
A [[model structure]] on a category $M$ with a fixed class of [[cofibrations]] $C$ is _left-determined_ if its class of [[weak equivalences]] is the smallest class of morphisms
that is closed under [[retracts]], satisfies the [[2-out-of-3 property]], contains all morphisms with a [[right lifting property]] with respect to $C$, and whose intersection with $C$ is [[weakly saturated]].

=--

Note that a left-determined model structure
is determined uniquely by its class of cofibrations.

Assuming the [[Vopěnka principle]], the existence
of left-determined model structures can be shown
under very general conditions, see Theorem 2.2 in ([RT 2003](#RT)):

+-- {: .num_theorem #LeftDetVopenka}
###### Theorem

The weak saturation of any [[set]] of morphisms in a [[locally presentable category]] is the class of cofibrations of a (unique) left-determined model structure.

=--

Without the Vopěnka principle the best results known so far require additional restrictions on the underlying category:

+-- {: .num_theorem #LeftDetVopenka}
###### Theorem 

([Olschok 2009](#Olschok09)) The weak saturation of a [[set]] $I$ of morphisms in a [[locally presentable category]] is the class of cofibrations of a (unique) left-determined model structure as long as the [[weak factorization system]] generated by $I$ admits a very good cartesian cylinder (Definition 2.3 in ([Gaucher 2015](#G))) and all objects are cofibrant.

=--

## References

* J. Rosický, W. Tholen, 2003, 'Left-determined model categories and universal homotopy theories', _Transactions of the American Mathematical Society_, vol. 355, no. 09, pp. 3611-3623: doi:[10.1090/s0002-9947-03-03322-1](http://dx.doi.org/10.1090/s0002-9947-03-03322-1) {#RT}

* J. Rosický, W. Tholen, 2008, 'Erratum to ``Left-determined model categories and universal homotopy theories''', _Transactions of the American Mathematical Society_, vol. 360, no. 11, pp. 6179-6179: doi:[10.1090/s0002-9947-08-04727-2](http://dx.doi.org/10.1090/s0002-9947-08-04727-2)

* Marc Olschok, 2009, 'Left Determined Model Structures for Locally Presentable Categories', _Applied Categorical Structures_, vol. 19, no. 6, pp. 901-938: doi:[10.1007/s10485-009-9207-2](http://dx.doi.org/10.1007/s10485-009-9207-2) {#Olschok09}

* Philippe Gaucher, _About left determined model categories_ (version 1, 2015-07-08): [arXiv:1507.02128v1](http://arxiv.org/abs/1507.02128v1) {#G}
