
A __maximal partial function__ is a [[partial function]], say from $X$ to $Y$, which is [[maximal element|maximal]] in the poset of partial functions from $X$ to $Y$.  Explicitly, $f\colon X \nrightarrow Y$ is maximal if, given any $g\colon X \nrightarrow Y$, if $\dom f \subseteq \dom g$ and $f(a) = g(a)$ whenever $a \in \dom f$, then $\dom f = \dom g$ (and so $f = g$).

All [[total functions]] are maximal, as are all partial functions whose [[codomain]] $Y$ is the [[empty set]].  Assuming the [[law of excluded middle]], these are the only examples.  Outside of the context of [[constructive mathematics]], therefore, (and usually in constructive math too) we are concerned with maximal partial functions subject to some restrictions, such as the __maximal [[partial sections]]__ of some given function from $Y$ to $X$, the maximal [[continuous function|continuous]] partial functions given some [[topological structures]] on $X$ and $Y$, the __maximal [[local sections]]__ of some given continuous function from $Y$ to $X$ given some topological structures on $X$ and $Y$, etc.  Then we are not working in the poset of *all* partial functions from $X$ to $Y$ but in a given [[subposet]].

More abstractly, we may also consider the __maximal [[partial morphisms]]__ in a general [[category]].  This includes, for example, the maximal continuous partial functions between two topological spaces.


[[!redirects maximal partial function]]
[[!redirects maximal partial functions]]
[[!redirects maximal partial mapping]]
[[!redirects maximal partial mappings]]
[[!redirects maximal partial map]]
[[!redirects maximal partial maps]]

[[!redirects maximal partial section]]
[[!redirects maximal partial sections]]
[[!redirects maximal local section]]
[[!redirects maximal local sections]]

[[!redirects maximal partial morphism]]
[[!redirects maximal partial morphisms]]
