
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--




#Contents#
* table of contents
{:toc}

## Idea

In the context of [[supergravity]] and [[string theory]], the term _exceptional field theory_ has come to be used for formulations of [[11-dimensional supergravity]] which make the ([[exceptional Lie group|exceptional]], whence the name) [[U-duality]] [[symmetry group]] structure manifest. This is in generalization of the "[[double field theory]]" formulation of 10d [[type II supergravity]] which makes (only) the [[T-duality]] symmetry manifest. 

Accordingly, exceptional field theory is related to [[exceptional generalized geometry]] as [[double field theory]] is related to [[generalized complex geometry]].

A [[spacetime]] in exceptional field theory is locally modeled on the [[Cartesian product]] of a $d$-dimensional [[Cartesian space]] with the [[fundamental representation]] [[vector space]] of a form of the [[exceptional Lie group]] $E_{11-d}$. Fields on this spacetime are subject to satisfy a certain [[differential equation]] derived from an [[invariant]] form of the representation and one considers a generalized [[isometry]] algebra on this space which fails the [[Jacobi identity]] by a term proportional to this contraint (e.g. [Baguet-Hohm-Samtleben 15, section 2](#BaguetHohmSamtleben15)).

## Related concepts

* [[exceptional Lie group]]

* [[exceptional geometry]]

* [[exceptional generalized geometry]]

* [[universal exceptionalism]]

## References

Precursors include

* [[Olaf Hohm]], [[Henning Samtleben]], _U-duality covariant gravity_ ([arXiv:1307.0509](http://arxiv.org/abs/1307.0509))

The original articles are

* [[Olaf Hohm]], [[Henning Samtleben]], _Exceptional Form of $D=11$ Supergravity_, Phys. Rev. Lett. 111, 231601 (2013) ([arXiv:1308.1673](http://arxiv.org/abs/1308.1673))

* [[Olaf Hohm]], [[Henning Samtleben]], _Exceptional Field Theory I: $E_{6(6)}$ covariant Form of M-Theory and Type IIB_, Phys. Rev. D 89, 066016 (2014) ([arXiv:1312.0614](http://arxiv.org/abs/1312.0614))

* [[Olaf Hohm]], [[Henning Samtleben]], _Exceptional Field Theory II: $E_{7(7)}$_, Phys. Rev. D 89, 066017 (2014) ([arXiv:1312.4542](http://arxiv.org/abs/1312.4542))

* [[Olaf Hohm]], [[Henning Samtleben]], _Exceptional Field Theory III: $E_{8(8)}$_, 	Phys. Rev. D 90, 066002 (2014) ([arXiv:1406.3348](http://arxiv.org/abs/1406.3348))

Review for [[KK-compactification]] to [[5d supergravity]], hence for [[E6]]-[[U-duality]], includes

* {#BaguetHohmSamtleben15} Arnaud Baguet, [[Olaf Hohm]], [[Henning Samtleben]], _$E_{6(6)}$ Exceptional Field Theory: Review and Embedding of Type IIB_ ([arXiv:1506.01065](http://arxiv.org/abs/1506.01065))

Discussion of solitonic [[black brane]] solutions in terms of EFT includes

* {#BermanRudolph14} [[David Berman]], [[Felix Rudolph]], _Strings, Branes and the Self-dual Solutions of Exceptional Field Theory_ ([arXiv.1412.2768](http://arxiv.org/abs/1412.2768))

Discussion for [[E11]] includes

* Alexander G. Tumanov, [[Peter West]], _$E_{11}$ and exceptional field theory_ ([arXiv:1507.08912](http://arxiv.org/abs/1507.08912))
 

[[!redirects exceptional field theories]]