

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

In the present [[standard model of particle physics]] the [[proton]] is a stable [[bound state]] (of [[quarks]]). But in some hypothetical extensions of the standard model, notably in many [[GUT]] [[model (physics)|models]], the proton would be unstable, albeit with an extremely long decay time, and hence could decay (e.g. [Kole&#353;ov&#225;-Malinský 14](#KolesovaMalinski14)).

[[experiment|Experimental]] searches for rare proton decay show that the minimum mean lifetime of the proton is at least on the order of $10^{31}$ [[years]] (e.g. [Super-Kamiokande 15](#SuperKamiokande15)), probably higher. 

Since the age of the [[observable universe]] is about $1.3 \cdot 10^{10}$ [[years]], this translates to saying that on average at most one proton in 10 kilotons of protons (essentially 10 kilotons of [[hydrogen atoms]]) decays per [[year]].

More recently it has been claimed that [[GUT]] [[model (physics)|models]] may entirely avoid proton decay after all ([Mütter-Ratz-Vaudrevange 16](#MuetterRatzVaudrevange16), [Fornal-Grinstein 17](#FornalGrinstein17)).

## Related concepts

* [[doublet-triplet splitting problem]]

* [[GUT]]

## References

* [[Jogesh Pati]], _Discovery of Proton Decay: A Must for Theory, a Challenge for Experiment_ ([arXiv:hep-ph/0005095](http://arxiv.org/abs/hep-ph/0005095))

* {#KolesovaMalinski14} Helena Kole&#353;ov&#225;, [[Michal Malinský]], _Proton lifetime in the minimal $SO(10)$ GUT and its implications for the LHC_, Phys. Rev. D 90, 115001 (2014) ([arXiv:1409.4961](http://arxiv.org/abs/1409.4961))

See also

* Wikipedia, _[Proton decay](https://en.wikipedia.org/wiki/Proton_decay)_

Experimental results include

* {#SuperKamiokande15} [[Super-Kamiokande]], _Search for Nucleon and Dinucleon Decays with an Invisible Particle and a Charged Lepton in the Final State at the Super-Kamiokande Experiment_ ([arXiv:1508.05530](https://arxiv.org/abs/1508.05530))

Claims that proton decay may be entirely avoided in [[GUTs]] after all are discussed in:


* {#MuetterRatzVaudrevange16} Andreas Mütter, Michael Ratz, Patrick K.S. Vaudrevange, _Grand Unification without Proton Decay_ ([arXiv:1606.02303](https://arxiv.org/abs/1606.02303))

  (claims that many [[string theory]] and [[supergravity]] models have this property)

* {#FornalGrinstein17} Bartosz Fornal, Benjamin Grinstein, _$SU(5)$ Unification without Proton Decay_, Phys. Rev. Lett. 119, 241801 (2017) ([arXiv:1706.08535](https://arxiv.org/abs/1706.08535))
