
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Topology
+-- {: .hide}
[[!include topology - contents]]
=--
=--
=--

# Contents
* tabel of contents
{: toc}

## Idea

A _filter space_ is a generalisation of a [[topological space]] based on the concept of [[convergence]] of [[filters]] (or [[nets]]) as fundamental.  The [[category]] of filter spaces is a [[quasitopos]] and may be thought of as a [[nice category of spaces]] that includes [[Top]] as a [[full subcategory]]. Filter spaces include [[convergence spaces]], [[Choquet spaces]], and [[Kuratowski limit spaces]] as [[full subcategory|full sub]]-[[quasitoposes]].


## Definitions

A __filter space__ is a [[set]] $S$ together with a [[relation]] $\to$ from $\mathcal{F}S$ to $S$, where $\mathcal{F}S$ is the set of [[filters]] on $S$; if $F \to x$, we say that $F$ __converges__ to $x$ or that $x$ is a __limit__ of $F$.  This must satisfy some axioms:

1. Centred: The [[principal ultrafilter]] $F_x = \{ A \;|\; x \in A \}$ at $x$ converges to $x$;
2. Isotone: If $F \subseteq G$ and $F \to x$, then $G \to x$;

The definition can also be phrased in terms of [[nets]]; a net $\nu$ converges to $x$ if and only if its [[eventuality filter]] converges to $x$.

The morphisms of filter spaces are the [[continuous functions]]; a function $f$ between filter spaces is __continuous__ if $F \to x$ implies that $f(F) \to f(x)$, where $f(F)$ is the filter generated by the [[filterbase]] $\{F(A) \;|\; A \in F\}$.  In this way, filter spaces form a [[concrete category]] $Filt$, which is a [[quasitopos]].

A filter space that satisfies an additional directedness criterion is precisely a [[convergence space]]; see there for a variety of intermediate notions leading up to ordinary [[topological spaces]].


## References

* [[Martin Hyland]], _Filter spaces and continuous functionals_, 1979 [PDF](https://www.dpmms.cam.ac.uk/~martin/Research/Oldpapers/filter79.pdf)


[[!redirects filter spaces]]
