

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc} 

## Idea

The [[philosophy|philosophical]] sentiment which expresses the following perspective on the description of [[physics]] by [[mathematics]] might deserve to be called _universal exceptionalism_ or similar:

_Since nature (reality) is exceptional in that it has existence, it is plausible that it is the exceptional among all [[mathematical structures]] -- such as the exceptional examples in the classification of simple Lie groups, the [[exceptional Lie groups]] -- that play a role in the mathematical description of nature._

Prominent sources where this sentiment has been expressed include the following.

[Baez 95](#Baez95), in a context of the role of the [[monster group]] in physics, writes:

> one may argue that the theory of our universe must be incredibly special, since out of all the theories we can write down, just this one describes the universe that actually exists. All sorts of simpler universes apparently don't exist. So maybe the theory of the universe needs to use special, "exceptional" mathematics for some reason, even though it's complicated

[Ramond 01](#Ramond01) writes, in a context of [[heterotic string theory]] and [[M-theory]]:

> Nature relishes unique mathematical structures. 

and

> The [[exceptional Lie algebra|Exceptional Algebras]] are most unique and beautiful among [[Lie algebra|Lie Algebras]], and no one should be surprised if Nature uses them.

[Witten 02a](#Witten02a), in the context of [[M-theory on G2-manifolds]] says, with regard to the [[exceptional Lie group]] [[G2]]:

> arise in [[KK-compactification|compactifying]] from [[11-dimensional supergravity|eleven]] to four dimensions on a compact seven-manifold $X$ of [[G2-manifold|G2-holonomy]]. This seems like an interesting starting point for making a model of the real world, which is certainly exceptional

[Witten 02b](#Witten02b), in the context of [[grand unified theory]] and [[heterotic string theory]] says:

> Describing nature by a group taken from an infinite family does raise an obvious question – why this group and not another? In addition to the three infinite families, there are five [[exceptional Lie groups]], namely [[G2]], [[F4]], [[E6]], [[E7]], and [[E8]]. Since nature is so exceptional, why not describe it using an exceptional Lie group? 

[Ramond 03](#Ramond03) writes in a context of [[grand unification]]:

> In the Lie garden, one also finds five rare flowers, the [[exceptional Lie algebras|exceptional algebras]]: [[G2]], [[F4]], [[E6]], [[E7]] and [[E8]], their rank indicated by the subscripts. In view of Nature's fascination with unique structures, they merit further study.

[Boya 03](#Boya03) writes in view of the various occurences of the [[octonions]] in [[M-theory]]:

> If the current [[M-theory]] is a _unique theory_, one should expect it to make use of singular, non-generic mathematical structures. Now it is known that many of the special objects in mathematics are related to [[octonions]], and therefore it is not surprising that this putative _theory-of-everything_ should display geometric and algebraic structures derived from this unique non-associative [[normed division algebra|division algebra]].

[Moore 14](#Moore14) writes, in a survey of the state of [[mathematical physics]] applied to fundamental high energy physics ("Physical Mathematics"):

> it must be said that much of Physical Mathematics has a predilection
for special, sporadic, and exceptional structures. $[$...$]$ I cannot forecast what stormy weather our field is destined to endure, but I can confidently forecast abundant [[moonshine]] in the years ahead. (section 11 "Exceptional structures")

A related comment in the context of [[F-theory]] [[GUT]] [[phenomenology]] requiring a point with [[ADE classification|E-type]] symmetry is in ([Vafa 15, slide 11](#Vafa15)):

>The [[landscape of string theory vacua|landscape]] concept typically goes against things being exceptional. Here we seem
to have evidence to the contrary. 

[Penrose 15](#Penrose15), thinking of _[[twistor space]]_, voices the idea that nature realizes very special mathematical spaces (in the first few minutes of the [video recording](https://www.youtube.com/watch?v=kmYfYOW0vSg)).

## Related entries

* [[exceptional geometry]] 

* [[exceptional generalized geometry]]

* [[exceptional field theory]]

## References


* {#Baez95} [[John Baez]], _[This Week's Finds in Mathematical Physics (Week 66)](http://math.ucr.edu/home/baez/week66.html)_, October 10, 1995

* {#Boya03} Luis Boya, _Octonions and M-theory_ ([arXiv:hep-th/0301037](https://arxiv.org/abs/hep-th/0301037)).

* {#Ramond01} [[Pierre Ramond]], _Algebraic Dreams_ ([arXiv:hep-th/0112261](http://arxiv.org/abs/hep-th/0112261))

* {#Witten02a} [[Edward Witten]], _Deconstruction, $G_2$ Holonomy, and Doublet-Triplet Splitting_, ([arXiv:hep-ph/0201018](http://arxiv.org/abs/hep-ph/0201018))

* {#Witten02b} [[Edward Witten]], _Quest For Unification_, Heinrich Hertz lecture at [SUSY 2002](http://www.desy.de/susy02/) at DESY, Hamburg ([arXiv:hep-ph/0207124](http://arxiv.org/abs/hep-ph/0207124))

* {#Ramond03} [[Pierre Ramond]], _Exceptional Groups and Physics_ ([hep-th/0301050](http://arxiv.org/abs/hep-th/0301050))

* {#Moore14} [[Gregory Moore]], _[[Physical Mathematics and the Future]]_, talk at [Strings 2014](http://physics.princeton.edu/strings2014/)

* {#Vafa15} [[Cumrun Vafa]], _Reflections on F-theory_, 2015 ([pdf](http://f-theory15.mpp.mpg.de/talks/Vafa.pdf))

* {#Penrose15} [[Roger Penrose]], _Twistor theory_, talk at _[[New Spaces for Mathematics and Physics]]_, IHP Paris 2015 ([video recording](https://www.youtube.com/watch?v=kmYfYOW0vSg))
