
**Richard Montague** (1930-1971) was an American logician. A student of [[Alfred Tarski]], Montague made important contributions to [[set theory]] and [[model theory]].

#### Contributions to natural language semantics

He is best known for his groundbreaking work in [[linguistics]]: his introduction of [[type theory]] and _generalized quantifiers_ achieved for _natural language semantics_ the same what [[Gottlob Frege]] had achieved almost a century earlier for the quantification theory of formal languages.

In fact, whereas Frege saw the surface position of quantifiers as a logical defect of natural languages which had to be amended for his _Begriffsschrift_, the powerful techniques of [[lambda calculus]] employed by Montague permitted to interpret quantifiers in situ as well, leading to a theory of linguistic interpretation, called [[Montague grammar]], of a mathematical precision and elegance.

By restricting the analysis to language fragments, Montague overcome obstacles like the semantic paradoxes that prevented his teacher Tarski from applying model-theoretic methods to natural languages.

## Related page

* [wikipedia entry](https://en.wikipedia.org/wiki/Richard_Montague)

## Related entries

* [[Alfred Tarski]]
* [[Solomon Feferman]]
* [[reflection principle]]

## References

* B. Partee, _Richard Montague (1930-1971)_ , pp.255-257 in Brown (ed.) _Encyclopedia of Language and Linguistics_ , Elsevier Oxford 2006². ([preprint](http://people.umass.edu/partee/docs/Richard_Montague_by_Partee_05.pdf))

* R. H. Thomason (ed.), _Formal Philosophy: Selected Papers of Richard Montague_ , Yale UP New Haven 1974.

category:people

[[!redirects R. Montague]]
