
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Riemannian geometry
+--{: .hide}
[[!include Riemannian geometry - contents]]
=--
#### Complex geometry
+--{: .hide}
[[!include complex geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A **Sasakian manifold** is a [[contact manifold]] $(M,\theta)$ equipped with a [[Riemannian manifold|metric]] such that its [[cone (Riemannian geometry)|Riemannian cone]] is a [[Kähler manifold]].

When the Riemannian cone is a [[hyper-Kähler manifold]], then one talks of a **3-Sasakian manifold**.


## Examples
An example is an odd-dimensional [[sphere]] $S^{2n-1} \subset \mathbb{C}^n\setminus\{\mathbf{0}\}$, where the ambient [[complex manifold]] carries its standard Kähler structure.

## Properties

When the Riemannian cone is a [[hyper-Kähler manifold]], then one talks of a **3-Sasakian manifold**.

 Such a manifold is then automatically [[Einstein manifold|Einstein]] and [[spin structure|spin]].

A 7-dimensional 3-Sasakian manifold carries a 1-parameter family of $G_2$-[[G2 manifold|structures]] (see e.g. ([Agricola-Friedrich 2010](#AgFried10))).

## Related concepts

* [[conifold]]

## References

* Wikipedia, _[Sasakian manifold](https://en.wikipedia.org/wiki/Sasakian_manifold)_

Discussion related to [[spin structure]] and [[G2-structure]] includes

* {#AgFried10} [[Ilka Agricola]], [[Thomas Friedrich]], _3-Sasakian manifolds in dimension seven, their spinors and $G_2$ structures_, J. Geom. Phys. 60 (2010), 326-332 doi:[10.1016/j.geomphys.2009.10.003](http://dx.doi.org/10.1016/j.geomphys.2009.10.003), [arXiv:0812.1651](http://arxiv.org/abs/0812.1651)


Discussion relating to [[quiver gauge theories]] includes

* [[Olaf Lechtenfeld]], Alexander Popov, [[Richard Szabo]], _Sasakian quiver gauge theories and instantons on Calabi-Yau cones_ ([arXiv:1412.4409](http://arxiv.org/abs/1412.4409))


[[!redirects Sasakian manifolds]]