
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Group Theory
+-- {: .hide}
[[!include group theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

For $n \in \mathbb{N}$, $n \geq 1$, the dihedral group $D_{2n}$ is the [[subgroup]] of the [[orthogonal group]] $O(2)$ which is generated from the finite [[cyclic group|cyclic]] [[subgroup]] $C_n$ of $SO(2)$ and the [[reflection]] at the $x$-axis (say).

Under the further embedding $O(2)\hookrightarrow SO(3)$ the (cyclic and) dihedral groups are precisely those [[finite groups]] in the [[ADE classification]] which are not in the exceptional series. 

(see e.g. [Greenless 01, section 2](#Greenless01))

## Properties

### Group cohomology

The [[group cohomology]] of the dihedral group is discussed for instance at [Groupprops](#Groupprops).

### As part of the ADE pattern

[[!include ADE -- table]]

## Related concepts

* [[anti-cyclotomic extension]]

* [[dihedral homology]]

## References

Discussion in the context of the [[classification of finite rotation groups]] goes back to 

* {#Klein1884} [[Felix Klein]], chapter I.4 of _Vorlesungen über das Ikosaeder und die Auflösung der Gleichungen vom fünften Grade_, 1884, translated as _Lectures on the Icosahedron and the Resolution of Equations of Degree Five_ by George Morrice 1888, [online version](https://archive.org/details/cu31924059413439)

Discussion in the context of [[equivariant cohomology theory]]: 

* {#Greenless01} [[John Greenlees]], _Rational SO(3)-Equivariant Cohomology Theories_, in _Homotopy methods in algebraic topology_ (Boulder, CO, 1999), Contemp. Math. 271, Amer. Math. Soc. (2001) 99 ([web](http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.36.5444))

See also

* Wikipedia, _[Dihedral group](https://en.wikipedia.org/wiki/Dihedral_group)_

* {#Groupprops} Groupprops, _[Group cohomology of dihedral group:D8](http://groupprops.subwiki.org/wiki/Group_cohomology_of_dihedral_group:D8)_


[[!redirects dihedral groups]]

[[!redirects binary dihedral group]]
[[!redirects binary dihedral groups]]
