A (proper) **vertex coloring** of a [[graph]] is a labelling of its vertices with the property that no two vertices sharing an edge have the same label.  A vertex coloring which uses at most $n$ labels is called a **$n$-coloring**.  A $n$-coloring of a graph $G$ is the same thing as a graph homomorphism $G \to K_n$ into the complete graph on $n$ vertices, and is dual to the notion of $n$-[[clique]] (which corresponds to a homomorphism $K_n \to G$).

## Related concepts

* [[knot coloring]]

## References

Two posts by [[Tom Leinster]] at the n-Category Café on vertex-coloring and a categorical formulation of _Hedetniemi’s conjecture_:

* [[Tom Leinster]], ["Colouring a Graph"](https://golem.ph.utexas.edu/category/2013/04/colouring_a_graph.html), n-Category Café post of April 12, 2013.

* [[Tom Leinster]], ["Graph Colouring and Cartesian Closed Categories"](https://golem.ph.utexas.edu/category/2014/12/graph_colouring_and_cartesian.html), n-Category Café post of December 5, 2014.

Other references:
* Wikipedia: [Graph coloring](https://en.wikipedia.org/wiki/Graph_coloring)