
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Type theory
+-- {: .hide}
[[!include type theory - contents]]
=--
#### Modalities, Closure and Reflection
+-- {: .hide}
[[!include modalities - contents]]
=--
#### Duality
+-- {: .hide}
[[!include duality - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

_Adjoint logic_ or _adjoint type theory_ is [[formal logic]] or [[type theory]] which natively expresses [[adjunctions]] of [[modal operators]], [[adjoint modalities]].

## Related pages

* [temporal logic](temporal+logic#temporal_logic_in_terms_of_adjoints)

## References

* [[Nick Benton]], [[Philip Wadler]], _Linear logic, monads and the lambda calculus_, In IEEE Symposium on Logic in Computer Science. IEEE Computer Society Press, 1996.

* J. Reed, _A judgemental deconstruction of modal logic_, 2009,  ([pdf](http://www.cs.cmu.edu/~jcreed/papers/jdml2.pdf))

An adjoint logic version of [[homotopy type theory]] giving [[cohesive homotopy type theory]] is in 

* [[Mike Shulman]], _Brouwer's fixed-point theorem in real-cohesive homotopy type theory_ ([arXiv:1509.07584](http://arxiv.org/abs/1509.07584))

For a more general framework see

* {#LicataShulman} [[Dan Licata]], [[Mike Shulman]], _Adjoint logic with a 2-category of modes_, in _[Logical Foundations of Computer Science 2016](http://lfcs.info/lfcs-2016/)_ ([pdf](http://dlicata.web.wesleyan.edu/pubs/ls15adjoint/ls15adjoint.pdf), [slides](http://dlicata.web.wesleyan.edu/pubs/ls15adjoint/ls15adjoint-lfcs-slides.pdf))

* [[Daniel Licata]], [[Mike Shulman]], and [[Mitchell Riley]], _A Fibrational Framework for Substructural and Modal Logics (extended version)_, ([pdf](http://dlicata.web.wesleyan.edu/pubs/lsr17multi/lsr17multi-ex.pdf))

[[!redirects adjoint logics]]

[[!redirects adjoint type theory]]
[[!redirects adjoint type theories]]
