

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Topos Theory
+--{: .hide}
[[!include topos theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The **Gaeta topos construction** assigns a [[Grothendieck topos]] to a small [[extensive category]].

The construction arises in attempts (Lawvere [1976](#Law76), [1991](#Law91)) to build a [[gros topos]] of spaces with an inherent space-quantity 'duality'. The terminology is apparently a tribute to the Spanish algebraic geometer [[Federico Gaeta]] who in his lecture notes of [[Alexander Grothendieck|A. Grothendieck's]] Buffalo 1973 colloquium (Gaeta [1974](#Gaeta74)) has pointed out the utility of the extensivity property for functorial algebraic geometry.[^gaeta]

[^gaeta]: _"Gaeta's notes of Grothendieck's lecture series at Buffalo point out that $A$_ (i.e. the opposite category of finitely presented algebras over a field $k$ -nLab) _is more closely suited than most categories to serve as a site for a geometric category, because it is what is now called 'extensive' "_ , (Lawvere [2003](#Law03)).

## Definition
Let $\mathcal{C}$ be a small finitary [[extensive category]]. The _Gaeta topology_[^extensive] on $\mathcal{C}$ is the [[Grothendieck topology]] $J_G$ generated by all finite families $(X_i\to X)$ such that $\sum_i X_i\to X$ is an isomorphism. The _Gaeta topos_ $G(\mathcal{C})$ is the topos of sheaves for the [[site]] $(\mathcal{C}, J_G)$.

[^extensive]: $J_G$ is also called the _finite disjoint covering topology_. The nLab elsewhere uses the term _extensive topology_ (cf. [[extensive category]]). $(\mathcal{C},J_G)$ is in fact an example of a [[superextensive site]].

## Examples

...

## Properties

The Gaeta topology $J_G$ is naturally induced by the extensivity of $\mathcal{C}$:

+-- {: .num_prop #gaeta_topology}
###### Proposition
The Gaeta topology $J_G$ as defined above is indeed a Grothendieck topology on a small extensive category $\mathcal{C}$.
=--

+-- {: .proof}
###### Proof

...still to do!


=--

The next proposition shows that $G(\mathcal{C})$ is not only a topos but a multisorted variety as well as it coincides with the category of finite product preserving presheaves on $\mathcal{C}$:

+-- {: .num_prop #gaeta_topos}
###### Proposition
Let $\mathcal{C}^{op}$ be a small Cauchy complete category with finite products. The category $Prod(\mathcal{C}^{op},Set)$ of finite product preserving functors $\mathcal{C}^{op}\to Set$ is a topos iff $\mathcal{C}$ is extensive. Moreover, in this case $Prod(\mathcal{C}^{op},Set)$ coincides with $G(\mathcal{C})$.
=--

Cf. Carboni-Pedicchio-Rosicky ([2001](#CPR01), p.72) and Lawvere ([2008](#Law08), p.498).

From an algebraic perspective, $Prod(\mathcal{C}^{op},Set)$ is the category $\mathcal{C}^{op}-Mod$ of algebras of the multisorted [[algebraic theory]] $\mathcal{C}^{op}$ .

Note, since they are naturally equivalent to $Hom_\mathcal{C}(-,X)$ which preserve all limits (cf. [[hom-functor]]), representable presheaves preserve finite products, in particular, and hence are sheaves for $J_G$; in other words, the Gaeta topology is _subcanonical_.


## Buffalo style algebraic geometry

...

## Related entries

* [[space and quantity]]

* [[functorial geometry]]

* [[bornological topos]]

* [[extensive category]]

* [[superextensive site]]

* [[gros topos]]

* [[Nullstellensatz]]

* [[Zariski topos]]

## Link

* {#Law03}[[F. William Lawvere]], _Grothendieck's 1973 Buffalo Colloquium_, posting to the mailing list _categories@mta.ca_, march 2003. ([link](http://permalink.gmane.org/gmane.science.mathematics.categories/2228))

## References

* {#CPR01}[[Aurelio Carboni]], [[Maria Cristina Pedicchio]], [[Jiri Rosicky]], _Syntactical Characterization of Various Locally Presentable Categories_ , JPAA **161** (2001) pp.65-90.

* {#Gaeta74}[[Federico Gaeta]], _Introduction to Functorial Algebraic Geometry - After a Summer Course by A. Grothendieck: I Affine Algebraic Geometry_ , Suny Buffalo 1974. ([pdf scan](http://matematicas.unex.es/~navarro/res/ifag.pdf))

* {#Law76}[[F. William Lawvere]], _Variable quantities and variable structures in topoi_ , pp.101-131 in Heller, Tierney (eds.), _Algebra, Topology and Category Theory_, Academic Press New York 1976. (pp.109-111)

* {#Law86}[[F. William Lawvere]], _Taking Categories Seriously_, Revista Colombiana de Matemáticas **XX** (1986) pp.147-178. Reprinted as TAC Reprint no.8 (2005) pp.1-24. ([pdf](ftp://ftp.tac.mta.ca/tac/html/tac/reprints/articles/8/tr8.pdf))

* {#Law91}[[F. William Lawvere]], _Some Thoughts on the Future of Category Theory_ , pp.1-13 in LNM **1488** Springer Heidelberg (1991). (pp.3-6)

* {#Law08}[[F. William Lawvere]], _Core Varieties, Extensivity, and Rig Geometry_ , TAC **20** no.14 (2008) pp. 497–503. ([pdf](http://www.tac.mta.ca/tac/volumes/20/14/20-14.pdf))

* {#Menni14a}[[Matías Menni]], _Sufficient Cohesion over Atomic Toposes_ , Cah. Top. Géom. Diff. Cat. **LV** no.2 (2014) pp.113-149. ([preprint](https://sites.google.com/site/matiasmenni/SufCohesion12.pdf?attredirects=0))


[[!redirects gaeta topos]]
[[!redirects Gaeta topology]]
[[!redirects disjoint covering topology]]
