There is no [[adjoint functor|left adjoint]] to the forgetful functor from [[Hopf algebra]]s to [[vector space]]s. However, Takeuchi in

* M. Takeuchi, Free Hopf algebras generated by coalgebras, J. Math. Soc. Japan 23 (1971), No.4, pp. 561--582.

constructed a left adjoint to the forgetful functor from Hopf algebras to [[coalgebra]]s (his purpose was to construct the historically first example of a Hopf algebra with a noninvertible antipode map). 

Let $C$ be a coalgebra over a commutative unital ring $k$. Let $C_i = C$
for $i$ an even nonnegative integer, and $C_i = C_i^{{\mathrm {cop}}}$
(the cooposite coalgebra of $C$) for $i$ an odd positive integer. Then define
$V$ to be the external [[direct sum]] (coproduct) of coalgebras $C_i$, 
$$V = \coprod C_i. $$
The [[tensor algebra]] $T(V)$ of $V$, as the tensor algebra of any coalgebra, has a unique [[bialgebra]] structure such that the natural inclusion
$i_V : V \rightarrow T(V)$ is a morphism of coalgebras. 
Then $T(V^{\mathrm{cop}}) \cong T(V)^{\mathrm{cop}}$.
Define a $k$-linear map
$ S_V : V \rightarrow V^{\mathrm{cop}}$
by 

$$S_V(v_0, v_1, v_2,\ldots) =
(0, v_0, v_1, v_2, \ldots).$$

There is a unique bialgebra map
$S : T(V) \rightarrow T(V)^{\mathrm{cop}}$ extending $S_V$.
Let $I_S$ be the 2-sided [[ideal]] in $T(V)$
generated by all elements of the form
$\sum c_{(1)} S(c_{(2)}) - \epsilon(c) 1$ and 
$\sum S(c_{(1)}) c_{(2)} - \epsilon(c) 1$, $c \in C_i$, $i = 1,2, \ldots $.
This 2-sided ideal is a biideal and $S(I_S) \subset I_S$, hence it induces a bialgebra map 
$$ S : T(V)/I_S \rightarrow (T(V)/I_S)^{\mathrm{cop}}. $$
It follows that $H(C) = T(V)/I_S$ is a Hopf algebra with antipode $S$, the **free Hopf algebra** on $C$.
For any Hopf algebra $H'$ and a coalgebra map
$\phi : C \rightarrow H'$ there is a unique Hopf algebra
map $\phi' : H(C) \rightarrow H'$ such that
$\phi' \circ i = \phi$ where $i : C \rightarrow H(C)$ is the
composition of inclusion
into $T(V)$ and projection $T(V) \rightarrow H(C)$. Takeuchi's free Hopf algebra construction is functorial. 

A comparison with Manin's closely related construction of a [[Hopf envelope]] of a bialgebra can be found in section 13.2 of

* Z. Škoda, Localizations for construction of quantum coset spaces, [math.QA/0301090](http://arxiv.org/abs/math/0301090), "Noncommutative geometry and Quantum groups", W.Pusz, P.M. Hajac, eds. Banach Center Publications vol.61, pp. 265--298, Warszawa 2003. 
