## Definition


The Schwarzian derivative is an operator on complex functions that is invariant under fractional linear transformations:

$$
(S f)(z) := \left( \frac{f''(z)}{f'(z)}\right)^' - \, \frac{1}{2} \left( \frac{f''(z)}{f'(z)}\right)^2 = \frac{f'''(z)}{f'(z)} - \frac{3}{2}\left( \frac{f''(z)}{f'(z)}\right)^2
$$

In fact the Schwarzian derivative of a fractional linear transformation, considered as a function from $\mathbb{C}$ to $\mathbb{C}$, is zero.

##References

* wikipedia: [Schwarzian derivative](https://en.wikipedia.org/wiki/Schwarzian_derivative)
* Brad Osgood, _Old and new about Schwarzian derivative_, [pdf](http://www-ee.stanford.edu/~osgood/papers/oldandnew1998.pdf)
* V. Ovsienko, S. Tabachnikov, _Projective differential geometry old and new. From the Schwarzian derivative to the cohomology of diffeomorphism groups_, Cambridge Tracts in Mathematics 165 (2005) [MR2177471](http://www.ams.org/mathscinet-getitem?mr=2177471); _What is...the Schwarzian derivative_, Notices Amer. Math. Soc. Jan. 2009, [pdf](http://www.ams.org/notices/200901/tx090100034p.pdf)
* MathOverflow: [Is there an underlying explanation for the magical powers of the Schwarzian derivative?](http://mathoverflow.net/questions/38105/is-there-an-underlying-explanation-for-the-magical-powers-of-the-schwarzian-deri)

category: analysis
[[!redirects Schwarz derivative]]