##Idea 

The stability of matter was for many centuries a puzzle for physicists. [[Niels Bohr]], explaining the work he did on his model of the atom, said:

>My starting point was not at all the idea that an atom is a small-scale planetary system and as such governed by the laws of astronomy. I never took things as literally as that. My starting point was rather the stability of matter, a pure miracle when considered from the standpoint of classical physics.

An important step towards a rigorous argument was provided by [[Freeman Dyson]] and [[Andrew Lenard]] ([FD68](#FD68)). [[Elliott Lieb]] refined this argument.

The question of stability was divided by Lieb into the 'first kind', which concerns the fact that there is a lower bound to the energy of an atom, and the 'second kind', which relates to the energy of macroscopic systems.

##Stability of the first kind

For an individual atom, say a hydrogen atom, there must be a reason that the positively charged nucleus does not cause the negatively charged electron to approach it indefinitely closely. The uncertainty principle, best considered in the form of Sobolov's inequality, places a lower bound on the energy of such an atom. This places a bound on the proximity of the electron to the nucleus.

##Stability of the second kind

For macroscopic systems, we need to show that the dependence of the energy on the size of the system is at most linear. The energy of twice an amount of a substance should be roughly twice the energy of the amount itself. This implies the [[extensive quantity|extensivity]] of the quantity of matter. The argument relies on the [[Pauli exclusion principle]].

##References

* {#FD68} [[Freeman Dyson]] and [[Andrew Lenard]], _Stability of matter. I and II_, Jour. Math.
Phys. 8, 423–434, (1967); ibid. Jour. Math. Phys. 9, 698–711 (1968).

* [[Elliott Lieb]] and [[Robert Seiringer]], _Stability of Matter in Quantum Mechanics_, Cambridge University Press, Cambridge, 2010.

* Jan Philip Solovej, _Stability of Matter in Quantum Mechanics, by Elliott H. Lieb and Robert Seiringer_, ([arXiv:1111.0170](http://arxiv.org/abs/1111.0170))

* Michael Loss, _Stability of Matter_, ([pdf](http://people.math.gatech.edu/~loss/papertalks/Nov14review.pdf))

