
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
#### Representation theory
+-- {: .hide}
[[!include representation theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The [[sphere spectrum]] in ([[global equivariant stable homotopy theory|global]]) [[equivariant stable homotopy theory]].

Its [[RO(G)-grading|RO(G)-graded]] [[homotopy groups]] are the equivariant version of the [[stable homotopy groups of spheres]].

## Definition

The $G$-equivariant sphere spectrum is the [[equivariant suspension spectrum]] of the [[0-sphere]] $S^0 = \ast_+$

$$
  \mathbb{S} = \Sigma^\infty_G S^0
$$ 

for $S^0$ regarded as equipped with the (necessarily) trivial $G$-action. It follows that for $V$ an orthogonal linear $G$-representation then in [[RO(G)-degree]] $V$ the equivariant sphere spectrum is the corresponding [[representation sphere]] $\mathbb{S}(V) \simeq S^V$.

(e.g. [Schwede 15, example 2.10](#Schwede15))

## Properties

### Equivariant homotopy groups
 {#EquivariantHomotopyGroups}

Just as for the plain [[sphere spectrum]], the [[equivariant homotopy groups]] of the equivariant sphere spectrum in ordinary [[integer]] degrees $n$ are all [[torsion subgroup|torsion]], except at $n = 0$:

$$
  \pi_n^H(\mathbb{S})\otimes \mathbb{Q} =
  \left\{
    \array{
       \cdots & for \; n = 0
       \\
       0 & otherwise
    }
  \right.
$$

([Greenlees-May 95, prop. A.3](#GreenleesMay95))

But in some [[RO(G)-degrees]] there may appear further non-torsion groups, see the [examples](#Examples) below.

In degree 0, the [[tom Dieck splitting]] applied to the [[equivariant suspension spectrum]] $\mathbb{S} = \Sigma^\infty_G S^0$ gives that $\pi_0^G(\mathbb{S})$ is the [[free abelian group]] on the set of [[conjugacy classes]] of [[subgroups]] of $G$:

$$
  \pi_0^G(\mathbb{S})
  \simeq
  \underset{[H \subset G]}{\oplus} \pi_0^{W_G H}(\Sigma_+^\infty E (W_G H))
  \simeq
  \mathbb{Z}[conjugacy\;classes\;of\;subgroups]
$$

(e.g. [Schwede 15, p. 64](#Schwede15))



## Examples
 {#Examples}

### $\mathbb{Z}_2$-equivariance
 {#Z2equivariance}

Consider $G= \mathbb{Z}_2$ and write $\pi^S_{p,q}$ for the homotopy group in [[RO(G)-grading|RO(G)-degree]] given by the representation on $\mathbb{R}^{p+q}$ given by reflecting the first $p$ coordinates.

The following groups contain $\mathbb{Z}$-summands:

* $\pi^S_{1,0}$ ([Araki-Iriye 82, theorem 8.7, p. 25](#ArakiIriye82)) generated by the complex [[Hopf fibration]] $\hat \eta$ ([Araki-Iriye 82, p. 24](#ArakiIriye82))

* $\pi^S_{2,0}$ generated by $\hat \eta^2$ ([Araki-Iriye 82, theorem 9.6, p. 27](#ArakiIriye82)) 

* $\pi^S_{3,0}$ generated by $\hat \eta^3$ ([Araki-Iriye 82, theorem 10.11, p. 31](#ArakiIriye82))

* $\pi^S_{4,0}$ generated by $\hat \eta^4$ ([Araki-Iriye 82, theorem 11.3, p. 32](#ArakiIriye82))

* $\pi^S_{5,0}$ ([Araki-Iriye 82, theorem 12.4, p. 34](#ArakiIriye82))

* $\pi^S_{6,0}$ ([Araki-Iriye 82, theorem 13.12, p. 38](#ArakiIriye82))

* $\pi^S_{7,0}$ ([Araki-Iriye 82, theorem 14.18, p. 45](#ArakiIriye82))

* $\pi^S_{8,0}$ ([Araki-Iriye 82, theorem 15.26, p. 54](#ArakiIriye82))

In addition we have

* $\pi^S_{2,1} \simeq \mathbb{Z}/24$ generated by the [[quaternionic Hopf fibration]] $\hat \nu$  ([Araki-Iriye 82, prop. 10.1, p. 28 with theorem 10.11, p. 31](#ArakiIriye82))

### Cyclic ($G_D \hookrightarrow SO(2)$-)equivariance

The global equivariant sphere spectrum for all the [[cyclic groups]] over the [[circle group]] is canonically a [[cyclotomic spectrum]] and as such is the [[tensor unit]] in the [[monoidal (infinity,1)-category]] of [[cyclotomic spectra]] (see there).

### $G_{ADE} \hookrightarrow SO(3)$-equivariance

See at _[quaternionic Hopf fibration --  Class in equivariant stable homotopy theory](quaternionic+Hopf+fibration#ClassInEquivariantStableHomotopyTheory)_


## Related concepts

* The [[cohomology theory]] [[Brown representability theorem|represented]] by the equivariant sphere spectrum is _[[equivariant stable cohomotopy]]_.

## References

General lecture notes include

* {#Schwede15} [[Stefan Schwede]], example 2.10 in _[[Lectures on Equivariant Stable Homotopy Theory]]_

Discussion in [[rational equivariant stable homotopy theory]] includes

* {#GreenleesMay95} [[John Greenlees]], [[Peter May]], appendix A of _Generalized Tate cohomology_, Mem. Amer. Math. Soc. 113 (1995) no 543 ([pdf](http://www.math.rochester.edu/people/faculty/doug/otherpapers/GM-Tate-543.pdf))


The sphere spectrum in [[global equivariant homotopy theory]] is discussed in

* [[John Rognes]], _Galois extensions of structured ring spectra_ ([arXiv:math/0502183](http://arxiv.org/abs/math/0502183))

* Markus Hausmann, Dominik Ostermayr, _Filtrations of global equivariant K-theory_ ([arXiv:1510.04011](http://arxiv.org/abs/1510.04011))


Discussion of $G$-equivariant homotopy groups for $G = \mathbb{Z}/2$ is in

* [[Peter Landweber]], _On Equivariant Maps Between Spheres with Involutions_, Annals of Mathematics Second Series, Vol. 89, No. 1 (Jan., 1969), pp. 125-137 ([jstor]( http://www.jstor.org/stable/1970812))

* {#ArakiIriye82} Shôrô Araki, Kouyemon Iriye, _Equivariant stable homotopy groups of spheres with involutions. I_, Osaka J. Math. Volume 19, Number 1 (1982), 1-55. ([Euclid](http://projecteuclid.org/euclid.ojm/1200774828))

Discussion for $G = \mathbb{Z}/4$ is in 

* M. C. Crabb, _Periodicty in $\mathbb{Z}/4$ equivariant stable homotopy theory_, in [[Mark Mahowald]] and Stewart Priddy (eds.) _Algebraic Topology_, Proceedings of the
International Conference held March 21-24 (1988) Contemporary Mathematics, volume 96, 1989 ([pdf](http://www.ams.org/books/conm/096/conm096.pdf), [publisher page](http://www.ams.org/books/conm/096/))

General background includes

* {#Schwede15} [[Stefan Schwede]], _[[Lectures on Equivariant Stable Homotopy Theory]]_, 2015 ([pdf](http://www.math.uni-bonn.de/people/schwede/equivariant.pdf))



[[!redirects equivariant sphere spectra]]

[[!redirects global equivariant sphere spectrum]]
[[!redirects global sphere spectrum]]