
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
#### Representation theory
+-- {: .hide}
[[!include representation theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}
## Idea

The _tom Dieck splitting_ in [[equivariant stable homotopy theory]] is a means to decompose certain $G$-equivariant constructions into a sequence of the analogous non-equivariant constructions for [[Weyl group]]-[[homotopy quotients]] of $H$-[[fixed points]] spaces, for (closed) subgroups.

More concretely, the tom Dieck splitting is a decomposition of [[fixed point spectra]] and hence of [[equivariant homotopy groups]] of [[equivariant suspension spectra]] into a [[direct sum]] of ordinary [[homotopy groups]] of [[homotopy quotients]] of _naive_ [[fixed point]] spaces by their residual [[Weyl group]] [[action]].

## Statement 

For $H\subset G$ a [[subgroup]], write

* $[H \subset G]$ for its [[conjugacy class]];

* $W_G H \coloneqq (N_G H)/H$ for its [[Weyl group]], the [[quotient group]] of the [[normalizer subgroup]] (of $H$ in $G$) by $H$;

* $E W_G H$ for the [[universal principal bundle]] of the [[Weyl group]].

### For fixed point spectra


The [[fixed point spectrum]] of an [[equivariant suspension spectrum]] is given by the [[wedge sum]] formula

$$
  F^G(\Sigma^\infty_G X)
  \simeq
  \underset{[H\subset G]}{\vee}
  \Sigma^\infty( E (W_G H)_+ \wedge_{W_G H} X^H )
$$

where $\Sigma^\infty$ is the plain [[suspension spectrum]] construction.

(e.g. [Guillou-May 12, theorem 5.3](#GuillouMay12), [Schwede 15, example 7.7](#Schwede15))

In particular, since $W_G G = 1$ and $W_G 1 = G$, the extremal summands for $H = G$ and $H = 1$ are just the [[suspension spectrum]] $\Sigma^\infty (X^G)$ of the naive fixed points and the [[Borel construction]] of the full space, respectively

$$
  F^G(\Sigma^\infty_G X)
  \simeq
  \Sigma^\infty( X^G )
    \vee
  \left(
    \underset{{[H\subset G]} \atop {1 \neq H \neq G}}{\vee}
    \Sigma^\infty( E (W_G H)_+ \wedge_{W_G H} X^H )
  \right)
    \vee
  \Sigma^\infty( E G_+ \wedge_{G} X )
  \,.
$$



### For equivariant homotopy groups

It follows that for $X$ a pointed [[topological G-space]] then its [[equivariant homotopy groups]] are  

$$
  \begin{aligned}
    \pi_\bullet^G(\Sigma^\infty X)
    & 
    \simeq
    \underset{[H \subset G]}{\oplus}
    \pi_\bullet^{W_G H}(\Sigma^\infty (E (W_G H)_+ \wedge X^H))
    \\
    &\simeq
    \pi_\bullet(\Sigma^\infty X^G)
    \oplus
    \underset{{[H \subset G]} \atop {H \neq G}}{\oplus}
    \pi_\bullet^{W_G H}(\Sigma^\infty (E (W_G H)_+ \wedge_{W_G H} X^H))
  \end{aligned}
  \,,
$$

where the [[direct sum]] is over [[conjugacy classes]] of [[subgroups]] $H$ of $G$.

(e.g. [Schwede 15, theorem 6.12](#Schwede15))



### For rational equivariant homotopy theory


For $G$ finite and for [[rational equivariant stable homotopy theory]] this becomes ([Greenlees, 6.2](#Greenlees))

$$
  G RationalSpectra \simeq \underset{[H \subset G] }{\prod} \mathbb{Q}(W H) Mod
$$

where the product is over [[conjugacy classes]] of [[subgroups]] $H$ of $G$ and $W H$ denotes the [[Weyl group]] of $H$ in $G$

## Examples

### For the equivariant sphere spectrum

For the [[equivariant sphere spectrum]] $\mathbb{S} = \Sigma^\infty_G S^0$ the tom Dieck splitting says that its 0th [[equivariant homotopy group]]
is the [[free abelian group]] on the set of [[conjugacy classes]] of [[subgroups]] of $G$:

$$
  \pi_0^G(\mathbb{S})
  \simeq
  \underset{[H \subset G]}{\oplus} \pi_0^{W H}(\Sigma_+^\infty E W H)
  \simeq
  \mathbb{Z}[conjugacy\;classes\;of\;subgroups]
$$

(e.g. [Schwede 15, p. 64](#Schwede15))


## Related concepts

* [[equivariant Whitehead theorem]]

* [[Elmendorf's theorem]]

## References

* {#Greenlees} [[John Greenlees]], _Triangulated categories of rational equivariant cohomology theories_ ([pdf](http://www.greenlees.staff.shef.ac.uk/preprints/thicksurvey.pdf))

* {#GuillouMay12} [[Bert Guillou]], [[Peter May]], _Permutative $G$-categories in equivariant infinite loop space theory_ ([arXiv:1207.3459](http://arxiv.org/abs/1207.3459))

* {#Schwede15} [[Stefan Schwede]], section 6 of _[[Lectures on Equivariant Stable Homotopy Theory]]_, 2015 ([pdf](http://www.math.uni-bonn.de/people/schwede/equivariant.pdf))

