
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
#### Representation theory
+-- {: .hide}
[[!include representation theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}


## Idea

The generalization of the concept of [[suspension spectrum]] from [[stable homotopy theory]] to $G$-[[equivariant stable homotopy theory]]. 

## Definition

### As a spectrum indexed on a $G$-universe

Let $X$ be a [[pointed topological space|pointed]] [[topological G-space]]. For a [[representation]] $V$ in the [[G-universe]] $U$, write $S^V$ for its [[representation sphere]].

As a [[G-spectrum]] indexed on a [[G-universe]]:

1. the _suspension $G$-pre-spectrum_ is $\Pi^\infty X \colon V \mapsto S^V \wedge X$;

1. the suspension $G$-spectrum is $\Sigma^\infty X \colon V \mapsto Q(S^V \wedge X)$

where $Q (-) = \underset{V \in U}{\cup} \Omega^V \Sigma^V X$.

([Greenlees-May 95](#GreenleesMay95))

### As an orthogonal spectrum

The _equivariant suspension spectrum_ $\Sigma^\infty_G X$ of a [[pointed topological space|pointed]] [[topological G-space]] $X$ is the [[G-spectrum]] which, modeled as an [[orthogonal spectrum]] with $G$-action, is in degree $n$ given by the [[smash product]]

$$
  (\Sigma^\infty_G X)_n \coloneqq X \wedge S^n
$$

of $X$ with the [[n-sphere]], equipped with the canonical [[action]] of the [[orthogonal group]] $O(n)$ just on the $S^n$-factor and equipped with the given action  of $G$ on just $X$.

(e.g. [Schwede 15, example 2.11](#Schwede15))

## Properties
 {#Properties}

### $RO(G)$-degrees
 {#ROGDegrees}

For $V$ an orthogonal linear $G$-[[representation]] then the value of the equivariant suspension spectrum in that [[RO(G)-grading|RO(G)-degree]] is the [[smash product]] of $X$ with the corresponding [[representation sphere]].

$$
  (\Sigma^\infty_G X)(V) \simeq X \wedge S^V
$$

### Relation between genuine and Bredon-equivariant suspension

For $U$ a complete $G$-[[universe]] and $U^G$ its [[fixed point]] universe, then the inclusion $i \colon U^G \longrightarrow U$ induces an [[adjunction]]

$$
  Spectra(G Top) \stackrel{\overset{i^\ast}{\longleftarrow}}{\underset{i_\ast}{\longrightarrow}}G Spectra 
$$

between [[naive G-spectra]] and [[genuine G-spectra]]. The genuine $G$-suspension spectrum is the naive $G$-suspension spectrum followed by $i$:

$$
  i_\ast \circ \Sigma^\infty_{U^G }  \simeq \Sigma^\infty_U
  \,.
$$

([Greenlees-May 95, p. 16](#GreenleesMay95))



## Examples

The $G$-[[equivariant sphere spectrum]] is 

$$
  \mathbb{S} = \Sigma^\infty_G S^0
$$ 

for $S^0$ regarded as equipped with the (necessarily) trivial $G$-action. It follows that for $V$ an orthogonal linear $G$-representation then in [[RO(G)-degree]] $V$ the equivariant sphere spectrum is the corresponding [[representation sphere]] $\mathbb{S}(V) \simeq S^V$.

### Equivariant homotopy groups and fixed point spectra

The [[equivariant homotopy groups]] and the [[fixed point spectra]] of equivariant suspension spectra $\Sigma^\infty_G X$ decompose into the naive [[fixed points]] of the $G$-action on $X$. This is the _[[tom Dieck splitting]]_, see there for details.


## References

* {#GreenleesMay95} [[John Greenlees]], [[Peter May]], _Equivariant stable homotopy theory_, in I.M. James (ed.), _Handbook of Algebraic Topology_ , pp. 279-325. 1995. ([pdf](http://www.math.uchicago.edu/~may/PAPERS/Newthird.pdf))


* {#Schwede15} [[Stefan Schwede]], _[[Lectures on Equivariant Stable Homotopy Theory]]_, 2015 ([pdf](http://www.math.uni-bonn.de/people/schwede/equivariant.pdf))

[[!redirects equivariant suspension spectra]]

