
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Bundles
+-- {: .hide}
[[!include bundles - contents]]
=--
#### Topology
+--{: .hide}
[[!include topology - contents]]
=--
#### Homotopy theory
+--{: .hide}
[[!include homotopy - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

The _quaternionic Hopf fibration_ is the [[fibration]]


$$
  \array{
     S^3 &\hookrightarrow& S^7
     \\
     && \downarrow^{\mathrlap{p_{\mathbb{H}}}}
     \\
     && S^4
  }
$$

of the [[7-sphere]] over the [[4-sphere]] with [[fiber]] the [[3-sphere]], which is induced via the [[Hopf construction]] from the product operation 

$$
  \mathbb{H} \times \mathbb{H} \stackrel{(-)\cdot (-)}{\longrightarrow}
  \mathbb{H}
$$

on the [[quaternions]], or else from

$$
  \mathbb{H} \times \mathbb{H}^{\times} \stackrel{(-)\cdot (-)^{-1}}{\longrightarrow}
  \mathbb{H}
$$

to match standard conventions.

This means that if $S^7$ is regarded as the [[unit sphere]] $\{(x,y)  | {\vert x\vert}^2 + {\vert y\vert}^2 = 1\}$ in $\mathbb{H}\times \mathbb{H}$ and $S^4$ is regarded as the quaternionic [[projective space]], then $p$ is given (on points $(x,y)$ with $y \neq 0$) simply by 

$$
  p_{\mathbb{H}} \colon (x,y) \mapsto [x;y] = [x/y; 1]
  \,,
$$


## Properties

### $SO(3)$-Equivariant structure
 {#EquivariantStructure}

Since the [[automorphism group]] of the [[quaternions]], as an $\mathbb{R}$-[[associative algebra|algebra]], is the [[special orthogonal group]] $SO(3)$

$$
  \mathrm{Aut}_{\mathbb{R}}(\mathbb{H}) \simeq SO(3)
$$

acting by [[rotation]] of the imaginary quaternions, via the [[Hopf construction]] it follows that the 7-sphere and 4-sphere inherit $SO(3)$-[[actions]] under which the quaternionic Hopf map is equivariant.

Notice that this means that $SO(3)$ acts on $S^7$ here diagonally on the _two_ copies of the imaginary octonions in $S^7 \hookrightarrow \mathbb{H} \oplus \mathbb{H}$ (as opposed to, say, via any one of the embeddings $SO(3) \hookrightarrow SO(8)$ and the following canonical action of $SO(8)$ on $S^7 \hookrightarrow \mathbb{R}^8$).

(see also [Cook-Crabb 93](#CookCrabb93))

### Class in the homotopy groups of spheres
 {#ClassInTheHomotopyGroupsOfSpheres}

The quaternionic Hopf fibration gives an element in the 7th [[homotopy groups of spheres|homotopy group of the 4-sphere]]

$$
  [p_{\mathbb{H}}] \in \pi_7(S^4) \simeq \mathbb{Z} \times (\mathbb{Z}/12)
$$

and in fact it is a generator of the non-torsion factor in this group.

Stably, i.e. as a generator for the [[stable homotopy groups of spheres]] in degree $7-4 = 3$, the quaternionic Hopf map becomes a [[torsion subgroup|torsion]] generator

$$
  [p_{\mathbb{H}}] \in \pi_3^S \simeq \mathbb{Z}/24
  \,,.
$$

### Class in equivariant stable homotopy theory
 {#ClassInEquivariantStableHomotopyTheory}

Fix a [[finite group|finite]] [[subgroup]] $G \hookrightarrow SO(3)$ which does not come from $SO(2) \hookrightarrow SO(3)$ -- i.e. not a [[cyclic group]], but one of the [[dihedral groups]] or else the [[tetrahedral group]] or [[octahedral group]] or [[icosahedral group]] (by the [[ADE classification]]). 

Regard both $S^7$ and $S^4$ as pointed [[topological G-spaces]] via the $SO(3)$-action induced via automorphisms of the quaternions, as [above](#EquivariantStructure). Write

$$
  \Sigma^\infty_G S^7, \Sigma^\infty_G S^4 \in G Spectra
$$

for the corresponding [[equivariant suspension spectra]].

Notice that if we took trivial $G$, then in the [[stable homotopy category]]

$$
  [\Sigma^\infty S^7, \Sigma^\infty S^4] \simeq \mathbb{Z}/24
$$

by the [above](#ClassInTheHomotopyGroupsOfSpheres). In contrast:[^acknowledgement]

[^acknowledgement]: The proof of prop. \ref{QuaternionicHopfFibrationIsDEEquivariantlyStablyNonTorsion} profited from [[Charles Rezk]], who suggested [here](http://mathoverflow.net/a/224185/381) that the reduction to fixed points will make the real Hopf fibration give a non-torsion contribution, and from [[David Barnes]] who amplified the use of the Greenless-May splitting theorem.

+-- {: .num_prop #QuaternionicHopfFibrationIsDEEquivariantlyStablyNonTorsion}
###### Proposition

In $G$-[[equivariant homotopy theory]] this becomes a non-[[torsion subgroup|torsion group]], i.e. 

$$
  [\Sigma^\infty_G S^7, \Sigma^\infty_G S^4]_G \simeq \mathbb{Z} \oplus \cdots
$$

with the quaternionic Hopf fibration, regarded as a $G$-equivariant map, representing a non-torsion element.


=--

+-- {: .proof}
###### Proof 

First use the [Greenlees-May decomposition](rational+equivariant+stable+homotopy+theory#SplittingIntoMackeyFunctors) which says that for any two $G$-[[equivariant spectra]] $X,Y$ and writing $\pi_\bullet(X), \pi_\bullet(Y)$ for their [[equivariant homotopy groups]], organized as [[Mackey functors]] $H \mapsto \pi_n^H(X)$ for all subgroups $H \subset G$, then the canonical map
 

$$
  [X,Y]_G
  \longrightarrow
   \underset{n}{\oplus} 
  Hom_{\mathcal{M}[G]}(\pi_n(X), \pi_n(Y))
$$

is [[rational equivariant stable homotopy theory|rationally]] an [[isomorphism]].

With this we are reduced to showing that there exists $n \in \mathbb{Z}$ and a morphism of [[Mackey functors]] of [[equivariant homotopy groups]] $\pi_n(\Sigma^\infty_G S^7) \to \pi_n(\Sigma^\infty_G S^4)$ which is not a torsion element in the abelian [[hom-object|hom-group]] of Mackey functors.

To analyse this, we use the [[tom Dieck splitting]] which says that the [[equivariant homotopy groups]] of [[equivariant suspension spectra]] $\Sigma^\infty_G X$ contain a [[direct sum|direct summand]] which is simply the ordinary stable homotopy groups of the naive [[fixed point]] space $X^H$:

$$
  \pi_n^H(\Sigma^\infty_G X) \simeq \pi_n(\Sigma^\infty (X^H)) \oplus \cdots
  \,.
$$

Now observe that the [[fixed points]] of the $SO(3)$-action on the quaternionic Hopf fibration that we are considering is just the [[real Hopf fibration]]:

$$
  (p_{\mathbb{H}})^{SO(3)} = p_{\mathbb{R}} \;\colon\; S^1 \longrightarrow S^1
$$

since $SO(3)$ acts transitively on the quaternionic quaternions and fixes the real quaternions.  By our assumption that $G \subset SO(3)$ does not come through $SO(2) \hookrightarrow SO(3)$ it follows that this statment is still true for $G$:

$$
  (p_{\mathbb{H}})^{G} = p_{\mathbb{R}} \;\colon\; S^1 \longrightarrow S^1
  \,.
$$

But the [[real Hopf fibration]] defines a non-torsion element in $\pi_0^S \simeq \mathbb{Z}$.

In conclusion then, at $n = 1$ and $H = G$ we find that the $G$-equivariant quaternionic Hopf fibration contributes a non-torsion element in 

$$
  Hom_{Ab}(\pi_1^G(\Sigma^\infty_G S^7), \pi_1^G(\Sigma^\infty_G S^4))
$$

which appears as a non-torsion element in 

$$
  Hom_{\mathcal{M}[G]}( \pi_1(\Sigma^\infty_G S^7), \pi_1(\Sigma^\infty_G S^4) )
$$

and hence in $[\Sigma^\infty_G S^7, \Sigma^\infty_G S^4]_G$.

=--

See also at _[[equivariant stable cohomotopy]]_

## Related concepts

* [[real Hopf fibration]]

* [[complex Hopf fibration]]

* [[octonionic Hopf fibration]]

## References

* {#Miyaoka93} [[Reiko Miyaoka]], _The linear isotropy group of $G_2/SO(4)$, the Hopf fibering and isoparametric hypersurfaces_, Osaka J. Math. Volume 30, Number 2 (1993), 179-202. ([Euclid](http://projecteuclid.org/euclid.ojm/1200784357))

Discussion in [[parameterized homotopy theory]] includes

* {#CookCrabb93} A. L. Cook, M.C. Crabb, _Fiberwise Hopf structures on sphere bundles_, J. London Math. Soc. (2) 48 (1993) 365-384 ([pdf](http://www.maths.ed.ac.uk/~aar/papers/crabbcook.pdf))

* {#Iriye95} Kouyemon Iriye, _Equivariant Hopf structures on a sphere_, J. Math. Kyoto Univ. Volume 35, Number 3 (1995), 403-412 ([Euclid](http://projecteuclid.org/euclid.kjm/1250518704))

Discussion in [[homotopy type theory]] is in

* [[Ulrik Buchholtz]], [[Egbert Rijke]], _The Cayley-Dickson Construction in Homotopy Type Theory_ ([arXiv:1610.01134](https://arxiv.org/abs/1610.01134))
