+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Topology
+--{: .hide}
[[!include topology - contents]]
=--
#### Manifolds and cobordisms
+--{: .hide}
[[!include manifolds and cobordisms - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

The [[sphere]] of [[dimension]] 15.


## Properties



### Octonionic Hopf fibration
 {#OctonionicHopfFibration}

The 15-sphere participates in the [[octonionic Hopf fibration]], the analog of the complex [[Hopf fibration]] with the field of [[complex numbers]] replaced by the division ring of [[octonions]] $\mathbb{O}$.

$$
  \array{
    S^7 &\hookrightarrow& S^15
    \\
    && \downarrow^\mathrlap{p}
    \\
    && S^8
  }
$$

Here the idea is that $S^{15}$ can be construed as $\{(x, y) \in \mathbb{O}^2: {|x|}^2 + {|y|}^2 = 1\}$, with $p$ mapping $(x, y)$ to $x/y$ as an element in the [[projective line]] $\mathbb{P}^1(\mathbb{O}) \cong S^8$, with each [[fiber]] a [[torsor]] parametrized by octonionic [[scalars]] $\lambda$ of unit [[norm]] (so $\lambda \in S^7$).

### Other properties

* $S^{15}$ is the only sphere that admits three homogeneous Einstein metrics. 
* It is the only sphere that appears as a regular orbit in three cohomogeneity one actions on projective spaces, namely of $SU(8)$, $Sp(4)$ and $Spin(9)$ on $\mathbb{C}P^8$, $\mathbb{H}P^4$ and $\mathbb{O}P^2$, respectively ([OPPV, p. 1](#OPPV))


## References

* {#OPPV} Liviu Ornea, Maurizio Parton, Paolo Piccinni, Victor Vuletescu, _Spin(9) geometry of the octonionic Hopf fibration_, ([arXiv:1208.0899](http://arxiv.org/abs/1208.0899)) 