##Idea

This approach to [[quantum mechanics]] assigns probabilities to various alternative histories of measurements on a system such that the probabilities for each history obey the rules of classical probability while being consistent with the [[Schrödinger equation]]. It is claimed to resolve what is generally taken to be paradoxical about quantum mechanics, such as the supposed collapse of the wave-function.

Measurements in this approach are typically understood in terms of [[quantum decoherence]], hence an alternative name _decoherent histories_.



##Related concepts

* [[quantum decoherence]]

##References

* [[Robert Griffiths]], [SEP: The Consistent Histories Approach to Quantum Mechanics] (http://plato.stanford.edu/entries/qm-consistent-histories/)

The consistent histories approach was introduced by 

* [[Robert Griffiths]] (1984), Consistent histories and the interpretation of quantum mechanics”, Journal of Statistical Physics, 36: 219–272.

See also his book

* [[Robert Griffiths]] (2003), _Consistent Quantum Theory_, Cambridge University Press, available [here](http://quantum.phys.cmu.edu/CQT/).

It was also discussed by [[Roland Omnès]] in a series of papers beginning with 

* Roland Omnès (1988) “Logical reformulation of quantum mechanics I. Foundations”, Journal of Statistical Physics, 53: 893–932.

See also his books

* [[Roland Omnès]] (1999). _Understanding Quantum Mechanics_, Princeton University Press.

* [[Roland Omnès]] (1999). _Quantum Philosophy_, Princeton University Press, 1999. 

The closely related *decoherent histories* approach first appeared in 

* [[Murray Gell-Mann]] and [[James Hartle]] (1990) "Quantum mechanics in the light of quantum cosmology”, in W. H. Zurek (ed.), Complexity, entropy and the physics of information. Redwood City, Calif.: Addison-Wesley, pp. 425–458.

[[!redirects consistent history]]
[[!redirects consistent histories]]
