
> see also at _[[Galois group]]_

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Homotopy theory
+-- {: .hide}
[[!include homotopy - contents]]
=--
=--
=--

# Contents
* table of contents
{:toc}

## Idea

Classical Galois theory classifies [[field extensions]]. It is a special case of a classification of [[locally constant sheaves]] in a [[topos]] by [[permutation representations]] of the [[fundamental groupoid]]/[[fundamental group]].

Even more generally one can define a [[Galois group]] associated to a [[presentable (infinity,1)-category|presentable]] [[symmetric monoidal (infinity,1)-category|symmetric monoidal]] [[stable (infinity,1)-category]].  There is an analogue of the Galois correspondence in this setting, see [Mathew 14](#Mathew14).

## Classical Galois theory for fields 
  {#ClassicalGaloisTheory}

We discuss the classical/traditional case of Galois theory, which concerns the classification of [[field extensions]]. Below in _[Galois theory for schemes](#GaloisTheoryForSchemes)_ and then in _[Galois theory in a topos](http://ncatlab.org/nlab/show/Galois+theory#GaloisInTopos)_ we discuss how this is a special case of a more general concept of Galois theory in a [[topos]].  

### Galois theory of fields {#GaloisTheoryForFields}

+-- {: .num_defn #GaloisExtension}
###### Definition

We call a [[field extension]] $K \subset L$ a **Galois extension** if $K \subset L$ is algebraic and there exists a subgroup $G \subset Aut(L)$ of the [[automorphism group]] such that $K \simeq L^G$ is the field of elements that are invariant under $G$. 

=--

+-- {: .num_defn #GaloisGroup}
###### Definition

If $K \subset L$ is a Galois extension, we define the **[[Galois group]]** to be

$$
  Gal(L/K) := Aut_K(L)
  \,.
$$

=--

This means that we have

$$
  K \simeq L^{Gal(L/K)}
  \,.
$$


+-- {: .num_defn #separable}
###### Definition

Let $\bar K$ be a fixed [[algebraic closure]] of $K$. If $F \subset K[X] - \{0\}$ is any collection of non-zero [[polynomial]]s, the [[splitting field]] of $F$ over $K$ is the [[subfield]] of $\bar K$ generated by $K$ and the zeros of the polynomials in $F$. 

We call $f \in K[X]- \{0\}$ **separable** if it has no multiple zero in $\bar K$.

We call $\alpha \in \bar K$ **separable over $K$** if the [[irreducible polynomial]] $f^\alpha_K$ of $\alpha$ over $K$ is separable.

A subextension $L \subset \bar K$ is called **separable over $K$** if each $\alpha \in L$ is separable over $K$. 

=--

+-- {: .num_defn #normal}
###### Definition

We call $L$ **normal** over $K$ if for each $\alpha \in L$ the polynomial $f^\alpha_K$ splits completely in linear factors in $L[X]$.

=--

+-- {: .num_theorem }
###### Theorem

Let $K$ be a [[field]] and $L$ a [[subfield]]s of $\bar K$

$$
 K \subset L \subset \bar K
 \,.
$$

Denote by $I$ the set of [[subfields]] $E$ of $L$ for which $E$ is a finite Galois extension of $K$. Then $I$, when [[poset|partially ordered]]  by inclusion is a directed poset. 

The following assertions are equivalent:

1. $L$ is a [Galois extension](#GaloisExtension) of $K$.

1. $L$ is [normal](#normal) and [separable](#separable) over $K$.

1. There is a set $F \subset K[X] - \{0\}$ of separable polynomials such that
   $L$ is the [splitting field](#separable) of $F$ over $K$.

1. $\coprod_{E \in I} E \simeq L$

If these conditions are satisfied, then there is a group [[isomorphism]] 

$$
   Gal(L/K) \simeq {\lim_{\leftarrow}}_{E \in I} Gal(E/K)
  \,,
$$

where on the right we have the [[limit]] over the [[poset]] of [[subfield]] of the [[contravariant functor]] $E \mapsto Gal(E/K)$.

=--

Since each group $Gal(E/K)$ is finite, the above isomorphism can be used to equip $Gal(L/K)$ with a [[profinite space|profinite topology]] (i.e. take the limit in the category of [[topological groups]], where each $Gal(E/K)$ has the discrete topology), making it into a [[profinite group]].  We henceforth consider $Gal(L/K)$ as a profinite group in this way.


+-- {: .num_theorem }
###### Theorem

([[main theorem of classical Galois theory]])

Let $K \subset L$ be a [Galois extension](#GaloisExtension) of fields with [Galois group](#GaloisGroup) $G$. Then the intermediate fields of $K \subset L$ correspond bijectively to the closed subgroups of $G$.

More precisely, the maps 

$$
  \{E | E\;is\;a\;subfield\;of\;L\;containing\;K\}
  \stackrel{\overset{\phi}{\to}}{\underset{\psi}{\leftarrow}}
   \{H|H\;is\;a\;closed\;subgroup\;of\;G\}
$$

defined by

$$
  \phi(E) = Aut_E(L)
$$

and

$$
  \psi(H) = L^H
$$

are bijective and inverse to each other. This correspondence reverses the inclusion relation: $K$ corresponds to $G$ and $L$ to $\{id_L\}$.


If $E$ corresponds to $H$, then we have

1. $K \subset E$ is finite precisely if $H$ is open (in the profinite topology on $G$)

   $[E:K] \simeq index[G:H]$ if $H$ is open;

1. $E \subset L$ is Galois with $Gal(L/E) \simeq H$ (as [[topological group]]s);

1. for every $\sigma \in G$ we have that $\sigma[E]$ corresponds to $\sigma H \sigma^{-1}$;

1. $K \subset E$ is Galois precisely if $H$ is a [[normal subgroup]] of $G$;

   $Gal(E/K) \simeq G/H$ (as [[topological group]]s) if $K \subset E$ is Galois. 

=--

This appears for instance as [Lenstra, theorem 2.3](#Lenstra).

This suggests that more fundamental than the subgroups of a Galois group $G$ are its quotients by subgroups, which can be identified with transitive $G$-sets.  This naturally raises the question of what corresponds to non-transitive $G$-sets.


### In terms of separable algebras

#### Free modules 

Let $A$ be a commutative [[ring]] and $N$ a [[module]] over $A$. 

A collection of elements $(w_i)_{i \in I}$ of $N$ is called a [[basis]] of $N$ (over $A$) if for every $x \in N$ there is a unique collection $(a_i)_{i \in I}$ of elements of $A$ such that $a_i = 0$ for all but finitely many $i \in I$ and $x = \sum_{i \in I} a_i w_i$. 

If $N$ has a basis it is called _[[free module|free]]_ (over $A$). If $N$ is free with basis a [[finite set]] of [[cardinality]] $n$, then we say that $N$ is _free with [[rank]] $n$_ (over $A$). In this case, $N$ is a [[finitely generated]] free module.

Let $N$ be a finitely generated free $A$-module with basis $w_1, w_2, \cdots, w_n$ and let $f\colon N \to N$ be $A$-linear. Then

$$
  f(w_i) = \sum_{j = 1}^n a_{i j} w_j \;\;\;
  (1 \leq i \leq n)
$$

for certain $a_{i j} \in A$, and the [[trace]] $Tr(f)$ of $f$ is defined by


$$
  Tr(f) = \sum_{i = 1}^n a_{i i}
  \,.
$$

This is an element of $A$ that only depends on $f$, and not on the choice of basis. It is easily checked that the map $Tr : Hom_A(N,N) \to A$ is $A$-linear.


#### Separable algebras

Let $A$ be a [[ring]], $B$ an $A$-[[algebra]], and suppose that $B$ is free with finite rank $n$ as an $A$-module. For every $b \in B$ the map $mult_b\colon B \to B$ defined by $mult_b\colon x \mapsto b x$ is $A$-linear, and the [[trace]] $Tr(b)$ or $Tr_{B/A}(b)$ is defined to be $Tr(mult_b)$. The map $Tr\colon B \to A$ is easily seen to be $A$-linear and to satisfy $Tr(a) = n a$ for $a \in A$.

The $A$-[[module]] $Hom_A(B,A)$ (underlying which is the [[hom-set]] in the [[category]] of [[module]]s) is clearly free over $A$ with the same rank as $B$. Define the $A$-linear map $\phi\colon B \to Hom_A(B,A)$ by 

$$
  \phi(x) : y \mapsto Tr(x y)
  \,,
$$

for $x, y \in B$. 

+-- {: .num_defn #SeparableAlgebra}
###### Definition

If for an $A$-algebra $B$ the 
the morphism $\phi$ is an [[isomorphism]] we call $B$ **separable over $A$**, or a **free separable $A$-algebra** if we wish to stress the condition that $B$ is finitely generated and free as an $A$-module. 

=--



#### Separable closure

Recall the notion of [separable elements](#separable)

+-- {: .num_defn #SeparableClosure}
###### Definition

Let $K$ be a [[field]] and $\bar K$ an [[algebraic closure]] of $K$. The [[separable closure]]  $K_S$ of $K$ is defined by

$$
  K_S \simeq \{x \in \bar K | x \; is \; separable \; over \; K\}
  \,.
$$

=--

+-- {: .num_remark}
###### Remark

We have that $K_S$ is a [[subfield]] of $\bar K$ and that $K_S \simeq \bar K$ precisely if $K$ is a [[perfect field]], in particular if the [[characteristic]] of $K$ is 0.

From xyz it follows that the inclusion $K \subset K_S$ is Galois. 

=--

+-- {: .num_defn #AbsoluteGaloisGroup}
###### Definition

The Galois group $Gal(K_S/K)$ is called the **[[absolute Galois group]]** of $K$.

=--



#### Galois theory for separable algebras

+-- {: .num_theorem}
###### Theorem

Let $K$ be a [[field]] and $\pi_1(Spec K)$ its [absolute Galois group](#AbsoluteGaloisGroup). Then there is an [[equivalence of categories]]

$$
  SAlg_K^{op} \simeq \pi_1(Spec K) Set
  \,.
$$

=--

## Galois theory for schemes
 {#GaloisTheoryForSchemes}

The classical Galois theory for fields is a special case of a general geometric/[[topos theory|topos theoretic]] statement about [[locally constant sheaves]] and the action of the [[fundamental group]] on their [[fiber]]s.


### Statement of the main theorem
 {#StatementOfMainTheorem}



+-- {: .num_defn}
###### Definition


A morphism $f : Y \to X$ of [[scheme]]s is a **finite [[étale morphism]]** if there exists a [[covering]] of $X$ by [[affine scheme|affine]] [[open subset]]s $U_i = Spec A_i$, such that 

* for each $i$ the open subschemes $f^{-1}(U_i)$ of $Y$ is affine, 

* and equal to $Spec B_i$, where $B_i$ is a free [separable](#SeparableAlgebra) $A_i$-algebra. 

In this situation we also say that $f  : Y \to X$ is a **finite étale covering** of $X$.

A [[morphism]] from a finite étale covering $f : Y \to X$ to a finite étale covering $g : Z \to X$ is a morphism of schemes $h : Y \to Z$ such that $f = g \circ h$.

This defines the [[category]] $FEt_X$ of finite étale covers of $X$.

=--


+-- {: .num_theorem #TheoremGaloisTheoryForSchemes}
###### Theorem

Let $X$ be a [[connected]] [[scheme]]. Then there exists a [[profinite group]] $\pi_1(X)$ -- the [[fundamental group]] of $X$ --  uniquely determined up to [[isomorphism]], such that the [category of finite étale coverings](#FiniteEtMorphisms) $FEex$ is [[equivalence of categories|equivalent]] to the category $Fin \pi_1(X) Set$ of finite [[permutation representation]]s of $\pi_1(X)$ ([[finite set]]s, with the [[discrete topology]], on which $\pi_1(X)$ acts continuously).

=--

This appears for instance as [Lenstra, main theorem 1.11](#Lenstra). It is fully discussed in [[SGA]]1.



The [[profinite group]], $\pi_1(X)$, is often called the _[[étale fundamental group]]_ of the connected scheme $X$.  In [[SGA1]], Grothendieck also considers coverings with profinite fibres, and a profinitely enriched fundamental groupoid. In the above the actual group $\pi_1(X)$ depends on the choice of a _fibre functor_ given by a geometric point of $X$. Different choices of fibre functor produce isomorphic groups. Taking two such fibre functors yields a $\pi_1(X)$-torsor for either version of $\pi_1(X)$.  This is important in attacks on [[Grothendieck's section conjecture]].


+-- {: .num_example}
###### Examples

* The [[disjoint union]] of $n$ copies of $X$ corresponds, under this theorem, to a finite set of $n$ elements on which $\pi_1(X)$ acts trivially. 

* The fact that for $X = Spec \mathbb{Z}$ there are no other finite étale coverings of $X$ is thus expressed by the group $\pi_1(Spec \mathbb{Z})$ being _trivial_ . 

* The same is true for $\pi_1(Spec K)$, where $K$ is an [[algebraically closed field]]. 

* If $K$ is an arbitrary [[field]], then $\pi_1(Spec K)$ is the [[absolute Galois group]] of $K$; i.e. the [[Galois group]] of the [separable closure](#SeparableClosure) $K_S$ over $K$. In this case theorem \ref{TheoremGaloisTheoryForSchemes} is a reformulation of [classical Galois theory](#ClassicalGaloisTheory).

* In particular, if $K$ is a finite field, then $\pi_1(Spec K) \simeq \hat \mathbb{Z}$.

* Let $X = Spec A$, where $A$ is the [[ring of integers]] in an [[algebraic number field]] $K$. Let $N$ be the maximal [[algebraic extension]] of $N$ that is [[unramified]] at all non-zero prime ideals of $A$. Then $\pi_1(X)$ is the Galois group of $N$ over $K$.

* More generally, if $a \in A$, $a \neq 0$, then $\pi_1(Spec A[\frac{1}{a}])$ is the Galois group, over $K$, of the maximal algebraic extension of $K$ that is unramified at all non-zero prime ideals of $A$ not dividing $a$. 

=--

### Reproducing classical Galois theory of field extensions

In this section we explain the connection between the main theorem of Galois theory for schemes, theorem \ref{TheoremGaloisTheoryForSchemes}, and [classical Galois theory](#ClassicalGaloisTheory).

We denote by $k$ a [[field]]. It is our purpose to show that the [[opposite category]] of the category of free separable $K$-algebras is equivalent to the category of finite $\pi_1(X)$-sets, for a certain profinite group $\pi_1(X)$. This is a special case of the main theorem \ref{TheoremGaloisTheoryForSchemes}, with $ X = Spec K$. In the general proof we shall use the contents of this section only for algebraically closed $K$. In that case, which is much simpler, the group $\pi_1(X)$ is trivial, so that the category of finite $\pi_1(X)$-sets is just the category of finite sets.

 

+-- {: .num_theorem }
###### Theorem

(...)

=--

##Grothendieck's Galois Theory

In [[SGA1]], Grothendieck introduced an abstract formulation of the above theory in terms of _Galois categories_.  A Galois category is a  category, $\mathcal{C}$, satisfying a small number of properties together with a _fibre functor_ $F: \mathcal{C}\to FinSet$, preserving those properties. The theory is more fully described in the entry on [[Grothendieck's Galois theory]].



## Galois theory in topos theory {#GaloisInTopos}

One notices that [classical Galois theory](#ClassicalGaloisTheory) has an equivalent reformulation in [[topos theory]]. That puts it into a wider general abstract context and leads to a topos-theoretic general Galois theory.

### Reformulation of classical Galois theory

+-- {: .num_prop }
###### Observation

The [[étale morphism]]s $f : Y \to X$ corresponds precisely to the [[locally constant sheaves]] on $X$ with respect to the [[étale topology]], in that it is equivalently a morphism for which there is an [[étale cover]] $\{U_i \to X\}$ such that $f$ is a [[constant sheaf]] on each $U_i$. 

For $K$ a [[field]] let $Et(K)$ be its [[small site|small]] [[étale site]]. And 

$$
  \mathcal{E} := Sh(Et(K))
$$

the [[sheaf topos]] over it. This topos is a

* [[local topos]];

* [[locally connected topos]];

* [[connected topos]].

Then Galois extensions of $K$ correspond precisely to the [[locally constant object]]s in $\mathcal{E}$. The full [[subcategory]] on them is the [[Galois topos]] $Gal(\mathcal{E}) \hookrightarrow \mathcal{E}$.

The Galois group is the [[fundamental group of a topos|fundamental group of the topos]].

=--

### Topos-theoretic Galois theory

Accordingly in [[topos theory]] Galois theory is generally about the classification of [[locally constant sheaves]]. The Galois group corresponds to the [[fundamental group of a topos|fundamental group of the topos]] . 

(...)

### Higher topos theoretic Galois theory

In the context of [[higher topos theory]], there are accordingly higher analogs of Galois theory. According to [[shape of an (∞,1)-topos|shape theory]], any [[(∞,1)-topos]] $\mathbf{H}$ has an associated fundamental ∞-groupoid $\Pi(\mathbf{H})$, which in general is a [[pro-space]] whose $1$-truncation $\Pi_1(\mathbf{H})$ is the ordinary fundamental groupoid of the underlying [[1-topos]]. Classical topos-theoretic Galois theory states that locally constant sheaves (of sets) on a locally connected topos are equivalent to representations of $\Pi_1(\mathbf{H})$, i.e., functors $\Pi_1(\mathbf{H})\to Set$. This generalizes to higher topoi as follows:

+-- {: .num_theorem }
###### Theorem

Let $\mathbf{H}$ be a [[locally n-connected (n+1,1)-topos]], $-1\leq n\leq \infty$. Then there is an equivalence of categories

$$
\mathbf{H}^lc \simeq \Fun(\Pi_{n+1}(\mathbf{H}), n Grpd),
$$

where $\mathbf{H}^{lc}\subset\mathbf{H}$ is the subcategory of locally constant objects.

=--

This generalization of Galois theory is discussed in ([Grothendieck 75](#Grothendieck75), [Hoyois 13](#Hoyois13), [Hoyois 15](#Hoyois15)). For further discussion in the case $n=\infty$, see

* [[cohesive (infinity,1)-topos -- structures]] -- [Galois theory](http://ncatlab.org/nlab/show/cohesive+%28infinity,1%29-topos+--+structures#GaloisTheory)

##'La Longue Marche à travers la Théorie de Galois'

Between January and June 1981, Grothendieck wrote about 1600 manuscript pages of a work with the above title. The subject is the [absolute Galois group](#AbsoluteGaloisGroup), $Gal(\overline{\mathbb{Q}},\mathbb{Q})$ of the rational numbers and its **geometric** action on moduli spaces of Riemann surfaces. This will (one day be) discussed at [[Long March]]. Other entries that relate to this include [[anabelian geometry]], [[children's drawings]] (in other words _Dessins d'enfants_, which is the study of graphs embedded on surfaces, their classification and the link between this and Riemann surfaces) and the [[Grothendieck-Teichmuller group]]. 

The [[anabelian geometry|anabelian]] question is: _how much information about the isomorphism class of an algebraic variety, $X$ is contained in the étale fundamental group of $X$?_  Grothendieck calls varieties which are completely determined by their **étale fundamental group**, _anabelian varieties_.  His anabelian dream was to classify the anabelian varieties in all dimensions over all fields.  This can be seen to relate to questions of the étale homotopy types of varieties.
+--{: .query}
Tim: I have a feeling that this anabelian question should have a form that generalises to higher dimensions. (Not that I can shed much light on progress in dimension one.) Perhaps there is an anabelian version of the homotopy hypothesis or something of that nature.
=--






(...)

## Related entries

* [[Galois group]], [[motivic Galois group]]

* [[Galois connection]]

* [[categorical Galois theory]], [[Grothendieck's Galois theory]]

* [[Galois cover]]

* [[differential Galois theory]]

* [[Galois cohomology]]

* [[Lascar group]] (a Galois group of first order theories)

* [[fundamental theorem of covering spaces]]

* [[anabelian geometry]]

* [[geometric homotopy groups in an (∞,1)-topos]], [[fundamental group of a topos]], [[fundamental ∞-groupoid of an (∞,1)-topos]]


## References

Lecture notes on the Galois theory for schemes are in

* [[Hendrik Lenstra]], _Galois theory for schemes_ , Mathematisch Instituut Universiteit van Amsterdam (1985) ([pdf](http://websites.math.leidenuniv.nl/algebra/GSchemes.pdf))
 {#Lenstra}

Some of the material above is taken from this.

* [[Ravi Vakil]], [[Kirsten Wickelgren]] _Universal covering spaces and fundamental groups in algebraic geometry as schemes_, ([pdf](http://math.stanford.edu/~vakil/files/VW2Dec1910.pdf)).

A comprehensive textbook is

* [[Francis Borceux]], [[George Janelidze]], _Galois theories_ Cambridge University Press (2001)

a review of which can be found at [[Galois Theories]].

The locally simply connected case is discussed for instance in 

* Marco Robalo, _Galois Theory towards Dessins d'Enfants_ ([pdf](https://dspace.ist.utl.pt/bitstream/2295/575330/1/dissertacao.pdf))

Galois theory in a [[presentable (infinity,1)-category|presentable]] [[symmetric monoidal (infinity,1)-category|symmetric monoidal]] [[stable (infinity,1)-category]] is developed in

* [[Akhil Mathew]], The Galois group of a stable homotopy theory, [arXiv](http://arxiv.org/abs/1404.2156).
{#Mathew14}

Galois theory in topos theory

* [[SGA4]], _Expose VIII, Proposition 2.1._

* {#Hoyois15} [[Marc Hoyois]], _Higher Galois theory_ ([arXiv:1506.07155](http://arxiv.org/abs/1506.07155))

See also

* _[The Galois Theory Web Page](http://www.math.upenn.edu/~galois/)_

* [Wikipedia: Galois theory](http://en.wikipedia.org/wiki/Galois_theory)

* Tamás Szamuely, _Galois groups and fundamental groups_, Cambridge Studies in Adv. Math. 

* {#Grothendieck75} [[Alexander Grothendieck]], letter to [[Larry Breen]] 12/2/1975 ([web](http://webusers.imj-prg.fr/~leila.schneps/grothendieckcircle/Letters/breen1.html))

category:Galois theory
[[!redirects Galois theories]]

[[!redirects Galois extension]]
[[!redirects Galois extensions]]