
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Mathematics
+-- {: .hide}
[[!include mathematicscontents]]
=--
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
#### Geometry
+--{: .hide}
[[!include higher geometry - contents]]
=--
=--
=--


* [[Gabriel Catren]], [[Mathieu Anel]], (eds.)

  _New Spaces for Mathematics and Physics_

  [conference](http://ercpqg-espace.sciencesconf.org/program) (IHP Paris, Oct-Sept 2015)

  and  [book project](http://ercpqg-espace.sciencesconf.org/resource/page/id/1)

on current developments regarding foundations of [[geometry]] in [[mathematics]] and [[physics]].

#Contents#
* table of contents
{:toc} 

## 1. Smoothness and singularities 

### Schemes (Pierre Cartier)

[[Pierre Cartier]] on [[schemes]].

([video recording](https://www.youtube.com/watch?v=etdvnswIhMw))

### Synthetic differential geometry - new methods for old spaces (Anders Kock)

[[Anders Kock]] on [[synthetic differential geometry]]

([video recording](https://www.youtube.com/watch?v=AXz7xu3WrPE))

### Lie (or differentiable) groupoids (Jean Pradine)

[[Jean Pradines]] on [[Lie groupoids]]

([video recording](https://www.youtube.com/watch?v=Sg_dStsGcIw))

### Diffeologies (Patrick Iglesias-Zemmour)
 
[[Patrick Iglesias-Zemmour]] on [[diffeological spaces]].

([video recording](https://www.youtube.com/watch?v=4sZDmiVOhaA))

## 2. Spaces with categories of points

### Geometric aspects of topos theory in relation with logical doctrines (Andr&#233; Joyal)

[[André Joyal]] on [[topos theory]].

([video recording](https://www.youtube.com/watch?v=kaZpOEOAUzE))

### Sheaves and functors of points (Michel Vaqui&#233;)

[[Michel Vaquié]] on [[sheaves]] and [[gros toposes]].


### Stacks and the Artin property (Carlos Simpson)

[[Carlos Simpson]] on [[algebraic stacks]] and the [[Artin representability theorem]].

([video recording](https://www.youtube.com/watch?v=vI-09KIkBbY))

### The Geometry of Ambiguity: An introduction to the ideas of Derived Geometry (Mathieu Anel)

[[Mathieu Anel]] on [[derived geometry]] ([pdf](http://mathieu.anel.free.fr/mat/doc/Anel%20-%20DerivedGeometry.pdf))

([video recording](https://www.youtube.com/watch?v=198ssqlW9BI))

## 3. Non-commutative geometry

### Geometry from statistical physics and information theory (Matilde Marcolli)

### Geometry in triangulated categories (Maxim Kontsevich)

[[Maxim Kontsevich]] on [[derived noncommutative geometry]] in terms of [[formal duals]] of [[stable infinity-categories]] ([[enhanced triangulated categories]]).

* [[Maxim Kontsevich]], _Geometry in triangulated categories_, talk at _[[New Spaces for Mathematics and Physics]]_, IHP Paris, Oct-Sept 2015 ([video recording](https://www.youtube.com/watch?v=XnmO9RAbl50))


### Quantum differential geometry (Shahn Majid)
 
[[Shahn Majid]] on [[noncommutative geometry]]

## 4. Spaces up to homotopy

### Spaces as infinity-groupoids (Timothy Porter)

[[Timothy Porter]] on the [[homotopy hypothesis]]-theorem.

([video recording](https://www.youtube.com/watch?v=BH_NwgM8QjI))

### Homological decomposition and motives (Denis-Charles Cisinski)

[[Denis-Charles Cisinski]] on [[motives]].

([video recording](https://www.youtube.com/watch?v=GhcxtwUJ0TY))

### Homotopy type theory: the logic of homotopy spaces (Mike Shulman)
 
[[Mike Shulman]] on [[homotopy type theory]] ([arXiv:1703.03007](https://arxiv.org/abs/1703.03007))

## 5. Spaces in classical & quantum mechanics

### Derived stacks in symplectic geometry (Damien Calaque)

[[Damien Calaque]] on [[derived geometry|derived]] [[symplectic geometry]] ([ arXiv:1802.09643](https://arxiv.org/abs/1802.09643))


### Higher pre-quantized geometry (Urs Schreiber)
 {#Schreiber}

[[Urs Schreiber]] on [[schreiber:Higher Prequantum Geometry]].

([arXiv:1601.05956](http://arxiv.org/abs/1601.05956), [video recording](https://www.youtube.com/watch?v=EaYMuyr9KII))


### Cobordisms and extended quantum field theories (Dan Freed)

[[Dan Freed]] on [[extended TQFT]] and the [[cobordism hypothesis]].


### Notion of space in topos quantum theory (Cecilia Flori)
 
[[Cecilia Flori]] on [[Bohr toposes]].


## 6. Spaces in quantum gravity

### Spin networks and spinfoams (Hanno Sahlmann)

Hanno Sahlmann on spin networks.

([video recording](https://www.youtube.com/watch?v=QDU46lK1FDU))


### Super-geometry (Mikhail Kapranov)

[[Mikhail Kapranov]] on [[superalgebra]] as [[sphere spectrum]]-graded algebra.

* [[Mikhail Kapranov]], _Supergeometry in mathematics and physics_, in [[Gabriel Catren]], [[Mathieu Anel]], (eds.) _[[New Spaces for Mathematics and Physics]]_ ([arXiv:1512.07042](http://arxiv.org/abs/1512.07042))

* {#Kapranov15b} [[Mikhail Kapranov]], _Super-geometry_, talk at _[New Spaces for Mathematics & Physics](http://ercpqg-espace.sciencesconf.org/program)_, IHP Paris, Oct-Sept 2015 ([video recording](https://www.youtube.com/watch?v=bjsNwKYT8JE))

### Twistor theory (Roger Penrose)
 {#Penrose}

[[Roger Penrose]] on [[twistors]].

([video recording](https://www.youtube.com/watch?v=kmYfYOW0vSg))


### Stringy geometry and emergent space (Marcos Mari&#241;o) 
 
[[Marcos Mariño]] on [[AdS-CFT]]

([video recording](https://www.youtube.com/watch?v=MD_jj3O6IRE))

## 7. Open questions

### What experiments tell us about space and time (John Baez)

[[John Baez]] on [[experiments]].


### Time between real and imaginary: what geometries describe the Universe near the Big Bang? (Yuri Manin)

[[Yuri Manin]] on [[Wick rotation]] in [[cosmology]].

category: reference
