
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Equality and Equivalence
+--{: .hide}
[[!include equality and equivalence - contents]]
=--
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

In [[philosophy]], the statement that given any $A$, then $A$ [[equality|equals]] $A$

$$
  A = A
$$

has been called (see the [references below](#References)) the _first law of thought_. 

In terms of [[type theory]] this is the [[judgement]] that exhibits the [[term introduction]] for the reflector in an [[identity type]]

$$
  A \colon Type \;\vdash\; refl_A \;\colon A = A\;
  \,.
$$

## Related concepts

* [[ontology]]

## References
 {#References}

* [[Johann Fichte]]  _[[Grundlage der gesamten Wissenschaftslehre]]_ (1794) 

calls it   "[den ersten, schlechthin unbedingent Grundsatz](Grundlage+der+gesamten+Wissenschaftslehre#ErsterGrundsatz)". (In fact Fichte there highlights the importance of the [[antecedent]] $A \colon Type$ to arrive at the [[consequent]] $A = A$.)

* [[Georg Hegel]], [[Science of Logic]] 1812, 

in its [§875](https://ncatlab.org/nlab/show/Science+of+Logic#875) calls it the _[first original law of thought](https://ncatlab.org/nlab/show/Science+of+Logic#FirstOriginalLawOfThought)_.

* Thomas Hughes, _The Ideal Theory of Berkeley and the Real World_, (1865) Part II, Section XV, 

in [Footnote, p. 38](https://archive.org/stream/idealtheoryberk01hughgoog#page/n48/mode/2up) calls it the _first_ of the four _primary laws of thought_.

See also 

* Wikipedia, _[Law of thought -- Four laws](https://en.wikipedia.org/wiki/Law_of_thought#Four_laws)_, 

which gives quotes by [[Arthur Schopenhauer]] to the same extent.


[[!redirects first original law of thought]]
