
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
#### Representation theory
+-- {: .hide}
[[!include representation theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

For [[∞-actions]] of [[finite groups]] $G$ on objects $E$ in [[stable (∞,1)-categories]], then the [[homotopy cofiber]] $X^{t G}$ of the [[norm map]] is called the _[[Tate construction]]_, sitting in a [[homotopy fiber sequence]]

$$
  X_G \stackrel{norm}{\longrightarrow} X^G \longrightarrow X^{t G}
  \,.
$$


(e.g [Lurie, def. 6.1.6.24](#Lurie))

+-- {: .standout } 
Depending on which edition you have, chapter 6 may be chapter 7.
=--

For the [[stable (∞,1)-category of spectra]] this is accordingly called the _Tate spectrum_.

## Examples

* Tate spectra for [[cyclic groups]] play a role in the characterization of [[cyclotomic spectra]].

* For $N$ a $G$-[[representation]] and $H N$ its [[Eilenberg-MacLane spectrum]], then the Tate spectrum $H N^{t G}$ represents what is classically called _[[Tate cohomology]]_

  $$
    \hat H^{-n}(G,N) \;\simeq\; \pi_n( H N^{t G} )
  $$

  ([Nikolaus-Scholze 17, p. 13](#NikolausScholze17)) This may be generalized to possibly infinite [[discrete groups]], see at _[[Farrell-Tate cohomology]]_.

## References

The general abstract discussion is due to 

* [[Jacob Lurie]], section 6.1 of _[[Higher Algebra]]_

Review with an eye towards [[topological cyclic homology]] is in

* {#NikolausScholze17} [[Thomas Nikolaus]], [[Peter Scholze]], section I f _On topological cyclic homology_ ([arXiv:1707.01799](https://arxiv.org/abs/1707.01799))


[[!redirects Tate spectra]]

[[!redirects Tate construction]]
[[!redirects Tate constructions]]

