[[!redirects Timaeus]]
[[!redirects Timaios]]

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
=--
=--

The **Timaeus** is one of [[Plato's]] dialogues in which he gives an account of the construction of the universe by a rational craftsman, or Demiurge. The four "elements" (earth, air, fire, water) are associated with four of the five [[Platonic solids]].

#Contents#
* table of contents
{:toc}

## The Platonic solids
 {#ThePlatonicSolids}

The dialogue discusses the five [[Platonic solids]] and argues that they are building blocks of nature, in some way. See for instance _[Platonic Solids and Plato's Theory of Everything](http://www.mathpages.com/home/kmath096/kmath096.htm)_

In modern mathematics the Platonic solids are still a source of rich structure, via the [[McKay correspondence]]. 

[[!include ADE -- table]]

By way of this correspondence, in the speculative [[physics]] [[theory (physics)|theory]] called _[[M-theory on G2-manifolds]]_, the Platonic solids do again serve to exhibit fundamental aspects of nature, even if in a more intricate way than Timaeus had imagined. 

## Cosmogeny
 {#Cosmogeny}

> [35a] and in the fashion which I shall now describe. Midway between the Being which is indivisible and remains always the same and the Being which is transient and divisible in bodies, He blended a third form of Being compounded out of the twain, that is to say, out of the Same and the Other; and in like manner He compounded it midway between that one of them which is indivisible and that one which is divisible in bodies. And He took the three of them, and blent them all together into one form, by forcing the Other into union with the Same, in spite of its being naturally difficult to mix.

> [35b] And when with the aid of Being He had mixed them, and had made of them one out of three, straightway He began to distribute the whole thereof into so many portions as was meet; and each portion was a mixture of the Same, of the Other, and of Being. And He began making the division thus: First He took one portion from the whole; then He took a portion double of this; then a third portion, half as much again as the second portion, that is, three times as much as the first; he fourth portion He took was twice as much as the second; the fifth three times as much as the third;


In the _[[Science of Logic]]_ [[Hegel]] picks up this concept of  _[Something and an Other](Science+of+Logic#SomethingAndAnOther)_. His students paraphrased him as attributing this to Timaeus:

> [EL§92Zusatz](Science+of+Logic#EL92Zusatz) Gott hat die Welt aus der Natur des Einen und des Anderen (του ετεου) gemacht; diese hat er zusammengebracht und daraus ein Drittes gebildet, welches von der Natur des Einen und des Anderen ist. (vgl. Timaios, Steph. 34 f.)

## Related entries

* [[Parmenides dialogue]]

* [[Republic dialogue]]

## Reference

* Stanford Encyclopedia of Philosophy, _[Plato's Timaeus](http://plato.stanford.edu/entries/plato-timaeus/)_

* Wikipedia, _[Timaeus (dialogue)](https://en.wikipedia.org/wiki/Timaeus_(dialogue)_


category: references