
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Group Theory
+-- {: .hide}
[[!include group theory - contents]]
=--
#### Higher category theory
+-- {: .hide}
[[!include higher category theory - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Definition

An __$n$-group__ is a [[group object]] [[internalization|internal to]] $(n-1)$-[[n-groupoid|groupoids]].

If it is [[delooping|deloopable]],
an $n$-group $G$ is the [[hom-object]] $G = Aut_{\mathbf{B}G}({*})$ of an [[n-groupoid]] $\mathbf{B}G$ with a single [[object]] ${*}$.

If $\mathbf{B}G$ is a [[strict omega-groupoid|strict n-groupoid]], then the corresponding $n$-group is called a __strict $n$-group__. Strict $n$-groups are equivalent to [[crossed complex]]es of groups, of length $n$.

Under the [[homotopy hypothesis]] $n$-groups correspond to [[pointed space|pointed]] [[connected space|connected]] [[homotopy n-type]]s.


## Examples

* A $1$-group is simply a [[group]]; see also [[2-group]] and [[3-group]].

* For $n \lt 1$, there is a single $n$-group, the [[point]].

* For arbitrary $n$, there is a [[circle n-group]].

* In [[string theory]], we have the [[string 2-group]] and the [[fivebrane 6-group]].


## Related concepts

See also 

* [[group]]
* [[2-group]]
  * [[strict 2-group]]
  * [[crossed module]]
* [[3-group]]
* [[cat-n-group]]
* [[k-tuply groupal n-groupoid]]
* [[∞-group]]


## References

The [[homotopy theory]] of [[k-tuply groupal n-groupoid]]s is discussed in 

* [[A.R. Garzón]], J.G. Miranda, _Serre homotopy theory in subcategories of simplicial groups_ Journal of Pure and Applied Algebra Volume 147, Issue 2, 24 March 2000, Pages 107-123 


[[!redirects n-group]]
[[!redirects n-groups]]

[[!redirects 4-group]]
[[!redirects 4-groups]]
