
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Category theory
+-- {: .hide}
[[!include category theory - contents]]
=--
#### Factorization systems
+--{: .hide}
[[!include factorization systems - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

### Lift of morphisms

The **lift** of a morphism $f: Y\to B$ along an [[epimorphism]] (or more general map) $p:X\to B$ is a morphism $\tilde{f}: Y\to X$ such that $f = p\circ\tilde{f}$.

The dual problem is the [[extension]] of a morphism $f: A\to Y$ along a monomorphism $i: A\hookrightarrow X$, which is a morphism $\tilde{f}:X\to Y$ such that $\tilde{f}\circ i = f$. One sometimes, extends along more general morphisms than monomorphisms. 

### Lifting properties

Let $K$ be a [[category]] and write $arr(K)$ for the [[arrow category]] of $K$: the category with arrows (= [[morphisms]]) $a \stackrel{f}{\to} b$ of $K$ as objects and commutative squares $g u=v f$ 

$$
  \array{
    a &\stackrel{u}{\to}& c
    \\
    \downarrow^{\mathrlap{f}}
    &&
    \downarrow^{\mathrlap{g}}
    \\
   b &\stackrel{v}{\to}& d    
  }
$$

as morphisms $(u,v) : f \rightarrow g$. We may also refer to a commutative square $g u=v f$ as a **lifting problem** between $f$ and $g$.

We say a morphism $f$ has the **left lifting property** with respect to a morphism $g$ or equivalently that $g$ has the **right lifting property** with respect to $f$, if for every commutative square $(u,v) :f \rightarrow g$ as above,  there is an arrow $\gamma$ 

$$
  \array{
    a &\stackrel{u}{\to}& c
    \\
    \downarrow^f
    &{}^{\exists \gamma}\nearrow&
    \downarrow^g
    \\
   b &\stackrel{v}{\to}& d    
  }
$$


from the codomain $b$ of $f$ to the domain $c$ of $g$ such that both triangles commute. We call such an arrow $\gamma$ a **lift** or a **solution** to the lifting problem $(u,v)$.

(If this lift is unique, we say that $f$ is **[[orthogonal]]** $f \perp g$ to $g$.)

## Examples

* [[model category]]

* [covering space lifting properties](covering+space#LiftingProperties)

* [[separation axioms in terms of lifting properties]]

* [Tychonoff theorem -- Proof via lifting properties](Tychonoff+theorem#ProofViaTaimanovTheoremAndLiftingProperties)


## Related concepts

* [[factorization system]]
* [[homotopy lifting property]]
* [[Kan lift]]

* [[Joyal-Tierney calculus]]

[[!redirects lifts]]

[[!redirects lifting]]
[[!redirects liftings]]

[[!redirects lifting property]]
[[!redirects lifting properties]]

[[!redirects right lifting property]]
[[!redirects left lifting property]]
[[!redirects right lifting properties]]
[[!redirects left lifting properties]]


[[!redirects lifting problem]]
[[!redirects lifting problems]]


