
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--

## Idea

What is called the _21cm hydrogen line_ or just _hydrogen line_ is the signature of the [[electromagnetic radiation]] of [[wavelength]] about 21[[cm]] which is emitted by [[hydrogen]] [[atoms]] when the [[electrons]] in their shell change [[quantum state]] from the "triplet" to the singlet [[ground state]].

In the context of [[cosmology]] it has been argued ([Higan-Rees 79](#HiganRees79)) that observation of a absorption at the 21cm hydrogen line in the [[cosmic microwave background]] would be a signal the time when the first [[stars]] formed and ignited, a cosmological epoch not otherwise accessible to observation. A claim of detection of this signal by the [[EDGES]] [[experiment]] appeared in [BRMMM 18](#BRMMM18).

## Related entries

* [[observable universe]]

## References

### General

* Wikipedia, _[Hydrogen line](https://en.wikipedia.org/wiki/Hydrogen_line)_

* Hyperphysics, _[The Hydrogen 21-cm line](http://hyperphysics.phy-astr.gsu.edu/hbase/quantum/h21.html)_



### In astrophysics and cosmology
 {#ReferencesInAstrophysicsAndCosmology}

The suggestion that the 21cm hydrogen absorption line in the [[cosmic microwave background]] should be an interesting probe for early universe [[cosmology]] goes back to

* {#HiganRees79} C. J. Hogan, [[Martin Rees]], _Spectral appearance of non-uniform gas at high $z$_, Monthly Notices of the Royal Astronomical Society, Volume 188, Issue 4, 1 October 1979, Pages 791–798 ([doi:10.1093/mnras/188.4.791]( https://doi.org/10.1093/mnras/188.4.791))

Review includes

* {#PritchardLoeb11} Jonathan Pritchard, A. Loeb,  _21 cm cosmology in the 21st century_, Rep. Prog. Phys. 75, 086901 (2012) ([arXiv:1109.6012](https://arxiv.org/abs/1109.6012))

* Jonathan Pritchard, _Cosmological probes of inflation and the 21 cm line_ ([video recording](http://www.perimeterinstitute.ca/videos/cosmological-probes-inflation-and-21-cm-line))

* {#Zaroubi12} Saleem Zaroubi, _The Epoch of Reionization_, in Wiklind T., Mobasher B., Bromm V. (eds) _The First Galaxies_, Springer ([arXiv:1206.0267](https://arxiv.org/abs/1206.0267))

A claim of detection of the cosmological signal is due to

* {#BRMMM18} Judd D. Bowman, Alan E. E. Rogers, Raul A. Monsalve, Thomas J. Mozdzen,  Nivedita Mahesh, _An absorption profile centred at 78 megahertz in the sky-averaged spectrum_, Nature volume 555, pages 67–70 (01 March 2018) ([doi:10.1038/nature25792](https://www.nature.com/articles/nature25792))

Discussion of this claim incluces

* {#Falkowski18} [[Adam Falkowski]], _[21cm to dark matter](http://resonaances.blogspot.fr/2018/03/21cm-to-dark-matter.html)_, March 2018

[[!redirects hydrogen lines]]
