
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
#### Representation theory
+-- {: .hide}
[[!include representation theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The _equivariant Whitehead theorem_ is the generalization of the [[Whitehead theorem]] from ([[stable homotopy theory|stable]]) [[homotopy]] to ([[equivariant stable homotopy theory|stable]]) [[equivariant homotopy theory]].

$G$-[[homotopy equivalences|Homotopy equivalences]] $f \colon X \longrightarrow Y$ between [[G-CW complexes]] are equivalent to maps that induce [[weak homotopy equivalences]] $f^H \colon X^H \longrightarrow Y^H$ on all [[fixed point]] spaces for all [[closed topological space|closed]] [[subgroups|subgroups]] $H \hookrightarrow G$ ([Matumoto 71](#Matumoto71), [Waner 80, theorem 3.4](#Waner80), for review see [Blumberg 17, corollary 1.2.14](#Blumberg17)).

For maps $F \colon E \longrightarrow F$ between genuine [[G-spectra]], they are weak equivalences (isomorphisms in the [[equivariant stable homotopy category]]) if they induce isomorphisms on all [[equivariant homotopy group]] [[Mackey functors]] $\pi_n(f)\colon \pi_n(E) \longrightarrow \pi_n(F) $ (e. g. [Greenlees-May 95, theorem 2.4](#GreenleesMay95), [Bohmann, theorem 
3.2](#Bohmann)).

## Related concepts

* [[Elmendorf's theorem]]

* [[tom Dieck splitting]]

## References

The original proof seems to be due to

* {#Matumoto71} T. Matumoto, _Equivariant K-theory and Fredholm operators, J. Fac. Sci. Tokyo 18 (1971/72), 109-112 ([jairo](http://jairo.nii.ac.jp/0021/00002586/en))

streamlined in

* {#Waner80} [[Stefan Waner]], _Equivariant Homotopy Theory and Milnor's Theorem_, Transactions of the American Mathematical Society Vol. 258, No. 2 (Apr., 1980), pp. 351-368 ([JSTOR](http://www.jstor.org/stable/1998061))

and reviewed in

* {#Blumberg17} [[Andrew Blumberg]], _Equivariant homotopy theory_, 2017 ([pdf](https://www.ma.utexas.edu/users/a.debray/lecture_notes/m392c_EHT_notes.pdf), [GitHub](https://github.com/adebray/equivariant_homotopy_theory))

For the stable case:


* {#Bohmann} [[Anna Marie Bohmann]], _Basic notions of equivariant stable homotopy theory_, ([pdf](http://math.northwestern.edu/~bohmann/basicequivnotions.pdf))
