#Contents#
* table of contents
{:toc}

## Introduction

The Poincaŕe conjecture can be re-formulated as a conjecture concerning link diagrams. After recalling some preliminaries, we present this diagrammatic formulation.

## Kirby equivalence ##

The _framed Reidemeister moves_ on a link diagram are depicted [here](http://rwilliamson-mathematics.info/poincare_conjecture/nforum/framed_reidemeister_moves.pdf).

The _Kirby moves_ on a link diagram are depicted [here](http://rwilliamson-mathematics.info/poincare_conjecture/nforum/kirby_moves.pdf).

A pair of link diagrams are _Kirby equivalent_ if there is a finite sequence of framed Reidemeister moves and Kirby moves taking one to the other.

## Fundamental theorems on 3-manifolds

We shall rely on the following fundamental theorems, which allow for a diagrammatic approach to the Poincaré conjecture.

+-- {: .un_thm}
###### Theorem (Lickorish-Wallace)

Let $M$ be a closed, connected, orientable 3-manifold. There is a link diagram $L$ such that $M$ is isomorphic to the 3-manifold obtained by the integral Dehn surgery on $L$ in $S^{3}$ with respect to the blackboard framing of $L$.

=--

+-- {: .un_thm}
###### Theorem (Kirby)

Let $M_{0}$ and $M_{1}$ be closed, connected, orientable 3-manifolds. Let $L_{0}$ (respectively $L_{1}$) be a link diagram such that the 3-manifold obtained by the integral Dehn surgery on $L_{0}$ (respectively $L_{1}$) in $S^{3}$ with respect to the blackboard framing of $L_{0}$ (respectively $L_{1}$). Then $M_{0}$ is isomorphic to $M_{1}$ if and only if $L_{0}$ and $L_{1}$ are Kirby equivalent.

=--

## Fundamental group of a link diagram 

Let $L$ be a link diagram, with some choice of orientation. We denote the free group on the arcs of $L$ by $F(L)$. 

We define $\pi_{1}(L)$, the fundamental group of $L$, to be the quotient of $F(L)$ by the normal subgroup generated by words of the form $a_3 a_2^{-1} a_1^{-1} a_2$, for any crossing of $L$ as depicted [here](http://rwilliamson-mathematics.info/poincare_conjecture/nforum/labelled_crossing.pdf).

## Longitude of the component of a link diagram 

Let $L$ be a link diagram, with some choice of orientation. The longitude of a component of $L$ is defined to be the word $w$ which we obtain after carrying out the following procedure. 

1. Pick any arc of $L$, say $a$. Let $w$ be the empty word.
2. Walk around $L$, following the orientation. When we walk under an arc $b$, whether or not $b$ belongs to same component of $L$ or a different one, we add $b$ to the end of $w$ if the configuration of orientations at the crossing is as depicted in the first figure [here](http://rwilliamson-mathematics.info/poincare_conjecture/nforum/longitude.pdf), and add $b^{-1}$ to the end of $w$ if the configuration of orientations at the crossing is as depicted in the second figure [here](http://rwilliamson-mathematics.info/poincare_conjecture/nforum/longitude.pdf).
3. Stop when we return to the arc we started with, namely $a$.

The following is a consequence of the van Kampen theorem.

+-- {: .un_prop}
###### Proposition

Let $M$ be a closed, connected, orientable 3-manifold. Let $L$ be a link diagram such that the 3-manifold obtained by the integral Dehn surgery on $L$ in $S^{3}$ with respect to the blackboard framing of $L$ is isomorphic to $M$. Then the group $\pi_{1}(M)$ is isomorphic to the group $\pi_{1}(L) / \langle l_1, \ldots, l_n \rangle$, where $l_1$, $\ldots$, $l_{n}$ are the longitudes of the components of $L$, and $\langle l_1, \ldots, l_n \rangle$ is the normal subgroup generated by these.  

=--

## Diagrammatic formulation of the Poincaré conjecture

Let $M$ be a closed, connected $3$-manifold. The _Poincaré conjecture_ is that if $\pi_{1}(M)$ is trivial (that is to say, isomorphic to a group with one element), then $M$ is isomorphic to $S^{3}$. 

If $\pi_{1}(M)$ is trivial, then $M$ is orientable. It thus follows from the Lickorish-Wallace theorem, the Kirby theorem, the preceding proposition, and the fact that integral Dehn surgery on the empty link diagram gives $S^{3}$, that the Poincaré conjecture is equivalent to the following: if a link diagram $L$ has the property that the group $\pi_{1}(L) / \langle l_1, \ldots, l_n \rangle$ is trivial, then $L$ is Kirby equivalent to the empty link diagram.