# $\varepsilon$-numbers

* table of contents
{: toc}

## Definition

An **$\varepsilon$-number** is an [[ordinal number]], or more generally a [[surreal number]], $\alpha$, such that $\alpha = \omega^\alpha$, where $\omega$ is the first infinite ordinal.  In other words, it is a [[fixed point]] of the exponential map $\lambda x. \omega^x$.

## Properties

The ordinal $\varepsilon$-numbers are unbounded: for every ordinal $\beta$ there is an $\varepsilon$-number greater than $\beta$, namely the limit of the sequence $\beta, \omega^\beta ,\omega^{\omega^\beta},\dots$.  Thus, there are a proper class of ordinal $\varepsilon$-numbers, and their [[order type]] is the same as that of the ordinals themselves.  Hence, we can label them by writing $\varepsilon_n$ for the $n^{th}$ $\varepsilon$-number, where $n$ is any ordinal.

In particular, $\varepsilon_0$ is the first ordinal $\varepsilon$-number, namely the limit of the sequence $1,\omega, \omega^\omega ,\omega^{\omega^\omega},\dots$.  It may be tempting to write $\varepsilon_0$ as 
$$ \omega^{\omega^{\omega^{\dots}}} $$
but in fact *every* $\varepsilon$-number could be written in this way, so this notation does not specify a unique number.

Similarly, the surreal $\varepsilon$-numbers have the same order type as the surreals, and can be notated as $\varepsilon_n$ where $n$ is a surreal.

[[!redirects epsilon-number]]
[[!redirects epsilon-numbers]]
[[!redirects epsilon number]]
[[!redirects epsilon numbers]]
[[!redirects ε-number]]
[[!redirects ε-numbers]]
[[!redirects ε number]]
[[!redirects ε numbers]]
[[!redirects ϵ-number]]
[[!redirects ϵ-numbers]]
[[!redirects ϵ number]]
[[!redirects ϵ numbers]]
[[!redirects ϵ₀]]
[[!redirects ε₀]]
