
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
#### Lie theory
+--{: .hide}
[[!include infinity-Lie theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A special square array of [[Lie algebras]]/[[Lie groups]] labeled by pairs of [[normed division algebras]] and including all the [[exceptional Lie groups]] except [[G2]]. Three constructions give this square, namely, the Tits construction, the Vinberg construction and the triality construction (see [BaezMagic](#BaezMagic)).

[[Michael Atiyah]] ([AtiyahMagic](#AtiyahMagic)) has proposed using the magic square to explain the [[Kervaire invariant problem]] similarly to how the existence of the four normed division algebras explains the [[Hopf invariant one]] problem.

## Extensions

* Several mathematicians have constructed a larger triangle of Lie groups, known as the [[magic triangle]], which contains the magic square. 

* [[Michael Duff]] and colleagues ([ABDHN](#ABDHN)) have proposed a magic _pyramid_ whose base is the magic square.

* [[Bruce Westbury]] ([Westbury](#Westbury)) has proposed an extension to a $5 \times 5$-square with the new row and column indexed by the [[sextonion|sextonions]].

## Related concepts

* [[magic triangle]]

* [[magic pyramid]]

* [[magic supergravity]]


## References

Named after [[Hans Freudenthal]].

* Wikipedia, _[Freudenthal magic square](https://en.wikipedia.org/wiki/Freudenthal_magic_square)_

* {#Freudenthal65} [[Hans Freudenthal]], _Lie groups in the foundations of geometry_, Advances in Mathematics, volume 1, (1965) pp. 145 - 190 ([dspace](http://dspace.library.uu.nl/handle/1874/17442))

* {#BaezMagic} [[John Baez]], _4.3 The Magic Square_, [webpage](http://math.ucr.edu/home/baez/octonions/node16.html)

* {#AtiyahMagic} [[Michael Atiyah]], _The Geometry and Topology of the Freudenthal Magic Square_, [videos](http://webhost1.ust.hk/~ias/en/IAS_0910_MATH_seminar_abstract.pdf)

* {#Westbury} [[Bruce Westbury]], _Sextonions and the magic square_, ([pdf](http://homepages.warwick.ac.uk/~masdbn/sex2.pdf))

Discussion in relation to [[super Yang-Mills theory]], [[supergravity]] and [[U-duality]] includes

* [[Leron Borsten]], [[Michael Duff]], L. J. Hughes, S. Nagy, _A magic square from Yang-Mills squared_ ([arXiv:1301.4176](http://arxiv.org/abs/1301.4176))

* {#ABDHN} A. Anastasiou, [[Leron Borsten]], [[Michael Duff]], L. J. Hughes, S. Nagy, _A magic pyramid of supergravities_, [arXiv:1312.6523](http://arxiv.org/abs/1312.6523)

See also at _[[supersymmetry and division algebras]]_.


[[!redirects Freudenthal-Tits magic square]]

[[!redirects magic square]]
[[!redirects magic squares]]


