
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Manifolds and cobordisms
+--{: .hide}
[[!include manifolds and cobordisms - contents]]
=--
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The concept of _[[cobordism]]_ sits at a subtle connection between [[differential topology]]/[[differential geometry]] and [[stable homotopy theory]]/[[higher category theory]], this is the content of what is often called "cobordism theory". 

The insight goes back to the seminal thesis ([Thom 54](#Thom54)), which established that the [[Pontryagin-Thom construction]] exhibits the [[cobordism ring]], whose elements are cobordism [[equivalence classes]] of [[manifolds]], as the [[homotopy groups]] of a [[spectrum]], whence called the _[[Thom spectrum]]_. 

Via the [[Brown representability theorem]], the full [[Thom spectrum]] represents a [[generalized cohomology theory]], whence called _[[cobordism cohomology theory]]_. For every kind of topological structure carried by manifolds this has a variant, such as notably [[complex cobordism cohomology theory]]. These Thom spectra and their cobordism cohomology theories play a special role in [[stable homotopy theory]], for instance for the concepts of _[[orientation in generalized cohomology]]_ and the concept of _[[genus]]_.

A more recent refinement of this statement is (the proof of)  the [[cobordism hypothesis]] which identified the ([[framed manifold|framed]]) [[(∞,n)-category of cobordisms]] as the free [[symmetric monoidal (∞,n)-category with duals]] on a single object.

For more introduction see at _[[Introduction to Cobordism and Complex Oriented Cohomology]]_.

[[!include cobordism theory -- contents]]

## References

Original articles include

* {#Thom54} [[René Thom]], _Quelques propriétés globales des variétés différentiables_ Comment. Math. Helv. 28, (1954). 17-86

* {#Atiyah61} [[Michael Atiyah]], _Thom complexes_, Proc. London Math. Soc. (3), 11:291–310, 1961. 10 

Textbook accounts include

* [[Robert Stong]], _Notes on cobordism theory_ , Princeton Univ. Press  (1968) ([pdf](http://www.maths.ed.ac.uk/~aar/papers/stongcob.pdf))

* {#Kochmann96} [[Stanley Kochman]], chapters I and IV of _[[Bordism, Stable Homotopy and Adams Spectral Sequences]]_, AMS 1996

* {#Rudyak98} [[Yuli Rudyak]], _On Thom spectra, orientability and cobordism_, Springer Monographs in Mathematics, 1998 ([pdf](http://www.maths.ed.ac.uk/~aar/papers/rudyakthom.pdf))

Lecture notes include

* [[Tom Weston]], _An introduction to cobordism theory_ ([pdf](http://people.math.umass.edu/~weston/oldpapers/cobord.pdf)) 

* {#Francis3} [[John Francis]], _Topology of manifolds_ course notes (2010) ([web](http://math.northwestern.edu/~jnkf/classes/mflds/)), Lecture 2 _Cobordisms_ (notes by [[Owen Gwilliam]]) ([pdf](http://math.northwestern.edu/~jnkf/classes/mflds/2cobordism.pdf)), Lecture 3 _Thom's theorem_ (notes by A. Smith) ([pdf](http://math.northwestern.edu/~jnkf/classes/mflds/3thom.pdf))
 
* {#Malkiewich11} [[Cary Malkiewich]], _Unoriented cobordism and $M O$_, 2011 ([pdf](http://math.uiuc.edu/~cmalkiew/cobordism.pdf))
 
* {#Ebert12} [[Johannes Ebert]], _A lecture course on Cobordism Theory_, 2012 ([pdf](http://wwwmath.uni-muenster.de/u/jeber_02/skripten/bordism-skript.pdf))

* _[[Introduction to Cobordism and Complex Oriented Cohomology]]_

This one here includes the connection to the [[(infinity,n)-category of cobordisms]]

* [[Dan Freed]], _Bordism: old and new_, 2013 ([pdf](http://www.ma.utexas.edu/users/dafr/bordism.pdf))


For [[complex cobordism cohomology]] see there and see

* {#Adams74} [[Frank Adams]], part I, part II of _[[Stable homotopy and generalized homology]]_, Chicago Lectures in mathematics, 1974


