
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
=--
=--

This page collects links related to

* [[John Frank Adams]], 

  _Stable homotopy and generalized homology_, 

  Chicago Lectures in mathematics, 1974


on [[stable homotopy theory]] and [[generalised homology]] theory, with emphasis on [[complex cobordism cohomology theory|complex]] [[cobordism theory]], [[complex oriented cohomology theory]], and the [[Adams spectral sequence]]/[[Adams-Novikov spectral sequence]] (today: "[[chromatic homotopy theory]]").

Consists of three lectures, each meant to be readable on their own, and there is overlap in topics. It's part III that begins with an actual introduction to stable homotopy theory, and so the beginner might prefer to start reading with Part III. Also notice that on p. 87 it says that the material there in part II is to be regarded as superseding part I.

A very detailed and readable account based on these lectures is

* [[Stanley Kochmann]], _[[Bordism, Stable Homotopy and Adams Spectral Sequences]]_, AMS 1996

The big story emerging here was later further developed in

* [[Mike Hopkins]], _[[Complex oriented cohomology theories and the language of stacks]]_, 1999

* [[Doug Ravenel]], _[[Complex cobordism and stable homotopy groups of spheres]]_, 1986/2003

* [[Jacob Lurie]], _[[Chromatic Homotopy Theory]]_, 2010

This is about understanding the absolute base space [[Spec(S)]] by [[covering]] it with Spec([[MU]]). See at _[Adams spectral sequences -- As derived descent](Adams%20spectral%20sequence#DefinitionInHigherAlgebra)_.

#Contents#
* table of contents
{:toc}

## Part I

### 2. Cobordism groups

* [[cobordism ring]]

* [[cobordism theory]]

### 3. Homology

* [[Novikov operations]]

### 4. The Conner-Floyd Chern classes

* [[Conner-Floyd Chern class]]

### 5. The Novikov operations

### 6. The algebra of all operations

### 7. Scholium on Novikov's operations

### 8. Complex manifolds

* [[Umkehr map]]



## Part II -- Quillen's work on formal groups and complex cobordism
 {#PartII}

### 0. Introduction

### 1. Formal groups

* [[formal group law]]

### 2. Examples from algebraic topology

* [[complex oriented cohomology theory]]

* generalized [[Chern classes]]

### 3. Reformulation

* [[coalgebra]]

* [[Hopf algebra]]

### 4. Calculations in $E$-homology and cohomology

* [[universal coefficient theorem]]

* [[universal complex orientation on MU]] (Lemma 4.6, example 4.7)

### 5. Lazard's universal ring

* [[Lazard ring]]

### 6. More calculations in $E$-cohomology

* [[Hurewicz homomorphism]]

* [[Boardman homomorphism]]

* [[ordinary homology spectra split]]

* [[homology of MU]]

### 7. The structure of Lazard's universal ring $L$

* [[Lazard's theorem]]

### 8. Quillen's theorem

* [[Quillen's theorem on MU]]


### 9. Corollaries

### 10. Various formulae in $\pi_\bullet(MU)$

### 11. $MU_\bullet(MU)$

* [[Landweber-Novikov theorem]]

### 12. Behaviour of the Bott map

### 13. $K_\bullet(K)$

### 14. The Hattori-Stong theorem

### 15. Quillen's idempotent cohomology operations

### 16. The Brown-Peterson spectrum

* [[BP]]

### 17. $KO_\bullet(KO)$



## Part III
 {#PartIII}

### 1. Introduction

* [[smash product]] (of [[pointed topological spaces]])

### 2. Spectra

* [[spectrum]]

* [[Omega spectrum]]

* [[homotopy group of a spectrum]]

* [[suspension spectrum]]

* [[Thom spectrum]]

* [[Eilenberg-MacLane spectrum]]

* [[topological K-theory]]

* [[Thom spectrum]]

* [[cylinder spectrum]]

* [[generalized (Eilenberg-Steenrod) cohomology]]

* [[stable homotopy category]]

* [[cup product]]

* [[CW-spectrum]]

### 3. Elementary properties of the category of CW-spectra

* [[Adams category]]

> There is much to love in his book, but not in the foundational part on CW spectra. ([[Peter May]], [MO comment](http://math.stackexchange.com/a/53783/58526))

### 4. Smash products

* [[smash product of spectra]]

### 5. Spanier-Whitehead duality

* [[Spanier-Whitehead duality]]

### 6. Homology and cohomology

* [[generalized (Eilenberg-Steenrod) cohomology]]

* [[Brown's representability theorem]]

* [[stable cohomotopy]]

* [[stable homotopy groups of spheres]]

* [[topological K-theory]]

### 7. The Atiyah-Hirzebruch spectral sequence

* [[exact couple]]

* [[spectral sequence]]

* [[Atiyah-Hirzebruch spectral sequence]]

### 8. The inverse limit and its derived functors

* [[derived functor]], [[homotopy limit]]

### 9. Products

* [[cup product]]

### 10. Duality in manifolds

* [[ring spectrum]], [[module spectrum]]

* [[orientation in generalized cohomology]]

### 11. Applications in K-theory

### 12. The Steenrod algebra and its dual

* [[Steenrod algebra]]

### 13. A universal coefficient theorem

* [[universal coefficient theorem]]

### 14. A category of fractions

What Adams tries to construct here -- the [[localization]] of the [[stable homotopy category]] at the class of $E$-equivalences -- was later constructed by ([Bousfield 79](Bousfield+localization+of+spectra#Bousfield79)). See at _[[Bousfield localization of spectra]]_. 

### 15. The Adams spectral sequence

* [[Adams spectral sequence]]

### 16. Applications to $\pi_\bullet(bu \wedge X)$; modules over $K[x,y]$

### 17. Structure of $\pi_\bullet(bu \wedge bu)$

category: reference

[[!redirects Stable homotopy and generalized homology]]
