[[!redirects The Music of the Spheres]]

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}


## Idea

### Ancient idea

<div style="float:right;margin:0 10px 10px 0;"> <img src="http://www.crystalinks.com/harmonyspheresalchemy.jpg" width="150" />  </div>

In ancient times, _Musica Universalis_ or _Music of the Spheres_ referred to a philosophical concept that regards proportions of orbits in the [[solar system]] as exhibiting a cosmic harmony ([Plato 380BC](#Plato380bc)).


<div style="float:right;margin:0 10px 10px 0;"> <img src="https://ncatlab.org/nlab/files/KeplerPlatonic.jpg" width="200" />  </div>

[[Johannes Kepler]] proposed that this is governed by the shape of the [[platonic solid|Platonic solids]] ([Kepler 1596](#Kepler1596)).


### Modern idea

<div style="float:right;margin:0 10px 10px 0;"> <img src="https://ncatlab.org/nlab/files/HopfFibration.jpg" width="200" />  </div>
More recently, it was suggested that the term refers to the [[stable homotopy groups of spheres]] $\pi_\bullet(\mathbb{S})$ and the absolute [[E-∞ geometry]] over [[Spec(S)]] as seen by the [[MU]]-[[Adams spectral sequence]].


> My initial inclination was to call this book [[The Music of the Spheres]], but I was dissuaded from doing so by my diligent publisher, who is ever mindful of the sensibilities of librarians. ([Ravenel 86, preface](#Ravenel86))

Modern [[chromatic homotopy theory]] makes contact between this kind of music and [[physics]]: 

1. the [[A-hat genus]] ([[partition function]] of the [[spinning particle]]) appears in the first chromatic level of the spheres;

1. the [[Witten genus]] ([[partition function]] of the [[spinning string]]) appears in the second chromatic level of the spheres.

Modern [[equivariant stable homotopy theory]] makes contact between this kind of music and Kepler's proposal: 

* the [[equivariant sphere spectrum|equivariance]]  of the [[quaternionic Hopf fibration]] under the [[symmetry groups]] of the [[platonic solid|Platonic solids]] ([[icosahedral group]], [[octahedral group]], [[tetrahedral group]]) makes further [[equivariant stable homotopy groups]] of spheres appear, see at _[quaternionic Hopf fibration -- class in equivariant stable homotopy theory](quaternionic%20Hopf%20fibration#ClassInEquivariantStableHomotopyTheory)_.

> For whatever it's worth, all these items come together in the _[[schreiber:Equivariant cohomology of M2/M5-branes]]_

## Refrences

* Wikipedia, _[Musica universalis](https://en.wikipedia.org/wiki/Musica_universalis)_

* {#Plato380bc} [[Plato]], _[[Republic]]_

* {#Kepler1596} [[Johannes Kepler]], _[Mysterium Cosmographicum](https://en.wikipedia.org/wiki/Mysterium_Cosmographicum)_, 1595

* {#Ravenel86} [[Doug Ravenel]], _[[Complex cobordism and stable homotopy groups of spheres]]_, 1986/2003