
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The _Adams category_, named after ([Adams 74](#Adams74)), was historically one of the first constructions of the [[stable homotopy category]], following ideas in ([Boardman 65](#Boardman65)), see ([Lewis-May-Steinberger 86, pages 1-2](#LewisMaySteinberger86)) for recollection of the historical development and critical comments on the definition.

The Adams category is defined to be the category of [[CW-spectra]] together with [[left homotopy|left]] [[homotopy classes]] (via [[cylinder spectra]]) of "eventually defined" functions between them.

This was originally advertised as being a definition not involving tools from [[category theory]]. Arguably this is also its main deficiency when it comes to working with it (this is the "polemic" of [Lewis-May-Steinberger 86, preamble](#LewisMaySteinberger86)). For modern alternatives see at _[[stable homotopy category]]_.

## References

The definition is due to

* {#Adams74} [[Frank Adams]], Part III, section 2 of _[[Stable homotopy and generalised homology]]_, 1974

following

* {#Boardman65} [[Michael Boardman]], _Stable homotopy theory_, mimeographed notes, University of Warwick, 1965 onward

The term "Adams category" for this starts to be used for instance in 

* [[Harold Hastings]], _On function spectra_, Proceedings of the AMS, volume 44, Number 1, May 1974 ([pdf](http://www.ams.org/journals/proc/1974-044-01/S0002-9939-1974-0343258-4/S0002-9939-1974-0343258-4.pdf))

An account following ([Adams 74](#Adams74)) is also in 

* {#Switzer75} [[Robert Switzer]], section 8 of _Algebraic Topology - Homotopy and Homology_, Die  Grundlehren der Mathematischen Wissenschaften in Einzeldarstellungen, Vol. 212, Springer-Verlag, New York, N. Y., 1975. 

Comments on the historical development are in

* {#LewisMaySteinberger86} [[L. Gaunce Lewis]], [[Peter May]], M. Steinberger, preamble of  _Equivariant stable homotopy theory_, Springer Lecture Notes in Mathematics, 1986 ([pdf](http://www.math.uchicago.edu/~may/BOOKS/equi.pdf))

in the spirit of

> There is much to love in [[Stable homotopy and generalised homology|Adams'  book]], but not in the foundational part on CW spectra. ([[Peter May]], [MO comment](http://math.stackexchange.com/a/53783/58526))


More recent textbook accounts include

* {#Kochmann96} [[Stanley Kochmann]], section 3.3 of _[[Bordism, Stable Homotopy and Adams Spectral Sequences]]_, AMS 1996

Lecture notes include

* [[Cary Malkiewich]], section 2.1 of _The stable homotopy category_, 2014 ([pdf](http://math.stanford.edu/~carym/stable.pdf))



[[!redirects Adams' category]]
