>Let $M$ be a smooth manifold without boundary and denote by $\mathcal{O}(M)$ the poset of open subsets of $M$, as defined in [Wei99](#Wei99), ordered by inclusion. Manifold calculus is a way to study (say, the homotopy type of) contravariant functors $F$ from $\mathcal{O}(M)$ to spaces which take isotopy equivalences to (weak) homotopy equivalences. In essence, it associates to such a functor a tower - called the Taylor tower - of polynomial approximations which in good cases converges to the original functor, very much like the approximation of a function by its Taylor series. ([BriWei](#BriWei))

In [BriWei](#BriWei) the authors develop an enriched version.


##Related concepts

* [[Goodwillie calculus]]
* [[orthogonal calculus]]
* [[Weiss topology]]

##References

* {#Wei99} [[Michael Weiss]], _Embeddings from the point of view of immersion theory I_, Geom. Topol. 3 (1999), 67–101
*  [[Thomas Goodwillie]], [[Michael Weiss]], _Embeddings from the point of view of immersion theory, Part II_, Geometry and Topology 3 (1999), 103-118.
* {#BriWei} Pedro Boavida de Brito, [[Michael Weiss]], _Manifold calculus and homotopy sheaves_, ([arXiv:1202.1305](http://arxiv.org/abs/1202.1305))
* [[Hiro Lee Tanaka]], _Manifold calculus is dual to factorization homology_, [pdf](http://math.mit.edu/conferences/talbot/2012/notes/14_Tanaka_FactorizationHomology%28hiro%29.pdf)