A noncommutative algebra $A$ is called the quantum/quantized coordinate ring if it is a deformation of a (commutative) coordinate ring of some affine or, in graded case, projective variety. The expression __quantized coordinate ring__ may be considered a synonym, but can also denote more generally a deformation of some other function algebra, say a $C^\ast$-algebra of functions on some compact Hausdorff topological space.

Most often these terms are used in quantum group theory. If $G$ is an algebraic group, then its coordinate ring is usually denoted by $\mathcal{O}(G)$ or $Fun(G)$ and is a Hopf algebra. There is a pairing between $\mathcal{O}(G)$ and $U(g)$ where $g$ is the Lie algebra of $G$ hence the consideration of the function algebra is essentially dual to the consideration of the universal enveloping algebra $U(g)$ of $g$.
If $q$ is a deformation parameter, then there is a 1-parametric deformation $\mathcal{O}(G_q)$ (also denoted $\mathcal{O}_q(G)$) called the quantized function algebra on $G_q$ (or quantized coordinate ring of $G_q$) which is also a Hopf algebra. One considers $G_q$ as a quantum group; the approach via $\mathcal{O}(G_q)$ is dual to the approach via the quantized enveloping algebra $U_q(g)$.

Most well known approach to $\mathcal{O}(G_q)$ is the FRT construction

* N. Yu. Reshetikhin, L. A. Takhtajan, L. D. Faddeev, Quantization of Lie groups and Lie algebras, Algebra i analiz 1, 178 (1989) (Russian), English translation in Leningrad Math. J. 1.

and via the matrix elements of representations (using the analogue of the Peter-Weyl theorem)

* A. Joseph, Quantum groups and their primitive ideals, Springer 1995.

Some special cases can be introduced via construction of universal coacting bialgebras, for example the [[quantum linear group]]s in the approach of 

* [[Yu. I. Manin]], Quantum groups and non-commutative geometry, CRM, Montreal 1988.

[[!redirects quantum coordinate ring]]
[[!redirects quantized coordinate ring]]