__Quantized enveloping algebras__ are certain deformations of the universal enveloping algebras of semisimple Lie algebras considered as Hopf algebras. They were first introduced by Drinfeld and Jimbo.

There are several variants. The deformation can be understood in $h$-adic sense (Drinfeld's approach, $U_h(g)$) where in the classical case $h$ tends to $0$, or one can introduce a parameter $q$ which in the classical case tends to $1$. In the latter case, the parameter can be formal, 
say we work over $k[q,q^{-1}]$ where $k$ is the ground ring what is accomplished by defining so called rational form $U_q(g)$ of the quantized enveloping algebra. There is also an integral form over $\mathbb{Z}[q,q^{-1}]$, introduced by Lusztig. The parameter can be also specialized to a value in the field where the simplest case is when $q$ is transcendental. 
In the case when
$q = \epsilon$ is a primitive root of unity several variants exist (e.g. restricted and nonrestricted variants). The behaviour usually differs notably between the even and odd primitive roots of unity.

Special care should be made when defining the quantized enveloping algebras for $q = 0$. This crystal limit is very important as it lead to the discovery of the canonical/crystal bases of Lusztig and Kashiwara. 

__Quantized coordinate rings__ of quantum groups are essentially dual to the corresponding quantized enveloping algebras. 

* [[Vladimir Drinfel'd|V. G. Drinfel’d]], _Quantum groups_, Proceedings of the International Congress of Mathematicians 986, Vol. 1, 798–820, AMS 1987, [djvu:1.3M](http://www.mathunion.org/ICM/ICM1986.1/Main/icm1986.1.0798.0820.ocr.djvu), [pdf:2.5M](http://www.mathunion.org/ICM/ICM1986.1/Main/icm1986.1.0798.0820.ocr.pdf)

* Michio Jimbo, _A $q$-difference analogue of $U(\mathfrak{g})$ and the Yang-Baxter equation, Lett. Math. Phys. 10 (1985), no. 1, 63–69. 

* J.C. Jantzen, _Lectures on quantum groups_, Grad. Stud. Math. 6, Amermer. Math. Soc. 1996

* Ch. 4 of [[Shahn Majid]], _Foundations of quantum group theory_, Cambridge University Press 1995, 2000.

* [[George Lusztig]], _Introduction to quantum groups_

* V. Chari, A. Pressley, _A guide to quantum groups_, Camb. Univ. Press 1994 

[[!redirects quantized enveloping algebras]]