Let $G$ be a group and $0$, a separate symbol. Then the set $G\cup 0$
is a semigroup with $0$ with respect to the operation extending the multiplication in $G$ by the rule $0 g = g 0 = 0 0 = 0$ for all $g\in G$. The same is actually true even if $G$ is a semigroup.

In his 1940 article, Rees introduced matrix semigroups starting with 
a semigroup with $0$ two sets $I$ and $\Lambda$ and a matrix $p$ with labels in $\Lambda\times I$ and values $p_{\lambda i}$ in $G \cup 0$. A Rees matrix is a rectangular matrix with values in $G$ which has at most only one nonzero entry.
The elements of the Rees matrix semigroup $M(G, I,\Lambda,p)$ are all possible Rees $I\times \Lambda$ matrices with values in $G$ with multiplication $a \circ b = a p b$ (with usual multiplication of matrices, where obvious auxiliary addition is taken, where never more than one element is nonzero).

In the same article he characterized a class of 0-simple regular semigroups and made steps useful for classification of some types of simple semigroups.

Important role in the theory of Rees matrix semigroups is played by primitive idempotents. A theorem of Rees in that context is an analogue of the second Wedderburn theorem in the theory of simple associative algebras where [[primitive idempotent]]s play a major role.  

Brandt groupoids (whose data are equiavlent to the connected groupoids in the modern sense) are very simple subcase of Rees matrix semigroups. In that case $p$ is the Kronecker matrix. 

* the current wikipedia article has errors (for example no condition on zeros in $p$ is made) [Rees matrix semigroup](https://en.wikipedia.org/wiki/Rees_matrix_semigroup)
* A. H. Clifford, G. B. Preston, _The algebraic theory of semigroups_, vol. 1
* [[David Rees]], On semi-groups 3, Proc. Cambridge. Math. Soc. 387–400 (1940)
* John M. Howie, _Fundamentals of semigroup theory_, Clarendon Press 1995 

category: algebra
[[!redirects Rees matrix semigroups]]