
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cobordism theory
+--{: .hide}
[[!include cobordism theory -- contents]]
=--
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

$MU$ is the universal [[Thom spectrum]] for [[complex vector bundles]]. It is the spectrum [[Brown representability theorem|representing]] _complex [[cobordism cohomology theory]]_. It is the complex analog of [[MO]]. 


[[MR cohomology theory]], or _real cobordism_, ([Landweber 68](#Landweber68), [Landweber 69](#Landweber69)) is the $\mathbb{Z}_2$-[[equivariant cohomology theory]] version of $MU$ [[complex cobordism cohomology theory]]. 

## The $M U$ spectrum 

The spectrum denoted $M U$
is, as a [[sequential spectrum]], in degree $2 n$ given by the [[Thom space]] of the underlying real vector bundle of the complex [[universal vector bundle]]:  the [[vector bundle]] that is  [[associated bundle|associated]] by the defining [[representation]] of the [[unitary group]] $U(n)$ on $\mathbb{C}^n$ to the $U(n)$-[[universal principal bundle]]:

$$
  M U(2n) = Thom
  \left(
    standard\;associated\;bundle\;to\;universal\;bundle
    \array{
      E U(n) \\ \downarrow \\ B U(n)
    }
  \right)
$$

A priori this yields a  [sequential S2-spectrum](Introduction+to+Stable+homotopy+theory+--+1#SequentialTSpectra), which is then turned into a sequential $S^1$-spectrum by taking the component spaces in odd degree to be the [[smash product]] of the [[circle]] $S^1$ with those in even degree.


This represents a [[complex oriented cohomology theory]] and indeed the universal one among these, see at _[[universal complex orientation on MU]]_.

The _periodic_ complex cobordism theory is given by adding up all the even degree powers of this theory:

$$
  M P = \vee_{n \in \mathbb{Z}} \Sigma^{2 n} M U
$$


The [[cohomology ring]] $M P({*})$ is the [[Lazard ring]] which is the universal coefficient ring for [[formal group laws]], see at _[[Milnor-Quillen theorem on MU]]_ .

The [[periodic cohomology theory|periodic]] version is sometimes written $PMU$.



## Properties

### Homotopy groups: Cobordism and Lazard ring

The [[graded ring]] given by evaluating complex cobordism theory on the point is both the complex [[cobordism ring]] as well as the [[Lazard ring]] classifying [[formal group laws]].

+-- {: .num_theorem #RelationToCobordismRing}
###### Theorem

Evaluation of $MU$ on the point yields the complex [[cobordism ring]], whose underlying group is

$$
  \pi_\ast MU \simeq MU_\ast(pt) \simeq \mathbb{Z}[x_1, x_2, \cdots]
  \,,
$$

where the generator $x_i$ is in degree $2 i$.

=--

This is due to ([Milnor 60](#Milnor60), [Novikov 60](#Novikov60), [Novikov 62](#Novikov62)). A review is in ([Ravenel theorem 1.2.18](#Ravenel), [Ravenel, ch. 3, theorem 3.1.5](#Ravenel)).


The [[formal group law]] associated with $MU$ as with any [[complex oriented cohomology theory]] is classified by a [[ring]] [[homomorphism]] $L \longrightarrow \pi_\bullet(MU)$ out of the [[Lazard ring]].

+-- {: .num_theorem}
###### Theorem

This canonical [[homomorphism]] is an [[isomorphism]]

$$
  L \stackrel{\simeq}{\longrightarrow} \pi_\bullet(MU)
$$

between the [[Lazard ring]] and the $MU$-[[cohomology ring]], hence by theorem \ref{RelationToCobordismRing} with the complex [[cobordism ring]].

=--

This is [[Quillen's theorem on MU]].
(e.g [Lurie 10, lect. 7, theorem 1](#LurieLect7))


### Universal complex orientation on $M U$
 {#UniversalComplexOrientation}

There is a canonical [[complex oriented cohomology theory|complex orientation]] on $MU$ obtained from the map

$$
  \omega : \mathbb{C}P^\infty \stackrel{\simeq}{\to}
  M U(1)
  \;\;\;\;
  M U(\mathbb{C}P^\infty)
$$


For $E$ an [[E-infinity ring]] there is a [[bijection]] between [[complex oriented cohomology theory|complex orientation]] of $E$ and [[E-infinity ring]] maps of the form

$$
  MU \longrightarrow E
  \,.
$$

(e.g [Lurie 10, lect. 6, theorem 8](#LurieLect6), [Ravenel, chapter 4, lemma 4.1.13](#Ravenel))

See also at _[[complex orientation and MU]]_.


### $MU$-homology of a manifold: Cobordisms in $X$

For $X$ a [[manifold]], the $MU$-homology [[group]] $MU_\ast(X)$ of its underlying [[homotopy type]] is the group of equivalence classes of maps $\Sigma \to X$ from manifolds $\Sigma$ with [[complex structure]] on the stable [[normal bundle]], modulo suitable complex [[cobordisms]].

e.g ([Ravenel chapter 1, section 2](#Ravenel))

(...)



### $MU$-homology of $MU$: Hopf algebroid structure on dual Steenrod algebra

Moreover, the dual $MU$-[[Steenrod algebra]] $MU_\bullet(MU)$
forms a [[commutative Hopf algebroid]] over the [[Lazard ring]]. 
This is the content of the _[[Landweber-Novikov theorem]]_.



### Nilpotence theorem

* [[nilpotence theorem]]

### Snaith's theorem

[[Snaith's theorem]] asserts that the [[periodic complex cobordism spectrum]] is the [[∞-group ∞-ring]] of the [[classifying space]] for stable [[complex vector bundles]] (the classifying space for [[topological K-theory]]) localized at the [[Bott element]] $\beta$:

$$
  PMU \simeq \mathbb{S}[B U][\beta^{-1}]
  \,.
$$

### $p$-Localization and Brown-Peterson spectrum

The [[p-localization]] of $MU$ decomposes into the 
[[Brown-Peterson spectra]].

## Related concepts

* [[MO]], [[MSp]], [[MSpin]]

## References

### General

* {#Adams74} [[Frank Adams]], _Stable homotopy theory and generalized homology_, Chicago lectures in mathematics, 1974

* {#Landweber70} [[Peter Landweber]], _On the complex bordism and cobordism of infinite complexes_, Bull. Amer. Math. Soc. Volume 76, Number 3 (1970) ([Euclid](http://projecteuclid.org/euclid.bams/1183531832)) 

* {#Ravenel} [[Doug Ravenel]], _[[Complex cobordism and stable homotopy groups of spheres]]_, 1986

* {#EKMM97} [[Anthony Elmendorf]], [[Igor Kriz]], [[Michael Mandell]], [[Peter May]], section VIII of _[[Rings, modules and algebras in stable homotopy theory]]_ 1997 ([pdf](http://www.math.uchicago.edu/~may/BOOKS/EKMM.pdf))

* {#Hopkins99} [[Mike Hopkins]], section 4 of _Complex oriented cohomology theories and the language of stacks_, course notes 1999 ([pdf](http://www.math.rochester.edu/u/faculty/doug/otherpapers/coctalos.pdf))

* [[Jacob Lurie]], _[[Chromatic Homotopy Theory]]_ Lecture series ([lecture notes](http://www.math.harvard.edu/~lurie/252x.html)), Lecture 5 _Complex bordism_ 
([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture5.pdf))

* {#LurieLect6} [[Jacob Lurie]], _[[Chromatic Homotopy Theory]]_ Lecture series ([lecture notes](http://www.math.harvard.edu/~lurie/252x.html)) Lecture 6 _MU and complex orientations_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture6.pdf)) 
  

* {#LurieLect7} [[Jacob Lurie]], _[[Chromatic Homotopy Theory]]_ Lecture series ([lecture notes](http://www.math.harvard.edu/~lurie/252x.html)),  Lecture 7 _The homology of MU_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture7.pdf))
 

* [[Manifold Atlas]], _[Complex bordism](http://www.map.mpim-bonn.mpg.de/Complex_bordism)_


* [[Neil Strickland]], _Products on $MU$-modules_ ([pdf](http://hopf.math.purdue.edu/Strickland/mult.pdf))

* [[Jesse McKeown]], _Complex Cobordism vs. Representing Formal Group Laws_ ([arXiv:1605.09252](http://arxiv.org/abs/1605.09252))


For general discussion of equivariant complex oriented cohomology see at _[equivariant cohomology -- References -- Complex oriented cohomology](equivariant+cohomology#InComplexOrientedGeneralizedCohomologyTheory)_

### Relation to CFT

A relation to [[2d CFT]] over [[Spec(Z)]] was suggested in

* Toshiyuki Katsura, Yuji Shimizu, [[Kenji Ueno]], _Complex cobordism ring and conformal field theory over $\mathbb{Z}$_, Mathematische Annalen
March 1991, Volume 291, Issue 1, pp 551-571 ([journal](http://link.springer.com/article/10.1007%2FBF01445226))




[[!redirects complex cobordism spectrum]]

[[!redirects periodic complex cobordism spectrum]]

[[!redirects complex cobordism cohomology theory]]
[[!redirects complex cobordism]]

[[!redirects complex bordism]]

[[!redirects complex cobordism cohomology]]
[[!redirects complex cobordism cohomology theory]]

[[!redirects MU]]

[[!redirects complex cobordism theory]]
