##Idea

Let $\mathcal{X}$ be an $\infty$-topos and let $\mathcal{Y} \subseteq \mathcal{X}$ be an [[accessible (∞,1)-category|accessible]] left exact localization of $\mathcal{X}$. We say that $\mathcal{Y}$ is a **cotopological localization** of $\mathcal{X}$ if the left adjoint $L : \mathcal{X} \to \mathcal{Y}$ to the inclusion of $\mathcal{Y}$ in $\mathcal{X}$ satisfies either of the following equivalent conditions:

1. For every monomorphism $u$ in $\mathcal{X}$, if $L^{\ast}u$ is an equivalence in $\mathcal{Y}$, then $u$ is an equivalence in $\mathcal{X}$.

1. For every morphism $u \in \mathcal{X}$, if $L^{\ast}u$ is an equivalence in $\mathcal{Y}$, then $f$ is ∞-connective.


The [[hypercompletion]] $\mathcal{X}^{\wedge}$ of an ∞-topos $\mathcal{X}$ can be characterized as the maximal cotopological localization of $\mathcal{X}$ (that is, the cotopological localization which is obtained by inverting as many morphisms as possible).

Every [[localization of an (∞,1)-category|localization]] can be obtained by combining [[topological localization|topological]] and cotopological localizations.

##Examples 

In the context of the [[Goodwillie calculus]], the whole [[Goodwillie-Taylor tower]] consists of cotopological localizations of the classifying ∞-topos for pointed ∞-connective objects.

##Related concepts

* [Whitehead theorem in $(\infty,1)$-toposes](Whitehead+theorem#in_general_toposes)

##References

* 6.5.2.17 of [[Higher Topos Theory]]
