
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
#### Manifolds and cobordisms
+--{: .hide}
[[!include manifolds and cobordisms - contents]]
=--
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
=--
=--

This page collects material related to the book

* [[Stanley Kochmann]], 

  _Bordism, Stable Homotopy and Adams Spectral Sequences_, 

  Fields Institute Monographs

  American Mathematical Society, 1996

on [[cobordism theory]], [[stable homotopy theory]], [[complex oriented cohomology]], and the [[Adams spectral sequence]].

> The approach to stable homotopy presented in this book originated with graduate courses taken by the author at the University of Chicago from 1966 to 1970 given by [[Frank Adams]], Arunas Liulevicius and [[Peter May]]. The content of the  lectures by Adams have been published in $[$Adams: _[[Stable homotopy and generalised homology]]_ (1974)$]$. However, the content of the courses given by Liulevicius on bordism and by May on characteristic classes and on the Adams spectral sequence have not been published. Most of the material in the first four chapters has been given by the author as graduate courses at Yale University, Purdue University and the University of Western Ontario. (Kochmann, p. 13)


#Contents#
* table of contents
{:toc}

## 1 Bordism

* [[cobordism theory]]

### 1.2 Manifolds

* [[smooth manifold]]

* [[Whitney embedding theorem]]

* [[tubular neighbourhood]]

### 1.3 Classifying spaces

* [[Stiefel manifold]]

* [[Grassmannian]]

* [[vector bundle]]

* [[classifying space]]

* [[universal vector bundle]]


### 1.4 Manifolds with $(B,f)$-structure


* [[G-structure]] on [[normal bundle]]

* [[framed manifold]]

* [[orientation]]

* [[almost complex structure]]

### 1.5 Pontrjagin-Thom Theorem

* [[cobordism]]

* [[cobordism ring]]

* [[Pontryagin-Thom collapse map]]

* [[Thom spectrum]]

* [[Thom's theorem]]

* [[stable homotopy groups of spheres]]

## 2 Characteristic Classes

### 2.1 Introduction

### 2.2 Serre spectral sequence

* [[exact couple]]

* [[Serre spectral sequence]]

* [[Gysin sequence]]

### 2.3 Cohomology of classifying spaces

* [[characteristic classes]], [[universal characteristic class]]

* [[Chern classes]]

* [[splitting principle]]

* [[Stiefel-Whitney classes]]

### 2.4 Homology of Classifying spaces

### 2.5 Steenrod algebra

* [[Steenrod algebra]]

### 2.6 Homology of Thom spectra

* [[Thom isomorphism]]

* [[homology of MU]]

## 3 Stable Category

### 3.2 Underlying theorems

* [[Serre long exact sequence]]

* [[Freudenthal suspension theorem]]

* [[Blakers-Massey theorem]]

* [[fiber sequence]]

* [[long exact sequence of homotopy groups]]

### 3.3 Spectra

* [[spectrum]], [[Omega-spectrum]]

* [[coordinate-free spectrum]]

* [[ring spectrum]] as [[functor with smash products]]

* [[Adams category]]

* [[Whitehead theorem]]

* [[stable homotopy category]]

### 3.4 Generalized homology

* [[generalized homology]]

* [[generalized (Eilenberg-Steenrod) cohomology]]

* [[Brown representability theorem]]

### 3.5 Eilenberg-MacLane spectra

* [[Eilenberg-MacLane spectrum]]

### 3.6 Adams spectral sequence

* [[Adams resolution]]

* [[Adams spectral sequence]]

### 3.7 Homotopy of Thom spectra

* [[change of rings theorem]]

* [Thom's theorem on MO](MO#ThomTheoremOnMO)

* [[Milnor-Quillen theorem on MU]]

## 4 Complex Bordism

### 4.2 Atiyah-Hirzebruch spectral sequences

* [[lim^1 and Milnor sequences]]

* [[Atiyah-Hirzebruch spectral sequence]], [[multiplicative spectral sequence|multiplicative]]

* [[Kronecker pairing]]

### 4.3 MU characteristic classes

* [[complex oriented cohomology]]

* multiplicative cohomology of $B U(1)$ (prop. 4.3.2, this is lemma 2.5 in part II of [[John Adams]], _[[Stable homotopy and generalised homology]]_)

* [[Conner-Floyd Chern classes]]

* [[cap product]]

* [[orientation in generalized cohomology]]

* [[fiber integration in generalized cohomology]]

* [[Boardman homomorphism]]

* [[homology of MU]]

### 4.4 Formal products 

* [[formal group law]]

* [[universal complex orientation on MU]]

* [[Lazard ring]]

* [[Lazard's theorem]]

* [[Quillen's theorem on MU]]

### 4.5 MU operation

* [[cohomology operations]]

### 4.6 Brown-Peterson spectra

* [[Brown-Peterson spectrum]]

### 4.7 Adams-Novikov spectral sequence

* [[Adams-Novikov spectral sequence]]

* the computation sketched after "we show that $\pi_1S = Z/2$" is the one that is spelled out for instance in ([Bruner 09, pages 2-4](classical+Adams+spectral+sequence#Bruner09))

## 5 Computing Stable Stems

* [[stable homotopy groups of spheres]]

* [[classical Adams spectral sequence]]

* [[Adams-Novikov spectral sequence]]

### 5.2 Lambda algebras

* [[Lambda algebra]]

* [[EHP spectral sequence]]

* [[Curtis algorithm]]

### 5.3 May spectral sequences

* [[spectral sequence of a filtered complex]]

* [[May spectral sequence]]

### 5.4 Massey products

* [[Massey product]]

### 5.5 The Lambda Complex $\Gamma^\ast$

### 5.6 The Lambda Complex $\Gamma^\ast_{BP}$

* [[Adams-Novikov spectral sequence]]

### 5.7 Toda brackets and stable stems

* [[Toda bracket]]

* [[stable stem]]

## Errata
 {#Errata}

* p. 36, second line: on the right replace $p$ by $p-1$, i.e. replace $\pi_p \colon G^n \to D^{p,n-p}$ by $\pi_{p-1} \colon G^n \to D^{p-1,n-p+1}$ (see end of the proof on the same page)

* p. 41, second diagram: the top horizontal moprhism is missing a superscript star.

* p. 192, second displayed formula from below: The expression for $Cotor$ on the left has a superfluous argument $A$.

* p. 199, the spectral sequence in prop. 5.3.1 converges not to the cobar complex, but to the cohomology of that complex, namely to $Cotor_{\mathcal{A}^\ast}(\mathbb{Z}/2, \mathbb{Z}/2)$ (as shown correctly in the paragraph just before);

* p. 199, very last line: $E_0$ must be $E^0$ (not the 0-page of the spectral sequence, but the associated graded module, as defined on p. 198)

category: reference