In a [[poset]] or even [[proset]], an __upper set__ $U$ is a [[subset]] that is 'upwards closed'; that is,

*  whenever $x \leq y$ and $x \in U$, then $y \in U$.

Upper sets form a [[Moore collection]] and so one can speak of the upper set _generated_ by an arbitrary subset $A$:
$$ A{\uparrow} = \{ y \;|\; \exists x,\; x \in A \;\wedge\; x \leq y \} .$$

Sometimes an upper set is called a 'filter', but that term can also mean [[filter|something more specific]] (and always does in a [[lattice]]).

An upper set is also sometimes called an 'up set', but that term can also mean something more specific: the [[up set]] of $x$ is the upper set generated by $x$.

An [[inhabited subset|inhabited]], [[open subset|open]] upper set of [[rational numbers]] (or equivalently of [[real numbers]]) determines precisely an [[upper real number]].

The upper sets form a [[topological structure]] on (the [[underlying set]] of) the proset, called the [[Alexandroff topology]].


[[!redirects upper set]]
[[!redirects upper sets]]
[[!redirects upper subset]]
[[!redirects upper subsets]]
