
In a [[poset]] or even [[proset]], a __lower set__ $L$ is a [[subset]] that is 'downwards closed'; that is,

*  whenever $y \leq x$ and $x \in L$, then $y \in U$.

Lower sets form a [[Moore collection]] and so one can speak of the lower set _generated_ by an arbitrary subset $A$:
$$ A{\downarrow} = \{ y \;|\; \exists x,\; x \in A \;\wedge\; y \leq x \} .$$

Sometimes a lower set is called an 'ideal', but that term can also mean [[ideal|something more specific]] (and always does in a [[lattice]]).

A lower set is also sometimes called a 'down set', but that term can also mean something more specific: the [[down set]] of $x$ is the lower set generated by $x$.

An [[inhabited subset|inhabited]], [[open subset|open]] lower set of [[rational numbers]] (or equivalently of [[real numbers]]) determines precisely a [[lower real number]].


[[!redirects lower set]]
[[!redirects lower sets]]
[[!redirects lower subset]]
[[!redirects lower subsets]]

[[!redirects downward closed subset]]
[[!redirects downward closed subsets]]
