

**Claude Lévi-Strauss** (1908-2009) was a French anthropologist and a towering figure of 20th century social sciences.

After meeting the linguist [[Roman Jakobson]] during WW2 in New York, Lévi-Strauss extended the structuralist outlook from [[linguistics]] to anthropology. By conceiving of marriage systems and myths as abstract networks of relations he opened up new avenues for research and paved the way for the application of mathematical methods in anthropology. His views as exposed in the monumental _Structures élémentaires de la parenté_ (1949/1967), the four volume _Mythologiques I-IV_ (1964,1967,1968,1971), and his other writings, were as influential as controversial.

## On category theory

_La définition des catégories, comme systèmes formés à la fois d'un ensemble de termes et de l'ensemble des relations entre ces termes, correspond bien à celle qu'on peut donner du mythe, et la notion de morphisme, qui n'exprime rien d'autre que l'existence d'une relation entre deux termes sans se préoccuper d'en préciser la nature logique, semble trancher le même genre de dilemme que celui dont la solution me fut révélée il y a vingt-cinq ans quand, après qu'un mathématicien illustre mais de la vieille école m'eut dit qu'il ne pouvait m'aider à débrouiller les problèmes de parenté parce qu'il ne connaissait que l'addition, la soustraction, la multiplication et la division, et que le marriage n'était assimilable à aucune de ces opérations, un autre plus jeune et déjà nommé m'assura qu'il lui était indifférent de savoir ce qu'était mathématiquement parlant le marriage, pourvu qu'entre les différents types de marriage on puisse définir des relations_.  Lévi-Strauss  ([1971](#LS71), p.568)

The two mathematicians are Jacques Hadamard, during WW2 a French expatriate in New York and [[André Weil]] who provided a mathematical appendix to _Les structures élémentaires de la parenté_. Lévi-Strauss gives another account of his encounters with them in Lévi-Strauss ([1990](#LSE90), p.79).

## Related entries

* [[canonical formula of myth]]

* [[kinship]]

* [[structuralism]]

## Related pages

* wikipedia entry: [link](https://en.wikipedia.org/wiki/Claude_Levi-Strauss)

* online publications by Lévi-Strauss on persée: [link](http://www.persee.fr/author/persee_29817)

## References

* Mauro W. Barbosa De Almeida, _Symmetry and Entropy: Mathematical Metaphors in the Work of Lévi-Strauss_ , Current Anthropology **31** no.4 (1990) pp.367-385.

* Maurice Godelier, _Lévi-Strauss_ , Seuil Paris 2013.

* Claude Lévi-Strauss, _The Structural Study of Myth_ , J. American Folklore **78** no. 278 (1955) pp.428-444.

* Claude Lévi-Strauss, _Les mathématiques de l'homme_ , Bull. int. sci. soc.  Unesco **6** no.4 (1954) pp.643-653.  (available online)

* {#LS71} Claude Lévi-Strauss, _Mythologiques IV: L'Homme nu_ , Plon Paris 1971.

* Claude Lévi-Strauss, _Réflexions sur l'atome de parenté_ , L'Homme **13** no.3 (1973) pp.5-30. ([link](http://www.persee.fr/doc/hom_0439-4216_1973_num_13_3_367355))

* {#LSE90}Claude Lévi-Strauss, Didier Eribon, _De près et de loin_ , Odile Jacob Paris 1990.

* Dan Sperber, _On Anthropological Knowledge_ , chapter 3, Cambridge UP 1985. ([pdf](http://www.dan.sperber.fr/wp-content/uploads/On-Anthropological-Knowledge.pdf))

[[!redirects Levi-Strauss]]
[[!redirects Claude Lévi-Strauss]]
[[!redirects Lévi-Strauss]]

category: people