
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

>_La première expression de la réalité serait de dire que la langue (c'est à dire le sujet parlant) n'aperçoit ni l'idée a, ni la forme A, mais seulement le rapport $\frac{a}{A}$; cette expression serait encore tout à fait grossière. Il n'aperçoit pas vraiment que le rapport entre les deux rapports $\frac{a}{AHZ}$ et $\frac{abc}{A}$ , ou $\frac{b}{ARS}$ et $\frac{blr}{B}$ , etc. C'est là ce que nous appelons le QUATERNION FINAL.  de Saussure ([2002](#Saussure02), p.39)

## Idea

The **canonical formula of mythical transformation** is an expression proposed in 1955 by the anthropologist [[Claude Lévi-Strauss|Lévi-Strauss]] in order to account for the abstract relations occuring between characters and their attributes in a myth understood as the collection of its variants. The vagueness of the initial proposal has been lifted by several mathematical interpretations in the aftermath.

## The original formulation

In Lévi-Strauss ([1955](#LS55), p.442) the canonical formula is introduced as the "algebraic" expression:

$ ^f x(a)\quad : \quad^f y(b)\qquad\cong\qquad ^f x(b)\quad :\quad^f a-1(y) $ .

## An example

## The quaternionic interpretation

[[Jack Morava]] ([2003](#Morava03), [2004](#Morava04)) proposed to interpret the canonical formula as the existence of an anti-isomorphism of the [[quaternion group]].

## Some history

## Related entries

* [[Claude Lévi-Strauss]]

* [[kinship]]

* [[structuralism]]

* [[quaternion group]]

* [[code loop]]

## Related pages

* French wikipedia entry: ([link](https://fr.wikipedia.org/wiki/Formule_canonique_du_mythe))

## References

* Numéro spécial _La formule canonique des mythes_ , L'Homme **35** no.135 (1995). ([link](http://www.persee.fr/issue/hom_0439-4216_1995_num_35_135))

* Maurice Godelier, _Lévi-Strauss_ , Seuil Paris 2013.

* {#Lacan07}Jacques Lacan, _Le mythe individuel du névrosé_ , Seuil Paris 2007.

* {#Landau51}H. G. Landau, _On dominance relations and the structure of animal societies: Effect of inherent characteristics_ , Bull. Math, Biophysics **13** (1951) pp.1-19,245-62.

* {#LS55}[[Claude Lévi-Strauss]], _The Structural Study of Myth_ , J. American Folklore **78** no. 278 (1955) pp.428-444.

* {#LS58}[[Claude Lévi-Strauss]], _Antropologie Structurale_ , Plon Paris 1958.

* {#LS85a}[[Claude Lévi-Strauss]], _D'un oiseau à l'autre_ , L'Homme **25** no.93 (1985) pp.5-12. ([link](http://www.persee.fr/doc/hom_0439-4216_1985_num_25_93_368539))

* {#LS85b}[[Claude Lévi-Strauss]], _La Potière Jalouse_ , Plon Paris 1985.

* {#Lucchelli06}Juan Pablo Lucchelli, _Le mythe individuel revisité_ , L'information psychatrique **82** no.2 (2006) pp.155-158. ([link](http://www.cairn.info/revue-l-information-psychiatrique-2006-2-page-155.htm))

* {#Lucchelli10}Juan Pablo Lucchelli, _Lacan et la formule canonique des mythes_ , Les Temps Modernes no.660 (2010) pp.116-131.

* {#Maranda01}Pierre Maranda (ed.), _The Double Twist_ , University of Toronto Press 2001.

* {#Morava03}[[Jack Morava]], _On the Canonical Formula of C. Lévi-Strauss_ , arXiv.0306174v2 (2003). ([abstract](http://arxiv.org/abs/math/0306174))

* {#Morava04}[[Jack Morava]], _Une interprétation mathématique de la formule canonique de Claude Lévi-Strauss_ , Cahiers de L'Herne **88** (2004) pp.216-218.

* {#Morava05}[[Jack Morava]], _From Lévi-Strauss to Chaos and Complexity_ ,  in Mosko, Damon (eds.), _On the Order of Chaos_ , Berghahn Oxford 2005.

* {#Petitot88}[[Jean Petitot]], _Approche morphodynamique à la formule cannonique des mythes_ , L'Homme **28** no.106-107 (1988) pp.24-50. ([link](http://www.persee.fr/doc/hom_0439-4216_1988_num_28_106_368968))

* {#Rapoport49} A. Rapoport, _Outline of a Probabilistic Approach to Animal Sociology_ , Bull. Math. Biophys. **11** (1949) pp.183-196, pp.273-281.

* {#Roudinesco93}Elisabeth Roudinesco, _Jacques Lacan_ , Fayard Paris 1993.

* {#Saussure02}Ferdinand de Saussure, _Écrits de linguistique générale_ , Gallimard Paris 2002.

* {#Scubla98}Lucien Scubla, _Lire Lévi-Strauss_ , Odile Jacob Paris 1998.

[[!redirects canonical formula]]
[[!redirects Canonical formula]]
[[!redirects canonical formula of mythical transformation]]
[[!redirects canonical formula for myth]]