
This page collects material related to the lecture notes

* [[Stefan Schwede]], 

  _Symmetric spectra_, 

  2012 

  ([pdf](http://www.math.uni-bonn.de/~schwede/SymSpec-v3.pdf))

on [[stable homotopy theory]] in terms of [[symmetric spectra]].

See also the _[[Lectures on Equivariant Stable Homotopy Theory]]_ and on _[[Global homotopy theory]]_ for the model on [[orthogonal spectra]] and [[equivariant stable homotopy theory]].

#Contents#
* table of contents
{:toc}

## Chapter I. Basics

### 1. Symmetric spectra

* [[symmetric spectrum]]

* [[ring spectrum]]

* [[module spectrum]]

Basic Examples:

* [[sphere spectrum]]

  [[stable homotopy groups of spheres]]

  [[Hopf fibration]]

* [[suspension spectrum]]

* [[Eilenberg-MacLane spectrum]] [[HA]]

  (the claim about [[Eilenberg-MacLane spaces]] here is proven in ([Aguilar-Gitler-Prieto 02, corollary 6.4.23](Eilenberg-MacLane+space#AguilarGitlerPrieto02))
)

* [[Thom spectrum]]

  [[MO]], [[MU]]

* [[topological K-theory]], [[KU]]

### 2. Properties of naive homotopy groups

* [[stable homotopy groups]]

* [suspension isomorphism](homotopy+group+of+a+spectrum#SuspensionIsomorphismOfStableHomotopyGroups)

### 3. Basic constructions

#### 3.1 Symmetric spectra of simplicial sets

* [[powering]] and [[copowering]] over [[sSet]]

#### 3.2 Constructions

* [[limits]] and [[colimits]]

* [[shift spectrum]]

* [[semistable symmetric spectrum]]

* [[mapping spectrum]]

* [[free symmetric spectrum]]

#### 3.3 Constructions involving ring spectra

### 4. Stable equivalences

* [[spectrification]]

### 5. Smash product

* [[smash product of spectra]]

### 6. Homotopy groups

### 7. Relation to other kinds of spectra

#### 7.1 Orthogonal spectra

* [[orthogonal spectrum]]

#### 7.2 Unitary spectra

#### 7.3 Continuous and simplicial functors

* [[excisive functor]], [[model structure for excisive functors]]

#### 7.4 $\Gamma$-spaces

* [[Gamma-space]]

#### 7.5 Permutative categories

* [[permutative category]]

#### 7.6 Spectra as enriched functors

* [[enriched functor]]

### 8. Naive versus true homotopy groups

### History, credits, further reading

* [[highly structured spectra]]

* [[symmetric monoidal smash product of spectra]]

## Chapter II. The stable homotopy category

### 1. The stable homotopy category

* [[stable homotopy category]]

### 2. Triangulated structure

* [[triangulated category]]

### 3. Derived smash product

* [[smash product of spectra]]

### 4. Grading

* [[ring spectrum]]

### 5. Generator

### 6. Homology and cohomology


#### 6.1 Generalized homology and cohomology

* [[generalized (Eilenberg-Steenrod) cohomology]]

* [[generalized homology]]

* [[Milnor exact sequence]]

* [[Kronecker pairing]]

* [[universal coefficient theorem]]

#### 6.2 Ordinary homology and cohomology

* [[ordinary cohomology]]

* [[Künneth theorem]]

* [[Hurewicz theorem]]

#### 6.3 Moore spectra

* [[Moore spectrum]]


### 7. Finite spectra

* [[Spanier-Whitehead category]]

* [[finite spectra]]

### 8. Connective covers and Postnikov sections

* [[connective cover]]

* [[Postnikov tower]]

### 9. Localization and completion

* [[localization]], [[formal completion]]

* [[fracture theorem]]

### 10. The Steenrod algebra

* [[cohomology operation]]

* [[Steenrod algebra]]

#### 10.1 Examples and applications

#### 10.2 Hopf algebra structure

* [[Hopf algebra]]

#### 10.3 The Adams spectral sequence

* [[Adams spectral sequence]]


## Chapter III. Model structures

* [[model structure on symmetric spectra]]


### 1. Symmetric spectra in a simplicial category

### 2. Flat cofibrations

### 3. Level model structures

### 4. Stable model structures

* [[model structure on symmetric spectra]]

### 5. Operads and their algebras

* [[operad]]

* [[algebra over an operad]]

### 6. Model structures for algebras over an operad

* [[model structure on algebras over an operad]]

### 7. Connective covers of structured spectra

* [[connective cover]]

## Chapter IV. Module spectra

## Appendix A. Miscellaneous tools

### Model category theory

* [[model category]]

### Compactly generated spaces

* [[compactly generated topological spaces]]

* [[classical model structure on topological spaces]]

### Simplicial sets

* [[simplicial sets]]

* [[classical model structure on simplicial sets]]

### Equivariant homotopy theory

* [[equivariant homotopy theory]]


## Errata

* p. 273. the definition of [[Kronecker pairing]] (construction 6.13) is missign the application of the multiplication map

* p. 331. the second "vertically" should be "horizontally"

* p. 331. "with coordinated"

* p. 333. "stable stemes"

* p. 344. uncompiled source code "eqrefeq-general" etc.


category: reference