
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Group Theory
+-- {: .hide}
[[!include group theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}



## Idea

The **quaternion group** (of order 8)  is the multiplicative group $Q_8$ consisting of the four base [[quaternions]] $1, i, j, k$ plus their additive inverses whose defining relations $i^2=j^2=k^2=ijk=-1$ were inscribed by [[William Rowan Hamilton|Sir William Hamilton]] on Brougham Bridge, Dublin on October 16th, 1843 while taking a walk with his wife.

The quaternion group $Q_8$ is the first in a row of _generalized quaternion groups_ $Q_{4n}$ , also called **dicyclic groups** which in turn are part of an even larger family.

## Definition

The _dicyclic group_ of order $4n$, $n\geq 2$, is the [[group]] $Q_{4n}$ defined by the presentation $\langle x,y | x^{2n}= x^{n} y^{-2}=y^{-1}xyx=1\rangle$. The _quaternion group_ (of order 8) is $Q_{4n}$ for $n=2$.

## Properties

* $Q_{4n}$ is (isomorphic to) a finite subgroup of $\mathbb{H}^\ast$ as can be seen by taking generators $x=j$ and $y=\cos(\pi/n) + i\sin(\pi/n)$. For $n=2$ this simply yields the subgroup generated by $i$ and $j$.

* $Q_{4n}$ has another presentation as $\langle R, S, T | R^2=S^2=T^n=RST\rangle$. $RST$ as a power of each of the generators is central and $Q_{4n}/\langle RST\rangle= D_{2n}$, where $D_{2n}=\langle R, S, T | R^2=S^2=T^n=RST=1\rangle$ is the [[dihedral group]] of order $2n$.

* $Q_8$ is a **Hamiltonian group** i.e. a non-Abelian group such that every subgroup is normal. Moreover, a result by Baer (1933) says that a group is Hamiltonian precisely when it contains a copy of $Q_8$ ! (cf. [Scott (1987, p.253](#Scott87))

* $Q_8$ is the multiplicative part of the quaternionic near-field $J_9$. (cf. [Weibel (2007)](#Weibel07))

## Related entries

* [[quaternion]]

* [[dihedral group]]

* [[canonical formula of myth]]

## Related pages

* wikipedia entry ([link](https://en.wikipedia.org/wiki/Quaternion_group))

## References

* [[Kenneth Brown|Kenneth S. Brown]], _Cohomology of Groups_ , GTM **87** Springer Heidelberg 1982. (pp.98-101)

* H. S. M. Coxeter, _The binary polyhedral groups, and other generalizations of the quaternion group_ , Duke Math. J. **7** no.1 (1940) pp.367--379.

* T. Y. Lam, _Hamilton’s Quaternions_ , pp.429-454 in _Handbook of Algebra III_ , Elsevier Amsterdam 2004.  ([preprint](http://math.berkeley.edu/~lam/quat.ps))

* {#Scott87}W. R. Scott, _Group Theory_ , Dover New York 1987. (pp.189-194, 252-254)

* {#Weibel07}[[Charles Weibel]], _Survey of Non-Desarguesian Planes_ , Notices of the AMS **54**  no.10 (2007) pp.1294–1303. ([pdf](http://www.ams.org/notices/200710/tx071001294p.pdf))

[[!redirects quaternionic group]]
[[!redirects dicyclic group]]
[[!redirects generalized quaternion group]]
[[!redirects quaternion groups]]
[[!redirects dicyclic groups]]
[[!redirects quaternionic groups]]
