[[!redirects empty 154]]
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}

### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
#### Foundations
+-- {: .hide}
[[!include foundations - contents]]
=--
=--
=--

# Contents
* table of contents
{:toc}

## Idea
**Construction in philosophy** is the name of an article by F. W. J. Schelling in   '_Kritisches Journal der Philosophie_' (1802) that was the preliminary culmination point of a development in philosophy going back to Descartes and Spinoza and forcefully updated by [[Immanuel Kant|I. Kant]] in '_Metaphysische Anfangsgründe der Naturwissenschaft_' (1786) , namely the attempt to philosophize '_more geometrico_'.

In the 20th century this tradition has been revitalized partly by the school of phenomenology and in the context of analytical philosophy by M. Dummett.

## The rationalist roots

Of course, the expression 'more geometrico demonstrata' was the programmatic slogan of [[Spinoza|Spinoza's]] system, but the philosopher had (somewhat surprisingly) purloined the decisive idea from Thomas Hobbes.

Descartes' renewal of philosophy was fuelled by the desire to achieve in metaphysics the same level of certainty as in geometry. Consequently, he was asked in the second objections to his 'Meditationes de prima philosophia' (1641) to give geometric versions of his proof of the existence of god, a challenge he met in his replies.

Whereas Descartes saw in this merely a convenient way of exposition, Hobbes proposed to view this proof 'by bringing about' as an adequate cognition of the essence of the thing constructed by the mind as a 'causa efficiens' and suggested to use it for political theory which also deals in human artifacts.

The next step was Spinoza's proposal to take construction as the model for the cognition of all objects not necessarily only man made. This had two results:

* 1) It forced the finite human subject to 'see things in god' as the absolute cause i.e. the cartesian ego is plunged into the absolute which starts to play the role of space as infinite background into which finite objects are constructed, a picture that very much underlies Schelling's intuitions during his constructivist period around 1802. One could view the type-theoretical mathematics done in a cohesive topos using a universe as a late descendent of the architecture envisioned by Spinoza and Schelling.

* 2) The coincidence of proof and object identifies being and thinking so that this absolute approach to cognition resurrects the Greek logos concept. This ontological corollary of Spinoza's system proved to be important for Hegel onwards from his cooperation with Schelling in Jena. His logic though contains in the later parts a severe criticism of the constructive method in philosophy since it runs against the primary importance of mediation in his philosophy by relying on immediate intuition.

## Peirce on construction in mathematics and philosophy

>Kant is entirely right in saying that, in drawing those consequences, the mathematician uses what, in geometry, is called a ‘construction’, or in general a diagram, or visual array of characters or lines. Such a construction is formed according to a precept furnished by the hypothesis. Being formed, the construction is submitted to the scrutiny of observation, and new relations are discovered among its parts, not stated in the precept by which it was formed, and are found, by a little mental experimentation, to be such that they will always be present in such a construction. Thus the necessary reasoning of mathematics is performed by means of observation and experiment, and its necessary character is due simply to the circumstance that the subject of this observation and experiment is a diagram of our own creation, the condition of whose being we know all about.

>But Kant, owing to the slight development which formal logic had received in his time, and especially owing to his total ignorance of the logic of relatives, which throws a brilliant light upon the whole of logic, fell into error in supposing that mathematical and philosophical necessary reasoning are distinguished by the circumstance that the former uses constructions. This is not true. All necessary reasoning whatsoever proceeds by constructions; and the difference between mathematical and philosophical necessary deductions is that the latter are so excessively simple that the construction attracts no attention and is overlooked.

[[Charles Peirce|C. S. Peirce]] _‘The Logic of Mathematics in Relation to Education’_ (1898, CP iii. 350)

## Related entries

* [[constructivism]]

* [[intuitionism]]

* [[Attempt to Introduce the Concept of Negative Quantities into Philosophy|Concept of Negative Quantities]]

* [[Aufhebung]]

* [[absolute conclusion]]

* [[Science of Logic]]

* [[geometric theory]]

## References

* W. Bartuschat, _Baruch de Spinoza_ , Beck München 1996. (Section III.1.a)

* O. Becker, _Mathematische Existenz: Untersuchungen zur Logik und Ontologie mathematischer Phänomene_ , Jahrbuch für Philosophie und phänomenologische Forschung **VIII** (1927) pp.439-768. ([pdf](http://www.digizeitschriften.de/download/PPN827944462_0008/PPN827944462_0008___LOG_0009.pdf))

* F. W. J. Schelling, _Vorlesungen über die Methode des akademischen Studiums_ , Meiner Hamburg 1974[1803]. (Fourth lecture: _'Über das Studium der reinen Vernunftwissenschaften: der Mathematik, und der Philosophie im Allgemeinen'_)

* F. W. J. Schelling, _Konstruktion in der Philosophie_ , pp.201-224 in Schelling, Hegel (eds.), _Kritisches Journal der Philosophie_ , Reclam Leipzig 1981[1802].

* J. Weber, _Begriff und Konstruktion - Rezeptionsanalytische Untersuchungen zu Kant und Schelling_ , PhD Göttingen 1998. ([link](http://ediss.uni-goettingen.de/handle/11858/00-1735-0000-0022-5D40-7))