##Idea 

Focusing is an idea originating in the [[proof theory]] of [[linear logic]].  Originally, it was introduced as a technique for making proof search in the [[sequent calculus]] tractable, by restricting the potential application of rules based on observations about the [[polarity in type theory|polarity]] of connectives ([Andreoli 1992](#Andreoli92)).  More abstractly, the _focalization_ property can be seen as a [[canonical form]] theorem for sequent calculus proofs, which holds in a wide range of systems beyond linear logic.

>Focusing, introduced by Jean-Marc Andreoli in the context of classical linear logic [Andreoli 1992], defines a normal form for sequent calculus derivations that cuts down on the number of possible derivations by eagerly applying invertible rules and grouping sequences of non-invertible rules. A focused sequent calculus is defined relative to some non-focused sequent calculus; focalization is the property that every non-focused derivation can be transformed into a focused derivation. ([Simmons](#Simmons))


##Related concept

* [[polarity in type theory]]

##References

* {#Andreoli92} [[Jean-Marc Andreoli]], Logic programming with focusing proofs in linear logic. Journal of Logic and Computation, 2(3):297–347, 1992 ([pdf](https://www.cs.cmu.edu/~fp/courses/15816-s12/misc/andreoli92jlc.pdf))
* [[Daniel Licata]], [[Noam Zeilberger]], [[Robert Harper]], _Focusing on Binding and Computation_, ([pdf](http://noamz.org/papers/lzh08focbind-tr.pdf))
* {#Simmons} [[Robert Simmons]], _Structural focalization_, [arXiv:1109.6273, cs.LO](http://arxiv.org/abs/1109.6273)
* [[Robert Simmons]], _What does focusing tell us about language design?_, ([blog post](http://requestforlogic.blogspot.co.uk/2012/03/what-does-focusing-tell-us-about.html))
* Taus Brock-Nannestad and Carsten Sch&uuml;rmann, _Focused Natural Deduction_, ([pdf](http://www.itu.dk/people/tbro/fnd.pdf))
* Chuck Liang and Dale Miller. Focusing and polarization in linear,
intuitionistic, and classical logics. Theoretical Computer Science,
410(46):4747–4768, November 2009. ([pdf](http://www.lix.polytechnique.fr/Labo/Dale.Miller/papers/tcs09fixed.pdf))
* Stéphane Graham-Lengrand. _Polarities & Focussing: a journey from Realisability to Automated Reasoning._ Habilitation thesis, Université Paris-Sud, 2014. ([pdf](http://www.lix.polytechnique.fr/~lengrand/Work/HDR/Dissertation/Main.pdf))

[[!redirects focussing]]