
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}

### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
#### Foundations
+-- {: .hide}
[[!include foundations - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

The **transcendental ideal** is the embodiment of all predicative possibilities - _Inbegriff aller Möglichkeiten_ - in Kant's transcendental philosophy and as such it reconstructs the role of the concept of 'ens perfectissimum' in the ontological proof of the existence of god in the rational theology of Leibniz and Wolff.

Kant's innovation with respect to the tradition is that he suspends existential import and substantiality of the concept and gives a thoroughly (meta)logical derivation instead which exhibits the functional role of the ideal as a 'guideline' in all reasoning.

This relocation of theology from ontology to logic proved to be consequential in the philosophy of the world age of the mature Schelling where it becomes a key concept ([Hogrebe 1989](#Hogrebe89)), as well as (indirectly) on the overall architectonic structure of Hegel's system as a self determination of the idea.


## Related entries

* [[infinite judgement]]

* [[absolute conclusion]]

* [[construction in philosophy]]

* [[Aufhebung]]

* [[Science of Logic]]


## References

* P. Baumanns, _Kants vierte Antinomie und das Ideal der Vernunft_ , Kant-Studien **79** (1988) pp.183-200.

* J. Ferrari, _Das Ideal der reinen Vernunft_ , pp.391-424 in Mohr, Willaschek (eds.), _Klassiker Auslegen - Immanuel Kant: Kritik der reinen Vernunft_ , Akademie Verlag Berlin 1998.

* {#Hoeffe03} O. Höffe, _Kants Kritik der reinen Vernunft_ , Beck München 2003. (pp.258-60)

* {#Hogrebe89} W. Hogrebe, _Prädikation und Genesis_ , Suhrkamp Frankfurt a. M. 1989.

* {#KdrV1} [[Immanuel Kant|I. Kant]], _[[Critique of Pure Reason|Kritik der reinen Vernunft 2]]_ , Suhrkamp Frankfurt a. M. 1985[1781, rev. 1787]. (B 600-11/ A 572-84)

* P. Rohs, _Kants Prinzip der durchgängigen Bestimmung alles Seienden_ , Kant-Studien **69** (1978) pp.170-180.

* {#Rohs96}P. Rohs, _Wahrnehmungsurteile und Erfahrungsurteile_ , pp.166-189 in Schönrich, Kato (eds.), _Kant in der Diskussion der Moderne_ , Suhrkamp Frankfurt a. M. 1996. (pp.182ff)

* F. W. J. Schelling, _Zweites Buch. Philosophische Einleitung in die Philosophie der Mythologie oder Darstellung der reinrationalen Philosophie (Zwischen 1847 und 1852)_ , pp.263-582 in Schelling, _Ausgewählte Werke Band 5_ , Suhrkamp Frankfurt a. M. 1985. (Lecture 12, pp.294ff)

* H. Sidgwick, _Lectures on the Philosophy of Kant and Other Philosophical Lectures and Essays_ , Macmillan London 1905.

* N. Stang, _Kant on Complete Determination and Infinite Judgement_ , Brit. J. Hist. Phil. **20** no. 6 (2012) pp.1117-1139.
