##Idea

In [[type theory]], **type refinement** is a term initially coined to refer to “datasort refinements”, sub-datatypes induced by refining the set of available constructors, but later broadened to include “index refinements”.

###Related concepts
* [[intrinsic and extrinsic views of typing]]

###References

* _A refinement type by any other name_, ([blog post](http://www.weaselhat.com/2015/03/16/a-refinement-type-by-any-other-name/))
* Tim Freeman, [[Frank Pfenning]], _Reﬁnement types for ML_, Proceedings of the ACM Conference on Programming Language Design and Implementation, 1991, pp. 268–277, ([pdf](https://www.cs.cmu.edu/~fp/papers/pldi91.pdf)).
* Hongwei Xi, Frank Pfenning, _Dependent types in practical programming_, in A. Aiken, editor, Conference Record of the 26th Symposium on Principles of Programming Languages (POPL’99),pages 214–227. ACM Press, January 1999.
* Susumu Hayashi, _Logic of reﬁnement types_, Proceedings of the Workshop on Types for Proofs and Programs, 1993, pp. 157–172
* [[Joshua Dunfield]], _Combining Two Forms of Type Refinements_, 2002, ([report](http://www.cs.cmu.edu/~joshuad/papers/combining/))
* Yitzhak Mandelbaum, David Walker, [[Robert Harper]], _An Effective Theory of Type Refinements_, ([pdf](http://www.cs.cmu.edu/~rwh/papers/effref/icfp03.pdf))
* [[Frank Pfenning]], _Church and Curry: Combining Intrinsic
and Extrinsic Typing_, ([pdf](https://www.cs.cmu.edu/~fp/papers/andrews08.pdf))
* [[Paul-André Melliès]], [[Noam Zeilberger]], _Type refinement and monoidal closed bifibrations_, [arXiv:1310.0263](http://arxiv.org/abs/1310.0263)
* [[Paul-André Melliès]], [[Noam Zeilberger]], _Functors are Type Refinement Systems_, ([pdf](http://noamz.org/papers/funts.pdf))