# Surjective on objects functors

## Idea

A [[functor]] $F:C\to D$ is **surjective on objects** if for each object $y\in D$ there is an object $x\in C$ such that $F(x)=y$.

This is of course [[evil|not an invariant notion]]; the corresponding invariant notion is [[essentially surjective functor]].  However, surjective-on-objects functors are sometimes useful when doing [[strict 2-category]] theory.

## Properties

Surjective-on-objects functors are the left class in an [[orthogonal factorization system]] on [[Cat]] whose right class consists of the injective-on-objects and [[fully faithful functors]].

## Related pages

* [[essentially surjective functor]]
* [[bo functor]]

## References

* [[Ross Street]], *Two-dimensional sheaf theory* refers to surjective-on-objects functors as *acute* and their corresponding right class as *chronic*.

[[!redirects surjective on objects functor]]
[[!redirects surjective on objects functors]]
[[!redirects surjective on objects]]
[[!redirects surjective-on-objects functor]]
[[!redirects surjective-on-objects functors]]
[[!redirects surjective-on-objects]]
[[!redirects so functor]]
[[!redirects so functors]]
[[!redirects s.o. functor]]
[[!redirects s.o. functors]]
[[!redirects acute functor]]
[[!redirects acute functors]]
[[!redirects chronic functor]]
[[!redirects chronic functors]]
