
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Higher category theory
+-- {: .hide}
[[!include higher category theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea ##

_Opetopes_ are one of the [[geometric shapes for higher structures|geometric shapes]] of cells in the approach to the [[higher category theory]] of [[n-category|n-categories]] and [[ω-categories]] put forward in ([Baez-Dolan 97](#BaezDolan97)) and developed by ([Makkai](#Makkai)) and others: _[[opetopic ω-categories]]_.

A [[syntax|syntactic]] formalization of [[opetopic ω-categories]] in the [variant by Palm](#opetopic+omega-category#DefinitionByPalm) is _[[opetopic type theory]]_ ([Finster 12](#Finster12)).
 
## References ##

An overview is in [chapter 4](http://cheng.staff.shef.ac.uk/guidebook/guidebook-new.pdf#page=63) of 

* [[Eugenia Cheng]], [[Aaron Lauda]], _Higher dimensional categories: an illustrated guidebook_ ([pdf](http://cheng.staff.shef.ac.uk/guidebook/guidebook-new.pdf))

and in chapter 7 of 

* [[Tom Leinster]], _Higher operads, higher categories_, London Math. Soc. Lec. Note Series __298__, [math.CT/0305049](http://arxiv.org/abs/math.CT/0305049)

Opetopes were introduced here:

* {#BaezDolan97} [[John Baez]], [[James Dolan]], Higher-dimensional algebra
III: $n$-categories and the algebra of opetopes, _Adv. Math._ **135** (1998), 145--206. ([arXiv:q-alg/9702014](http://arxiv.org/abs/q-alg/9702014))

Some mistakes were corrected in subsequent papers:

* [[Eugenia Cheng]], The category of opetopes and the category of opetopic sets,
_Th. Appl. Cat._ **11** (2003), 353--374.
[arXiv](http://arxiv.org/abs/math/0304284))

* [[Tom Leinster]], Structures in higher-dimensional
category theory.   ([arXiv](http://arxiv.org/abs/math/0109021))


Makkai and collaborators introduced a slight variation they called 'multitopes':

* [[Claudio Hermida]], [[Michael Makkai]], [[John Power]], _On weak
higher-dimensional categories I, II_ _Jour. Pure Appl. Alg._ **157** (2001), 221--277 ([journal](http://www.sciencedirect.com/science/article/pii/S0022404999001796), [ps.gz files](http://www.math.mcgill.ca/makkai/multitopicsets/))

* {#Makkai} [[Michael Makkai]], The multitopic $\omega$-category of all multitopic $\omega$-categories. 
([web](http://www.math.mcgill.ca/makkai/mltomcat04/))

Cheng has carefully compared opetopes and multitopes, and various approaches to opetopic $n$-categories:

* [[Eugenia Cheng]], Weak $n$-categories: opetopic and multitopic
foundations, _Jour. Pure Appl. Alg._ **186** (2004), 109--137.([arXiv](http://arxiv.org/abs/math/0304277))

* [[Eugenia Cheng]], Weak $n$-categories: comparing opetopic foundations, _Jour. Pure Appl. Alg._ **186** (2004), 219--231.
 ([arXiv](http://arxiv.org/abs/math/0304279))

She has also shown that opetopic [[bicategories]] are "the same" as the ordinary kind:

* [[Eugenia Cheng]], Opetopic bicategories: comparison with the classical theory.  ([arXiv](http://arxiv.org/abs/math/0304285))

A higher dimensional [[string diagram]]-notation for opetopes was introduced (as "zoom complexes" in section 1.1) in

* {#KockJoyalBataninMascari07} [[Joachim Kock]], [[André Joyal]], [[Michael Batanin]], [[Jean-François Mascari]], _Polynomial functors and opetopes_ ([arXiv:0706.1033](http://arxiv.org/abs/0706.1033)) 

Animated exposition of this higher-dimensional string-diagram notation is in 

* [[Eric Finster]], _Opetopic Diagrams 1 - Basics_ ([video](http://www.youtube.com/watch?v=OANwLohwJqk))

* [[Eric Finster]], _Opetopic Diagrams 2 - Geometry_ ([video](http://www.youtube.com/watch?v=E7OvuA1jRKM))


The variant of [Palm opetopic omega-categories](opetopic+omega-category#DefinitionByPalm) is due to 

* [[Thorsten Palm]], ...

A [[syntax|syntactic]] formalization of [[opetopic omega-categories]] in terms of [[opetopic type theory]] is in 

* {#Finster12} [[Eric Finster]], _Type theory and the opetopes_, talk at HDACT Ljubljana, June 2012 ([pdf](http://sma.epfl.ch/~finster/opetope/types-and-opetopes.pdf))

[[!redirects opetopic set]]
[[!redirects opetopic n-category]]
[[!redirects opetopes]]
[[!redirects opetopic sets]]
[[!redirects opetopic n-categories]]
[[!redirects multitope]]
[[!redirects multitopes]]
[[!redirects multitopic set]]
[[!redirects multitopic n-category]]
[[!redirects multitopic n-categories]]