[[!redirects cube category - exposition]]

# Contents
* table of contents
{: toc}

## Idea

The **cube category** $\Box$ encodes one of the main [[geometric shapes for higher structures]]. It is also called the [[cubical category]], although that term can be ambiguous.

Its objects are the standard cellular  "$n$-[[cube|cubes]]", for $n \in \mathbb{N}$ and its morphisms are all possible ways of mapping cubes to each other.

## Definition

+-- {: .un_defn}
###### Definition
The **cube category** is the initial strict [[monoidal category]] $(M, \otimes, I)$ equipped with an object $int$ together with two maps $i_0, i_1: I \to int$ and a map $p: int \to I$ such that $p i_0 = 1_I = p i_1$. 
=--

+--{.query}
Do we have a similar definiton of the [[globe category]]?

[[Todd Trimble|Todd]]: None that I know of; the globe category doesn't carry a monoidal structure. But it reminds me that we should create an entry for Joyal's category $\Theta$, used in his definition of weak $omega$-category, as this cleverly combines globes and simplices. 

[[Aleks Kissinger|Aleks]]: What about cubes with connection?
=--

The cube category may also be described as the subcategory of $Set$ whose objects are powers $2^n$ of $2 = \{0, 1\}$, $n \geq 0$, and whose morphisms are generated by degeneracy maps $2^m \to 2^n$ which delete a coordinate and face maps which insert a 0 or 1 without modifying the order of coordinates. The cartesian product on $Set$ restricts to a monoidal product $\otimes$ on this subcategory, giving a strict monoidal category and indeed a [[PRO|pro]]. The basic face maps are the two inclusions $\delta^0, \delta^1: 1 \to 2$, the basic degeneracy is the map $\sigma: 2 \to 1$, and then the general face and degeneracy maps are 

$$\delta_i^\varepsilon = 2^{i-1} \otimes \delta^\varepsilon \otimes 2^{n-i}: 2^{n-1} \to 2^n, \qquad \sigma_i = 2^{i-1} \otimes \sigma \otimes 2^{n-i}: 2^n \to 2^{n-1}$$ 

These satisfy the cubical identities:

> ... to be inserted ...


### Variants

The category of cubes described above has also been described as the _restricted category of cubes_ (see the [paper](http://www.emis.de/journals/TAC/volumes/11/8/11-08.pdf) by Grandis and Mauri). It may be augmented in several directions, at various levels of [[doctrine|doctrinal]] strength, as follows:

> ... to be completed? ... 




### Remarks

* The cube category is used to define [[cubical set|cubical sets]].

* The object $int$ may be thought of as the "generic interval" and the monoidal unit $I$ as a point; $x^{\otimes n}$ thus becomes the combinatorial $n$-cube. Indeed, the [[cubical set]] represented by $I$ is the standard cubical 0-cube, while the cubical set represented by $int$ is the standard cubical 1-cube.

* An explicit description of the cube category by [[presentation of a category by generators and relations|generators and relations]] is in section 2 of

  * Sjoerd Crans, _Pasting schemes for the monoidal biclosed structure on $\omega-Cat$_ ([web](http://crans.fol.nl/papers/thten.html), [ps](http://crans.fol.nl/papers/thten.ps.gz), [[thten.pdf|pdf:file]])

* Among all [[geometric shapes for higher structures]] cubes are best suited for describing Gray-like [[tensor product|tensor products]] of higher structures: there is geometrically obvious way in which to combine the $n$-cube $[n]$ and the $m$-cube $[m]$ to the $(n+m)$-cube $[n] \otimes [m] := [n+m]$. This makes $\Box$ into a [[monoidal category]]. It also induces the canonical monoidal structure on [[cubical set|cubical sets]] and then on [[strict omega-category|strict omega-categories]]: the [[Crans-Gray tensor product]].

## Properties

### As a test category

The cube category is a [[test category]]. Hence [[cubical sets]] model [[homotopy types]] (see also _[[model structure on cubical sets]]_). While it is not a [[strict test category]], it can be refined to the category of cubes with "[[connection on a cubical set|cube connection]]", which is. See _[[connection on a cubical set]]_ for more details.

## Related concepts

* [[simplex category]], [[globe category]], [[cell category]]

category: category