# Contents
* table of contents
{: toc}

## A relation on the $n$-cubes of a cubical set with trivial boundary

We make use of the notation established at [[cubical set]] and [[category of cubes]].

Throughout this page, we shall let $X$ be a [[cubical set]], let $x : \square^{0} \rightarrow X$ be a $0$-cube of $X$, and let $n \geq 0$ be an integer.

+-- {: .num_defn}
###### Notation

We denote by $Z_{n}(X,x)$ the set of $n$-cubes $\sigma : \square^{n} \rightarrow X$ of $X$ with the property that the following diagram in $\mathsf{Set}^{\square^{op}}$ commutes for every integer $1 \leq i \leq n$ and every integer $0 \leq \epsilon \leq 1$.

$$
   \array{
      \square^{n-1} & \overset{p}{\rightarrow}        & \square^{0} \\
  \mathllap{y(I^{i-1} \otimes i_{\epsilon} \otimes I^{n-i})} \downarrow &                                   & \downarrow \mathrlap{x} \\
   \square^{n} & \underset{\sigma}{\rightarrow} & X                                                                               
   }
$$

=--

+-- {: .num_defn #NotationEquivalenceRelation}
###### Notation

Let $\sim$ be the relation on $Z_{n}(X,x)$ given by identifying $\sigma_{0}$ and $\sigma_{1}$ if there is an $(n+1)$-cube $h : \square^{n+1} \rightarrow X$ of $X$ such that the following diagrams in $\mathsf{Set}^{\square^{op}}$ commute

$$
   \array{
      \square^{n}  & \overset{\square^{n} \otimes i_{0}}{\rightarrow}    & \square^{n+1} \\
             & \underset{\sigma_{0}}{\searrow} & \downarrow h \\
             &                         & X
   }
$$

$$
   \array{
      \square^{n}  & \overset{\square^{n} \otimes i_{1}}{\rightarrow}    & \square^{n+1} \\
             & \underset{\sigma_{1}}{\searrow} & \downarrow h \\
             &                         & X
   }
$$

and such that the following diagram in $\mathsf{Set}^{\square^{op}}$ commutes for every integer $1 \leq i \leq n$ and every integer $0 \leq \epsilon \leq 1$.

$$
   \array{
      \square^{n} & \overset{p}{\rightarrow}        & \square^{0} \\
  \mathllap{y(I^{i-1} \otimes i_{\epsilon} \otimes I^{n+1-i})} \downarrow &                                   & \downarrow \mathrlap{x} \\
  \square^{n+1} & \underset{\sigma}{\rightarrow} & X                                                                         
   }
$$

=--

+-- {: .num_defn}
###### Remark

The commutativity of the first two diagrams in Notation \ref{NotationEquivalenceRelation} asserts that $h$, viewed as an arrow $\square^{n} \otimes \square^{1} \rightarrow X$ of $\mathsf{Set}^{\square^{op}}$, defines a [[cubical homotopy | homotopy]] from $\sigma_{0} : \square^{n} \rightarrow X$ to $\sigma_{1} : \square^{n} \rightarrow X$.

=--

## The relation $\sim$ is in fact an equivalence relation

+-- {: .num_defn}
###### Proposition

Let $\sigma$ be an $n$-cube of $X$ which belongs to $Z_{n}(X,x)$. Then $\sigma \sim \sigma$. 

=--

+-- {: .proof}
###### Proof

We take $h$ to be the arrow $\sigma \circ \big( \square^{n} \otimes y(p) \big) : \square^{n+1} \rightarrow \square^{n} \rightarrow X$ of $\mathsf{Set}^{\square^{op}}$.

=--

+-- {: .num_defn}
###### Proposition

Let $X$ be equipped with the structure of a cubical Kan complex. Let $\sigma_{0}$ and $\sigma_{1}$ be $n$-cubes of $X$ which belong to $Z_{n}(X,x)$. Suppose that $\sigma_{0} \sim \sigma_{1}$. Then $\sigma_{1} \sim \sigma_{0}$. 

=--

+-- {: .proof}



=--

## Homotopy groups of a cubical Kan complex

+-- {: .num_defn}
###### Notation

We denote by $\pi_{n}(X,x)$ the set $Z_{n}(X,x) / \sim$.

=--
