
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Type theory
+-- {: .hide}
[[!include type theory - contents]]
=--
#### Category theory
+-- {: .hide}
[[!include category theory - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

Computer science studies [[programs]] and languages to express them, as well as the operation, application and design of computers and computer networks. This includes aspects relating to [[models for concurrency|concurrency]], [[semantics]] of [[programming languages]], and aspects of [[mathematical logic]]. 


From the [[nPOV]], computer science is part of the [[computational trinity]], together with [[logic]] and [[category theory]].


## Related pages

* [[data type]]

* [[list of mathematics software]]

* [[denotational semantics]]

* [[domain theory]]

* [[equilogical space]];

* [[event structures]];

* [[linear logic]];

* [[models for concurrency]];

* [[monad (in computer science)]]

* [[operational semantics]]

* [[Petri net]]

* [[polymorphism]]

* [[transition systems]]

* [[sugaring]]

## Some (theoretical) computer scientists

* [[Samson Abramsky]];

* [[Andrea Asperti]];

* [[Andrej Bauer]];

* [[Lars Birkedal]];

* [[Eric Goubault]];

* [[Joseph Goguen]];

* [[Eugenio Moggi]];

* [[Prakash Panangaden]];

* [[Gordon Plotkin]]

* [[John Power]];

* [[Vaughan Pratt]];

* [[Dana Scott]];

## References

* theoretical computer science at [cstheory.stackexchange.com](http://cstheory.stackexchange.com)

A discussion of [[foundations]] of programming languages is in

*  [[Robert Harper]], _Practical Foundations for Programming Languages_ ([web](http://www.cs.cmu.edu/~rwh/plbook/book.pdf))
{#Harper}

A suggestion for a classification of structures arising in computer science is in

* [[John Power]], _[Why tricategories?](http://www.lfcs.inf.ed.ac.uk/reports/94/ECS-LFCS-94-289/)_

An old discussion on the n-cat caf&#233; can be found [here](http://golem.ph.utexas.edu/category/2006/11/a_categorical_manifesto.html).  The discussion revolved around

*  [[Joseph Goguen]], _A categorical manifesto_,  Mathematical Structures in Computer Science 1 (1991), 49-67.

for which also see [[A Categorical Manifesto]].

Other aspects are treated in

* [[Michael Barr]], [[Charles Wells]], _[Category Theory for Computing Science](http://www.cwru.edu/artsci/math/wells/pub/ctcs.html)_.

* [[Andrea Asperti]], [[Guiseppe Longo]], _Categories, types and structures, An Introduction to Category Theory for the working computer scientist_, M.I. T. Press (out of print, but available [online](
http://www.cs.unibo.it/~asperti/PAPERS/book.pdf).)

[Logical Methods in Computer Science](http://www.lmcs-online.org/ojs/about.php) is an open access journal for papers on Theoretical Computer Science and other areas of Computer Science in which logical methods play a large part.


category: computer science
category: software

[[!redirects computer science]]
[[!redirects programming theory]]
