+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Philosophy
+--{: .hide}
[[!include philosophy - contents]]
=--
#### Foundations
+--{: .hide}
[[!include foundations - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

>$\mu\alpha\theta\eta\sigma\iota\varsigma$ - Learning (Gr.)

This page will discuss approaches to **teaching of mathematics** (as it is usual in the subject, with emphasis on the pre-university level, where the care in didactical aspects is the most relevant) and
the outstanding sources of the relevant materials about teaching.

#### Scope

Pedagogically well written introductory books in mathematics, rather than about pedagogical matter, are also of our concern, but they will preferably be posted under 
[[elementary mathematics]], [[introductions to mathematics]], [[elementary geometry]] and related pages.


## Overview

Most traditionally, teaching methods were improvized adaptations of communication of subject matter from the knowledgeable teacher to a learner.

Modern educational theory is greatly influenced by the works on child psychology. In particular, it has been investigated which cognitive aspects can be achieved at certain age, or within certain educational or other cognitive experiences. 

It is now commonly accepted that the advanced and long term knowledge is better achieved if the learner is also a discoverer. This means in mathematics that the emphasis on procedural knowledge should be replaced by wider experience in which a student discovers her own ways to approach the problems which make up the subject. The teacher and the learning environment hence have to anticipate and foster also specific _processes_ 
in learning the subject rather then only the goals and supposed content matter. Many authors however acknowledge the importance of balance with more traditional coaching and somewhat standardized procedural techniques (micromanagement being counterproductive). While in most educational taxonomies application of knowledge comes only at very hi stages in taxonomy, applying and experiencing concepts in practice, applications and in interaction with technology is considered necessary even at initial steps, and lower degrees of learning the subject. This should be therefore taken into account when creating the goals of mathematics curricula.

## References and online materials

* wikipedia: [mathematics education](https://en.wikipedia.org/wiki/Mathematics_education), [Common Core State Standards Initiative](https://en.wikipedia.org/wiki/Common_Core_State_Standards_Initiative), [New Math](https://en.wikipedia.org/wiki/New_Math), [Moore method](https://en.wikipedia.org/wiki/Moore_method), [modern elementary mathematics](https://en.wikipedia.org/wiki/Modern_elementary_mathematics), [Van Hiele model](https://en.wikipedia.org/wiki/Van_Hiele_model)
* [13th International Congress on Mathematical Education](http://icme13.org), Hamburg Aug 24-31, 2016
* [GreenApples](http://GreenApples.wikispaces.com) -- resources for new math teachers

### Related $n$Lab pages

* [[New Math]]
* [[elementary mathematics]]
* [[foundations]]

### Software 

* [geogebra.org](https://en.wikipedia.org/wiki/GeoGebra), wikipedia: [geogebra](https://en.wikipedia.org/wiki/GeoGebra)

### Organizations and initiatives in math education

* [NCTM](http://www.nctm.org) National Organization of Teachers of Mathematics
* [Common Core](http://www.corestandards.org/Math) math standards
* Next Generation Science Standards <http://www.nextgenscience.org>
* [ICMI](http://www.mathunion.org/icmi) International Commision on Mathematical Instruction (founded in 1908,  now under IMU)
* [websites of math education and math teacher associations](http://www.mathunion.org/icmi/links/math-ed-associations) (a list maintained at ICMI)
* [International Mathematical Olympiad](http://www.imo-official.org), official site

### Individual educators and their work

* Liping Ma, _Knowing and Teaching Elementary Mathematics: Teachers' Understanding of Fundamental Mathematics in China and the United States_ (Studies in Mathematical Thinking and Learning Series)
   * Liping Ma, _A critique of the structure of U.S. elementary school mathematics_, Notices AMS, Oct 2013 [pdf](http://www.ams.org/notices/201310/fea-ma.pdf)
   * Liping Ma, [webpage](http://lipingma.net/math/math.html)
   * blog opinion [What Does Liping Ma REALLY say?](http://rationalmathed.blogspot.hr/2007/06/what-does-liping-ma-really-say.html)
* [Guy Brousseau](http://www.ardm.eu/contenu/guy-brousseau-english) and at French [wikipedia](https://pt.wikipedia.org/wiki/Guy_Brousseau)
* Harold W. Stevenson (educational psychologist), _Mathematics learning in early childhood_, NCTM, 1985
* John A. Van de Walle et al. _Elementary and middle school mathematics. Teaching developmentally_, Pearson 2004, 2007, 2010, 2013
* J. Mayberry (1983), _The Van Hiele Levels of geometric thought in undergraduate preservice teachers_, Journal for Research in Mathematics Education 14 (1): 58–69, [doi](http://dx.doi.org/10.2307/748797) [jstor](http://www.jstor.org/stable/748797 )
* [[Hans Freudenthal]], _Why to teach mathematics so as to be useful_, 1968, [pdf](https://promathmedia.files.wordpress.com/2013/09/freudenthal-1968.pdf)
* (on [[Hans Freudenthal]]'s school) Marja van den Heuvel-Panhuizen, Paul Drijvers, _Realistic Mathematics Education_, [pdf](https://promathmedia.files.wordpress.com/2013/09/encyclopedia-realistic-mathematics-education_ref.pdf)

### Opinion articles

* Elizabeth Green, [Why Do Americans Stink at Math?](http://www.nytimes.com/2014/07/27/magazine/why-do-americans-stink-at-math.html), New York Times opinion story (moral: good ideas in the reforms never materialized in practice)
* Ralph A. Raimi, [Whatever Happened to the New Math?](http://www.math.rochester.edu/people/faculty/rarm/smsg.html)
* [[Richard Askey]], _Good intentions are not enough_, [pdf](http://www.math.wisc.edu/~askey/ask-gian.pdf)
* Mariya Boyko, _The “New Math” Movement in the U.S. vs Kolmogorov’s Math Curriculum Reform in the U.S.S.R._, [html](https://mariyaboyko12.wordpress.com/2013/08/03/the-new-math-movement-in-the-u-s-vs-kolmogorovs-math-curriculum-reform-in-the-u-s-s-r)
* R. Balian, A. Connes, Bismut, Lafforgue, Serre, [pdf](https://www.laurentlafforgue.org/textes/SavoirsFondamentaux.pdf) about state of scientific part of education in France


### Other references

* G. Ziegler, _Teaching and learning "What is mathematics?"_, in Proc.ICM 2014, Seoul, vol. 4
* Alexander Karp, Bruce R Vogeli (eds.), _Russian mathematics education_, 2 vols, World Sci. Publ.
* Lingguo Bu, Robert Schoen (eds.), _Model centered learning_, Pathways to mathematical understanding using geogebra, vol. 6 of Modeling and simulations for learning and instruction
* Jennifer A. Kaminski, Vladimir M. Sloutsky, Andrew F. Heckle, _The advantage of abstract examples in learning math_, [Science Magayibe 2012 pdf](https://promathmedia.files.wordpress.com/2013/02/2-1-the-advantage-of-abstract-examples-in-learning-math2.pdf)

Cognitive, linguistic and cultural aspects of mathematics (which are of relevance for learning) are emphasized in

* George Lakoff, Rafael E. Núñez, _Where mathematics comes from_, Basic Books 2000, xviii+493 pp. [MR2001i:00013](http://www.ams.org/mathscinet-getitem?mr=1794854) (cf. also wikipedia: [George Lakoff#Mathematics](https://en.wikipedia.org/wiki/George_Lakoff#Mathematics))

category: education
[[!redirects mathematical education]]
