
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Category theory
+-- {: .hide}
[[!include category theory - contents]]
=--
#### 2-Category theory
+-- {: .hide}
[[!include 2-category theory - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

The __triangle identities__ or __zigzag identities__ are identities satisfied by the [[unit of an adjunction|unit and counit]] of an [[adjunction]].

## Statement

Given $C, D$ (categories, or otherwise objects of a $2$-[[2-category|category]]) with functors (or otherwise morphisms) $L: C \to D$ and $R : D \to C$ and natural isomorphisms (or otherwise $2$-morphisms) $\eta: 1_C \to R \circ L$ and $\epsilon: L \circ R \to 1_D$, the triangle identities are the following:


### As equations

$$ L \stackrel{L\eta}\to L R L\stackrel{\epsilon L}\to L $$
and 
$$ R\stackrel{\eta R}\to R L R \stackrel{R\epsilon}\to R $$
are identities.
(Here, the composition of the $1$- with the $2$-morphisms is sometimes called [[whiskering]].)


### As diagrams
 {#AsDiagrams}
$
  R\epsilon . \eta R = 1_R
$
  i.e. 

$$ 
  \array{\arrayopts{ \padding{0} }
    &&&&1_C& 
    \\
    &&\cellopts{\colspan{5}}\begin{svg}
       [[!include adjunction > zigzageta]]
       \end{svg}\\
    D
    & \stackrel{R}{\to}&
    C
    & \stackrel{L}{\to}&
    D
    & \stackrel{R}{\to}&
    C
    \\
    \cellopts{\colspan{4}}\begin{svg}
       [[!include adjunction > zigzagepsilon]]
       \end{svg}
    \\
    &&1_D&
  }
  \quad = \quad D \stackrel{R}{\to} C
$$

and
$ 
  \epsilon L . L\eta = 1_L
$
 i.e.  

$$ 
  \array{\arrayopts{ \padding{0} }
    &&1_C& 
    \\
    \cellopts{\colspan{5}}\begin{svg}
       [[!include adjunction > zigzageta]]
       \end{svg}\\
    C
    & \stackrel{L}{\to}&
    D
    & \stackrel{R}{\to}&
    C
    & \stackrel{L}{\to}&
    D
    \\
    &&\cellopts{\colspan{4}}\begin{svg}
       [[!include adjunction > zigzagepsilon]]
       \end{svg}
    \\
    &&&&1_D&
  }
  \quad = \quad C \stackrel{L}{\to} D
$$


### As string diagrams
 {#AsStringDiagrams}

In [[string diagrams]], the identities appear as the action of "pulling zigzags straight" (hence the name):

[[adjunction-up-string.png:pic]], [[adjunction-down-string.png:pic]].

With labels left implicit, this notation becomes very economical:

[[adjunction-up-string-minimal.png:pic]], [[adjunction-down-string-minimal.png:pic]].


## Related concepts

* [[adjunction]]

* **zig-zag law** / **triangle identity**

* [[unit of an adjunction]]

* [[adjunct]]


[[!redirects zigzag identities]]
[[!redirects zigzag identity]]
[[!redirects zig-zag identities]]
[[!redirects zig-zag identity]]
[[!redirects zig-zag law]]
[[!redirects triangle identity]]

[[!redirects zigzag-identity]]
[[!redirects zigzag-identities]]
[[!redirects zigzag-identity]]
[[!redirects zig-zag-identities]]
[[!redirects zig-zag-identity]]