
An __archetypal example__ of a notion in mathematics is a class of examples such that every instance of the notion in some sense reduces to it: by being isomorphic to it, equivalent in some other sense, or at least that the archetypal example has all essential features (for the problem at hand) found in general case.

It is often the case that the fact that some example is in fact archetypal is an insight which comes only after nontrivial study of the subject. Its special role is often a conjecture in the development of the subject. The terminology is not meant so much to label the subclasses of objects, as to emphasise on the exhaustive status of some examples in studying the general case of the notion. It is often used not only for objects but often for procedures, algorithms and alike. 

Pedagogically it is often good to introduce some definition by introducing the archetypal example first. However the general definition often has appeal of often more invariant definition, and allows possibly some new but nonsubstantial examples.

## Examples

Each sheaf is isomorphic to a sheaf of sections of some etale space. Hence sheaves of sections of etale spaces are the archetypal example of a sheaf.

In the axiomatic (synthetic) theory of projective spaces, a well known results is that every projective space of dimension different from $2$ is isomorphic to a projective space defined in the algebraic way from a vector space over a division ring. Hence in dimension $n$ different from $2$ (as well as e.g. all finite planes) the algebraic construction of a projective space from the vector space $k^n$ (where $k$ is the ground division ring) amounts to the archetypal example of projective space in synthetic sense.

All [[homogeneous spaces]] for Hausdorff paracompact topological groups are _isomorphic_ to [[coset space]]s of that group. Hence the coset spaces are the archetypal example of a homogeneous space, provided we take rather weak conditions on a topological group.

Exponential function can be defined for finite matrices (over say real numbers) by the exponential power series. In practice, one uses similarity transformations to reduce the matrix to a similar Jordan form matrix, calculates the exponential for that case and then by the inverse similarity transformation obtains the answer. The calculation for the Jordan forms reduces to calculating for each Jordan block separately and then using the rule that for every block matrix one calculates the exponential and inserts it. In particular for the diagonal matrix one can just take the exponentials of the diagonal entries. Thus, the two examples of the calculation of the exponential function, that is calculating it for the block matrix and for the single Jordan block, are the acrhetypal examples, at least provided we consider the similarity transformation nonessential. 

An arbitrary full subcategory of the category of all modules over a ring is an archetypal example of an [[abelian category]] by the Freyd-Mitchell embedding theorem. The theorem has conditions of set versus class size which are nonessential for almost all practical purposes in mathematics. Hence we can consider categories of modules over rings as the archetypal examples of abelian categories. This motivated many techniques, for example the method of elements in the study of abelian categories. According to some mathematicians the embedding theorem has its usefulness also used in converse sense. Namely, finding the abelian category proof of some fact on categories of modules is often beneficial as it may bring clarity and it may surface deeper essential ideas (and sometimes even lead to simplifications). Why the embedding theorem helps and not just the fact that the category of modules is an abelian category:
if it were not an almost general example, then we would be unsure that if the internal proof even exists, hence we would less likely work hard on it and find it. 

## Non-examples

While [[vector space]] is a basic example of a [[module]] (namely, when the underlying ring is a [[field]] or [[division ring]]) it is not an archetypal example. Indeed, most interesting phenomena in modules become trivial or nonexistent in the case of vector spaces. For example, in every dimension there is only one isomorphism class of vector spaces, while this is far from so in the case of general modules. Similarly, every vector space is semisimple (and there is only one isomorphism class of simple vector spaces) while for many rings there are nonsemisimple modules. 

[[!redirects archetypal examples]]