## Idea 

An *epistemology* is a certain type of [[cartesian bicategory]] that admits a "free cocompletion". 

For now it is an experimental notion, testing how far it might be possible to "do" enriched category theory (including working with enriched functor categories) without regard to size considerations. To what extent they can be said to "exist" is part of some ongoing investigation, but we give the axioms below. 

## Definition 

Recall that a proarrow equipment consists of 

* a (weak) 2-category (or [[bicategory]]) $M$, generally thought of as a bicategory of *[[profunctor|modules]]*, 

* a 2-category $K$ together with a functor (a homomorphism of bicategories in the older terminology) $i: K \to M$ that is locally fully faithful and bijective on objects, for which $i(f)$ is a left adjoint 1-cell in $M$ for each 1-cell $f: a \to b$ in $K$. This $i(f)$ is often denoted $B(1, f): a \nrightarrow b$, with right adjoint denoted $B(f, 1): b \nrightarrow a$. 

We say that the proarrow equipment is *potent* if $i: K \to M$ admits a right (bi-)adjoint functor $p: M \to K$ that is KZ (Kock-Z&ouml;berlein), meaning that the induced 2-monad $p i: K \to K$ is [[lax-idempotent 2-monad|lax-idempotent]]. This 2-monad is to be thought of as a free cocompletion. 

Another way of stating the lax-idempotence: let $y: 1_K \to p i$ denote the unit and $e: i p \to 1_M$ the counit of the 2-monad. In addition we have triangulator isomorphisms $t: 1_i \stackrel{\sim}{\to} (e i)(i y)$ and $s: (p e)(y p) \stackrel{\sim}{\to} 1_p$ as in 

$$\array{
 & & i p i & & \\ 
 & \mathllap{i y} \nearrow & \Uparrow t & \searrow \mathrlap{e i} & \\ 
i & & \underset{1_i}{ \; \; \; \; \; \to \; \; \; \; \; \; \; } & & i
}$$

$$\,$$ 

$$\array{
p & & \overset{1_p}{ \; \; \; \; \; \to \; \; \; \; \; \; \; } & & p \\ 
 & \mathllap{y p} \searrow & \Uparrow s & \nearrow \mathrlap{p e} \\ 
 & & p i p & & 
}$$ 

and the adjunction is KZ if $t$ is the unit of an adjunction $i y \dashv e i$ (in other words, $e = B(y, 1)$ according to the notion of proarrow equipment). This is equivalent to the condition that $s$ is the counit of an adjunction $p e \dashv y p$ in $K$. 
