__Combinatorial design__ is a generic term for combinatorial structures described by families of finite sets satisfying some symmetries or other combinatorial properties of mutual arrangement. For example, the __block designs__ generically describe a set with family of subsets satisfying some combinatorial properties. 

A concrete structures of this kind are block $t$-designs: if $t$ is an integer 
a __$t$-design__ is a set $X$ with a family of $k$-element subsets of $X$ (called blocks) such that every $x\in X$ appears in exactly $r$ blocks, and every $t$-element subset $T$ appears in exactly $\lambda$ blocks. One also says $t-(v,k,\lambda)$-design if $v$ is the cardinality of $X$. The number of blocks $b$ and $r$ are determined by the other data. The applications include algebraic codes, finite geometries, algorithm design etc. 

(Non)existence of combinatorial designs with specific properties often has profound consequences on classification of various other mathematical structures (not necessarily finite ones); in particular lattices, finite geometries, finite groups etc. 

## Literature

Related $n$Lab items: [[binary linear code]], [[synthetic projective geometry]], [[species|Joyal species]], [[matroid]], [[building]], [[incidence geometry]]

* wikipedia: [combinatorial design](https://en.wikipedia.org/wiki/Combinatorial_design)
* Handbook of Combinatorial Designs, CRC Press 2006
* P. Dembowski, Finite geometries, Springer-Verlag 1968
* Jens Zumbrägel, _Designs and codes in affine geometry_, [arXiv:1605.03789](http://arxiv.org/abs/1605.03789)
    
category: combinatorics

[[!redirects block design]]
[[!redirects combinatorial design]]