
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Homotopy theory
+--{: .hide}
[[!include homotopy - contents]]
=--
=--
=--


* This page is about homotopy as an operation.  For homotopy as a transformation, see [[homotopy]].

***

# Homotopy sets in homotopy categories
* table of contents
{: toc}

## Idea

 Ordinary _homotopy_ is a way to probe objects in an [[(∞,1)-topos]] $\mathbf{H}$ by mapping [[spheres]] into them:

the ordinary [[homotopy group]] $\pi_n(X,x)$ of an object $X \in \mathbf{H}$ is the fiber over $x \in X$ of the morphism

$$
  [S^n, X]_{\mathbf{H}} \to \tau_0 X \simeq \pi_0(X)
$$

In this sense _homotopy_ is the notion that is [[Eckmann-Hilton duality|Eckmann-Hilton dual]] to [[cohomology]].

For a detailed discussion see 

* [[homotopy groups in an (∞,1)-topos]]

+-- {: .num_remark}
###### Remark

This duality suggests that more generally we may be entitled to speak for $B$ and $X$ objects in $\mathbf{H}$ of
$$
  H(B,X) := \pi_0 \mathbf{H}(B,X)_*
$$
as the **homotopy of $X$ with co-coefficients in $B$**.

Examples of such constructions exist, but are rarely thought of (or even recognized as) generalizations of the notion of homotopy. Rather, by the above duality, the same situation is usually regarded in the context of [[cohomology]], which, still by the above duality, is just as well.

=--




## Examples
 
* [[group homotopy]]

* [[generalized (Eilenberg-Steenrod) homotopy]]

* abelian cosheaf homotopy

* nonabelian homotopy

* [[Čech homotopy]]

* differential homotopy

* twisted homotopy

## Related concepts

[[!include homotopy-homology-cohomology]]

* [[homotopy]], [[homotopy group]], 

* [[homotopy equivalence]], [[weak homotopy equivalence]]

* [[homotopy groups in an (∞,1)-topos]] .


[[!redirects homotopy as an operation]]
[[!redirects homotopy (as an operation)]]
