
This page collects material related to

* [[Anthony Elmendorf]], [[Igor Kriz]], [[Michael Mandell]], [[Peter May]], 

  _Rings, modules and algebras in stable homotopy theory_ 

  AMS Mathematical Surveys and Monographs Volume 47 

  ([pdf](http://www.math.uchicago.edu/~may/BOOKS/EKMM.pdf))

on [[higher algebra]] ([[brave new algebra]]) in [[stable homotopy theory]], i.e. on [[ring spectra]], [[module spectra]] etc. This was the first to give a symmetric [[monoidal model category]] of [[spectra]] (called [[S-modules]]), in which $A_\infty$ and $E_\infty$-[[ring spectra]] could be defined as ordinary monoids and modules. 
The book is sometimes referred to as *EKMM* for short, after the initials of its authors.

#Contents#
* table of contents
{:toc}

## Chapter I. Prologue: the category of $\mathbb{L}$-spectra

* [[coordinate-free spectrum]]

## Chapter II. Structured ring and module spectra

* [[ring spectrum]]

* [[module spectrum]]

## Chapter III. The homotopy theory of $R$-Modules

## Chapter IV. The algebraic theory of $R$-modules

## Chapter V. $R$-Ring spectra and the specialization to $MU$

* [[MU]]

## Chapter VI. Algebraic K-theory of $S$-algebras

* [[algebraic K-theory]]

## Chapter VII. $R$-algebras and topological model categories

## Chapter VIII. Bousfield localization of $R$-modules and algebras

## Chapter IX. Topological Hochschild homology and cohomology

* [[topological Hochschild homology]]

## Chapter X. Some basic constructions on spectra

## Chapter XI. Spaces of linear isometries and technical theorems

## Chapter XII. The monadic bar construction

## Chapter XIII. Epilogue. The category of $\mathbb{L}$-spectra under $S$

category: reference

[[!redirects EKMM]]