The **Umbral Moonshine Conjectures** assert that there are infinite-dimensional graded modules, for prescribed finite groups, whose McKay-Thompson series are certain distinguished mock modular forms. It relates the 23 Niemeier lattices, even unimodular positive-definite lattices of rank 24 with non-trivial root systems, to mock theta functions. 

Umbral moonshine is a generalization of the [[Mathieu moonshine]] phenomenon which relates representations of the [[Mathieu group]] $M_24$ with [[K3 surfaces]], and which corresponds to the Niemeier lattice with the simplest root system $X = A_1^{24}$. As noted in 2010 by Eguchi, Ooguri, and Tachikawa, dimensions of some representations of $M_24$, the largest sporadic simple Mathieu group, are multiplicities of superconformal algebra characters in the K3 elliptic genus. 

### Related entries

* [[Moonshine]]
* [[K3 surface]]

### References

* Miranda C. N. Cheng, John F. R. Duncan, Jeffrey A. Harvey, _Umbral Moonshine_ ([arXiv:1204.2779](http://arxiv.org/abs/1204.2779))

* Miranda C. N. Cheng, John F. R. Duncan, Jeffrey A. Harvey, _Umbral Moonshine and the Niemeier Lattices_ ([arXiv:1307.5793](https://arxiv.org/abs/1307.5793))

* John F. R. Duncan, Michael J. Griffin and Ken Ono, _Proof of the Umbral Moonshine Conjecture_ ([arXiv:1503.01472](http://arxiv.org/abs/1503.01472))

* John F. R. Duncan, Sander Mack-Crane, _Derived Equivalences of K3 Surfaces and Twined Elliptic Genera_, ([arXiv:1506.06198](http://arxiv.org/abs/1506.06198))

* Miranda C. N. Cheng, Sarah Harrison, _Umbral Moonshine and K3 Surfaces_, ([arXiv:1406.0619](http://arxiv.org/abs/1406.0619))

* {#KachruPaquetteVolpato16} [[Shamit Kachru]], [[Natalie Paquette]], Roberto Volpato, _3D String Theory and Umbral Moonshine_ ([arXiv:1603.07330](http://arxiv.org/abs/1603.07330))


