
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Group Theory
+-- {: .hide}
[[!include group theory - contents]]
=--
#### Homological algebra
+--{: .hide}
[[!include homological algebra - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}


## Idea

The general concept of [[localization]] applied to the ([[derived category|derived]]) [[category of abelian groups]] yield the concept of _localization of abelian groups_.

The two main examples are

1. classical localization at/aways from primes;

1. completion at a prime

at [[prime numbers]] $p$. Here "classical $p$-localization" is localization at the morphism $0 \to \mathbb{Z}/p\mathbb{Z}$, while $p$-completion is localization at the morphism $0 \to \mathbb{Z}[p^{-1}]$.

## Definition

+-- {: .num_remark #ExtAb}
###### Remark

Recall that [[Ext]]-groups $\Ext^\bullet(A,B)$ between [[abelian groups]] $A, B \in $ [[Ab]] are concentrated in degrees 0 and 1 ([prop.](free+resolution#AbelianGroupHasFreeResolutionOfLength2)). Since

$$
  Ext^0(A,B) \simeq Hom(A,B)
$$

is the plain [[hom-functor]], this means that there is only one possibly non-vanishing Ext-group $Ext^1$, therefore often abbreviated to just "$Ext$":

$$
  Ext(A,B)
   \coloneqq
  Ext^1(A,B)
  \,.
$$

=--


+-- {: .num_defn #AbelianGroupLocal}
###### Definition

Let $K$ be an [[abelian group]]. 

Then an [[abelian group]] $A$ is called **$K$-local** if all the [[Ext]]-groups from $K$ to $A$ vanish:

$$
  Ext^\bullet(K,A) \simeq 0
$$

hence equivalently (remark \ref{ExtAb}) if

$$
  Hom(K,A) \simeq 0
  \;\;\;\;\;
    and
  \;\;\;\;\;
  Ext(K,A) \simeq 0
  \,.
$$

A [[homomorphism]] of abelian groups $f \colon B \longrightarrow C$ is called **$K$-local** if for all $K$-local groups $A$ the function

$$
  Hom(f,A) \;\colon\; Hom(B,A) \longrightarrow Hom(A,A)
$$

is a [[bijection]]. 

> (**Beware** that here it would seem more natural to use $Ext^\bullet$ instead of $Hom$, but we do use $Hom$. See ([Neisendorfer 08, remark 3.2](#Neisendorfer08)).

A homomorphism of abelian groups

$$
  \eta \;\colon\; A \longrightarrow L_K A
$$

is called a **$K$-localization** if

1. $L_K A$ is $K$-local;

1. $\eta$ is a $K$-local morphism.

=--

We now discuss two classes of examples of localization of abelian groups

1. _[Classical localization at/away from primes](#ClassicalLocalizationOfAbelianGroups)_;

1. _[Formal completion at primes](#FormalCompletionOfAbelianGroups)_.

###### Classical localization at/away from primes
 {#ClassicalLocalizationOfAbelianGroups}

For $n \in \mathbb{N}$, write $\mathbb{Z}/n\mathbb{Z}$ for the [[cyclic group]] of [[order of a group|order]] $n$.


+-- {: .num_lemma #OutOfCyclicGroupExt1}
###### Lemma

For $n \in \mathbb{N}$ and $A \in Ab$ any [[abelian group]], then 

1. the [[hom-object|hom-group]] out of $\mathbb{Z}/n\mathbb{Z}$ into $A$ is the $n$-[[torsion subgroup]] of $A$

   $$
     Hom(\mathbb{Z}/n\mathbb{Z}, A) 
       \simeq 
     \{
       a \in A \;\vert\; p \cdot a = 0
     \}
   $$

1. the first [[Ext]]-group out of $\mathbb{Z}/n\mathbb{Z}$ into $A$ is

   $$
     Ext^1(\mathbb{Z}/n\mathbb{Z},A)
       \simeq
     A/n A
     \,.
   $$

=--

+-- {: .proof}
###### Proof

Regarding the first item: Since $\mathbb{Z}/p\mathbb{Z}$ is generated by its element 1 a morphism $\mathbb{Z}/p\mathbb{Z} \to A$ is fixed by the image $a$ of this element, and the only relation on 1 in $\mathbb{Z}/p\mathbb{Z}$ is that $p \cdot 1 = 0$.

Regarding the second item:

Consider the canonical [[free resolution]]

$$
  0 \to \mathbb{Z} \overset{p \cdot (-)}{\longrightarrow} \mathbb{Z} \longrightarrow \mathbb{Z}/p\mathbb{Z} \to 0
  \,.
$$

By the general discusson of [[derived functors in homological algebra]] this exhibits the [[Ext]]-group in degree 1 as part of the following [[short exact sequence]]

$$
  0
  \to
  Hom(\mathbb{Z},A)
  \overset{Hom(n\cdot(-),A)}{\longrightarrow}
  Hom(\mathbb{Z}, A)
  \longrightarrow
  Ext^1(\mathbb{Z}/n\mathbb{Z},A)
  \to 0
  \,,
$$

where the morphism on the left is equivalently $A \overset{n \cdot (-)}{\to} A$.

=--

+-- {: .num_example}
###### Example

An [[abelian group]] $A$ is $\mathbb{Z}/p\mathbb{Z}$-local precisely if the operation 

$$
  p \cdot (-)
  \;\colon\;
  A \longrightarrow A
$$

of multiplication by $p$ is an [[isomorphism]], hence if "$p$ is invertible in $A$".

=--

+-- {: .proof}
###### Proof

By the first item of lemma \ref{OutOfCyclicGroupExt1} we have

$$
  Hom(\mathbb{Z}/p\mathbb{Z}, A) 
    \simeq 
  \{
    a \in A \;\vert\; p \cdot a = 0
  \}
$$

By the second item of lemma \ref{OutOfCyclicGroupExt1} we have

$$
  Ext^1(\mathbb{Z}/p\mathbb{Z},A)
    \simeq
  A/p A
  \,.
$$

Hence by def. \ref{AbelianGroupLocal} $A$ is $\mathbb{Z}/p\mathbb{Z}$-local precisely if 

$$
  \{
    a \in A \;\vert\; p \cdot a = 0
  \}
  \simeq
  0
$$

and if

$$
  A / p A \simeq 0
  \,.
$$

Both these conditions are equivalent to multiplication by $p$ being invertible.


=--

+-- {: .num_defn #InvertingPrimes}
###### Definition

For $J \subset \mathbb{N}$ a set of [[prime numbers]], consider the [[direct sum]] $\underset{p \in J}{\oplus} \mathbb{Z}/p\mathbb{Z}$ of [[cyclic groups]] of [[order of a group|order]] $p$.

The operation of $\underset{p \in J}{\oplus} \mathbb{Z}/p\mathbb{Z}$-localization of abelian groups according to def. \ref{AbelianGroupLocal} is called **inverting the primes** in $J$.

Specifically 

1. for $J = \{p\}$ a single prime then $\mathbb{Z}/p\mathbb{Z}$-localization is called **localization away from $p$**;

1. for $J$ the set of all primes except $p$ then $\underset{p \in J}{\oplus} \mathbb{Z}/p\mathbb{Z}$-localization is called **localization at $p$;

1. for $J$ the set of all primes, then $\underset{p \in J}{\oplus} \mathbb{Z}/p\mathbb{Z}$-localizaton is called **[[rationalization]]**..

=--

+-- {: .num_defn #LocalizationOfIntegersAtSetOfPrimes}
###### Definition

For $J \subset Primes \subset \mathbb{N}$ a [[set]] of [[prime numbers]], then 

$$
  \mathbb{Z}[J^{-1}]
    \hookrightarrow
  \mathbb{Q} 
$$

denotes the [[subgroup]] of the [[rational numbers]] on those elements which have an expression as a fraction of natural numbers with denominator a product of elements in $J$.

This is the abelian group underlying the [[localization of a commutative ring]] of the ring of integers at the set $J$ of primes.

If $J = Primes - \{p\}$ is the set of all primes _except_ $p$ one also writes

$$
  \mathbb{Z}_{(p)}
    \coloneqq
  \mathbb{Z}[Primes - \{p\}]
  \,.
$$

Notice the parenthesis, to distinguish from the notation $\mathbb{Z}_{p}$ for the [[p-adic integers]] (def. \ref{pAdicIntegers} below).

=--



+-- {: .num_remark #ClassicalLocalizationSeenFromSpecZ}
###### Remark

The terminology in def. \ref{InvertingPrimes} is motivated by the following perspective of [[arithmetic geometry]]:

Generally for $R$ a [[commutative ring]], then an $R$-[[module]] is equivalently a [[quasicoherent sheaf]] on the [[spectrum of a commutative ring|spectrum of the ring]] $Spec(R)$.

In the present case $R = \mathbb{Z}$ is the [[integers]] and [[abelian groups]] are identified with $\mathbb{Z}$-modules. Hence we may think of an abelian group $A$ equivalently as a [[quasicoherent sheaf]] on [[Spec(Z)]]. 

The "[[ring of functions]]" on [[Spec(Z)]] is the integers, and a point in $Spec(\mathbb{Z})$ is labeled by a [[prime number]] $p$, thought of as generating the ideal of functions on [[Spec(Z)]] which vanish at that point. The [[residue field]] at that point is $\mathbb{F}_p = \mathbb{Z}/p\mathbb{Z}$.

Inverting a prime means [[forcing]] $p$ to become invertible, which, by this characterization, it is precisely _away_ from that point which it labels. The localization of an abelian group at $\mathbb{Z}/p\mathbb{Z}$ hence corresponds to the restriction of the corresponding quasicoherent sheaf over $Spec(\mathbb{Z})$ to the complement of the point labeled by $p$.

Similarly localization _at_ $p$ is localization away from all points except $p$.

See also at _[[function field analogy]]_ for more on this.

=--

+-- {: .num_prop}
###### Proposition


For $J \subset \mathbb{N}$ a set of [[prime numbers]], a homomorphism of abelian groups $f \;\colon\; A \lookrightarrow B $ is local (def. \ref{AbelianGroupLocal}) with respect to  $\underset{p \in J}{\oplus} \mathbb{Z}/p\mathbb{Z}$ (def. \ref{InvertingPrimes}) if under [[tensor product of abelian groups]] with $\mathbb{Z}[J^{-1}]$ (def. \ref{LocalizationOfIntegersAtSetOfPrimes}) it becomes an [[isomorphism]]

$$
  f \otimes \mathbb{Z}[J^{-1}]
    \;\colon\;
  X \otimes \mathbb{Z}[J^{-1}]
    \overset{\simeq}{\longrightarrow}
  Y \otimes \mathbb{Z}[J^{-1}]
  \,.
$$

Moreover, for $A$ any abelian group then its $\underset{p \in J}{\oplus} \mathbb{Z}/p\mathbb{Z}$-localization exists and is given by the canonical projection morphism

$$
  A 
    \longrightarrow
  A \otimes \mathbb{Z}[J^{-1}]
  \,.
$$ 

=--

(e.g. [Neisendorfer 08, theorem 4.2](#Neisendorfer08))


###### Formal completion at primes
 {#FormalCompletionOfAbelianGroups}

We have seen above in remark \ref{ClassicalLocalizationSeenFromSpecZ} that classical localization of abelian groups at a prime number is geometrically interpreted as restricting a [[quasicoherent sheaf]] over [[Spec(Z)]] to a single point, the point that is labeled by that prime number.

Alternatively one may restrict to the "infinitesimal neighbourhood" of such a point. Technically this is called the _[[formal neighbourhood]]_, because its ring of functions is, by definition, the ring of [[formal power series]] (regarded as an [[adic ring]] or [[pro-ring]]). The corresponding operation on abelian groups is accordingly called _[[formal completion]]_ or _[[adic completion]]_ or just _completion_, for short, of abelian groups.

It turns out that if the abelian group is [[finitely generated object|finitely generated]] then the operation of [[p-completion]] coincides with an operation of _localization_ in the sense of def. \ref{AbelianGroupLocal}, namely localization at the [[p-primary group|p-primary component]] $\mathbb{Z}(p^\infty)$ of the group $\mathbb{Q}/\mathbb{Z}$ (def. \ref{ZpInfinity} below). On the one hand this equivalence is useful for deducing some key properties of [[p-completion]], this we discuss below. On the other hand this situation is a shadow of the relation between [[localization of spectra]] and [[nilpotent completion of spectra]], which is important for characterizing the convergence properties of [[Adams spectral sequences]].


+-- {: .num_defn #AdicCompletionOfAbelingGroups}
###### Definition

For $p$ a [[prime number]], then the **[[p-adic completion]]** of an [[abelian group]] $A$ is the abelian group given by the [[limit]]

$$
  A^\wedge_p
   \coloneqq
  \underset{\longleftarrow}{\lim}
  \left(
    \cdots
      \longrightarrow
    A / p^3 A
      \longrightarrow
    A / p^2 A
      \longrightarrow
    A/p A
  \right)
  \,,
$$

where the morphisms are the evident [[quotient]] morphisms. With these understood we often write

$$
  A^\wedge_p \coloneqq \underset{\longleftarrow}{\lim}_n A/p^n A
$$

for short. Notice that here the indexing starts at $n = 1$.

=--

+-- {: .num_example #pAdicIntegers}
###### Example

The [[p-adic completion]] (def. \ref{AdicCompletionOfAbelingGroups}) of the [[integers]] $\mathbb{Z}$ is called the **[[p-adic integers]]**, often written

$$
  \mathbb{Z}_p
    \coloneqq
  \mathbb{Z}^\wedge_p
    \coloneqq
  \underset{\longleftarrow}{\lim}_n \mathbb{Z}/p^n \mathbb{Z}
  \,,
$$

which is the original example that gives the general concept its name. 

With respect to the canonical [[ring]]-structure on the integers, of course $p \mathbb{Z}$ is a prime ideal. 

Compare this to the ring $\mathcal{O}_{\mathbb{C}}$ of [[holomorphic functions]] on the [[complex plane]]. For $x \in \mathbb{C}$ any point, it contains the prime ideal generated by $(z-x)$ (for $z$ the canonical [[coordinate]] function on $\mathbb{z}$). The [[formal power series ring]] $\mathbb{C}[ [(z.x)] ]$ is the [[adic completion]] of $\mathcal{O}_{\mathbb{C}}$ at this ideal. It has the interpretation of functions defined on a [[formal neighbourhood]] of $X$ in $\mathbb{C}$.

Analogously, the [[p-adic integers]] $\mathbb{Z}_p$ may be thought of as the functions defined on a [[formal neighbourhood]] of the point labeled by $p$ in [[Spec(Z)]].

=--


+-- {: .num_lemma #pAdicIntegersAspExtensionofFpByThemselves}
###### Lemma

There is a [[short exact sequence]]

$$
  0 
    \to
  \mathbb{Z}_p
    \overset{p \cdot (-)}{\longrightarrow}
  \mathbb{Z}_p
    \longrightarrow
  \mathbb{Z}/p\mathbb{Z}
    \to
  0
  \,.
$$

=--

+-- {: .proof}
###### Proof

Consider the following [[commuting diagram]]

$$
  \array{
     \vdots && \vdots && \vdots
     \\
     \downarrow
       &&
     \downarrow
       &&
     \downarrow
     \\
     \mathbb{Z}/p^3\mathbb{Z}
       &\overset{p\cdot (-)}{\longrightarrow}&
     \mathbb{Z}/p^4 \mathbb{Z}
       &\longrightarrow&
     \mathbb{Z}/p\mathbb{Z}
     \\
     \downarrow
       &&
     \downarrow
       &&
     \downarrow
     \\
     \mathbb{Z}/p^2\mathbb{Z}
       &\overset{p\cdot (-)}{\longrightarrow}&
     \mathbb{Z}/p^3 \mathbb{Z}
       &\longrightarrow&
     \mathbb{Z}/p\mathbb{Z}
     \\
     \downarrow
       &&
     \downarrow
       &&
     \downarrow
     \\
     \mathbb{Z}/p\mathbb{Z}
       &\overset{p\cdot (-)}{\longrightarrow}&
     \mathbb{Z}/p^2 \mathbb{Z}
       &\longrightarrow&
     \mathbb{Z}/p\mathbb{Z}
     \\
     \downarrow
       &&
     \downarrow
       &&
     \downarrow
     \\
     0
       &\longrightarrow&
     \mathbb{Z}/p\mathbb{Z}
       &\longrightarrow&
     \mathbb{Z}/p\mathbb{Z}     
  }
  \,.
$$

Each horizontal sequence is exact. Taking the [[limit]] over the vertical sequences yields the sequence in question. Since limits commute over limits, the result follows.

=--



We now consider a concept of $p$-completion that is in general different from def. \ref{AdicCompletionOfAbelingGroups}, but turns out to coincide with it in [[finitely generated object|finitely generated]] abelian groups. 

+-- {: .num_defn  #pInvertedInZ}
###### Definition

For $p$ a [[prime number]], write 

$$
  \mathbb{Z}[1/p]
   \coloneqq
  \underset{\longrightarrow}{\lim}
  \left(
    \mathbb{Z}
      \overset{p \cdot (-)}{\longrightarrow}
    \mathbb{Z}
      \overset{p \cdot (-)}{\longrightarrow}
    \mathbb{Z}
      \overset{}{\longrightarrow}
    \cdots
  \right)
$$

for the [[colimit]] (in [[Ab]]) over iterative applications of multiplication by $p$ on the [[integers]].

This is the [[abelian group]] generated by formal expressions $\frac{1}{p^k}$ for $k \in \mathbb{N}$, subject to the relations

$$
  (p \cdot n) \frac{1}{p^{k+1}}
  =
  n \frac{1}{p^k}
  \,.
$$

Equivalently it is the abelian group underlying the [[localization of a ring|ring localization]] $\mathbb{Z}[1/p]$.

=--

+-- {: .num_defn #AbelianGrouppComplete}
###### Definition

For $p$ a [[prime number]], then localization of abelian groups (def. \ref{AbelianGroupLocal}) at $\mathbb{Z}[1/p]$ (def. \ref{pInvertedInZ}) is called **$p$-completion of abelian groups**.

=--

+-- {: .num_lemma #CharacterizingpCompleteAbelianGroupsBypSequence}
###### Lemma

An [[abelian group]] $A$ is $p$-complete according to def. \ref{AbelianGrouppComplete} precisely if both the [[limit]] as well as the [[lim^1]] of the sequence

$$
  \cdots \overset{}{\longrightarrow}
  A \overset{p}{\longrightarrow}
  A \overset{p}{\longrightarrow}
  A \overset{p}{\longrightarrow} A
$$

vanishes:

$$
  \underset{\longleftarrow}{\lim}
  \left(
      \cdots \overset{}{\longrightarrow}
  A \overset{p}{\longrightarrow}
  A \overset{p}{\longrightarrow}
  A \overset{p}{\longrightarrow} A
  \right)
   \simeq
  0
$$

and

$$
  \underset{\longleftarrow}{\lim}^1
  \left(
      \cdots \overset{}{\longrightarrow}
  A \overset{p}{\longrightarrow}
  A \overset{p}{\longrightarrow}
  A \overset{p}{\longrightarrow} A
  \right)
   \simeq
  0
  \,.
$$

=--

+-- {: .proof}
###### Proof

By def. \ref{AbelianGroupLocal} the group $A$ is $\mathbb{Z}[1/p]$-local precisely if

$$
  Hom(\mathbb{Z}[1/p], A) \simeq 0
  \;\;\;\;\;\;\;
  and
  \;\;\;\;\;\;\;
  Ext^1(\mathbb{Z}[1/p], A) \simeq 0
  \,.
$$

Now use the colimit definition $\mathbb{Z}[1/p] = \underset{\longrightarrow}{\lim}_n \mathbb{Z}$ (def. \ref{pInvertedInZ}) and the fact that the [[hom-functor]] sends colimits in the first argument to limits to deduce that

$$
  \begin{aligned}
    Hom(\mathbb{Z}[1/p], A)
    & =
    Hom( \underset{\longrightarrow}{\lim}_n \mathbb{Z}, A  ) 
    \\
    & \simeq
    \underset{\longleftarrow}{\lim}_n Hom(\mathbb{Z},A)
    \\
    & \simeq
    \underset{\longleftarrow}{\lim}_n A
  \end{aligned}
  \,.
$$

This yields the first statement. For the second, use that for every [[cotower]] over abelian groups $B_\bullet$ there is a [[short exact sequence]] of the form

$$
  0 
    \to 
  \underset{\longleftarrow}{\lim}^1_n Hom(B_n, A)
    \longrightarrow
  Ext^1( \underset{\longrightarrow}{\lim}_n B_n, A )
    \longrightarrow
  \underset{\longleftarrow}{\lim}_n Ext^1( B_n, A)
    \to
  0
$$

(by [this lemma](Introduction+to+Stable+homotopy+theory+--+S#lim1AndExt1)).


In the present case all $B_n \simeq \mathbb{Z}$, which is a [[free abelian group]], hence a [[projective object]], so that all the [[Ext]]-groups out of it vannish. Hence by exactness there is an isomorphism

$$
  Ext^1( \underset{\longrightarrow}{\lim}_n \mathbb{Z}, A )
   \simeq
  \underset{\longleftarrow}{\lim}^1_n Hom(\mathbb{Z}, A)
   \simeq
  \underset{\longleftarrow}{\lim}^1_n A  
  \,.
$$

This gives the second statement.

=--

+-- {: .num_example #pPrimaryGroupsArePComplete}
###### Example

For $p$ a [[prime number]], the [[p-primary group|p-primary]] [[cyclic groups]] of the form $\mathbb{Z}/p^n \mathbb{Z}$ are $p$-complete (def. \ref{AbelianGrouppComplete}).

=--

+-- {: .proof}
###### Proof

By lemma \ref{CharacterizingpCompleteAbelianGroupsBypSequence} we need to check that 

$$
  \underset{\longleftarrow}{\lim}
  \left(
    \cdots
      \overset{p}{\longrightarrow} 
    \mathbb{Z}/p^n \mathbb{Z}
      \overset{p}{\longrightarrow} 
    \mathbb{Z}/p^n \mathbb{Z}
      \overset{p}{\longrightarrow} 
    \mathbb{Z}/p^n \mathbb{Z}
  \right)
  \simeq
  0
$$

and

$$
  \underset{\longleftarrow}{\lim}^1
  \left(
    \cdots
      \overset{p}{\longrightarrow} 
    \mathbb{Z}/p^n \mathbb{Z}
      \overset{p}{\longrightarrow} 
    \mathbb{Z}/p^n \mathbb{Z}
      \overset{p}{\longrightarrow} 
    \mathbb{Z}/p^n \mathbb{Z}
  \right)
  \simeq
  0
  \,.
$$

For the first statement observe that $n$ consecutive stages of the tower compose to the [[zero morphism]]. First of all this directly implies that the limit vanishes, secondly it means that the [[tower]] satisfies the [[Mittag-Leffler condition]] ([def.](Introduction+to+Stable+homotopy+theory+--+S#MittagLefflerCondition)) and this implies that the $\lim^1$ also vanishes ([prop.](Introduction+to+Stable+homotopy+theory+--+S#Lim1VanihesUnderMittagLeffler)).

=--

+-- {: .num_defn #ZpInfinity}
###### Definition

For $p$ a [[prime number]], write

$$
  \mathbb{Z}(p^\infty)
    \coloneqq
  \mathbb{Z}[1/p]/\mathbb{Z}
$$

(the [[p-primary group|p-primary]] part of $\mathbb{Q}/\mathbb{Z}$), where $\mathbb{Z}[1/p] = \underset{\longrightarrow}{\lim}(\mathbb{Z}\overset{p}{\to} \mathbb{Z} \overset{p}{\to} \mathbb{Z} \to \cdots )$ from def. \ref{pInvertedInZ}.

Since [[colimits]] commute over each other, this is equivalently 

$$
  \mathbb{Z}(p^\infty)
    \simeq
  \underset{\longrightarrow}{\lim}
  ( 0 \hookrightarrow \mathbb{Z}/p\mathbb{Z} \hookrightarrow \mathbb{Z}/p^2 \mathbb{Z} \hookrightarrow \cdots )
  \,.
$$

=--


+-- {: .num_theorem #pCompletionOfAbelianGroupsByHomsOutOfZpinfinity}
###### Theorem

For $p$ a [[prime number]], the $\mathbb{Z}[1/p]$-localization 

$$
  A \longrightarrow L_{\mathbb{Z}[1/p]} A
$$

of an abelian group $A$ (def. \ref{pInvertedInZ}, def. \ref{AbelianGroupLocal}), hence the $p$-completion of $A$ according to def. \ref{AbelianGrouppComplete}, is given by the morphism

$$
  A \longrightarrow Ext^1( \mathbb{Z}(p^\infty), A )
$$

into the first [[Ext]]-group into $A$ out of $\mathbb{Z}(p^\infty)$ (def. \ref{ZpInfinity}), which appears as the first [[connecting homomorphism]] $\delta$ in the [[long exact sequence]] of [[Ext]]-groups 

$$
  0 
    \to
  Hom(\mathbb{Z}(p^\infty),A)
    \longrightarrow
  Hom(\mathbb{Z}[1/p],A)
    \longrightarrow
  Hom(\mathbb{Z},A)
    \overset{\delta)}{\longrightarrow}
  Ext^1(\mathbb{Z}(p^\infty), A)
    \to
  \cdots
  \,.
$$

that is induced (via [this prop.](derived+functor+in+homological+algebra#LongExactSequenceOfRightDerivedFunctorsFromShortExactSequence)) from the defining [[short exact sequence]]

$$
  0 
    \to 
  \mathbb{Z}
    \longrightarrow
  \mathbb{Z}[1/p]
    \longrightarrow
  \mathbb{Z}(p^\infty)
    \to 
  0
$$

(def. \ref{ZpInfinity}).

=--

e.g. ([Neisendorfer 08, p. 16](#Neisendorfer08))


+-- {: .num_prop}
###### Proposition

If $A$ is a [[finitely generated module|finitely generated]] [[abelian group]], then its $p$-completion (def. \ref{AbelianGrouppComplete}, for any [[prime number]] $p$) is equivalently its [[p-adic completion]] (def. \ref{AdicCompletionOfAbelingGroups})

$$
  \mathbb{Z}[1/p] A
   \simeq
  A^\wedge_p
  \,.
$$

=--

+-- {: .proof}
###### Proof

By theorem \ref{pCompletionOfAbelianGroupsByHomsOutOfZpinfinity} the $p$-completion is $Ext^1(\mathbb{Z}(p^\infty),A)$. By def. \ref{ZpInfinity} there is a [[colimit]]

$$
  \mathbb{Z}(p^\infty)
  =
  \underset{\longrightarrow}{\lim}
  \left(
    \mathbb{Z}/p\mathbb{Z}
      \to
    \mathbb{Z}/p^2 \mathbb{Z}
      \to
    \mathbb{Z}/p^3 \mathbb{Z}
      \to 
    \cdots
  \right)
  \,.
$$

Together this implies, by [this lemma](Introduction+to+Stable+homotopy+theory+--+S#lim1AndExt1), that there is a [[short exact sequence]] of the form

$$
  0 
    \to
  \underset{\longleftarrow}{\lim}^1 Hom(\mathbb{Z}/p^n \mathbb{Z},A)
    \longrightarrow
  X^\wedge_p
    \longrightarrow
  \underset{\longleftarrow}{\lim}_n Ext^1(\mathbb{Z}/p^n \mathbb{Z}, A)
    \to 
  0
  \,.
$$

By lemma \ref{OutOfCyclicGroupExt1} the [[lim^1]] on the left is over the $p^n$-[[torsion subgroups]] of $A$, as $n$ ranges. By the assumption that $A$ is finitely generated, there is a [[maximum]] $n$ such that all torsion elements in $A$ are annihilated by $p^n$. This means that the [[Mittag-Leffler condition]] ([def.](Introduction+to+Stable+homotopy+theory+--+S#MittagLefflerCondition)) is satisfied by the [[tower]] of $p$-torsion subgroups, and hence the [[lim^1]]-term vanishes ([prop.](Introduction+to+Stable+homotopy+theory+--+S#Lim1VanihesUnderMittagLeffler)). 

Therefore by exactness of the above sequence there is an [[isomorphism]]

$$
  \begin{aligned}
    L_{\mathbb{Z}[1/p]}X
      & \simeq
    \underset{\longleftarrow}{\lim}_n Ext^1(\mathbb{Z}/p^n \mathbb{Z}, A)
    \\
    & \simeq
    \underset{\longleftarrow}{\lim}_n A/p^n A
  \end{aligned}
  \,,
$$

where the second isomorphism is by lemma \ref{OutOfCyclicGroupExt1}.

=--

+-- {: .num_prop #pDivisibleGroupsHaveVanishingpCompletion}
###### Proposition

If $A$ is a $p$-[[divisible group]] in that $A \overset{p \cdot (-)}{\longrightarrow} A$ is an [[isomorphism]], then its $p$-completion (def. \ref{AbelianGrouppComplete}) vanishes.

=--

+-- {: .proof}
###### Proof

By theorem \ref{pCompletionOfAbelianGroupsByHomsOutOfZpinfinity} the localization morphism $\delta$ sits in a [[long exact sequence]] of the form

$$
  0 
    \to
  Hom(\mathbb{Z}(p^\infty),A)
    \longrightarrow
  Hom(\mathbb{Z}[1/p],A)
    \overset{\phi}{\longrightarrow}
  Hom(\mathbb{Z},A)
    \overset{\delta}{\longrightarrow}
  Ext^1(\mathbb{Z}(p^\infty), A)
    \to
  \cdots
  \,.
$$

Here by def. \ref{pInvertedInZ} and since the [[hom-functor]] takes [[colimits]] in the first argument to [[limits]], the second term is equivalently the [[limit]]

$$
  Hom(\mathbb{Z}[1/p],A)
    \simeq
  \underset{\longleftarrow}{\lim}
  \left(
     \cdots
     \to 
     A \overset{p \cdot (-)}{\longrightarrow} A \overset{p \cdot (-)}{\longrightarrow} A
  \right)
  \,.
$$

But by assumption all these morphisms $p \cdot (-)$ that the limit is over are [[isomorphisms]], so that the limit collapses to its first term, which means that the morphism $\phi$ in the above sequence is an [[isomorphism]]. But by exactness of the sequence this means that $\delta = 0$.

=--

+-- {: .num_cor}
###### Corollary

Let $p$ be a [[prime number]]. If $A$ is a [[finite abelian group]], then its $p$-completion (def. \ref{AbelianGrouppComplete}) is equivalently its [[p-primary group|p-primary part]].

=--

+-- {: .proof}
###### Proof

By the [[fundamental theorem of finite abelian groups]], $A$ is a finite [[direct sum]] 

$$
  A 
   \simeq
  \underset{i}{\oplus}
  \mathbb{Z}/p_i^{k_i}\mathbb{Z}
$$


of [[cyclic groups]] of [[order of a group|ordr]] $p_i^{k_1}$ for $p_i$ [[prime numbers]] and $k_i \in \mathbb{N}$ ([thm.](finite+abelian+group#FiniteAbelianGroupIsDirectSumOfCyclics)). 

Since finite direct sums are equivalently [[products]] ([[biproducts]]: [[Ab]] is an [[additive category]]) this means that

$$
  Ext^1( \mathbb{Z}(p^\infty), A )
  \simeq
  \underset{i}{\prod}
  Ext^1( \mathbb{Z}(p^\infty), \mathbb{Z}/p_i^{k_1}\mathbb{Z} )
  \,.
$$

By theorem \ref{pCompletionOfAbelianGroupsByHomsOutOfZpinfinity} the $i$th factor here is the $p$-completion of $\mathbb{Z}/p_i^{k_i}\mathbb{Z}$, and since $p \cdot(-)$ is an isomorphism on $\mathbb{Z}/p_i^{k_i}\mathbb{Z}$ if $p_i \neq p$ (because its [[kernel]] evidently vanishes), prop. \ref{pDivisibleGroupsHaveVanishingpCompletion} says that in this case the factor vanishes, so that only the factors with $p_i = p$ remain. On these however $Ext^1(\mathbb{Z}(p^\infty),-)$ is the identity by example \ref{pPrimaryGroupsArePComplete}.

=--


## Related concepts

* [[localization of rings]]

* [[localization of a space]]

* [[Bousfield localization of spectra]]


## References


* {#Neisendorfer08} [[Joseph Neisendorfer]] _A Quick Trip through Localization_, in _Alpine perspectives on algebraic topology_, Third Ariolla Conference 2008 ([pdf](https://www.math.rochester.edu/people/faculty/jnei/localization.pdf))

* {#MayPonto} [[Peter May]], [[Kate Ponto]], section 10.1 of _More concise algebraic topology: Localization, completion, and model categories_ ([pdf](http://www.maths.ed.ac.uk/~aar/papers/mayponto.pdf))


[[!redirects localization of an abelian group]]

[[!redirects localizations of abelian groups]]
