

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Group Theory
+-- {: .hide}
[[!include group theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Statement


+-- {: .num_theorem #FundamentalTheoremOfFinitelyGeneratedAbelianGroups}
###### Theorem
**(fundamental theorem of finitely generated abelian groups)**

Every [[finitely generated object|finitely generated]] [[abelian group]] $A$ is [[isomorphism|isomorphic]] to a [[direct sum]] of [[p-primary groups|p-primary]] [[cyclic groups]] $\mathbb{Z}/p^k \mathbb{Z}$ (for $p$ a [[prime number]] and $k$ a [[natural number]] ) and copies of the infinite cyclic group $\mathbb{Z}$:

$$
  A 
  \;\simeq\;
  \mathbb{Z}^n
   \oplus
  \underset{i}{\bigoplus}
   \mathbb{Z}/p_i^{k_i} \mathbb{Z}
  \,.
$$

The summands of the form  $\mathbb{Z}/p^k \mathbb{Z}$ are also called the _[[p-primary group|p-primary]] components_ of $A$. Notice that the $p_i$ need not all be distinct.

**fundamental theorem of finite abelian groups**:

In particular every [[finite group|finite]] [[abelian group]] is of this form  for $n = 0$, hence is a [[direct sum]] of [[cyclic groups]]. 

**fundamental theorem of cyclic groups**: 

In particular every [[cyclic group]] $\mathbb{Z}/n\mathbb{Z}$ is a [[direct sum]] of cyclic groups of the form

$$
  \mathbb{Z}/n\mathbb{Z}
    \simeq
  \underset{i}{\bigoplus} \mathbb{Z}/ p_i^{k_i} \mathbb{Z}
$$

where all the $p_i$ are distinct and $k_i$ is the maximal power of the [[prime factor]] $p_i$ in the prime decomposition of $n$.

Specifically, for each natural number $d$ dividing $n$ it contains $\mathbb{Z}/d\mathbb{Z}$ as the [[subgroup]] generated by $n/d \in \mathbb{Z}\to \mathbb{Z}/n\mathbb{Z}$. In fact the [[lattice of subgroups]] of $\mathbb{Z}/n\mathbb{Z}$ is the [[formal dual]] of the lattice of natural numbers $\leq n$ ordered by inclusion.



=--

(e.g. [Roman 12, theorem 13.4](#Roman12), [Navarro 03](#Navarro03)) for cyclic groups e.g. ([Aluffi 09, pages 83-84](#Aluffi09))

This is a special case of the _[[ structure theorem for finitely generated modules over a principal ideal domain]]_.




## Examples

The following examples may be useful for illustrative or instructional purposes. 

+-- {: .num_example #TwoFiniteGroupsOfOrderp2}
###### Example

For $p$ a [[prime number]], there are, up to [[isomorphism]], two [[abelian groups]] of [[order of a group|order]] $p^2$, namely

$$
  (\mathbb{Z}/p\mathbb{Z}) \oplus (\mathbb{Z}/p\mathbb{Z})
$$

and

$$
  \mathbb{Z}/p^2 \mathbb{Z}
  \,.
$$

=--

+-- {: .num_example}
###### Example

For $p_1$ and $p_2$ two distinct [[prime numbers]], $p_1 \neq p_2$, then there is, up to isomorphism, precisely one [[abelian group]] of order $p_1 p_2$, namely

$$
  \mathbb{Z}/p_1 \mathbb{Z}
  \oplus
  \mathbb{Z}/p_2 \mathbb{Z}
  \,.
$$

This is equivalently the [[cyclic group]] 

$$
  \mathbb{Z}/p_1 p_2 \mathbb{Z}
    \simeq
  \mathbb{Z}/p_1 \mathbb{Z}
    \oplus
  \mathbb{Z}/p_2 \mathbb{Z}
  \,.
$$

The isomorphism is given by sending $1$ to $(p_2,p_1)$.

=--

+-- {: .num_example }
###### Example

Moving up, for two distinct prime numbers $p_1$ and $p_2$, there are exactly two abelian groups of order $p_1^2 p_2$, namely $(\mathbb{Z}/p_1 \mathbb{Z})\oplus (\mathbb{Z}/p_1 \mathbb{Z}) \oplus (\mathbb{Z}/p_2 \mathbb{Z})$ and $(\mathbb{Z}/p_1^2 \mathbb{Z})\oplus (\mathbb{Z}/p_2 \mathbb{Z})$.  The latter is the [[cyclic group]] of order $p_1^2 p_2$.  For instance, $\mathbb{Z}/12\mathbb{Z} \cong (\mathbb{Z}/4 \mathbb{Z})\oplus (\mathbb{Z}/3 \mathbb{Z})$.

=--


+-- {: .num_example}
###### Example

Similarly, there are four abelian groups of order $p_1^2 p_2^2$, three abelian groups of order $p_1^3 p_2$, and so on.

More generally, theorem \ref{FundamentalTheoremOfFinitelyGeneratedAbelianGroups} may be used to compute exactly how many abelian groups there are of any finite [[order of a group|order]] $n$ (up to [[isomorphism]]): write down its [[prime factorization]], and then for each prime power $p^k$ appearing therein, consider how many ways it can be written as a product of positive powers of $p$.  That is, each [[partition]] of $k$ yields an abelian group of order $p^k$.  Since the choices can be made independently for each $p$, the numbers of such partitions for each $p$ are then multiplied.

Of all these abelian groups of order $n$, of course, one of them is the [[cyclic group]] of order $n$.  The fundamental theorem of cyclic groups says it is the one that involves the one-element partitions $k= [k]$, i.e. the cyclic groups of order $p^k$ for each $p$.

=--


## Graphical representation
 {#GraphicalRepresentation}



+-- {: .num_remark #PrimaryDecompositionGraphicalRepresentation}
###### Remark


Theorem \ref{FundamentalTheoremOfFinitelyGeneratedAbelianGroups} says that for any [[prime number]] $p$, the [[p-primary group|p-primary part]] of any finitely generated abelian group is determined uniquely up to [[isomorphism]] by

* a total number $k \in \mathbb{N}$ of powers of $p$;

* a [[partition]] $k = k_1 + k_2 + \cdots + k_q$.

The corresponding [[p-primary group]] is

$$
  \underoverset{i = 1}{q}{\bigoplus} \mathbb{Z}/p^{k_i} \mathbb{Z}
  \,.
$$ 

In the context of [[Adams spectral sequences]] it is conventional to depict this information graphically by

* $k$ dots;

* of which sequences of length $k_i$ are connected by vertical lines, for $i \in \{1, \cdots, q\}$.

For example the graphical representation of the $p$-primary group

$$
  \mathbb{Z}/p\mathbb{Z} 
    \oplus 
  \mathbb{Z}/p\mathbb{Z}
    \oplus 
  \mathbb{Z}/p^3 \mathbb{Z}
    \oplus
  \mathbb{Z}/p^4\mathbb{Z}
$$

is

$$
  \array{
      &&& \bullet
      \\
      && & \vert
      \\
      && \bullet & \bullet
      \\
      && \vert & \vert
      \\
      && \bullet & \bullet
      \\
      && \vert & \vert
      \\
     \bullet & \bullet & \bullet & \bullet
  }
  \,.
$$

This notation comes from the convention of drawing stable pages of [[multiplicative spectral sequence|multiplicative]] [[Adams spectral sequences]] and reading them as encoding the [extension problem](spectral+sequence#ExtensionProblem) for computing the homotopy groups that the spectral sequence converges to:

* a dot at the top of a vertical sequence of dots denotes the group $\mathbb{Z}/p\mathbb{Z}$;

* inductively, a dot vetically below a sequence of dots denotes a [[group extension]] of $\mathbb{Z}/p\mathbb{Z}$ by the group represented by the sequence of dots above;

* a vertical line between two dots means that the the generator of the group corresponding to the upper dot is, regarded after inclusion into the group extension, the product by $p$ of the generator of the group corresponding to the lower dot, regarded as represented by the generator of the group extension.

So for instance

$$
  \array{
    \bullet
    \\
    \vert
    \\
    \bullet
  }
$$

stands for an [[abelian group]] $A$ which forms a [[group extension]] of the form

$$
  \array{
    \mathbb{Z}/p\mathbb{Z}
    \\
    \downarrow
    \\
    A
    \\
    \downarrow
    \\
    \mathbb{Z}/p\mathbb{Z}
  }
$$

such that multiplication by $p$ takes the generator of the bottom copy of $\mathbb{Z}/p\mathbb{Z}$, regarded as represented by the generator of $A$, to the generator of the image of the top copy of $\mathbb{Z}/p\mathbb{Z}$.

This means that of the two possible choices of extensions (by example \ref{TwoFiniteGroupsOfOrderp2}) $A$ corresponds to the non-trivial extension $A = \mathbb{Z}/p^2\mathbb{Z}$. Because then in

$$
  \array{
    \mathbb{Z}/p\mathbb{Z} & 
    \\
    \downarrow
    \\
    \mathbb{Z}/p^2 \mathbb{Z} & 
    \\
    \downarrow
    \\
    \mathbb{Z}/p\mathbb{Z} & 
  }
$$

the image of the generator 1 of the first group in the middle group is $p = p \cdot 1$.

Conversely, the notation


$$
  \array{
    \bullet
    \\
    \\
    \bullet
  }
$$

stands for an [[abelian group]] $A$ which forms a [[group extension]] of the form

$$
  \array{
    \mathbb{Z}/p\mathbb{Z}
    \\
    \downarrow
    \\
    A
    \\
    \downarrow
    \\
    \mathbb{Z}/p\mathbb{Z}
  }
$$

such that multiplication by $p$ of the generator of the top group in the middle group does _not_ yield the generator of the bottom group. 

This means that of the two possible choices (by example \ref{TwoFiniteGroupsOfOrderp2}) $A$ corresponds to the _trivial_ extension $A = \mathbb{Z}/p\mathbb{Z} \oplus \mathbb{Z}/p\mathbb{Z}$. Because then in

$$
  \array{
    \mathbb{Z}/p\mathbb{Z}
    \\
    \downarrow
    \\
    \mathbb{Z}/p\mathbb{Z} 
      \oplus
    \mathbb{Z}/p\mathbb{Z}
    \\
    \downarrow
    \\
    \mathbb{Z}/p\mathbb{Z}
  }
$$

the generator 1 of the top group maps to the element $(1,0)$ in the middle group, and multiplication of that by $p$ is $(0,0)$ instead of $(0,1)$, where the latter is the generator of the bottom group.

Similarly 

$$
  \array{
    \bullet
    \\
    \vert
    \\
    \bullet
    \\
    \vert
    \\
    \bullet
  }
$$

is to be read as the result of appending to the previous case a dot _below_, so that this now indicates a group extension of the form

$$
  \array{
    \mathbb{Z}/p^2 \mathbb{Z}
    \\
    \downarrow
    \\
    A
    \\
    \downarrow
    \\
    \mathbb{Z}/p \mathbb{Z}
  }
$$

such that $p$-times the generator of the bottom group, regarded as represented by the generator of the middle group, is the image of the generator of the top group. This is again the case for the unique non-trivial extension, and hence in this case the diagram stands for $A = \mathbb{Z}/p^3 \mathbb{Z}$.

And so on.


For example the stable page of the $\mathbb{F}_2$-[[classical Adams spectral sequence]] for computation of the [[p-primary group|2-primary part]] of the [[stable homotopy groups of spheres]] $\pi_{t-s}(\mathbb{S})$  has in ("internal") degree $t-s \leq 13$ the following non-trivial entries:

<img src="http://ncatlab.org/nlab/files/ClassicalAdamsSpectralSequence.jpg" width="600" >

(graphics taken from ([[Symmetric spectra|Schwede 12]])))

Ignoring here the diagonal lines (which denote multiplication by the element $h_1$ that encodes the additional [[ring]] structure on $\pi_\bullet(\mathbb{S})$ which here we are not concerned with) and applying the above prescription, we read off for instance that $\pi_3(\mathbb{S}) \simeq \mathbb{Z}/8\mathbb{Z}$ (because all three dots are connected) while $\pi_8(\mathbb{S}) \simeq \mathbb{Z}/2\mathbb{Z}\oplus \mathbb{Z}/2\mathbb{Z} $ (because here the two dots are not connected). In total

| $k =$ | 0 | 1 | 2 | 3 | 4  | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 | 13 | 
|--|--|--|--|--|--|--|--|--|--|--|--|--|--|--|
| $\pi_k(\mathbb{S})_{(2)} = $ | $\mathbb{Z}_{(2)}$  | $\mathbb{Z}/2$  |  $\mathbb{Z}/2$ |  $\mathbb{Z}/8$ |  $0$ |  $0$ | $\mathbb{Z}/2$ |   $\mathbb{Z}/16$ | $(\mathbb{Z}/2)^2$ |  $(\mathbb{Z}/2)^3$ | $\mathbb{Z}/2$ | $\mathbb{Z}/8$ | $0$ | $0$ | 

Here the only entry that needs further explanation is the one for $k = 0$. The symbol $\mathbb{Z}_{(2)}$ refers to the [[p-adic integers|2-adic integers]], i.e. for the [[limit]]

$$
  \mathbb{Z}_{(2)}
  = 
  \underset{\longleftarrow}{\lim}_{n \geq 1} \mathbb{Z}/2^n \mathbb{Z}
  \,.
$$

This is not [[p-primary group|2-primary]], but it does arise when applying [[p-completion|2-completion]] of abelian groups to finitely generated abelian groups as in theorem \ref{FundamentalTheoremOfFinitelyGeneratedAbelianGroups}. For more on this see at _[Adams spectral sequence -- Convergence](Adams+spectral+sequence#Convergence)_. Here we just note why this 2-completion is associated with the infinite sequence of dots

$$
  \array{
    \vdots
    \\
    \vert
    \\    
    \bullet
    \\
    \vert
    \\
    \bullet
    \\
    \vert
    \\
    \bullet
    \\
    \vert
    \\
    \bullet
  }
$$

as in the above figure. Namely by the above prescrption, this infinite sequence should encode an abelian group $A$ such that it is an [[group extension|extension]] of $\mathbb{Z}/p\mathbb{Z}$ by itself of the form

$$
  0 \to A \overset{p \cdot(-)}{\longrightarrow} A \longrightarrow \mathbb{Z}/p\mathbb{Z}
$$

(Because it is supposed to encode an extension of $\mathbb{Z}/p\mathbb{Z}$ by the group corresponding to the result of chopping off the lowest dot, which however in this case does not change the figure.)

Indeed, by [this lemma](p-adic+integer#pAdicIntegersAspExtensionofFpByThemselves) we have a short exact sequence

$$
  0 
    \to
  \mathbb{Z}_{(p)}
    \overset{p \cdot (-)}{\longrightarrow}
  \mathbb{Z}_{(p)}
    \longrightarrow
  \mathbb{Z}/p\mathbb{Z}
    \to
  0
  \,.
$$

=--


## References

For instance

* {#Roman12} Steven Roman, _Fundamentals of group theory_, Birkhäuser (2012)

A new proof of the [[fundamental theorem of finite abelian groups]] was given in 

* {#Navarro03} Gabriel Navarro, _On the fundamental theorem of finite abelian groups_, Amer. Math. Monthly, February 2003

reviewed in

* {#Sullivan} John Sullivan, _Classification of finite abelian groups_ ([pdf](http://www.isama.org/jms/m317/handouts/finabel.pdf))

See also

* Wikipedia, _[Finitely generated abelian group -- Primary decomposition](https://en.wikipedia.org/wiki/Finitely_generated_abelian_group#Primary_decomposition)_

* {#Aluffi09} Paolo Aluffi, _Algebra Chapter 0_, 2009 ([pdf](https://zr9558.files.wordpress.com/2013/11/algebra-chapter-0-aluffi.pdf))


[[!redirects fundamental theorem of finite abelian groups]]
