+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
=--
=--

#Contents#
* table of contents
{:toc}

## Definition

A _bornological coarse space_ is a set $X$
equipped with a [[bornology]] $B$
and a [[coarse structure]] $C$
that are compatible: controlled thickenings of bounded subsets are bounded.

Here a U-controlled thickening ($U\subset X\times X$)
of a subset $B$ of $X$
is the projection of $X\times B\cap U$ onto its first factor.

A _morphism_ of bornological coarse spaces is a map $f$
of sets that is _controlled_ (for every $U\in C$ we
have $(f\times f)(U)\in C'$) and _proper_ (for every $B'\in B'$
we have $f^{-1}(B')\in B$).

Bornological coarse spaces can be used as a [[site with an interval]]
to construct [[motivic coarse spaces]].

## References

* {#BunkeEngel} [[Ulrich Bunke]], [[Alexander Engel]],
_Homotopy theory with bornological coarse spaces_,
[arXiv:1607.03657](http://arxiv.org/abs/1607.03657).

[[!redirects bornological coarse spaces]]
