[[!redirects Fraenkel--Mostowski model]]
[[!redirects Fraenkel-Mostowski model]]

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Foundations
+-- {: .hide}
[[!include foundations - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea
It can be shown via $\epsilon$-induction that any model of [[ZF]] has no non-trivial [[automorphisms]]. However, if we have a [[model]] $V$ of [[ZFA]] with a set of [[atoms]] $A$, then any [[permutation]] of the atoms in $A$ gives rise to a non-trivial automorphism of $V$.

We can then look at the submodel of $V$ consisting of sets that are (hereditarily) closed under "most" permutations of $V$ (in a sense made precise by a normal filter), and it turns out this gives a [[transitive model]] of ZFA. In some sense, imposing the symmetry condition above causes the atoms to be "indistinguishable", and thus often causes the [[axiom of choice]] to fail, since there is no uniform way of picking out atoms.

By tweaking the choice of permutations, we can produce models in which some weak version of choice holds (such as the [[prime ideal theorem#boolean_pit_and_the_ultrafilter_principle|boolean prime ideal theorem]]), while full (or even countable) choice fails, and thus proving their independence (in ZFA).

Two such examples are the [[basic Fraenkel model]] and the [[second Fraenkel model]] which gave the first examples of the independence of the axiom of choice from a set theory ([[David Roberts|I]] think!).

## Definition

Let $V$ be a model of $ZFA$, and let $A$ be its set of atoms. Then any permutation of $A$ induces a unique non-trivial automorphism of $V$.

We pick a subgroup $G \leq Aut(A)$ of permutations of the atoms, and let $\mathcal{F}$ be a normal [[filter]] of subgroups of $G$, ie. a collection of subgroups such that

 * $\mathcal{F}$ is non-empty.

 * If $H, K \in \mathcal{F}$, then $H \cap K \in \mathcal{F}$.

 * If $H \in \mathcal{F}$ and $K \geq H$, then $K \in \mathcal{F}$.

 * If $H \in \mathcal{F}$ and $g \in G$, then $gHg^{-1} \in \mathcal{F}$.

We say $x$ is ($\mathcal{F}$-)symmetric if its stabilizer $stab(x) \in \mathcal{F}$. We let $\tilde{V}$ be the class of hereditarily symmetric sets.

We usually pick $\mathcal{F}$ so that for each atom $a \in A$, the singleton $\{a\}$ is symmetric. Otherwise, the non-symmetric elements would never occur in the class $\tilde{V}$.

+-- {: .num_theorem}
###### Theorem
The class $\tilde{V}$ is a model of ZFA.
=-- 

+-- {: .proof}
###### Not a proof
See [Felgner, Chapter III.B](#Felgner).
=--

## Category-theoretic approach
From a modern, [[structural set theory|structural]] [[foundations]] point of view, we can construct these models by viewing $G \leq Aut(A)$ as a [[topological group]], where the topology is generated by the normal filter of subgroups $\mathcal{F}$. We then construct the [[category]] whose objects are [[sets]] with an action by an [[open subset|open]] [[subgroup]] $H \le G$ (where $H$ is allowed to vary), and morphisms are functions $f\colon X\to Y$ which are equivariant for an open subgroup $L \le H \cap K$, where $H$ and $K$ act on $X$ and $Y$ respectively. The resulting category is in fact a [[Boolean topos|Boolean]] [[topos]].

The construction outlined at [[pure set]] can be varied to construct well-founded pure sets using atoms [ [[David Roberts|DR]]:which I believe they are elements of the [[transitive action|transitive]] $G$-sets.]

While this approach more-or-less translates the construction of the permutation model directly, the resulting topos in general fails to be (externally) [[complete category|complete]]. In particular, we cannot construct the [[coproduct]] of an infinite family $\{X_i\}_{i \in I}$ (at least not in the obvious way), since given functions $f_i: X_i \to A$, we cannot guarantee that the combined map $(\coprod_i X_i) \to A$ has an open stabilizer, as the infinite intersection of open sets need not be open.

Instead, we can consider the [[logical morphism|logical]] [[subtopos]] consisting of sets with a full $G$-action, and morphisms are the functions that are $G$-equivariant. This gives the [[topos of continuous G-sets]].

## Related Concepts

 * [[category of G-sets]]
 * [[G-set]]
 * [[ZFA]]

## References

Fraenkel-Mostowski Models are discussed in

 * {#Felgner} Ulrich Felgner, _Models of ZF-Set Theory_, Lecture Notes in Mathematics 223 (1971)

 * Thomas J. Jech, _The Axiom of Choice_ (1973)

The following papers discuss how we can deduce properties of the permutation model from properties of the corresponding categories of $G$ sets:

 * Michael Fourman, _Sheaf models for set theory_ ([pdf](http://www.sciencedirect.com/science/article/pii/0022404980900961/pdf?md5=0de18da810657bf1ba9de7399d224ec5&pid=1-s2.0-0022404980900961-main.pdf))

 * Andreas Blass, Andre Scedrov, _Complete topoi representing models of set theory_ ([pdf](https://deepblue.lib.umich.edu/bitstream/handle/2027.42/30052/0000420.pdf?sequence=1))

[[!redirects Fraenkel-Mostowski models]]
[[!redirects Fraenkel-Mostowski permutation model]]
[[!redirects Fraenkel-Mostowski permutation models]]