[[!redirects symmetric colored sequence]]
[[!redirects symmetric color sequence]]
[[!redirects symmetric color sequence]]


#Contents#
* table of contents
{:toc}


## Idea

A [[symmetric sequence]] in a [[symmetric monoidal category]] $C$ can be thought of as a functor $\Sigma\to C$, where $\Sigma$ is the category of finite ordinals with bijections between them[^1]. One use of this idea is to define [[operads]] as monoids in symmetric sequences (with a certain composition product[^2]). However, operads defined in this way are necessarily operads with _one color_. To define [[colored operads]] as a type of "symmetric sequence", one has to generalize the category $\Sigma$. The category of colored symmetric sequences in a symmetric monoidal category $C$, as defined below, admits a [[composition product]], with respect to which the algebras are precisely the [[colored operads]] in $C$. 

[^1]: Cf. [[species]], another name for symmetric sequence. 

[^2]: Essentially synonymous with [substitution product](https://ncatlab.org/nlab/show/club#substitution_product_as_monoidal_product) as explained at [[club]], a concept due to [[Max Kelly]]. 

Note that the terminology "colored symmetric sequence" doesn't really make any sense, since we know longer have a _sequence_ at all, much less a "colored" one. [[Mike Shulman]] has suggested that what we call a colored symmetric sequence in $C$ might be better referred to as a _$C$-enriched multigraph_. The only drawback of such terminology is that it obscures the relevance of this construction to symmetric sequences (which it generalizes) and its relationship to colored operads. 

## Definition

Let $\mathfrak{C}$ be a set that we will refer to as the set of _colors_. Define the category of $\mathfrak{C}$-profiles, denoted $P(\mathfrak{C})$, to be the groupoid whose objects are finite lists of elements of $\mathfrak{C}$ and in which there is an isomorphism $\vec{c}=\{c_1,\ldots,c_n\}\to \vec{d}=\{d_1,\ldots,d_n\}$ if $\vec{d}$ is a permutation of $\vec{c}$. Note that if $\mathfrak{C}=1$ then we recover the category $\Sigma$ of finite [[ordinals]] and [[bijections]].  

A **symmetric $\mathfrak{C}$-colored sequence** in a [[category]] $C$ is then a functor $P(\mathfrak{C})\times\mathfrak{C}\to C$. 

The idea of course is that the target of the pair $(\vec{c},d)=(\{c_1,\ldots,c_n\},d)$ (where some of the $c_i$ might be the same element of $\mathfrak{C}$) is the object in the colored operad governing operations that take as input an object of color $c_i$ for each $c_i$ composing $\vec{c}$ and have output of color $d$. 

## Conceptual significance 

The concept of colored symmetric sequence, seemingly rediscovered several times, involves concepts originally developed by Kelly (reference to be added). 

The underlying conceptual point is that for a *category* $C$ (more generally than for a mere set $C$), the construct $Set^{\Sigma(C)^{op}}$ is the free symmetric [[monoidally cocomplete category]] generated by $C$, in the sense that given any [[cocomplete category|cocomplete]] $D$ with a symmetric monoidal structure whose tensor product is [[cocontinuous functor|cocontinuous]] in each variable, any functor $C \to D$ extends (uniquely up to coherent [[monoidal transformation|symmetric monoidal isomorphism]]) to a cocontinuous symmetric monoidal functor $Set^{\Sigma(C)^{op}}$, where the symmetric monoidal structure there is given by the [[Day convolution product]] induced by the symmetric monoidal structure on the free symmetric monoidal category $\Sigma(C)$. 

It follows that the hom-category of functors and natural transformations $Hom(C, D)$ is equivalent to $SymMonCocont(Set^{\Sigma(C)^{op}}, D)$ (the category of symmetric monoidal cocontinuous functors and symmetric monoidal natural transformations between them). Hence, taking $D = Set^{\Sigma(C)^{op}}$, the evident endofunctor composition on $SymMonCocont(Set^{\Sigma(C)^{op}}, Set^{\Sigma(C)^{op}})$ gives a monoidal structure which may be transferred across the equivalence to a monoidal structure on $Hom(C, Set^{\Sigma(C)^{op}}) \cong Set^{\Sigma(C)^{op} \times C}$, and monoids in the latter monoidal structure are of course colored [[operads]]. 

Baez and Dolan made use of the same concepts in [Higher Dimensional Algebra III](http://arxiv.org/pdf/q-alg/9702014v1.pdf) (where their theory of [[opetopic sets]] was developed), calling the category $\Sigma(C) \times C$ for a set of colors $C$ being the category of *$C$-profiles*, and [[presheaves]] on that category the category of *$C$-signatures*. 

## Colored Bisymmetric Sequences

The above definition can be generalized to support colored [[properads]] instead of just [[operads]]. The way to do this is to include the possibility of multiple outputs as well as multiple inputs. Thus a **colored bisymmetric sequence** in a category $C$, called a $\Sigma_{S(\mathfrak{C})}$-bimodule in [HRY](#HRY), is a functor $P(\mathfrak{C})\times P(\mathfrak{C})^{op}\to C$. 


## References

* {#HRY} [[Philip Hackney]], [[Marcy Robertson]] and [[Donald Yau]]. _Infinity Properads and Infinity Wheeled Properads_,  Lecture Notes in Mathematics, 2147. Springer, Cham, 2015. [(arxiv version)](http://arxiv.org/pdf/1410.6716v2.pdf)
