* [[Thoralf Skolem]], 
  _Einige Bemerkungen zur axiomatischen Begründung der Mengenlehre_, 1922

is a talk on occasion of the Fith Congress of Scandinavian Mathematicians in which some major ideas of [[set theory]] appear and the idea of set theoretic [[foundation of mathematics|foundation]] is discussed. 


## Content

Axiomatic set theory at the stage of this talk is not a formal theory, i.e. not conceived as being a manipulation of strings.
Instead the axioms are considered to describe properties of a certain universe or range of things $B$ (German "Bereich").
This $B$ would be called underlying set of a model in modern terminology.

### The peculiar fact that, in order to treat "sets", we must begin with "domains" that are constituted in a certain way

First, Skolem points out the problem of how to think of $B$ itself: if we conceive $B$ as a set itself, we can not do so as a thing of the theory we are developing.
Second, it is pointed out that $B$ is not uniquely determined by the set of axioms.

### A definition, much to be desired, that makes Zermelo's notion "definite proposition" precise

In modern language a (well-formed) formula.

### The fact that in every thoroughgoing axiomatization set-theoretic notions are unavoidably relative

Downward version of [[Löwenheim-Skolem theorem]] is proved, i.e. existence of countable models.
[[Skolem's paradox]] is explained.

### The fact that Zermelo's system is not sufficient to provide a foundation for ordinary set theory

[[axiom of replacement|Axioms of replacement]] is suggested.

### The difficulties caused by nonpredicative stipulations when one wants to prove the consistency of the axioms

Skolem argues that the consistency of set theory can not be proved (note that at that time Gödel's [[incompleteness theorem]] was still unknown).
Such a proof is in Skolem's opinion not possible as in set theory sets are formed in a "non-predicative" way, that is to say they are formed from all sets of $B$ and not just a finite number of sets, e.g. the intersection of all sets with some property.

Skolem remarks that a the "non-predicative requirement of reproduction of sets" also occurs in [[Principia Mathematica|Russell's type theory]] in form of the [[axiom of reducibility]].

### The nonuniqueness [Mehrdeutigkeit] of the domain $B$

In modern language: Based on a given model of set theory, a new model is constructed by extending the underlying set by a new element.
In a footnote Skolem speculates that the [[continuum hypothesis]] can not decided in the set theory of his time.

### The fact that mathematical induciton is neceissary for the logical investigation of abstractly given systems of axioms

A skeptic view on [[Hilbert's program]], that was ongoing at that point, is explained.
In modern language the argument amounts to saying that in the metalanguage of mathematical logic the induction axiom is indispensable.

### A remark on the principle of choice

Skolem criticizes opponents of the [[axiom of choice]] by rooting their opposition to a "non-axiomatic" understanding of sets: 
sets are for them not things subject to some axioms but just a collection on _explicitely_ given things.


### Concluding remark

> ... I believed that it was so clear that axiomatization in terms of sets was not a satisfactory ultimate foundation of mathematics that mathematicians would, for the most part, not be very much concerned with it.
  But in recent times I have seen to my surprise that so many mathematicians think that these axioms of set theory provide the ideal foundation for mathematics ...

> ... glaubte ich, dass es so klar sei, dass diese Mengenaxiomatik keine befriedigende letzte Grundlage der Mathematik wäre,
  dass die Mathematiker grösstenteils sich nicht so sehr darum kümmern würden.
  In der letzten Zeit habe ich aber zu meinem Erstauenen gesehen, 
  dass sehr viele Mathematiker diese Axiome der Mengenlehre als ideale Begründung der Mathematik betrachten; ...


## References

Originally published in German

* [[Thoralf Skolem]], _Einige Bemerkungen zu axiomatischen Begründung der Mengenlehre_, Mathematikerkongressen i Helsingfors den 4–7 Juli 1922, Den femte skandinaviska matematikerkongressen, Redogörelse: 217–232

English translation

* _Some remarks on axiomatized set theory_ in _From Frege to Gödel: A Source Book in Mathematical Logic, 1879-1931_, Cambridge, Massachusetts: Harvard University Press


[[!redirects Einige Bemerkungen zu axiomatischen Begründung der Mengenlehre]]

category: reference