
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Model category theory
+--{: .hide}
[[!include model category theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

Quillen adjunctions are one convenient notion of [[morphisms]] between [[model categories]].  They present [[adjoint (∞,1)-functors]] between the [[(∞,1)-category|(∞,1)-categories]] [[presentable (infinity,1)-category|presented]] by the model categories.


## Definition 
 {#Definition}

+-- {: .num_defn #QuillenAdjunction}
###### Definition

For $C$ and $D$ two [[model category|model categories]], a pair $(L,R)$

$$
  (L \dashv R) : C \stackrel{\overset{R}{\leftarrow}}{\underset{L}{\to}}
  D
$$

of [[adjoint functors]] (with $L$ [[left adjoint]] and $R$ [[right adjoint]]) is a **Quillen adjunction** if the following equivalent conditions are satisfied:

1. $L$ preserves cofibrations and acyclic cofibrations;

1. $R$ preserves fibrations and acyclic fibrations;

1. $L$ preserves cofibrations and $R$ preserves fibrations;

1. $L$ preserves acyclic cofibrations and $R$ preserves acyclic fibrations.

=--

+-- {: .num_prop}
###### Proposition

The conditions in def. \ref{QuillenAdjunction} are indeed all equivalent.

=--

+-- {: .proof}
###### Proof

Observe that

* (i) _A [[left adjoint]] $L$ between [[model categories]] preserves acyclic cofibrations precisely if its [[right adjoint]] $R$ preserves fibrations.

* (ii) _A [[left adjoint]] $L$ between [[model categories]] preserves cofibrations precisely if its [[right adjoint]] $R$ preserves acyclic fibrations.

We discuss statement (i), statement (ii) is [[formal dual|formally dual]].  So let $f\colon A \to B$ be an acyclic cofibration in $\mathcal{D}$ and $g \colon X \to Y$ a fibration in $\mathcal{C}$. Then for every [[commuting diagram]] as on the left of the following, its $(L\dashv R)$-[[adjunct]] is a commuting diagram as on the right here:

$$
  \array{
    A &\longrightarrow& R(X)
    \\
    {}^{\mathllap{f}}\downarrow && \downarrow^{\mathrlap{R(g)}}
    \\
    B &\longrightarrow& R(Y)
  }
  \;\;\;\;\;\;
  \,,
  \;\;\;\;\;\;
  \array{
    L(A) &\longrightarrow& X
    \\
    {}^{\mathllap{L(f)}}\downarrow && \downarrow^{\mathrlap{g}}
    \\
    L(B) &\longrightarrow& Y
  }
  \,.
$$

If $L$ preserves acyclic cofibrations, then the diagram on the right has a [[lift]], and so the $(L\dashv R)$-[[adjunct]] of that lift is a lift of the left diagram. This shows that $R(g)$ has the [[right lifting property]] against all acylic cofibrations and hence is a fibration. 
Conversely, if $R$ preserves fibrations, the same argument run from right to left gives that $L$ preserves acyclic fibrations.

Now by repeatedly applying (i) and (ii), all four conditions in question are seen to be equivalent.

=--

+-- {: .num_remark}
###### Remark

Quillen adjunctions that are analogous to an [[equivalence of categories]] are called _[[Quillen equivalences]]_.

In an [[enriched model category]] one speaks of _[[enriched Quillen adjunction]]_.

=--


## Properties

### Derived adjunction

+-- {: .num_prop}
###### Proposition
**([[Ken Brown's lemma]])**

Given a [[Quillen adjunction]] $(L \dashv R)$ (def. \ref{QuillenAdjunction}), then

* the [[left adjoint]] $L$ preserves weak equivalences between cofibrant objects;

* the [[right adjoint]] $R$ preserves weak equivalences between fibrant objects.

=--


+-- {: .proof}
###### Proof

To show this for instance for $R$, we may argue as in a 
[[category of fibrant objects]] and apply the _[[factorization lemma]]_
which shows that every weak equivalence between fibrant objects may be
factored, up to [[homotopy]], as a [[span]] of acyclic fibrations.

These weak equivalences are preserved by $R$ and hence by [[category with weak equivalences|2-out-of-3]] the claim follows. 

For $L$ we apply the [[formal dual|formally dual]] argument.

=--

### Behaviour under Bousfield localization
 {#BehaviourUnderLocalization}

+-- {: .num_prop}
###### Proposition

If 

$$
  (L \dashv R) : C \stackrel{\overset{R}{\leftarrow}}{\underset{L}{\to}} D
$$ 

is a Quillen adjunction, $S \subset Mor(D)$ is a set of morphisms such that the [[Bousfield localization of model categories|left Bousfield localization]] of $D$ at $S$ exists, and such that the [[derived functor|derived]] image $\mathbb{L}L(S)$ of $S$ lands in the weak equivalences of $C$, then the Quillen adjunction descends to the localization $D_S$

$$
  (L \dashv R) : C \stackrel{\overset{R}{\leftarrow}}{\underset{L}{\to}} D_S
  \,.
$$ 

=--

This appears as ([Hirschhorn, prop. 3.3.18](#Hirschhorn))

### Of $sSet$-enriched adjunctions {#sSet}

Of particular interest are [[SSet]]-[[enriched category theory|enriched]] adjunctions between [[simplicial model categories]]: [[simplicial Quillen adjunctions]]. 

These present [[adjoint (∞,1)-functors]], as the first proposition below asserts.


+-- {: .num_prop}
###### Proposition

Let $C$ and $D$ be [[simplicial model categories]] and let 

$$
  (L \dashv R) : C \stackrel{\overset{R}{\leftarrow}}{\underset{L}{\to}} D 
$$

be an [[sSet]]-[[enriched category theory|enriched]] [[adjunction]] whose underlying ordinary adjunction is a Quillen adjunction. Let $C^\circ$ and $D^\circ$ be the [[(∞,1)-categories]] presented by $C$ and $D$ (the [[Kan complex]]-enriched full [[sSet]]-subcategories on fibrant-cofibrant objects). Then the Quillen adjunction lifts to a pair of [[adjoint (∞,1)-functors]] 

$$
  (\mathbb{L} \dashv \mathbb{R}) : C^\circ \stackrel{\leftarrow}{\to} D^{\circ}
  \,. 
$$

On the [[decategorification|decategorified]] level of the [[homotopy category|homotopy categories]] these are the total left and right [[derived functors]], respectively, of $L$ and $R$.

=--

+-- {: .proof}
###### Proof

This is proposition 5.2.4.6 in [[Higher Topos Theory|HTT]].

=--


The following proposition states conditions under which a Quillen adjunction may be detected already from knowing of the right adjoint only that it preserves fibrant objects (instead of all fibrations).


+-- {: .num_prop #RecognitionOfSimplicialQuillenAdjunctions}
###### Proposition

If $C$ and $D$ are [[simplicial model categories]] and $D$ is a left [[proper model category]], then an [[sSet]]-enriched adjunction

$$
  (L \dashv R) : C \stackrel{\leftarrow}{\to} D
$$

is a Quillen adjunction already if $L$ preserves cofibrations and $R$ just fibrant objects.

=--

This appears as [[Higher Topos Theory|HTT, cor. A.3.7.2]].

See [[simplicial Quillen adjunction]] for more details.

### Associated (infinity,1)-adjunction
 {#AssociatedInfinityAdjunction}

+-- {: .un_theorem}
###### Theorem
Let $F : C \rightleftarrows D : G$ be a Quillen adjunction between [[model categories]] (which are not assumed to admit functorial factorizations or infinite (co)limits).  Then there is an induced [[adjunction of (infinity,1)-categories]]
  $$ F : C[W_C^{-1}] \rightleftarrows D[W_D^{-1}] : G $$
where $C[W_C^{-1}]$ and $D[W_D^{-1}]$ denote the respective [[simplicial localizations]] at the respective classes of [[weak equivalences]]. 
=--

See ([Mazel-Gee 16](#MazelGee16), Theorem 2.1).  (This is also asserted as ([Hinich 14](#Hinich14), Proposition 1.5.1), but it is not completely proved there -- see ([Mazel-Gee 16](#MazelGee16), Remark 2.3).)

For [[simplicial model categories]] with [[sSet]]-[[enriched functor|enriched]] [[Quillen adjunctions]] between them, this is also in ([Lurie, prop. 5.2.4.6](#Lurie)).

See also at _[derived functor -- As functors on infinity-categories](derived%20functor#OnInftyCats)_

## Related concepts

* **Quillen adjunction**

* [[simplicial Quillen adjunction]]

* [[Quillen equivalence]]

* [[monoidal Quillen adjunction]]


## References

See the references at _[[model category]]_. For instance

* [[Philip Hirschhorn]], _Model categories and their localization_
 {#Hirschhorn}

The proof that a Quillen adjunction of [[model categories]] induces an [[adjunction of (infinity,1)-categories]] is recorded in

* {#MazelGee16} [[Aaron Mazel-Gee]], [_Quillen adjunctions induce adjunctions of quasicategories_](http://nyjm.albany.edu/j/2016/22-4.html).

and this question is also partially addressed in

* {#Hinich14} [[V. Hinich]], _Dwyer-Kan localization revisited_, [arXiv:1311.4128](http://arxiv.org/abs/1311.4128).

The case for [[simplicial model categories]] is also in 

* {#Lurie} [[Jacob Lurie]], _[[Higher Topos Theory]]_

[[!redirects Quillen adjunctions]]

[[!redirects right Quillen functor]]
[[!redirects left Quillen functor]]
[[!redirects right Quillen functors]]
[[!redirects left Quillen functors]]

[[!redirects Quillen functor]]
[[!redirects Quillen functors]]