
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
#### Representation theory
+-- {: .hide}
[[!include representation theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

In the context of [[global equivariant homotopy theory]] and [[global equivariant stable homotopy theory]] one considers [[equivariant spectra]] with equivariance not necessarily with respect to one fixed group, but with respect to a suitable family of groups at once. These "suitable families of groups for defining global equivariant (stable) homotopy theory" are called _global families_, for short.

## Definition:

+-- {: .num_defn #GlobalFamily}
###### Definition

A non-empty [[class]] of [[compact Lie groups]] is called a **global family** if it is closed under

1. [[isomorphism]];

1. [[closed subset|closed]] [[subgroups]];

1. [[quotient groups]]

=--

(e.g. [Schwede 13, chapter I def. 5.1](#Schwede13))

## Examples

+-- {: .num_example}
###### Example

The degenerate case of a global family (def. \ref{GlobalFamily}) contains only the [[trivial group]] $1$. The ([[global equivariant stable homotopy theory|stable]]) [[global equivariant homotopy theory]] with respect to this choice is simply ordinary non-equivariant [[homotopy theory]] ([[stable homotopy theory]]).

=--

+-- {: .num_example}
###### Example

The following are examples of global families (def. \ref{GlobalFamily}): the classes of 

1. all [[compact Lie groups]];

1. all [[abelian group|abelian]] [[compact Lie groups]];

1. all [[quotient groups]] of [[closed subset|closed]] [[subgroups]] of a fixed [[compact Lie group]].

1. all [[finite groups]].

1. all finite abelian groups.

1. all [[topologically cyclic groups]].

1. all finite [[cyclic groups]].

1. all finite [[p-primary groups]].

1. all finite [[solvable group|solvable]] p-groups.


=--

## References

* {#Schwede13} [[Stefan Schwede]], section I.5 of _[[Global homotopy theory]]_

 