
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}

### Context
#### Category theory
+-- {: .hide}
[[!include category theory - contents]]
=--
#### Topos Theory
+-- {: .hide}
[[!include topos theory - contents]]
=--
=--
=--

# Contents
* table of contents
{:toc}

[[!redirects right Ore condition]]

## Idea

The (right) **Ore condition** is a simple condition on the morphisms in a category $\mathcal{C}$ in order ensure that sieves generated by singletons $\{ f\}$ behave well under [[pullback]]. It can be viewed as weaker form of the existence of pullbacks in $\mathcal{C}$.

## Definition

+-- {: .num_def #ore}
###### Definition
A [[category]] $\mathcal{C}$ is said to satisfy the (right) **Ore condition** if for any diagram
$$
\array{
  & & A \\
  & & \downarrow\\
  B & \to & C
}
$$
there is an object $D$ and arrows $D \to A, B$ such that the following diagram commutes:
$$
\array{
  D & \to & A \\
  \downarrow & & \downarrow\\
  B & \to & C
}
$$
=--

## Properties

* A category $\mathcal{C}$ obviously satisfies the Ore condition when it has pullbacks.

* When $S$ is a [[sieve]] generated by a singleton $\{ f\}$ then the pullback $h^\ast (S)$ is nonempty provided $\mathcal{C}$ satisfies the Ore condition. More generally, a category $\mathcal{C}$ satisfies the Ore condition precisely when the collection of nonempty sieves forms a [[Grothendieck topology]] on $\mathcal{C}$ (cf. [[atomic site]]).

* A [[presheaf topos]] $Set^{\mathcal{C}^{op}}$ is a [[De Morgan topos]] precisely if $\mathcal{C}$ satisfies the Ore condition (cf. [[De Morgan topos]]).

## Remark

A category $\mathcal{C}$ satisfies the [[amalgamation property]] precisely if ${\mathcal{C}^{op}}$ satifies the Ore condition. Since the former is an important property in [[model theory]], the De Morgan property is via the Ore condition dually bound to play a similar role.

## Related entries

* [[atomic site]]

* [[De Morgan topos]]

* [[amalgamation property]]

## Reference

* [[Peter Johnstone]], _Sketches of an [[Elephant]] vols. I,II_, Oxford UP 2002. (pp.79f, 1001)



