
# The Banach--Alaoglu Theorem
* table of contents
{: toc}

## Idea

The closed unit ball of the double dual of a [[Banach space]] is weak* compact. This theorem is equivalent to the [[Tychonoff theorem]] for [[compact space|compact]] [[Hausdorff topological space|Hausdorff]] [[topological space|spaces]] (eg [Rossi 2009](#Rossi09)), and as such is not constructive in general. However, the restriction of the statement to _separable_ Banach spaces _is_ constructive, and is used in PDE theory to find solutions. A constructive proof can be found e.g. in [BridgesVita](#BridgesVita).


## Localic version

As usual, when formulating the theorem using [[locales]] instead of [[topological spaces]] the theorem holds constructively; see [Pelletier](#Pelletier) and [Henry](#Henry).


## Related entries

The following is a generalisation to [[locally convex topological vector space|locally convex]] spaces:

* [[Bourbaki-Alaoglu theorem|Bourbaki–Alaoglu theorem]]


## References

* Wikipedia, [Banach–Alaoglu theorem](https://en.wikipedia.org/wiki/Banach%E2%80%93Alaoglu_theorem)

* {#Rossi09} Stefano Rossi, _The Banach-Alaoglu theorem is equivalent to the Tychonoff theorem for compact Hausdorff spaces_, arXiv:[0911.0332](http://arxiv.org/abs/0911.0332)

* {#Pelletier} Joan Wick Pelletier, _Locales in functional analysis_ [DOI](http://dx.doi.org/10.1016/0022-4049%2891%2990013-R)

* {#Henry} Simon Henry, _Localic Metric spaces and the localic Gelfand duality_ [arxiv](https://arxiv.org/pdf/1411.0898)

* {#BridgesVita} Bridges and Vita, _Techniques of Constructive Analysis_ [link](http://www.springer.com/in/book/9780387336466)


[[!redirects Banach-Alaoglu theorem]]
[[!redirects Banach–Alaoglu theorem]]
[[!redirects Banach--Alaoglu theorem]]
[[!redirects Banach-Alaoglu Theorem]]
[[!redirects Banach–Alaoglu Theorem]]
[[!redirects Banach--Alaoglu Theorem]]
