__Hyperalgebra__ of an affine algebraic group $G$ is the [[finite dual]]s of the Hopf algebra of [[representative function]]s of $G$. It can be interpreted (and is sometimes called) the algebra of distributions supported at unit. This algebra comes with a natural filtration. In characteristic $0$ it coincides (by L. Schwarz's theorem) with the [[universal enveloping algebra]] of the Lie algebra of $G$, but it is much bigger in positive characteristic. It can also be obtained by base change from the Kostant's integral form of the universal enveloping algebra of the complex Lie algebra associated to $G$.

Some books on algebraic groups and on [[Hopf algebra]]s have chapters dedicated to this topic e.g.

* M. Sweedler, _Hopf algebras, Benjamin, NY 1969
* C. Jantzen, _Representations of algebraic groups_, chapter 7
* Η. Yanagihara, _Theory of Hopf algebras attached to group schemes_, Springer Lecture
Notes in Mathematics 614 (1977)

Articles:

* J. Sullivan, _Simply connected groups, the hyperalgebra, and Verma’s conjecture_, Amer. J. Math. 100 (1978) 1015-1019.
* M. Takeuchi, _Tangent coalgebras and hyperalgebras I_, Japan. J. Math. 42 (1974) 1-143 
[pdf](https://www.jstage.jst.go.jp/article/jjm1924/42/0/42_0_1/_pdf); _On coverings and hyperalgebras of affine algebraic groups_, Trans. AMS
211 (1975), 249-275; _A hyperalgebraic proof of the isomorphism and isogeny theorems for
reductive groups_, J. Algebra 85 (1983), 179-196; _Generators and relations for the hyperalgebras of reductive groups_, <a href="http://dx.doi.org/10.1016/0021-8693(83)90125-4">doi</a>
* W. J. Haboush, _Central differential operators of split semisimple groups over fields of positive characteristic_, In: Séminaire d'Algèbre Paul Dubreil et Marie-Paule Malliavin, Springer Lecture Notes in Mathematics __795__, pp 35-85 [doi](http;//dx.doi.org/10.1007/BFb0090113)
* Edward Cline, Brian Parshall, Leonard Scott, _Cohomology, hyperalgebras, and representations_,  Journal of Algebra __63__:1, 98-123 (1980) <a href="http://dx.doi.org/10.1016/0021-8693(80)90027-7">doi</a>

MathOverflow: [which-is-the-correct-universal-enveloping-algebra-in-positive-characteristic](http://mathoverflow.net/questions/7112/which-is-the-correct-universal-enveloping-algebra-in-positive-characteristic)

A quantum version at root of unity is proposed in

* Iván Angiono, _A quantum version of the algebra of distributions of $SL(2)$_, [arxiv/1607.04869](http://arxiv.org/abs/1607.04869)

and another approach is in

* W. Chin, L. Krop, _Quantized hyperalgebra of rank 1_, [pdf](http://condor.depaul.edu/~wchin/qhyperalgebra.pdf); _Spectra of quantized hyperalgebras_, [pdf](http://condor.depaul.edu/wchin/Spectra.pdf)

[[!redirects hyperalgebras]]
