
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### $\infty$-Lie theory
+--{: .hide}
[[!include infinity-Lie theory - contents]]
=--
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
#### Super-Geometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

[[4d supergravity]] is often formulated as a theory of [[gravity]] coupled to scalar-[[vector multiplets]] only, i.e. 1-form [[gauge fields]]. On the other hand, when the theory is thought of as obtained by [[KK-compactification]] from [[11-dimensional supergravity]], then it naturally contains also 2-form fields ([[tensor multiplets]]), i.e. [[higher gauge fields]]. If these are massless, then in 4-dimensions they may be dualized (via [[Hodge duality]] of their [[field strengths]]) to scalars, which is why they often do not explicitly appear in the formulation. However, when they are massive, which happens for instance when the higher dimensional theory is reduced via a [[flux compactification]], then such dualization does not apply (at least not so directly) and the 2-form [[higher gauge fields]] need to be made explicit (see the introduction of [Gunyadin-McReynolds-Zagerman 05](#GunyadinMcReynoldsZagerman05)).

In the [[D'Auria-Fré formulation of supergravity]] such higher form field contributions are reflected by [[L-infinity algebra]] [[L-infinity extensions|extensions]] of the [[super Minkowski spacetime]] [[supersymmetry]] [[super Lie algebra]] (traditionally displayed in terms of dual [[Chevalley-Eilenberg algebras]], called "FDA"s in the supergravity literature).

For the 2-form fields of $N = 2$ [[4d supergravity]] this yields a [[Lie 2-algebra]] ([Andrianopoli-D'Auria-Sommovigo 07 (4.1)-(4.7)](#AndrianopoliDAuriaSommovigo07)), which hence might be called the "4d supergravity Lie 2-algebra". In fact, including the [[moduli]] fields, this is a [[L-infinity algebroid|Lie 2-algebroid]] ([Andrianopoli-D'Auria-Sommovigo 07 (4.8)-(4.9)](#AndrianopoliDAuriaSommovigo07)). See also ([AAST 11, (4.1)-(4.9)](#AAST11)).

This Lie 2-algebra is a non-abelian variant of the [[L-infinity extension]] classified by the 3-cocycle $\propto \overline{\psi} \wedge \Gamma^a \psi \wedge e_a$ ([Andrianopoli-D'Auria-Sommovigo 07 (4.5)](#AndrianopoliDAuriaSommovigo07)), which is the [[WZW term]] for the [[Green-Schwarz superstring]] in 4d (see the notation and conventions at _[[super-Minkowski spacetime]]_).

But the [[brane scan]] says that there is also a [[super 2-brane in 4d]] whose [[WZW-term]] is the 4-cocycle $\propto \overline{\psi} \wedge \Gamma^{a b} \psi \wedge e_a \wedge e_b$. Accordingly there should also be a 4d supegravity [[Lie 3-algebra]]. This is left to "future investigations" in ([Andrianopoli-D'Auria-Sommovigo 07, p. 19](#AndrianopoliDAuriaSommovigo07)), but the relevant extension formula by the 4-cocycle is shown in ([Andrianopoli-D'Auria-Sommovigo 07 (2.24)](#AndrianopoliDAuriaSommovigo07))

## Related concepts

* [[supergravity Lie 3-algebra]]

* [[supergravity Lie 6-algebra]]

## References

Background discussion (and further pointers) for $p$-form fields in [[4d supergravity]] is in the introduction of

* {#GunyadinMcReynoldsZagerman05} [[Murat Gunaydin]], S. McReynolds, M. Zagermann, _Unified $N=2$ Maxwell-Einstein and Yang-Mills-Einstein Supergravity Theories in Four Dimensions_, JHEP 0509:026,2005 ([arXiv:hep-th/0507227](https://arxiv.org/abs/hep-th/0507227))

The 4d supergravity Lie 2-algebra was given in

* {#AndrianopoliDAuriaSommovigo07} Laura Andrianopoli, [[Riccardo D'Auria]], Luca Sommovigo, _$D=4$, $N=2$ Supergravity in the Presence of Vector-Tensor Multiplets and the Role of higher p-forms in the Framework of Free Differential Algebras_, Adv.Stud.Theor.Phys.1:561-596,2008 ([arXiv:0710.3107](http://arxiv.org/abs/0710.3107))

Further discussion is in

* {#AAST11} Laura Andrianopoli, [[Riccardo D'Auria]], Luca Sommovigo, Mario Trigiante, _$D=4$, $N=2$ Gauged Supergravity coupled to Vector-Tensor Multiplets_, Nucl.Phys.B851:1-29,2011 ([arXiv:1103.4813](http://arxiv.org/abs/1103.4813))

[[!redirects 4d supergravity Lie 2-algebras]]

[[!redirects 4d supergravity Lie 3-algebra]]
[[!redirects 4d supergravity Lie 3-algebras]]

[[!redirects 4d supergravity Lie 2-algebroid]]
[[!redirects 4d supergravity Lie 2-algebroids]]

[[!redirects 4d supergravity Lie 3-algebroid]]
[[!redirects 4d supergravity Lie 3-algebroids]]

