
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
#### Super-Geometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
=--
=--




#Contents#
* table of contents
{:toc}

## Idea

The classification of pure [[supergravity]] theories in dimensions 3,4,6,10 and 4,5,7,11 is parameterized by the real [[normed division algebras]], while the classification of [[super Yang-Mills theories]] is parameterized by pairs of real [[normed division algebras]], see at _[[supersymmetry and division algebra]]_ and at _[[spin representation]]_.

Combining this yields a classification of the extended super [[Einstein-Yang-Mills theories]] by triples of real normed division algebras. called a _magic pyramid_ of supergravity theories ([ABDHN 13](#ABDHN13)).

<img src="https://ncatlab.org/nlab/files/MagicPyramid.jpg" width = "600">

(from [ABDHN 13, p. 3](#ABDHN13))

In this diagram vertical axis labels the spacetime division algebra (hence vertical label $\mathbb{R}$ corresponds to $d = 2+1$, vertical label $\mathbb{C}$ to $d = 3+1$, $\mathbb{H}$ to $d = 5+1$ and $\mathbb{O}$ to $d = 9+1$) , while the horizontal axes label the algebras associated with the number of left and right supersymmetries. The entries display the corresponding [[U-duality]] groups. Each horizontal level is a "[[magic square]]".

## Related concepts

* [[magic supergravity]]

* [[KLT relations]]


## References

* {#ABDHN13} A. Anastasiou, [[Leron Borsten]], [[Mike Duff]], L. J. Hughes, S. Nagy, _A magic pyramid of supergravities_, Journal of High Energy Physics, April 2014, 2014:178, ([arXiv:1312.6523](https://arxiv.org/abs/1312.6523))

based on

* [[Leron Borsten]], [[Mike Duff]], L. J. Hughes, S. Nagy, _A magic square from Yang-Mills squared_, Phys. Rev. Lett. 112, 131601 (2014) [arXiv:1301.4176](http://arxiv.org/abs/1301.4176)

* {#ABDH13} A. Anastasiou, [[Leron Borsten]], [[Mike Duff]], L. J. Hughes, S. Nagy, _Super Yang-Mills, division algebras and triality_ ([arXiv:1309.0546](http://arxiv.org/abs/1309.0546))


[[!redirects magic pyramids]]