[[!redirects Connes-Lott-Chamseddine model]]

#Contents#
* table of contents
{:toc}

## Idea

The _Connes-Lott-Chamseddine-Barrett model_ ([Connes-Lott 91](#ConnesLott91), [Barrett 07](#Barrett07), [Chamseddine-Connes-Marcolli 07](#ChamseddineConnesMarcolli07)) is a [[spectral triple]] that spectrally encodes a [[spacetime]] which is the [[product]] of 4d [[Minkowski spacetime]] $X$ with a an exotic [[non-commutative geometry]] space $F$ whose classical dimension is that of a point, but which has [[KO-dimension]] 6 (mod 8). Hence this is a non-commutative version of a [[Kaluza-Klein compactification]] of a spacetime of [[KO-dimension]] $4 + 6$. (See also the discussion at _[[2-spectral triple]]_).

As in all ([[supersymmetry|super]]-)[[KK-compactification|Kaluza-Klein theory]], what is pure [[pseudo-Riemannian geometry]] (albeit "[[spectral geometry|spectral]]") in 4+6 (KO-)dimension, hence pure [[gravity]], effectively looks like a configuration of [[Einstein-Yang-Mills-Dirac-Higgs theory]] down in 4 dimensions, hence of [[gravity]] coupled to [[gauge fields]] and [[fermions]] and a [[Higgs boson]].

The interest in the model lies in the fact that a comparatively simple algebraic choice in the spectral triple of the Connes-Lott-Chamseddine model this way reproduces the [[standard model of particle physics]], and does so in quite some fine detail (even if some issues remain open).

For instance the fiber space $F$ is modeled as the formal dual to the algebra 

$$
  \mathbb{C} \oplus \mathbb{H}_L \oplus \mathbb{H}_R \oplus M_3(\mathbb{C})
$$

which is the [[direct sum]] of the $\mathbb{R}$-[[associative algebra|algebras]] of [[complex numbers]], [[quaternions]] and $3x3$ complex [[matrices|matrix algebra]].


Moreover, the entire field content in one [[generation of fundamental particles|generation]] of [[fermions]] (i.e. [[electrons]], [[quarks]], [[neutrinos]]) is claimed to be encoded precisely in the [[bimodule]] over this algebra which is the direct sum of all inequivalent irreducible odd bimodules ([Connes 06, prop. 2.2 - prop 2.5](#Connes06))

## Related entries

* [[higher category theory and physics]]: _[Spectral standard model and gravity](higher+category+theory+and+physics#SpecStandModAndGravity)_


## References

The basic mechanism was laid out in

* [[Alain Connes]], _Gravity coupled with matter and foundation of non-commutative geometry_, Commun.Math.Phys. 182 (1996) 155-176 ([arXiv:hep-th/9603053](https://arxiv.org/abs/hep-th/9603053))

(see also the references at _[[spectral action]]_).

The early version of the model is due to

* {#ConnesLott91} [[Alain Connes]], [[John Lott]], _Particle models and noncommutative geometry_, Nuclear Physics B - Proceedings Supplements 18(2): 29-47 (1991) ([web](https://deepblue.lib.umich.edu/handle/2027.42/29524))

The modern version of the model that produces the correct fermionic content (and finds the [[KO-dimension]] of the compactification space to be 6 mod 8) is due to

* {#Barrett07} [[John Barrett]], _A Lorentzian version of the non-commutative geometry of the standard model of particle physics_, J.Math.Phys.48:012303,2007 ([arXiv:hep-th/0608221](http://arxiv.org/abs/hep-th/0608221))

* {#Connes06} [[Alain Connes]], _Noncommutative Geometry and the standard model with neutrino mixing_, JHEP0611:081,2006 ([arXiv:hep-th/0608226](https://arxiv.org/abs/hep-th/0608226))

* {#ChamseddineConnesMarcolli07} [[Ali Chamseddine]], [[Alain Connes]], [[Matilde Marcolli]], _Gravity and the standard model with neutrino mixing_, Adv.Theor.Math.Phys.11:991-1089,2007 ([arXiv:hep-th/0610241](http://arxiv.org/abs/hep-th/0610241))

A more succinct version of the axioms of the model is claimed in

* [[Latham Boyle]], [[Shane Farnsworth]],  _Non-Commutative Geometry, Non-Associative Geometry and the Standard Model of Particle Physics_ New J. Phys. 16, 123027 (2014) ([arXiv:1401.5083](http://arxiv.org/abs/1401.5083))

* [[Shane Farnsworth]], [[Latham Boyle]], _Rethinking Connes' approach to the standard model of particle physics via non-commutative geometry_, New J. Phys. 17, 023021 (2015) ([arXiv:1408.5367](https://arxiv.org/abs/1408.5367))

* Christian Brouder, Nadir Bizi, Fabien Besnard, _The Standard Model as an extension of the noncommutative algebra of forms_ ([arXiv:1504.03890](https://arxiv.org/abs/1504.03890))

See also

* Wikipedia, _[Noncommutative standard model](https://en.wikipedia.org/wiki/Noncommutative_standard_model)_

[[!redirects Connes-Lott model]]
[[!redirects non-commutative standard model]]

