#Contents#
* table of contents
{:toc}

This entry is about the text 

* [[Jacob Lurie]], _Elliptic Cohomology I: Spectral Abelian Varieties_, ([pdf](http://www.math.harvard.edu/~lurie/papers/Elliptic-I.pdf))

It is described as the first in a series of papers whose ultimate aim is to carry out the details of the program outlined in [[A Survey of Elliptic Cohomology]].
 
This first paper provides a discussion of abelian varieties in the setting of [[spectral algebraic geometry]]. It sets out to answer the question:

>What does it mean to give an elliptic curve (or, more generally, an
abelian variety) over a cohomology theory $A$? To what extent do such objects behave like their counterparts in classical algebraic geometry?

### Contents

#### 1 Abelian Varieties in Spectral Algebraic Geometry
* 1.1 Varieties over $E_{\infty}$-Rings
* 1.2 Abelian Group Objects of $\infty$-Categories
* 1.3 Commutative Monoid Objects of $\infty$-Categories
* 1.4 Abelian Varieties
* 1.5 Strict Abelian Varieties

#### 2 Moduli of Elliptic Curves
* 2.1 Comparing Abelian Varieties with Strict Abelian Varieties
* 2.2 Deformation Theory of Abelian Varieties
* 2.3 Deformation Theory of Strict Abelian Varieties
* 2.4 The Moduli Stack of Elliptic Curves

#### 3 Cartier Duality
* 3.1 Coalgebra Objects of $\infty$-Categories
* 3.2 Duality between Algebra and Coalgebra Objects
* 3.3 Bialgebra Objects of $\infty$-Categories
* 3.4 The Spectrum of a Bialgebra 
* 3.5 The Affine Line
* 3.6 Smash Products of $E_{\infty}$-Spaces 
* 3.7 The Cartier Dual of a Functor 
* 3.8 Duality for Bialgebras 
* 3.9 Duality for Hopf Algebras

#### 4 Biextensions and the Fourier-Mukai Transform
* 4.1 Line Bundles and Invertible Sheaves
* 4.2 Biextensions of Abelian Varieties
* 4.3 Digression: Tannaka Duality 
* 4.4 Biextensions: Tannakian Perspective
* 4.5 Categorical Digression
* 4.6 The Convolution Product
* 4.7 The Fourier-Mukai Transform

#### 5 Duality Theory for Abelian Varieties
* 5.1 Perfect Biextensions
* 5.2 Dualizing Sheaves
* 5.3 Multiplicative Line Bundles 
* 5.4 The Functor $\mathcal{P}ic^0_X$
* 5.5 Representability of the Functor $\mathcal{P}ic^m_X$
* 5.6 Existence of the Dual Abelian Variety

#### 6 $p$-Divisible Groups
* 6.1 Finite Flat Group Schemes 
* 6.2 Epimorphisms and Monomorphisms
* 6.3 Cartier Duality for Finite Flat Group Schemes
* 6.4 $p$-Torsion Objects of $\infty$-Categories
* 6.5 $p$-Divisible Groups
* 6.6 Cartier Duality for $p$-Divisible Groups
* 6.7 The $p$-Divisible Group of a Strict Abelian Variety
* 6.8 Comparison of Duality Theories

#### 7 The Serre-Tate Theorem 
* 7.1 Deformation Theory of the Functor $R \mapsto BT_h(R)$
* 7.2 The Case of a Trivial Square-Zero Extension
* 7.3 Proof of the Serre-Tate Theorem 
* 7.4 Application: Lifting Abelian Varieties from Classical to Spectral Algebraic Geometry

category: reference

[[!redirects Elliptic Cohomology I: Spectral Abelian Varieties]]
