
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Analysis
+-- {: .hide}
[[!include analysis - contents]]
=--
=--
=--


# Cauchy sequences
* table of contents
{: toc}


## Idea

A _Cauchy sequence_ is an infinite [[sequence]] which ought to [[convergence|converge]] in the sense that successive terms get arbitrarily close together, as they would if they were getting arbitrarily close to a limit.  Among sequences, only Cauchy sequences will converge; in a [[complete space]], all Cauchy sequence converge.


## Definitions

The precise definition varies with the context.


A sequence $(x_i)_i$ of [[real numbers]] is __Cauchy__ if, for every positive number $\epsilon$, almost all terms are within $\epsilon$ of one another.  Explicitly:
$$ \forall \epsilon,\; \exists N,\; \forall i, j \geq N,\; |x_i - x_j| \leq \epsilon .$$


In a [[metric space]], a sequence $(x_i)_i$ is __Cauchy__ under the same condition, now relative to the metric $d$ on that space.  Explicitly:
$$ \forall \epsilon,\; \exists N,\; \forall i, j \geq N,\; d(x_i,x_j) \leq \epsilon .$$

The same definition immediately applies to an extended quasipseudometric space (aka a Lawvere metric space), or anything in between.


In a [[gauge space]], a sequence $(x_i)_i$ is __Cauchy__ if this condition is satisfied for each gauging distance separately.  Explicitly:
$$ \forall d,\; \forall \epsilon,\; \exists N,\; \forall i, j \geq N,\; d(x_i,x_j) \leq \epsilon .$$


In a [[uniform space]], a sequence $(x_i)_i$ is __Cauchy__ if an analogous condition is satisfied for each [[entourage]] $U$.  Explicitly:
$$ \forall U,\; \exists N,\; \forall i, j \geq N,; x_i \approx_U x_j .$$


In a [[Cauchy space]], a sequence $(x_i)_i$ is __Cauchy__ if it generates a [[Cauchy filter]].  Explicitly:
$$ \{ A \;|\; \exists N,\; \forall i, j \geq N,\; x_i \in A \} \in \mathcal{C} ,$$
where $\mathcal{C}$ is the collection of [[Cauchy filters]] that defines the structure of the Cauchy space.

All of the above are in fact special cases of this.


## Generalizations

A [[net]] is a generalization of a sequence; the definitions above serve to define a __Cauchy net__ without any change, other than allowing $(x_i)_i$ to be a net.  This is precisely the structure of a [[Cauchy space]]; instead of defining Cauchy nets in terms of Cauchy filters as above, we may equally well define a Cauchy filter to be a [[proper filter]] whose [[canonical net]] is Cauchy.

Note that in a [[complete space]], every Cauchy net has a limit, not just every Cauchy sequence.  Rather, a space in which every Cauchy sequence converges is called __sequentially complete__.  Note that a metric space (or even a Lawvere metric space) is in fact complete if it is sequentially complete (although this result is not valid in some weak [[foundations]]); in particular, the [[real line]] $\mathbf{R}$ is complete.

When [[Bill Lawvere]] idenitified Lawvere metric spaces with [[enriched categories]] over the [[closed monoidal category|closed monoidal]] [[poset]] $(\mathbf{R}^+,+)$, he identified Cauchy sequences in such spaces with certain [[adjunctions]] of [[bimodules]], enough so that a metric space would be a Cauchy-[[complete space]] if and only if every adjunction of bimodules is induced by an [[enriched functor]].  Generalising this condition from $(\mathbf{R}^+,+)$ to an arbitrary closed monoidal category, we have the concept of [[Cauchy-complete category]].

## References

* Wikipedia, _[Cauchy sequence](https://en.wikipedia.org/wiki/Cauchy_sequence)_


[[!redirects Cauchy sequence]]
[[!redirects Cauchy sequences]]

[[!redirects Cauchy net]]
[[!redirects Cauchy nets]]

[[!redirects sequentially complete space]]
[[!redirects sequentially complete spaces]]
[[!redirects sequentially complete]]
