
Let $L$ be a [[complete lattice]] with a [[convergence structure]], and let $F$ be a [[filter]] on (the [[underlying set]] of) $L$.  Then the __inferior limit__ of $F$ is the limit of the [[infima]] of the sets in $F$ (if this limit exists):
$$ \lim\inf F = \lim_{A \in F} \inf A .$$
Similarly, the __superior limit__ of $F$ is the limit of the [[suprema]] of the sets in $F$:
$$ \lim\sup F = \lim_{A \in F} \sup A .$$
(Of course, if the convergence structure is not [[Hausdorff space|Hausdorff]], then there may be multiple inferior and superior limits.)
Here we are taking $F$ to define a couple of [[nets]] in $L$, each indexed by the sets in $F$; as is usual with filters, we take $A \leq B$ iff $B \subseteq A$.  If $L$ is merely a [[poset]] and not a complete lattice, then we still use the same definitions, but they can only exist if $\inf A$ or $\sup A$ exists for sufficiently small $A \in F$.

If $F$ is merely a [[filter base]], then precisely the same formulas give the inferior and superior limits of the filter generated by $F$.  Of course, we can also start with anything else that generates a filter in some way, such as a [[sequence]] or more generally a [[net]].  In this case, we can write
$$ \lim\inf_{n \to \infty} x_n = \lim_{n \to \infty} \inf_{m \geq n} x_m $$
and
$$ \lim\sup_{n \to \infty} x_n = \lim_{n \to \infty} \sup_{m \geq n} x_m .$$

Every [[partial order]] on a set defines a convergence structure (the [[order convergence]]) under which a [[net]] $(x_n)_n$ converges to a point $x_\infty$ iff there exist a [[monotone increasing]] net $y$ and a [[monotone decreasing]] net $z$ such that $x_\infty = \sup_n y_n = \inf_n z_n$ and, for each $y$-index $i$ and $z$-index $j$, it is $n$-eventually true that $y_i \leq x_n \leq z_j$.
In this case, we can also write
$$ \lim\inf F = \sup_{A \in F} \inf A $$
and
$$ \lim\sup F = \inf_{A \in F} \sup A .$$
The reason is that the net $(\inf A)_{A \in F}$ is monotone increasing, so that its limit in the order convergence is the same as its supremum (using itself for $y$ and a constant net for $z$); similarly, $(\sup A)_{A \in F}$ is monotone decreasing, with its limit the same as its infimum.

The symbols $\lim\inf$ and $\lim\sup$ come from the Latin 'limes inferior' and 'limes superior'; saying 'limit inferior' in English because the symbol is '$\lim\inf$', while common, is like saying 'logarithm natural' because the symbol for the [[natural logarithm]] is '$\ln$' (from the Latin 'logarithmus naturalis').  Another variation is to read '$\lim\inf$' as 'limit infimum' and similarly for 'limit supremum'.  Sometimes one sees the more fully translated terms 'lower limit' and 'upper limit'.  On the other hand, in German, untranslated Latin is most common.


[[!redirects lower limit]]
[[!redirects lower limits]]
[[!redirects inferior limit]]
[[!redirects inferior limits]]
[[!redirects limit inferior]]
[[!redirects limit inferiors]]
[[!redirects limits inferior]]
[[!redirects limit infimum]]
[[!redirects limit infimums]]
[[!redirects limits infimum]]
[[!redirects limes inferior]]
[[!redirects limes inferiors]]
[[!redirects limites inferiores]]
[[!redirects lim inf]]
[[!redirects liminf]]

[[!redirects upper limit]]
[[!redirects upper limits]]
[[!redirects superior limit]]
[[!redirects superior limits]]
[[!redirects limit superior]]
[[!redirects limit superiors]]
[[!redirects limits superior]]
[[!redirects limit supremum]]
[[!redirects limit supremums]]
[[!redirects limits supremum]]
[[!redirects limes superior]]
[[!redirects limes superiors]]
[[!redirects limites superiores]]
[[!redirects lim sup]]
[[!redirects limsup]]
