Due to decay, an unstable quantum-mechanical system cannot be in the eigenstate of the Hamiltonian. Effectively, this means that the system is described by a wave-packet which ranges over a distribution of energies (or frequencies, as in the field of spectroscopy). In the simplest model of an exponential decay, the distribution of energies is given by
so called Breit-Wigner distribution (and to some extent this is true for
most short-living metastable system, e.g. resonances in high energy physics). 

Given some quantities $E_0$ and $\Gamma$ of the dimension of energy the __Breit-Wigner energy distribution__

$$
|\rho(E)|^2 = \frac{\Gamma/2\pi}{\frac{1}{2}\Gamma^2+(E-E_0)^2}
$$

which should be in principle damped all the way to $0$ from some energy $E_{min}$ as the spectrum of any Hamiltonian must be bounded below. The plot of the Breit-Wigner curve as seen in spectroscopy is often called Breit-Wigner curve.

Various effects in nature lead to modifed, asymmetric and other spectral curves to which the Breit-Wigner is merely the crudest approximation.

## Literature

#### Classical Breit-Wigner

* Anthony Sudbery, _Quantum mechanics and the particles of nature_, formula 3.237 and around.
* G. Breit, E. Wigner, Phys. Rev. 49, 519 (1936).

#### Corrected curves

Assymetric line shapes in autoionization and Rydberg atoms are studied in the famous

* Ugo Fano, _Effects of configuration interaction on intensities and phase shifts_, Phys. Rev. 124, 1866 (1961) [doi](https://doi.org/10.1103/PhysRev.124.1866)
* wikipedia: [Fano resonance](https://en.wikipedia.org/wiki/Fano_resonance)
* A. Bianconi, _Ugo Fano and shape resonances in X-ray and Inner Shell Processes_ AIP Conference Proceedings (2002): (19th Int. Conference Roma June 24–28, 2002) [cond-mat/0211452](http://arXiv.org/abs/cond-mat/0211452)
* VV Sokolov, VG Zelevinsky, _Dynamics and statistics of unstable quantum states_, Nuclear Physics A504:3 (1989) 562-588 <a href="http://dx.doi.org/10.1016/0375-9474(89)90558-7">doi</a>; _Simple mode on a highly excited background: Collective strength and damping in the continuum_, Phys. Rev. C 56, 311 (1997)

category: physics

[[!redirects Breit-Wigner curve]]
[[!redirects Breit-Wigner energy distribution]]

