[[!redirects smooth space]]

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Differential geometry
+--{: .hide}
[[!include synthetic differential geometry - contents]]
=--
#### Cohesive toposes
+--{: .hide}
[[!include cohesive infinity-toposes - contents]]
=--
=--
=--

# Smooth spaces
* table of contents
{: toc}

## Idea

A _smooth space_ or _smooth set_ as discussed here, is a joint generalization of [[smooth manifolds]] and [[diffeological spaces]]: it is a space that can be _probed_ by smooth [[Cartesian spaces]] (in the sense discussed in the exposition at _[[motivation for sheaves, cohomology and higher stacks]]_).

Following the logic of [[space and quantity]], a _smooth space_ is, in full generality, a space that may be probed by standard smooth test spaces.
See [[generalized smooth space]] for more on the general idea and for examples and variations.

Here standard smooth test spaces may be taken to be [[smooth manifolds]]. But since [[manifolds]] themselves are built from gluing together smooth [[open balls]] $D^n_{int} \subset \mathbb{R}^n$ or equivalently [[Cartesian spaces]] $\mathbb{R}^n$, one may just as well consider Cartesian spaces test spaces. Finally, since $D^n$ is diffeomorphic to $\mathbb{R}^n$, one can just as well take just the cartesian smooth spaces $\mathbb{R}^n$ as test objects.

+-- {: .num_remark}
###### Remark
**Note on terminology.** 

In view of the _[[smooth homotopy types]]_ to be discussed in _[[geometry of physics -- smooth homotopy types]]_, the structures discussed now are properly called _smooth [[0-types]]_ or maybe _smooth [[h-sets]]_ or just _smooth sets_. While this subsumes [[smooth manifolds]] which are indeed sets equipped with (particularly nice) [[smooth structure]], it is common in practice to speak of manifolds as "spaces" (indeed as [[topological spaces]] equipped with smooth structure). Historically the _[[Cartesian space]]_ and _[[Euclidean space]]_ of [[Newtonian physics]] are the archetypical examples of smooth manifolds and modern [[differential geometry]] developed very much via motivation by the study of the _spaces_ in [[general relativity]], namely _[[spacetimes]]_. Unfortunately, in a parallel development the word "space" has evolved in [[homotopy theory]] to mean (just) the [[homotopy types]] _represented_ by an actual [[topological space]] (their [[fundamental infinity-groupoids]]). Ironically, with this meaning of the word "space" the original [[Euclidean spaces]] become equivalent to the point, signifying that the modern meaning of "space" in [[homotopy theory]] is quite orthogonal to the original meaning, and that in homotopy theory therefore one should better stick to "[[homotopy types]]".

Since historically grown terminology will never be fully logically consistent, and since often the less well motivated terminology is more widely understood, we will follow tradition here and take the liberty to use "smooth sets" and "smooth spaces" synonymously, the former when we feel more formalistic, the latter when we feel more relaxed.

=--



## Definition

The category of **smooth spaces** is the [[sheaf topos]]

$$
  SmoothSp := Sh(Diff)
$$

of [[sheaves]] on the [[site]] [[Diff]] of smooth manifolds equipped with its standard [[coverage]] ([[Grothendieck topology]]) given by open covers of manifolds.

Since $Diff$ is [[equivalence of categories|equivalent]] to the category of [[manifolds]] _embedded_ into $\mathbb{R}^\infty$, $Diff$ is an [[essentially small category]], so there are no size issues involved in this definition.

But since manifolds themselves are defined in terms of gluing conditons, the [[Grothendieck topos]] $SmoothSp$ depends on much less than all of $Diff$.

Let

$$
  Ball := \{ (D^n_{int} \to D^m_{int}) \in Diff | n,m \in \mathbb{N}\}
$$

and

$$
  CartSp := \{ (\mathbb{R}^n \to \mathbb{R}^m) \in Diff  | n,m \in \mathbb{N}\}
$$

be the full [[subcategory|subcategories]] $Ball$ and [[CartSp]] of $Diff$ on open balls and on cartesian spaces, respectively. Then the corresponding [[sheaf]] [[topos]]es are still those of smooth spaces:

$$
  \begin{aligned}
    SmoothSp &\simeq Sh(Ball)
    \\
     & \simeq Sh(CartSp)
  \end{aligned}
  \,.
$$


## Examples

* The category of ordinary [[manifolds]] is a
  full subcategory of smooth spaces:
  $$
    Diff \hookrightarrow SmoothSp 
    \,.
  $$
  When one regards smooth spaces concretely as sheaves
  on $Diff$, then this inclusion is of course just the
  [[Yoneda embedding]].

* The full [[subcategory]] 
  $$
    DiffSp \subset SmoothSp
  $$
  on [[concrete sheaf|concrete sheaves]] is 
  called the
  category of [[diffeological spaces]].

  * The standard class of examples of smooth spaces that motivate their use even in cases where one starts out being intersted just in [[smooth manifolds]] are **mapping spaces**: for $X$ and $\Sigma$ two smooth spaces (possibly just ordinary smooth manifolds), by the [[closed monoidal structure on presheaves]] the **mapping space** $[\Sigma,X]$, i.e. the space of smooth maps $\Sigma \to X$ exists again naturally as a smooth. By the general formula it is given as a [[sheaf]] by the assignment

    $$
      [\Sigma,X] : U \mapsto SmoothSp(\Sigma \times U, X)
     \,.
    $$

    If $X$ and $\Sigma$ are ordinary manifolds, then the [[hom-set]] on the right sits inside that of the underlying sets $SmoothSp(\Sigma \times U , X) \subset Set(|\Sigma| \times |U|, |X| )$ so that $[\Sigma,X]$ is a [[diffeological space]].

    The above formula says that a $U$-parameterized family of maps $\Sigma \to X$ is smooth as a map into the smooth space $[\Sigma,X ]$ precisely if the corresponding map of sets $U \times \Sigma \to X$ is an ordinary morphism of smooth manifolds.

* The canonical examples of smooth spaces that
  are not diffeological spaces are the sheaves of
  (closed) differential forms:
  $$
    K^n : U \mapsto \Omega^n_{closed}(U)
    \,.
  $$

* The category 
  $$
    SimpSmoothSp :=
    SmoothSp^{\Delta^{op}}
  $$
  equivalently that of sheaves on $Diff$ with
  values in [[simplicial sets]]
  $$
    \cdots \simeq Sh(Diff, SSet)
  $$
  of [[simplicial objects]] in smooth spaces
  naturally carries the structure of a 
  [[homotopical category]] 
  (for instance the 
    [[model structure on simplicial sheaves]]
  or that of a Brown [[category of fibrant objects]]
  (if one restricts to locally Kan simplicial sheaves))
  and as such is a 
  [[presentable (∞,1)-category|presentation]]
  for the [[(∞,1)-topos]] of 
  [[smooth ∞-stacks]].


## Properties
 {#Properties}

### Connectedness, locality, cohesion

The topos of smooth space is 

* a [[locally connected topos|locally connected]] and [[connected topos]] (discussed [here](http://ncatlab.org/nlab/show/diffeological+space#Connectedness));

* a [[local topos]] (discussed [here](http://ncatlab.org/nlab/show/diffeological+space#Locality));

* hence a [[cohesive topos]] (discussed [here](http://ncatlab.org/nlab/show/diffeological+space#Cohesiveness)).



### Topos points and stalks

+-- {: .num_lemma }
###### Lemma

For every $n \in N$ there is a 
[[point of a topos|topos point]]

$$
  D^n : Set \stackrel{\stackrel{(D^n)^*}{\leftarrow}}
    {\stackrel{D^n_*}{\to}}
    SmoothSp
$$

where the [[inverse image]] morphism -- the [[stalk]] --
is given on $A \in SmoothSp$ by

$$
  (D^n)^* A :=
  \colim_{\mathbb{R}^n \supset U \ni 0} A(U)
  \,,
$$

where the colimit is over all open neighbourhoods of the
origin in $\mathbb{R}^n$.

=--

+-- {: .num_lemma }
###### Lemma

SmoothSp has [[point of a topos|enough points]]:
they are given by the
$D^n$ for $n \in \mathbb{N}$.

=--

### Distribution theory

Since a space of [[smooth functions]] on a [[smooth manifold]] is canonically a smooth set, it is natural to consider the _smooth_ [[linear functionals]] on such [[mapping spaces]]. These turn out to be equivalent to the [[continuous linear functionals]], hence to [[distributional densities]]. See at _[[distributions are the smooth linear functionals]]_ for details.


## Variants and generalizations
 {#VariantsAndGeneralizations}

### Synthetic differential geometry

The [[site]] [[CartSp]]${}_{smooth}$ may be replaced by the site [[CartSp]]${}_{th}$ (see there) whose objects are products of smooth Cartesian spaces with [[infinitesimally thickened points]]. The corresponding [[sheaf topos]] $Sh(CartSp_{th})$ is called the _[[Cahiers topos]]_. It contains smooth spaces with possibly infinitesimal extension and is a model for [[synthetic differential geometry]] (a "[[smooth topos]]"), which $Sh(CartSp)$ is not.

The two toposes are related by an [[adjoint quadruple]] of functors that witness the fact that the objects of $Sh(CartSp_{th})$ are possiby infinitesimal extensions of objects in $Sh(CartSp)$. 
For more discussion of this see [[synthetic differential ∞-groupoid]]

### Higher smooth geometry

The topos of smooth spaces has an evident generalization from [[geometry]] to [[higher geometry]], hence from [[differential geometry]] to [[higher differential geometry]]: to an [[(∞,1)-topos]] of _[[smooth ∞-groupoids]]_. See there for more details. 

## Related concepts

* [[smooth groupoid]]

* [[smooth infinity-groupoid]]

## References

Lecture notes are at

* _[[geometry of physics -- smooth sets]]_


The [[concrete objects|concrete]] smooth spaces are known as _[[diffeological spaces]]_. See there for more references.

Aspects of the category of smooth spaces is discussed with an eye towards its generalization to [[smooth ∞-groupoids]] and their [[homotopy]] [[localization]] in section 3.4, from page 29 on in

* [[Daniel Dugger]], _Sheaves and Homotopy Theory_ ([web](http://www.uoregon.edu/~ddugger/cech.html), [pdf](http://ncatlab.org/nlab/files/cech.pdf))

The [[point of a topos|topos points]] of $Sh(Diff)$ are discussed there in example 4.1.2 on p. 36. (they are mentioned before on p. 31).

As a [[cohesive topos]] smooth spaces are discuss in sections 1.2, 1.3 and 3.3 in 

* [[Urs Schreiber]], _[[schreiber:differential cohomology in a cohesive topos]]_

[[!redirects smooth space]]
[[!redirects smooth spaces]]

[[!redirects smooth set]]
[[!redirects smooth sets]]

[[!redirects SmoothSet]]
