_stub_

##Idea

An **effect handler** is an interpretation of the [[algebraic effects]] of a computation.

> Conceptually, algebraic operations and effect handlers are dual: the former could be called effect _constructors_ as they give rise to the effects; the latter could be called effect _deconstructors_ as the computations they provide proceed according to the effects already
created. ([PlotPret13](#PlotPret13))

Handlers have also been defined ([Lindley14](#Lindley14)) for more general effects, such as [[applicative functors]] and [[arrow (in computer science)|arrows]] (or idioms).

##References

* [[Matija Pretnar]], _An Introduction to Algebraic Effects and Handlers_, [tutorial](http://www.eff-lang.org/handlers-tutorial.pdf)

* {#PlotPret13} [[Gordon Plotkin]], [[Matija Pretnar]], _Handling Algebraic Effects_, [arXiv:1312.1399](https://arxiv.org/abs/1312.1399)

* Ohad Kammar, Sam Lindley, Nicolas Oury, _Handlers in Action_, [pdf](homepages.inf.ed.ac.uk/slindley/papers/handlers.pdf)

* Nicolas Wu, Tom Schrijvers, Ralf Hinze, _Effect Handlers in Scope_, [pdf](http://www.cs.ox.ac.uk/people/nicolas.wu/papers/Scope.pdf)

* {#Lindley14} Sam Lindley, _Algebraic Effects and Effect Handlers for Idioms and Arrows_, ([pdf](http://homepages.inf.ed.ac.uk/slindley/papers/aeia.pdf))

[[!redirects algebraic handler]]
[[!redirects algebraic handlers]]
[[!redirects effect handlers]]
