
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Topos Theory
+-- {: .hide}
[[!include topos theory - contents]]
=--
=--
=--

# Contents
* table of contents
{:toc}

## Idea

A **topological site** is a [[site]] $(\mathcal{C}, J)$ that generalizes the site that underlies Giraud's [[gros topos]] of topological spaces.  The aim is to get in $Sh(\mathcal{C}, J)$ a well-behaved category of topological spaces.

## Definition

A site $(\mathcal{C}, J)$ is called _topological_ if $\mathcal{C}$ is a category of topological spaces and continuous maps, which is closed under open inclusions i.e. if $X\in\mathcal{C}$ and $U\in\mathcal{O}(X)$ then $U\hookrightarrow X$ is a morphism in $\mathcal{C}$ and $J$ is the [[open cover|open cover topology]] i.e. $J$ is generated by families $\{ U_i\hookrightarrow X\}$ where the $U_i$ are open and jointly cover $X$.

A topos $\mathcal{E}$ is called _topological_ when it is equivalent to a topos 
$Sh(\mathcal{C}, J)$ with $(\mathcal{C}, J)$ a topological site.

### Remark
This definition follows Moerdijk-Reyes ([1984](#MR85)) but some variation is possible here e.g. one could additionally demand that $\mathcal{C}$ is closed under finite limits and contains the real numbers $\mathbb{R}$ (cf. Mac Lane-Moerdijk 1994). Instead of topological spaces one could use locales - this is  pursued by Fourman (1983,1984,2013). Compare also the approach taken in Montañez (2013).

## Examples

 * Let $\mathcal{C}$ have objects the locally compact subspaces of some $\mathbb{R}^n$, $n\in\mathbb{N}$ varying, and morphisms the $C^\infty$-maps. The topos $Sh(\mathcal{C}, J)$ is called the _euclidean topos_ in Moerdijk-Reyes ([1984](#MR85)) where its properties and in particular its relations with the [[Dubuc topos]] are explored.

## Properties

+-- {: .num_prop #T1-mod} 
###### Proposition

Let $A$ be a $T_U$-propositional theory, and let $A_0$ be the corresponding locale in $Set$ (so $Sh(A_0)$ classifies $A$-models in Grothendieck toposes). Let $Sh(\mathcal{C}, J)$ be a topological topos. Then the object of $A$-models in $Sh(\mathcal{C}, J)$ is given by the sheaf $Cts(-, A_0) : \mathcal{C}^{op}\to Set$ which assigns to a space $X$ in $\mathcal{C}$ the set of all continuous maps from $X$ to $A_0$.
=--

This occurs as cor.1.5 in Moerdijk-Reyes ([1984](#MR85)). Here $T_U$ is the pendant for locales of the $T_1$-separation property:  a locale $X$ is $T_U$ if for all locale maps $f,g:Y\to X$ the relation $f\leq g$ implies $f=g$ (cf. the [[Elephant]] II, p.501).

+-- {: .num_prop #Fanthm} 
###### Proposition
Let $Sh(\mathcal{C}, J)$ be a topological topos. Then the [[Fan theorem]] holds in $Sh(\mathcal{C}, J)$. If furthermore all $X\in\mathcal{C}$ are [[locally compact space|locally compact]] then [[Bar induction]] holds as well.
=--

This is contained in props.1.7-8 in Moerdijk-Reyes ([1984](#MR85)).

## Related entries

* [[Johnstone's topological topos]]

* [[open cover]]

* [[continuous truth]]

* [[gros topos]]

## References

* {#SGA4} [[Michael Artin|M.Artin]], [[Alexander Grothendieck|A.Grothendieck]], [[J. L. Verdier]] (eds.), _Théorie des Topos et Cohomologie Etale des Schémas - SGA 4_ , LNM **269** Springer Heidelberg 1972.

* [[Michael Fourman]], _T$_1$ Spaces over Topological Sites_ , JPAA **27** (1983) pp.223-224.

* [[Michael Fourman]], _Continuous Truth I: non-constructive objects_ , pp.161-180 in Lolli, Longo, Marcja (eds.), _Proc. Logic Colloquium, Florence 1982_ , Elsevier Amsterdam 1984. ([draft](http://homepages.inf.ed.ac.uk/mfourman/research/publications/pdf/fourman84-continuous-truth-I.pdf))

* [[Michael Fourman]], _Continuous Truth II: reflections_ , pp,153-167 in LNCS **8071** Springer Heidelberg 2013. ([draft](http://homepages.inf.ed.ac.uk/mfourman/research/publications/pdf/fourman2013-continuous-truth-II.pdf))

* Gerrit Van Der Hoeven, [[Ieke Moerdijk]], _Sheaf models for choice sequences_ , APAL **27** (1984) pp.63-107.

* {#Johnstone79}[[Peter Johnstone]], _On a topological topos_ , Proc. London Math. Soc. (3) **38** (1979) pp.237–271.

* {#MM94} [[Saunders Mac Lane]], [[Ieke Moerdijk]], _[[Sheaves in Geometry and Logic]]_ , Springer Heidelberg 1994. (pp.113, 325ff, 416)

* {#MR84}[[Ieke Moerdijk]], [[Gonzalo E. Reyes]], _Smooth Spaces versus Continuous Spaces in Models of Synthetic Differential Geometry_ , JPAA **32** (1984) pp.143-176.

* R. Montañez, _Topoi generated by topological spaces_ , Talk CT15 Aveiro 2015. ([pdf-slides](http://sweet.ua.pt/dirk/ct2015/slides/Montanez.pdf))
