
#Contents#
* table of contents
{:toc}

##Idea

This entry relates to a series of papers by [[Clark Barwick]] and colleagues which aim to provide common foundations for several different parts of [[homotopy theory]], among which [[equivariant homotopy theory]], [[parametrized homotopy theory]], [[global homotopy theory]] and [[Goodwillie calculus]].

For $G$ a finite group, various equivariant concepts are constructed as [[indexed (∞,1)-category|indexed]] over the [[orbit category]], such as $G$-$\infty$-category and $G$-spectrum. An important ingredient of this program is the concept of an _atomic orbital $\infty$-category_ which is defined in terms of two important properties of the orbit category of $G$:
{#AtomicOrbital}

1. **Orbital**: Fiber products of representable presheaves are finite disjoint unions of representable presheaves (a restatement of the fact that the category of finite $G$-sets has pullbacks ([Mackey decomposition](double+coset#MackeyFormula)), so a version of the [[Beck-Chevalley condition]]);

1. **Atomic**: The triviality of retracts (that is every retraction is an equivalence).

Examples of such $(\infty, 1)$-categories satisfying these two properties include: [[orbit categories]] of finite groups, and more generally, orbit categories of profinite groups (where the stabilizers are required to be open) and locally finite groups (where the stabilizers are required to be finite); any $\infty$-groupoid; the cyclonic orbit 2-category; the 2-category of finite connected groupoids and covering maps; the category of finite sets of cardinality $\leq n$ and surjective maps; the topological categories of finite-dimensional inner product spaces (over $\mathbb{R}$ and $\mathbb{C}$) of dimension $\leq n$ and orthogonal projections.

The program looks to generate results which hold for all atomic orbital $\infty$-categories, for any instance of which, $T$, there are the associated concepts of $T$-$\infty$-category, $T$-space and $T$-spectrum. 


##Papers

Along with an introduction, nine expos&eacute;s are planned:

* (with Emanuele Dotto, Saul Glasman, Denis Nardin, and Jay Shah), _Parametrized higher category theory and higher algebra: A general introduction_, ([pdf](https://dl.dropboxusercontent.com/u/1741495/papers/introduction.pdf))


* (with Emanuele Dotto, Saul Glasman, Denis Nardin, and Jay Shah), _Parametrized higher category theory and higher algebra: Exposé I – Elements of parametrized higher category theory_, ([pdf](https://dl.dropboxusercontent.com/u/1741495/papers/basics.pdf))

* Denis Nardin, _Parametrized higher category theory and higher algebra: Exposé IV - Stability with respect to an orbital ∞-category, ([arXiv:1608.07704](https://arxiv.org/abs/1608.07704))

##Talks

* [[Clark Barwick]], _Parametrized higher category theory and parameterized higher algebra_, [video](http://www.birs.ca/events/2016/5-day-workshops/16w5133/videos/watch/201602161030-Barwick.html)