
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Discrete and concrete objects
+-- {: .hide}
[[!include discrete and concrete objects - contents]]
=--
#### Topos Theory
+--{: .hide}
[[!include topos theory - contents]]
=--
=--
=--


#Contents#
* automatic table of contents goes here
{:toc}

## Idea

When regarding a [[sheaf]] as a [[space]] defined by how it is probed by test spaces, a _concrete sheaf_ is a generalized space that has (at least) an _underlying [[set]] of points_ out of which it is built.

So a concrete sheaf models a [[space]] that is given by a set of points and a choice of which morphisms of [[set]]s from concrete test spaces into it count as "structure preserving" (e.g. count as smooth, when the sheaf models a [[smooth space]]).

More in the intrinsic language of [[sheaves]], a _concrete sheaf_ is a [[sheaf]] on a [[concrete site]] $C$ that, while perhaps not [[representable functor|representable]], is "quasi-representable" in that it is a [[subobject]] of a sheaf of the form

$$
  U \mapsto Hom_{Set}(|U|, S)
$$

where $S$ is a [[set]] and $|U|$ is the [[set]] $|U| \coloneqq Hom_C({*}, U)$ of points underlying the object $U$ in the [[concrete site]] $C$.

## Definition

We discuss two definitions: the first one is more elementary and describes concrete sheaves explicitly in terms of properties of the underlying [[site]]. 

The second one is more abstract and more general, and describes them entirely [[topos theory|topos theoretically]].

### On a concrete site

+-- {: .un_def}
###### Definition

A **[[concrete site]]** is a [[site]] $C$ with a [[terminal object]] $*$ such that

1. the functor $Hom_C(*,-) : C \to Set$ is a [[faithful functor]];

1. for every [[coverage|covering family]] $\{f_i : U_i \to U\}$ in $C$ the morphism 

   $$
      \coprod_i Hom_C(*,f_i) : \coprod_i Hom_C(*, U_i) \to Hom_C(*, U) 
   $$

   is [[surjective]].

=--

For $X \in PSh(C)$ any [[presheaf]], write

$$
  \tilde X_U : X(U) \to Hom_{Set}(Hom_C(*,U), X(*)) 
$$

for the [[adjunct]] of the restriction map

$$
  X(U) \times Hom_C(*,U) \to X(*)
  \,,
$$

which in turn is the adjunct of the component map of the functor

$$
  X_{*,U} . Hom_C(*,U) \to Hom_{Set}(X(U), X(*))
  \,.
$$

{#ConcSheafOnConcSite}
+-- {: .un_def}
###### Definition

A [[presheaf]] $X : C^{op} \to Set$ on a [[concrete site]] is a **concrete presheaf** if for each $U \in C$ the map $\tilde X_U : X(U) \to Hom_{Set}(Hom_C(*,U), X(*))$ is [[injective]].

A **concrete sheaf** is a presheaf that is both concrete and a [[sheaf]].

=--

So a concrete presheaf $X$ is a [[subobject]] of the presheaf $U \mapsto Hom_{Set}(Hom_C(*,U), X(*))$.

Write $Conc(Sh(C)) \hookrightarrow Sh(C)$ for the [[full subcategory]] of the [[category of sheaves]] on concrete sheaves.




### In a local topos

A more abstract perspective on the [previous definition](#ConcSheafOnConcSite) is obtained by noticing the following.

+-- {: .un_lemma}
###### Lemma

The [[category of sheaves]] on a [[concrete site]] is a [[local topos]].

=--

+-- {: .proof}
###### Proof

Taking $U=*$ in the second condition defining a concrete site implies that any [[covering]] family of $*$ contains a [[split epimorphism]], or equivalently that the only covering [[sieve]] of $*$ is the maximal sieve consisting of all morphisms with [[target]] $*$.  This means that a concrete site is in particular a [[local site]], which implies that its topos of sheaves is a [[local topos]].

=--

In fact, we can formulate the definition of concrete sheaf inside any [[local topos]] $E$ over any base topos $S$:

+-- {: .un_def}
###### Definition

Let 

$$(Disc \dashv \Gamma \dashv Codisc) : E \stackrel{\stackrel{\overset{Disc}{\leftarrow}}{\underset{\Gamma}{\to}}}{\underset{Codisc}{\leftarrow}} S$$

be a [[local geometric morphism]]. Since then by definition $S \stackrel{\overset{\Gamma}{\leftarrow}}{\underset{Codisc}{\hookrightarrow}} E$ is a [[subtopos]] the morphisms $V = \Gamma^{-1}(isos(S)) \subset Mor E$ that are inverted by $\Gamma$ are the [[local isomorphism]]s with respect to which the objects of $S$ are [[sheaves]]/$V$-[[local object]]s in $E$.

The **concrete sheaves** are the objects of $E$ that are the $V$-[[separated objects]].


=--

+-- {: .un_prop}
###### Proposition

For $E = Sh(C) \stackrel{\Gamma = Hom(*,-)}{\to} Set$ the [[category of sheaves]] on a [[concrete site]], this is equivalent to the 
[previous definition](#ConcSheafOnConcSite).

=--

+-- {: .proof}
###### Proof

Since $C$ is concrete, in the [[global sections]] [[geometric morphism]] $(Disc,\Gamma)\colon Sh(C) \to Set$, the [[direct image]] $\Gamma$ is evaluation on the point: $X\mapsto X(*)$. The further [[right adjoint]] $Codisc \colon Set\to Sh(C)$, sends a set $A$ to the functor $U\mapsto Hom_{Set}(Hom_C(*,U),A)$.  Moreover, this right adjoint $Codisc$ is [[full and faithful functor|fully faithful]] and thus embeds $Set$ as a [[subtopos]] of $Sh(C)$.  

We observe that $ (\Gamma \dashv Codisc) : Set \to  Sh(C)$ is the [[localization]] of $Sh(C)$ at the set $\{Disc \Gamma U \to U | U \in C\}$ of counits of the adjunction $(Disc \dashv \Gamma)$ on representables: because if for $X \in Sh(C)$ we have that

$$
  \begin{aligned}
     Hom_{Sh(C)}(Disc \Gamma U \to U, X) 
     & = (X(U) \to Hom_{Set}(\Gamma(U), \Gamma(X)))
     \\
     & = (X(U) \to Hom_{Set}(Hom_C(*,U)), X(*))
  \end{aligned}
$$

is an [[isomorphism]], then clearly $X = Codisc(X(*))$.

On the other hand, comparison with the [previous definition](#ConcSheafOnConcSite) shows that this is a [[monomorphism]] precisely if $X$ is a concrete sheaf.  But this is also the definition of a separated object.

=--




So the concrete sheaves on $C$ are precisely the [[separated presheaf|separated objects]] for this [[Lawvere-Tierney topology]] on $Sh(C)$ that corresponds to the subtopos $Codisc : S \hookrightarrow Sh(C)$.  



## Properties

### General

Let $\Gamma : E \to S$ be a [[local topos]]. From the definition of concrete sheaves as [[separated presheaves]] it follows immediately that

+-- {: .un_prop}
###### Proposition

The category of concrete sheaves $Conc_\Gamma(E)$ forms a [[reflective subcategory]] of $E$

$$
  S 
   \stackrel{\overset{\Gamma}{\leftarrow}}{\underset{Codisc}{\hookrightarrow}}
  Conc_\Gamma(E) 
    \stackrel{\overset{Conc}{\leftarrow}}{\hookrightarrow}
  E
$$

which is a [[quasitopos]]. 

The left adjoint $Conc$ is **concretization** which sends a sheaf $X$ to the [[image]] sheaf

$$
  Conc X : U \mapsto Im(X(U) \to Hom_{Set}(Hom_C(*,U), X(*)))
  \,.
$$

=--


### Slice topos over a concrete object {#SliceOverConcreteObject}

Let $(Disc \dashv \Gamma \dashv coDisc) :  \mathcal{E} \to \mathcal{S}$ be a [[Grothendieck topos]] that is a  [[local topos]] over $\mathcal{S}$ and let $X \in \mathcal{E}$ be a concrete object, equivalently an object such that the $(\Gamma \dashv coDisc)$-[[unit of an adjunction|counit]] $X \to coDisc \Gamma U$ is a [[monomorphism]].

We discuss properties of the [[over-topos]] $\mathcal{E}/X$.

Notice that

$$
  e_0 \coloneqq (\Gamma \dashv coDisc) : \mathcal{S} \stackrel{\overset{\Gamma}{\leftarrow}}{\underset{coDisc}{\to}} \mathcal{E}
$$

is the canonical [[point of a topos|topos point]] of $\mathcal{E}$. 

+-- {: .un_prop}
###### Observation

For every [[global element]] $(x \in \Gamma(X)) : * \to X$ (for every $X \in \mathcal{E}$) there is a [[point of a topos|topos point]] of the form

$$
  (e_0,x)
  : 
  \mathcal{S} 
    \stackrel{\overset{x^*}{\leftarrow}}{\underset{x_*}{\to}}
  \mathcal{S}/\Gamma(X)
    \stackrel{\overset{\Gamma/X}{\leftarrow}}{\underset{coDisc/X}{\to}}
  \mathcal{E}/X
  \,.
$$

=--

This is discussed in detail at <a href="http://ncatlab.org/nlab/show/over-topos#Points">over-topos -- points</a>.

+-- {: .un_prop}
###### Observation
**(relative concretization)**

Let $X \in \mathcal{E}$ be concrete. Then the image under the
$coDisc/X \circ \Gamma/X$-[[monad]] of any object $(A \to X) \in \mathcal{E}/X$ is an object $(\tilde A \to X)$ with $\tilde A$ being concrete.

This $\tilde A$ is the finest concrete sheaf structure on $\Gamma A$ that extends $\Gamma A \to \Gamma X$ to a morphism of concrete sheaves.

=--

+-- {: .proof}
###### Proof

By definition of the <a href="http://ncatlab.org/nlab/show/adjoint+(infinity%2C1)-functor#OnSlices">slice geometric morphism</a> we have that $coDisc/X \circ \Gamma/X (A \stackrel{f}{\to} X)$ is the [[pullback]] $\tilde A \to X$ in 

$$
  \array{
    \tilde A &\to & coDisc \Gamma A
    \\
    \downarrow && \downarrow^{\mathrlap{coDisc \Gamma A}}
    \\
    X &\to& coDisc \Gamma X
  }
  \,,
$$

where the bottom morphism is the $(\Gamma \dashv coDisc)$-[[unit of an adjunction|unit]]. Since this is a [[monomorphism]] by assumption on $X$ it follows that $\tilde A\to coDisc \Gamma A$ is a monomorphism. Since $coDisc$ is a [[full and faithful functor]] by assumption on $\mathcal{E}$ and $\Gamma$ is a [[right adjoint]] it follows that the [[adjunct]] $\Gamma \tilde A \to \Gamma coDisc\Gamma A \stackrel{\simeq}{\to} \Gamma A$ is a monomorphism, as is its image $coDisc \Gamma \tilde A\to coDisc \Gamma A$ under the [[right adjoint]] $coDisc$.

Then by the <a href="http://ncatlab.org/nlab/show/adjoint%20functor#UniversalArrows">universal property of the unit</a> we have a commuting diagram

$$
  \array{
    && coDisc \Gamma \tilde A
    \\
    & \nearrow & \downarrow
    \\
    \tilde A &\to& coDisc \Gamma A 
  }
  \,,
$$

where the bottom and the right morphisms are [[monomorphism]]s. Therefore also the diagonal morphism, the $(\Gamma \dashv coDisc)$-unit on $\tilde A$, is a monomorphism, and hence $\tilde A$ is concrete.

=--


## Examples

* The concrete sheaves on the [[concrete site]] [[CartSp]] are the [[diffeological space]]s.


## Related concepts

* **concrete sheaf**

* [[concrete (∞,1)-sheaf]]


## References 

The notion of quasitoposes of concrete sheaves goes back to

* [[Eduardo Dubuc]], _Concrete quasitopoi_ , Lecture Notes in Math. 753 (1979), 239–254

and is further developed in

* [[Eduardo Dubuc]], L. Espanol, _Quasitopoi over a base category_  ([arXiv:math.CT/0612727](http://arxiv.org/abs/math.CT/0612727)) .

A review of categories of concrete sheaves, with special attention to sheaves on [[CartSp]], i.e. to [[diffeological space]]s is in

* [[John Baez]], [[Alex Hoffnung]], _Convenient Categories of Smooth Spaces_, Trans. Amer. Math. Soc. 363 (11), 2011 ([arXiv](http://arxiv.org/abs/0807.1704))

The characterization of concrete sheaves in terms of the extra right adjoint of a [[local topos]] originated in [discussion](http://nforum.ncatlab.org/comments.php?DiscussionID=1955) with [[David Carchedi]].

[[!redirects concrete sheaves]]
[[!redirects concrete presheaf]]
[[!redirects concrete presheaves]]
