

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Analysis
+-- {: .hide}
[[!include analysis - contents]]
=--
#### Formal geometry
+--{: .hide}
[[!include formal geometry -- contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A [[series]] is called __divergent__ if it is not [[convergence|convergent]] in the usual strong senses of pointwise or, sometimes, [[uniform convergence]]. 

In asymptotic analysis, and in physics, especially in [[perturbative QFT]] etc., often a divergent series is still a very useful concept if regarded as an [[asymptotic series]], as a sum of some such series can be defined in various weaker senses, like [[Borel summability]].

## Related $n$Lab entries

* [[resummation]], [[regular summation method]], [[regularization]], [[renormalization]], [[Borel summability]], [[asymptotic series]], [[Stokes phenomenon]]

## References

* [[G. H. Hardy]], _Divergent series_, Clarendon Press, Oxford, 1949.
* [[A. N. Kolmogorov]], _Sur la possibilité de la définition générale de la dérivée, de l'intégrale et de la sommation de séries divergentes_, C. R. Acad. Sci. Paris 180 (1925), 362–364.
* Yu. I. Lyubich, _Axiomatic theory of divergent series and cohomological equations_, Fundamenta Math. 198 (2008) [doi](https://dx.doi.org/10.4064/fm198-3-5)
[arxiv/0705.1578](https://arxiv.org/abs/0705.1578)
* В. В. Козлов, _Инвариантные меры гладких динамических систем, обобщенные функции и методы суммирования_, Изв. РАН. Сер. матем., 80:2 (2016) 63–80  mathnet  [MR3507379](http://www.ams.org/mathscinet-getitem?mr=3507379) eng. transl.: V. V. Kozlov, _Invariant measures of smooth dynamical systems, generalized functions and summation methods_, Izv. Math. 80:2 (2016) 342–358
* [[Leonhard Euler]], _De seriebus divergentibus_, Novi Commentarii academiae scientiarum Petropolitanae 5, 1760, pp. 205-237. Collected in _Opera Omnia_: Series 1, Volume 14, pp. 585 - 617. German translation in arXiv:[1202.1506](https://arxiv.org/abs/1202.1506). See also the [Euler archive](http://eulerarchive.maa.org/pages/E247.html)

category: analysis

[[!redirects diverging series]]
