Banach lattice 
(From https://www.encyclopediaofmath.org/index.php/Banach_lattice)

With minor editing:

A vector lattice that is at the same time a Banach space with a norm which satisfies the monotonicity condition:

                        
                            |x|</=|y|=>||x||</=||y||
                              

A Banach lattice is also called a KB-lineal, whereas an arbitrary normed lattice, i.e. a vector lattice with a monotone norm, is called a KN-lineal. When completing a normed lattice in norm, the order relations may be extended to the resulting Banach space so that it becomes a Banach lattice. If it is possible to introduce in a lattice a Banach topology which converts it to a Banach lattice, such a topology is unique. The simplest example of a Banach lattice is the space C(Q) of continuous functions on an arbitrary compact topological space Q with the natural (pointwise) order and with the ordinary (uniform) norm. Other examples of Banach lattices include Lp  spaces and [[Orlicz spaces]] (cf. Orlicz space). In Banach lattices convergence in norm is (o)-convergence for convergence with a regulator. This is not true of normed lattices.

An important special case is a Banach lattice of bounded elements. If a lattice X contains a strong unit 1, i.e. xEX if for each  there exists a /\ such that x|</=/\1 , then the smallest /\  for which this inequality is valid is taken as |x|. The normed lattice thus obtained is called a normed lattice of bounded elements; if it is complete in norm, it is called a Banach lattice of bounded elements. In a Banach lattice (and even in a normed lattice) of bounded elements convergence in norm is identical with convergence with a regulator, while the boundedness of a set of elements in norm is identical with order boundedness. If a normed lattice of bounded elements is conditionally o^-complete, it is complete in norm.

The space C(Q) is a Banach lattice of bounded elements in which the function x(q)E1 is taken as the unit. For any Banach lattice  of bounded elements there exists a compact Hausdorff space  such that  is algebraically and lattice isomorphic to the space . This is an abstract characterization of the Banach lattice of continuous functions on a compact Hausdorff space.

In any normed lattice an additive functional that is continuous in norm is regular and, moreover, is representable as the difference of two additive functionals which are continuous in norm. In a Banach lattice each positive additive functional is continuous in norm, which means that the classes of regular functionals and additive functionals which are continuous in norm coincide. The space X' which is dual in the sense of Banach to the normed lattice X is a conditionally complete Banach lattice. In a normed lattice the Hahn–Banach theorem may be strengthened as follows: For any x0>0  there exists a positive additive functional f , which is continuous in norm, such that f(x0)=||x0||,||f||=1 .

References

[1]	B.Z. Vulikh, "Introduction to the theory of partially ordered spaces" , Wolters-Noordhoff (1967) (Translated from Russian)

[2]	M.M. Day, "Normed linear spaces" , Springer (1958)
