+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohesive $\infty$-Toposes
+--{: .hide}
[[!include cohesive infinity-toposes - contents]]
=--
#### Differential geometry
+--{: .hide}
[[!include synthetic differential geometry - contents]]
=--
#### $\infty$-Lie theory
+--{: .hide}
[[!include infinity-Lie theory - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

A _smooth $\infty$-groupoid_ is an [[∞-groupoid]] equipped with [[cohesive (∞,1)-topos|cohesion]] in the form of [[smooth structure]]. Examples include [[smooth manifolds]], [[Lie groups]], [[Lie groupoids]] and generally [[Lie infinity-groupoids]], but also for instance [[moduli spaces]] of [[differential forms]], [[moduli stacks]] of [[principal connections]] and generally of [[cocycles]] in [[differential cohomology]].
  
The [[(∞,1)-topos]] $Smooth \infty Grpd$ of all smooth $\infty$-groupoids is a [[cohesive (∞,1)-topos]]. It realizes a [[higher geometry]] version of [[differential geometry]]. 

Many properties of smooth $\infty$-groupoids are inherited from the underlying [[Euclidean-topological ∞-groupoid]]s. See [[ETop∞Grpd]] for more. 

There is a refinement of smooth $\infty$-groupoids to [[synthetic differential ∞-groupoid]]s. See [[SynthDiff∞Grpd]] for more on that.

## Definition

+-- {: .num_defn #DifferentiablyGoodOpenCover}
###### Definition

For $X$ a [[smooth manifold]], say an [[open cover]] $\{U_i \to X\}$ is a
**[[differentiably good open cover]]** if each non-empty finite intersection of the $U_i$ is [[diffeomorphism|diffeomorphic]] to a [[Cartesian space]].

=--

+-- {: .num_prop}
###### Proposition

Every [[paracompact manifold|paracompact]] [[smooth manifold]] admits a differentiably good open cover.

=--

+-- {: .proof}
###### Proof

This is a folk theorem. A detailed proof is at [[good open cover]].

=--

+-- {: .num_defn}
###### Definition


Let [[SmoothMfd]] be the [[large site]] of 
[[paracompact manifold|paracompact]] [[smooth manifold]]s 
with [[smooth function]]s between them and equipped with the [[coverage]] 
of [differentiably good open covers](#DifferentiablyGoodOpenCover).

=--

+-- {: .num_defn}
###### Observation

This does indeed define a coverage. The [[Grothendieck topology]] that is generated from it is the standard [[open cover]] topology.

=--

+-- {: .proof}
###### Proof

For $\{U_i \to X\}$ any open cover of a paracompact manifold also $\coprod_i U_i$ is paracompact. Hence we may find a differentiably good open cover
$\{K_j \to \coprod_i U_i\}$. This is then a refinement of the original open cover of $X$.

=--



+-- {: .num_defn}
###### Definition

Let [[CartSp]]${}_{smooth}$ be the [[site]] of [[Cartesian space]]s with [[smooth function]]s between them and equipped with the [[coverage]]
of [differentiably good open covers](#DifferentiablyGoodOpenCover).

=--
 
+-- {: .num_defn}
###### Definition

The [[(∞,1)-topos]] of **smooth $\infty$-groupoids** is the [[(∞,1)-category of (∞,1)-sheaves]] on [[CartSp]]${}_{smooth}$:

$$
  Smooth \infty Grpd 
   :=
  Sh_{(\infty,1)}(CartSp_{smooth})
  \,.
$$


=--


## Properties

### Cohesion

+-- {: .num_prop}
###### Proposition

$Smooth \infty Grpd$ is a [[cohesive (∞,1)-topos]].

=--

+-- {: .proof}
###### Proof

The [[site]] [[CartSp]]${}_{smooth}$ is (as discussed there) an [[∞-cohesive site]]. See there for the implication.

=--

+-- {: .num_defn}
###### Definition

Let [[SmoothMfd]] be the [[large site]] of [[paracompact topological space|paracompact]] [[smooth manifold]]s with [[smooth function]]s between them and equipped with the [[coverage]] whose [[covering]] families are _differentiably good open covers_ : [[open cover]]s $\{U_i \to U\}$ where each non-empty open intersection is [[diffeomorphic]] to a [[Cartesian space]].

=--

+-- {: .num_prop}
###### Proposition

This does indeed define a [[coverage]] and the [[Grothendieck topology]] generated by it is the standard [[open cover]] topology.

=--

+-- {: .proof}
###### Proof

This is discussed in detail at [[good open cover]].

=--

+-- {: .num_prop #SmoothManifoldEmbeds}
###### Proposition

The [[(∞,1)-topos]] $Smooth \infty Grpd$ is equivalent to the [[hypercompletion]] $\hat Sh_{(\infty,1)}(SmoothMfd)$ of the [[(∞,1)-category of (∞,1)-sheaves]] on the large site [[SmoothMfd]]

$$
  Smooth \infty Grpd \simeq \hat Sh_{(\infty,1)}(SmoothMfd)
  \,.
$$

=--

+-- {: .proof}
###### Proof

By the above we have that [[CartSp]]${}_{smooth}$ is a [[dense sub-site]] of [[SmoothMfd]]. With this the claim follows as in the analogous discussion at [[ETop∞Grpd]].

=--

+-- {: .num_prop #EmbeddingOfSmoothManifolds}
###### Corollary

The canonical embedding of [[smooth manifold]]s as [[0-truncated]] objects in $Smooth\infty Grpd$ is a [[full and faithful (∞,1)-functor]]

$$
  SmoothMfd \hookrightarrow Smooth \infty Grpd
  ,.
$$

=--


### Relative cohesion
  {#RelativeCohesion}

We discuss the relation of $Smooth\infty Grpd$ to other [[cohesive (∞,1)-topos]]es.

#### Continuous cohesion

The [[cohesive (∞,1)-topos]] [[ETop∞Grpd]] of [[Euclidean-topological ∞-groupoid]]s has as [[site]] of definition [[CartSp]]${}_{top}$. There is a canonical [[forgetful functor]]

$$
  i : CartSp_{smooth} \to CartSp_{top}
$$

+-- {: .num_prop #RelativeTopologicalCohesion}
###### Proposition

The functor $i$ extends to an [[essential (∞,1)-geometric morphism]]

$$
  (i_! \dashv i^* \dashv i_*)
  : 
  Smooth\infty Grpd
   \stackrel{\overset{i_!}{\to}}{\stackrel{\overset{i^*}{\leftarrow}}{\underset{i_*}{\to}}}
  ETop\infty Grpd
$$

such that the [[(∞,1)-Yoneda embedding]] is factored through the induced inclusion [[SmoothMfd]] $\stackrel{i}{\hookrightarrow}$ [[Mfd]] as

$$
  \array{
    SmoothMfd &\hookrightarrow& Smooth\infty Grpd
    \\
    \downarrow^{\mathrlap{i}} && \downarrow^{\mathrlap{i_!}}
    \\
    Mfd &\hookrightarrow& ETop\infty Grpd
  }
  \,
$$

=--

+-- {: .proof}
###### Proof

Using the observation that $i$ preserves [[covering]]s and [[pullback]]s along morphism in covering families, 
the proof follows precisely the steps of the proof of
<a href="http://nlab.mathforge.org/nlab/edit/cohesive%20(infinity,1)-topos#InfinitesimalNeighbourhoodFromInfinitesimalSite">this proposition</a>.

(Both of these are special cases of a general statement about morphisms of [[(∞,1)-site]]s, which should eventually be stated in full generality somewhere).

=--

+-- {: .num_prop #UnderlyingETopologicalInftyGroupoids}
###### Corollary

The [[essential geometric morphism|essential]] [[global section]] [[(∞,1)-geometric morphism]] of $Smooth \infty Grpd$ factors through that of [[ETop∞Grpd]]

$$
  (\Pi_{Smooth} \dashv Disc_{Smooth} \dashv \Gamma_{Smooth})
   : 
  Smooth \infty Grpd
   \stackrel{\overset{i_!}{\to}}{\stackrel{\overset{i^*}{\leftarrow}}{\underset{i_*}{\to}}}
  ETop\infty Grpd
   \stackrel{\overset{\Pi_{ETop}}{\to}}{\stackrel{\overset{Disc_{ETop}}{\leftarrow}}{\underset{\Gamma_{ETop}}{\to}}}
  \infty Grpd 
$$

=--

+-- {: .proof}
###### Proof

This follows from the essential uniqueness of the [[global section]] [[(∞,1)-geometric morphism]] and of [[adjoint (∞,1)-functor]]s. 

=--

+-- {: .num_prop }
###### Observation

The functor $i_!$ here is the [[forgetful functor]] that forgets [[smooth structure]] and only remembers [[Euclidean topology]]-structure.

=--


#### Infinitesimal cohesion

Observe that [[CartSp]]${}_{smooth}$ is (the [[syntactic category]] of) a [[Lawvere theory]]: the [[algebraic theory]] of [[smooth algebra]]s ($C^\infty$-rings). Write $SmoothAlg := Alg(C)$ for the category of its [[algebras over a Lawvere theory|algebras]]. Let $InfPoint \hookrightarrow SmoothAlg^{op}$ be the [[full subcategory]] on the [[infinitesimally thickened point]]s. 

+-- {: .num_defn}
###### Definition

Let [[CartSp]]${}_{synthdiff} \hookrightarrow SmoothAlg^{op}$ be the [[full subcategory]] on the objects of the form $U \times D$ with $D \in CartSp_{smooth} \hookrightarrow SmoothAlg^{op}$ and $D \in InfPoint \hookrightarrow SmoothAlg^{op}$. Write

$$
  i : CartSp_{smooth} \hookrightarrow CartSp_{synthdiff}
$$

for the canonical inclusion.

=--


+-- {: .num_prop}
###### Proposition

The inclusion exhibits an 
<a href="http://nlab.mathforge.org/nlab/edit/cohesive+(infinity%2C1)-topos#InfinitesimalCohesion">infinitesimal cohesive neighbourhood</a> of $Smooth \infty Grpd$

$$
  (i_! \dashv i^* \dashv i_* \dashv i^!)
  :
  Smooth \infty Grpd
   \hookrightarrow
  SynthDiff\infty Grpd
  \,,
$$

where [[SynthDiff∞Grpd]] is the [[cohesive (∞,1)-topos]]  of 
[[synthetic differential ∞-groupoid]]s: the [[(∞,1)-category of (∞,1)-sheaves]] over $CartSp_{synthdiff}$.


=--

+-- {: .proof}
###### Proof

This follows as a special case of <a href="http://nlab.mathforge.org/nlab/edit/cohesive%20(infinity,1)-topos#InfinitesimalNeighbourhoodFromInfinitesimalSite">this proposition</a> after observing that $CartSp_{synthdiff}$ is an infinitesimal neighbourhood site of $CartSp_{smooth}$ in the sense defined there.

=--

In [[SynthDiff∞Grpd]] we have [[∞-Lie algebra]]s and [[∞-Lie algebroid]]s as actual [[infinitesimal object]]s. See there for more details.


### Truncations

The [[(n,1)-topos|(1,1)-topos]] on the [[0-truncated]] smooth $\infty$-groupoids is

$$
  Sh(CartSp) 
  \simeq 
  Smooth \infty Grpd_{\leq 0} \hookrightarrow Smooth\infty Grpd
  \,,
$$

the [[sheaf topos]] on [[SmthMfd]]/[[CartSp]] discussed at _[[smooth space]]_. 

The [[concrete objects]] in there

$$
  Smooth\infty Grpd_{\leq 0}^{conc}
  \hookrightarrow
  Smooth \infty Grpd
$$

are precisely the [[diffeological spaces]].

## Structures in the cohesive $(\infty,1)$-topos $Smooth \infty Grpd$ {#InfSheavesOnCartSp}

We discuss the general abstract 
<a href="http://nlab.mathforge.org/nlab/show/cohesive+(infinity%2C1)-topos#Structures">structures in a cohesive (∞,1)-topos</a> realized in $Smooth \infty Grpd$.


This section is at

* [[smooth infinity-groupoid -- structures]]


## Related concepts

* [[cohesive (∞,1)-topos]]

  * [[discrete ∞-groupoid]]

  * [[Euclidean topological ∞-groupoid]]

  * **smooth $\infty$-groupoid**

    * [[smooth 2-group]]

    * [[Kan-fibrant simplicial manifold]]

    * [[smooth spectrum]]

  * [[synthetic differential ∞-groupoid]]

  * [[super ∞-groupoid]]

  * [[smooth super ∞-groupoid]]

  * [[synthetic differential super ∞-groupoid]]

  * [[complex analytic ∞-groupoid]]


Smooth $\infty$-groupoids and related cohesive structures play a central role in the discussion at 

* [[geometry of physics]].

## References

For standard references on [[differential geometry]] and [[Lie groupoid]]s see there. 

The $(\infty,1)$-topos $Smooth \infty Grpd$ is discussed in section 3.3 of

* [[Urs Schreiber]], _[[schreiber:differential cohomology in a cohesive topos]]_

A discussion of smooth $\infty$-groupoids as $(\infty,1)$-sheaves on $CartSp$ and the presentaton of the $\infty$-Chern-Weil homomorphism on these is in

* [[Domenico Fiorenza]], [[Urs Schreiber]], [[Jim Stasheff]], _Cech cocycles for differential characteristic classes -- An $\infty$-Lie theoretic construction_ (<a href="http://ncatlab.org/schreiber/show/differential+cohomology+in+an+(%E2%88%9E%2C1)-topos+--+references#FSS">web</a>).

For references on  [[Chern-Weil theory in Smooth∞Grpd]] and [[connection on a smooth principal ∞-bundle]], see there.

The results on differentiable [[Lie group cohomology]] used above are in 

* {#Blanc} P. Blanc, _Cohomologie diff&eacute;rentiable et changement de groupes_ Ast&eacute;risque, vol. 124-125 (1985), pp. 113-130.


and

* [[Jean-Luc Brylinski]], _Differentiable Cohomology of Gauge Groups_ ([arXiv](http://arxiv.org/abs/math/0011069))
{#Brylinski}

which parallels 

* {#Segal} [[Graeme Segal]], _Cohomology of topological groups_ , Symposia Mathematica, Vol IV (1970) (1986?) p. 377


A review is in section 4 of 

* {#SchommerPries} [[Chris Schommer-Pries]], _A finite-dimensional String 2-group_ ([arXiv:0911.2483](http://arxiv.org/abs/0911.2483))



Classification of topological [[principal 2-bundle]]s is discussed in 

* {#BaezStevenson} [[John Baez]], [[Danny Stevenson]], _The classifying space of a topological 2-group_ Algebraic Topology
Abel Symposia, 2009, Volume 4, 1-31 ([arXiv:0801.3843](http://arxiv.org/abs/0801.3843))
 

and the generalization to classification of smooth [[principal 2-bundle]]s is in 

* {#NikolausWaldorf} [[Thomas Nikolaus]], [[Konrad Waldorf]], _Four Equivalent Versions of Non-Abelian Gerbes_ ([arXiv:1103.4815](http://arxiv.org/abs/1103.4815))
 

Further discussion of the [[shape modality]] on smooth $\infty$-groupoids is in 

* {#Carchedi15} [[David Carchedi]], _On The Homotopy Type of Higher Orbifolds and Haefliger Classifying Spaces_ ([arXiv:1504.02394](http://arxiv.org/abs/1504.02394))


[[!redirects Smooth∞Grpd]]


[[!redirects ∞-Lie groupoid cohomology]]
[[!redirects infinity-Lie groupoid cohomology]]

[[!redirects smooth ∞-groupoid]]
[[!redirects smooth ∞-groupoids]]

[[!redirects smooth infinity-groupoid]]
[[!redirects smooth infinity-groupoids]]

[[!redirects Lie infinity-groupoid]]
[[!redirects Lie infinity-groupoid]]

[[!redirects smooth ∞-group]]
[[!redirects smooth ∞-groups]]
[[!redirects smooth infinity-group]]
[[!redirects smooth infinity-groups]]

[[!redirects smooth 2-groupoid]]
[[!redirects smooth 2-groupoids]]

[[!redirects higher differentiable stack]]
[[!redirects higher differentiable stacks]]

[[!redirects smooth homotopy type]]
[[!redirects smooth homotopy types]]
