# Clones

* table of contents
{: toc}

## Idea

A clone is a [[cartesian multicategory]] with one object, in the same way that an [[operad]] is a [[symmetric multicategory]] with one object.  Thus, a clone could equivalently be called a *cartesian operad*.  Equivalently, a clone is a presentation of a single-sorted [[algebraic theory]] in terms of algebraic operations, equivalent to a [[Lawvere theory]] but organized slightly differently.

## Definition

A set of algebraic operations on a fixed set $S$ is a __clone__
on $S$ if it contains all (component) projections $S^{n}\to S$ and is closed under composition ("superposition").

## References 

* Ágnes Szendrei, _Clones in universal algebra_, Séminaire de mathématiques supérieures 99, Les presses de l’université de Montreal, 1986. — 166 p.

A rather general framework is discussed in 

* Zhaohua Luo, _Clone theory, its syntax and semantics, applications to universal algebra, lambda calculus and algebraic logic_, [arxiv/0810.3162](https://arxiv.org/abs/0810.3162)
* Dietlinde Lau, _Function algebras on finite sets: Basic course on many-valued logic and clone theory_, Springer Monographs in Mathematics

A common generalization of a clone and of an operad is proposed, using a new notion of a verbal category, in

* S. Tronin, _Abstract clones and operads_, Siberian Mathematical Journal 43, No.4, 746–755, 2002 [link](http://rd.springer.com/content/pdf/10.1023%2FA%3A1016340806503.pdf)

Another unification of clones and operads is via the formalism in

* Pierre-Louis Curien, _Operads, clones, and distributive laws_, [arxiv/1205.3050](https://arxiv.org/abs/1205.3050)

See also the thesis 

* Miles Gould, _Coherence for operadic theories_, Glasgow 2009 [pdf](http://theses.gla.ac.uk/689/1/2009gouldphd.pdf)

[[!redirects clones]]
[[!redirects cartesian operad]]
[[!redirects cartesian operads]]
