
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

An _anti-D-brane_ is the higher dimensional analog for [[D-branes]] of what [[antiparticles]] are for [[fundamental particles]].

In [[perturbative string theory]] the strings stretching between a D-brane and an anti-D-brane have a [[tachyon]] mode. The analog of [[Sen's conjecture]] for this case is the statement that the tachyon potential energy is precisely the energy density of the brane and that the [[condensation]] of the tachyon mode witnesses the annihiliation of the brane/anti-brane pair. ([Sen 98](#Sen98))

## Relation to K-theory

In general there are $n$ D-branes and $n'$ anti D-branes coinciding, carrying
[[nLab:Chan-Paton gauge fields]] $V_{brane}$ (of [[rank]] $n$) and $V_{\text{anti-brane}}$, respectively, 
yielding a pair of [[vector bundles]]

$$
  (V_{\text{brane}}, V_{\text{anti-brane}})
  \,.
$$

Such pairs are also called [[nLab:virtual vector bundles]].

Now branes annihilate with anti-branes if they have exact opposite [[nLab:D-brane charge]], which here 
means that they carry the same [[nLab:Chan-Paton gauge field|Chan-Paton]] vector bundle. In other words, pairs as above of the special form
$(W,W)$ are equivalent to pairs of the form $(0,0)$.

$$
  (W,W) \sim 0
  \,.
$$

More generally, since there is arbitrary brane/anti-brane pair creation/annihilation, the actual net Chan-Paton charge
of coincident branes and anti-branes is the [[nLab:equivalence class]] of $(V_{\text{brane}}, V_{\text{anti-brane}})$
under the [[nLab:equivalence relation]] which is generated by the relation

$$
  (V_{\text{brane}} \oplus W, V_{\text{anti-brane}} \oplus W) 
    \;\sim\; 
  (V_{brane}, V_{anti-brane})
$$

for all [[nLab:complex vector bundles]] $W$ ([Witten 98](#Witten98)).

For a fixed brane [[nLab:worldvolume]] $X$, the additive [[abelian group]] of such equivalence classes of [[nLab:virtual vector bundles]] is called the [[nLab:topological K-theory]] of $X$, denoted $K(X)$.

This is one of the arguments which suggest that the true home of the gauge field on multiple D-branes is in [[nLab:generalized cohomology theory]] called [[nLab:topological K-theory]].  It follows that also the [[RR-fields]] are in K-theory ([Moore-Witten 00](#MooreWitten99)). 


## References

The version of [[Sen's conjecture]] for brane/anti-brane annihilation is due to

* {#Sen98} [[Ashoke Sen]], _Tachyon Condensation on the Brane Antibrane System_, JHEP 9808:012,1998 ([arXiv:hep-th/9805170](https://arxiv.org/abs/hep-th/9805170))

Textbook accounts on anti-D-branes include

* [[Koji Hashimoto]], section 5.3.1 of _D-brane_, Springer 2012

The relation between brane/anti-brane annihilation and the [[topological K-theory]] nature of [[D-brane charge]] is due to

* {#Witten98} [[Edward Witten]], section 3 of _D-Branes And K-Theory_, JHEP 9812:019,1998 ([arXiv:hep-th/9810188](http://arxiv.org/abs/hep-th/9810188))

and the argument that this implies that also the [[RR-fields]] are in K-theory is due to

* {#MooreWitten99} [[Gregory Moore]], [[Edward Witten]], p. 6 of _Self-Duality, Ramond-Ramond Fields, and K-Theory_, JHEP 0005:032 (2000) ([arXiv:hep-th/9912279](https://arxiv.org/abs/hep-th/9912279))

Review of this is in 

* [[Edward Witten]], _Overview Of K-Theory Applied To Strings_,  	Int.J.Mod.Phys.A16:693-706,2001 ([arXiv:hep-th/0007175](https://arxiv.org/abs/hep-th/0007175))


[[!redirects anti D-branes]]

[[!redirects anti-D-brane]]
[[!redirects anti-D-branes]]