
> This page is about [[Clifford algebra]] and [[physics]]. For the book by [[Emil Artin]] see instead at _[[Geometric Algebra]]_.


+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Super-Algebra and Super-Geometry
+-- {: .hide}
[[!include supergeometry - contents]]
=--
#### Spin geometry
+-- {: .hide}
[[!include higher spin geometry -# P contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

"Geometric algebra" is essentially a synonym for _[[Clifford algebra]]_, or, to some extent, for the [[spin geometry]] formulated in terms of Clifford algebra. The term "geometric algebra" is used and preferred in a school of thought following [Hestenes 66](#Hestenes66) that emphasizes the usefulness of making abstract Clifford algebra explicit in the exposition of geometry and physics, mostly on [[Minkowski spacetime]]. 

The perspective of "geometric algebra" may be seen as a third style of exposition and notation, in between 1) the traditional physics style of regarding Clifford algebra in terms of [[matrix]] [[representations]], and 2) the traditional mathematics style of defining them as [[quotients]] of [[tensor algebras]] by ideals defined by [[quadratic forms]]. The idea is that while the former approach (1) suffers from its basis-dependecy, the latter approach (2) tends to make the subject look more complicated to the novice and working physicist than it really is. 

In textbooks on "geometric algebra", Clifford algebra is instead introduced without choosing matrix representations, but highlighting the obvious [[generators and relations]]-presentation over the definition via [[quotients]] of [[tensor algebras]]. (The general theory of Clifford algebras, including core results such as [[Bott periodicity]], is typically not mentioned in textbooks on "geometric algebra"). While the difference may seem inessential to the trained mathematician, it turns out that this perspectives helps open the subject to many working physicists. The enthusiasm about this perspective that [[David Hestenes]] reports to have experienced when he understood Clifford algebra in physics this way, back as a student, is what made "geometric algebra" become the school of thought that is today.

One point being made here is that the traditional physics textbook emphasis on the special geometry of the [[Cartesian space]] $\mathbb{R}^3$ with its exceptional [[vector product]] structure is outdated and contra-productive and can be replaced by a more elegant and more universal description in terms of [[bivector]] calculus (which canonically embeds into the [[Clifford algebra]]). In this respect geometric algebra may be thought of as a streamlined exposition of the geometry of [[rotation]] and [[spin]]. 


## References

The original textbook is

* {#Hestenes66}[[David Hestenes]],  _Space-time Algebra_. New York (1966)

A textbook on [[mechanics]] written in this style is for instance

* Chris Doran, Anthony Lasenby, _Geometric algebra for physicists_ Cambridge University Press (2003) ([pdf](http://catdir.loc.gov/catdir/samples/cam033/2002035182.pdf))


* Wikipedia, _[Geometric algebra](https://en.wikipedia.org/wiki/Geometric_algebra)_ 



