
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Differential geometry
+--{: .hide}
[[!include synthetic differential geometry - contents]]
=--
#### Riemannian geometry
+--{: .hide}
[[!include Riemannian geometry - contents]]
=--
=--
=--


#Contents#
* table of content
{:toc}

## Idea

Given a [[Lorentzian manifold]], then its _causal structure_ is the information at each [[tangent space]] of the subspace of [[lightlike]] tangent vectors -- the "light cones". This information distinguishes [[timelike]] from the [[spacelike]] vectors. Hence if one thinks of the [[Lorentzian manifold]] as modelling a [[spacetime]] in [[physics]], then this information encodes,  at each point, the directions along which causal influences may propagate in this spacetime.

This causal stucture is closely related to the underlying [[conformal structure]]. One may also define a concept of a _[[manifold]] with causal structure_ or _causal manifold_ without reference to a concept of Lorentian pseudo-Riemannian structure ([Bannier 88](#Bannier88), [Rainer 99](#Rainer99), [Khavkine 12](#Khavkine12)).

## In algebraic quantum field theory

In the formalization of [[quantum field theory]] in terms of [[locally covariant AQFT]] a QFT over a [[background field]] of classical [[gravity]] is axiomatized as a [[causally local net of observables]] on a category of [[Lorentzian manifolds]]. Making more of the degrees of freedom of [[gravity]] become quantized themselves would mean to replace the latter with a category of manifolds with less structure than [[Lorentzian manifold]] structure. Since the causal structure is necessary to express "[[local net]]" at all, one idea is to consider local nets on a category of causal manifolds. 

This idea is mentioned as motivation for developing concepts of causal manifolds for instance in [Rainer 99](#Rainer99), and in a more sophisticated version in [Khavkine 12](#Khavkine12).

## Related concepts

* [[causal set]]

* [[causal order]]

* [[causal complement]], [[causal closure]]

* [[causal locality]], [[causal additivity]]

* [[causal perturbation theory]]

* [[conal causal structure]]

## References

* {#Bannier88} Ulrich Bannier, _On generally covariant quantum field theory and generalized causal and dynamical structures, Communications in Mathematical Physics, 118(1):163&#8211;170, March 1988

* {#Rainer99} Martin Rainer, _Cones and causal structures on topological and differentiable manifolds_ ([arXiv:gr-qc/9905106](https://arxiv.org/abs/gr-qc/9905106))

* Renee Hoekzema, _On the Topology of Lorentzian manifolds_, Essay as a part of the 2010-2011 lecture on "Quantum Fields in curved spacetimes" by W.G. Unruh 2011 ([pdf](https://www.earth.ox.ac.uk/~reneeh/ByRH/2011-Causal%20topology%20essay.pdf))

* {#Khavkine12} [[Igor Khavkine]], _Characteristics, Conal Geometry and Causality in Locally Covariant Field Theory_ ([arXiv:1211.1914](https://arxiv.org/abs/1211.1914))

[[!redirects causal structures]]

[[!redirects causal manifold]]
[[!redirects causal manifolds]]


