A **braided object** in a [[monoidal category]] $(C,\otimes,I)$ is an object $V$ equipped with an invertible morphism $\sigma : V\otimes V \to V\otimes V$ satisfying the [[Yang-Baxter equation]]
$$(\sigma \otimes V) \circ (V \otimes \sigma) \circ (\sigma \otimes V) = (V \otimes \sigma) \circ (\sigma \otimes V) \circ (V \otimes \sigma)$$
More generally, if $\sigma$ is not necessarily invertible but still satisfies the Yang-Baxter equation, then $(V,\sigma)$ is called a **pre-braided object**.

## Related concepts

* [[group object]]
* [[monoid object]]
* [[virtual knot theory]]

## References

* {#LebedThesis} [[Victoria Lebed]], _Objets tressés: une étude unificatrice de structures algébriques et une catégorification des tresses virtuelles_, Thèse, Université Paris Diderot, 2012. ([pdf](http://www.maths.tcd.ie/~lebed/thesis_LEBED.pdf)) Note that the title is in French ("Braided objects: a unifying study of algebraic structures and a categorification of virtual braids") but the main text of the thesis is in English.

* {#Lebed13} [[Victoria Lebed]], Categorical Aspects of Virtuality and Self-Distributivity, _Journal of Knot Theory and its Ramifications_, 22 (2013), no. 9, 1350045, 32 pp. ([doi](http://dx.doi.org/10.1142/S0218216513500454))  According to the author, [arXiv:1206.3916](http://arxiv.org/abs/1206.3916) is "an extended version of the above JKTR publication, containing in particular a chapter on free virtual shelves and quandles".