
#Contents#
* table of contents
{:toc}

## Idea

<div style="float:right;margin:0 10px 10px 0;">
<img src="https://ncatlab.org/nlab/files/MoebiusStripAsQuotientOfSquare.png" width="400">
<blockquote>
  graphics grabbed from
  <a href="#Lawson03">Lawson 03</a>
</blockquote>
</div>


The _Möbius strip_ is the [[topological space]] obtained from the "open strip", hence the [[square]], by gluing two of its opposite sites but after applying half of a full rotation to one of them



Regarded as a [[manifold]], then the Möbius strip is among the simplest examples of [[manifolds]] which is not [[orientable]]. Regarding as a [[real vector bundle]] over the [[circle]], then the Möbius strip is among the simplest examples of a non-trivial [[vector bundle]].

## Realizations

As a [[topological space]], the _Möbius strip_ is 

* the [[quotient topological space]] obtained from the [[square]] $[0,1]^2$ by the [[equivalence relation]] which identifies two of the opposite sides, but  with opposite [[orientation]]

  $$
    ((x_1,y_1) \sim (x_2,y_2))
     \;\;\Leftrightarrow \;\;
     \left(
       (x_1,y_1) = (x_2, y_2) 
        \;\text{or}\;
       \left(
         x_1 = (1-x_2) \in \{0,1\}
         \;\text{and}\;
         y_1 = (1-y_2)
       \right)
    \right)
  $$

For the realization of the Möbius strip as a [[topological vector bundle]] (a [[real line bundle]]) see there, [this example](topological+vector+bundle#MoebiusStrip).

## Related concepts

* [[cylinder]]

* [[Klein bottle]]

## References

Named after _[[August Möbius]]_.

* {#Lawson03} Terry Lawson, _Topology: A Geometric Approach_, Oxford University Press (2003) ([pdf](http://users.metu.edu.tr/serge/courses/422-2014/supplementary/TGeometric.pdf))

[[!redirects Möbius strips]]

[[!redirects Moebius strip]]
[[!redirects Moebius strips]]

[[!redirects Möbius band]]
[[!redirects Möbius bands]]
