
#Contents#
* table of contents
{:toc}

## Idea

Due to [[Paul Taylor]], Abstract Stone Duality (ASD) is a reaxiomatisation of the notions of space and map in general topology in terms of a [[lambda calculus|λ-calculus]] of computable continuous functions and predicates that is both [[constructive mathematics|constructive]] and [[computable mathematics|computable]]. It thus forms one approach to [[synthetic topology]].

The topology on a space is treated not as a discrete [[lattice]], but as an [[exponential object]] of the same category as the original space, with an associated λ-calculus (which includes an [[internalization|internal]] lattice structure). Every expression in the λ-calculus denotes both a continuous function and a program. ASD does not use the [[Set|category of sets]] (or any [[topos]]), but the [[full subcategory]] of [[overt space|overt]] [[discrete space|discrete]] objects plays this role (an overt object is the dual to a [[compact space|compact]] object), forming an [[arithmetic universe]] (a [[pretopos]] with [[lists]]) with general [[recursion]]; an optional 'underlying set' axiom (which is not [[predicative mathematics|predicative]]) will make this a topos.

The classical (but not constructive) theory of [[locally compact space|locally compact]] [[sober space|sober]] [[topological space]]s is a model of ASD, as is the theory of locally compact [[locale]]s over any topos (even constructively).  Taylor has recently removed the restriction of local compactness.

##Related concepts

* [[Stone duality]]


##Resources##

*  [Café discussion](http://golem.ph.utexas.edu/category/2009/01/abstract_stone_duality.html)
*  [Website](http://www.paultaylor.eu/ASD/)


[[!redirects Abstract Stone Duality]]
[[!redirects abstract stone duality]]
[[!redirects ASD]]