
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
#### Fields and quanta
+--{: .hide}
[[!include fields and quanta - table]]
=--
#### Quantum field theory
+--{: .hide}
[[!include functorial quantum field theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

In [[string phenomenology]] for [[type IIA string theory]], quasi-realistic [[model (physics)|models]] (i.e. close to the [[standard model of particle physics]], or an [[MSSM]]) may be obtained by [[KK-compactifications]] from the 10-[[dimension|dimensios]]  down to 4d with configurations of [[D6-branes]] which fill all of 4d spacetime and [[brane intersection|intersect]] in a certain way in the 6-dimensional [[fiber]] space. 

<img src="https://ncatlab.org/nlab/files/Intersecting6branes.png" width="650"/>

> graphics grabbed from [Uranga 12a, p. 12](#Uranga12a)

The [[Chan-Paton gauge field]] on the [[D6-branes]] yields the [[gauge fields]] in 4d, and the precise intersection pattern determines the effective [[fundamental particle]] content in 4d. 

See also at [[string phenomenology]] the section _[Models in type II with intersecting branes](string+phenomenology#ModelsInTypeIIWithIntersectingBranes)_.


## Bottom-up and Top-down approaches


One distinguishes [[bottom-up and top-down model building]]] strategies:

<img src="https://ncatlab.org/nlab/files/BottomUpAndTopDownIntersDBraneModelBuilding.png" width="700"/>

>  snippet grabbed from [Aldazabal-Ibáñez-Quevedo-Uranga 00](#AldazabalIbanezQuevedoUranga00)

## Properties

### Chiral fermions
  {#ChiralFermions}

One of the most striking special properties of the [[standard model of particle physics]] is that its content of [[fermionic]] [[fundamental particles]] is "chiral", in that the the left and right [[Weyl spinor]]-somponents of the would-be [[Dirac spinor]]-representation of the [[quarks]], [[electrons]] and [[neutrinos]] couple _differently_ to the [[gauge fields]] (for review see e.g. [Ibanez-Uranga 12, section 1.1](#IbanezUranga12)).

The observation that such [[Weyl spinor|chiral fermions]] do indeed appear when [[D6-branes]]  [[brane intersection|intersect]] at an angle on an $\mathbb{R}^{3,1}$ is due to ([Berkooz-Douglas-Leigh 96](#BerkoozDouglasLeigh96)), see also ([AFIRU 00, section 4](#AFIRU00), [BCLS 05, section 2.3](#BCLS05)).

<img src="https://ncatlab.org/nlab/files/D6BranesIntersectingAtAnAngle.png" width="650"/>

> graphics grabbed from [Ibáñez-Uranga 12](#IbanezUranga12)

Vague review is in ([Ibáñez-Uranga 12, section 10.2.1](#IbanezUranga12), [Uranga 12a, section 2.3](#Uranga12a)).

### Generations of fermions
 {#GenerationsOfFermions}

While (presently) intersecting D-brane models don't explain why there are _precisely_ 3 [[generations of fundamental particles]] in the [[standard model of particle physics]], they do have the property that generically any such model does feature several [[generations of fundamental particles]].

The reason is that in these models there is one copy of a set of fundamental particles at each intersection point of two 3-manifolds (the internal part of the D6-branes) in a compact 6-dimensional space, and generically these intersection numbers are greated than one and hence induce a finite number of [[generations of fundamental particles]] ([BCLS 05, section 2.3](#BCLS05), [Ibanez-Uranga 12, p. 307](#IbanezUranga12), [Uranga 12a, p. 12](#Uranga12a)):

<img src="https://ncatlab.org/nlab/files/Intersecting3CyclesInT6.png" width="500">

> graphics grabbed from [Uranga 12a, p. 13](#Uranga12a)

### Higgs mechanism

The [[Higgs mechanism]] naturally arises in intersecting D-brane models: The [[Higgs field]] appears as the scalar field that witnesses in [[perturbative quantum field theory|perturbation theory]] the process of _brane recombination_ at the intersecting points of the D-branes ([Cremades-Ibanez-Marchesano 02, section 7](#CremadesIbanezMarchesano02)):

<img src="https://ncatlab.org/nlab/files/BraneRecombination.png" width="600"/>


See also [Ibanez-Uranga 12, fig 10.2](#IbanezUranga12):

<img src="https://ncatlab.org/nlab/files/BraneRecombinationII.jpg" width="600"/>

### RR-Tadpole cancellation and Orientifolding
 {#Orientifolding}

Consistent intersecting D-brane models have to be in [[type I string theory]], or generaly in [[type II string theory]] with [[orientifold]] backgrounds, to achieve [[RR-field tadpole cancellation]].

This is a key consistency condition in intersecting D-brane model building (e.g. [BCLS 05, section 2.4](#BCLS05), [Ibanez-Uranga 12, section 4.4](#IbanezUranga12))


### Intersections of D6s with D8/O8s
 {#IntersectionOfD6WithO8}


A [[black brane|black]] [[D6-brane]] may end on a [[black brane|black]] [[NS5-brane]], and in fact each [[black brane|brane]] [[NS5-brane]] at a non-trivial [[ADE singularity]] has to be the junction of two [[black brane|black]] [[D6-branes]]. For details see at _[D6-branes ending on NS5-branes](NS5-brane#D6BranesEndingOnNS5Branes)_.

<img src="https://ncatlab.org/nlab/files/HalfNS5.jpg" width="650"/>

> from [GKSTY 02](#GKSTY02)

If in addition the [[black brane|black]] [[NS5-brane]] sits at an [[O8-plane]], hence at the [[orientifold]] [[fixed point]]-locus (see [above](#Orientifolding)), then in the ordinary $\mathbb{Z}/2$-[[quotient]] it appears as a "[[half-brane]]" with only one copy of [[D6-branes]] ending on it:


<img src="https://ncatlab.org/nlab/files/HalfNS5II.jpg" width="400"/>

> from [GKSTY 02](#GKSTY02)

(In [Hanany-Zaffaroni 99](#HananyZaffaroni99) this is interpreted in terms of the [['t Hooft-Polyakov monopole]].)

The lift to [[M-theory]] of this situation is an [[M5-brane]] intersecting an [[M9-brane]]:

<img src="https://ncatlab.org/nlab/files/M9KK6Intersection.jpg" width="650"/>

> from [GKSTY 02](#GKSTY02)

Alternatively, the [[O8-plane]] may intersect the [[black brane|black]] [[D6-branes]] away from the [[black brane|black]] [[NS5-brane]]:

<img src="https://ncatlab.org/nlab/files/D6D8Intersection.jpg" width="650"/>

> from [HKLY 15](#HKLY15)

In general, some of the NS5 sit away from the [[O8-plane]], while some sit on top of it:


<img src="https://ncatlab.org/nlab/files/NS5D6O8.jpg" width="500"/>

> from [Hanany-Zaffaroni 98](#HananyZaffaroni98)

### Relation to M-theory on $G_2$-manifolds

For lift to [[M-theory on G2-manifolds]] (e.g. [[G2-MSSM]]): e.g. [BCLS 05, section 2.9](#BCLS05)


## References


The [[bottom-up model building|bottom-up approach]] to intersecting D-brane model building was initiated in

* {#AldazabalIbanezQuevedoUranga00} G. Aldazabal, [[Luis Ibáñez]], F. Quevedo, [[Angel Uranga]], _D-Branes at Singularities : A Bottom-Up Approach to the String Embedding of the Standard Model_, JHEP 0008:002 2000 ([arXiv:hep-th/0005067](http://xxx.lanl.gov/abs/hep-th/0005067))

The observation that [[Weyl spinor|chiral fermions]] appear when [[D6-branes]]  intersect at an angle is due to 

* {#BerkoozDouglasLeigh96} [[Micha Berkooz]], [[Michael Douglas]], [[Robert Leigh]], _Branes Intersecting at Angles_, Nucl.Phys.B480:265-278, 1996 ([arXiv:hep-th/9606139](https://arxiv.org/abs/hep-th/9606139))


Review includes

* G. Aldazabal, [[Luis Ibáñez]], F. Quevedo, _On Realistic Brane Worlds from Type I Strings_ ([arXiv:hep-ph/0005033](https://arxiv.org/abs/hep-ph/0005033))

* {#BCLS05} [[Ralph Blumenhagen]], [[Mirjam Cvetic]], Paul Langacker, Gary Shiu, _Towards Realistic Intersecting D-Brane Models_, Ann. Rev. Nucl. Part. Sci. 55:71-139, 2005 ([arXiv:hep-th/0502005](http://arxiv.org/abs/hep-th/0502005))

A textbook account is

* {#IbanezUranga12} [[Luis Ibáñez]], [[Angel Uranga]], _[[String Theory and Particle Physics -- An Introduction to String Phenomenology]]_, Cambridge 2012

Some chapters of which appear separately:

for [[D6-branes]]:

* [Aldazabal-Ibanez-Quevedo-Uranga 00, section 10.2](#AldazabalIbanezQuevedoUranga00)

* {#Uranga12a} [[Angel Uranga]], _Model building in IIA: Intersecting
brane worlds_, 2012 ([pdf](http://scgp.stonybrook.edu/wp-content/uploads/2012/05/Uranga-Lecture-Notes-1.pdf), [[Uranga12.pdf:file]])


for [[D7-branes]]:

* {#Uranga12b} [[Angel Uranga]], _Model building in type IIB string theory_, 2012 ([pdf](http://scgp.stonybrook.edu/wp-content/uploads/2012/05/Uranga-Lecture-Notes-2.pdf))

* Anshuman Maharana, [[Eran Palti]], _Models of Particle Physics from Type IIB String Theory and F-theory: A Review_ ([arXiv:1212.0555](http://arxiv.org/abs/1212.0555))

Discussion of the [[Higgs mechanism]]:

* {#CremadesIbanezMarchesano02} D. Cremades, [[Luis Ibáñez]], F. Marchesano, _Intersecting brane models of particle physics and the Higgs mechanism_, JHEP, 0207, 022 2002 ([arXiv:hep-th/0203160](https://arxiv.org/abs/hep-th/0203160))


See also

* {#AFIRU00} G. Aldazabal, S. Franco, L. E. Ibanez, R. Rabadan, A. M. Uranga, _$D=4$ Chiral String Compactifications from Intersecting Branes_, J.Math.Phys.42:3103-3126, 2001 ([arXiv:hep-th/0011073](https://arxiv.org/abs/hep-th/0011073))

* [[Ralph Blumenhagen]], [[Volker Braun]], Boris Kors, [[Dieter Lüst]], _The Standard Model on the Quintic_, Summary of Talks at SUSY02, 1st Intl. Conference on String Phenomenology in Oxford, Strings 2002 and 35th Ahrenshoop Symposium. ([arXiv:hep-th/0210083](http://arxiv.org/abs/hep-th/0210083))

* {#Lust04} [[Dieter Lüst]], _Intersecting Brane Worlds -- A Path to the Standard Model?_, Class. Quant. Grav.21 : S1399-1424, 2004 ([arXiv:hep-th/0401156](http://arxiv.org/abs/hep-th/0401156))

* Ching-Ming Chen, Tianjun Li, Dimitri V. Nanopoulos, _Standard-Like Model Building on Type II Orientifolds_, Nucl.Phys.B732:224-242,2006 ([arXiv:hep-th/0509059](http://arxiv.org/abs/hep-th/0509059))

* Ching-Ming Chen, Tianjun Li, V. E. Mayes, Dimitri V. Nanopoulos, _A Realistic World from Intersecting D6-Branes_, Phys.Lett.B665:267-270, 2008 ([arXiv:hep-th/0703280](https://arxiv.org/abs/hep-th/0703280))

* [[Angel Uranga]], _The standard model from D-branes in string theory_, talk at Padova, January 2008 ([pdf](http://active.pd.infn.it/g4/seminars/2008/files/uranga.pdf))

* {#DolanKrippendorfQuevedo11} Matthew J. Dolan, Sven Krippendorf, Fernando Quevedo, _Towards a Systematic Construction of Realistic D-brane Models on a del Pezzo Singularity_, JHEP 1110 (2011) 024 ([arXiv:1106.6039](http://arxiv.org/abs/1106.6039))

* Yuta Hamada, Tatsuo Kobayashi, Shohei Uemura, _Standard Model-like D-brane models and gauge couplings_, Nuclear Physics B
Volume 897, August 2015, Pages 563-582 ([arXiv:1409.2740](https://arxiv.org/abs/1409.2740))

* Jill Ecker, [[Gabriele Honecker]], Wieland Staessens, _D6-Brane Model Building on $\mathbb{Z}_2 \times \mathbb{Z}_6$: MSSM-like and Left-Right Symmetric Models_, Nuclear Physics B Volume 901, December 2015, Pages 139-215,  ([arXiv:1509.00048](https://arxiv.org/abs/1509.00048))

Intersection with [[O8-planes]]/[[D8-branes]] is discussed in

* {#HananyZaffaroni98} [[Amihay Hanany]], Alberto Zaffaroni, _Branes and Six Dimensional Supersymmetric Theories_, Nucl.Phys. B529 (1998) 180-206 ([arXiv:hep-th/9712145](https://arxiv.org/abs/hep-th/9712145))

* {#HananyZaffaroni99} [[Amihay Hanany]], Alberto Zaffaroni, _Monopoles in String Theory_, JHEP 9912 (1999) 014 ([arXiv:hep-th/9911113](https://arxiv.org/abs/hep-th/9911113))

* {#GKSTY02} E. Gorbatov, V.S. Kaplunovsky, J. Sonnenschein, [[Stefan Theisen]], S. Yankielowicz, _On Heterotic Orbifolds, M Theory and Type I' Brane Engineering_, JHEP 0205:015, 2002 ([arXiv:hep-th/0108135](https://arxiv.org/abs/hep-th/0108135))

* {#HKLY15} Hirotaka Hayashi, Sung-Soo Kim, Kimyeong Lee, Futoshi Yagi, _6d SCFTs, 5d Dualities and Tao Web Diagrams_ ([arXiv:1509.03300](https://arxiv.org/abs/1509.03300))



[[!redirects intersecting D-brane models]]

[[!redirects intersecting D-brane model building]]


