
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
#### Fields and quanta
+-- {: .hide}
[[!include fields and quanta - table]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A model for [[dark matter]] made up of massive but extremely light [[particles]], whose [[de Broglie wavelength]] is at the scale of galaxies. 

The idea is that on scales above that of galaxies, the predictions of fuzzy dark matter agree with the standard cold dark matter models that work exceptionally well on [[cosmology|cosmological scales]], while on scales of the size of galaxies the [[quantum physics|quantum]] properties of these light particles become relevant and change their effect just so as to fix the problems (see also [[MOND]]) that standard cold dark matter models have on these scales.

A natural candidate for such ultra-light particles are [[axions]].

This kind of model was brought up independently by several groups of authors (see [Lee 17](#Lee17) for historical survey) with early precursors going back as far as ([Baldeschi-Gelmini-Ruffini 83](#BaldeschiGelminiRuffini83)), and accordingly goes by a number of different names, including the following:

* _[[Bose-Einstein condensate]] (BEC) dark matter_ ([Sin 92](#Sin92), [Sikivie-Yang 09](#SikivieYang09))

* _[[superfluid]] dark matter_ ([Berezhiani-Khoury 15](#BerezhianiKhoury15), [Khoury 16](#Khoury16))

* _fuzzy dark matter_ ([Wu-Barkana-Gruzinov 00](#WuBarkanaGruzinov00))

* _ultra-light [[axion]]_ ([Erken-Sikivie-Tam-Yang 12](#ErkenSikivieTamYang12))

* _wave dark matter_

* _repulsive dark matter_


and more.

The suggestion that fuzzy dark matter induces the observed almost-flat galactic rotation curves ("[[MOND]]") seems to go back to ([Sin 92](#Sin92)). Further pointers are in ([Lee 17, p. 3](#Lee17)): 

> There are many works explaining the rotation curves of dwarf [17, 23, 69], and large galaxies [29, 43, 70–78] in this model.

## References
 {#References}

### Original articles

Early precursors of the idea include

* {#BaldeschiGelminiRuffini83} M. R. Baldeschi, G. B. Gelmini, and R. Ruffini, Physics Letters B 122, 221 (1983).

The role of the [[Bose-Einstein condensate]] of [[axions]] on galactic scales was considered in 

* {#Sin92} Sang-Jin Sin, _Late time Cosmological Phase Transition and Galactic Halo as Bose-liquid_, Phys.Rev.D50:3650-3654,1994 ([arXiv:hep-ph/9205208](https://arxiv.org/abs/hep-ph/9205208))

*  {#SikivieYang09} [[Pierre Sikivie]], Q. Yang, _Bose-Einstein Condensation of Dark Matter Axions_, Phys.Rev.Lett.103:111301, 2009 ([arXiv:0901.1106](https://arxiv.org/abs/0901.1106))

* {#ErkenSikivieTamYang12} O. Erken, [[Pierre Sikivie]], H. Tam, Q. Yang, _Cosmic axion thermalization_, Phys. Rev. D 85, 063520 2012 ([arXiv:1111.1157](https://arxiv.org/abs/1111.1157))

The proposal in the guise of "fuzzy dark matter" is originally due to

* {#WuBarkanaGruzinov00} Wayne Hu, Rennan Barkana, Andrei Gruzinov, _Cold and Fuzzy Dark Matter_, Phys.Rev.Lett. 85 (2000) 1158-1161 ([arXiv:astro-ph/0003365](https://arxiv.org/abs/astro-ph/0003365)) 

A detailed discussion is in

* {#HOTW16} [[Lam Hui]], [[Jeremiah Ostriker]], [[Scott Tremaine]], [[Edward Witten]], _On the hypothesis that cosmological dark matter is composed of ultra-light bosons_,  Phys. Rev. D 95, 043541 (2017) ([arXiv:1610.08297](https://arxiv.org/abs/1610.08297))

### MOND Phenomenology

Discussion of how [[superfluid]] aspects of [[axion|axionic]] fuzzy dark matter reproduce [[MOND]] [[phenomenology]] is in 

* {#BerezhianiKhoury15} [[Lasha Berezhiani]], [[Justin Khoury]], _Theory of Dark Matter Superfluidity_, Phys. Rev. D 92, 103510 (2015) ([arXiv:1507.01019](https://arxiv.org/abs/1507.01019))

* {#Khoury16} [[Justin Khoury]], _Another Path for the Emergence of Modified Galactic Dynamics from Dark Matter Superfluidity_, Phys. Rev. D 93, 103533 (2016) ([arXiv:1602.05961](https://arxiv.org/abs/1602.05961))

* JiJi Fan, _Ultralight Repulsive Dark Matter and BEC_ ([arXiv:1603.06580](https://arxiv.org/abs/1603.06580))

* Andrea Addazi, Antonino Marciano, _UV completion of a theory of Superfluid Dark Matter_ ([arXiv:1801.04083](https://arxiv.org/abs/1801.04083))

### Review

Review includes

* David J. E. Marsh, _Axion Cosmology_ ([arXiv:1510.07633](https://arxiv.org/abs/1510.07633))

* {#Lee17} Jae-Weon Lee, _Brief History of Ultra-light Scalar Dark Matter Models_ ([arXiv:1704.05057](https://arxiv.org/abs/1704.05057))



### Numerics and experiment

Comparison to [[experiment]] (observation) is discussed in
 
* Bohua Li, Tanja Rindler-Daller, and Paul R. Shapiro, _Cosmological constraints on Bose-Einstein-condensed scalar field dark matter_, Phys. Rev. D 89, 083536, 2014 ([arXiv:1310.6061](https://arxiv.org/abs/1310.6061))

* Hsi-Yu Schive, Tzihong Chiueh, Tom Broadhurst, _Cosmic structure as the quantum interference of a coherent dark wave_, Nature Physics 10, 496&#8211;499 (2014) ([doi:10.1038/nphys2996](http://www.nature.com/nphys/journal/v10/n7/abs/nphys2996.html))


* Nilanjan Banik, Adam J. Christopherson, [[Pierre Sikivie]], Elisa Maria Todarello, _New astrophysical bounds on ultralight axionlike particles_, Phys. Rev. D 95, 043542 (2017) ([arXiv:1701.04573](https://arxiv.org/abs/1701.04573))




[[!redirects Bose-Einstein condensate dark matter]]
[[!redirects BEC dark matter]]

[[!redirects axion dark matter]]
