
#Contents#
* table of contents
{:toc}

## Idea

In [[coding theory]], a _linear code_ is a [[linear subspace]] of a [[vector space]] of [[finite number|finite]] [[dimension]] $d$ over a [[prime field]] $\mathbb{F}_p$, i.e. a vector space [[isomorphism|isomorphic]] to $(\mathbb{F}_p)^d$, for some [[prime number]] $p$ (often $p = 2$). The dimension $d$ of the vector space is also called the _length_ of the linear code.


## Examples

* [[Hamming code]]

## Related concepts

* [[binary Golay code]]

* [[binary linear code]]

* [[Mathieu group]]

* [[combinatorial design]]

* [[Leech lattice]]

* [[adinkra]] 

## Link

* Wikipedia, _[Linear code](https://en.wikipedia.org/wiki/Linear_code)_

## References

* Patrick J. Morandi, _Error Correcting Codes and Algebraic Curves_ , lecture notes New Mexico State University 2001. ([pdf](http://www.math.nmsu.edu/~pmorandi/math601f01/LectureNotes.pdf))

* Jay A. Wood, _Spinor groups and algebraic coding theory_ , J.Combinatorial Th. Series A **51** (1989) pp.277-313. (available online)


[[!redirects linear codes]]