
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Topology
+--{: .hide}
[[!include topology - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A [[connected topological space|connected]] [[topological space]] $x$ is called _nilpotent_ if 

1. its [[fundamental group]] $\pi_1(X)$ is a [[nilpotent group]];

1. the [[action]] of $\pi_1(X)$ on the higher [[homotopy groups]] is nilpotent in that the sequence $N_{0,n} \coloneqq \pi_n(X)$, $N_{k+1,n} \coloneqq \{g n - n | n \in N_{k,n}, g \in \pi_1(X)\}$ terminates.

## Properties

### Rational nilpotent spaces

The central statement of [[rational homotopy theory]] says that the [[rational homotopy type]] of nilpotent topological spaces of [[finite type]] is equivalently reflected in [[nilpotent L-infinity algebras]] of finite type.

## Related concepts

* [[nilpotent element]]

* [[nilpotent Lie algebra]], [[nilpotent L-infinity algebra]]

* [[nilpotent group]]



## References

* Wikipedia, _[Nilpotent space](https://en.wikipedia.org/wiki/Nilpotent_space)_


The [[rational homotopy theory]] of nilpotent topological spaces is discussed in

* {#BousfieldGugenheim76} [[Aldridge Bousfield]], V. K. A. M. Gugenheim, section 9.1 of _On PL deRham theory and rational homotopy type_ , Memoirs of the AMS, vol. 179 (1976)

* {#Neisendorfer78} [[Joseph Neisendorfer]], _Lie algebras, coalgebras and rational homotopy theory for nilpotent spaces_, Pacific J. Math. Volume 74, Number 2 (1978), 429-460. ([euclid](http://projecteuclid.org/euclid.pjm/1102810284))





[[!redirects nilpotent topological spaces]]
