[[!redirects ad-nilpotent Lie algebra]]

#Contents#
* table of contents
{:toc}


## Idea

A [[Lie algebra]] is **nilpotent** if [[action|acting]] on any one of its elements with other elements, via the [[Lie bracket]], repeatedly eventually yields [[zero]].

## Definition

The [[lower central series]] or [[descending central series]] of a Lie algebra $\mathfrak{g}$ is a sequence of nested ideals $\mathfrak{g}^{k+1} \trianglelefteq \mathfrak{g}^{k}$ defined inductively by $\mathfrak{g}^1 \coloneqq \mathfrak{g}$,  $\mathfrak{g}^{k+1} \coloneqq [\mathfrak{g}, \mathfrak{g}^k]$. The Lie algebra is said to be **nilpotent** if $\mathfrak{g}^{k} = 0$ for some $k \in \mathbb{N}$.

In other words, a Lie algebra $\mathfrak{g}$ is nilpotent if and only the improper ideal $\mathfrak{g}$ is a [[nilpotent element]] in the ideal lattice with respect to the ideal product $[-,-]$.

## Properties

* Every abelian Lie algebra is nilpotent, and every nilpotent Lie algebra is [[solvable Lie algebra|solvable]].

### Relation to Sullivan models

A finite-dimensional Lie algebra $\mathfrak{g}$ is nilpotent precisely if its [[Chevalley-Eilenberg algebra]] $CE(\mathfrak{g})$ is a [[Sullivan algebra]] (necessarily minimal). See also at _[[rational homotopy theory]]_ for more on this.

## Related concepts

* [[nilpotent element]]

* [[nilpotent group]]

* [[nilpotent topological space]]

* [[nilpotent L-infinity algebra]]


## References

* _Nilpotent Lie algebras_ ([pdf](http://relaunch.hcm.uni-bonn.de/fileadmin/perrin/chap5.pdf))

* Wikipedia, _[Nilpotent Lie algebra](https://en.wikipedia.org/wiki/Nilpotent_Lie_algebra)_

[[!redirects ad-nilpotent Lie algebra]]
[[!redirects ad-nilpotent Lie algebras]]
[[!redirects nilpotent Lie algebra]]
[[!redirects nilpotent Lie algebras]]
