
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Model theory
+-- {: .hide}
[[!include model theory - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Statement

+-- {: .num_example #BirkhoffHSP}
###### Theorem 
**(Birkhoff's HSP theorem)**

Given a [[language]] $L$ generated by a set of (single-sorted) finitary operations, and a [[class]] $C$ of [[structures]] for $L$. Then $C$ is the class of models for a set of universally quantified equations between terms of $L$ (a [[Lawvere theory]]) if and only if 

1. (H) The class is closed under homomorphic [[images]] (see [below](#HomomorphicImages)), 

1. (S) The class is closed under subalgebras, 

1. (P) The class is closed under taking products. 

=--

See also at _[Lawvere theory -- Characterization of examples](Lawvere+theory#CharacterizationOfExamples)_

+-- {: .num_remark #HomomorphicImages}
###### Remark

Here "closed under homomorphic images" means that if $A$ and $B$ are structures in the class, and $\phi \colon A \to B$ is a [[homomorphism]] between them, then also its [[image]] $im(\phi) \hookrightarrow B$ is an element of the class. 

=--


+-- {: .num_remark #FirstOrderAnalogue}
###### Remark

The [[first order logic|first-order]] analogue of HSP (theorem \ref{BirkhoffHSP}) is the characterization (see e.g. Chang and Keisler's original text ([Chang-Keisler 66](#ChangKeisler66)) on continuous model theory) of [[elementary classes of structures]] of structures: they're precisely those closed under [[elementary substructures]], [[elementary embeddings]], [[ultraproducts]], and [[ultraroots]] (if an ultrapower of something is in your class, that something was in your class.)

=--

## References

* Wikipedia, <a href="https://en.wikipedia.org/wiki/Variety_(universal_algebra)#Birkhoff.27s_theorem">Birkhoff's theorem</a>

* {#ChangKeisler66} Chang, Keisler _Continuous Model Theory_, Princeton University Press, 1966. ISBN: 9780691079295

[[!redirects Birkhoff HSP theorem]]

[[!redirects HSP theorem]]


