
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Model theory
+-- {: .hide}
[[!include model theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

An [[elementary substructure]] $N \preceq M$ of a [[model]] of a [[first-order theory]] is an _ultraroot_ of $M$ if $M$ is [[isomorphism|isomorphic]] to an [[ultrapower]] of $N$.

## Definition

Formally, recall that any structure $N$ admits a diagonal [[elementary embedding]] $N \overset{\Delta}{\to} N^{\mathcal{U}}$ to any [[ultrapower]] $N^{\mathcal{U}}$ of $N$.

If $i \colon N \to M$ is an [[elementary embedding]], we say that $N$ is an ultraroot of $M$ if there is some [[ultrafilter]] $\mathcal{U}$ on some index [[set]] such that there is an [[isomorphism]]

$$
\left(N \overset{i}{\to} M\right) \simeq \left(N \overset{\Delta}{\to} N^{\mathcal{U}}\right)
$$
in the [[co-slice category]] under $N$. 

## Examples

* $N$ is an ultraroot of $N^{\mathcal{U}}$.

* Assuming the [[continuum hypothesis]], any [[countable set|countable]] model of a complete-[[first order theory]] will be an ultraroot of that theory's $\aleph_1$-saturated continuum-sized model.

* Similarly, taking a countably-indexed ultrapower of a slightly-expanded copy (like a nonstandard model generated by throwing in a single infinitesimal) of the reals still yields the [[hyperreal numbers]].

## Remarks
Closure under taking ultraroots, along with closure under ultraproducts and elementary embeddings, gives a criterion for detecting [[elementary class of structures|elementary classes]]. See also at _[[Birkhoff's HSP theorem]]_.

## Related concepts

* [[ultraproduct]]

* [[ultrapower]]

## References

* See e.g. page 7 of [these notes](http://www.math.uiuc.edu/~henson/cfo/UCLA09text.pdf) by Ward Henson on continuous model theory,

[[!redirects ultraroots]]
