
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Model theory
+-- {: .hide}
[[!include model theory - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

Countable dense linear orders without endpoints are unique up to isomorphism, and are canonically modeled by the [[rational numbers]] $(\mathbb{Q}, \lt )$.


## Definition

The theory $\mathsf{DLO}$ of the _dense linear order without endpoints_ is the [[first-order theory]] of $(\mathbb{Q}, \lt)$. It is axiomatized by the usual axioms of a linear order, plus the sentences which state that the order is dense and that there is neither an upper nor lower bound on the order.


## Remarks

- $\mathsf{DLO}$ is a prototypical [[stability theory|unstable structure]].

- Cantor's theorem (the uniqueness up to isomorphism of a model of $\mathsf{DLO}$ assuming the model is countable) says precisely that $\mathsf{DLO}$ is an [[omega-categorical structure | omega-categorical]] theory.

- Since $\mathsf{DLO}$ is unstable, however, its uncountable models fall into many isomorphism classes.

- [[Dedekind cut|Dedekind cuts]] arise as [[type (in model theory)|types]] over bounded infinite parameter sets in a single variable.

- $\mathsf{DLO}$ is a [[Fraïssé limit]]; its finitely-generated substructures are precisely the finite linear orders.

- $\mathsf{DLO}$ admits [[quantifier-elimination]].

- If we view $(\mathbb{Q},&lt;)$ as a category, the [[subobject classifier]] of the topos $\mathbb{Sets}^\mathbb{Q}$ can be identified in a canonical way with the [[Dedekind cut|Dedekind cuts]] on $\mathbb{Q}$.


## Related concepts

[[omega-categorical structure]]

[[homogeneous structure]]


## References

- Ivan Tomasic, [Model theory](http://www.maths.qmul.ac.uk/~ivan/ModTh/lectures.pdf)


[[!redirects DLO]]
[[!redirects dense linear order]]
[[!redirects dense linear orders]]
[[!redirects countable dense linear order]]
[[!redirects countable dense linear orders]]
