
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}


## Idea

The incarnation of the concept of [[string]] without [[worldsheet]] [[supersymmetry]] is the _bosonic string_ of [[bosonic string theory]]. In contrast to the [[spinning string]]/[[superstring]].

## Definition

### In symplectic geometry / geometric quantization

See the reference [below](#ReferencesSymplecticGeometryAndGeometricQuantization)

## Properties

### Vacuum

* [[tachyon condensation]]

* [[Sen's conjecture]]


## Related concepts

* [[sigma model]], [[brane]]

  * [[particle]], [[spinning particle]], [[superparticle]]

  * [[string]], [[spinning string]], [[superstring]]

    * [[type II superstring]], [[F1-brane]], [[D1-brane]], [[(p,q)-string]]

    * [[heterotic string]]

  * [[membrane]]

* [[string theory]], [[string field theory]]

* [[string scattering amplitude]]

* [[string field theory]]

* [[world sheets for world sheets]]

* [[D-brane]], [[Chan-Paton gauge field]], [[Freed-Witten-Kapustin anomaly cancellation]]

* [[string theory FAQ]]
## References

See the references at _[[string theory]]_ for more.

### Symplectic geometry and geometric quantization
 {#ReferencesSymplecticGeometryAndGeometricQuantization}

The ordinary [[symplectic geometry]] and ordinary [[geometric quantization]] of the bosonic string [[sigma-model]] is discussed in the following references.

The [[symplectic structure]] and [[Kähler geometry]] of [[loop space]] is discussed in 

* M.J. Bowick, S.G. Rajeev, _String theory as the Kähler geometry of loop space_ Phys. Rev. Lett. 58, 535-538 (1987)

* M.J. Bowick, S.G. Rajeev, _The holomorphic geometry of closed bosonic string theory and $Diff(S^1)/S^1$_, Nucl. Phys. B293, 348-384 (1987)

* [[Jouko Mickelsson]], _String quantization on group manifolds and the holomorphic geometry of $Diff(S^1)/S^1$_ Commun. Math. Phys. 112, 653-661 (1987) ([EUCLID](http://projecteuclid.org/euclid.cmp/1104160059))

with further comments in

* Hendrik Grundlin, C. A. Hurst, _The operator quantization of the open bosonic string: field algebra_, Communications in mathematical physics 156 (1993) ([pdf](http://web.maths.unsw.edu.au/~hendrik/String-CMP.pdf))

A correction of some points in these articles is discussed in

* [[Sergei Merkulov]], _On the geometric quantization of bosonic string_,  Class. Quantum Grav. 9 2267 (1992) ([IOP](http://iopscience.iop.org/0264-9381/9/10/010))

See also

* Yue Yua, Han-Ying Guoa, _On the geometric quantization and BRST quantization for bosonic strings_, Physics Letters B Volume 216, Issues 1–2, (1989), Pages 68–74 ([web](http://inspirehep.net/record/279613))


* Yu-liang Liu, Su-qing Chen,Guang-jiong Ni, _Geometrical quantization of bosonic string with Wess-Zumino term on genus-g Riemann surface_, Phys. Rev. D 41, 472–477 (1990) 

* A. D. Popov, _Geometric quantization of strings and reparametrization invariance_, Theoretical and Mathematical Physics, Volume 83, Number 3 (1990) ([journal](http://www.mathnet.ru/php/archive.phtml?wshow=paper&jrnid=tmf&paperid=5817&option_lang=eng))

### In multisymplectic geometry and higher geometric quantization
 {#ReferencesMultisymplecticGeometry}

A discussion starting systematically with the correct [[symplectic form]]  obtained by transgression from an [[multisymplectic geometry|multisymplectic]] [[extended phase space]] and including the [[BRST-complex|BRST sector]] is in

* {#Yu} Yue Yu, _Symplectic geometry and geometric quantization for the open bosonic string in the BRST formalism_, Physics Letters B, Volume 216, Issue 1-2, (1989) p. 75-80.
 


A detailed exposition of the [[multisymplectic geometry]] of the bosonic string together with its interpretation in [[2-plectic geometry]] is in

* [[John Baez]], [[Alexander Hoffnung]], [[Chris Rogers]], _Categorified Symplectic Geometry and the Classical String_ ([arXiv:0808.0246](http://arxiv.org/abs/0808.0246/))

and the appearance of the [[string Lie 2-algebra]] as the [[Heisenberg Lie 2-algebra]] of the string [[WZW-model]] in this context is discussed in 

* [[John Baez]], [[Chris Rogers]], _Categorified Symplectic Geometry and the String Lie 2-Algebra_. [arXiv:0901.4721](http://arxiv.org/abs/0901.4721).

### Vacuum

(...)

* [[Jan Ambjørn]], Y. Makeenko, _Stability of the nonperturbative bosonic string vacuum_ ([arXiv:1703.05382](https://arxiv.org/abs/1703.05382))


[[!redirects bosonic strings]]

