
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher geometry
+--{: .hide}
[[!include higher geometry - contents]]
=--
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
#### Arithmetic geometry
+--{: .hide}
[[!include arithmetic geometry - contents]]
=--
=--
=--




#Contents#
* table of contents
{:toc}

## Idea

The concept of _spectral affine line_ is the generalization of the concept of _[[affine line]]_ to [[spectral geometry]], in the sense of [[E-∞ geometry]].

Given a ([[connective spectrum|connective]]) [[E-∞ ring]] $R$, then the spectral affine line over $R$ is the affine [[spectral scheme]] given by the [[spectral symmetric algebra]] on a single generator:

$$
  \mathbb{A}^1_R = Spec( Sym_R(R) )
  \,.
$$

(e.g. [Lurie Schemes, below prop. 2.20](#LurieSchemes))

For $R = \mathbb{S}$ the [[sphere spectrum]], then this may be called the _absolute spectral affine line_. This is discussed in [Strickland-Turner 97](#StricklandTurner97).

## References

Some general comments are in

* {#LurieSchemes} [[Jacob Lurie]], below prop. 2.20 _[[Spectral Schemes]]_.

The absolute spectral affine line over $ R = \mathbb{S}$ the [[sphere spectrum]] is discussed in 

* {#StricklandTurner97} [[Neil Strickland]], [[Paul Turner]], _Rational Morava $E$-theory and $D S^0$_, Topology Volume 36, Issue 1, January 1997, Pages 137-151 ([pdf](http://hopf.math.purdue.edu/Strickland-PTurner/rme.pdf))

