
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Algebra
+-- {: .hide}
[[!include higher algebra - contents]]
=--
=--
=--

# Coalgebra
* table of contents
{: toc}

## Definition

In the [most familiar sense](http://en.wikipedia.org/wiki/Coalgebra), a _coalgebra_ is just like an 
[[associative algebra]], but with all the structure maps 'turned around' (a "[[co-monoid]]").   More precisely, fix a [[ground field]] $k$.   Then an **[[associative algebra]]** $A$ over $k$ is a [[vector space]] equipped with a multiplication

$$m : A \otimes A \to A$$

and a unit

$$i : k \to A $$

satisfying the [[associativity]] law and left/right [[unit laws]], which can be drawn as [[commutative diagrams]].   Similarly, a **coalgebra** $C$ is a vector space equipped with a **comultiplication** 

$$\Delta : A \to A \otimes A $$

and a **counit**

$$ e: A \to k$$

satisfying the **coassociative** and left/right **counit** laws.  The commutative diagrams for these laws are obtained by taking the diagrams for the associative and left/right unit laws and turning all the arrows around.

![axioms](http://presheaf.com/cache/d1n601e593w4j122e1nrx3j1d3v68b.png)

We can express this idea much more efficiently using the concept of the [[opposite category|opposite]] of a [[category]], together with [[internalization]].  Namely: a **coalgebra** is a [[monoid]] [[internalization|in]] the $Vect^{op}$, just as an algebra is a monoid in $Vect$.

Coalgebras of this sort are an important ingredient in more sophisticated structures such as [[bialgebra|bialgebras]], [[Hopf algebra|Hopf algebras]] and [[Frobenius algebra|Frobenius algebras]].

More generally: 

* a [[coalgebra for an endofunctor]] $F : C \to C$ on a [[category]] $C$ -- an _$F$-coalgebra_ --  is 

    * an [[object]] $A$ of $C$;

    * and a [[morphism]] $\alpha : A \to F(A)$;

* a general **coassociative coalgebra** is a [[coalgebra over a comonad]], dual to the concept of an [[algebra over a monad]].


## Examples

### Special cases

* For $R$ a commutative ring, if the endofunction $F : C \to C$ is $F : R Mod \to R Mod$ given by $F : N \mapsto N \otimes N$, then $F$-coalgebras are precisely non-coassociative coalgebras in the specific sense of non-associative monoids in $R Mod^{op}$. (See [[Tom Leinster]]'s comment [here](http://golem.ph.utexas.edu/category/2008/12/the_status_of_coalgebra.html#c020741)).

* $L_\infty$-[[L-infinity-algebra|algebra]]s are [[CoDGCA|cocommutative comonoids]] in the category of chain complexes.

### Classes with extra properties and structure

* [[Banach coalgebra]], [[C-star coalgebra]]

* [[measure coalgebra]]


## Differential graded coalgebras

These are explored briefly in the lexicon style entry [[differential graded coalgebra]].  (At present this is 'bare bones' with little or no motivation or discussion.)


## Cocommutative coassociative coalgebras

These, in most cases, form a complete cocomplete Cartesian Closed Category, $Coalg$ over which the category, $Alg$, of commutative associative algebras is enriched, tensored and cotensored. The exegesis is much the same whether we consider coalgebras over a field $k$, or graded $k$-coalgebras, or differential graded coalgebras, etc. In each case we need a notion of finiteness: finite $k$-dimension of the underlying $k$-vector space, finite dimension in each grade, etc. We denote by $Alg_f$ the category of (commutative associative) algebras that are finite. 

The basic fact is that a coalgebra is the [[filtered colimit]] of its finite dimensional subcoalgebras. It follows from this that we can identify $Coalg$ with the category of finite-limit-preserving $Set$-valued functors on $Alg_f$.
This is because every such functor is a filtered colimit of representable functors, and for any finite algebra $A$ its $k$-vector-space dual $A^*$ is a finite coalgebra.

The product of coalgebras $C$ and $D$ is given by $C\otimes_k D$. The exponential $C\Rightarrow D$ is given by the functor taking $A\in Alg_f$ to $Hom_{Coalg}(A^*\otimes_k C,D)$. Note that $C\Rightarrow C$ has the structure of a cocommutative coassociative Hopf algebra.

For $X$ and $Y$ in $Alg$ we define $X\Rightarrow Y$ in $Coalg$ to be given by the functor taking $A\in Alg_f$ to $Hom_{Alg}(X,A\otimes_k Y)$.

For $C\in Coalg$ and $X\in Alg$ we denote by $C\Rightarrow X$ the algebra $Hom_k(C,X)$ with $k$-algebra structure induced by the coalgebra structure of $C$. We denote by $C\otimes X$ the quotient of the free $k$-algebra on $C\otimes_k X$ by the ideal generated by elements of the form 

$c\otimes 1-\epsilon(c)$ and $c\otimes x_1 x_2 - \Sigma_i (c'_i\otimes x_1)(c''_i\otimes x_2)$

 where $\epsilon$ is the counit of $C$ and $\Sigma_i c'_i\otimes c''_i$ is the diagonal of $c$ in $C$.

The tensored, cotensored enrichment of $Alg$ over $Coalg$ can be extended to the case of commutative associative $k$-algebras in a topos. It is a consequence of work by N.J.Kuhn, _Generic representations of the Finite General Linear groups and the Steenrod Algebra_, that the mod 2 Steenrod algebra is the Hopf algebra $S(V)\Rightarrow S(V)$ where $S(V)$ is the free graded symmetric $\mathbb{Z}_2$-algebra on the **generic $\mathbb{Z}_2$-vectorspace**. Similar considerations apply to the mod p Steenrod algebra.

Recall that the mod 2 Steenrod Hopf algebra is the dual of the commutative Hopf algebra with generators $\xi_1, \ldots $ with diagonal taking $\xi_n$ to

 $\Sigma_{i+j=n} \xi_i^{2^j}\otimes \xi_j$

 where $\xi_0 = 1$. Its action on $S(V)$ is dual to the coaction taking a vector $v\in V$ to

 $\Sigma_i\xi_i\otimes v^{2^i}$


## Properties

### As filtered colimits of finite-dimensional pieces
  {#AsFilteredColimits}

+-- {: .num_theorem #CoalgebrasAreFilteredColimitsOfTheirFinDimSubalghebras}
###### Theorem
**(fundamental theorem of coalgebras)**

Every coalgebra is the [[filtered colimit]] of its finite-dimensional sub-coalgebras.

=--

This is maybe due to ([Sweedler 69](#Sweedler69)), for proof see also for instance ([Michaelis 03](#Michaelis03)). That this remains true for [[dg-coalgebras]] (see at _[dg-coalgebra -- As filtered colimit](differential+graded+coalgebra#AsFilteredColimits)_) is due to ([Getzler-Goerss 99](#GetzlerGoerss99)).

+-- {: .num_remark }
###### Remark

It follows that an [[associative algebra|algebra]], while not itself the filtered limit of its finite dimensional subalgebras in general, is, being the [[linear dual]] of a coalgebra, a "formal filtered limit", hence a [[pro-object]] in finite-dimensional algebras (e.g. [Abrams-Weibel 99, p. 7](#AbramsWeibel99)). 

=--

## Related concepts

* [[co-monoid]]

* [[cofree coalgebra]]

* [[dg-coalgebra]]

* [[model structure on coalgebras over a comonad]]

## References

* {#Sweedler69} [[Moss Sweedler]], _Hopf algebras_, 1969

* {#Michaelis03}  [[Walter Michaelis]], _Coassociative Coalgebras_, Handbook of Algebra Volume 3, Elsevier (2003). 

* {#AbramsWeibel99} [[Lowell Abrams]], [[Charles Weibel]], _Cotensor products of modules_ ([arXiv:math/9912211](http://arxiv.org/abs/math/9912211))

* {#GetzlerGoerss99} [[Ezra Getzler]], [[Paul Goerss]], _A model category structure for differential graded coalgebras_, 1999 ([ps](http://www.math.northwestern.edu/~pgoerss/papers/model.ps))
 

* [[Kathryn Hess]], [[Brooke Shipley]], _The homotopy theory of coalgebras over a comonad_ ([arXiv:1205.3979](http://arxiv.org/abs/1205.3979))


[[!redirects coalgebras]]

[[!redirects coassociative coalgebra]]
[[!redirects coassociative coalgebras]]

[[!redirects cocommutative coalgebra]]
[[!redirects cocommutative coalgebras]]

[[!redirects co-algebra]]
[[!redirects co-algebras]]

[[!redirects comultiplication]]
[[!redirects co-multiplication]]
