# Endomorphism operad

* table of contents
{: toc}

## Idea

Just as every [[object]] in a [[category]] has a [[monoid]] of [[endomorphisms]], every object of a [[monoidal category]], or more generally a [[multicategory]], has an [[operad]] of endomorphisms.  This includes not just ordinary endomorphisms $X\to X$, but also higher-ary "endomorphisms" like $X\otimes X\otimes X\to X$.

## Definition

The **endomorphism operad** of an object $X$ in a monoidal category $C$ is the full sub-[[multicategory]] of the [[representable multicategory]] $Rep(C)$ associated to $C$ on the single object $X$.  (Note that an non-symmetric [[operad]] is, essentially by definition, a one-object multicategory.)  More generally, we can consider any one-object full subcategory of a multicategory to be an "endomorphism operad".  This can also be generalized to [[symmetric monoidal categories]] and [[symmetric operads]], and also to other kinds of [[generalized multicategories]].

## Properties

### Algebras

The structure of an [[algebra over an operad]] on an object $A \in C$ over an operad $P$ is equivalently a [[morphism]] of operads

$$
 \rho : P \to End(A)
$$


## Related concepts

* [[endomorphism]]

* [[endomorphism monoid]], [[endomorphism ring]]

* [[representable multicategory]]


[[!redirects endomorphism operads]]
