
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Topology
+--{: .hide}
[[!include topology - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Definition

Given a [[set]] $X$, then the _cofinite topology_ or _finite complement topology_ on $X$ is the [[topological space|topology]] whose [[open subsets]] are precisely 

1. all [[cofinite subsets]];

1. the [[empty set]].


## Properties

If $X$ is a [[finite set]], then its cofinite topology coincides with its [[discrete topology]].

The cofinite topology on a set $X$ is the [[coarse topology|coarsest topology]] on $X$ that satisfies the $T_1$ [[separation axiom]], hence the condition that every [[singleton]] subset is a [[closed subspace]].

Indeed, every $T_1$-topology on $X$ has to be [[fine topology|finer]] that the cofinite topology.

If $X$ is not [[finite set|finite]], then its cofinite topology is not [[sober topological space|sober]], hence in particular not [[Hausdorff topological space|Hausdorff]] (since [[Hausdorff implies sober]]). 

A set equipped with the cofinite topology forms a [[compact space]]. However, this type of compact space is not [[uniform space|uniformizable]]; if it were, then under the $T_1$ condition it would also be Hausdorff, which as we saw is not the case. 

## References

* Wikipedia, _[Cofiniteness -- Cofinite topology](https://en.wikipedia.org/wiki/Cofiniteness#Cofinite_topology)_

[[!redirects cofinite topologies]]

[[!redirects finite complement topology]]
[[!redirects finite complement topologies]]
