[[!redirects realization and nerve]]

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Category theory
+--{: .hide}
[[!include category theory - contents]]
=--
#### Topology
+--{: .hide}
[[!include topology - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea 

Under rather general conditions a [[functor]]

$$
  S_C : S \to C
$$

into a [[cocomplete category]] $C$ (possibly a $V$-[[enriched category]] with $V$ some [[complete category|complete]] [[symmetric monoidal category]]) induces a pair of [[adjoint functors]]
$$
   C \stackrel{\xleftarrow{|-|}}{\underset{N}{\rightarrow}} [S^{op}, V],
$$
where $|-| \dashv N$, between $C$ and the [[category of presheaves]] $PSh(S) = [S^{op}, V]$ on $S$ (here $V$ = [[Set]] for the unenriched case)

where 

* $N$ behaves like a [[nerve]] operation;

* $|-|$ behaves like [[geometric realization]].

+-- {: .num_remark}
###### Remark

Here "$S$" is supposed to be suggestive of a category of certain "[[geometric shapes for higher structures|geometric Shapes]]".  The canonical example is $S = \Delta$, the [[simplex category]], and the reader may find it helpful to keep that example in mind.
=--


## Definition 

We place ourselves in the context of $V$-[[enriched category theory]]. The reader wishing to stick to the ordinary notions in [[locally small category|locally small categories]] takes $V$= [[Set]].

The _realization_ operation is the left [[Kan extension]] of $S_C : S \to C$ along the [[Yoneda embedding]] $S \hookrightarrow [S^{op},V]$ (i.e. the [[Yoneda extension]]):

$$
  \array{
    S &\stackrel{S_C}{\to}&& C
    \\
    \downarrow^{Y} &\Downarrow& \nearrow_{|-|}
    \\
    [S^{op},V]
  }
  \,.
$$

If we assume that $C$ is [[copower|tensored]] over $V$, then by the general [[coend]] formula for left [[Kan extension]] we find that for $X \in [S^{op}, V]$ we have

$$
  |X| \simeq 
   \int^{s \in S}
   S_C(s) \cdot X_s
  \,.
$$

For instance when $S = \Delta$ is the [[simplex category]] this reads more recognizably

$$
  |X| \simeq 
   \int^{[n] \in \Delta}
   \Delta_C[n] \cdot X_n
  \,.
$$

The corresponding [[nerve]] operation

$$
  N :
  C \stackrel{}{\to} [S^{op},V]
$$

is given by 

$$
  N(c) : S^{op} \stackrel{S_C^{op}}{\to} C^{op}
  \stackrel{C(-,c)}{\to}  
  V
  \,.
$$


+-- {: .num_theorem }
###### Theorem (Kan)

Nerve and realization are a pair of [[adjoint functors]] 

$$
  (|-| \dashv N)
$$

with $N$ [[right adjoint]].
=--

+-- {: .proof}
###### Proof

Using the fact that the Hom in its first argument sends [[coends]] to [[ends]]
and then using the definition of [[copower|tensoring]]
over $V$, we check the hom-isomorphism

$$
  \begin{aligned}
    Hom_C(|X|, c)
    &:=
    Hom_C( \int^{s} S_C(s) \cdot X_s, c)
    \\
    & \simeq
    \int_{s} Hom_C( S_C(s) \cdot X_s, c)
    \\
    & \simeq
    \int_{s} Hom_V( X_s , C(S_C(s), c))
    \\
    & =
    \int_{s} Hom_V( X_s , N(c)_s)
    \\
    & \simeq
    Hom_{[S^{op},V]}(X, N(c))
    \,,
  \end{aligned}
$$

where in the last step we used the definition of the
[[enriched functor category]] in terms of an [[end]].

=--

+-- {: .num_remark }
###### Remark

In many cases we have $V = $ [[Set]] and the [[copower|tensoring]] of an object $c$ over a set $I$ is given by coproducts as
  $$  
    c \cdot I = \coprod_{i \in I} c
    \,.
  $$
  This is the case for instance for the below examples of realization of [[simplicial sets]], nerves of categories and the [[Dold-Kan correspondence]].

=--

## Examples 

### Topological realization of simplicial sets 
 {#TopologicalRealizationOfSimplicialSets}

A classical example is given by the [[simplicial topological space|cosimplicial topological space]]

$$
  \Delta_{Top} : \Delta \to Top
$$

that sends the abstract $n$-[[simplex]] $[n]$ to the standard topological $n$-simplex $\Delta_{Top}[n] \subset \mathbb{R}^n$.
  
* The corresponding realization is what is traditionally called _[[geometric realization]]_ of simplicial sets. 

  By restricting this to simplicial sets which are themselves simplicial nerves of [[categories]] (see [below](NervesOfCategories)) or more generally are [[quasi-categories]], this also induces the notion of geometric realization of categorical structures.

  The construction generalizes also to a notion of _[[geometric realization of simplicial topological spaces]]_.

* The corresponding [[nerve]] is the [[singular simplicial complex]] functor, producing the [[fundamental ∞-groupoid]] of a topological space. 

This topological nerve and realization adjunction plays a central role as a presentation of the [[Quillen equivalence]] between the [[model structure on simplicial sets]] and the [[model structure on topological spaces]]. This is discussed in detail at _[[homotopy hypothesis]]_.

### Nerve and realization of categories 
 {#NervesOfCategories}

Pretty much every notion of [[category]] and [[higher category theory|higher category]] comes, or should come, with its canonical notion of simplicial nerve, induced from a functor
  $$
    \Delta_C : \Delta \to n Cat
  $$

  that sends the standard $n$-[[simplex]] to something like the free $n$-category on the $n$-[[directed n-graph|directed graph]] underlying that simplex.

For ordinary categories see the discussion at _[[nerve]]_ and at _[[geometric realization of categories]]_.

One formalization of this for $n = \infty$ in the context of [[strict ω-categories]] is the cosimplicial $\omega$-category called the [[orientals]]
  $$
    \Delta_{\omega} : \Delta \to \omega Cat
    \,.
  $$

* The induced [[nerve]] is the [[ω-nerve]].

* The induced realization operation is the operation of forming the free $\omega$-category on a simplicial set. See [[oriental]] for more details.


### Dold--Kan correspondence 

The [[Dold–Kan correspondence]] is the nerve/realization adjunction for the [[homology]] functor
  $$
    \Delta_{C_\bullet} : \Delta \to Ch_+
  $$
  to the [[category of chain complexes]] of abelian groups, which sends the standard $n$-[[simplex]] to its [[homology]] chain complex, more precisely to its normalized [[Moore complex]].

* The induced realization is the normalized [[Moore complex]] functor extended from $\Delta$ to all [[simplicial sets]].

### Simplicial models for $(\infty,1)$-categories 

The canonical cosimplicial [[simplicially enriched category]]

$$
  \Delta \to SSet\text{-}Cat
$$

induces the [[homotopy coherent nerve]] of [[SSet]]-[[enriched category|enriched categories]] and establishes the relation between the [[quasi-category]]
and the simplicially enriched model for [[(infinity,1)-category|(infinity,1)-categories]]. See

* [[relation between quasi-categories and simplicial categories]].

## Properties

### Full and faithfulness

Under some conditions one can characterize when and where the nerve construction is a [[full and faithful functor]]. For the moment see for instance _[[monad with arities]]_.

## Related concepts

* [[nerve]], [[monad with arities]]

* [[geometric realization]]

* [[totalization]]

## References 

The notion of nerve and realization (not with these names yet) was introduced and proven to be an [[adjunction]] in section 3 of

* {#Kan58} [[Daniel Kan]], _Functors involving c.s.s complexes_, Transactions of the American Mathematical Society, Vol. 87, No. 2 (Mar., 1958), pp. 330--346 ([jstor](http://www.jstor.org/stable/1993103)).

In fact, in that very article apparently what is now called [[Kan extension]] is first discussed.

Also, in that article, as an example of the general mechanism, also the [[Dold–Kan correspondence]] was found and discussed, independently of the work by Dold and Puppe shortly before, who used a much less general-nonsense approach.

In an article in 1984, Dwyer and Kan look at this 'nerve-realization' context from a different viewpoint, using the term 'singular functor' where the above has used 'nerve'. Their motivation example is that in which $S$ is the [[orbit category]] of a group $G$, and the realisation starts with a functor on that category with values in spaces and returns a $G$-space:

* [[W. G. Dwyer]] and [[D. M. Kan]], _Singular functors and realization functors_, Nederl. Akad. Wetensch. Indag. Math., 87, (1984), 147 – 153.

We should also mention the treatment in Leinster's book and the relation to the notions of [[dense subcategory]] or adequate subcategory in the sense of Isbell. 

In a [blog post](https://golem.ph.utexas.edu/category/2010/02/sheaves_do_not_belong_to_algeb.html)  on the n-Category Café, Tom Leinster illustrates that "sections of a bundle" is a nerve operation, and its corresponding geometric realization is the construction of the étalé space of a presheaf.

[[!redirects realization]]
[[!redirects realizations]]

