
# Contents
* table of contents
{: toc}

## Idea

The concept of _Kuratowski pair_ is one possible way of encoding the concept of an [[ordered pair]] in [[material set theory]] (say in the construction of [[Cartesian products]]): A pair of the form $(a,b)$ is represented by the [[set]] of the form $\{\{a\}, \{a,b\}\}$. 

The main point is to cook up a definition whereby $(a, b) = (a', b')$ if and only if $a = a'$ and $b = b'$, where set equality may be verified via the [[axiom of extensionality]]. Obviously many such definitions are possible, but Kuratowski's is a simple one. 


## Related concepts

* [[tuple]]

* [[Cartesian product]]


## References

* Wikipedia, _[Ordered pair - Kuratowski definition](https://en.wikipedia.org/wiki/Ordered_pair#Kuratowski_definition)_ 


[[!redirects Kuratowski pair]]
[[!redirects Kuratowski pairs]]
