
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Contex
#### Category theory
+-- {: .hide}
[[!include category theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The _free category_ on a "set of arrows", hence on a [[directed graph]], is the [[category]] whose [[morphisms]] are the [[tuples]] of composable arrows, hence the morphisms [[free construction|freely generated]] from these arrows. These morphisms may also be thought of as the "paths" that one may trace out in the directed graph by traversing in each step along along an arrow, and therefore free categories are also called _[[path categories]]_.

More formally, there is a [[forgetful functor]] from the [[1-category]] of [[categories]] to that of [[directed graphs]], and the free category construction is the [[left adjoint]] to this functor.


## Related concepts

* [[free groupoid]]

* [[free diagram]]

* [[free monoid]], [[free operad]]

* [[free topos]]


## References

The free category on a graph has a section in

* [[Francis Borceux]], _Handbook of categorical Algebra vol. 1_ , Cambridge UP 1994.

and in 

* {#MacLane} [[Saunders MacLane]], _[[Categories for the Working Mathematician]]_ , Springer 1998.

The following is another source for this, even an open source:

* {#BarrWells}[[Michael Barr]] and [[Charles Wells]], _Category Theory for Computing Science_ [PDF](http://www.math.mcgill.ca/triples/Barr-Wells-ctcs.pdf)

The path categories of context free grammars are explored in

* {#Latch} Dana Latch, _The connection between the fundamental groupoid and a unification algorithm for syntactil algebras (extended abstract)_ , Cah. Top. Géom. Diff. Cat. **XXXII** (1991).  ([link](http://www.numdam.org/item?id=CTGDC_1991__32_3_203_0))

* {#Walters1} [[Bob Walters]], _The free category with products on a multigraph_ , JPAA **62** (1989). ([link](http://www.sciencedirect.com/science/article/pii/0022404989901527))

* {#Walters2} [[Bob Walters]], _A note on context-free languages_ , JPAA **62** (1989). ([link](http://www.sciencedirect.com/science/article/pii/0022404989901515))

Since the perspective on categories as 'graphs with operations' is closely related to their 'logico-deductive' side, it figures prominently in the work of [[Jim Lambek]] and [[Phil Scott]] (cf. the references at [[free topos]]).





[[!redirects free categories]]

[[!redirects free category on a quiver]]
[[!redirects free categories on quivers]]
