
## Idea

In [[logic]], **game semantics** is used to provide a semantic interpretation of logical constructions in terms of strategies for opposing players to win a game which corresponds to some proposition.

For a brief history, see this [comment](https://golem.ph.utexas.edu/category/2006/10/classical_vs_quantum_computati_3.html#c005578) by [[Samson Abramsky]].

##Related pages

* [linear logic](linear+logic#game_semantics)

## References

* [[Wilfrid Hodges]], 2013, _Logic and Games_, ([SEP](https://plato.stanford.edu/entries/logic-games/)) 

A game theoretic account (explained in terms of 'dialogues') of provability was developed by [[Paul Lorenzen]], see

* [[Paul Lorenzen]], [[Kuno Lorenz]], 1978, _Dialogische Logik_, Wissenschaftliche Buchgesellschaft, Darmstadt.

For a survey of this approach see

* [[Walter Felscher]], 2002, _Dialogues as a foundation for intuitionistic logic_, ([pdf](http://content.schweitzer-online.de/static/catalog_manager/live/media_files/representation/zd_std_orig__zd_schw_orig/013/156/273/9781402002359_content_pdf_2.pdf))


* [[Martin Hyland]], _Game semantics_,  in A. Pitts and P. Dybjer, editors, Semantics and Logics of Computation, pages 131–182. Cambridge University Press, 1997. ([scanned pdf](https://www.dpmms.cam.ac.uk/~martin/Research/Oldpapers/gamesemantics97scan.pdf))

* [[André Joyal]], 1977, _Remarques sur la th&eacute;orie des jeux à deux personnes_, Gazette des Sciences Math&eacute;matiques du Qu&eacute;bec 4, 46–52, translated as [Remarks on the Theory of Two-Player Games](https://bosker.files.wordpress.com/2010/12/joyal-games.pdf) by [[Robin Houston]].

* [[Andreas Blass]], Game semantics and linear logic, Annals of Pure and Applied Logic 56 (1992), 183-220.

* [[Samson Abramsky]], [[Radha Jagadeesan]], Games and full completeness for multiplicative linear logic, Journal of Symbolic Logic, 59 (1994), 543 - 574

* [[Martin Hyland]] and [[Luke Ong]], On full abstraction for PCF, Information and Computation, 163 (2000), 285-408.

* [[Paul-André Melliès]], Asynchronous games 3: An innocent model of linear logic, _Proceedings of the 10th Conference on Category Theory and Computer Science_, Copenhagen, 2004. ([pdf](https://www.irif.fr/~mellies/papers/ag3-ctcs.pdf))

* [[Robin Cockett]], [[Geoff Cruttwell]] and K. Saff, _Combinatorial Game Categories_, ([pdf](https://www.mta.ca/uploadedFiles/Community/Bios/Geoff_Cruttwell/CGC.pdf))

* [[John Baez]], [TWF240](http://math.ucr.edu/home/baez/week240.html) on 'Holodeck games'.


For attempts to formulate a game semantics for dependent type theory, see

* [[Matthijs Vákár]], [[Radha Jagadeesan]], [[Samson Abramsky]], _Game Semantics for Dependent Types_, ([pdf](https://users.ox.ac.uk/~magd3996/research/I%26C%20Submission.pdf))

* Norihiro Yamada, _Game Semantics for Martin-Löf Type Theory_, ([arXiv:1610.01669](https://arxiv.org/abs/1610.01669))
