
#Contents#
* table of contents
{:toc}

## Idea

What is called _Borel-Moore homology_ is a [[homology theory]] for suitably nice ([[locally compact topological spaces|locally compact]]) [[topological spaces]], which was introduced in terms of [[sheaf cohomology]] in ([Borel-Moore 60](#BorelMoore60)). Later it was observed that the homology groups obtained this way have the following equivalent description: They arise simply by generalizing in the ordinary definition of [[singular homology]] the finite [[formal linear combinations]] to _locally finite_ ones. Accordingly, one speaks also of _locally finite homology_ ([Spanier 93](#Spanier93)). A detailed account is in ([Hughes-Ranicki 96](#HughesRanicki96)).

A key property of Borel-Moore/locally finite homology is that on nice enough topological spaces $X$ it is [[natural isomorphism|naturally isomorphic]] to the [[ordinary homology]] of the [[one-point compactification]] of $X$.
It is in this way that the theory is often used in practice, as a means for computing homology of one-point compactifications.

The proof of this statement is indicated in ([Hughes-Ranicki 96](#HughesRanicki96)), it passes through comparison with [[Steenrod homology]] via results of ([Milnor 95](#Milnor95)).


## References

The original article is

* {#BorelMoore60} [[Armand Borel]], [[John Moore]], _Homology theory for locally compact spaces_,     Michigan Math. J. Volume 7, Issue 2 (1960), 137-159. ([Euclid](http://projecteuclid.org/euclid.mmj/1028998385), [pdf](http://projecteuclid.org/download/pdf_1/euclid.mmj/1028998385))

The formulation in terms of locally finite singular homology was highlighted in 

* {#Spanier93} [[Edwin Spanier]], _Singular homology and cohomology with local coefficients and duality for manifolds_, Pacific J. Math. 1993

and the equivalence to [[ordinary homology]] of [[one-point compactifications]] is based on results in 

* {#Milnor95} [[John Milnor]], _On the Steenrod homology theory_, Cambridge 1995

Textbook accounts include

* {#HughesRanicki96} Bruce Hughes, [[Andrew Ranicki]], _Ends of complexes_, Cambridge University Press 1996 ([pdf](http://www.maths.ed.ac.uk/~aar/books/ends.pdf), [pdf](http://www.maths.ed.ac.uk/~aar/books/endint.pdf))

* [[Glen Bredon]], _Borel-Moore Homology_, chapter in _Sheaf Theory_, Volume 170 of the series Graduate Texts in Mathematics pp 279-416

See also

* Wikipedia, _[Borel-Moore homology](https://en.wikipedia.org/wiki/Borel%E2%80%93Moore_homology)_

* Joel Lemay, _Borel-Moore Homology_, 2012 ([pdf](http://mysite.science.uottawa.ca/jlema072/Borel-Moore.pdf))

* Martin Olsson, _Borel-Moore homology, Riemann-Roch transformations, and local terms_ ([pdf](https://math.berkeley.edu/~molsson/EtandRR.pdf))


