
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Analysis
+-- {: .hide}
[[!include analysis - contents]]
=--
#### Geometry
+--{: .hide}
[[!include higher geometry - contents]]
=--
=--
=--




#Contents#
* table of contents
{:toc}

## Idea

Given a [[metric space]] $(X,d)$ and a point $x \in X$, then the _unit sphere_ $S_x(X) \subset X$ is the [[subset]] of those points with unit [[distance]] from $x$:

$$
  S_x(X)
  \;\coloneqq\;
  \left\{
     x' \in X  \;\vert\; d(x',x) = 1
  \right\}
  \,.
$$ 

## Examples

In the [[Euclidean space]] $(X,d) = E^n$ of [[dimension]] $n$, the unit sphere is the usual [[n-sphere|(n-1)-sphere]] $S^{n-1} \simeq S_0(\mathbb{R}^n)$. For $n = 2$ this is the _unit [[circle]]_, for $n = 3$ the unit [[2-sphere]] and so on.

## Related concepts

* [[stereographic projection]]

* [[unit sphere bundle]]

* [[direction of a vector]]

* [[polas coordinates]]

[[!redirects unit spheres]]

[[!redirects unit n-sphere]]
[[!redirects unit n-spheres]]

[[!redirects unit circle]]
[[!redirects unit circles]]
