
#Contents#
* table of contents
{:toc}

## Idea

The [[category]] of [[countable ordinals]] and [[simulations]], ordered by inclusion, is a [[preorder]] and in fact equivalent to a [[woset]]. In [[material set theory]], this woset is often identified with the first [[uncountable ordinal]] (well-ordered set under the membership relation), often denoted $\omega_1$. [[structural set theory|Structurally]], we can define $\omega_1$ up to [[isomorphism]] as a [[skeleton]] of the category of countable ordinals, or the [[Hartogs number]] of a countably infinite set, and so the study of countable ordinals becomes a study of the order structure of $\omega_1$. 

This $\omega_1$ has no top element (of course not: otherwise $\omega_1$ would be a countable ordinal), and much of the interest and fun of the subject lies in playing the childhood game of seeing who can name the bigger number, or in this case the bigger countable ordinal. A key fact is that $\omega_1$ is countably cocomplete, and therefore behaves like a self-contained [[universe]] with respect to countably cocontinuous operations. There is quite a lot of scope in what one can build up to using such operations. After playing the larger ordinal game for a while, and becoming impressed by the sizes of ordinals one can define -- while recognizing at the same time that one is "never getting anywhere" relative to $\omega_1$ itself -- it is hard not to become awestruck by the staggering immensity of $\omega_1$.

On the other hand, the [[cardinality]] of $\omega_1$ is of course no bigger than that of, say, the real numbers $\mathbb{R}$ (and the same as it if the [[continuum hypothesis]] holds).


## Related concepts

* [[long line]]

## References

See also

* Wikipedia, _[First uncountable ordinal](https://en.wikipedia.org/wiki/First_uncountable_ordinal)_

