
#Contents#
* table of contents
{:toc}

## Idea

A _fractal_ is a [[space]] of sorts which is self-similar, to some extent, under rescalings.

There is a concept of [[fractal dimension]] which measures how the amount of detail of a given space changes with scale. For ordinary [[manifolds]] this fractal dimension coincides with the usual [[dimension]], taking values in the [[natural numbers]]. For fractal spaces however the fractal dimension may be a non-negative [[rational number]], in fact a [[real number]], hence a [[fraction]], whence the name "fractal".

## Examples

* [[Cantor space]]

* [[Mandelbrot set]]

* [[Julia set]]

## Related concepts

* [[conformal invariance]]

## References

For [[category theory|category theoretic]] treatments of the self-similarity found in fractals in terms of [[terminal coalgebras]], see

* [[Tom Leinster]], _A general theory of self-similarity_, ([arXiv:1010.4474](https://arxiv.org/abs/1010.4474))

* Prasit Bhattacharya, Lawrence S. Moss, Jayampathy Ratnayake, and Robert Rose, _Fractal Sets as Final Coalgebras Obtained by Completing an Initial Algebra_, ([pdf](http://www3.nd.edu/~pbhattac/papers/Sierpinski.pdf))

See also

* Wikipedia, _[Fractal](https://en.wikipedia.org/wiki/Fractal)_

[[!redirects fractals]]
