
# Opposite relations
* table of contents
{: toc}

## Definition

Given a binary [[relation]] $R$ from $X$ to $Y$, its __opposite relation__ (or __dual__, __inverse__, __converse__, __reverse__, etc) is a relation $R^{op}$ from $Y$ to $X$ as follows:

*  $b$ is $R^{op}$-related to $a$ if and only if $a$ is $R$-related to $b$.

Note that $(R^{op})^{op} = R$.


The operation $op$ is part of the requirements for [[Rel]] to be an [[allegory]].


## Examples

If $f$ is a [[function]] thought as a [[functional relation|functional]] [[entire relation|entire]] relation, then $f^{op}$ is also a function if and only if $f$ is a [[bijection]]; in that case, $f^{op}$ is the [[inverse function|inverse]] of $f$.


More generally, we have the following:

| If $R$ is ... | | then $R^{op}$ is ... |
| ------------- |-| -------------------- |
| functional    | | injective            |
| entire        | | surjective           |
| injective     | | functional           |
| surjective    | | entire               |


If $R$ is a [[partial order]] (or even a [[preorder]]), then so is $R^{op}$; so each [[poset]] (or [[proset]]) has an [[opposite poset]] (or proset), which is a special case of an [[opposite category]].


[[!redirects opposite relation]]
[[!redirects opposite relations]]
[[!redirects opposite of a relation]]
[[!redirects opposites of a relation]]
[[!redirects opposites of relations]]

[[!redirects dual relation]]
[[!redirects dual relations]]
[[!redirects dual of a relation]]
[[!redirects duals of a relation]]
[[!redirects duals of relations]]

[[!redirects inverse relation]]
[[!redirects inverse relations]]
[[!redirects inverse of a relation]]
[[!redirects inverses of a relation]]
[[!redirects inverses of relations]]

[[!redirects converse relation]]
[[!redirects converse relations]]
[[!redirects converse of a relation]]
[[!redirects converses of a relation]]
[[!redirects converses of relations]]

[[!redirects reverse relation]]
[[!redirects reverse relations]]
[[!redirects reverse of a relation]]
[[!redirects reverses of a relation]]
[[!redirects reverses of relations]]
