
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Arithmetic
+--{: .hide}
[[!include arithmetic geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}


## Idea

Arithmetic (Greek ἀριθμός: number) is, roughly speaking, the study of [[numbers]] in their manifold forms, and the structure and properties of the operations defined on them, including at least [[addition]] and [[multiplication]], and sometimes also [[subtraction]], [[division]], and [[exponentiation]]. 

Notions of "[[number]]" are very broad and not at all easy to encapsulate. There are [[natural numbers]], [[integers]], [[rational numbers]], [[real numbers]], [[complex numbers]], [[quaternions]] (Hamiltonian numbers), [[octonions]] (Cayley numbers). There are [[algebraic numbers]] and [[algebraic integers]], and individual [[fields]] of such ([[number fields]]). There are $p$-[[adic numbers]]. Then there are [[cardinal numbers]], [[ordinal numbers]], and [[surreal numbers]]. For each one of these one can (and does!) speak of its arithmetic. 

This article will provide links to other articles in which these various cases are discussed. 

* [[number theory]]

  * [[Peano arithmetic]]

  * [[second-order arithmetic]]

  * [[arithmetic geometry]], [[arithmetic scheme]], [[arithmetic variety]], [[arithmetic curve]], [[arithmetic genus]], [[arithmetic Chern-Simons theory]]

  * [[arithmetic topology]]

  * [[arithmetic pretopos]]

* [[transfinite arithmetic]]

  * [[cardinal arithmetic]]

  * [[ordinal arithmetic]]

## References

See also

* Wikipedia, _[Arithmetic](https://en.wikipedia.org/wiki/Arithmetic)_


[[!redirects arithmetics]]