In a very common sense of the word, "operation" connotes a [[map]] between [[sorts]] or [[types]], especially when interpreting [[algebraic theories]] such as the theory of [[groups]], which involves a set or type $X$ and prescribed operations such as a binary multiplication map $X \times X \to X$. In such cases, an operation is considered as having an assigned [[arity]], for example arity $2$ for a binary operation, or arity $1$ for an unary operation such as the power set operation $P: V \to V$ on the [[universe]] of sets. 

There is however no single global definition which precisely delineates all usages of the word "operation" in mathematics; thus, "operation" functions as something of a catch-all term with varying connotations. Some pages within the nLab in which the word appears include 

* [[operad]] 

* [[cohomology operation]] 

* [[six operations]] 

* [[quantification]] 

among others, many of which describe concepts related to the general notion of algebraic theory (such as [[magma]], [[Lawvere theory]], [[Mal'cev theory]], etc.). See also _[[operator]]_. 

One might stop short of synonymizing "operation" simply with the word "[[function]]", but just in what way is hard to say; suffice it to say there may be shades of meaning or context where one is definitely inclined to choose one word over the other. 


Compare related terms and language use described in [[function]]. 

[[!redirects operations]]
