__Nikolai Durov__  (&#1053;&#1080;&#1082;&#1086;&#1083;&#1072;&#1081; &#1042;&#1072;&#1083;&#1077;&#1088;&#1100;&#1077;&#1074;&#1080;&#1095; &#1044;&#1091;&#1088;&#1086;&#1074;) is a Russian mathematician from St. Petersburg with main current interests in [[arithmetic geometry]], currently employed at St. Petersburg  Department of the Steklov Institute of Mathematics.

* [homepage](http://www.pdmi.ras.ru/eng/perso/durov.php) at Steklov 
* [mathnet.ru](http://www.mathnet.ru/php/person.phtml?&personid=34084&option_lang=eng) entry
* wikipedia: [Nikolai Durov](http://en.wikipedia.org/wiki/Nikolai_Durov)

Durov obtained his Ph.D. in 2007 in Bonn under [Gerd Faltings](http://en.wikipedia.org/wiki/Gerd_Faltings):

* _A new approach to Arakelov geometry_, [arxiv/0704.2030](http://arxiv.org/abs/0704.2030)

Durov's mathematical work preceding his study in Bonn includes his work on classical [[Galois theory]] of polynomial equations; it provides essentially the third historically available method to compute algorithmically a Galois group of a given equation. His method is however statistical and some random data are included in input. The algorithm terminates with probability $1$ for all equations iff the [[Riemann hypothesis]] is true. The exposition of these results is in

* N. V. Durov, _Computation of the Galois group of a polynomial with rational coefficients. I._ (Russian) Zap. Nauchn. Sem. S.-Peterburg. Otdel. Mat. Inst. Steklov. (POMI) 319 (2004), Vopr.Teor. Predst. Algebr. i Grupp. 11, 117--198, 301; English translation in J. Math. Sci. (N. Y.) 134 (2006), no. 6, 2511--2548 (MR2006b:12006)
* N. V. Durov, _Computation of the Galois group of a polynomial with rational coefficients. II._ (Russian) Zap. Nauchn. Sem. S.-Peterburg. Otdel. Mat. Inst. Steklov. (POMI) 321 (2005), Vopr. Teor. Predst. Algebr. i Grupp. 12, 90--135, 298; English translation in J. Math. Sci. (N. Y.) 136 (2006), no. 3, 3880--3907 (MR2006e:12004)

Nikolai Durov is also an experienced computer programmer. He was a member of a St Petersburg State University student team winning a student [world tournament](http://www.cs.northwestern.edu/~agupta/_projects/acm_ibm/acm2001.htm) in programming. His high school education was in Italy. His younger brother [Pavel V. Durov](http://durov.vkontakte.ru) is a professional programmer and main constructor behind [one of the most popular internet sites](http://Vkontakte.ru) in Russia. Nikolai and Pavel together established communication platform and company [Telegram](https://telegram.org) (see [FAQ](https://telegram.org/faq) and [wikipedia](https://en.wikipedia.org/wiki/Telegram_(messaging_service)) where they work on Nikolai's envisioned Telegram Open Network (TON) which they classify as a 5th generation blockchain project (see 23 page 'whitepaper'
[pdf](https://drive.google.com/file/d/1ucUeKg_NiR8RxNAonb8Q55jZha03WC0O/view) and Nikolai's 132-page technical overview [pdf](https://www.kriptovaluta.hr/wp-content/uploads/2018/03/TON-Technology.pdf), which uses [[type theory]] and notation in some technical paragraphs; the authenticity of the documents is not officially confirmed).

Nikolai Durov is currently working on his habilitation thesis. His earlier publications also include 

* N. Durov, S. Meljanac, A. Samsarov, [[Z. Škoda]], _A universal formula for representing Lie algebra generators as formal power series with coefficients in the Weyl algebra_, Journal of Algebra 309, n. 1, 318--359 (2007)
([doi:jalgebra](http://dx.doi.org/10.1016/j.jalgebra.2006.08.025))
([math.RT/0604096](http://front.math.ucdavis.edu/math.RT/0604096)).

where in chapters 7--9 Durov presented a flexible theory of a class of functors which can be viewed as representing generalizations of [formal schemes](http://en.wikipedia.org/wiki/Formal_scheme) but over an arbitrary ring, and with weaker assumptions. This theory is then applied to a problem in Lie theory and deformation theory; an interesting chapter on symplectic Weyl algebras is included. In chapter 10 an alternative method using [[Hopf algebras]] rather than geometry is presented.  

Recently he introduced the notion of a [[vectoid]] and the related notion of an [[algebrad]] which is a generalization of the notions of a symmetric and a non-symmetric operad:

* Nikolai Durov, _Classifying vectoids and generalisations of operads_, [arxiv/1105.3114](http://arxiv.org/abs/1105.3114), the translation of "&#1050;&#1083;&#1072;&#1089;&#1089;&#1080;&#1092;&#1080;&#1094;&#1080;&#1088;&#1091;&#1102;&#1097;&#1080;&#1077; &#1074;&#1077;&#1082;&#1090;&#1086;&#1080;&#1076;&#1099; &#1080; &#1082;&#1083;&#1072;&#1089;&#1089;&#1099; &#1086;&#1087;&#1077;&#1088;&#1072;&#1076;", Trudy MIAN, vol. 273 
* _Classifying vectoids and generalizations of operads_, talk at 
The International Conference "Contemporary Mathematics"
June 12, 2009, video: [link](http://www.mathnet.ru/php/presentation.phtml?option_lang=eng&presentid=345) 

Other sources:

* _Computation of derived absolute tensor square of the ring of integers_, talk at 2nd annual conference-meeting MIAN&#8211;POMI "Algebra and Algebraic Geometry", St. Petersburg, December 25, 2008, [link](http://www.mathnet.ru/php/presentation.phtml?option_lang=eng&presentid=267)  
* _Arithmetic intersection theory and homotopical algebra_, seminar 2007  
* N. V. Durov, _&#1058;&#1086;&#1087;&#1086;&#1083;&#1086;&#1075;&#1080;&#1095;&#1077;&#1089;&#1082;&#1080;&#1077; &#1088;&#1077;&#1072;&#1083;&#1080;&#1079;&#1072;&#1094;&#1080;&#1080; &#1072;&#1083;&#1075;&#1077;&#1073;&#1088;&#1072;&#1080;&#1095;&#1077;&#1089;&#1082;&#1080;&#1093; &#1084;&#1085;&#1086;&#1075;&#1086;&#1086;&#1073;&#1088;&#1072;&#1079;&#1080;&#1081; (Topological realizations of algebraic varieties)_, preprint POMI 13/2012 (in Russian) [abstract](http://www.pdmi.ras.ru/preprint/2012/12-13.html), [pdf.gz](ftp://ftp.pdmi.ras.ru/pub/publicat/preprint/2012/13-12_rus.pdf.gz)
* N. V. Durov, _&#1052;&#1059;&#1051;&#1068;&#1058;&#1048;&#1055;&#1051;&#1048;&#1050;&#1040;&#1058;&#1048;&#1042;&#1053;&#1067;&#1045; &#1052;&#1054;&#1053;&#1054;&#1048;&#1044;&#1067; ${\mathbb{F}}_p$-&#1040;&#1051;&#1043;&#1045;&#1041;&#1056; &#1048; &#1040;&#1041;&#1057;&#1054;&#1051;&#1070;&#1058;&#1053;&#1067;&#1045; &#1058;&#1045;&#1053;&#1047;&#1054;&#1056;&#1053;&#1067;&#1045; &#1055;&#1056;&#1054;&#1048;&#1047;&#1042;&#1045;&#1044;&#1045;&#1053;&#1048;&#1071; &#1050;&#1054;&#1053;&#1045;&#1063;&#1053;&#1067;&#1061; &#1055;&#1054;&#1051;&#1045;&#1049;_, (Multiplicative monoids of ${\mathbb{F}}_p$-algebras and absolute tensor products of finite fields), preprint POMI 12/2012 (in Russian) [abstract](http://www.pdmi.ras.ru/preprint/2012/12-12.html) [pdf.gz](ftp://ftp.pdmi.ras.ru/pub/publicat/preprint/2012/12-12_rus.pdf.gz)
* N. V. Durov, _Homotopy theory of normed sets I. Basic constructions_, Algebra i Analiz, 29:6 (2017),  35–98 [mathnet.ru](http://www.mathnet.ru/php/archive.phtml?wshow=paper&jrnid=aa&paperid=1562&option_lang=eng)

The last paper (part 1 out of 3) is partly extending ideas from

* Paugam F., _Overconvergent global analytic geometry_, 2015, arXiv:1410.7971v2

[[!redirects Nikolai Durov]]
[[!redirects Николай Дуров]]
[[!redirects Николай Валерьевич Дуров]]
