[[!redirects planar]]

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Graph theory
+-- {: .hide}
[[!include graph theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Definition

### Planar graphs

A **planar graph** is a [[graph]] which may be [[embedding|embedded]] into a [[surface]] of [[genus]] 0 (such as a [[sphere]] or the [[Euclidean plane]]) without crossing edges. 

### Plane graphs/planar maps

Planarity is usually considered as a [[property]] of graphs, rather than as extra [[structure]]. When the structure reading is intended, this is sometimes referred to as a "[[plane graph]]" or "[[planar map]]": that is, a graph equipped with an embedding into a genus 0 surface. In this sense, a planar graph is just a graph which is isomorphic to the underlying graph of a planar map. In particular, one graph might have multiple non-isomorphic embeddings into the plane, or it may be planar while also admitting embeddings into surfaces of higher genus (e.g., $K_4$ is planar, but can also be embedded into the [[torus]]).



## Properties

### Existence of embeddings

The existence of an embedding of an arbitrary graph $G$ into a surface of genus 0 may be tested by various _planarity criteria_, such as Kuratowski's theorem ($G$ is planar iff it does not contain a subgraph that is an edge [[subdivision]] of $K_5$ or $K_{3,3}$, closely related to Wagner's theorem that this is the case iff $K_5, K_{3, 3}$ are not [[graph minors]] of $G$) or _Mac Lane's planarity criterion_ (the [[cycle space]] of $G$ has a [[basis of a vector space|basis]] such that no edge of $G$ appears in more than two basis vectors). 

Related to the [[Kuratowski]] and [[Mac Lane]] characterizations is the [[matroid]] characterization of [[Hassler Whitney]]: a graph is planar iff its [[matroid|graphic matroid]] is [[matroid|dual]] to another graphic matroid. 

## Related entries

* [[Euler's formula for planar graphs]]

* [[planar map]]

* [[topological map]]

## References

Some related Wikipedia articles: 

* [Planar graph](https://en.wikipedia.org/wiki/Planar_graph)
* [Polyhedral graph](https://en.wikipedia.org/wiki/Polyhedral_graph)

Early articles describing different planarity criteria:

* [[Casimir Kuratowski]] (1930), "Sur le probl&#232;me des courbes gauches en Topologie", _Fundamenta Mathematicae_, 15 (1):271-283. [eudml](https://eudml.org/doc/212352)
* [[Hassler Whitney]] (1932), "Non-separable and planar maps", _Transactions of the American Mathematical Society_, 34 (2): 339&#8211;362. [doi](https://doi.org/10.1090%2FS0002-9947-1932-1501641-2)
* [[Saunders Mac Lane]] (1937), "A combinatorial condition for planar graphs", _Fundamenta Mathematicae_, 28 (1): 22&#8211;32. [eudml](https://eudml.org/doc/212919)

[[!redirects planar graphs]]
