
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Arithmetic geometry
+--{: .hide}
[[!include arithmetic geometry - contents]]
=--
#### Differential geometry
+--{: .hide}
[[!include synthetic differential geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea
**Arithmetic differential geometry** is an approach to [[arithmetic]] which looks to find analogs of constructions in [[differential geometry]], for example, [[arithmetic jet spaces]]. It has been developed primarily by [[Alexandru Buium]].

According to this approach, the classical derivatives of differential geometry are replaced by [[p-derivations]] for prime $p$, such as the [[Fermat quotient]]

$$
\delta_p: \mathbb{Z} \to \mathbb{Z}, a \mapsto \delta_p a = \frac{a - a^p}{p}.
$$

##Comparison with Borger's absolute geometry

 
Buium explains that when working with a single prime his approach is consistent with [[Borger's absolute geometry]], which is described as "an algebraization of our analytic theory" ([Buium 17, p. 24](#Buium17)). However, in the case of multiple primes Borger requires [[Frobenius lifts]] to commute, and this diverges from the non-vanishing 'curvature' Buium derives from non-commuting lifts. For him, the ("manifold" corresponding to) the integers, $\mathbb{Z}$, is "intrinsically curved".

## Related pages

* [[arithmetic jet space]]

* [[Borger's absolute geometry]]

* [[D-geometry]]

* [[arithmetic geometry]]

##References 

* {#Buium17} [[Alexandru Buium]], _Foundations of arithmetic differential geometry_, 2017, AMS, Mathematical Surveys and Monographs Vol. 222, ([AMS](http://bookstore.ams.org/surv-222/), [Preface and Introduction](http://www.math.unm.edu/~buium/foundationsintro.pdf)).

* [[Alexandru Buium]], _Arithmetic differential geometry_, May 19, 2017, [talk slides](http://www.math.unm.edu/~buium/adgtalk.pdf)