## Idea

Formally, a cotopology of a topological space $X$ is a coarser topological space $^*X$ on the same set $X$ that does not forget too many sets.
Some topologically concepts, like complete metrizability, can be formulated in terms of cotopology.
The approach was introduced by Johannes de Groot.
He argued that cocompact spaces are a better generalization of the [[complete space|completeness property]] of metric spaces than [[uniform space|uniform structures]].


## Definitions

+-- {: .num_defn}
###### Definition
Let $X$ be a topological space and set $\mathcal{O} = Op(X)$.
A topology $^*\mathcal{O}$ on $X$ is called a **cotopology** of $\mathcal{O}$---and $^*X = (X, ^*\mathcal{O})$ is called a **cospace** of $X$---if

1. $^*\mathcal{O}$ is coarser than $\mathcal{O}$, i.e., $^*\mathcal{O} \subseteq \mathcal{O}$; 
1. for each point $x$ and each closed neighborhood $V$ of $x$ in $X$ there exists a neighborhood $U$ of $x$ in $X$ such that $U$ is contained in $V$ and $U$ is closed in $^*X$.
=--

For [[regular space|regular spaces]] the last condition can be replaced by

* Each point $x$ has a neighborhood base in $X$ the elements of which are closed in $^*X$.


+-- {: .num_defn}
###### Definition
A topological space $X$ is called **cocompact** if there is a cospace $^*X$ of $X$ which is [[compact space|compact]].

=--

## Properties

Every cocompact [[regular space]] is a [[Baire space]]. A [[metrisable topological space|metrisable space]] is [[topologically complete space|topologically complete]] if and only if it is cocompact.

A space that admits only Hausdorff cospaces is equivalently an H-closed space, i.e. it (is Hausdorff and) is not a proper dense subspace of another space.

## References

* Aarts, de Groot, McDowell, _Cotopology for metrizable spaces_ 1970, Duke Mathematical Journal vol. 37.

* G. E. Strecker and G. Viglino, _Cotopology and Minimal Hausdorff Spaces_ 1969,  Proceedings of the American Mathematical Society
Vol. 21 No. 3.

The concept originally developed from

* de Groot, _Subcompactness and the Baire category theorem_ 1963, Nederl. Akad. Wetensch. Proc., Ser. A66 = Indag. Math., vol. 25, pp. 761-767.

[[!redirects cocompact space]]