
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The _weak gravity conjecture_ is a [[conjecture]] ([Arkani-Hamed, Motl, Nicolis, Vafa 06](#ArkaniHamedMotlNicolisVafa06)) often summarized as saying that for [[gravity]] or [[quantum gravity]] to be consistent, the [[force]] of the field gravity must be weaker than that of any of the [[gauge field]] forces, in suitable units.

## Loose statement

More precisely, what is argued in ([AH-M-N-V 06, section 2](#ArkaniHamedMotlNicolisVafa06)) is that there alwayst must be "[[elementary particles]]" for which the ratio $m/{\vert q\vert}$ of their [[mass]] over their [[gauge field]] [[charge]] (e.g. [[electric charge]], [[magnetic charge]]) is smaller than one: $m/{\vert q\vert} \lt 1$ (in natural [[units]]).

The argument for this in ([AH-M-N-V 06, section 2.2](#ArkaniHamedMotlNicolisVafa06)) is the following. The extremal ([[BPS state]]) bound for [[charged black holes]] is that their mass $M$ _exceeds or equals_ their charge ${\vert Q\vert}$, $M/{\vert Q\vert} \geq 1$. Now via [[black hole radiation]] any black hole is supposed to eventually decay by radiating away elementary particle quanta. If there were no elementary particle with $m/{\vert q\vert} \leq 1$, so the argument goes, then by radiating away particles with $m/{\vert q\vert} \gt 1$ the black hole would eventually lose all its mass, while still having some non-vanishing charge left. But such "black hole remnants" have been argued to lead to inconsistency ([Susskind 96](#Susskind96))

## In string theory

The weak gravity conjecture was originally motivated from [[string theory]], which is argued to validate the "weak gravity" assumption.

In ([AH-M-N-V 06, section 4](#ArkaniHamedMotlNicolisVafa06)) it is argued that the closed [[superstring]] excitattion states in [[heterotic string theory]] [[KK-compactification|KK-compactified]] on to 4d satisfy the condition $m/{\vert q\vert} \lt 1$:

<img src="https://ncatlab.org/nlab/files/WeakGravityConjectureHetStates.jpg" width="600">

## Relation to cosmic censorship

In 2015 [[Cumrun Vafa]] has argued that the weak gravity conjecture implies the [[cosmic censorship hypothesis]]: The latter turns out to be generally false, even in in 4 dimensions ([Crisford-Santos 17](censorship+hypothesis#CrisfordSantos17)), but there are arguments that configurations violating it also violate the assumption of "weak gravity".

> Subsequent calculations by Santos and Crisford supported Vafa's hunch; the simulations they're running now could verify that naked singularities become cloaked in black holes right at the point where gravity becomes the weakest force. ([Wolchover, June 20 2017](https://www.quantamagazine.org/where-gravity-is-weak-and-naked-singularities-are-verboten-20170620/))

## Related concepts

* [[cosmic censorship hypothesis]]

* [[landscape of string theory vacua]]

## References

The statement is due to 

* {#ArkaniHamedMotlNicolisVafa06} [[Nima Arkani-Hamed]], Lubos Motl, Alberto Nicolis, [[Cumrun Vafa]], _The String Landscape, Black Holes and Gravity as the Weakest Force_, JHEP 0706:060,2007 ([arXiv:hep-th/0601001](https://arxiv.org/abs/hep-th/0601001))

with reference to arguments in

* {#Susskind96} [[Leonard Susskind]], _Trouble For Remnants_ ([arXiv:hep-th/9501106](https://arxiv.org/abs/hep-th/9501106))

Further discussion includes

* Clifford Cheung, Junyu Liu, Grant N. Remmen, _Proof of the Weak Gravity Conjecture from Black Hole Entropy_ ([arXiv:1801.08546](https://arxiv.org/abs/1801.08546))
