
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--



# Contents
* table of contents
{: toc}

## Idea

The result called **Hensel's lemma** is a generalisation of a result due to [[Kurt Hensel]] on solving [[polynomial]] [[equations]] in [[p-adic number]] [[rings]]. It applies to certain [[completion of a ring|complete]] [[topological rings]], and now [[local rings]] that satisfy the conclusion of the lemma (really a theorem) are called _[[Henselian rings]]_.

## Statement

An element $x$ of a [[topological ring]] is called *topologically nilpotent* if 0 is a limit of the sequence $\{x^n\}$. (For example: in any ring $A$ equipped with a (two-sided) [[ideal]] $m$, the elements of $m$ are topologically nilpotent in the $m$-adic topology.)

A topological ring is *linearly topologized* if 0 has a fundamental system of neighbourhoods consisting of ideals.

+-- {: .num_theorem} 
###### Theorem 
("Hensel's Lemma")

Let $A$ be a complete Hausdorff linearly topologized commutative ring. Let $m$ be a closed ideal of $A$ whose elements are topologically nilpotent. Let $B=A/m$ be the quotient topological ring and $\phi\colon A\to B$ the quotient map. Let $R\in A\{X\}$ be a [[restricted formal power series]], $\overline{P}$ a monic polynomial in $B[X]$ and $\overline{Q}\in B\{X\}$. Suppose that $\overline{\phi}(R) = \overline{P}.\overline{Q}$ and that $\overline{P}$ and $\overline{Q}$ are strongly relatively prime in $B\{X\}$. Then there exists a unique lift of $\overline{P}$ to $P\in A[X]$ and of $\overline{Q}$ to $Q \in A\{X\}$ such that $R=P.Q$. Moreover $P$ and $Q$ are strongly relatively prime in $A\{X\}$, and if $R$ is a polynomial, so is $Q$.

=-- 

The proof proceeds by considering successively more general statements, starting with various cases in which $A$ is discrete, in which case $R$ and $\overline{Q}$ are polynomials.

+-- {: .proof}
###### Proof

First consider the case that $m^2=0$. Let $S,T\in A[X]$ with $S$ monic, $\overline{\phi}(S)=\overline{P}$ and $\overline{\phi}(T) = \overline{Q}$.

\ldots

The second case is that $m$ is a nilpotent ideal: there is some $n\geq 2$ such that $m^n=0$. This is proved by induction on $n$, with the base case covered by the first part of the proof.

\ldots

The third case assumes merely that $A$ is discrete, or equivalently that $m$ is a [[nil-ideal]] (every element in $m$ is nilpotent, with no global bound on the order). This case considers an ideal $n$ generated by coefficients of the polynomials at hand, which is then a finitely-generated ideal contained in a nil-ideal, hence nilpotent. We thus can use the second case.

\ldots

The last case is the general case, where one considers a fundamental system of open neighbourhoods of $0$ by ideals $I$, whence $A/I$ is discrete.

\ldots

=--

For the full proof, see ([Bourbaki](#Bourbaki_CA))

This gives rather simpler looking results in special cases, but all of them boil down to lifting factorisations through a quotient map $A \to A/m$. 

The original example is of $A$ being the [[p-adic integers]] $\mathbb{Z}_p$, with the quotient $\mathbb{Z}_p \to \mathbb{F}_p = \mathbb{Z}_p/p\mathbb{Z}_p$.

## Related concepts

* [[Henselian ring]]
* [[Henselian pair]]

## References

The original paper in which a special case of Hensel's lemma appeared, for monic polynomials over the p-adic integers, is

* Kurt Hensel, _Neue Grundlagen der Arithmetik._ Journal f&#252;r die reine und angewandte Mathematik 127 (1904) 51-84 ([EuDML](https://eudml.org/doc/149178))

and updated to remove monicity in

* Kurt Hensel, _Theorie der algebraischen Zahlen_, 1908. ([Internet Archive](https://archive.org/details/theoriederalgeb01hensgoog))

A proof for more general topological rings is in

* {#Bourbaki_CA} [[Bourbaki]], _Commutative Algebra_, III.4.3

See also for simple examples over the $p$-adic numbers:

* Wikipedia, [Hensel's lemma](https://en.wikipedia.org/wiki/Hensel%27s_lemma)

A viewpoint of Hensel's lemma using &#233;tale covers is in Chapitre XI of

* {#Raynaud} Michel Raynaud, Anneaux locaux hens&#233;liens, Lecture Notes in Mathematics, Volume 169 (1970) doi:[10.1007/BFb0069571](https://dx.doi.org/10.1007/BFb0069571)

For an application/quick explanation see [this Math.SE answer](https://math.stackexchange.com/a/1347065/3835)

A version of Hensel's lemma for arbitrary continuous functions $\mathbb{Z}_p \to \mathbb{Z}_p$ (rather than polynomials or formal power series) is in:

* Hajime Kaneko, Thomas Stoll, _Hensel's lemma for general continuous functions_, arXiv:[1707.01445](https://arxiv.org/abs/1707.01445)
