
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Foundations
+-- {: .hide}
[[!include foundations - contents]]
=--
#### Type theory
+-- {: .hide}
[[!include type theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

_Löb's theorem_ in its original form is a generalization of the [[Gödel incompleteness theorem]] whose formulation lends itself to the tools of [[type theory]] and [[modal logic]].

Löb’s theorem states that to prove that a [[proposition]] is [[provability logic|provable]], it is sufficient to prove the proposition under the assumption that it  is  provable.  Since the  [[Curry-Howard isomorphism]] identifies [[formal proofs]] with abstract [[syntax]] trees of [[programs]]; Löb’s theorem implies, for total [[languages]] which validate it, that self-interpreters are impossible. ([Gross-Gallagher-Fallenstein 16](#GrossGallagherFallenstein16))

In [[provability logic]] the abstract statement is considered in itself as an [[axiom]] on a [[modal operator]] $\Box$ interpreted as the [[modality]] "is provable". In this form the statement reads formally:

$$
  \Box(\Box P \to P) \to \Box P
$$ 

for any [[proposition]] $P$ ("Löb's axiom").

This reduces to an [[incompleteness theorem]] when taking $P = $ [[false]] and using that 

1. [[negation]] is $\not P = (P \to false)$;

1. [[consistency]] means that $\Box P \to P$


$$
  \begin{aligned}
    & \Box (\Box false \to false) \to \Box false
    \\
    \Leftrightarrow \;\; & \Box ( \not \Box false ) \to \Box false
    \\
    \Rightarrow \;\;
    & \Box ( \not \Box false ) \to false
    \\ 
    \Leftrightarrow \;\;
    & \not \Box ( \not \Box false )
  \end{aligned}
$$

Where the last line reads in words "It is not provable that false is not provable." 

## Related concepts

* [[fixed-point combinator]] 

* [[Lawvere's fixed point theorem]]

## References

* {#GrossGallagherFallenstein16} [[Jason Gross]], Jack Gallagher, Benya Fallenstein, _Löb's theorem -- A functional pearl of dependently typed quining_, 2016 ([pdf](https://jasongross.github.io/lob-paper/nightly/lob.pdf))

* [[Neelakantan Krishnaswami]], _[Löb's theorem is (almost) the Y-combinator](http://semantic-domain.blogspot.de/2016/05/lobs-theorem-is-almost-y-combinator.html)_, 2016


* [[Jason Gross]], [MO comment](https://mathoverflow.net/a/273951/381) on incompletenss theorems in type theory, 2017

See also 

* Wikipedia, _[Löb's theorem](https://en.wikipedia.org/wiki/L%C3%B6b%27s_theorem)_


[[!redirects Löb theorem]]

[[!redirects Loeb's theorem]]
[[!redirects Loeb theorem]]

[[!redirects Löb's axiom]]
[[!redirects Löb's axioms]]

[[!redirects Loeb's axiom]]
[[!redirects Loeb's axioms]]

[[!redirects Löb axiom]]
[[!redirects Löb axioms]]

[[!redirects Loeb axiom]]
[[!redirects Loeb axioms]]
