
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}


Karoubi defined [[K-theory]] classes given by [[Clifford module bundles]], where a $Cl_n$-module represents a class in $K^n$ and represents the trivial class if it extends to a $Cl_{n+1}$-module.

(Over the point this is the [[Atiyah-Bott-Shapiro isomorphism]].)

## Idea 

We have a sequence of [[Clifford algebras]] $Cl_n$ which are generated by $n$ anticommuting square roots of $\pm 1$. The sequence is periodic up to [[Morita equivalence]]; $Cl_8$ is $\mathbb{R}(16)$, the algebra of $16 \times 16$ real matrices, which is Morita equivalent to $\mathbb{R}$, and from then on it repeats every 8 with extra matrix dimensions thrown in -- this is _[[Bott periodicity]]_.
(Notice that here we treat Clifford algebras as $\mathbb{Z}_2$-[[graded algebras]]: while $Cl_6$ is Morita equivalent to $\mathbb{R}(8)$ as an algebra, it is not so as a graded algebra.)

It turns out that $K^n(X)$ can be represented geometrically by [[Clifford module bundles]] over $X$. Start with $K^0$; we know that elements of $K^0(X)$ are 'formal differences' $V - W$ of vector bundles over $X$ ([[virtual vector bundles]]). We can model the formal difference $V - W$ with an honest geometric object by using the $\mathbb{Z}_2$-graded vector bundle $V \oplus W$, where $V$ is even and $W$ is odd. Such a thing should represent the zero class in K-theory just when $V$ and $W$ are isomorphic; this can be rephrased as saying that there exists an odd operator $e$ on $V \oplus W$ (hence, taking $V$ to $W$ and vice versa) such that $e^2 = 1$. But this just says that $V \oplus W$ has an action of the first Clifford algebra $Cl_1$.

More generally, Karoubi proved that for any $n$, $K^{-n}X$ can be represented by $Cl_n$-module bundles on $X$ modulo those such that the $Cl_n$-action extends to a 
$Cl_{n+1}$-action. When $n = 0$ this is what we had above, since a $Cl_0$-module is just a vector space. This allows us to deduce Bott periodicity for K-groups from the algebraic periodicity (up to Morita equivalence) of Clifford algebras.


## Categorification

[[Chris Douglas]] and [[André Henriques]] have proposed that this description of K-theory has a good [[vertical categorification|categorification]] that might be relevant for [[tmf]] ([DougHen](#DougHen)).

[Here](http://golem.ph.utexas.edu/category/2007/10/higher_clifford_algebras.html#c012972) is a report by [[Mike Shulman]] on a talk by Chris Douglas on this topic, from which also part of the above text is taken.

## Related concepts

* [[topological K-theory]]

* [[Kasparov K-theory]]

* [[conformal nets]]

## References 

* [[Max Karoubi]], _Twisted K-theory old and new_, ([pdf](http://www.math.uiuc.edu/K-theory/0840/TwistedK-theory_mwd.pdf))

* [[Peter Donovan]], [[Max Karoubi]], _Graded Brauer groups and $K$-theory with local coefficients_ ([pdf](http://archive.numdam.org/ARCHIVE/PMIHES/PMIHES_1970__38_/PMIHES_1970__38__5_0/PMIHES_1970__38__5_0.pdf))

Relation to [[twisted K-theory]]:

* [[Max Karoubi]], _Clifford modules and twisted K-theory_, Proceedings of the International Conference on Clifford algebras (ICCA7) ([arXiv:0801.2794](http://arxiv.org/abs/0801.2794))

Categorification using [[conformal nets]]:

* {#DougHen} [[Chris Douglas]], [[André Henriques]], _Topological modular forms and conformal nets_, [arXiv:1103.4187](https://arxiv.org/abs/1103.4187)

[[!redirects Karoubi K-theories]]
