[[!redirects empty 154]]
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}

### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
#### Foundations
+-- {: .hide}
[[!include foundations - contents]]
=--
=--
=--

# Contents
* table of contents
{:toc}


## Idea

**"Versuch, den Begriff der negativen Grössen in die Weltweisheit einzuführen""** (1763) is a short article of [[Immanuel Kant]] concerning the philosophical foundations of the [[integer|integers]], in particular the _negative_ integers. 

## Overview

> Diese kleine Schrift ist eine der tiefsinnigsten und lichtvollsten, die nicht bloß Kant geschrieben, sondern welche die philosophische Literatur überhaupt aufzuweisen hat. Man tut Kant nicht unrecht, wenn man behauptet, daß sie ihm wie ein Meteor entschlüpft und selbst nicht wieder zu Gesicht gekommen ist.[^trans]  Karl Rosenkranz ([1840, p.118](#Rosenkranz40))

[^trans]: _'This small text is one of the deepest and most lightfull not only in the writings of Kant but in the whole philosophical literature. One does no injustice to Kant if one says that it snapped out of him like a meteor and was never seen again by him.'_

Starting with a discussion of the meaning of the minus sign in negative numbers and as a designator of the subtraction operation, Kant sets out to distinguish between (predicate) negation in logic and substraction in arithmetic. He is thereby led to argue for a sharp distinction between _logical_ and _real opposition_: whereas the former leads to logical contradictions, the latter does not.

Since he conceives logical contradictions as the simultaneous predication of a predicate $p$ and its negative $\neg p$ to the same subject $S$, a contradiction destroys the possibility of the thing represented by the subject.

In contrast, in a real opposition, e.g. two forces acting in opposite directions on the same point mass, merely the effects of the opposites are cancelled without affecting their reality, i.e. the cause is still effective but its effect are covered by the effects of its opposite.

As result, a gulf opens between the realm of logic with its analytic modes of reasoning and the realm of reality throwing into crisis the rationalist thought of the Leibniz-Wolffian school that maintained that in principle all truth was analytical and that denied any difference in principle between empirical and logical truths.

Hence the distinction between logical and real oppositions gave Kant strong incentive to reconceptualize the relation between logical and empirical propositions finally leading to the distinction between the formal and transcendental logic in his [[Critique of Pure Reason]] of 1781.

On more general grounds, Kant also recalibrates in the article the relation between philosophy and mathematics, urging the former to modesty e.g. when it comes to deny the existence of [[infinitesimal|infinitesimals]] on metaphysical grounds.

## Repercussions

The concept of real opposition preserving (the reality of) the opposites positively in its result proved to be decisive not only for Kantian but also for the post Kantian philosophy since, as already pointed out by [[Karl Rosenkranz|K. Rosenkranz]] surrounding the discussions around the [[Science of Logic|Hegelian logic]] in the 1840-50s, it can be viewed as a germ of Hegel's concept of contradiction and [[Aufhebung|sublation]] in the _'Wissenschaft der Logik'_. In fact, the section on 'contradiction' in the second volume even has a discussion of arithmetic and negative numbers (cf. [Wolff 2010](#Wolff10)).

## Related entries

* [[Immanuel Kant]]

* [[Karl Rosenkranz]]

* [[Hermann Grassmann]]

* [[transcendental ideal]]

* [[infinite judgement]]

* [[Aufhebung]]

* [[negation]]

* [[Ausdehnungslehre]]

* [[construction in philosophy]]

## References

* {#Giovanelli15} M. Giovanelli, *Trendelenburg and the Concept of Negation in Post-Kantian Philosophy*, to appear in Munk (ed.), *Proceedings of the Amsterdam 2010 Colloquium: Natur des Denkens und das Denken der Natur: Spinoza, Trendelenburg und H. Cohen*. ([draft](https://www.dropbox.com/s/mxm4db8id7je924/Giovanelli%2C%20Marco%20-%20Trendenleburg%20and%20the%20Concept%20of%20Negation%20in%20Post-Kantian%20Philosophy%20Proceedings%20of%20the%20Connference.pdf?dl=0))

* {#Kaestner58} Abraham Gotthelf Kästner, _Anfangsgründe der Arithmetik, Algebra, Geometrie, ebenen und sphärischen Trigonometrie, und Perspectiv_ , Göttingen 1758. ([gdz](http://gdz.sub.uni-goettingen.de/dms/load/toc/?PID=PPN812429885))

* Srećko Kovač, _In what sense is Kantian principle of contradiction non-classical?_ , Logic and Logical Philosophy **17** (2008) pp.251-274. ([link](http://dx.doi.org/10.12775/LLP.2008.013))

* {#Rosenkranz40} [[Karl Rosenkranz]], _Geschichte der Kant'schen Schule_ , Akademie-Verlag Berlin 1987[1840].

* {#Wolff10} Michael Wolff, _Der Begriff des Widerspruchs - Eine Studie zur Dialektik Kants und Hegels_ , Frankfurt UP ²2010.




[[!redirects Attempt to introduce the concept of negative quantities into philosophy]]
[[!redirects concept of negative quantities]]
[[!redirects Concept of Negative Quantities]]