

#Contents#
* table of contents
{:toc}

##Idea

A (complex) **del Pezzo surface** is a smooth projective complex surface with [[ample line bundle|ample]] anticanonical line bundle. Such a surface has a degree defined as the self-intersection of the canonical divisor. The possible degrees run between $d=1$ and $d=9$. Topologically, del Pezzo surfaces are determined by their degree except for $d=8$. If $d$ is different from 8, then a del Pezzo surface of degree $d$, $\mathbb{B}_k$, is a generic [[resolution of singularities|blow up]] of the [[projective plane]] $\mathbb{P}^2$ in $9-d$ points. But if $d=8$, there are two choices: $\mathbb{P}^2$ blown up in one point, $\mathbb{B}_1$, and $\mathbb{P}^1 \times \mathbb{P}^1$, .

For surfaces formed by blowing up $9-d$ points, no three may be collinear, no six lie on a conic, and no eight of them lie on a cubic having a node at one of them. Conversely any blowup of the plane in points satisfying these conditions is a del Pezzo surface.

##Properties

These surfaces admit [[metrics]] of positive [[scalar curvature]].

Homology in degree 2: $dim H_2(\mathbb{B}_k, \mathbb{R}) = k+ 1$; a natural basis to choose is $\{H, E_1, \ldots, E_k\}$, where the $E_a$ are the "exceptional curves" obtained by blow-ups and $H$ represents the pullback of the generator of $dim H_2(\mathbb{P}^2, \mathbb{R})$ under the projection $\pi: \mathbb{B}_k \to\mathbb{B}_0  = \mathbb{P}^2$ which simply collapses each exceptional curve $E_a$ to the corresponding point $p_a \in \mathbb{P}$.


##Related concept

* [[mysterious duality]]

[[!redirects del Pezzo surfaces]]
[[!redirects Del Pezzo surface]]
[[!redirects Del Pezzo surfaces]]

