
# Contents
* table of contents
{: toc}

##Idea

Given a [[group]] $G$ and two [[subgroups]] $H$ and $K$, then the set of **double cosets**, $H \backslash G/K$, is composed of [[equivalence classes]] of elements of $G$, where two elements are regarded as equivalent if they differ by left multiplication with an element in $H$ and right multiplication with an element of $K$.

This construction generalises to [[topological groups]] and [[Lie groups]], where it is called a **double coset space**. The double coset space for $G$ a compact Lie group and $H$ and $K$ closed connected subgroups, with $H$ acting freely on $G/K$, is also known as a **biquotient** (but note that this term is also used, e.g., [here](rational+topological+space#biquotient_spaces), in a more general situation for the orbit space where $H$ is a closed subgroup of $G \times G$, and acts via $(h_1, h_2) g = h_1 g h_2^{-1}$).

From the [[nPOV]], a weak form of the double coset construction is often more natural, $H \backslash \backslash G//K$, and can be defined as the [[homotopy pullback]] of maps of delooped groups,$\mathbf{B} H \to \mathbf{B} G$ and $\mathbf{B} K \to \mathbf{B} G$. This holds more generally for any three [[∞-groups]], with any homomorphisms $H \to G$ and $K \to G$.

## Properties

### Mackey's formula
 {#MackeyFormula}

Double coset decompositions are useful in [[representation theory]], for example in [[George Mackey]]'s formula for the [[restricted representation|restriction]] back to $H$ of a module [[induced representation|induced]] from $K$. Let $W$ be a representation of $K$. Then

$$
  Res^G_H Ind^G_K W 
   \cong 
  \underset{[g] \in H \backslash G/K} \bigoplus Ind^H_{K_g} W_g
  \,,
$$

where $K_g \coloneqq H \intersection g K g^{-1}$, and $W_g$ is the representation of $K_g$ which is $W$ as a vector space, but with action $x \cdot w = (g^{-1} x g) w$ where now $g^{-1} x g \in K$. This formula, sometimes called _Mackey's decomposition theorem_, amounts to the [[Beck-Chevalley condition]] for the homotopy pullback square. It appears, as the _Mackey axiom_, in one of the original definitions of [[Mackey functor]] ([Bouc 02](#Bouc02)).


##Related concepts

* [[Clifford-Klein form]]
* [[locally Klein geometry]]
* [[Hecke algebra]]
* [[Bruhat decomposition]]

##References

* {#Bouc02} Serge Bouc, _Mackey functors_, ([pdf](http://www.lamfa.u-picardie.fr/bouc/mackey.pdf))

[[!redirects double cosets]]
[[!redirects double coset space]]