
**[[propagators]] (i.e. [[integral kernels]] of [[Green functions]])**
<br/> 
**for the [[wave operator]] and [[Klein-Gordon operator]]**
<br/> 
**on a [[globally hyperbolic spacetime]] such as [[Minkowski spacetime]]:**

| name | symbol  | [[wave front set]] | as  [[vacuum expectation value|vacuum exp. value]] <br/> of [[operator-valued distribution|field operators]] | as a [[nonassociative algebra|product]] of <br/> [[operator-valued distribution|field operators]] |
|---|----|---|---|---|
| [[causal propagator]] | $\begin{aligned}\Delta_S & =  \Delta_+ - \Delta_- \end{aligned}$ |  <img src="https://ncatlab.org/nlab/files/RetGreenFunction.png" width="60"> <br/> $\phantom{A}\,\,\,-$ <br/> <img src="https://ncatlab.org/nlab/files/AdvancedGreenFunction.png" width="60"> |$\begin{aligned} & i \hbar \, \Delta_S(x,y) = \\ & \left\langle \;\left[\mathbf{\Phi}(x),\mathbf{\Phi}(y)\right]\; \right\rangle \end{aligned} $ | [[Peierls bracket|Peierls-Poisson bracket]] |
| [[advanced propagator]] | $\Delta_+$  |  <img src="https://ncatlab.org/nlab/files/RetGreenFunction.png" width="60"> | $\begin{aligned} & i \hbar \, \Delta_+(x,y) = \\ & \left\{ \array{ \left\langle \; \left[ \mathbf{\Phi}(x),\mathbf{\Phi}(y) \right] \; \right\rangle &\vert& x \geq y \\ 0 &\vert& y \geq x } \right. \end{aligned} $ | [[future]] part of <br/> [[Peierls-Poisson bracket]] |
| [[retarded propagator]] | $\Delta_-$ | <img src="https://ncatlab.org/nlab/files/AdvancedGreenFunction.png" width="60"> | $\begin{aligned} & i \hbar \, \Delta_-(x,y) = \\ & \left\{ \array{ \left\langle \; \left[\mathbf{\Phi}(x),\mathbf{\Phi}(y) \right] \; \right\rangle &\vert& y \geq x \\ 0 &\vert& x \geq y } \right. \end{aligned}$ | [[past]] part of <br/> [[Peierls-Poisson bracket]] |
| [[Wightman propagator]] | $\begin{aligned} \Delta_H &=  \tfrac{i}{2}\left( \Delta_+ - \Delta_-\right) + H\\ & = \tfrac{i}{2}\Delta_S + H \\ & = \Delta_F - i \Delta_- \end{aligned}$ |  <img src="https://ncatlab.org/nlab/files/HadamardPropagator.png" width="60"> | $\begin{aligned} & \hbar \, \Delta_H(x,y) \\ & = \left\langle \;  \mathbf{\Phi}(x) \mathbf{\Phi}(y) \; \right\rangle \\ & =  \underset{ = 0 }{\underbrace{\left\langle \; : \mathbf{\Phi}(x) \mathbf{\Phi}(y) : \; \right\rangle}} \\ & \phantom{=} + \left\langle \; \left[ \mathbf{\Phi}^{(-)}(x), \mathbf{\Phi}^{(+)}(y) \right] \; \right\rangle \end{aligned} $ | [[positive real number|positive]] [[frequency]] of <br/> [[Peierls-Poisson bracket]], <br/> [[Wick algebra]]-product, <br/> [[2-point function]] <br/> $\phantom{=}$ of [[vacuum state]] <br/> $\phantom{=}$ or generally of <br/> $\phantom{=}$ [[Hadamard state]] |
| [[Feynman propagator]] | $\begin{aligned}\Delta_F & = \tfrac{i}{2}\left( \Delta_+ + \Delta_- \right) + H \\ & = i \Delta_D + H \\ & = \Delta_H + i \Delta_- \end{aligned}$ |  <img src="https://ncatlab.org/nlab/files/FeynmanPropagator.png" width="60"> | $\begin{aligned} & \hbar \, \Delta_F(x,y) \\ & = \left\langle \; T\left( \; \mathbf{\Phi}(x)\mathbf{\Phi}(y) \;\right) \; \right\rangle \\ & = \left\{ \array{ \left\langle \; \mathbf{\Phi}(x)\mathbf{\Phi}(x) \; \right\rangle &\vert& x \geq y \\ \left\langle \; \mathbf{\Phi}(y) \mathbf{\Phi}(x) \; \right\rangle &\vert& y \geq x  } \right.\end{aligned}$  | [[time-ordered product]] |

(see also [[Mikica Kocic|Kocic]]'s overview: [[KGPropagatorsOnMinkowskiTable.pdf:file]])