
#Content#
* table of contents
{:toc}

## Idea

The [[product of distributions]] is not canonically defined on all distributions; it is only partially defined on pairs of distributions whose sum of [[wave front sets]] does not intersect zero ("[[microlocal analysis]]").

In contrast, [Colombeau 92](#Colombeau92) defines algebra structures on distributions, now called _Colombeau algebras_ (see [Gratus 13](#Gratus13) for review) which are globally defined, but at the cost that 

1. they are not uniquely defined,

1. they do not restrict to the usual pointwise product on all functions.

Briefly: Colombeau considers sequences of functions that converge to distributions (weakly) and defines the product of two distributions as the product of the sequences. This product is not independent of the chosen sequences, which means that the level of abstraction achieved by distribution theory is abandoned.

## References

* {#Colombeau92} Jean François Colombeau: _Multiplication of distributions. A tool in mathematics, numerical engineering and theoretical physics._, Springer 1992 ([ZMATH entry] (http://www.zentralblatt-math.org/zmath/en/advanced/?q=an:0815.35002&format=complete)) 

* {#Gratus13} Jonathan Gratus, _Colombeau Algebra: A pedagogical introduction_ ([arViv:1308.0257](https://arxiv.org/abs/1308.0257))

* Hans Vernaeve, _Algebras of generalized functions and Nonstandard analysis_, 2008 ([pdf](http://fibonacci.dm.unipi.it/cluster-pages/ultramath/slides/vernaeve-slides.pdf))

* Wikipedia, _[Colombeau algebra](https://en.wikipedia.org/wiki/Colombeau_algebra)_

[[!redirects Colombeau algebras]]

