

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebraic Quantum Field Theory
+--{: .hide}
[[!include AQFT and operator algebra contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

In [[perturbative quantum field theory]] the [[algebra of observables]] of an [[interacting field theory]] constructed as a [[perturbation]] of the [[Wick algebra]] [[algebra of observables|of observables]] of a [[free field theory]] is called, for emphasis, the _interacting field algebra of observables_, often just "interacting field algebra", for short.

In terms of [[causal perturbation theory]], the interacting field algebra  is obtained from the free field [[Wick algebra]] of observables and the [[perturbative S-matrix]] by [[differentiation|differentiating]] _[[Bogoliubov's formula]]_, yielding a _[[Møller operator]]_.

More abstractly, the algebra of observables is the [[formal deformation quantization]] (specifically [[Fedosov deformation quantization]]) of the [[interacting field theory]] ([Collini 16](#Collini16), [Hawkins-Rejzner 16](#HawkinsRejzner16)).

$\,$


## Properties

### Causal locality of interacting field quantum observables


+-- {: .num_prop #CausalLocalityOfBogoliubovFormula}
###### Proposition
**([[causal locality]])**

As the spacetime support varies, the algebras of [[interacting field quantum observables]] spanned via the Bogoliubov formula consistitute a [[causally local net of observables]], hence an instance of [[perturbative AQFT]]. 

=--

([D&#252;tsch-Fredenhagen 00, section 3](#DuetschFredenhagen00), following [Brunetti-Fredenhagen 99, section 8](#BrunettiFredenhagen99),
[Il'in-Slavnov 78](#IlinSlavnov78))

For **[[proof]]** see [this prop.](S-matrix#PerturbativeQuantumObservablesIsLocalnet) at _[[S-matrix]]_.



## Related concepts

* [[Bogoliubov's formula]]

* [[quantum Møller operator]]

* [[interaction picture]]


[[!include products in pQFT -- table]]


## References

The observation that the pertruabtive interacting field quantum observables form a [[causally local net of quantum observables]] is due to 

* {#IlinSlavnov78} V. A. Il'in and D. S. Slavnov, _Observable algebras in the S-matrix approach_, Theor. Math. Phys. 36 (1978) 32. ([spire](http://inspirehep.net/record/135575), [doi](http://dx.doi.org/10.1007/BF01035870))

then rediscovered in

* {#BrunettiFredenhagen00} [[Romeo Brunetti]], [[Klaus Fredenhagen]], _Microlocal Analysis and Interacting Quantum Field Theories: Renormalization on Physical Backgrounds_, Commun. Math. Phys. 208 : 623-661, 2000 ([math-ph/9903028](https://arxiv.org/abs/math-ph/9903028))

and made more explicit in

* {#DuetschFredenhagen00} [[Michael Dütsch]], [[Klaus Fredenhagen]], _Algebraic Quantum Field Theory, Perturbation Theory, and the Loop Expansion_, Commun.Math.Phys. 219 (2001) 5-30 ([arXiv:hep-th/0001129](https://arxiv.org/abs/hep-th/0001129))



The observation that these algebras are the [[formal deformation quantization]] of the interacting field theory is due to



* {#Collini16} [[Giovanni Collini]], _Fedosov Quantization and Perturbative Quantum Field Theory_ ([arXiv:1603.09626](https://arxiv.org/abs/1603.09626))

* {#HawkinsRejzner16} [[Eli Hawkins]], [[Kasia Rejzner]], _The Star Product in Interacting Quantum Field Theory_ ([arXiv:1612.09157](https://arxiv.org/abs/1612.09157))


[[!redirects interacting field algebras of observables]]

[[!redirects quantum observable on interacting fields]]
[[!redirects quantum observables on interacting fields]]

[[!redirects interacting field algebra of quantum observables]]
[[!redirects interacting field algebras of quantum observables]]

[[!redirects interacting quantum observable]]
[[!redirects interacting quantum observables]]

[[!redirects interacting field quantum observable]]
[[!redirects interacting field quantum observables]]

[[!redirects interacting field observable]]
[[!redirects interacting field observables]]

[[!redirects interacting field algebra]]
[[!redirects interacting field algebras]]

[[!redirects interacting observable algebra]]
[[!redirects interacting observable algebras]]

[[!redirects interacting quantum field observable]]
[[!redirects interacting quantum field observables]]

[[!redirects local interacting field observable]]
[[!redirects local interacting field observables]]

[[!redirects interacting local observable]]
[[!redirects interacting local observables]]




