
#Contents#
* table of contents
{:toc}

## Idea

A [[Kähler structure]] on a [[symplectic manifold]] induces a [[polarization]], and [[geometric quantization]] with respect to such [[Kähler polarizations]] works particularly well and has numerous examples (e.g. the [[orbit method]] and [[quantization of Chern-Simons theory]]). 

An _[[almost Kähler structure]]_ does not induce a [[polarization]] in the usual sense, unless it is actually a Kähler structure. Nevertheless, via [[geometric quantization by push-forward]] there is still a concept of [[geometric quantization]] of almost Kähler structures (in the case of finite-dimensional manifolds), which is "as good" as Kähler quantization ([Borthwick-Uribe 96](#BorthwickUribe96)).

Examples of almost-Kähler structures on [[phase spaces]] include the phase space of the [[scalar field]] with reasonable [[interaction]] terms, such as the [[free field]] or the [[phi^4 theory|phi^4 interaction]] ([Collini 16, section 3.2.2](#Collini16)).

## Related concepts

* [[pseudo-holomorphic vector bundle]]

* [[Fedosov deformation quantization]] naturally applies to almost-Kähler structures, too

## References

A discussion of a kind of [[geometric quantization via push-forward]] on finite-dimensional almost Kähler manifolds is in

* {#BorthwickUribe96} [[David Borthwick]], [[Alejandro Uribe]], _Almost complex structures and geometric quantization_ ([arXiv:dg-ga/9608006](https://arxiv.org/abs/dg-ga/9608006))

Discussion of the almost-Kähler structure on the [[phase space]] of the [[scalar field]] is in 

* {#Collini16} [[Giovanni Collini]], chapter 3 of _Fedosov Quantization and Perturbative Quantum Field Theory_ ([arXiv:1603.09626](https://arxiv.org/abs/1603.09626))

On [[symplectic reduction]] in the almost-Kähler case:

* Martin Otto, _A reduction scheme for phase spaces with almost Kähler symmetry: Regularity results for momentum level sets_, Journal of Geometry and Physics
Volume 4, Issue 2, 1987, Pages 101-118

[[!redirects almost Kähler quantization]]
