> Note to contributors: If you create a page and later see some minor format changes together with a new a link "✄" to this page, the link is meant to help explain why the [[lab elves]] made the format change. Feel free to remove the link to this page once you are satisfied. We will periodically go around and clean, i.e. remove, links to this page, so you do not have to remove the link yourself if you don't want to be bothered.

#Idea#

This is a page containing a set of _explanations_ for common format changes we, the [[lab elves]], might make. These are not a set of _rules_ (we don't like rules). Any contributor is free to agree with the changes and leave them or disagree and rollback (or "undo") any format change.

The goal is to _first and foremost_ make the process of contributing content as easy as possible while at the same time creating at least a loose sense of homogeneity among pages. For the most part, any format changes we make will be minor cosmetic ones.

#Symbolic Links#

The most common formatting change we make is to change links such as

    [[(infinity,1)-category]]

to 

    [[(∞,1)-category]].

We might also change things like

    [[omega-groupoid]]

to 

    [[ω-groupoid]].

In some cases, a contributor may prefer the look of

    $\omega$-[[omega-groupoid|groupoid]].

If a contributor goes to the trouble of formatting a link this way, we will not change it. In fact, we may change links to this format when appropriate, e.g. $L_\infty$-[[L-infinity-algebroid|algebroid]].

See also [[redirect]].

#Plural Links#

Another very common format change we make is to change plural links such as

    [[groupoid]]s

to 

    [[groupoids]].

This change is made possible now that the nLab has the new [[redirect]] feature.

The current existence of many plural links such as 

    [[groupoid]]s

is an artifact from the time when we did not have [[redirects]].

In time, we hope to eliminate the legacy plural links with the "s" split from the singular link.

Another reason we might change these plural links is to make the general linkage of the nLab more robust. Changing a link from 

    [[groupoid]]s

to 

    [[groupoids]]

reveals whether the page [[groupoid]] has a redirect for [[groupoids]]. If the link 

    [[groupoids]]

is broken, we fix it by inserting a redirect on [[groupoid]].

Human error aside, any format change should not result in broken links.

#Definitions#

Although there are exceptions, e.g. [[Frolicher space]] is beautifully formatted exception, the first time a word being defined appears in a definition, it is usually highlighted in **bold** as opposed to _italics_.

#Notes for Specific Pages#

+-- {: .query}
Honestly, I would much rather put notes for specific pages on those pages.  This page is nice for explaining in general what formatting is about and also for avoiding having to repeate common explanations all over the place.  But if it\'s really specific, then let them see it there where it matters!  (Well, this is just to explain why I\'ll do it there, but you can do it here as far as I\'m concerned, Eric.)  ---Toby

[[Eric]]: It's no big deal. If that is what you prefer, it is fine with me too. I just moved the comments here because it seemed a little messy to leave comments about formatting on the page itself. After a few pages, it seemed like the unobtrusive little ✄ was enough of a message to the author. This is just an experiment anyway, so we can try various things and settle on what seems to be best.
=--

## [[Lie infinity-algebroid representation]] ##

* [[Toby]]: I pulled '$L_\infty$' prefixes (here and at [[Lie infinity-algebroid]]) out because I find the 'L-∞' fairly ugly and even ambiguous.  Let me know if you don\'t like this, Eric.  ---Toby

  * [[Eric]]: Looks great! I think 'L-∞' looks better than 'L-infinity' (which is what it was before), but pulling it out like that is even better.

    *  _Toby_:  OK, good.  I also changed the blog post titles to reflect what they are on the blogs, on the grounds of pedantic accuracy.  (^_^)

## [[dg-quiver]] ##

* [[Eric]]: Happy to see this page created! I changed the appearance of "dg-quiver" in the definition from _italics_ to **bold**.


***

+--{.query}
[[Eric]]: Until we get Instiki's "Linked from:" at the bottom of each page to work correctly with redirects, we might not want to have the ✄ redirect to this page so that the "Linked from:" list at the bottom of _this_ page accurately reflects the pages with links to here.

_Toby_:  Good point.
=--

[[!redirects ✄]]

category: meta