
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Topos Theory
+--{: .hide}
[[!include topos theory - contents]]
=--
#### Differential geometry
+--{: .hide}
[[!include synthetic differential geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

In _microlocal sheaf theory_ one generalizes the concepts of [[microlocal analysis]], such as the [[wave front set]] of a [[distributions]], to [[sheaf theory]], notably to a concept of _[[microsupport]]_ of a sheaf on a [[smooth manifold]], as a subset of the [[cotangent bundle]].

This microlocal point of  view was then extended to [[sheaf  theory]]  by
[Kashiwara-Schapira 82](#KashiwaraSchapira82), [Kashiwara-Schapira 82](#KashiwaraSchapira85)) who  introduced  the  notion  of _[[microsupport]]_  of  sheaves giving rise to _[[microlocal sheaf theory]]_ (see [Schapira 17](#Schapira17)). Beware that some authors still use the term "microlocal analysis" for this sheaf theoretic concept.



## References

The generalization of the concepts of [[microlocal analysis]]to microlocal sheaf theory via the concept of [[microsupport]] of sheaves was introduced in spring

* {#KashiwaraSchapira82} [[Masaki Kashiwara]], [[Pierre Schapira]], _Microlocal study of sheaves_, CAst&eacute;risque, vol. 128 (1985)

* {#KashiwaraSchapira85} [[Masaki Kashiwara]], [[Pierre Schapira]], _Microsupport des faisceaux; applications aux module diff&eacute;rentielle_, C. R. Acad. Sci. Paris 295, 8 (1982)

Review of this incldues

* {#Schapira17} [[Pierre Schapira]], _Microlocal analysis and beyond_, in [[Gabriel Catren]], [[Mathieu Anel]] (eds.), _[New Spaces in Mathematics and Physics](https://ercpqg-espace.sciencesconf.org/resource/page/id/1)_ ([arXiv:1701.08955](https://arxiv.org/abs/1701.08955))

See also:


* [[Victor Ginzburg|V. Ginsburg]], _Characteristic varieties and vanishing cycles_, Invent. Math. __84__, 327--402 (1986), [MR87j:32030](http://www.ams.org/mathscinet-getitem?mr=833194), [doi](http://dx.doi.org/10.1007/BF01388811)

* Masaki Sato, _Restriction, localization and microlocalization_, (expository paper) pp. 195--205 in collection "Quadrature domains and their application" (Operator theory: advances and applications __156__), [doi](http://dx.doi.org/10.1007/b137105)

* M. [[Kashiwara]], [[P. Schapira]], F. Ivorra, I. Waschkies, _Microlocalization of ind-sheaves_, in "Studies in Lie theory", Progress in Math. __243__, Birkhäuser 2006. 


* [[Dmitry Tamarkin]], _Microlocal condition for non-displaceablility_, [arxiv/0809.1584](http://arxiv.org/abs/0809.1584) (application of microlocal analysis to symplectic/Lagrangean geometry).

* Goro Kato, Daniele Carlo Struppa, _Fundamentals of algebraic microlocal analysis_, M. Dekker 1999, [googB](http://books.google.hr/books?isbn=0824793277)

* [[Masaki Kashiwara]], _Systems of microdifferential equations_, Birkhäuser 1983, 87 pp.

* [[Masaki Kashiwara]], Takahiro Kawai, Tatsuo Kimura, _Foundations of algebraic analysis_, Transl. from Japanese by Goro Kato. Princeton Mathematical Series __37__, 1986. xii+255 pp.
[MR87m:58156](http://www.ams.org/mathscinet-getitem?mr=855641); [[Jean-Luc Brylinski]], Book Review: Foundations of algebraic analysis. Bull. Amer. Math. Soc. (N.S.) __18__ (1988), no. 1, 104–108, [doi](http://dx.doi.org/10.1090/S0273-0979-1988-15622-4)

* [[Masaki Kashiwara]], Pierre Schapira, _Hochschild homology and microlocal Euler classes_, [arxiv/1203.4869](http://arxiv.org/abs/1203.4869)



