## Definition

Let either

* $G$ be a Hausdorff [[topological group]] and $F$ either the field of real or complex numbers or

* $G$ be a linear algebraic group over an infinite field $F$ .

Then an $F$-valued representative function on $G$ is $F$-valued function which arises in the form $t\circ\rho$ where $\rho:G\to End V$ is a representation of $G$ on a _finite dimensional_ $F$-vector space and $t:End V\to F$ a linear functional. 

In the topological group case the representative function is automatically continuous and in the algebraic case it is automatically a regular function.

On the other hand if we assume that a function $f:G\to F$ is continuous or respectively regular then it is a representative function iff

* all left translates $L_g f : h\mapsto f(h g)$ where $g\in G$ form a finite dimensional $F$-vector space

what is true iff

* all right translates $R_g f : h\mapsto f(g h)$ where $g\in G$ form a finite dimensional $F$-vector space

The set of all representative functions on $G$ is a Hopf $F$-algebra. 


## Literature

Related entries include [[Tannaka duality]], [[locally compact topological group]], [[Hopf algebra]], [[harmonic analysis]], [[representation theory]]

* G. Hochschild,  G. D. Mostow, _Representations and representative functions of Lie groups_, Annals of Mathematics, Second ser. 66 (1957) 495–542 [jstor](https://www.jstor.org/stable/1969906) [MR0098796](https://www.ams.org/mathscinet-getitem?mr=0098796)

* [[Pierre Cartier]], _A primer of Hopf algebras_, Frontiers in number theory, physics, and geometry II, 537--615, Springer 2007.; preprint IH\'ES 2006/40 [pdf](http://preprints.ihes.fr/2006/M/M-06-40.pdf) 

* J. C. Jantzen, Representations of algebraic groups, Acad. Press 1987 (Pure and Appl. Math. vol 131); 2nd edition AMS Math. Surveys and Monog. 107 (2003; reprinted 2007)

* A. Derighetti _Representative functions on topological groups_, Comm. Math. Helv. __44__:1 (1969) 476–483

[[!redirects representative functions]]