

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Symplectic geometry
+--{: .hide}
[[!include symplectic geometry - contents]]
=--
#### Algebraic Quantum Field Theory
+--{: .hide}
[[!include AQFT and operator algebra contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A [[local Lagrangian density]] $L \in \Omega^{p+1,0}(E)$ on a [[jet bundle]] $J^\infty(E)$ of some [[field bundle]] $E \to \Sigma$ induces a differential form 

$$
  \theta \in \Omega^{p,1}(E)
$$

unique up to terms in the image of the  [[horizontal derivative]], given by

$$
  d L = \delta_{EL} L - d_H \theta
  \,,
$$

where $\delta_{EL}$ is the [[Euler-Lagrange operator]]. Its image under the [[vertical derivative]]

$$
  \omega \coloneqq d_V \theta \in \Omega^{p,2}(E)
$$

is called the _pre-symplectic current_. Accordingly $\theta$ itself is also called the _presymplectic potential current_.

This is because for any choice of $p$-dimensional submanifold $\Sigma_p \hookrightarrow \Sigma$, the [[transgression of variational differential forms]] of $\omega$ to $\Sigma_p$ is a [[presymplectic form]] on the on-shell [[space of sections]] on the [[infinitesimal neighbourhood]] of $\Sigma_p$. This is the _[[covariant phase space]]_.

## References

* _[Higher Prequantum Geometry IV: The Covariant Phase Space &#8211; Transgressively](https://www.physicsforums.com/insights/higher-prequantum-geometry-iv-covariant-phase-space-transgressively/)_




[[!redirects pre-symplectic currents]]

[[!redirects presymplectic current]]
[[!redirects presymplectic currents]]

[[!redirects symplectic current]]
[[!redirects symplectic currents]]

[[!redirects presymplectic potential]]
[[!redirects presymplectic potentials]]

[[!redirects presymplectic potential current]]
[[!redirects presymplectic potential currents]]


