

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Riemannian geometry
+--{: .hide}
[[!include Riemannian geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

Given a [[time orientation|time-oriented]] [[Lorentzian manifold]] $\Sigma$, then for a pont $x \in \Sigma$ 

1. its _open [[future cone]]_ is the set of all points $y$ distinct from $x$ such that there is a [[future]]-directed [[time-like]] [[curve]] from $x$ to $y$;

1. its _closed future cone_ is the set of all points $y$ such that there is a [[future]]-directed [[time-like]] or [[light-like]] [[curve]] from $x$ to $y$;

1. its _open [[past cone]]_ is the set of all points $y$ distinct from $x$ such that there is a [[past]]-directed [[time-like]] [[curve]] from $x$ to $y$;

1. its _closed past cone_ is the set of all points $y$ such that there is a [[past]]-directed [[time-like]] or [[light-like]] [[curve]] from $x$ to $y$.

The [[boundary]] of the union of the past and future closed cone is the _[[light cone]]_ of the point.

Given a [[subset]] $S \subset X$, then its future/past open/closed cone is the union of that of all its points. The open cones above are _[[conical spaces]]_.

The [[complement]] of the (closed) causal cone is the _[[causal complement]]_.

## Related concepts

* [[causal locality]]

* [[causal additivity]]

* [[causal complement]], [[causal closure]]

* [[causal perturbation theory]]

* [[conal manifold]]

## References

* {#Baer14} [[Christian Bär]], section 1 of _Green-hyperbolic operators on globally hyperbolic spacetimes_, Communications in Mathematical Physics 333, 1585-1615 (2014) ([doi](http://dx.doi.org/10.1007/s00220-014-2097-7), [arXiv:1310.0738](https://arxiv.org/abs/1310.0738))


[[!redirects causal cones]]

[[!redirects closed causal cone]]
[[!redirects closed causal cones]]

[[!redirects future causal cone]]
[[!redirects future causal cones]]
[[!redirects past causal cone]]
[[!redirects past causal cones]]

[[!redirects closed future cone]]
[[!redirects closed future cones]]
[[!redirects closed past cone]]
[[!redirects closed past cones]]

[[!redirects open future cone]]
[[!redirects open future cones]]
[[!redirects open past cone]]
[[!redirects open past cones]]


