
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### Symplectic geometry
+--{: .hide}
[[!include symplectic geometry - contents]]
=--
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
#### Noncommutative geometry
+--{: .hide}
[[!include noncommutative geometry - contents]]
=--
#### Formal geometry
+--{: .hide}
[[!include formal geometry -- contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}


## Idea

It is a classical fact that 
the [[universal enveloping algebra]] of a [[Lie algebra]] provides 
a [[formal deformation quantization]] of the corresponding [[Lie-Poisson structure]]
(example \ref{DeformationQuantizationOfLiePoissonStructuresByUniversalEnvelopingAlgebras} below).
Remarkably, this statement generalizes to more general polynomial Poisson algebras (def. \ref{PolynomialPoissonAlgebra} below)
for a suitable generalized concept of universal enveloping algebra (def. \ref{DeformationQuantizationOfLiePoissonStructuresByUniversalEnvelopingAlgebras} below):
it is _always_ true up to third order in $\hbar$, and sometimes to higher order ([Penkava-Vanhaecke 00, theorem 3.2](#PenkavaVanhaecke00), prop. \ref{UniversalEnvelopingAlgebraProvidesDeformationQuantizationAtLeastToOrder3} below).
In particular it also holds true for restrictions of [[Poisson bracket Lie algebras]] to their [[Heisenberg Lie algebras]]
(example \ref{DeformationQuantizationOfLiePoissonStructuresByUniversalEnvelopingAlgebras} below).

## Definition

+-- {: .num_defn #PolynomialPoissonAlgebra}
###### Definition
**([[polynomial]] [[Poisson algebra]])**

A [[Poisson algebra]]  $((A,\cdot), \{-,-\})$
is called a _polynomial Poisson algebra_ if the underlying [[commutative algebra]] $(A,\cdot)$
is a [[polynomial algebra]], hence a [[symmetric algebra]] 

$$
  Sym(V) \coloneqq T(V)/(x \otimes y - y \otimes x \vert x,y \in V)
$$ 

on some [[vector space]] $V$. Here 

$$
  T(V) \coloneqq \underset{n \in \mathbb{N}}{\oplus} V^{\otimes^n}
$$

denotes the [[tensor algebra]] of $V$. We write

$$
  \mu \;\colon\; T(V) \longrightarrow Sym(V)
$$ 

for the canonical [[projection]] map (which is an algebra [[homomorphism]]) and

$$
  \sigma \;\colon\; Sym(V) \longrightarrow T(V)
$$

for its [[linear map|linear]] inverse (symmetrization, which is not in general an algebra [[homomorphism]]).

Notice that by its bi-[[derivation]] property the Poisson bracket 
on a polynomial Poisson algebra is fixed by its restriction to linear elements

$$
  \{-,-\} \;\colon\; V \otimes V \longrightarrow Sym(V)
  \,.
$$

=--



+-- {: .num_defn #UniversalEnvelopingAlgebraOfPolynomialPoissonAlgebra}
###### Definition
**(universal enveloping algebra of polynomial Poisson algebra)**

Given a polynomial Poisson algebra $(Sym(V), \{-,-\})$ (def. \ref{PolynomialPoissonAlgebra}),
say that its _universal enveloping algebra_ $\mathcal{U}(V,\{-,-\})$ is the [[associative algebra]] which is the [[quotient]] of 
the [[tensor algebra]] of $V$ with a [[power series|formal variable]] $\hbar$ adjoined
by the two-sided ideal which is generated by the the $\hbar$-Poisson bracket relation on linear elements:

$$
  \mathcal{U}(V,\{-,-\})
  \;\coloneqq\;
  T(V)/( x \otimes y - y \otimes x - \hbar \{x,y\} \vert x,y \in V )
  \,.
$$

This comes with the quotient projection linear map which we denote by

$$
  \rho \;\colon\; T(V)[ [ \hbar ] ] \longrightarrow \mathcal{U}(V,\hbar\{-,-\})
  \,.
$$


=--

([Penkava-Vanhaecke 00, def. 3.1](#PenkavaVanhaecke00))

The combined linear projection maps from def. \ref{PolynomialPoissonAlgebra} and def. \ref{UniversalEnvelopingAlgebraOfPolynomialPoissonAlgebra}
we denote by

$$
  \tau \coloneqq \rho \circ (\sigma/[ [ \hbar ] ]) \;\colon\; Sym(V)[ [ \hbar ] ] \longrightarrow \mathcal{U}(V,\{-,-\})
  \,.
$$


## Examples

+-- {: .num_example #PolynomialLiePoissonStructure}
###### Example
**([[Lie-Poisson structure]] on affine algebraic variety)**

Let $(C^\infty(\mathbb{R}^n), \pi)$ be a [[Poisson manifold]] whose
underlying manifold is a [[Cartesian space]] $\mathbb{R}^n$. Then the restriction
of its Poisson algebra $( C^\infty(\mathbb{R}^n, \cdot), \pi^{i j} \partial_i(-) \cdot \partial_j(-)  )$
to the [[polynomial functions]] $\mathbb{R}[x^1, \cdots, x^n ] \ookrightarrow C^\infty(\mathbb{R}^n)$
is a polynomial Poisson algebra according to def. \ref{PolynomialPoissonAlgebra}.

In particular if $(\mathfrak{g}, [-,-])$ is a [[Lie algebra]] and
$(\mathfrak{g}^\ast, \{-,-\})$ the corresponding [[Lie-Poisson structure|Lie-Poisson manifold]], 
then the corresponding polynomial Poisson algebra is $(Sym(\mathfrak{g}), \{-,-\})$
where the restriction of the Poisson bracket to linear polynomial elements coincides with the [[Lie bracket]]:

$$
  \{x,y\} = [x,y]
  \,.
$$

=--


+-- {: .num_example #UniversalEnvelopingAlgebraOfLieAlgebra}
###### Example
**([[universal enveloping algebra]] of [[Lie algebra]])**

In the case of a polynomial [[Lie-Poisson structure]] $(Sym(\mathfrak{g}), [-,-])$ (example \ref{PolynomialLiePoissonStructure})
the universal enveloping algebra $\mathcal{U}(\mathfrak{g},[-,-])$ from def. \ref{UniversalEnvelopingAlgebraOfPolynomialPoissonAlgebra}
(for $\hbar = 1$) coincides with the standard [[universal enveloping algebra]] of the [[Lie algebra]] $(\mathfrak{g}, [-,-])$.

=--

## Properties

### Formal deformation quantization via universal enveloping algebra


+-- {: .num_prop #UniversalEnvelopingAlgebraProvidesDeformationQuantizationAtLeastToOrder3}
###### Proposition
**(universal enveloping algebra provides [[deformation quantization]] at least up to order 3)**

Let $( Sym(V), \{-,-\} )$ be a polynomial Poisson algebra (def. \ref{PolynomialPoissonAlgebra})
such that the canonical linear map to its universal enveloping algebra (def. \ref{UniversalEnvelopingAlgebraOfPolynomialPoissonAlgebra})
is [[injective function|injective]] up to order $n \in \mathbb{N}\cup \{\infty\}$

$$
  \tau/(\hbar^{n+1}) \;\colon\; Sym(V)[ [ \hbar ] ]/(\hbar^{n+1}) \hookrightarrow \mathcal{U}(V,\hbar\{-,-\})/(\hbar^{n+1})
  \,.
$$

Then the restriction of the product on $\mathcal{U}(V,\hbar\{-,-\})/(\hbar^{n+1})$ to $Sym(V)/(\hbar^{n+1})$
is a [[deformation quantization]] of $(Sym(V), \{-,-\})$ to order $n$ (hence a genuine deformation quantization in the case that $n = \infty$).

Moreover, this is _always_ the case for $n = 3$, hence for every polynomial Poisson algebra its universal enveloping algebra 
always provides a deformation quantization of order $3$ in $\hbar$.

=--

([Penkava-Vanhaecke 00, theorem 3.2 with section 2](#PenkavaVanhaecke00))


+-- {: .num_example #DeformationQuantizationOfLiePoissonStructuresByUniversalEnvelopingAlgebras}
###### Example
**([[formal deformation quantization]] of [[Lie-Poisson structures]] by universal enveloping algebras)**

In the following cases the map $\tau$ in prop. \ref{UniversalEnvelopingAlgebraProvidesDeformationQuantizationAtLeastToOrder3}
is injective to arbitrary order, hence in these cases the universal enveloping algebra
provides a genuine [[deformation quantization]]:

1. the case that the Poisson bracket is [[linear Poisson structure|linear]] in that restricts as

   $$
     \{-,-\} \;\colon\; V \otimes V \longrightarrow V \hookrightarrow Sym(V)
     \,.
   $$

   This is the case of the [[Lie-Poisson structure]] from example \ref{PolynomialLiePoissonStructure}
   and the universal enveloping algebra that provides it deformation quantization is the
   standard one (example \ref{UniversalEnvelopingAlgebraOfLieAlgebra}).


1. more generally, the case that the Poisson bracket restricted to linear elements has linear and 
   constant contribution in that it restricts as
   
   $$
     \{-,-\} \;\colon\; V \otimes V \longrightarrow \mathbb{R} \oplus V \hookrightarrow Sym(V)
     \,.
   $$
   
   This includes notably the Poisson structures induced by [[symplectic vector spaces]],
   in which case the restriction
   
   $$
     \{-,-\} \;\colon\; (\mathbb{R} \oplus V) \otimes (\mathbb{R} \oplus V) \longrightarrow (\mathbb{R} \oplus V)
   $$
   
   is the [[Lie bracket]] of the associated [[Heisenberg Lie algebra]].


   
=--

This is ([Penkava-Vanhaecke 00, p. 26](#PenkavaVanhaecke00))
The first statement in itself is a classical fact (reviewed e.g. in [Gutt 11](#Gutt11)).




## References

* {#PenkavaVanhaecke00} [[Michael Penkava]], [[Pol Vanhaecke]], _Deformation quantization of Polynomial Poisson algebras_, Journal of Algebra 227, 365-393 2000 ([arXiv:math/9804022](https://arxiv.org/abs/math/9804022))

[[!redirects polynomial Poisson algebras]]