

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Algebraic Qunantum Field Theory
+--{: .hide}
[[!include AQFT and operator algebra contents]]
=--
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}


## Idea

In [[perturbative quantum field theory]], the [[magnetic moment]] of [[particles]] as predicted by [[classical field theory]] may receive corrections due to [[quantum physics|quantum effects]]. Such corrections are also called _[[quantum anomalies]]_, and hence one speaks of the _anomalous magnetic moments_, traditionally denoted by "$g-2$".

The archetypical example is the anomalous magnetic moment of the [[electron]] in [[quantum electrodynamics]], which is famous as the [[pQFT]]-prediction that matches [[experiment]] to an accuracy of about $10^{-12}$ (e.g.[Scharf 95, (3.10.20)](#Scharf95)).

Similarly there is the anomalous magenetic moment of the [[muon]] and the other [[leptons]].

## Contributions

### QED contributions

(...)  for the [[electron]] see e.g. [Scharf 95, section 3.10](#Scharf95) (...)

### Quantum gravity contributions
 {#QuantumGravityCorrection}

The further corrections of [[loop order|1-loop]] [[perturbative quantum gravity]] to the anomalous magnetic moment of the [[electron]] and the [[muon]] have been computed in ([Berends-Gastman 75](#BerendsGastman75)) and found to be finite without need for [[renormalization]]. These [[Feynman diagrams]] contribute:

<img src="https://ncatlab.org/nlab/files/GravityVertexCorrectionsForQED.png" width="750">

### Axion contributions

Possible contributions to and xconstraints on $g_{lep}-2$ from hypothetical [[axions]] are discussed in [MMPP 16](#MMPP16), [BNT 17](#BNT17)...

## References
* {#Steinmann02} [[Othmar Steinmann]], _What is the Magnetic Moment of the Electron?_, Commun.Math.Phys. 237 (2003) 181-201 ([arXiv:hep-ph/0211187](https://arxiv.org/abs/hep-ph/0211187))

See also

* Wikipedia, _[Anomalous magnetic dipole moment](https://en.wikipedia.org/wiki/Anomalous_magnetic_dipole_moment)_


### QED contributions

The computation of the anomalous magnetic dipole moment of the [[electron]] in [[QED]] is spelled out (via [[causal perturbation theory]]) in 

* {#Scharf95} [[Günter Scharf]], section 3.10, culminating in (3.10.20), of _[[Finite Quantum Electrodynamics -- The Causal Approach]]_, Berlin: Springer-Verlag, 1995, 2nd edition


### Gravity contributions

Corrections at [[loop order|1-loop]] from [[quantum gravity]] are discussed in

* {#BerendsGastman75} F. A. Berends, R. Gastmans, _Quantum gravity and the electron and muon anomalous magnetic moment_, Phys. Lett. B55 Issue 3 Feb 1975 311-312 (<a href="https://doi.org/10.1016/0370-2693(75)90608-5">doi:10.1016/0370-2693(75)90608-5</a>)

This discussion is adapted to [[supergravity]] in

* F. del Aguila, A. Culatti, R. Munoz-Tapia, M. Perez-Victoria, _Supergravity corrections to $(g-2)_l$ in differential renormalization_, Nuclear Physics  B  504  (1997)  532-550 ([arXiv:hep-ph/9702342](https://arxiv.org/abs/hep-ph/9702342))



### Axion contributions

Contribution of hypothetical [[axions]] to the [[anomalous magnetic moment]] 
of the [[electron]] and [[muon]] in [[QED]]:

* Yannis Semertzidis, _Magnetic and Electric Dipole Moments in Storage Rings_, chapter 6 of Markus Kuster, Georg Raffelt, Berta Beltrán (eds.), _Axions: Theory, cosmology, and Experimental Searches_, Lect.
Notes Phys. 741 (Springer, Berlin Heidelberg 2008) ([Kuster-Raffelt-Beltran 08](<a href="https://doi.org/10.1007/978-3-540-73518-2_2">doi:10.1007/978-3-540-73518-2_2</a>) 


* {#MMPP16} W.J. Marciano, A. Masiero, P. Paradisi, M. Passera, _Contributions of axion-like particles to lepton dipole moments_, Phys. Rev. D 94, 115033 (2016) ([arXiv:1607.01022](https://arxiv.org/abs/1607.01022))

* {#BNT17} Martin Bauer, Matthias Neubert, Andrea Thamm, _Collider Probes of Axion-Like Particles_, J. High Energ. Phys. (2017) 2017: 44. ([arXiv:1708.00443](https://arxiv.org/abs/1708.00443),[doi:10.1007/JHEP12(2017)044](https://doi.org/10.1007/JHEP12(2017)044))

The basic relevant [[Feynman diagrams]] are worked out here:

* [pdf](http://www-personal.umich.edu/~jbourj/peskin/6-3.pdf)


[[!redirects anomalous magnetic moments]]

[[!redirects anomalous magnetic dipole moment]]
[[!redirects anomalous magnetic dipole moments]]

[[!redirects anomalous magnetic moment of the electron]]
[[!redirects anomalous magnetic dipole moment of the electron]]

[[!redirects g-2]]