
#Contents#
* table of contents
{:toc}

## Statement

For a [[connected graph|connected]] [[finite graph|finite]] [[planar graph]] $\Gamma$ the numbers of [[edges]], [[vertices]] and number of regions enclosed by edges ("[[faces]]") always satisfies the relation

$$
  1 = \vert Vertices(\Gamma)\vert - \vert Edges(\Gamma)\vert + 
   \vert Faces(\Gamma)\vert
  \,.
$$

By passing to the [[one-point compactification]] of the [[plane]], which is the [[2-sphere]], we may think of the planar graph as a [[polyhedron]] embedded in the 2-sphere. Under this identification the above is a special case of the general formula for [[Euler characteristic]] of [[CW-complexes]]. See at _[Euler characteristic -- Of topological spaces](Euler+characteristic#OfATopologicalSpace)_.

## Applications

### In perturbative quantum field theory

That the [[loop order]] of a (planar) [[Feynman diagram]] is its contribution in powers of [[Planck's constant]] to the [[scattering amplitude]] is a consequence of Euler's formula. See at _[loop order -- Relation to powers in Planck's constant](loop+order#RelationToPowersInPlancksConstant)_

## References

* Wikiedia, _[Euler's formula](https://en.wikipedia.org/wiki/Planar_graph#Euler.27s_formula)_

[[!redirects Euler's formula for planar graphs]]

[[!redirects Euler characteristic of planar graphs]]
[[!redirects Euler characteristics of planar graphs]]

[[!redirects Euler characteristic of a planar graph]]
[[!redirects Euler characteristics of a planar graph]]
