

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebraic Qunantum Field Theory
+--{: .hide}
[[!include AQFT and operator algebra contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The formalization of [[perturbative quantum field theory]] via [[causal perturbation theory]] states the key properties that the  [[scattering matrix]] of the theory is supposed to have as [[axioms]] (instead of imagining that the scattering matrix is defined by a [[path integral]]). The key such axiom is the statement that the [[S-matrix]] be _causally additive_ (which gives _[[causal perturbation theory]]_ its name). This essentially encodes the idea that effects in the quantum theory propagate causally, hence within the [[future cone]] and [[past cone]] of the region which causes the effect.

## Causal additivity

The [[S-matrix]] (as discussed there) is a [[functional]] of the form

$$
  S \;\colon\; \mathcal{F}_{loc} \longrightarrow \mathcal{W}[ [ \tfrac{g}{\hbar} ] ]
$$

sending [local observables](#Wick+algebra#CompactlySupportedPolynomialLocalDensities) with [[compact support]] in [[spacetime]] (i.e. [[adiabatic switching|adiabatically switched]] [[interaction]] [[Lagrangian densities]] $L_{int}$ and [[source fields]] $J$) to [[formal power series]] in the ratio of a [[coupling constant]] $g$ over [[Planck's constant]] $\hbar$ with [[coefficients]] in the [[Wick algebra]] $\mathcal{W}$ of the underlying [[free field theory]].

Causal additivity ([Epstein-Glaser 73](#EpsteinGlaser73)) is the statement/requirement that

$$
  \left( supp(J_1) \geq supp(J_2) \right)
  \;\; \Rightarrow \;\;
  \left(
    \underset{L \in \mathcal{F}_{loc}}{\forall}
    \left(
      S(L + J_1 + J_2)
      =
      S(L + J_1) S(L)^{-1} S(L + J_2)
    \right)
  \right)
  \,.
$$

Here $supp(-)$ denotes the [[spacetime]] [[support]] of the given [local observables](#Wick+algebra#CompactlySupportedPolynomialLocalDensities) and $supp(J_1) \geq supp(J_2)$ means that $supp(J_1)$ does not intersect the [[causal past]] of $supp(J_2)$. The product on the right is the product in the [[Wick algebra]] (hence the [[normal ordered product]]).

## Causal factorization

As a special case, causal additivity immediately implies **causal factorization**:

$$
  \left( supp(L_1) \geq supp(L_2) \right)
  \;\; \Rightarrow \;\;
  \left(
    S(L_1 + L_2)
    =
    S(L_1) S(L_2)
  \right)
  \,.
$$

This in turn directly implies that the perturbative expansion of the [[S-matrix]] is given by [[time-ordered products]].

## Causal locality of quantum observables

But the reason why the full condition is called _causal additivity_ is that it is equivalent to a simpler-looking condition on the [[generating function]]

$$
  Z_{L}(J)
  \;\colon\;
  S(L)^{-1} S(L + J)
$$

that is induced by the [[S-matrix]]. In terms of these, causal additivity is equivalently (by [this lemma](S-matrix#CausalLocalityOfThePerturbativeSMatrix)) the condition


$$
  \left( supp(J_1) \geq supp(J_2) \right)
  \;\; \Rightarrow \;\;
  \left(
    \underset{L \in \mathcal{F}_{loc}}{\forall}
    \left(
      Z_{L}(J_1 + J_2)
      =
      Z_L(J_1) Z_L(J_2)
    \right)
  \right)
  \,.
$$

Notice that what these generating functions generate is the perturbative [[quantum observables]]

$$
  \hat A
  \coloneqq
  \frac{d}{d \epsilon}
  T_{\tfrac{g}{\hbar}L_{int}}( \epsilon A )
  \vert|_{\epsilon = 0}
$$

and causal additivity implies that as long as $L_{int}$ is [[adiabatic switching|adiabatically switched]] only outside the [[causal closure]] of $supp(A)$, then the system of quantum observables satisfies **[[causal locality]]** 
and hence forms a [[local net of observables]] ([this prop.](#S-matrix#PerturbativeQuantumObservablesIsLocalnet)).

This is how [[causal perturbation theory]] gives rise to _[[perturbative AQFT]]_.

## References

* {#EpsteinGlaser73} [[Henri Epstein]], [[Vladimir Glaser]], _[[The Role of locality in perturbation theory]]_, Annales Poincaré Phys. Theor. A 19 (1973) 211 ([Numdam](http://www.numdam.org/item?id=AIHPA_1973__19_3_211_0 ))

See also the references at _[[causal perturbation theory]]_, _[[perturbative AQFT]]_ and _[[S-matrix]]_.

[[!redirects causally additive]]

[[!redirects causal factorization]]
[[!redirects causal factorizations]]
