

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebraic Quantum Field Theory
+--{: .hide}
[[!include AQFT and operator algebra contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

In ([[perturbative quantum field theory|perturbative]]) [[quantum field theory]], what is called _Bogoliubov's formula_, originally due to ([Bogoliubov-Shirkov 59](#BogoliubovShirkov59)) is an expression for the [[interacting quantum observables]] as the [[derivatives]] with respect to a [[source field]] of the [[generating function]] corresponding to a given [[S-matrix]].

Originally this is an ad-hoc formula, motivated by the would-be [[path integral]] picture of the [[Feynman perturbation series]] (remark \ref{InterpretationOfPerturbativeSMatrix} below) and mathematically justified by the fact that it does yield a [[causally local net of observables]] in [[causal perturbation theory]] (prop. \ref{CausalLocalityOfBogoliubovFormula} below).

Much more recently it was shown that Bogoliubov's formula indeed expresses quantum observables as systematically obtained by [[Fedosov deformation quantization]] of [[field theory]] ([Collini 16](#Collini16), [Hawkins-Rejzner 16](#HawkinsRejzner16)).


## Definition

Let $\Sigma$ be a [[spacetime]] of [[dimension]] $p + 1$ and let $E \overset{fb}{\longrightarrow} \Sigma$ be a [[field bundle]]. Let $\mathbf{L}_{free}\in \Omega^{p+1,0}_\Sigma(E)$ be a [[local Lagrangian density]] for a [[free field theory]] with [[field (physics)|fields]] of type $E$. Let $\mathcal{W}$ be the corresponding [[Wick algebra]] of [[quantum observables]] of the free field, with 

$$
  LocObs(E_{\text{BV-BRST}}) 
    \overset{:(-):}{\longrightarrow} 
  PolyObs(E_{\text{BV-BRST}})
$$

the corresponding quantization map from [[local observables]] ("[[normal ordering]]").

Let then 

$$
  \mathcal{S}
  \;\colon\;
  LocObs(E_{\text{BV-BRST}})[ [\hbar, g, j] ]
    \longrightarrow 
  PolyObs(E_{\text{BV-BRST}})((\hbar))[ [g,j] ]
$$ 

be a  [[perturbative S-matrix]] scheme. Moreover let

$$
  g S_{int} \in LocObs(E_{\text{BV-BRST}})[ [\hbar, g] ]
$$ 

be an [[adiabatic switching|adiabatically switched]]
[[interaction]]-[[action functional|functional]].


For $A \in \mathcal{F}_{loc}$ a [[local observable]] and $j \in C^\infty_{cp}(\Sigma)$, write

$$
  \mathcal{Z}_{g S_{int}}(j A)
  \; \coloneqq \;
  \mathcal{S}(g S_{int})^{-1} \mathcal{S}( g S_{int} + j A )
$$

for the [[generating function]] induced by the perturbative [[S-matrix]] (where the product shown by juxtaposition is that in the [[Wick algebra]], hence the [[star product]] induced by the [[Wightman propagator]]).



+-- {: .num_defn #GeneratingFunctionsForCorrelationFunctions}
###### Definition
**([[Bogoliubov's formula]])**

The perturbative [[interacting field observable]] 

$$
  A_{int}
  \;\in\;
  PolyObs(E_{\text{BV-BRST}})[ [ \hbar, g] ]
$$ 

corresponding to a [[free field]] [[local observable]] $A \in LocObs(E_{\text{BV-BRST}})$ is the [[coefficient]] in the [[generating function]] $\mathcal{S}$ ([this def.](S-matrix#SchemeGeneratingFunction)) of the term linear in the [[source field]] strenght $j$:

$$
  A_{int}
    \;\coloneqq\;
  i \hbar \frac{d}{d  j } \mathcal{Z}_{ g S_{int}}( j  A)\vert_{j = 0}
  \,.
$$


=--

This is due to [Bogoliubov-Shirkov 59](#BogoliubovShirkov59), later named _Bogoliubov's formula_ (e.g. [Rejzner 16 (6.12)](#Rejzner16)).
Based on this [[causal perturbation theory]] was formulated in ([Epstein-Glaser 73 around (74)](#EpsteinGlaser73)). Review includes ([D&#252;tsch-Fredenhagen 00, around (17)](#DuetschFredenhagen00)).

The assignment $A \mapsto A_{int}$ is also called the _[[quantum Møller operator]]_.

The [[coefficients]] of $A_{int}$ as a [[formal power series]] in the [[coupling constant]] and [[Planck's constant]] are called the _[[retarded products]]_.


+-- {: .num_remark #PowersInPlancksConstant}
###### Remark
**(powers in [[Planck's constant]])**

That the observables as defined in def. \ref{GeneratingFunctionsForCorrelationFunctions} indeed are [[formal power series]] in $\hbar$ as opposed to more general [[Laurent series]] requires a little argument.

The explicit $\hbar$-dependence of the perturbative [[S-matrix]] is 

$$
  \mathcal{S}(g S_{int} + j A)
  = 
  T \exp\left(
    \tfrac{1}{i \hbar}
     \left(
       g S_{int} + j A
     \right)
  \right)
  \,,
$$

where $T(-)$ denotes [[time-ordered products]]. The generating function

$$
  \mathcal{Z}_{S_{int}}(j A)
  \;\coloneqq\;
  \mathcal{S}(S_{int})^{-1} \star_H \mathcal{S}(g S_{int} + j A)
$$

involves the [[star product]] of the free theory (the [[normal-ordered product]] of the [[Wick algebra]]). This is a [[formal deformation quantization]] of the [[Peierls-Poisson bracket]], and therefore the [[commutator]] in this algebra is a [[formal power series]] in $\hbar$ that however has no constant term in $\hbar$ (but starts out with $\hbar$ times the [[Poisson bracket]], followed by possibly higher order terms in $\hbar$):

$$
  [L_{int},A] \;=\; \hbar(\cdots)
  \,.
$$

Now schematically the derivative of the generating function is of the form

$$
  \begin{aligned}
    A_{int}
    & \coloneqq
    i \hbar \frac{d}{d j }
    \mathcal{Z}_{ S_{int}}(j A)\vert_{j  = 0}
    \\
    & =
    \exp\left(
      \tfrac{1}{i \hbar}[g S_{int}, -]
    \right)
    (A)
  \end{aligned}
  \,.
$$

(The precise expression is given by the _[[retarded products]]_, see [Dütsch-Fredenhagen 00, prop. 2 (ii)](#DuetschFredenhagen00) [Rejzner 16, prop. 6.1](#Rejzner16), [Hawkins-Rejzner 16, cor. 5.2](#HawkinsRejzner16).)
By the above, the exponent here yields a [[formal power series]] in $\hbar$, and hence so does the full exponential.


That the quantum observables takes values in formal power series of $\hbar$ is the hallmark of [[formal deformation quantization]]. While [[Bogoliubov's formula]] proceeds from an [[S-matrix]] which is axiomatized by [[causal perturbation theory]], this suggests that it actually computes the quantum observables in a [[formal deformation quantization]] of the interacting field theory. This is indeed the case ([Collini 16](#Collini16), [Hawkins-Rejzner 16](#HawkinsRejzner16)).

For the analogous analysis of powers of $\hbar$ in the [[S-matrix]] itself, see at _[[loop order]]_ the section _[Relation to powers in Planck's constant](loop%20order#RelationToPowersInPlancksConstant)_.


=--


## Properties

### Relation to the would-be path integral


+-- {: .num_remark #InterpretationOfPerturbativeSMatrix}
###### Remark
**(interpretation of Bogoliubov's formula via a "[[path integral]]")**

In informal heuristic discussion of [[perturbative quantum field theory]] the [[S-matrix]] is thought of as a [[path integral]],
written

$$
  S\left(
    \tfrac{g}{\hbar} L_{int} + j
  \right)
  \;\overset{\text{not really!}}{=}\;
  \underset{\Phi \in \Gamma_\Sigma(E)_{asmpt}}{\int}
  \exp\left(
    \int_X
    \left(
      \tfrac{g}{i \hbar} L_{int}(\Phi) + j A(\Phi)
    \right)
  \right)  e^{\tfrac{1}{i \hbar}\int_X L_{free}(\Phi) }D[\Phi]
$$

where the integration is thought to be over the [[configuration space]] $\Gamma_\Sigma(E)_{asmpt}$ of [[field (physics)|fields]] $\Phi$
(the [[space of sections]] of the given [[field bundle]])
which satisfy given asymptotic conditions at $x^0 \to \pm \infty$; and as these boundary conditions
vary the above is regarded as an integral kernel that defines the required operator in $\mathcal{W}$.

With the perturbative S-matrix informally thought of as a path integral this way,  the the Bogoliubov formula in def. \ref{GeneratingFunctionsForCorrelationFunctions}
similarly would have the following interpretation:

$$
  A_{int}
  \;\overset{\text{not really!}}{=}\;
  \frac{
    \int
    j A(\Phi)
    \exp\left(
      \int_X
      \left(
        \tfrac{g}{i \hbar} L_{int}(\Phi)
      \right)
    \right)  e^{\tfrac{1}{i \hbar}\int_X L_{free}(\Phi) }D[\Phi]
  }
  {
    \int
    \exp\left(
      \int_X
      \left(
        \tfrac{g}{i \hbar} L_{int}(\Phi)
      \right)
    \right)  e^{\tfrac{1}{i \hbar}\int_X L_{free}(\Phi) }D[\Phi]
  }
$$

If here we were to regard the expression

$$
  \mu(\Phi)
  \;\overset{\text{not really}}{\coloneqq}\;
  \frac{
    \exp\left(
      \int_X
      \left(
        \tfrac{g}{i \hbar} L_{int}(\Phi)
      \right)
    \right)  e^{\tfrac{1}{i \hbar}\int_X L_{free}(\Phi) }D[\Phi]
  }
  {
    \int
    \exp\left(
      \int_X
      \left(
        \tfrac{g}{i \hbar} L_{int}(\Phi)
      \right)
    \right)  e^{\tfrac{1}{i \hbar}\int_X L_{free}(\phi) }D[\phi]
  }
$$

as a "complex probability measure" on the the configuration space of fields, then this formula
would express the [[expectation value]] of the functional $A$ under this measure:

$$
  A_{int} 
    \overset{\text{not really!}}{=} 
   [A]_{\mu} = \int  A(\Phi) \, \mu(\Phi)
  \,.
$$

=--


### Causal locality of interacting field quantum observables


+-- {: .num_prop #CausalLocalityOfBogoliubovFormula}
###### Proposition
**([[causal locality]])**

As the spacetime support varies, the algebras of [[interacting field quantum observables]] spanned via the Bogoliubov formula consistitute a [[causally local net of observables]], hence an instance of [[perturbative AQFT]]. 

=--

([D&#252;tsch-Fredenhagen 00, section 3](#DuetschFredenhagen00), following [Brunetti-Fredenhagen 99, section 8](#BrunettiFredenhagen99),
[Il'in-Slavnov 78](#IlinSlavnov78))

For **[[proof]]** see [this prop.](S-matrix#PerturbativeQuantumObservablesIsLocalnet) at _[[S-matrix]]_.


## Related concepts

* [[quantum Møller operator]]

* [[interacting field algebra]]

[[!include products in pQFT -- table]]


## References

The formula originates in

* {#BogoliubovShirkov59} [[Nikolay Bogoliubov]], [[Dmitry Shirkov]], _Introduction to the Theory of Quantized Fields_, New York (1959)

Its rigorous discussion in terms of [[causal perturbation theory]] is due to

* {#EpsteinGlaser73} [[Henri Epstein]], [[Vladimir Glaser]], _[[The Role of locality in perturbation theory]]_, Annales Poincar&#233; Phys. Theor. A 19 (1973) 211 ([Numdam](http://www.numdam.org/item?id=AIHPA_1973__19_3_211_0 ))

The observation that the Bogoliubov formula yields a [[causally local net of quantum observables]] is due to 

* {#IlinSlavnov78} V. A. Il'in and D. S. Slavnov, _Observable algebras in the S-matrix approach_, Theor. Math. Phys. 36 (1978) 32. ([spire](http://inspirehep.net/record/135575), [doi](http://dx.doi.org/10.1007/BF01035870))

then rediscovered in

* {#BrunettiFredenhagen00} [[Romeo Brunetti]], [[Klaus Fredenhagen]], _Microlocal Analysis and Interacting Quantum Field Theories: Renormalization on Physical Backgrounds_, Commun. Math. Phys. 208 : 623-661, 2000 ([math-ph/9903028](https://arxiv.org/abs/math-ph/9903028))

and made more explicit in

* {#DuetschFredenhagen00} [[Michael Dütsch]], [[Klaus Fredenhagen]], _Algebraic Quantum Field Theory, Perturbation Theory, and the Loop Expansion_, Commun.Math.Phys. 219 (2001) 5-30 ([arXiv:hep-th/0001129](https://arxiv.org/abs/hep-th/0001129))


The recognition of the Bogoliubov formula as the result [[formal deformation quantization]] and specifically of [[Fedosov deformation quantization]] is due to

* {#Collini16} [[Giovanni Collini]], section 2.2 of _Fedosov Quantization and Perturbative Quantum Field Theory_ ([arXiv:1603.09626](https://arxiv.org/abs/1603.09626))

* {#HawkinsRejzner16} [[Eli Hawkins]], [[Kasia Rejzner]], _The Star Product in Interacting Quantum Field Theory_ ([arXiv:1612.09157](https://arxiv.org/abs/1612.09157))

Review includes

* {#DuetschFredenhagen00} [[Michael Dütsch]], [[Klaus Fredenhagen]], _Algebraic Quantum Field Theory, Perturbation Theory, and the Loop Expansion_, Commun.Math.Phys. 219 (2001) 5-30 ([arXiv:hep-th/0001129](https://arxiv.org/abs/hep-th/0001129))

* {#Rejzner16} [[Katarzyna Rejzner]], _Perturbative Algebraic Quantum Field Theory_, Mathematical Physics Studies, Springer 2016 ([pdf](https://link.springer.com/book/10.1007%2F978-3-319-25901-7))

[[!redirects Bogoliubov formula]]

