
#Contents#
* table of contents
{:toc}

## Idea


A [[Fréchet manifold]] modeled on $\mathbb{R}^\infty \coloneqq \underset{\longleftarrow}{\lim}_n \mathbb{R}^n$ has the property that a [[smooth function]] out of it is _locally_ (on a [[neighbourhood]] of each point) given by a function that depends only on a [[finite number]] of the [[coordinate]] functions on $\mathbb{R}^\infty$ ([Michor 80, 9.5.9](#Michor80)). Hence _locally_ such an [[infinite-dimensional manifold]] looks like a [[pro-object]] in the category of finite-dimensional smooth manifolds.

The key examples of locally pro-manifolds are _[[jet bundles]]_ of [[fiber bundles]] of finite rank ([Saunders 89](#Saunders89), [Michor 80](#Michor80)).

## References


* {#Takens79} [[Floris Takens]], _A global version of the inverse problem of the calculus of variations_, J. Differential Geom. Volume 14, Number 4 (1979), 543-562. ([Euclid](https://projecteuclid.org/euclid.jdg/1214435235))


* {#Michor80} [[Peter Michor]], _Manifolds of differentiable mappings_, Shiva Publishing, Orpington, 1980.

* {#Saunders89} D. J. Saunders, _The Geometry of Jet Bundles, vol. 142 of London Mathematical Society Lecture Note Series, Cambridge University Press, Cambridge, 1989.

* {#KhavkineSchreiber17} [[Igor Khavkine]], [[Urs Schreiber]], section 2.2 of _[[schreiber:Synthetic variational calculus|Synthetic geometry of differential equations: I. Jets and comonad structure]]_ ([arXiv:1701.06238](https://arxiv.org/abs/1701.06238))


[[!redirects locally pro-manifolds]]

 