

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Differential geometry
+-- {: .hide}
[[!include synthetic differential geometry - contents]]
=--
#### Variational calculus
+-- {: .hide}
[[!include variational calculus - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A [[partial differential equation]] is said to be _formally integrable_ (e.g. [Goldschmidt 67, def. 7.2](#Goldschmidt67)) if it is [[integrable PDE|integrable]] at least over [[infinitesimal neighbourhoods]] (aka "formal neighbourhoods", whence the name). 

## Related concepts

* [[integrable differential equation]]

## References

* {#Goldschmidt67} [[Hubert Goldschmidt]], _Integrability criteria for systems of nonlinear partial differential equations_, Journal of Differential Geometry 1 (1967) 269–307 ([Euclid](https://projecteuclid.org/euclid.jdg/1214428094))

* [[Maciej Zworski]], _Numerical linear algebra and solvability of partial differential equations_, Communications in Mathematical Physics 229 (2002) 293–307

* Batu Güneysu, Markus Pflaum, _The profinite dimensional manifold structure of formal solution spaces of formally integrable PDE's_ ([arXiv:1308.1005](https://arxiv.org/abs/1308.1005))


A [[synthetic mathematics|synthetic]] discussion in terms of [[differential cohesion]] is given in

* [[Igor Khavkine]], [[Urs Schreiber]], section 3.6 of _[[schreiber:Synthetic geometry of differential equations|Synthetic geometry of differential equations -- Part I. Jets and comonad structure]]_ ([arXiv:1701.06238](https://arxiv.org/abs/1701.06238), [v2 pdf](https://ncatlab.org/schreiber/files/SyntheticPDEs170610b.pdf), [talk slides pdf](https://ncatlab.org/schreiber/files/KhavkineTromso17.pdf), [talk video](https://www.youtube.com/watch?v=yjVXmS-sZ0w))

[[!redirects formally integrable differential equations]]

[[!redirects formally integrable partial differential equation]]
[[!redirects formally integrable partial differential equations]]

[[!redirects formally integrable PDE]]
[[!redirects formally integrable PDEs]]

[[!redirects formal integration of differential equations]]
[[!redirects formal integration of partial differential equations]]
[[!redirects formal integration of PDEs]]


[[!redirects formal integrability]]
