


+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Differential geometry
+-- {: .hide}
[[!include synthetic differential geometry - contents]]
=--
#### Variational calculus
+-- {: .hide}
[[!include variational calculus - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

Roughly, "integrating" a [[partial differential equation]] means to find a [[solution]] for it, usually understood with special properties, such as having prescribed boundary data (initial data), and/or having "closed form", such as expression by [[quadratures]] ("[[integrable systems]]") and/or having prescribed [[domain]] (e.g. over [[infinitesimal neighbourhoods]] in [[formal integrability]]).  A [[PDE]] is "integrable" in a prescribed sense if it admits solutions in this prescribed sense.


## Related concepts

* [[formally integrable PDE]]

* [[integrable system]]

## References

* {#Goldschmidt67} [[Hubert Goldschmidt]], _Integrability criteria for systems of nonlinear partial differential equations_, Journal of Differential Geometry 1 (1967) 269–307 ([Euclid](https://projecteuclid.org/euclid.jdg/1214428094))

* [[Maciej Zworski]], _Numerical linear algebra and solvability of partial differential equations_, Communications in Mathematical Physics 229 (2002) 293–307

[[!redirects integrable differential equations]]

[[!redirects integrable partial differential equation]]
[[!redirects integrable partial differential equations]]

[[!redirects integrable PDE]]
[[!redirects integrable PDEs]]