
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Fields and quanta
+--{: .hide}
[[!include fields and quanta - table]]
=--
#### Spin geometry
+-- {: .hide}
[[!include higher spin geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

In [[physics]], specifically in [[field theory]], a _Dirac field_ is an [[electromagnetism|electromagentially]] charged and possibly [[mass|massive]] a _[[fermion|fermionic]] [[spinor]] field_.

This includes [[fermions]] in the [[standard model of particle physics]], such as [[electrons]], [[quarks]], [[neutrinos]] and [[muons]], after the [[Higgs mechanism]] has equipped them with [[mass]].

Mathematically, the Dirac field is the [[field (physics)|field]] whose [[field bundle]] is a [[spinor bundle]] with typical [[fiber]] a [[Dirac representation]] in [[supergeometry|odd super-degree]] and whose [[equation of motion]] is a [[Dirac equation]].

Notice that there are other [[spinor]] [[field (physics)|fields]] which would not be called "Dirac fields", such as those transforming in a [[Majorana representation]] or a [[Weyl representation]], or for example the [[gravitino]] field which would be called a _[[Rarita-Schwinger field]]_.


## Related concepts

* [[Dirac spinor]]

* [[Dirac conjugate]]

* [[Dirac operator]], [[Dirac equation]]

* [[Dirac current]]

* [[electron propagator]]

## Reference

A concise collection of the details over [[Minkowski spacetime]] is in

* {#DermisekI9} [[Radovan Dermisek]], _qft I-9_, 2009 ([pdf](http://www.physics.indiana.edu/~dermisek/QFT_09/qft-I-9-4p.pdf), [[DermisekDiracField.pdf:file]])

with background on [[spinor]] [[field (physics)|fields]] in 

* {#DermisekI8} [[Radovan Dermisek]] _qft I-8_, 2009 ([pdf](http://www.physics.indiana.edu/~dermisek/QFT_09/qft-I-8-4p.pdf), [[DermisekSpinorField.pdf:file]])


A textbook account in the context of [[causal perturbation theory]] is in

* {#Scharf95} [[Günter Scharf]], section 2.2 of _[[Finite Quantum Electrodynamics -- The Causal Approach]]_, Berlin: Springer-Verlag, 1995, 2nd edition

* {#Scharf01} [[Günter Scharf]], section 1.8 of _[[Quantum Gauge Theories -- A True Ghost Story]]_, Wiley 2001



[[!redirects Dirac fields]]
