
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Type theory
+-- {: .hide}
[[!include type theory - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

_Cubical type theory_ is a version of [[homotopy type theory]] in which [[univalence]] is not just an [[axiom]] but a [[theorem]], hence, since this is [[constructive mathematics|constructive]], has "computational content". Cubical type theory models the [[infinity-groupoid]]-structure implied by [[Martin-Löf type theory|Martin-Löf]] [[identity types]] on [[constructive set theory|constructive]] [[cubical sets]], whence the name.

The first constructive account of the univalence axiom was given in ([Coquand 13](#Coquand13), [Bezem-Coquand-Huber 17](#BezemCoquandHuber17)), called the "BCH-model".

The BCH model, unfortunately, has some problems that make it unsuitable for general [[HoTT]] (in particular, it is not known how to model [[higher inductive types]]). The problem is that the BCH model is based on [[presheaves]] on the '[[symmetric monoidal category|symmetric monoidal]] [[cube category]]', which is basically the [[free construction|free]] [[PROP]] generated by an [[interval]].
In particular, the base category's maps are generated by face maps and permutative renamings of dimension variables (this is where the 'symmetric monoidal' part comes in). For somewhat technical reasons, this doesn't work out when you want to define the [[elimination rules]] for [[higher inductive types]] (like for the [[circle]]).

To account for [[HIT]]s, you seem to need [[diagonals]] in the base category; if you add these, then you have the '[[cartesian monoidal category|cartesian]] cube category'.

Another model is due to ([Cohen-Coquand-Huber-Moertberg 17](#CohenCoquandHuberMoertberg17)), called the "CCHM model". This model has a much richer [[cube category]], the free [[De Morgan algebra]] generated by an [[interval]]. In addition to diagonals, this includes what are called 'reversals' and 'connections'.

The CCHM model validates both [[univalence]] and can be used to model a variety of [[HIT]]s.

One thing to be cautious about is that while it is possible to model the Martin-Löf [[identity type]] in both the BCH model and the CCHM model, it does not coincide with the paths in the model. But it is equivalent to the path types.

## References


* {#Coquand13} [[Thierry Coquand]] (with [[Marc Bezem]] and [[Simon Huber]]), _Computational content of the Axiom of Univalence_, September 2013 ([pdf](http://www.humboldt-kolleg.iam.unibe.ch/talks/Coquand.pdf))

* {#BezemCoquandHuber17} [[Marc Bezem]], [[Thierry Coquand]], [[Simon Huber]], _The univalence axiom in cubical sets_ ([arXiv:1710.10941](https://arxiv.org/abs/1710.10941))


* {#CohenCoquandHuberMoertberg17} [[Cyril Cohen]], [[Thierry Coquand]], [[Simon Huber]], [[Anders Mörtberg]], _Cubical Type Theory: a constructive interpretation of the univalence axiom_ ([pdf](https://hal.inria.fr/hal-01378906/document))

[[!redirects cubical type theories]]