

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Definition

The _Compton wavelength_ is a [[physical unit]] that governs the [[dispersion relation]]/[[energy-momentum relation]] of [[mass|massive]] [[field (physics)|fields]].

For a [[particle]]/[[field (physics)|field]] of [[mass]] $m$, its _Compton wavelength_ is the [[length]]

$$
  \ell_m \coloneqq \frac{2\pi \hbar}{m c}
$$

where $c$ denotes the [[speed of light]] and $2\pi\hbar$ denotes [[Planck's constant]]. Correspondingly $\frac{\hbar}{m c}$ is also called the "reduced Compton wavelength".

The inverse of the Compton wavelength appears as the [[mass]] term notably in the [[Klein-Gordon equation]] of the [[scalar field]] or the [[Dirac equation]] of the [[Dirac field]].

## Examples

* The Compton wavelength corresponding to the [[mass]] of the [[electron]] is about $\ell_{m_e} ~ 386$ [[fm]].

* Another length scale parameterized by a mass $m$ is the _[[Schwarzschild radius]]_ $r_m \coloneqq 2 m G/c^2$, where $G$ is the [[gravitational constant]]. Solving the [[equation]]

  $$
    \array{
      & \ell_m &=& r_m
      \\
      \Leftrightarrow & \hbar / m c &=& 2 m G / c^2
    }
  $$

  for $m$ yields the _[[Planck mass]]_

  $$
    \tfrac{1}{\sqrt{\pi}} m_{Pl} \coloneqq \sqrt{\frac{\hbar c}{G}}
    \,.
  $$

  The corresponding Compton wavelength $\ell_{m_{Pl}}$ is given by the _[[Planck length]]_

  $$
    \ell_{m_{Pl}} = \sqrt{ \frac{\hbar G}{c^^3} }
    \,
  $$

## Related concepts

* [[wavelength]]

* [[Planck mass]]

## References

* Wikipedia, _[Compton wavelength](https://en.wikipedia.org/wiki/Compton_wavelength)_

[[!redirects Compton wavelength]]