

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Differential geometry
+-- {: .hide}
[[!include synthetic differential geometry - contents]]
=--
#### Linear algebra
+-- {: .hide}
[[!include homotopy - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A [[differential equation]] ([[ordinary differential equation|ordinary]] or [[partial differential equation|partial]]) is called _linear_ if the [[linear combination]] of any of its [[solutions]] is still a [[solution]], hence if its space of solutions is a _[[vector space]]_.

Equivalently this means that the [[differential operator]] that corresponds to the differential equation is a [[linear operator]].

Linear differential equations may be analyzed via [[harmonic analysis]] by applying [[Fourier transform]] to decompose solutions as [[superpositions]] of [[plane wave]] "harmonics" (e.g. [Hörmander 90](#Hoermander90)).

In [[physics]] a [[field theory]] whose [[equations of motion]] is a linear partial differential equation is called a _[[free field theory]]_.

Where a general (possibly non-linear) differential equation is equivalently an object in the [[slice category]] over the [[de Rham shape]] of the space of its [[free variables]], a linear differential equation is more specifically a linear object in this slice. In the context of [[algebraic geometry]] these are the _[[D-modules]]_.

## Examples

* [[wave equation]]

* [[Klein-Gordon equation]]

* [[Schrödinger equation]]

* ...

## Related concepts

* [[D-module]]


## References

* {#Hoermander90} [[Lars Hörmander]], _The analysis of linear partial differential operators_, vol. I, Springer 1983, 1990

See also

* Wikipedia, _[Linear differential equatioon](https://en.wikipedia.org/wiki/Linear_differential_equation)_


[[!redirects linear differential equations]]

[[!redirects linear partial differential equation]]
[[!redirects linear partial differential equations]]

[[!redirects linear ordinary differential equation]]
[[!redirects linear ordinary differential equations]]

