

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Differential geometry
+-- {: .hide}
[[!include synthetic differential geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}


## Idea

A _[[partial differential equation]]_ (PDE) is _Green hyperbolic_ ([B&#228;r 14, def. 3.2](#Baer14), [Khavkine 14, def. 2.2](#Khavkine14)) if it behaves like a [[normally hyperbolic differential equation]] on a [[globally hyperbolic spacetime]] in that it has unique [[advanced and retarded Green functions]].

_Duhamel&#8217;s principle_ essentially establishes the equivalence between [[hyperbolic  differential equations]] with a well-posed [[Cauchy problem]] and Green hyperbolic systems. ([Khavkine 14, p. 12](#Khavkine14))

## Definition

Let $\Sigma$ be a [[time orientation|time-oriented]] [[Lorentzian manifold]] of [[dimension]] $p+1$, or more generally a [[conal manifold]] with [[conal causal structure]].
 
$$
  \array{
    E 
    \\
    \downarrow^{\mathrlap{fb}}
    \\
    \Sigma
  }
$$ 

be a [[smooth vector bundle]]. Write

$$
  \tilde E^\ast
     \;\coloneqq\; 
   E^\ast \otimes_\Sigma \wedge_\Sigma^{p+1} T^\ast \Sigma
$$

for the _[[density|densitized]] [[dual vector bundle]]_, hence the [[tensor product of vector bundles]] of the [[dual vector bundle]] with the [[differential n-form]]-bundle.



+-- {: .num_defn #CompactlySourceCausalSupport}
###### Definition
**(compactly sourced causal support)

Given a [[vector bundle]] $E \overset{}{\to} \Sigma$ over a manifold $\Sigma$ with [[conal causal structure|causal structure]]

Write $\Gamma_{\Sigma}(-)$ for [[space of sections|spaces of smooth sections]], and write

$$
  \array{
    \Gamma_{cp}(-) & \text{compact support}
    \\
    \Gamma_{\Sigma,\pm cp}(-) & \text{compactly sourced future/past support}
    \\
    \Gamma_{\Sigma,scp}(-) & \text{spacelike compact support}
    \\
    \Gamma_{\Sigma,(f/p)cp}(-) & \text{future/past compact support}
    \\
    \Gamma_{\Sigma,tcp}(-) & \text{timelike compact support}
  }
$$ 

for the [[linear subspaces]] on those smooth sections whose [[support]] is 

1. ($cp$) inside a [[compact subset]]

1. ($\pm cp$) inside the [[closed future cone]]/[[closed past cone]], respectively, of a [[compact subset]],

1. ($scp$) inside the [[closed causal cone]] of a [[compact subset]], which equivalently means that the [[intersection]] with every ([[spacelike]]) [[Cauchy surface]] is compact ([Sanders 13, theorem 2.2](#Sanders12)),

1. ($fcp$) inside the past of a Cauchy surface ([Sanders 13, def. 3.2](#Sanders12)),

1. ($pcp$) inside the future of a Cauchy surface ([Sanders 13, def. 3.2](#Sanders12)), 

1. ($tcp$) inside the future of one Cauchy surface and the past of another ([Sanders 13, def. 3.2](#Sanders12))

=--

([B&#228;r 14, section 1](#Baer14), [Khavkine 14, def. 2.1](#Khavkine14))

+-- {: .num_defn #FormallyAdjointDifferentialOperators}
###### Definition
**([[formally adjoint differential operators]])**

Two [[differential operators]]

$$
  P, P^\ast
   \;\colon\;
  \Gamma_\Sigma(E)
    \longrightarrow
  \Gamma_\Sigma(\tilde E^\ast)
$$

are called _[[formally adjoint differential operators]]_ via a [[bilinear map|bilinear]] [[differential operator]]

$$
  \label{FormallyAdjointDifferentialOperatorWitness}
  K \;\colon\;
  \Gamma_\Sigma(E) \otimes \Gamma_\Sigma(E)
    \longrightarrow
   \Gamma_\Sigma(\wedge^{p} T^\ast \Sigma)
$$

such that for all $\Phi_1, \Phi_2 \in \Gamma_\Sigma(E)$ we have

$$
  P(\Phi_1) \cdot \Phi_2
  -
  \Phi_1 \cdot P^\ast(\Phi_2)
   \;=\;
  d K(\Phi_1, \Phi_2)
$$

=--

([B&#228;r 14, 3. (1)](#Baer14) [Khavkine 14, def. 2.4](#Khavkine14))



+-- {: .num_defn #AdvancedAndRetardedGreenFunctions}
###### Definition
**([[advanced and retarded Green functions]] and [[causal Green function]])**

Let $\Sigma$ be a [[smooth manifold]] with [[causal structure]], let $E \to \Sigma$ be a [[smooth vector bundle]] and let
$P \;\colon\;\Gamma_\Sigma(E) \to \Gamma_\Sigma(\tilde E^\ast)$ be a [[differential operator]] on its [[space of smooth sections]].

Then a [[linear map]]

$$
  \mathrm{G}_{P,\pm}
    \;\colon\;
  \Gamma_{\Sigma, cp}(\tilde E^\ast)
    \longrightarrow
  \Gamma_{\Sigma, \pm cp}(E)
$$

from spaces of sections of [[compact support]] to spaces of sections of causally sourced future/past support (def. \ref{CompactlySourceCausalSupport}) is called an _[[advanced or retarded Green function]]_ for $P$, respectively, if 

1. for all $\Phi \in \Gamma_{\Sigma,cp}(E_1)$ we have

   $$
     \label{AdvancedRetardedGreenFunctionIsLeftInverseToDiffOperator}
     G_{P,\pm} \circ P(\Phi) = \Phi
   $$

   and

   $$
     \label{AdvancedRetardedGreenFunctionIsRightInverseToDiffOperator}
     P \circ G_{P,\pm}(\Phi) = \Phi
   $$

1. the [[support]] of $G_{P.\pm}(\Phi)$ is in the [[closed future cone]] or [[closed past cone]] of the support of $\Phi$, respectively.

If the advanced/retarded Green functions $G_{P\pm}$ exists, then the difference

$$
  \mathrm{G}_P \coloneqq \mathrm{G}_{P,+} - \mathrm{G}_{P,-}
$$

is called the _[[causal Green function]]_.

=--

([B&#228;r 14, def. 3.2, cor. 3.10](#Baer14}))


+-- {: .num_defn #GreenHyperbolicDifferentialOperator}
###### Definition
**([[Green hyperbolic differential operator]])**

Let $E \overset{fb}{\to} \Sigma$ be a [[smooth vector bundle]] over a [[smooth manifold]] $\Sigma$ with [[causal structure]].

A [[linear differential operator|linear]] [[hyperbolic differential operator]].

$$
  P 
    \;\colon\;
  \Gamma_\Sigma(E)
    \longrightarrow
  \Gamma_{\Sigma}(\tilde E^\ast)
$$

is called _Green hyperbolic_ with respect to the given [[causal structure]] if $P$ as well as its [[formal adjoint differential operator]] $P^\ast$ (def. \ref{FormallyAdjointDifferentialOperators}) admit [[advanced and retarded Green functions]] (def. \ref{AdvancedAndRetardedGreenFunctions}).

=--

([B&#228;r 14, def. 3.2](#Baer14}), [Khavkine 14, def. 2.2](#Khavkine14))


+-- {: .num_prop #AdvancedAndRetardedGreenFunctionsForGreenHyperbolicOperatorAreUnique}
###### Proposition
**([[advanced and retarded Green functions]] of [[Green hyperbolic differential operator]] are unique)**

The [[advanced and retarded Green functions]] (def. \ref{AdvancedAndRetardedGreenFunctions}) of a [[Green hyperbolic differential operator]] (def. \ref{GreenHyperbolicDifferentialOperator}) are unique.

=--

([B&#228;r 14, cor. 3.12](#Baer14})

## Properties
 {#Properties}


### Formally adjoint Green hyperbolic operators


+-- {: .num_prop}
###### Proposition
**([[causal Green functions]] of [[formally adjoint differential operator|formally adjoint]] [[Green hyperbolic differential operators]] are [[formally adjoint differential operator|formally adjoint]])**

Let

$$
  P, P^\ast \;\colon\;\Gamma_\Sigma(E) \overset{}{\longrightarrow} \Gamma_\Sigma(\tilde E^\ast)
$$ 

be a pair of Green hyperbolic differential operators (def. \ref{GreenHyperbolicDifferentialOperator}) which are [[formally adjoint differential operator|formally adjoint]] (def. \ref{FormallyAdjointDifferentialOperators}).  Then also their [[causal Green functions]] $\mathrm{G}_P$ and $G_{P^\ast}$ (def. \ref{AdvancedAndRetardedGreenFunctions}) are [[formally adjoint differential operators]], up to a sign:

$$
  \left( 
    \mathrm{G}_P
  \right)^\ast
  \;=\;
  - \mathrm{G}_{P^\ast}
  \,.
$$

=--

([Khavkine 14, (24), (25)](#Khavkine14))



### Continuous linear functionals on the solution space 
 {#ContinousLinearFunctionalsOnTheSolutionSpace}


+-- {: .num_defn #TVSStructureOnSpacesOfSmoothSections}
###### Definition
**([[Fréchet space|Fréchet]] [[topological vector space]] on [[spaces of smooth sections]] of a [[smooth vector bundle]])**

Let $E \overset{fb}{\to} \Sigma$ be a [[smooth vector bundle]]. On its [[real vector space]] $\Gamma_\Sigma(E)$ [[space of sections|of smooth sections]] consider the [[seminorms]] indexed by a [[compact subset]] $K \subset \Sigma$ and a [[natural number]] $N \in \mathbb{N}$ and given by

$$
  \array{
    \Gamma_\Sigma(E) &\overset{p_K^N}{\longrightarrow}&
    [0,\infty)
    \\
    \Phi &\mapsto&  \underset{n \leq N}{max} \left( \underset{x \in K}{sup} {\vert \nabla^n \Phi(x)\vert}\right) \,,
  }
$$

where on the right we have the [[absolute values]] of the [[covariant derivatives]] of $\Phi$ for any fixed choice of [[connection on a bundle|connection]] on $E$ and [[norm]] on the [[tensor product of vector bundles]] $(T^\ast \Sigma)^{\otimes_\Sigma^n} \otimes_\Sigma E $.

This makes $\Gamma_\Sigma(E)$ a [[Fréchet space|Fréchet]] [[topological vector space]].

For $K \subset \Sigma$ any [[closed subset]] then the sub-space of sections

$$
  \Gamma_{\Sigma,K}(E) \hookrightarrow \Gamma_\Sigma(E)
$$ 

of sections whose [[support]] is inside $K$ becomes a [[Fréchet space|Fréchet]] [[topological vector spaces]] with the induced [[subspace topology]], which makes these be [[closed subspaces]].

Finally, the [[vector spaces]] of smooth sections with prescribed causal support (def. \ref{CompactlySourceCausalSupport})
are [[inductive limits]] of vector spaces $\Gamma_{\Sigma,K}(E)$ as above, and hence they inherit 
[[topological vector space]] [[structure]] by forming the corresponding [[inductive limit]] in the [[category]]
of [[locally convex topological vector spaces]]. For instance

$$
  \Gamma_{\Sigma,cp}(E)
  \;\coloneqq\;
  \underset{\underset{ {K \subset \Sigma} \atop {K\, \text{compact}} }{\longrightarrow}}{\lim}
  \Gamma_{\Sigma,K}(E)
$$

etc.


=--

([B&#228;r 14, 2.1, 2.2](#Baer14))



+-- {: .num_defn #DistributionalSections}
###### Definition
**([[distribution|distributional]] [[sections]])**

Let $E \overset{fb}{\to} \Sigma$ be a [[smooth vector bundle]] over a [[smooth manifold]] with [[causal structure]].

The [[vector space|vector]] [[spaces of smooth sections]] with restricted support from def. \ref{CompactlySourceCausalSupport} structures of [[topological vector spaces]] via def. \ref{TVSStructureOnSpacesOfSmoothSections}. We denote the topological [[dual spaces]] by 

$$
  \Gamma'_{\Sigma}(\tilde{E}^*) \coloneqq (\Gamma_{\Sigma,cp}(E))^*
$$

etc.

This is the space of _distributional sections_ of the bundle $\tilde{E}^*$. 

With this notations, smooth compactly supported sections of the same bundle, regarded as the [[non-singular distributions]], constitute a [[dense subset]] 

$$
  \Gamma_{\Sigma,cp}(\tilde{E}^*) 
    \underset{\text{dense}}{\hookrightarrow}   
  \Gamma'_{\Sigma}(\tilde{E}^*)
  \,.
$$ 

Imposing the same restrictions to the [[supports of distributions]] as in def. \ref{CompactlySourceCausalSupport}, we have the following subspaces of distributional sections:

$$
  \Gamma'_{\Sigma,cp}(\tilde E^\ast) ,
  \Gamma'_{\Sigma,\pm cp}(\tilde E^\ast) ,
  \Gamma'_{\Sigma,scp}(\tilde E^\ast) ,
  \Gamma'_{\Sigma,fcp}(\tilde E^\ast) ,
  \Gamma'_{\Sigma,pcp}(\tilde E^\ast) ,
  \Gamma'_{\Sigma,tcp}(\tilde E^\ast)
  \subset
  \Gamma'_{\Sigma}(\tilde E^\ast) .
$$


=--

([Sanders 13](#Sanders12), [B&#228;r 14](#Baer14))

+-- {: .num_prop #GreenFunctionsAreContinuous}
###### Proposition
**([[causal Green functions]] of [[Green hyperbolic differential operators]] are [[continuous linear maps]])**


Given a [[Green hyperbolic differential operator]] $P$ (def. \ref{GreenHyperbolicDifferentialOperator}), the advanced, retarded and causal Green functions of $P$ (def. \ref{AdvancedAndRetardedGreenFunctions}) are [[continuous linear maps]] with respect to the [[topological vector space]] structure from def. \ref{TVSStructureOnSpacesOfSmoothSections} and also have a unique continuous extension to the spaces of sections with larger support (def. \ref{CompactlySourceCausalSupport}) as follows:

$$
\begin{aligned}
  \mathrm{G}_{P,+}
    &\;\colon\;
  \Gamma_{\Sigma, pcp}(\tilde E^\ast)
    \longrightarrow
  \Gamma_{\Sigma, pcp}(E) ,
  \\
  \mathrm{G}_{P,-}
    &\;\colon\;
  \Gamma_{\Sigma, fcp}(\tilde E^\ast)
    \longrightarrow
  \Gamma_{\Sigma, fcp}(E) ,
  \\
  \mathrm{G}_{P}
    &\;\colon\;
  \Gamma_{\Sigma, tcp}(\tilde E^\ast)
    \longrightarrow
  \Gamma_{\Sigma}(E) ,
\end{aligned}
$$

such that we still have the relation

$$
  \mathrm{G}_P = \mathrm{G}_{P,+} - \mathrm{G}_{P,-}
$$

and

$$
  P \circ \mathrm{G}_{P,\pm} = \mathrm{G}_{P,\pm} \circ P = id
$$ 

and 

$$
  supp \mathrm{G}_{P,\pm}(\tilde{\alpha}^*) \subseteq J^\pm(supp \tilde{\alpha}^*)
  \,.
$$

=--

([B&#228;r 14, thm. 3.8, cor. 3.11](#Baer14))


+-- {: .num_prop #DistributionsWithCausalSupports}
###### Proposition
**(topological duality with causally restricted supports)**

Let $E \overset{fb}{\to} \Sigma$ be a [[smooth vector bundle]] over a [[smooth manifold]] with [[causal structure]].

Then there are the following [[isomorphisms]] of [[topological vector spaces]] between [[dual spaces]] of [[spaces of sections]] and spaces of distributional sections, with restricted supports (def. \ref{DistributionalSections}):


$$
\begin{aligned}
  \Gamma_{\Sigma,cp}(E)^* &\simeq \Gamma'_{\Sigma}(\tilde E^\ast) , 
  \\
  \Gamma_{\Sigma,+cp}(E)^* &\simeq \Gamma'_{\Sigma,fcp}(\tilde E^\ast) , 
  \\
  \Gamma_{\Sigma,-cp}(E)^* &\simeq \Gamma'_{\Sigma,pcp}(\tilde E^\ast) , 
  \\
  \Gamma_{\Sigma,scp}(E)^* &\simeq \Gamma'_{\Sigma,tcp}(\tilde E^\ast) , 
  \\
  \Gamma_{\Sigma,fcp}(E)^* &\simeq \Gamma'_{\Sigma,+cp}(\tilde E^\ast) , 
  \\
  \Gamma_{\Sigma,pcp}(E)^* &\simeq \Gamma'_{\Sigma,-cp}(\tilde E^\ast) , 
  \\
  \Gamma_{\Sigma,tcp}(E)^* &\simeq \Gamma'_{\Sigma,scp}(\tilde E^\ast) , 
  \\
  \Gamma_{\Sigma}(E)^* &\simeq \Gamma'_{\Sigma,cp}(\tilde E^\ast) .
\end{aligned}
$$

=--

([Sanders 13, thm. 4.3](#Sanders12), [B&#228;r 14, lem. 2.14](#Baer14))


+-- {: .num_prop #ExactSequenceOfGreenHyperbolicSystem}
###### Proposition
**([[exact sequence]] of [[Green hyperbolic differential operator]])**

Let $\Gamma_\Sigma(E) \overset{P}{\longrightarrow} \Gamma_\Sigma(\tilde E^\ast)$ be a [[Green hyperbolic differential operator]] (def. \ref{GreenHyperbolicDifferentialOperator}) with [[causal Green function]] $\mathrm{G}$ (def. \ref{GreenHyperbolicDifferentialOperator}). Then the sequences 

$$
  0 
    \to  
  \Gamma_{\Sigma,cp}(E)
   \overset{P}{\longrightarrow}
  \Gamma_{\Sigma,cp}(\tilde E^\ast)
    \overset{\mathrm{G}_P}{\longrightarrow}
  \Gamma_{\Sigma,scp}(E)
    \overset{P}{\longrightarrow}
  \Gamma_{\Sigma,scp}(\tilde E^\ast)
     \to
  0 ,
$$
$$
  0 
    \to  
  \Gamma_{\Sigma,tcp}(E)
   \overset{P}{\longrightarrow}
  \Gamma_{\Sigma,tcp}(\tilde E^\ast)
    \overset{\mathrm{G}_P}{\longrightarrow}
  \Gamma_{\Sigma}(E)
    \overset{P}{\longrightarrow}
  \Gamma_{\Sigma}(\tilde E^\ast)
     \to
  0
$$

of these operators restricted to functions with causally restricted supports as indicated (def. \ref{CompactlySourceCausalSupport})
are [[exact sequence]]s of [[topological vector spaces]] and continuous [[linear maps]] between them.

Under passing to [[dual spaces]] and using the isomorphisms of spaces of distributional sections (def. \ref{DistributionalSections}) from prop. \ref{DistributionsWithCausalSupports} this yields the following dual [[exact sequence]] of [[topological vector spaces]] and continuous [[linear maps]] between them:

$$
  \label{GreenHyperbolicOperatorDualExactSequence}
  0 
    \to  
  \Gamma'_{\Sigma,tcp}(E)
   \overset{P^*}{\longrightarrow}
  \Gamma'_{\Sigma,tcp}(\tilde E^\ast)
    \overset{-\mathrm{G}_{P^*}}{\longrightarrow}
  \Gamma'_{\Sigma}(E)
    \overset{P^*}{\longrightarrow}
  \Gamma'_{\Sigma}(\tilde E^\ast)
     \to
  0 ,
$$
$$
  \label{GreenHyperbolicOperatorDualExactSequence2}
  0 
    \to  
  \Gamma'_{\Sigma,cp}(E)
   \overset{P^*}{\longrightarrow}
  \Gamma'_{\Sigma,cp}(\tilde E^\ast)
    \overset{-\mathrm{G}_{P^*}}{\longrightarrow}
  \Gamma'_{\Sigma,scp}(E)
    \overset{P^*}{\longrightarrow}
  \Gamma'_{\Sigma,scp}(\tilde E^\ast)
     \to
  0
$$


In particular this means that there is a [[linear isomorphism]] between the space $ker_{scp}(P)$ of spatially compact solutions to the differential equation and the [[quotient space]] of the [[compact support|compactly supported]] dual sections by the [[image]] of $P$:

$$
  \label{SolutionSpaceIsomorphicToQuotientByImP}
  \Gamma_{\Sigma,cp}(\tilde E^\ast)/im(P)
    \underoverset{\simeq}{\phantom{A}\mathrm{G}_P\phantom{A}}{\longrightarrow}
  ker_{scp}(P)
  \,.
$$

=--

The following proof is a slight refinement of ([Khavkine 14, prop. 2.1](#Khavkine14)). The refinement consists of reducing the check of exactness to the construction of a contracting homotopy of the complex into itself (cf. the answer to [MO208985](https://mathoverflow.net/a/209024), where this refinement has appeared in a simplified context).

+-- {: .proof}
###### Proof

Let $\Sigma_p^-, \Sigma_p^+ \subset \Sigma$ be two Cauchy surfaces, with $\Sigma_p^-$ in the past of $\Sigma_p^+$. Let also $\{\chi_+,\chi_-\}$ be a [[partition of unity]] subordinate to the cover $\{J^+(\Sigma_p^-), J^-(\Sigma_p^+)\}$ of $\Sigma$, that is, smooth functions such $\chi_+ + \chi_- = 1$, while $\chi_+ = 0$ on the past of $\Sigma_p^-$ and $\chi_- = 0$ on the future of $\Sigma_p^+$.

We can use these functions to define the following [[contracting homotopy]] of our complex into itself:
$$
  \begin{array}{ccccccccccc}
  0 &
    \to & 
  \Gamma_{\Sigma,cp}(E) &
   \overset{P}{\longrightarrow} &
  \Gamma_{\Sigma,cp}(\tilde E^\ast) &
    \overset{\mathrm{G}}{\longrightarrow} &
  \Gamma_{\Sigma,scp}(E) &
    \overset{P}{\longrightarrow} &
  \Gamma_{\Sigma,scp}(\tilde E^\ast) &
     \to &
  0
  \\
  & &
  {\downarrow} id & {\swarrow} {}_\chi\mathrm{G} &
  {\downarrow} id & {\swarrow} P_\chi &
  {\downarrow} id & {\swarrow} \mathrm{G}_\chi &
  {\downarrow} id
  \\
  0 &
    \to & 
  \Gamma_{\Sigma,cp}(E) &
   \overset{P}{\longrightarrow} &
  \Gamma_{\Sigma,cp}(\tilde E^\ast) &
    \overset{\mathrm{G}}{\longrightarrow} &
  \Gamma_{\Sigma,scp}(E) &
    \overset{P}{\longrightarrow} &
  \Gamma_{\Sigma,scp}(\tilde E^\ast) &
     \to &
  0
  \end{array}
$$

The homotopy maps are defined as follows:

$$
\begin{aligned}
  {}_\chi\mathrm{G}[\tilde{\alpha}^*]
  &= \chi_+ \mathrm{G}_-[\tilde{\alpha}^*]
    + \chi_- \mathrm{G}_+[\tilde{\alpha}^*] , \\
  P_\chi[\psi]
  &= P[\chi_+\psi] - \chi_+ P[\psi] = -P[\chi_-\psi] + \chi_- P[\psi] , \\
  \mathrm{G}_\chi[\tilde{\alpha}^*]
  &= \mathrm{G}_+[\chi_+\tilde{\alpha}^*] + \mathrm{G}_-[\chi_-\tilde{\alpha}^*] .
\end{aligned}
$$

The contracting identities

$$
\begin{aligned}
  {}_\chi\mathrm{G} \circ P &= id , \\
  P\circ {}_\chi\mathrm{G} + P_\chi \circ \mathrm{G} &= id , \\
  \mathrm{G}\circ P_\chi + \mathrm{G}_\chi \circ P &= id , \\
  P \circ \mathrm{G}_\chi &= id ,
\end{aligned}
$$
are simply a matter of direct calculation.

The identity morphism of our complex to itself induces an isomorphism on its cohomology. On the other hand, since this morphism itself is induced by a homotopy, it must be in fact be the zero map on cohomology. This is only possible when all cohomologies vanish and our complex is exact. The continuity of the differential operators $P$ and $P^*$ is standard. The continuity of the Green function acting on smooth functions was already noted in prop. \ref{GreenFunctionsAreContinuous}.


To see the second exact sequences, observe that differential operators extend continuously to distributions in a standard way. The only nontrivial check is on the Green functions. Their continuity is discussed in ([Sanders 13, sec. 5](#Sanders12)) and ([Baer 14, lem. 4.1](#Baer14)). The exactness follows from the same argument as in the previous argument (since a contracting homotopy dualizes to a contracting homotopy). The exactness of a sequence similar to the one above also appears as ([B&#228;r 14, thm. 4.3](#Baer14)). The continuity of the extensions of Green functions to distribution follows from standard arguments, which was checked for instance in ([B&#228;r 14, lem. 4.1](#Baer14)). The standard argument consists of noting that the adjoint of a continuous linear map is also continuous, both for the weak and strong topologies on distributions ([Treves 67, prop.-cor. 19.5](#Treves67)).


=--



Putting the above results together, it follows:

+-- {: .num_prop #DistributionsOnSolutionSpaceAreTheGeneralizedPDESolutions}
###### Proposition
**([[distributions]] on Green hyperbolic PDE solution space are the [[generalized PDE solutions]])**

Let $P, P^\ast \;\colon\; \Gamma_\Sigma(E) \overset{}{\longrightarrow} \Gamma_\Sigma(\tilde E^\ast)$ be a pair of [[Green hyperbolic differential operators]] (def. \ref{GreenHyperbolicDifferentialOperator}) which are [[formally adjoint differential operator|formally adjoint]] (def. \ref{FormallyAdjointDifferentialOperators}).

Then 

1)

the canonical pairing (from prop. \ref{DistributionsWithCausalSupports})

$$
  \array{
    \Gamma'_{\Sigma,cp}(\tilde E^\ast) &\otimes& \Gamma_\Sigma(E)
      &\overset{}{\longrightarrow}&
    \mathbb{C}
    \\
    \alpha^\ast &,& \Phi &\mapsto& \int \alpha^\ast_a(x) \Phi^a(x)\, dvol_\Sigma(x)
  }
$$

induces a [[continuous linear map|continuous]] [[linear isomorphism]]

$$
  (ker(P))^\ast 
  \;\simeq\;
  \Gamma'_{\Sigma,cp}(\tilde E^\ast)/im_{cp}(P^\ast)
$$

2)

a [[continuous linear functional]] on the solution space

$$
  u_{sol} \in \left(ker_{scp}(P)\right)^\ast
$$

is equivalently a [[distribution|distributional section]] (def. \ref{DistributionalSections})

$$
  u \in \Gamma'_{\Sigma}(E)
$$

which is a [[generalized solution]] to the differential equation

$$
  P^\ast u = 0
  \,,
$$

and this is a [[continuous linear map|continuous]] [[linear isomorphism]] given by pullback along the [[causal Green function]] $\mathrm{G}_P$ (def. \ref{AdvancedAndRetardedGreenFunctions}):

$$
\label{ContinuousLinearDualOfSpacelikeCompactSolutionSpaceIsUnconstrainedDistributionsThatAreGeneralizedSolutions}
  \left(ker_{scp}(P)\right)^\ast
     \underoverset{\simeq}{-\mathrm{G}_{P^\ast} = (-)\circ \mathrm{G}_P}{\longrightarrow}
   \left\{
     u \in \Gamma'_{\Sigma}(E)
     \,\vert\,
     P^* u = 0
   \right\}
  \,.
$$

Similarly:


$$
  \label{ContinuousLinearDualOfUnconstrainedSolutionSpaceIsSpacelikeCompactlySupportedDistributionsThatAreGeneralizedSolutions}
  \left(ker(P)\right)^\ast
     \underoverset{\simeq}{-\mathrm{G}_{P^\ast} = (-)\circ \mathrm{G}_P}{\longrightarrow}
   \left\{
     u \in \Gamma'_{\Sigma,scp}(E)
     \,\vert\,
     P^* u = 0
   \right\}
  \,.
$$


=--


+-- {: .proof}
###### Proof

Observe that both $\ker_{scp}(P) \subset \Gamma_{\Sigma,scp}(E)$ and $im_{tcp}(P^*) \subset \Gamma'_{\Sigma,tcp}(\tilde{E}^*)$ are [[closed subspaces]]: the first by [[continuous function|continuity]] of $P$ and the second by exactness of the sequence (eq:GreenHyperbolicOperatorDualExactSequence) in prop. \ref{ExactSequenceOfGreenHyperbolicSystem}, which implies that this, too, is the kernel of a continuous linear functional. 

This implies ([Treves 67, props. 35.5, 35.6](#Treves67)) that the linear isomorphisms

$$
  (ker(P))^\ast 
  \;\simeq\;
  \Gamma'_{\Sigma,cp}(\tilde E^\ast)/im_{cp}(P^\ast)
$$

and 

$$
  \label{ContinuousLinearDualsOnGreenHyperbolicSolutionSpace}
  (\ker_{scp}(P))^* 
    \;\simeq\; 
  \Gamma'_{\Sigma,tcp}(\tilde{E}^*) / im_{tcp}(P^*) 
$$

obtained from the underlying exact sequences of vector spaces in prop. \ref{ExactSequenceOfGreenHyperbolicSystem} are also [[continuous linear map|continuous]] linear isomorphisms for the [[dual space]] topology on the left. 

The first of these is the statement 1) to be proven.

From the second, by once again exploiting the exactness of the sequence (eq:GreenHyperbolicOperatorDualExactSequence) in prop. \ref{ExactSequenceOfGreenHyperbolicSystem}, we also have the chain of isomorphisms

$$
  \label{ChainOfIsomorphisms}
  \Gamma'_{\Sigma,tcp}(\tilde{E}^*) / im_{tcp}(P^*)
  \simeq \Gamma'_{\Sigma,tcp}(\tilde{E}^*) / \ker_{tcp}(G_{P^*})
  \underoverset{\simeq}{G_{P^\ast}}{\to}
  \ker(P^*) \subset \Gamma'_{\Sigma}({E}).
$$

Combining this with (eq:ContinuousLinearDualsOnGreenHyperbolicSolutionSpace)
yields the desired isomorphism in 2)

The same argument applied to the exact sequence (eq:GreenHyperbolicOperatorDualExactSequence2) yields the second statement in 2)

=--



### The $P$-Symplectic and $P$-Peierls brackets
 {#PSymplecticAndPPeierlsBracket}


+-- {: .num_defn #BracketPSymplecticAndPPeierls}
###### Definition
**($P$-Symplectic and $P$-Peierls bracket)**

Let

$$
  P, P^\ast \;\colon\;\Gamma_\Sigma(E) \overset{}{\longrightarrow} \Gamma_\Sigma(\tilde E^\ast)
$$ 

be a pair of [[Green hyperbolic differential operators]] (def. \ref{GreenHyperbolicDifferentialOperator}) which are [[formally adjoint differential operator|formally adjoint]] (def. \ref{FormallyAdjointDifferentialOperators}) via a differential operator $K$ (eq:FormallyAdjointDifferentialOperatorWitness).

Then:

1. Consider $\ker_{scp}(P) \subset \Gamma_{\Sigma,scp}(E)$ and $\ker'(P^*) \subset \Gamma'_{\Sigma}(E)$, where $\ker'$ simply means that we are considering distributional solutions. For any [[Cauchy surface]] $\Sigma_p \overset{\iota_{\Sigma_p}}{\hookrightarrow} \Sigma$ the _$P$-Symplectic bracket_ is the [[bilinear map]]
   $$
     \array{
       \ker_{scp}(P) \otimes \ker'(P^*)
         &\overset{ \left\{-,- \right\}_{\Sigma_p,K} }{\longrightarrow}&
       \mathbb{R}
       \\
       (\mathbf{\Phi}_1, \mathbf{\Phi}_2)
       &\mapsto&
       \underset{\Sigma_p}{\int} (\iota_{\Sigma_p})^\ast K(\mathbf{\Phi}_1, \mathbf{\Phi}_2)
     }
   $$
Note that, even though $\Phi_2\in \ker'(P^*)$ is a distribution on $\Sigma$, we are integrating it over a codimension-$1$ surface $\Sigma_p \hookrightarrow \Sigma$. In this case, the restriction to $\Sigma_p$ is well-defined by the theorem on the [[pullback of a distribution]] ([this prop.](pullback+of+a+distribution#PullbackOfDistributionsWhoseWaveFrontDoesNotIntersectNormalBundle) there). The only condition to check is that the [[conormal bundle]] of the embedding $\Sigma_p \hookrightarrow \Sigma$ does not intersect $WF(\Phi_2)$. But, since the $\Phi_2$ is annihilated by $P^*$, by the theorem on the [[propagation of singularities theorem|propagation of singularities]] ([this prop.](propagation+of+singularities+theorem#PropagationOfSingularitiesTheorem) there), $WF(\Phi_2)$ contains only covectors that are characteristic with respect to $P^*$ (those on which the [[principal symbol]] of $P^*$ fails to be invertible). But by its definition, a Cauchy surface $\Sigma_p$ must be nowhere characteristic, meaning that its conormal bundle does not intersect $WF(\Phi_2)$.  
Because the arguments $\Phi_1$ and $\Phi_2$ are annihilated respectively by $P$ and $P^*$, equation (eq:FormallyAdjointDifferentialOperatorWitness) ensures that the definition of $\{-,-\}_{\Sigma_p,K}$ is actually independent of the choice of $\Sigma_p$.

1. The _$P$-Peierls bracket_ is the [[bilinear map]]
   $$
     \array{
       \Gamma_{\Sigma,cp}(\tilde E^\ast) \otimes \Gamma'_{\Sigma,tcp}(\tilde E^\ast)
         &
           \overset{
              \left\{ -,- \right\}_{\Sigma, \mathrm{G}}   
           }{
             \longrightarrow
           }
         &  
       \mathbb{R}
       \\
       (\tilde \alpha^\ast_1, \tilde \alpha^\ast_2)
         &\mapsto&  
       \underset{\Sigma}{\int} \tilde \alpha^\ast_1 \cdot \mathrm{G}_{P^*}(\tilde \alpha^\ast_2) = -\underset{\Sigma}{\int} \tilde \mathrm{G}_{P}(\alpha^\ast_1) \cdot \tilde \alpha^\ast_2
     }
   $$
Since $\mathrm{G}_P$ annihilates $im_{cp}(P)$ and the image of $\mathrm{G}_P$ is annihilated by any distribution in $im'_{tcp}(P^*)$ (again, $im'$ refers to the fact that we are considering distributional sections), the $P$-Peierls bracket descends to a bilinear map on
   $$
     \array{
       \Gamma_{\Sigma,cp}(\tilde E^\ast) / im_{cp}(P^*) \otimes \Gamma'_{\Sigma,tcp}(\tilde E^\ast) / im'_{tcp}(P)
         &
           \overset{
              \left\{ -,- \right\}_{\Sigma, \mathrm{G}}   
           }{
             \longrightarrow
           }
         &  
       \mathbb{R}
     }
   $$
=--


+-- {: .num_prop #PSymplecticToPPeierls}
###### Proposition
**([[causal Green function]] transforms $P$-Peierls bracket to $P$-symplectic pairing)**

Let

$$
  P, P^\ast \;\colon\;\Gamma_\Sigma(E) \overset{}{\longrightarrow} \Gamma_\Sigma(\tilde E^\ast)
$$ 

be a pair of [[Green hyperbolic differential operators]] (def. \ref{GreenHyperbolicDifferentialOperator}) which are [[formally adjoint differential operator|formally adjoint]] (def. \ref{FormallyAdjointDifferentialOperators}) via a differential operator $K$ (eq:FormallyAdjointDifferentialOperatorWitness).



Then the [[causal Green function]] intertwines the $P$-Symplectic bracket with the $P$-Peierls bracket (def. \ref{BracketPSymplecticAndPPeierls}) in that for every [[Cauchy surface]] $\Sigma_p \hookrightarrow \Sigma$ and all 

$$
  \tilde \alpha_1^\ast
  \;\in\;
  \Gamma_{\Sigma,cp}(\tilde E^\ast) ,
  \quad
  \tilde \alpha_2^\ast
  \;\in\;
  \Gamma'_{\Sigma,tcp}(\tilde E^\ast)
$$

we have

$$
  \label{RelationBetweenSymplecticAndPPeierlsBracket}
  \left\{
     \tilde \alpha^\ast_1, \tilde \alpha^\ast_2
  \right\}_{\Sigma,\mathrm{G}}
  \;=\;
  -\left\{
     \mathrm{G}_P(\tilde \alpha^\ast_1),
     \mathrm{G}_{P^*}(\tilde \alpha^\ast_2)
  \right\}_{\Sigma_p,K}
  \,.
$$


=--

([Khavkine 14, lemma 2.5](#Khavkine14))

As currently defined, the pairings $\{-,-\}_{\Sigma_p,K}$ and $\{-,-\}_{\Sigma,G}$ are far from being anti-symmetric. In particular, the two arguments may come from very different spaces. In the self-adjoint case $P=P^*$, we may ask whether the domains of the two arguments may be respectively enlarged or shrunk to be equal and such that the pairing becomes anti-symmetric. When that is possible, we get an honest symplectic or Poisson bracket. The simplest such choices are
   $$
     \array{
       \ker_{scp}(P) \otimes \ker_{scp}(P)
         &
           \overset{
              \left\{ -,- \right\}_{\Sigma_p, K}   
           }{
             \longrightarrow
           }
         &  
       \mathbb{R}
    \\
       \Gamma_{\Sigma,cp}(\tilde E^\ast) \otimes \Gamma_{\Sigma,cp}(\tilde E^\ast)
         &
           \overset{
              \left\{ -,- \right\}_{\Sigma, \mathrm{G}}   
           }{
             \longrightarrow
           }
         &  
       \mathbb{R}
     }
   $$
This problem is analogous to studying (anti-)self-adjoint extensions of a symmetric unbounded operator on Hilbert space.

## Examples


+-- {: .num_example #GreenHyperbolicKleinGordonOperator}
###### Example
**([[Klein-Gordon operator]] is [[Green hyperbolic differential operator|Green hyperbolic]])**

For $\Sigma$ a [[globally hyperbolic spacetimes]] then the [[Klein-Gordon operator]] $P = \Box - m^2$ (i.e. the [[wave operator]] for $m = 0$) is [[Green hyperbolic differential operator|Green hyperbolic]] according to  def. \ref{GreenHyperbolicDifferentialOperator} (e. g. [B&#228;r-Ginoux-Pfaeffle 07](#BaerGinouxPfaeffle07)) and formally self-adjoint ([this example](formal+adjoint+differential+operator#FormallySelfAdjointKleinGordonOperator)). The corresponding $P$-Peierls bracket (def. \ref{BracketPSymplecticAndPPeierls}) is the original [[Peierls bracket]].

=--


+-- {: .num_example #GreenHyperbolicDiracOperator}
###### Example
**([[Dirac operator]] is [[Green hyperbolic differential operator|Green hyperbolic]])**

The [[Dirac operator]] $D$ squaring to a Green hyperbolic operator is itself Green hyperbolic.

=--

([B&#228;r 14, corollary 3.15, example 3.16](#Baer14))


## References

* {#Treves67} [[François Trèves]], _Topological Vector Spaces, Distributions and Kernels_ (Academic Press, New York, 1967)

* {#BaerGinouxPfaeffle07} [[Christian Bär]], [[Nicolas Ginoux]], [[Frank Pfäffle]], _Wave Equations on Lorentzian Manifolds and Quantization_, ESI Lectures in Mathematics and Physics, European Mathematical Society Publishing House, ISBN 978-3-03719-037-1, March 2007, Softcover ([arXiv:0806.1036](https://arxiv.org/abs/0806.1036))

* {#Sanders12} [[Ko Sanders]], _A note on spacelike and timelike compactness_, Classical and Quantum Gravity 30, 115014 (2012) ([doi](http://dx.doi.org/10.1088/0264-9381/30/11/115014), [arXiv:1211.2469](https://arxiv.org/abs/1211.2469))

* {#Baer14} [[Christian Bär]], _Green-hyperbolic operators on globally hyperbolic spacetimes_, Communications in Mathematical Physics 333, 1585-1615 (2014) ([doi](http://dx.doi.org/10.1007/s00220-014-2097-7), [arXiv:1310.0738](https://arxiv.org/abs/1310.0738))

* {#Khavkine14} [[Igor Khavkine]], _Covariant phase space, constraints, gauge and the Peierls formula_, Int. J. Mod. Phys. A, 29, 1430009 (2014) ([arXiv:1402.1282](https://arxiv.org/abs/1402.1282))

[[!redirects Green hyperbolic partial differential equations]]

[[!redirects Green hyperbolic differential equation]]
[[!redirects Green hyperbolic differential equations]]


[[!redirects Duhamel's principle]]
[[!redirects Duhamel principle]]

[[!redirects Green hyperbolic PDE]]
[[!redirects Green hyperbolic PDEs]]

[[!redirects Green hyperbolic differential operator]]
[[!redirects Green hyperbolic differential operators]]


