

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebraic Quantum Field Theory
+--{: .hide}
[[!include AQFT and operator algebra contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The origins of [[perturbative quantum field theory]] go back to informal ideas on [[quantum electrodynamics]] due to [[Julian Schwinger]], [[Shin'ichirō Tomonaga]], [[Richard Feynman]] and [[Freeman Dyson]], culminating in the informal idea of "[[renormalization]]" due to ([Dyson 49](#Dyson49)).

While highly succesful, the conceptual nature of this original formulation, in particular of the process of "removal of [[UV-divergences]]", had remained mysterious (see [Scharf 95, section 0.0](#Scharf95) for survey): 

> $[$ the theory is $]$ an ugly and incomplete one ([Dirac 51](#Dirac51))

> I think that the renormalization theory is simply a way to sweep the difficulties of the divergences  of electrodynamics under the rug. I am, of course, not sure of that. ([Feynman 66, Nobel lecture](#Feynman66))

> {#Feynman85SuchABunchOfWords} ...is technically called 'renormalization.' But no matter how clever the word, it is what I would call a dippy process! Having to resort to such hocus-pocus has prevented us from proving that the theory $[...]$ is self-consistent. It's surprising that the theory still hasn't been proved self-consistent one way or the other by now; $[...]$ What is certain is that we do not have a good mathematical way to describe the theory of quantum electrodynamics: such a bunch of words... ([Feynman 85, Chap. 4. "Loose Ends"](#Feynman85))

These conceptual mysteries were resolved in a mathematically rigorous formulation of [[renormalization|("re"-)normalization]] in [[perturbative QFT]] by ([Epstein-Glaser 73](perturbative+quantum+field+theory#EpsteinGlaser73)), based on ([Bogoliubov-Shirkov 59](perturbative+quantum+field+theory#BogoliubovShirkov59) and [St&#252;ckelberg 51](perturbative+quantum+field+theory#Stueckelberg51)), now known as _[[causal perturbation theory]]_; laid out, together with other rigorous approaches, in the seminal Erice summer school proceedings ([Velo-Wightman 76](perturbative+quantum+field+theory#VeloWightman76)) and later developed by ([Scharf 95](#Scharf95), [Scharf 01](causal+perturbation+theory#Scharf01)) and eventually grown into _[[perturbative AQFT]]_ (see there for more).


## References

### Original articles

The [[renormalization]] process was first suggested in

* {#Dyson49} [[Freeman Dyson]], _The radiation theories of Tomonaga, Schwinger and Feynman_, Phys. Rev. 75, 486, 1949 ([pdf](http://web.ihep.su/dbserv/compas/src/dyson49b/eng.pdf))

### Review and history

* {#Dirac51} [[Paul Dirac]], Proc. Roy. Soc. A 209, 291 (1951)

* {#Feynman66} [[Richard Feynman]], Nobel lecture, reproduced in Science 153, 699 (1966)

* {#Feynman85} [[Richard Feynman]], _[QED: The Strange Theory of Light and Matter](https://en.wikipedia.org/wiki/QED:_The_Strange_Theory_of_Light_and_Matter)_, 1985 

* Silvan Schweber, _QED and the men who made it: Dyson, Feynman Schwinger and Tomonaga_, Princeton Series in Physics, 1994

* {#Scharf95} [[Günter Scharf]], section 0.0 of _[[Finite Quantum Electrodynamics -- The Causal Approach]]_, Berlin: Springer-Verlag, 1995, 2nd edition



category: reference
