Morse potential is one of the standard 1-dimensional potentials which are used mainly in quantum mechanics (especially in atomic and molecular physics). If $r$ is the coordinate (say, the distance between atoms) in $\mathbb{R}_+$, and $l, D$ constants ($l$ being the scale of the system) then one of the standard forms of Morse potential is 

$$
V(r) = D (e^{- 2 x/l} - 2 e^{-x/l})
$$

up to addition of physically irrelevant constant summand this is the same as $D (1 - exp(-x/l))^2$.

* wikipedia [Morse potential](https://en.wikipedia.org/wiki/Morse_potential)
* P. M. Morse, _Diatomic molecules according to the wave mechanics. II. Vibrational levels_, Phys. Rev. __34__, 57-64 (1929)
* B Molnár, M G Benedict, J Bertrand, _Coherent states and the role of the affine group in the quantum mechanics of the Morse potential_, J. Phys. __A34__, n.14, 3139-3151 (2001) [doi](https://doi.org/10.1088/0305-4470/34/14/318)
* Jens Peder Dahl, Michael Springborg, _The Morse oscillator in position space, momentum space, and phase space_, J. Chem. Physics __88__, 4535 (1988) [doi](http://dx.doi.org/10.1063/1.453761)
category: physics

[[!redirects Morse Hamiltonian]]