> This page is about [[distributive lattices]] equipped with a contravariant involution.  For [[Heyting algebras]] satisfying [[de Morgan's law]], which are also sometimes called "De Morgan algebras", see [[De Morgan Heyting algebra]].

# De Morgan algebras

* table of contents
{: toc}

## Definition

A **De Morgan algebra** is a [[distributive lattice]] $D$ equipped with a [[contravariant functor|contravariant]] [[involution]], i.e. a map $\neg : D^{op}\to D$ such that $\neg\neg A = A$.  This implies that $\neg$ satisfies De Morgan's laws: $\neg(A\wedge B) = \neg A \vee \neg B$ and $\neg (A\vee B) = \neg A \wedge \neg B$.

## Examples

* Any [[Boolean algebra]] is a De Morgan algebra, with $\neg$ the logical negation.
* Any [[star-autonomous category|star-autonomous poset]] that happens to be a [[distributive lattice]] is a De Morgan algebra, with $\neg$ the star-autonomous involution $(-)^*$.
* The unit interval $[0,1]$ is a De Morgan algebra, with $\neg x = (1-x)$.

## Related concepts

* [[De Morgan duality]]
* De Morgan algebras are used in one form of [[cubical type theory]]

[[!redirects De Morgan algebra]]
[[!redirects de Morgan algebra]]
[[!redirects de morgan algebra]]
[[!redirects De Morgan algebras]]
[[!redirects de Morgan algebras]]
[[!redirects de morgan algebras]]
