

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
#### Algebraic Quantum Field Theory
+--{: .hide}
[[!include AQFT and operator algebra contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The _Lamb shift_ is a tiny shift in the [[energy]] spectrum of excitations of the [[electron]] orbits in the [[hydrogen atom]].

<img src="https://ncatlab.org/nlab/files/LambShift.png" width="500">

This is a "fine structure" effect not seen by the [[quantum mechanics]] of the [[electron]], but resulting from [[radiative corrections]] involving [[photon]] emission/absorption only seen by regarding the electron in [[perturbative quantum field theory]], here in [[quantum electrodynamics]].

The Lamb shift may be attributed to [[loop order|1-loop]] [[Feynman diagram]]-contributions giving "[[radiative corrections]]" to the basic [[tree level]] [[electron-photon vertex]] that describes the basic [[interaction]] of the [[electron]] with the [[background field|background]] [[electromagnetic field]], via the [[electron-photon vertex]], hence called _vertex corrections_ and governed by the [[coupling constant]] of [[quantum electrodynamics]], the _[[fine structure constant]]_.

{#VertexCorrectionDiagrams} <img src="https://ncatlab.org/nlab/files/LambShiftVertexCorrections.png" width="500">

(Here the dot on the right is the external vertex for the [[background field|background]] [[electromagnetic field]].)

The main contribution (often referred to as _the_ vertex correction) is due to the [[radiative correction]] induced by the [[electron]] emitting a [[virtual particle|virtual]] [[photon]], then interacting with the [[background field|background]] [[electromagnetic field]], and and finally re-absorbing the [[virtual particle|virtual]] [[photon]]; described by this [[Feynman diagram]]:

<img src="https://ncatlab.org/nlab/files/LambShiftMainVertexCorrection.png" width="100">


Historically, the observation of the Lamb shift in [[experiment]] catalyzed the theoretic development of [[quantum electrodynamics]] specifically and of [[perturbative quantum field theory]] generally.


## Related concepts

* [[Casimir effect]]


## References:

Named after [[Willis Lamb]], who had worked on war-time radar technology during the WWII, came back to his lab, applied his radar technology to the [[hydrogen atom]] and found the effect:

* [[Willis Lamb]], Robert C. Retherford, _Fine Structure of the Hydrogen Atom by a Microwave Method_, Phys. Rev. 72, 241 – Published 1 August 1947 ([doi:10.1103/PhysRev.72.241](https://doi.org/10.1103/PhysRev.72.241))

Texts discussing the proper derivation in terms of [[Feynman diagrams]] include

* {#EidesGrotchShelyuto00} Michael Eides, Howard Grotch, Valery A. Shelyuto, _Theory of Light Hydrogenlike Atoms_, Phys. Rept. 342:63-261, 2001 ([arXiv:hep-ph/0002158](https://arxiv.org/abs/hep-ph/0002158))

* {#Weinberg95} [[Steven Weinberg]], section 14.3 of _The quantum theory of fields - Volume I: Foundations_, Cambridge 1995

a useful lightning survey is in

* {#Alipour14} [[Mojtaba Alipour]], _Lamb Shift_, 2014 ([[AlipourLambShift14.pdf:file]])

Many lecture notes instead present a heuristic plausibility argument in terms of oscillations of the electron picked up from "vacuum fluctuations" of the background electomagnetic field:

* [[Hitoshi Murayama]], section 1.1 of _Quantum Electrodynamics_ ([pdf](http://hitoshi.berkeley.edu/221B-S02/QED.pdf))

See also

* Wikipedia, _[Lamb shift](https://en.wikipedia.org/wiki/Lamb_shift)_

Discussion of the Lamb shift in [[experiment]] includes

* _[the Lamb Shift in Hydrogen](http://courses.washington.edu/phys432/lamb_shift/lamb_shift.php)_

[[!redirects Lamb shifts]]
