
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### $\infty$-Lie theory
+--{: .hide}
[[!include infinity-Lie theory - contents]]
=--
#### Algebraic Quantum Field Theory
+--{: .hide}
[[!include AQFT and operator algebra contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

In [[Lagrangian field theory]] the _Dickey bracket_ is a canonical [[Lie bracket]] on [[conserved currents]]. Under the relation between conserved currents and [[infinitesimal symmetries of the Lagrangian]] the Dickey bracket lifts the canonical Lie bracket on [[infinitesimal symmetries]] to their associated conserved currents ([[Noether's theorem]]), exhibiting a [[Lie algebra extension]].

## References


The Dickey Lie bracket on [[conserved currents]] is due to 

* [[Leonid Dickey]], _Soliton equations and Hamiltonian systems_, Advanced Series in Mathematical Physics, Vol. 12 (World Scientific 1991).

and is reviewed in

* [[Glenn Barnich]], [[Marc Henneaux]],  section 3 of _Isomorphisms between the Batalin-Vilkovisky antibracket and the Poisson bracket_, Journal of Mathematical Physics 37, 5273-5296 (1996) ([arXiv:hep-th/9601124](http://arxiv.org/abs/hep-th/9601124), [DOI 10.1063/1.531726](http://dx.doi.org/10.1063/1.531726))

The statement that the Dickey bracket Lie algebra of currents is a central [[Lie algebra extension]] of the algebra of symmetries by [[de Rham cohomology]] of the jet bundle appears as theorem 11.2 in (Part II of)

* {#Vinogradov84a} [[Alexandre Vinogradov]], _The $\mathcal{C}$-spectral sequence, Lagrangian formalism, and conservation laws. I. the linear theory_, Journal of Mathematical Analysis and Applications **100**, 1-40 (1984) ([doi](http://dx.doi.org/10.1016/0022-247x(84)90071-4))

* {#Vinogradov84b} [[Alexandre Vinogradov]], _The $\mathcal{C}$-spectral sequence, Lagrangian formalism, and conservation laws. II. The nonlinear theory_, Journal of Mathematical Analysis and Applications **100**, Issue 1, 30 April 1984, Pages 41-129 ([publisher](http://www.sciencedirect.com/science/article/pii/0022247X84900726))

and is stated as exercise 2.28 on p. 203 of

* [[Alexandre Vinogradov]], [[Joseph Krasil'shchik]] (eds.), _Symmetries and conservation laws for differential equations of mathematical physics_, vol. 182 of Translations of Mathematical Monographs, AMS (1999)

A lift of the Dickey Lie bracket on cohomologically trivial spaces to an equivalent _[[model structure for L-infinity algebras|L-infinity equivalent]]_ [[L-infinity algebra|L-infinity bracket]] is constructed, under some assumptions, in

* {#BarnichFulpLadaStasheff97} [[Glenn Barnich]], [[Ronald Fulp]], [[Tom Lada]], [[Jim Stasheff]], _The sh Lie structure of Poisson brackets in field theory_, Communications in Mathematical Physics 191, 585-601 (1998) ([arXiv:hep-th/9702176](http://arxiv.org/abs/hep-th/9702176))

* [[Martin Markl]], [[Steve Shnider]], _Differential Operator Endomorphisms of an Euler-Lagrange Complex_, Contemporary Mathematics, Volume 231, 1999 ([arXiv:9808105](http://arxiv.org/abs/math/9808105))

The cohomologically non-trivial lift is discussed in

* [[Hisham Sati]], [[Urs Schreiber]], _[[schreiber:Lie n-algebras of BPS charges]]_, J. High Energ. Phys. (2017) 2017: 87 ([arXiv:1507.08692](http://arxiv.org/abs/1507.08692))


[[!redirects Dickey bracket]]
[[!redirects Dickey brackets]]

[[!redirects Dickey Lie bracket]]
[[!redirects Dickey Lie brackets]]
[[!redirects Dickey Lie-bracket]]
[[!redirects Dickey Lie-brackets]]
[[!redirects Dickey-Lie bracket]]
[[!redirects Dickey-Lie brackets]]

[[!redirects Dickey bracket Lie algebra]]
[[!redirects Dickey bracket Lie algebras]]
