
#Contents#
* table of contents
{:toc}

## Definition

In [[perturbative quantum field theory]] the term "Hadamard propagator" refers to the [[vacuum expectation value]] of the [[anticommutator]] of [[field observables]]: 

$$
  \left\langle 
    \mathbf{\Phi}^a(x)\mathbf{\Phi}^b(y) 
    +
    \mathbf{\Phi}^b(y) \mathbf{\Phi}^a(x)
  \right\rangle
$$

(e.g. [Calzetta 99, III.6](#Calzetta99), [Millington 14 (7.29)](#Millington14))

Beware that this is _different_ from the concept of _[[Hadamard 2-point function]]_  ("[[Wightman propagator]]").

## References

* {#Calzetta99} Esteban Calzetta, _Stochastic dynamics of correlations in quantum field theory: From Schwinger-Dyson to Boltzmann-Langevin equation_ ([arXiv:hep-ph/9903291](https://arxiv.org/abs/hep-ph/9903291))

* {#Millington14} Peter Millington, _Thermal Quantum Field Theory and Perturbative Non-Equilibrium Dynamics_, Springer 2014

[[!redirects Hadamard propagators]]