

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebraic Qunantum Field Theory
+--{: .hide}
[[!include AQFT and operator algebra contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A [[vacuum state]] for an [[interacting field theory]] is sometimes called, for emphasis, an _interacting vacuum_.

In [[perturbative quantum field theory]] one starts with a [[free field theory]] and a [[vacuum state]] (or [[Hadamard vacuum state]]) on that, the "free vacuum"; and then finds, perturbatively, the [[interacting field algebra of observables]]. The free vacuum is typically still a [[state on a star-algebra|state]] on the [[interacting field algebra of observables]], but it is in general no longer a _vacuum_ state with respect to the interacting field algebra. To highlight the difference to an actual vacuum state for the interacting field algebra, one speaks of the _interacting vacuum_ (e.g. [Rafelski 90](#Rafelski90)).

Issues related to the [[adiabatic limit]] and [[infrared divergences]] in [[perturbative QFT]] are argued to be related to the need to pass to the correct interacting vacuum ([Duch 17, p. 113-114](#Duch17)).

This is understood to some extent in [[quantum electrodynamics]] but remains a major open problem in [[quantum chromodynamics]] ([below](#InQCD)).

## Examples

### In QCD
 {#InQCD}

There are arguments that the phenomenon of [[confinement]] in [[QCD]] will be explained by finding the properly interacting vacuum of the perturbative theory ([Rafelski 90, around pages 12-16](#Rafelski90)). Possibly this is a "[[theta-vacuum]]" reflecting [[instanton in QCD|QCD instanton]] contributions ([Schäfer-Shuryak 98, section III D](#SchaeferShuryak98)).

## Related concepts

* [[vacuum]]

* [[vacuum state]], [[Hadamard state]]

* [[vacuum expectation value]], [[vacuum amplitude]], [[vacuum fluctuation]]

* [[vacuum energy]]

* [[vacuum diagram]]

* [[vacuum stability]]

* [[false vacuum]], [[tachyon]], [[Coleman-De Luccia instanton]]

* [[theta vacuum]]

* [[perturbative string theory vacuum]]

* [[landscape of string theory vacua]]

## References

* {#Rafelski90} [[Johann Rafelski]], _Vacuum structure -- An Essay_, in pages 1-29 of H. Fried, Berndt Müller (eds.) _Vacuum Structure in Intense Fields_, Plenum Press 1990 ([GBooks](https://books.google.de/books?id=5uXcBwAAQBAJ&pg=PA14&lpg=PA14&dq=confinement+%22interacting+vacuum%22&source=bl&ots=xPGYJ-JOc-&sig=AoYbqWQeNRMg6hMSRZjJ3nzq8B0&hl=en&sa=X&ved=0ahUKEwjIgK68-tnYAhVCESwKHThMDykQ6AEIKTAA#v=onepage&q=confinement%20%22interacting%20vacuum%22&f=false))

* {#SchaeferShuryak98} [[Thomas Schaefer]], [[Edward Shuryak]], _Instantons in QCD_, Rev. Mod. Phys.70:323-426,1998 ([arXiv:hep-ph/9610451](http://arxiv.org/abs/hep-ph/9610451)) 

* {#Duch17} [[Paweł Duch]], _Massless fields and adiabatic limit in quantum field theory_ ([arXiv:1709.09907](https://arxiv.org/abs/1709.09907))

[[!redirects interacting vacua]]

[[!redirects interacting vacuum state]]
[[!redirects interacting vacuum states]]
