

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Arithmetic
+--{: .hide}
[[!include arithmetic geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Definition

For $k \in \mathbb{N}$ a [[natural number]], its _factorial_ $k! \in \mathbb{N}$ is the number obtained by [[multiplication|multiplying]] all positive natural numbers less than or equal to $k$:

$$
  k!
  \;\coloneqq\;
  1 \cdot 2 \cdot 3 \cdot 4 \cdot \cdots \cdot (k-1) \cdot k
  \,.
$$

In [[combinatorics]], the definition usually extends to $k = 0$ by setting $0! = 1$. This may be justified by defining $k!$ to be the number of [[permutations]] of a set with $k$ elements. 

## Related concepts

* [[binomial coefficient]], [[multinomial coefficient]]

* [[Gamma function]]

* [[Euler beta function]]

* [[exponential series]]

## References

* Wikipedia, _[Factorial](https://en.wikipedia.org/wiki/Factorial)_

[[!redirects factorials]]