

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Graph theory
+-- {: .hide}
[[!include graph theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

An [[inhabited]] [[graph]] has two notions of being connected:

*  **weak connected** - it cannot be decomposed as the [[disjoint union]] of two inhabited graphs.

* **strong or path connected** - each [[pair]] of [[vertices]] is connected by a sequence of [[edges]] or in other words every [[homset]] of its [[free category]] is inhabited.

If a graph's edges are [[graph#undirected_graphs|undirected]] these two notions coincide while if [[graph#directed_graphs|directed]] the stronger condition implies the weaker.

For the various categories of graphs, which of their objects are _weakly connected_ correspond to the general notion of [[connected objects]] in these categories.

## Examples

* In [[perturbative quantum field theory]] the [[formal power series]] of [[Feynman amplitudes]] labeled by those [[Feynman diagrams]] whose underlying [[graphs]] are connected is called the _[[effective action]]_ $S_{eff}$. The [[exponential]] of the effective action then yields the full [[Feynman perturbation series]] over all Feynman diagrams. See at _[[S-matrix]]_ for more. 

## References

* Wikipedia, _<a href="https://en.wikipedia.org/wiki/Connectivity_(graph_theory)">Connectivity (graph theory)</a>_

[[!redirects connected graphs]]

