
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Representation theory
+-- {: .hide}
[[!include representation theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

**Hecke algebra** is a term for a class of [[algebras]]. They often appear as [[convolution algebras]] or as double [[coset spaces]]. For p-adic algebraic groups Hecke algebras often play a role similar a [[Lie algebra]] plays in the  complex case (the Lie algebra still exists, but is too small).

Typically the term refers to an algebra which is the [[endomorphisms]] of a [[permutation representation]] of a [[topological group]], though some liberties have been taken with this definition, and often the term means some modification of such an algebra.


For example:

* If we consider the [[general linear group]] $GL_n(\mathbb{F}_q)$ acting on the set of [[complete flag|complete flags]] in $\mathbb{F}_q^n$, then we obtain an algebra generated by the endomorphism $\sigma_i$ which sends the characteristic function of one flag $\mathbf{F}=\{F_1\subset \cdots \subset F_{n-1}\subset \mathbb{F}_q^n\}$ to the characteristic function of the set of flags $\mathbf{F}'$ with $F_j'=F_j$ for all $j\neq i$ and $F_i'\neq F_i$.  These elements satisfy the relations
  $$\sigma_i\sigma_{i+1}\sigma_i=\sigma_{i+1}\sigma_i\sigma_{i+1}$$
  $$\sigma_i\sigma_j=\sigma_j\sigma_i \qquad (|i-j|\gt1)$$
  $$\sigma_i^2=(q-1)\sigma+q$$ 
* If we look at $GL_n(\mathbb{F}_q(\!(t)\!))$ acting on the set of $\mathbb{F}_q[\![t]\!]$ [[lattices]] in $\mathbb{F}_q(\!(t)\!)^n$, then we will obtain the __spherical Hecke algebra__.
* A variant of the Hecke algebra is the **degenerate affine Hecke algebra** of type $A$; this is a deformation of the semidirect product of the symmetric group $S_n$ with the polynomial ring in $n$ variables.  The generators are $S_n$ and $y_1, \dots, y_n$, with relations $\sigma y_i \sigma^{-1} = y_{\sigma(i)}$ and $[y_i,y_j] = \sum_{k \neq i,j} (k i j)-(k j i)$; one can replace the $y_i$'s with commuting $x_i$'s with slightly messier relations.  As [[George Lusztig]] showed, the representation theory of the affine Hecke algebra is related to the graded or degenerate case. 
* There is a geometric construction of the representations of Weyl algebras when realized as certain Hecke convolution algebras by [[Victor Ginzburg]]. 

## Generalized Hecke algebras 

To each [[Coxeter group]] $W$ one may associate a Hecke algebra, a certain [[deformation]] of the [[group algebra]] $k[W]$ over a [[field]] $k$, as follows. $W$ is [[group presentation|presented]] by generators $\langle s_i \rangle_{i \in I}$ and relations 

$$(s_i s_j)^{m_{i j}} = 1$$ 

where $m_{i j} = m_{j i}$ and $m_{i i} = 1$ for all $i, j \in I$. The relations may be rewritten: 

$$s_{i}^{2} = 1, \qquad s_i s_j \ldots = s_j s_i \ldots$$ 

where each of the words in the second equation alternate in the letters $s_i$, $s_j$ and has length $m_{i j}$, provided that $m_{i j} \lt \infty$. The corresponding Hecke algebra has basis $W$, and is presented by 

$$s_{i}^{2} = \frac{q-1}{q} s_i + \frac1{q}, \qquad s_i s_j \ldots = s_j s_i \ldots$$

These relations may be interpreted structurally as follows (for simplicity, we will consider only finite, aka spherical Coxeter groups). A Coxeter group $W$ may be associated with a suitable [[BN-pair]]; the classical example is where $G$ is an [[algebraic group]], $B$ is a [[Borel subgroup]] (maximal solvable subgroup), and $N$ is the normalizer of a [[maximal torus]] $T$ in $G$. Such $G$ typically arise as automorphism groups of thick $W$-buildings, where $B$ is a stabilizer of a point of the building. The coset space $G/B$ may then be interpreted as a space of flags for a suitable geometry. The Coxeter group itself arises as the quotient $W \cong N/T$, and under the BN-pair axioms there is a well-defined map 

$$W \to B\backslash G/B: w \mapsto B w B$$

which is a bijection to the set of double cosets of $B$. (In particular, the double cosets do not depend on the coefficient ring $R$ in which the points $G(R)$ are instantiated.) 

When one takes points of the algebraic group $G$ over the coefficient ring $\mathbb{F}_q$, a finite field with $q$ elements, the flag manifold $G_q/B_q \coloneqq G(\mathbb{F}_q)/B(\mathbb{F}_q)$ is also finite. One may calculate 

$$\array{
\hom_{k[G_q]}(k[G_q/B_q], k[G_q/B_q]) & \cong & k[G_q/B_q]^\ast \otimes_{k[G_q]} k[G_q/B_q] \\
 & \cong & k[B_q\backslash G_q] \otimes_{k[G_q]} k[G_q/B_q] \\
 & \cong & k[B_q\backslash G_q \otimes_{G_q} G_q/B_q] \\
 & \cong & k[B_q \backslash G_q / B_q]
}$$ 

so that the double cosets form a linear basis of the algebra of $G_q$-equivariant operators on the space of functions $k[G_q/B_q]$. This algebra is in fact the Hecke algebra. 

It is a matter of interest to interpret the double cosets directly as operators on $k[G_q/B_q]$, and in particular the cosets $B s_i B$ where $s_i$ is a Coxeter generator. 

To be continued... 

## Related concepts

* [[double Hecke algebra]], [[double affine Hecke algebra]]

* [[Hecke correspondence]]

* [[Hecke category]]

* [[Iwahori–Hecke algebra]]

## References and links

* sbseminar blog: interpreting the Hecke algebra [I](http://sbseminar.wordpress.com/2008/02/25/interpreting-the-hecke-algebra), [II](http://sbseminar.wordpress.com/2009/04/09/interpreting-the-hecke-algebra-ii-the-sheafification)

For the representation theory of the degenerate affine Hecke algebra see

* Takeshi Suzuki, _Rogawski's conjecture on the Jantzen filtration for the degenerate affine Hecke algebra of type A_, [math.QA/9805035](http://arxiv.org/abs/math/9805035)