

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebraic Quantum Field Theory
+--{: .hide}
[[!include AQFT and operator algebra contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

In [[perturbative quantum field theory]], [[renormalization|("re"-)normalization]] is an [[extension of distributions|extension]] of [[time-ordered products]], uniquely defined away from coinciding spacetime arguments, to the locus of coinciding spacetime arguments. Before the extension these [[time-ordered products]] may generally enjoy further properties beyond the [[causal factorization]] that characterizes them as time-ordered products. Not all these properties necessarily need to be preserved by a choice of [[extension of distributions]] to coinciding spacetime arguments. A _renormalization condition_ is the condition that some such properties ought to be preserved by the choice of [[renormalization|("re-")normalization]].

The [[main theorem of perturbative renormalization]] holds true if at least the renormalization conditions "field independence" and "translation equivariance" are imposed. Depending on how many other renormalization conditions are imposed, the resulting [[Stückelberg-Petermann renormalization group]] becomes smaller. ([Duetsch 18, remark 3.102](#Duetsch18))

Besides "field indepence" and "translation invariance" a key renormalization condition for [[gauge theories]] is the _[[quantum master equation]]_ or quivalently _[[master Ward identity]]_. If this renormalization condition cannot be satisfied, one says that the corresponding [[perturbative QFT]] does not exist due to a "[[gauge anomaly]]". ([Dütsch 18, section 4.2](#Duetsch18))

## Definition

For the moment see at _[[S-matrix]]_ [this definition](S-matrix#RenormalizationConditions).

## Examples

For the moment see at _[[S-matrix]]_ [this prop.](S-matrix#BasicConditionsRenormalization)

## Related concepts

* [[protection from quantum corrections]]

## References

* {#Duetsch18} [[Michael Dütsch]], _[[From classical field theory to perturbative quantum field theory]]_, 2018


[[!redirects renormalization conditions]]
