## Idea ##

Compositionality describes how complex things can be assembled out of simpler parts.

### In computation ###
From [1](https://simons.berkeley.edu/workshops/logic2016-3): 
> The compositional description of complex objects is a fundamental feature of the logical structure of computation. The use of logical languages in database theory and in algorithmic and finite model theory provides a basic level of compositionality, but establishing systematic relationships between compositional descriptions and complexity remains elusive. Compositional models of probabilistic systems and languages have been developed, but inferring probabilistic properties of systems in a compositional fashion is an important challenge. In quantum computation, the phenomenon of entanglement poses a challenge at a fundamental level to the scope of compositional descriptions. At the same time, compositionally has been proposed as a fundamental principle for the development of physical theories. 


## References ##
1. _Compositionality_ is the name of a [workshop](https://simons.berkeley.edu/workshops/logic2016-3) hosted at UC Berkeley in 2016. Accessed online at [https://simons.berkeley.edu/workshops/logic2016-3](https://simons.berkeley.edu/workshops/logic2016-3).