
> under construction


+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
#### Differential geometry
+--{: .hide}
[[!include synthetic differential geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}


## Definition


+-- {: .num_defn #HCohomology}
###### Definition
**(H-cohomology)**

Given a [[smooth manifold]] or [[formal smooth manifold]] $X$, and given a [[differential 3-form]] $H \in \Omega^3(X)$, then forming the [[wedge product]] with $H$ is a nilpotent operation, and hence defines the [[differential]] of a [[cochain complex]] whose entries are the [[vector spaces]] $\Omega^{even/odd}(X)$ of all odd-graded or all even-graded [[differential forms]] on $X$:

$$
  \cdots
    \to
  \Omega^{even}(X)
    \overset{H\wedge(-)}{\longrightarrow}
  \Omega^{odd}(X)
    \overset{H\wedge(-)}{\longrightarrow}
  \Omega^{even}(X)
    \overset{H\wedge(-)}{\longrightarrow}
  \Omega^{odd}(X)
    \to
   \cdots
  \,.
$$

The [[cochain cohomology]] of this [[cochain complex]] 

$$
  H^{even/odd}_{H\wedge}(X)
  \coloneqq; 
  \frac{
    ker
    \left(
      \Omega^{even/odd}(X)
       \overset{H\wedge(-)}{\longrightarrow}
      \Omega^{odd/even}(X)
     \right)
   }{
    im
    \left(
      \Omega^{odd/even}(X)
       \overset{H\wedge(-)}{\longrightarrow}
      \Omega^{even/odd}(X)
     \right)
   }
$$

is also called the _H-cohomology_ of $X$. 

=--

([Cavalcanti 03, p. 19](#Cavalcanti03))

+-- {: .num_remark}
###### Remark

Often it is assumed that the 3-form $H$ in def. \ref{HCohomology} is [[closed differential form|closed]], because in this case H-cohomology serves as an approximation to the corresponding $H$-[[twisted de Rham cohomology]] (prop. \ref{TwistedDeRhamCohomologyCoincidesWithHCohomologyOnInfinitesimllayThickenedPoint} below). But of course for def. \ref{HCohomology} to make sense in itself, $H$ need not be closed.

=--

It is immediate to consider this more generally:

+-- {: .num_defn #HCohomologyInGradedCommutativeAlgebra}
###### Definition
**(H-cohomology in [[graded-commutative algebra]])**

Let $\mathcal{A}$ be a [[graded commutative algebra]] in [[characteristic zero]] and let $H \in \mathcal{A}$ be an odd-graded element. This implies that consecutive multiplication with $H$

$$
  \cdots
    \to
  \mathcal{A}
    \overset{H \cdot(-)}{\longrightarrow}
  \mathcal{A}
    \overset{H \cdot (-)}{\longrightarrow}
  \mathcal{A}
    \overset{H \cdot (-)}{\longrightarrow}
  \mathcal{A}
    \to
   \cdots
$$

is a [[chain complex]].

The [[cochain cohomology]] of this [[cochain complex]] 

$$
  H^{even/odd}_{H\cdot}(\mathcal{A})
  \coloneqq; 
  \frac{
    ker
    \left(
      \mathcal{A}_{even/odd}
       \overset{H \cdot(-)}{\longrightarrow}
      \mathcal{A}_{odd/even}
     \right)
   }{
    im
    \left(
      \mathcal{A}_{odd/even}
       \overset{H\cdot(-)}{\longrightarrow}
      \mathcal{A}_{even/odd}
     \right)
   }
$$

is the _H-cohomology_ of $\mathcal{A}$. 

=--

## Properties

### Detection of decomposability

+-- {: .num_prop #HCohomologyNeverVanishes}
###### Proposition
**(H-cohomology of weakly [[decomposable forms]] is non-vanishing)**


Let $\mathcal{A}$ be a $\mathbb{N}$-[[graded-commutative algebra]].
and let $H \in \mathcal{A}$ be of odd degree $deg(H) = 2 n +1$ 

If $H$ is weakly [[decomposable differential form|decomposable]] in that it is in the ideal generated by the elements of degree 1

$$
  H 
    \;=\; 
  \underoverset{i = 1}{k}{\sum} 
  \underset{deg = 1}{\underbrace{\alpha_i}} 
    \wedge 
  \underset{deg = 2n}{\underbrace{\beta_i}}
$$

then its H-cohomology (def. \ref{HCohomologyInGradedCommutativeAlgebra}) does not vanish.

=--

This statement and the following proof are due to [Sackel 18](#Sackel18).

+-- {: .proof}
###### Proof

First consider the following:

_Claim:_ Assuming that the H-cohomology of $H$ did vanish, then for every sequence of [[natural numbers]] $1 \leq i_1 \lt \ldots \lt i_{\ell} \leq k$, there would exist elements $\gamma_{i_1\cdots i_{\ell}} \in \mathcal{A}$ of degree $deg(\gamma_{i_1\cdots i_{\ell}}) = k-3-\ell$  (vanishing if $\ell \gt k-3$) such that the products of $\alpha$-s with indices _not_ contained in this sequence

$$
  \label{ProductsOfAlphas}
  \alpha_{\widehat{i_1\cdots i_{\ell}}} 
  \;\coloneqq\; 
  \left\{
    \array{
      1 &\vert& \ell = k
      \\
      \alpha_1 
        \wedge 
        \cdots 
        \wedge
      \widehat{\alpha_{i_1}} 
        \wedge 
        \cdots 
        \wedge 
      \widehat{\alpha_{i_{\ell}}} 
        \wedge 
        \cdots 
        \wedge 
      \alpha_k
      &\vert&
      1 \lt \ell \lt k
      \\
      \alpha_1 \wedge \cdots \wedge \alpha_k
      &\vert&
      \ell =0
    }
  \right.
$$

(hats indicate that the corresponding element is omitted) would satisfy 

$$
  \label{InductiveDecompositionOfAlpha}
  \alpha_{\widehat{i_1\cdots i_{\ell}}}
  \;=\; 
   (-1)^{i_1+\cdots+i_{\ell}+\ell} 
   \left(
      H 
        \wedge 
     \gamma_{i_1\cdots i_{\ell}} 
        + 
     \sum_{j=1}^{\ell}(-1)^{j+1}
       \beta_{i_j}
       \wedge 
      \gamma_{i_1\cdots\widehat{i_j}\cdots i_{\ell}}
   \right)
   \,.
$$


Observe that this claim immediately implies the statement [[proof by contradiction|by contradiction]]: For the case $\ell = k$ the left hand side of (eq:InductiveDecompositionOfAlpha) is $1$ by definition (eq:ProductsOfAlphas), while its right-hand side would vanish, because the corresponding elements $\gamma$ are in negative degree. This is a contradiction, implying that the assumption  of vanishing H-cohomology must be wrong.

Hence it is now sufficient to prove the above claim. We proceed by [[induction]] on $\ell$:

For $\ell = 0$ we have

$$
  H 
    \wedge 
  (\alpha_1 \wedge \cdots \wedge \alpha_k) = 0
  \,,
$$ 

and so by the assumption of vanishing $H$-cohomology, there exists $\gamma_{\emptyset}$ with 

$$
  \alpha_{\hat \emptyset}
  \coloneqq
  \alpha_1 \wedge \cdots \wedge \alpha_k 
  =
  H \wedge \gamma_{\emptyset} 
  \,.
$$

This is (eq:InductiveDecompositionOfAlpha) for $\ell = 0$.

So assume now that there is $1 \leq \ell \leq k$ such that (eq:InductiveDecompositionOfAlpha) holds for all $\ell \lt \ell_0$. Then

$$
  \begin{aligned}
   H 
   \wedge 
  \alpha_{\widehat{i_1\cdots i_{\ell_0}}} 
   &=  \sum_{i=1}^{k} \beta_i \wedge \alpha_i \wedge \alpha_{\widehat{i_1\cdots i_{\ell_0}}} 
   \\
   &= \sum_{j=1}^{\ell_0} (-1)^{i_j+j}\beta_{i_j} \wedge \alpha_{\widehat{i_1\cdots \widehat{i_j}\cdots i_{\ell_0}}} 
   \\
   &= \sum_{j=1}^{\ell_0} (-1)^{i_1 + \cdots + i_{\ell_0}+\ell_0+j+1}\beta_{i_j} \wedge 
   \left(H \wedge \gamma_{i_1\cdots \widehat{i_j}\cdots i_{\ell_0}}+\sum_{k=1}^{j-1}(-1)^{k+1}\beta_{i_k}\wedge \gamma_{i_1\cdots \widehat{i_k} \cdots \widehat{i_j} \cdots i_{\ell_0}} + \sum_{k=j+1}^{\ell_0}(-1)^k\beta_{i_k}\wedge \gamma_{i_1\cdots \widehat{i_j} \cdots \widehat{i_k} \cdots i_{\ell_0}}\right) 
  \\
  &=
  (-1)^{i_1 + \cdots + i_{\ell_0}+\ell_0}\sum_{j=1}^{\ell_0} H \wedge (-1)^{j+1}\beta_{i_j} \wedge \gamma_{i_1\cdots \widehat{i_j}\cdots i_{\ell_0}}
  \,,
  \end{aligned}
$$

where in the third line we used the induction assumption.

By vanishing of $H$-cohomology, this implies (eq:InductiveDecompositionOfAlpha) for $\ell = \ell_0$, thus finishing the proof of the claim, by [[induction]].

=--

## Examples

### Odd symplectic forms

+-- {: .num_example #HCohomoloyOfOddSymplecticForm}
###### Example
**(H-cohomology of odd symplectic form)**

Let $X$ be a [[finite number|finite]] [[dimension|dimensional]] [[graded manifold]] in degrees 0 and 1 and equipped with a [[symplectic form]] $\omega$ of odd coordinate degree (e.g. the symplectic form on a [[Poisson Lie algebroid]] when regarded as a [[symplectic Lie n-algebroid]]). 

Then every H-cohomology-class (def. \ref{HCohomologyInGradedCommutativeAlgebra}) for $H = \omega$ has a unique representative which on any [[local coordinate chart]] of [[Darboux coordinates]] $(x^i, p_i)_{i \in \{1, \cdots, n\}}$ is of the form

$$
  f(x,p) d x^1 \wedge \cdots \wedge d x^n
  \,.
$$

=--

([Ševera 05, p. 1](#Severa05))




## References

The terminology "$H$-cohomology" is used in

* {#Cavalcanti03} [[Gil Cavalcanti]], _New aspects of the $d d^c$-lemma_ ([arXiv:math/0501406](https://arxiv.org/abs/math/0501406))

The case of H-cohomology for $H = \omega$ an odd symplectic form (as on a [[Poisson Lie algebroid]] regarded as a  [[symplectic Lie n-algebroid]]) is considered in

* {#Severa05} [[Pavol Ševera]], p. 1 of _On the origin of the BV operator on odd symplectic supermanifolds_, Lett Math Phys (2006) 78: 55. ([arXiv:0506331](https://arxiv.org/abs/math/0506331))

The general non-vanishing of H-cohomology is pointed out in

* {#Sackel18} [[Kevin Sackel]], [MO reply Feb 22 2018](https://mathoverflow.net/a/293565/381)

[[!redirects H-cohomology group]]
[[!redirects H-cohomology groups]]
