

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Fields and quanta
+-- {: .hide}
[[!include fields and quanta - table]]
=--
#### Super-Geometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

In  [[particle physics]] [[phenomenology]], the term _split supersymmetry_ refers to [[model (physics)|models]] of [[supersymmetry|supersymmetric]] extensions of the [[standard model of particle physics]] whose [[supersymmetry breaking]]-[[scale]] is very high (for instance at [[GUT]]-scale of about $10^{15}$ [[GeV]]), much higher than the [[electroweak symmetry breaking]]-[[scale]] (of about 246 [[GeV]]), but such that approximate [[chiral symmetry]] [[protection from quantum corrections|protects]] the [[masses]] of the [[fermion|fermionic]] [[superpartners]].

As a result, in such [[model (physics)|models]] there is a "split" of the [[mass]] [[scales]] of the [[superpartner]] [[particles]]:

1. the [[scalar field|scalar]] [[superpartners]] (the [[sfermions]], hence the [[squarks]] and [[sleptons]]) have high [[rest masses]], from tens of [[TeV]] (mass scale of the [[gravitino]]) up to the [[supersymmetry breaking]]-scale many order of magnitudes higher;

1. the fermionic [[superpartners]] ([[gauginos]] and [[higgsino]]) have masses much closer to the [[electroweak symmetry breaking]] scale, at about a few [[TeV]].

(see [Arkani-Hamed, Dimopoulos, Giudice, Romanino 05, p 2.](#ArkaniHamedDimopoulosGiudiceRomanino05))

Therefore one speaks of "split supersymmetry" ([Giudice-Romanino 04](#GiudiceRomanino04)).

Historically, the consideration of split supersymmetry ([Arkani-Hamed, Dimopoulos 04](#ArkaniHamedDimopoulos05)) was in contrast to the folklore of "[[naturalness]]" which governed [[supersymmetry]] [[model (physics)|model]]-building. Split supersymmetry was motivated by the observation that many other theoretical problems of low-scale susy models disappear if one does not insist on "[[naturalness]]". Indeed, after the [[LHC]] [[experiment]] produced first observational results, susy models exhibiting "[[naturalness]]" were ruled out, while only split supersymmetry models remained viable (this as of beginning of 2018).

## Examples

### $G_2$-MSSM

The class of [[model (physics)|physics]] called [[G2-MSSM]] generically exhibits "slightly" split supersymmetry.

From [Kane 17, p. 43-44 ((5-1)-(5-2))](#Kane17):

> It is important to understand that there are two measures relevant to understanding supersymmetry breaking, one the scale at which it is broken (about $10^{14}$ [[GeV]] as described above), and the other the resulting [[gravitino]] mass. In the [[KK mechanism|compactified]] [[M-theory]] case the [[gravitino]] mass is calculated, and comes out to be about 40 [[TeV]] (40 000 [[GeV]]). Sometimes even experts confuse these two scales if they are speculating about [[supersymmetry breaking]] without a real theory to
calculate.

> Thus 40 [[TeV]] is the natural scale for [[superpartner]] masses. That is not a surprising number in a theory starting with everything at the [[Planck scale]], but it is surprising if one expects the superpartner masses to be near the particle masses (all well below 1 [[TeV]]). The [[squarks]] and other masses are indeed predicted to be at the [[gravitino]] scale, tens of [[TeV|tera-electronvolts]].

> The theory has formulas (‘supergravity formulas’) for all the masses. When one calculates carefully the masses of the superpartners of the [[gauge bosons]] that mediate the [[standard model of particle physics|Standard Model]] forces they turn out to get no contribution from one large source, and the resulting value for the [[superpartners]] of the [[gauge bosons]] ([[gauginos]]) is about 1 [[TeV]], rather than about 40 [[TeV]]. They are the [[gluino]], photino, zino, and wino. The strong force gluino is heavier, about 1.5 [[TeV]] or somewhat more, and the [[electroweak field|electroweak]] ones (photino, zino, wino) are somewhat lighter, about half a [[TeV|tera-electronvolt]]. 


## References

The idea originates with

* {#ArkaniHamedDimopoulos04} [[Nima Arkani-Hamed]], [[Savas Dimopoulos]], _Supersymmetric Unification Without Low Energy Supersymmetry And Signatures for Fine-Tuning at the LHC_, JHEP 0506 (2005) 073 ([arXiv:hep-th/0405159](https://arxiv.org/abs/hep-th/0405159))

* {#GiudiceRomanino04} [[Gian Francesco Giudice]], A. Romanino, _Split Supersymmetry_, Nucl. Phys. B699:65-89,2004; Erratum-ibid.B706:65-89,2005 ([arXiv:hep-ph/0406088](https://arxiv.org/abs/hep-ph/0406088))

Further discussion includes

* {#ArkaniHamedDimopoulosGiudiceRomanino05} [[Nima Arkani-Hamed]], [[Savas Dimopoulos]], [[Gian Francesco Giudice]], A. Romanino, _Aspects of Split Supersymmetry_, Nucl. Phys. B709:3-46, 2005 ([arXiv:hep-ph/0409232](https://arxiv.org/abs/hep-ph/0409232))

Popular discussion of the "slightly split" [[G2-MSSM]] is in

* {#Kane17} [[Gordon Kane]], _String theory and the real world_, Morgan & Claypool, 2017 (<a href="http://iopscience.iop.org/book/978-1-6817-4489-6">doi:0.1088/978-1-6817-4489-6</a>)

See also 

* Wikipedia, _[Split supersymmetry](https://en.wikipedia.org/wiki/Split_supersymmetry)_
