

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Quantum Field Theory
+--{: .hide}
[[!include AQFT and operator algebra contents]]
=--
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

In [[particle physics]] [[phenomenology]] one distinguishes two strategies for constructing [[model (physics)|models]] of a [[theory (physics)|theory]] with desired properties:

* in a "top-down approach" one considers the full [[theory (physics)|theory]] right away and tries to narrow in, in its space of [[model (physics)|models]], to a subspace of models with the desired properties;

* in a "bottom-up approach" one first specifies exactly which properties a [[model (physics)|model]] is supposed to have, and then incrementally uses the remaining wiggle room to see if this specification may be completed to an actual model of the full theory.

This distinction was highlighted, and the terminology established, in ([Aldazabal-Ibáñez-Quevedo-Uranga 00](#AldazabalIbanezQuevedoUranga00)); there in the context of discussion of [[string phenomenology]] and specifically of [[intersecting D-brane models]] in [[type II string theory]]. In fact the article proposes and advertizes the bottom-up-strategy, felt to be in contrast with the, at that time, dominant top-down-strategy going back to ([Candelas-Horowitz-Witten 85](#CandelasHorowitzWitten85)).


<img src="https://ncatlab.org/nlab/files/BottomUpAndTopDownIntersDBraneModelBuilding.png" width="700"/>

>  snippet grabbed from [Aldazabal-Ibáñez-Quevedo-Uranga 00](#AldazabalIbanezQuevedoUranga00)

For more on this see at [[string phenomenology]] the section _[Top-down models and Bottom-up models](string+phenomenology#TopDownAndBottomUpModels)_.

## Related entries

* [[G2-MSSM]]

## References

In [[string phenomenology]] the terminology as such was introduced and specifically the "bottom-up approach" was advertized in

* {#AldazabalIbanezQuevedoUranga00} G. Aldazabal, [[Luis Ibáñez]], F. Quevedo, [[Angel Uranga]], _D-Branes at Singularities : A Bottom-Up Approach to the String Embedding of the Standard Model_, JHEP 0008:002 2000 ([arXiv:hep-th/0005067](http://xxx.lanl.gov/abs/hep-th/0005067))

while the "top-down approach" in [[string phenomenology]] originates with

* {#CandelasHorowitzWitten85} [[Philip Candelas]], [[Gary Horowitz]], [[Andrew Strominger]], [[Edward Witten]], _Vacuum configurations for superstrings_, Nuclear Physics B Volume 258, 1985, Pages 46-74 Nucl. Phys. B 258, 46 (1985) (<a href="https://doi.org/10.1016/0550-3213(85)90602-9">doi:10.1016/0550-3213(85)90602-9</a>)


[[!redirects bottom-up model building]]
[[!redirects top-down model building]]

[[!redirects top-down and bottom-up model building]]
