# Lax $\mathcal{F}$-natural transformations

* table of contents
{: toc}

## Definition

Let $K$ and $L$ be [[F-categories]] (strict for simplicity), with 2-categories $K_\tau,L_\tau$ of tight morphisms and $K_\lambda,L_\lambda$ of loose morphisms.  Let $F,G:K\to L$ be $\mathcal{F}$-functors (also strict for simplicity).

A **pseudo/lax $\mathcal{F}$-natural transformation** $\alpha : F \to G$ consists of:

* A [[lax natural transformation]] $\alpha_\lambda : F_\lambda \to G_\lambda$,
* The 1-morphism components of $\alpha_\lambda$ are tight, and
* The 2-morphism naturality constraint of $\alpha_\lambda$ at any tight arrow of $K$ is an isomorphism.

In particular, $\alpha_\lambda$ restricts to a pseudo natural transformation $\alpha_\tau : F_\tau \to G_\tau$.

Similarly, an $\mathcal{F}$-natural transformation can be **strict/lax**, **pseudo/oplax**, and so on.

## Examples

* If $K$ and $L$ are chordate (all morphisms are tight), then a pseudo/lax transformation is simply a pseudo transformation.

* If $L$ is chordate but $K$ is inchordate (only identities are tight), then a pseudo/lax transformation is simply a lax transformation.

* If $L$ is inchordate, there are no nonidentity pseudo/lax transformations.

## Applications

* Lax $\mathcal{F}$-natural transformations appear in the notion of [[lax F-adjunction]].

[[!redirects lax F-natural transformation]]
[[!redirects oplax F-natural transformation]]
[[!redirects colax F-natural transformation]]
[[!redirects lax F-transformation]]
[[!redirects oplax F-transformation]]
[[!redirects colax F-transformation]]

[[!redirects pseudo/lax F-natural transformation]]
[[!redirects pseudo/oplax F-natural transformation]]
[[!redirects pseudo/colax F-natural transformation]]
[[!redirects pseudo/lax F-transformation]]
[[!redirects pseudo/oplax F-transformation]]
[[!redirects pseudo/colax F-transformation]]

[[!redirects strict/lax F-natural transformation]]
[[!redirects strict/oplax F-natural transformation]]
[[!redirects strict/colax F-natural transformation]]
[[!redirects strict/lax F-transformation]]
[[!redirects strict/oplax F-transformation]]
[[!redirects strict/colax F-transformation]]

[[!redirects strict/pseudo F-natural transformation]]
[[!redirects strict/pseudo F-transformation]]

[[!redirects lax F-natural transformations]]
[[!redirects oplax F-natural transformations]]
[[!redirects colax F-natural transformations]]
[[!redirects lax F-transformations]]
[[!redirects oplax F-transformations]]
[[!redirects colax F-transformations]]

[[!redirects pseudo/lax F-natural transformations]]
[[!redirects pseudo/oplax F-natural transformations]]
[[!redirects pseudo/colax F-natural transformations]]
[[!redirects pseudo/lax F-transformations]]
[[!redirects pseudo/oplax F-transformations]]
[[!redirects pseudo/colax F-transformations]]

[[!redirects strict/lax F-natural transformations]]
[[!redirects strict/oplax F-natural transformations]]
[[!redirects strict/colax F-natural transformations]]
[[!redirects strict/lax F-transformations]]
[[!redirects strict/oplax F-transformations]]
[[!redirects strict/colax F-transformations]]

[[!redirects strict/pseudo F-natural transformations]]
[[!redirects strict/pseudo F-transformations]]
