Given a _commutative_ [[ring]] $k$ and an associative  $k$-algebra $A$ over $k$, the [[tensor product]] $A\otimes_k A$ is equipped with two [[bimodule]] structures, "outer" and "inner". For the outer structure $a\cdot_o(b\otimes c)\cdot_o d = a b\otimes c d$ and for the inner $a\cdot_i(b\otimes c)\cdot_i d = b d\otimes a c$. The two bimodule structures mutually commute. A $k$-linear map $\alpha\in Hom_k(A,A\otimes A)$ is called a __double derivation__ if it is also a map of $A$-bimodules with respect to the _outer_ bimodule structure ($\alpha\in A Mod A({}_A A_A,{}_A A\otimes_k A_A)$); thus the $k$-module $Der(A,A\otimes A)$ of all double derivations becomes an $A$-bimodule with respect to the _inner_ $A$-bimodule structure. 

The tensor algebra $T_A Der(A,A\otimes A)$ of the $A$-bimodule $Der(A,A\otimes A)$ (which is the [[free monoid]] on $Der(A,A\otimes A)$ in the monoidal category of $A$-bimodules) is a step in the definition of the [[deformed preprojective algebra]]s of [[Bill Crawley-Boevey]]. A theorem of [van den Bergh](http://en.wikipedia.org/wiki/Michel_Van_Den_Bergh) says that for any associative $A$ the tensor algebra $T_A Der(A,A\otimes A)$ has a canonical [[double Poisson bracket]].

* Michel Van den Bergh, _Double Poisson algebras_, Trans. Amer. Math. Soc. __360__ (2008), 5711--5769, [arXiv:math.AG/0410528](http://arXiv.org/abs/math/0410528)
* Anne Pichereau, Geert Van de Weyer, _Double Poisson cohomology of path algebras of quivers_, J. Alg. __319__, 5 (2008), 2166--2208 ([doi](http://dx.doi.org/10.1016/j.jalgebra.2007.09.021))
* Jorge A. Guc&#x63;ione, Juan J. Guc&#x63;ione, A characterization of quiver algebras based on double derivations, [arXiv:0807.1148](http://arxiv.org/abs/0807.1148)