
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
#### Lie theory
+--{: .hide}
[[!include infinity-Lie theory - contents]]
=--
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
=--
=--



## Contents
* table of contents
{:toc}

## Idea

The _Loday-Quillen-Tsygan theorem_ ([Loday-Quillen 84](#LodayQuillen84), [Tsygan 83](#Tsygan83)) states that for any [[associative algebra]], $A$ in [[characteristic zero]], the [[Lie algebra homology]] $H_\bullet(\mathfrak{gl}(A))$  of the infinite [[general linear Lie algebra]] $\mathfrak{gl}(A)$ with [[coefficients]] in $A$ is, up to a degree shift, the [[exterior algebra]] $\wedge(HC_{\bullet - 1}(A))$ on the [[cyclic homology]] $HC_{\bullet - 1}(A)$ of $A$:

$$
  H_\bullet(\mathfrak{gl}(A))
  \;\simeq\;
  \wedge( HC_{\bullet - 1}(A) )
$$

(see e.g [Loday 07, theorem 1.1](#Loday07)).

## References

The theorem is originally due, independently, to

* {#LodayQuillen84} [[Jean-Louis Loday]], [[Daniel Quillen]], _Cyclic homology and the Lie algebra homology of matrices_ Comment. Math. Helv., 59(4):569–591, 1984.

and

* {#Tsygan83} [[Boris Tsygan]], _Homology of matrix algebras over rings and the Hochschild homology_, Uspeki Math. Nauk., 38:217–218, 1983.

See also [[additive K-theory]] and

* [[Boris Tsygan]], [[Boris Feigin]],  _Additive K-theory_, in K-theory, arithmetic and geometry, LNM 1289 (1987), edited by Yu. I. Manin, pp. 67--209, seminar 1984-1986 in Moscow), [MR89a:18017](http://www.ams.org/mathscinet-getitem?mr=923136)

Lecture notes include

* {#Loday07} [[Jean-Louis Loday]], _Cyclic Homology Theory, Part II_, notes taken by Pawel Witkowsk (2007) ([pdf](https://www.impan.pl/swiat-matematyki/notatki-z-wyklado~/loday_cht_2.pdf))

See also

* [[Jean-Louis Loday]], C. Procesi, _Cyclic homology and lambda-operations_, In: [[Frederick Jardine]] , [[Victor Snaith]] (eds.) _Algebraic K-Theory: Connections with Geometry and Topology_ NATO ASI Series (Series C: Mathematical and Physical Sciences), vol 279. Springer, Dordrecht ([pdf](https://link.springer.com/content/pdf/10.1007/978-94-009-2399-7_9.pdf))

* Atabey Kaygun, _Loday--Quillen--Tsygan Theorem for Coalgebras
Atabey Kaygun_ ([arXiv:math/0411661](https://arxiv.org/abs/math/0411661))

[[!redirects Quillen-Loday-Tsygan theorem]]