## Definition

If $(X,\mathcal{O}_X)$ and $(Y,\mathcal{O}_Y)$ a __morphism of schemes__ $(X,\mathcal{O}_X)\to(Y,\mathcal{O}_Y)$ is a pair $(f,f^\sharp):(X,\mathcal{O}_X)\to(Y,\mathcal{O}_Y)$ where $f:X\to Y$ is the continuous map of topological spaces and a morphism of sheaves of local rings $f^\sharp:\mathcal{O}_Y\to f_*\mathcal{O}_X$.

In other words, schemes form a full subcategory of the category of [[locally ringed space]]s. The morphism of sheaves of local rings $f^\sharp:\mathcal{O}_Y\to f_*\mathcal{O}_X$ is also called the [[comorphism]].

## Properties of morphisms

Since Grothendieck school, the relative point of view is emphasized in algebraic geometry. In particular, the study of classes of schemes is generalized to the study of classes of morphisms of schemes. Thus a property of some schemes can often be generalized to a property of some morphisms and this is the proper generality. For example, the affine $k$-schemes are the same as affine morphisms into the spectrum of $k$; thus affine morphisms (otherwise known as relative affine schemes) generalize affine schemes. 

Much of the foundations of modern algebraic geometry is thus devoted to the study of classes of morphisms of schemes, as seen for example from major monographs like EGA, or the recent Stacks Project. 

* [[affine morphism]]
* [[flat morphism]], [[faithfully flat morphism]]
* [[closed immersion of schemes]], [[open immersion of schemes]]
* [[projective morphism]]
* [[proper morphism of schemes]]
* [[quasicompact morphism]]
* [[etale morphism]]
* [[morphism of finite presentation]]
* [[morphism of finite type]]
* [[separated morphism]], [[quasiseparated morphism]]

category: geometry
[[!redirects morphisms of schemes]]