

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Group Theory
+-- {: .hide}
[[!include group theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}


## Statement

+-- {: .num_theorem #ClassificationOfFiniteSubgroupsOfSO3}
###### Theorem
**([[ADE classification]] of [[finite group|finite]] [[subgroups]] of [[special orthogonal group|SO(3)]] and [[spin group|Spin(3)]]$\simeq$[[special unitary group|SU(2)]])**

The [[finite group|finite]] [[subgroups]] of the [[special orthogonal group]] $SO(3)$ as well as the [[finite group|finite]] [[subgroups]] of the [[special unitary group]] $SU(2)$ are, up to [[conjugation]], given by the following classification:

[[!include ADE -- table]]

Here under the [[double cover]] projection (using the [exceptional isomorphism](spin+group#ExceptionalIsomorphisms) $SU(2) \simeq Spin(3)$)

$$
  SU(2) \overset{\pi}{\longrightarrow} SO(3)
$$

the non-[[cyclic group|cyclic]] finite subgroups of $SU(2)$ are the [[preimages]] of the corresponding finite subgroups of $SO(3)$.

=--

This goes back to ([Klein 1884, chapter I](#Klein1884)). 
Full proof for $SO(3)$ is spelled out for instance in ([Rees 05, theorem 11](#Rees05), [De Visscher 11](#DeVisscher11)). The proof for the case of $SL(2,\mathbb{C})$ is spelled out in ([Miller-Blichfeldt-Dickson 16](#MillerBlichfeldtDickson16)) reviewed in ([Serrano 14, section 2](#Serrano14)). The proof of the case for $SU(2)$ given the result for $SO(3)$ is spelled out in [Keenan 03, theorem 4](#Keenan03).

## Related concepts

* [[ADE singularity]]

* [[McKay correspondence]]

## References
  {#References}

The classification in Theorem \ref{ClassificationOfFiniteSubgroupsOfSO3} goes back to

* {#Klein1884} [[Felix Klein]], chapter I of _Vorlesungen über das Ikosaeder und die Auflösung der Gleichungen vom fünften Grade_, 1884, translated as _Lectures on the Icosahedron and the Resolution of Equations of Degree Five_ by George Morrice 1888, [online version](https://archive.org/details/cu31924059413439)

Textbook accounts include

* {#MillerBlichfeldtDickson16} G. A. Miller, H. F. Blichfeldt, L. E. Dickson, _Theory and applications of finite groups_, Dover, New York, 1916

* {#Lamotke86} [[Klaus Lamotke]], _Regular Solids and Isolated Singularities_, Vieweg 1986

* {#Rees05} [[Elmer Rees]], _Notes on Geometry_, Springer 2005

see also 

* {#Serrano14} Javier Carrasco Serrano, _Finite subgroups of $SL(2,\mathbb{C})$ and $SL(3,\mathbb{C})$_, Warwick 2014 ([pdf](https://homepages.warwick.ac.uk/~masda/McKay/Carrasco_Project.pdf))

Lecture notes include the following:

Complete proof of the classification of the finite subgroups of $SO(3)$ is also spelled out in 

* {#DeVisscher11} Maud De Visscher, _[Groups and Symmetry](http://www.staff.city.ac.uk/maud.devisscher.1/GS/)_ lecture notes handout: _Classification of finite rotation groups_  ([pdf](http://www.staff.city.ac.uk/maud.devisscher.1/GS/classif_rotation.pdf))

Based on the classification of the finite subgroups of $SO(3)$, full proof of that of the finite subgroups of $SU(2)$ is spelled out in

* {#Keenan03} Adam Keenan, _Which finite groups act freely on spheres?_, 2003 ([pdf](http://www.math.utah.edu/~keenan/actions.pdf))


See also

* GroupProps _<a href="https://groupprops.subwiki.org/wiki/Classification_of_finite_subgroups_of_SO(3,R)">Classification of finite subgroups of SO(3,R)</a>

[[!redirects classification of the finite rotation groups]]

[[!redirects finite subgroups of SO(3)]]
[[!redirects finite subgroups of SU(2)]]




