

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

In the context of [[cosmology]], _structure formation_ refers to the process by which cosmological structures such as [[galaxy clusters]] form under [[gravity|gravitational]] collapse of a primordial gas.

Various computer simulations ([Millenium I](#MilleniumI), [Millenium II](#MilleniumII), [Millenium XXL](#MilleniumXXL), [Illustris](#Illustris)) test theory against observations, such as those by the [[Planck Collaboration]], see [Springel 13](#Springel13) for survey.

<img src="https://wwwmpa.mpa-garching.mpg.de/galform/virgo/millennium/poster_large.jpg" width="500">

> graphics from _[The Millenium Simulation Project](https://wwwmpa.mpa-garching.mpg.de/galform/virgo/millennium/)_

From [Vogelsberger et al. 14](#VogelsbergerEtAl14):

> {#TheSimulationReproduces} The simulation reproduces reasonably well the cosmic star formation rate density, the galaxy luminosity function, and baryon conversion efficiency at $z=0$. It also qualitatively captures the impact of galaxy environment on the red fractions of galaxies. The internal velocity structure of selected well-resolved disk galaxies obeys the stellar and baryonic Tully-Fisher relation together with flat circular velocity curves. In the well-resolved regime the simulation reproduces the observed mix of early-type and late-type galaxies.

See also [Illustris Project Website](#IllustrisProjectWebsite): _[What are we learning?](http://www.illustris-project.org/about/#public-three)_ and _[Preliminary Results](http://www.illustris-project.org/about/#astronomers-four)_.


## Related concepts

* [[observable universe]]

* [[dark matter]]


## References

Review includes

* Joel R. Primack, _Dark Matter and Structure Formation in the Universe_ ([arXiv:astro-ph/9707285](https://arxiv.org/abs/astro-ph/9707285))

See also 

* Wikipedia, _[Structure formation](https://en.wikipedia.org/wiki/Structure_formation)_

### Computer simulation

There are various computer simulations for structure formation, listed below. Review includes the following:

* {#Springel13} Volker Springel, _Simulations of Cosmic Structure Formation_, USP Cosmology Conference Sao Paulo, February 2013 ([pdf](http://astro.dur.ac.uk/~cmb/LACEGAL/Talks/talk_springel.pdf), [[Springel13.pdf:file]])

* [Kavli Institute for Cosmological Physics](http://cfcp.uchicago.edu/), _[Formation of the large-scale structure in the Universe: simulations](cosmicweb.uchicago.edu/sims.html)_

#### Millenium Project


* Wikipedia, _[Millenium Run](https://en.wikipedia.org/wiki/Millennium_Run)_

##### Millenium I
 {#MilleniumI}

* _[The Millenium Simulation Project](https://wwwmpa.mpa-garching.mpg.de/galform/virgo/millennium/)_

##### Millenium II
 {#MilleniumII}

*  Michael Boylan-Kolchin, Volker Springel, Simon D. M. White, Adrian Jenkins, Gerard Lemson, _Resolving Cosmic Structure Formation with the Millennium-II Simulation_, Mon.Not.Roy.Astron.Soc.398:1150, 2009 ([arXiv:0903.3041](https://arxiv.org/abs/0903.3041))

##### Millenium XXL
  {#MilleniumXXL}

* _The Millennium-XXL Project:  Simulating the Galaxy Population  of dark Energy Universes_ ([pdf](https://www.h-its.org/wp-content/uploads/2014/10/inSiDE_autumn2010_p20.pdf))

* R. E. Angulo, V. Springel, S. D. M. White, A. Jenkins, C. M. Baugh, C. S. Frenk, _Scaling relations for galaxy clusters in the Millennium-XXL simulation_, Monthly Notices of the Royal Astronomical Society, Volume 426, Issue 3, 1 November 2012, Pages 2046–2062, (<a href="https://doi.org/10.1111/j.1365-2966.2012.21830.x">doi:10.1111/j.1365-2966.2012.21830.x</a>, [arXiv:1203.3216](https://arxiv.org/abs/1203.3216))

#### Illustris Project
 {#Illustris}

* {#IllustrisProjectWebsite} _[Illustris Project Website](http://www.illustris-project.org/about/)_

* Wikipedia, _[Illustris project](https://en.wikipedia.org/wiki/Illustris_project)_

* {#VogelsbergerEtAl14} Mark Vogelsberger, Shy Genel, Volker Springel, Paul Torrey, Debora Sijacki, Dandan Xu, Greg Snyder, Dylan Nelson, Lars Hernquist, _Introducing the Illustris Project: simulating the coevolution of dark and visible matter in the Universe_ ([arXiv:1405.2921](https://arxiv.org/abs/1405.2921))


[[!redirects cosmic structure formation]]
[[!redirects cosmological structure formation]]
