
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Operator algebra
+-- {: .hide}
[[!include AQFT and operator algebra contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The __Calkin algebra__ is the [[quotient]] $B(H)/K(H)$ of the [[C*-algebra]] of [[bounded operator|bounded]] [[linear operators]] on an infinite-dimensional separable complex [[Hilbert space]] $H$ by the closed ideal of [[compact operators]].
It is widely used in [[index theory]] and [[operator algebras]]. 

It is sometimes viewed as a noncommutative analogue of the space of continuous functions on $\beta(\omega) \,\backslash\, \omega$ (where $\beta$ means taking the [[Stone-Čech compactification]]).

## Properties

### General

Some results invoking the Calkin algebra rely on extra [[axioms]] in [[set theory]], see for instance ([Weaver 2007](#Weaver)) for a sample of such results. 

### Automorphisms

[[Todorcevic’s Axiom]] (TA, also called the _Open Coloring Axiom_) implies that all [[automorphisms]] of the Calkin algebra are [[inner automorphism|inner]] ([Farah 2011a](#Farah11a)), whereas assuming the [[continuum hypothesis]], one can construct an [[outer automorphism]] ([Phillips-Weaver 2007](#PhillipsWeaver)). Note that TA contradicts CH ([Rinot 2013](#Rinot13)), so these two options are mutually exclusive.

There are also some analogues of the above results where the separable Hilbert space is replaced by an arbitrary infinite-dimensional complex Hilbert space. For instance, the [[Proper Forcing Axiom]] (PFA) implies that for every Calkin algebra, all automorphisms are inner ([Farah 2011b](#Farah11b)).

Another result ([Farah and Hirshberg 2016](#FarahHirshberg16)) of Farah and Hirshberg states that the Calkin algebra of a separable Hilbert space is not countably [[homogeneous structure|homogeneous]]; in particular, it cannot be realized as a [[Fraïssé limit]] of [[continuous logic|metric structures]].


## Related entries

* [[Brown–Douglas–Fillmore theory]]

## References



* {#PhillipsWeaver} N. Christopher Phillips, Nik Weaver, _The Calkin algebra has outer automorphisms_, Duke Math. J. Volume 139, Number 1 (2007), 185-202. [arXiv:math/0606594](https://arxiv.org/abs/math/0606594)

* {#Farah11a} Ilijas Farah, _All automorphisms of the Calkin algebra are inner_, Annals of Mathematics 173 (2011), 619-661, doi: 10.4007/annals.2011.173.2.1 [arXiv:0705.3085](https://arxiv.org/abs/0705.3085)
* {#Farah11b} Ilijas Farah, _All automorphisms of all Calkin algebras_, Math. Res. Lett. 18 (2011), no. 3, 489-503 [arXiv:1007.4034](https://arxiv.org/abs/1007.4034)

* {#FarahHirshberg16} Ilijas Farah and Ilan Hirshberg, _The Calkin algebra is not countably homogeneous_, Proc. AMS, to appear. [arXiv:1506.07455](https://arxiv.org/abs/1506.07455)

* {#Rinot13} Assaf Rinot, _Open coloring and the cardinal invariant $\mathfrak{b}$_, (2013) [blog post](http://blog.assafrinot.com/?p=3243)

* {#Weaver07} Nik Weaver, _Set theory and $C^\ast$-algebras_, The Bulletin of Symbolic Logic Vol. 13, No. 1 (Mar., 2007), pp. 1-20, [arxiv:math/060198.LO](https://arxiv.org/abs/math/0604198)

category: operator algebras