##Motivation## 

$k$-linear [[derivations]] of a (not necessarily commutative) associative unital $k$-[[associative unital algebra|algebra]] $A$ with values in $A$-[[bimodules]] are often considered: these are $k$-linear maps $d: A\to M$ satisfying the Leibniz identity: $d(a b)=d(a) b+ a d(b)$. One would like to construct a universal construction of that kind. 


##Definitions##

The triple $(A,M,d)$ is then called a __differential calculus__ over $A$, provided $M$ is in the $k$-linear span of all expressions of the form $a d(b_1) d(b_2)\cdots d(b_n)$ where $a,b_1,\ldots,b_n\in A$. Morphisms of differential calculi over $A$ are straightforward to define. A universal object in that category is the __universal differential calculus__ and $\Omega A = M$ in that case is called the __universal differential envelope__ of $A$. It is constructed as the quotient of the tensor algebra $T A$ modulo the ideal generated by the ("augmentation") kernel $I\subset A\otimes A$ of the multiplication map $A\otimes A\to A$; then $d a = 1\otimes a - a\otimes 1$.

+--{.query}
This is a bit confusing. The subbimodule $I$ should rather be the degree-1 component of $\Omega A$ (see Bourbaki, Algèbre III, paragraph Problème universel pour les dérivations: cas non commutatif).
—[[Benoit Jubin]]

[[Eric]]: I'm probably confused, but $A$ is degree-0 and $A\otimes A$ is degree-1.

[[Benoit Jubin]]: I agree. To me, we should have $\Omega A = A \oplus I \oplus \ldots$, whereas the article currently proposes $\Omega A = TA / \langle I \rangle$.
=--

The bimodule $\Omega A$ is in fact a $k$-algebra, generated by degree-$1$ elements (in $A$); differential $d:A\to \Omega A$ can be naturally extended along the inclusion $A\hookrightarrow \Omega A$ to a differential $d:\Omega A\to \Omega A$ satisfying the Leibniz rule, by setting $d 1 = 0$, $d (w y) =  d(w) y + (-1)^p w d(y)$, where $w,y$ are forms and $w\in\Omega^p A$ is homogeneous. 

##References

* A. Connes, [Noncommutative Geometry](http://www.alainconnes.org/en/downloads.php)
* R. Coquereaux and D. Kastler, [Remarks on the differential envelopes of associative algebras](http://projecteuclid.org/DPubS?service=UI&version=1.0&verb=Display&handle=euclid.pjm/1102650385)
* F. Bonechi, R. Giachetti, R. Maciocco, E. Sorace, M.Tarlini, [Cohomological Properties of Differential Calculi on Hopf Algebras](http://arxiv.org/abs/q-alg/9612019)
* H. C. Baehr, A. Dimakis, F. Müller-Hoissen, [Differential Calculi on Commutative Algebras](http://arxiv.org/abs/hep-th/9412069)
* <nowiki>F. Müller-Hoissen</nowiki>, [Introduction to Noncommutative Geometry of Commutative Algebras and Applications in Physics](http://wwwuser.gwdg.de/~fmuelle/index.php?navi=publ)

##Discussion

[[Eric]]: I have some notes on [[ericforgy:differential envelope|my personal web]], but they need work before transferring them here. 

[[!redirects universal differential envelopes]]