##Motivation##

One would like to have symmetry objects like [[algebraic group]]s and [[Lie algebra]]s in [[noncommutative geometry]] (including algebraic flavour). The group-like objects should be noncommutative spaces themselves, they should have representation theory, they should act on other noncommutative spaces, define quotients and so on. A first massive appearance were quantum groups, and one should be warned that quantum groups are not cogroup objects in the category of noncommutative rings, because they are Hopf algebras with respect to the tensor product rather than categorical coproduct of algebras. 

##Main characters##

Here one should write about [[quantum groups]] (Drinfeld, Manin, Woronowicz, Jimbo, Lusztig, Faddeev-Reshetikin-Tahtajan, Majid), [[Hopf algebras]], Hopf algebroids (quantum groupoids), quantum Lie algebras, entwinings/[[distributive law]]s, quantum flag varieties, (co)module (co)algebras, quantum principal bundles, associated bundles, Drinfel'd center, equivariant cyclic homology etc.

##Literature##

* V. G. Drinfel’d, _Quantum groups_, Proc. Int. Cong. Math. 1986, Vol. 1, 2 798–820, AMS 1987.

* S. Majid, _Foundations of quantum group theory_, Cambridge University Press 1995, 2000.

* B. Parshall, J.Wang, _Quantum linear groups_, Mem. Amer. Math. Soc. 89(1991), No. 439, vi+157 pp.

* Z. Škoda, _Some equivariant constructions in noncommutative geometry_, Georgian Math. J. 16 (2009) 1; 183--202 ([arXiv:0811.4770](http://front.math.ucdavis.edu/0811.4770))

* Yu. Manin, _Quantum groups and noncommutative geometry_, CRM, Montreal (1988)

* L. Faddeev, N. Reshetikin, L. Tahtajan, _Quantization of Lie groups and Lie algebras_, Algebra i Analiz 1 (1989) 178 (transl.  Leningrad Math. J. 1 (1990), 193-225)

* S. Montgomery, _Hopf algebras and their action on rings_, AMS 1994, 240p.

* Y. Soibelman, _On the quantum flag manifold_, Funk. analiz i ego pril. __26__, 3, 90–92, 1992

* Z. Škoda, _Localizations for construction of quantum coset spaces_, [math.QA/0301090](http://front.math.ucdavis.edu/math.QA/0301090),  Banach Center Publ. vol.61, pp. 265--298, Warszawa 2003. 

*  N. Reshetikhin, A. A. Voronov, A. Weinstein. _Semiquantum geometry_, [math.q-alg/9606007](http://arxiv.org/abs/q-alg/9606007)

* T. Brzeziński, S. Majid, _Coalgebra bundles_, Comm. Math. Phys.  191  (1998),  no. 2, 467--492 ([arXiv version](http://arxiv.org/abs/q-alg/9602022)). 

* B. Day, R. Street, _Monoidal bicategories and Hopf algebroids_, Adv. Math. __129__, (1997) 99-157 [doi](http://dx.doi.org/10.1006/aima.1997.1649)

category: algebraic geometry, noncommutative geometry