
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Synthetic differential geometry
+--{: .hide}
[[!include synthetic differential geometry - contents]]
=--
#### Topos Theory
+--{: .hide}
[[!include topos theory - contents]]
=--
=--
=--

This entry is about the book

* [[Ieke Moerdijk]], [[Gonzalo Reyes|Gonzalo E. Reyes]], _Models for Smooth Infinitesimal Analysis_ Springer (1991)

about models of [[smooth topos]]es for [[synthetic differential geometry]] that have a [[full and faithful functor|full and faithful]] embedding of the [[category]] [[Diff]] of smooth [[manifold]]s.

#Contents#
* table of contents
{:toc}

## Summary 

The book discusses the construction and the properties of [[smooth topos]]es $(\mathcal{T},R)$ that model the axioms of [[synthetic differential geometry]] and are _well-adapted_ to [[differential geometry]] in that there is a [[full and faithful functor]] $Diff \to \mathcal{T}$ embedding the [[category]] [[Diff]] of smooth [[manifold]]s into the more general category $\mathcal{T}$.

All models are obtained as [[category of sheaves|categories of sheaves]] on [[site]]s whose underlying category is a [[subcategory]] of that of [[smooth loci]].


* [[de Rham theorem|synthetic de Rham theorem]]

## Models {#Models}

The following tabulates various models for [[smooth topos]]es and lists their properties.

### the topos $\mathcal{G}$ 

### the topos $\mathcal{F}$ 

### the topos $\mathcal{Z}$ 

The [[smooth topos]] $\mathcal{Z}$ is that of [[sheaf|sheaves]] on the category $\mathbb{L}$ of [[smooth loci]] with respect to the [[Grothendieck topology]] given by _finite_ open covers of smooth loci.

+-- {: .un_defn}
###### Definition


$\mathcal{Z} := Sh_{fin-open}(\mathbb{L})$ is the [[category of sheaves]] on the entire [[site]] $\mathbb{L}$ of [[smooth locus|smooth loci]] where the [[cover]]ing [[sieve]]s of any [[smooth locus]] $\ell A$ are those generated by covering families 

$$
  \{f_i : \ell A_i  \to \ell A\}
$$

given by a _finite_ collection of elements $(a_i \in A)_{i=1}^n$ such that the ideal generated by these elements contains the unit, $1 \in (a_1, \cdots, a_n)$, and for each $i$ a commutative diagram

$$
  \array{
    \ell A_i &&\stackrel{\simeq}{\to}&&  \ell (A\{a_i^{-1}\})
    \\
    & {}_{\mathllap{f_i}}\searrow && \swarrow
    \\
    &&
    \ell A
  }
  \,,
$$ 

where the right diagonal morphism is the canonical inclusion of a smooth locus corresponding to a [[generalized smooth algebra|smooth ring]] with one element inverted.

=--



This is in chapter VI, 1. Inversion of elements is described around proposition 1.6 in chapter I. 

For instance for $\ell A = R = \ell C^\infty(\mathbb{R})$ the real line, a covering family is given by maps from two further copies of the real line $f_{1,2} : R \to R$ determined by any two smooth functions $a_1, a_1 \in C^\infty(\mathbb{R})$ with support  $(-\infty,1)$ and $(-1,\infty)$. By proposition 1.6 in chapter I we have $C^\infty(\mathbb{R})\{a_1^{-1}\} = C^\infty((-\infty,1))$ and $C^\infty(\mathbb{R})\{a_2^{-1}\} = C^\infty((-1,\infty))$. As both these open intervals are diffeomorphic to the real line, and as [[Diff]] embeds fully, we have isomorphisms $R \stackrel{\simeq}{\to} \ell(C^\infty(\mathbb{R}/{a_i^{-1}})$. Hence the cover defined by $(a_i, a_2)$ is the ordinary open cover of the real line by the two open subsets $(-\infty,1)$ and $(-1,\infty)$.

Similarly using I.1.6, one finds the general result:

+-- {: .un_lemma}
###### Lemma

Let $\ell C^\infty(U)/I$ be a [[smooth locus]] with $U \subset \mathbb{R}^n$ open and $I$ an ideal of $C^\infty(U)$. Then, up to isomorphisms, its covering families are precisely those families 

$$
  \{\ell C^\infty(U_i)/(I|U_i) \to \ell C^\infty(U_i)/I\}_{i=1}^n
$$

such that the $U_i \subset U$ are an ordinary open cover of $U$.

Equivalently, such families where the $(U_i)$ need not cover all of $U$, but where there is $V \subset U$ open such that the $(U_i)$ together with $V$ do cover and $1 \in I|_V$.

=--

+-- {: .proof}
###### Proof

This is lemma 1.2 in chapter VI.

=--


We now list central properties of this topos.

+-- {: .um_prop}
###### Proposition
**(properties)**

For the [[topos]] $\mathcal{Z}$ the following is true.

* the [[Grothendieck topology]] is [[subcanonical coverage|subcanonical]]

  (chapter VI, lemma 1.3)

* the [[category]] [[Diff]] of smooth [[manifold]]s embeds [[full and faithful functor|full and faithfully]], $Diff \hookrightarrow \mathcal{Z}$

  (chapter VI, corollary 1.4)

* the general [[Kock-Lawvere axiom]] holds 

  (chapter VI, 1.9)

* the [[integration axiom]] holds
  
  (chapter VI, 1.10)

* it models [[nonstandard analysis]] in that

  * since the topology is subcanonical, in particular the
    [[smooth locus]] 
    $\mathbb{I} := \ell(C^\infty(\mathbb{R}-{0})/(f|germ_0(f) 
      = 0))
    $ 
    of the ring of restrictions of [[germ]]s of functions 
    at 0 to $\mathbb{R}-{0}$
    is an object: the object of **invertible infinitesimals**.

    However, even though this object exists, in the 
    [[intuitionistic logic|intuitionistic]] 
    [[internal logic]] of the topos one cannot prove that there
    are any infinitesimal _elements_ : all one can prove is
    that it is false that there are no elements: 
    $\not \not \exists x : x \in \mathbb{I}$. 

    (chapter VI, section 1.8)

    This changes when one refines to the topos $\mathcal{B}$,
    discussed below (section VI.5).

  * due the conditions that covers are finite, 
    the [[smooth locus]] $N := \ell C^\infty(\mathbb{N})$
    -- which is such that functions to it are arbitrary 
    locally constant $\mathbb{N}$-valued functions --
    does not coincide with the [[natural numbers object]]
    of the topos, which is the [[sheafification]] of the
    [[presheaf]] constant on $\mathbb{N} \in Set$:

    since covering families are by _finite_ covers 
    it follows that maps into the sheafification of 
    the presheaf constant on $\mathbb{N}$ are _bounded_
    smooth $\mathbb{N}$-valued functions, 
    instead of all such functions.

    (chapter VI, 1.6)

    The object $N = \ell C^\infty(\mathbb{N})$ is called the
    object of **[[smooth natural numbers]]** . It may be thought
    of as containing "infinite natural numbers".


=--



### the topos $\mathcal{B}$

The [[smooth topos]] $\mathcal{B}$ may be motivated as a slight
refinement of the topos $\mathcal{Z}$ designed such that in the [[internal logic]] of $\mathcal{B}$ it does become true that for $\mathbb{I}$ the object of invertible infinitesimals, we have $\exists x : x \in \mathbb{I}$, internally.

+-- {: .un_defn}
###### Definition
**(chapter VI, 5.1)**

$\mathcal{B} := Sh_{fin-open/proj}(\mathbb{L})$ is the [[category of sheaves]] on the [[site]] $\mathbb{L}$ of [[smooth locus|smooth loci]] with [[cover]]ing [[sieve]]s given by 

* finite open covers as above for $\mathbb{Z}$

* and in addition letting projections $\ell A \times \ell B \to \ell A$ out of [[product]]s in $\mathbb{L}$ (for $B \neq 0 $ if $A \neq 0$) be singleton covers.


=--

(This is not a [[Grothendieck topology]], as it is not closed under composition, but still a [[coverage]].)


+-- {: .um_prop}
###### Proposition
**(properties)**

The topos inherits most of the properties of $\mathcal{Z}$, notably:
    
* the [[Grothendieck topology]] is [[subcanonical coverage|subcanonical]]
  
  (chapter VI, 5.2)
    
* the [[category]] [[Diff]] of smooth [[manifold]]s embeds [[full and faithful functor|full and faithfully]], $Diff \hookrightarrow \mathcal{B}$

  (chapter VI, 5.2)
    
* the general [[Kock-Lawvere axiom]] holds
  
  (chapter VI, below 5.4)
 
* the [[integration axiom]] holds
  
  (chapter VI, below 5.4)
    
* invertible infinitesimally small and infinitesimally big numbers are realized (with some vague similarity to [[nonstandard analysis]], but without its basic features like transfer principle in full generality)
  
  (chapter VI, below 5.4).

A main difference is that in $\mathcal{B}$ every 
[[smooth locus]], i.e.
every [[representable functor|representable]], is an [[inhabited object]].
In particular therefore there exist, in the [[internal logic]], elements of the object of invertible infinitesimals:

$$
  \exists x \in \mathbb{I}
  \,.
$$

(chpater VI, prop 5.4).
    
=--


category: reference