This entry will be about the 1960 thesis of [[Pierre Gabriel]], published in 1962 as

* __Des catégories abéliennes__, Bulletin de la Société Mathématique de France, 90 (1962), p. 323-448 ([numdam](http://www.numdam.org/item?id=BSMF_1962__90__323_0))

The article develops some of the central aspects of the theory of [[abelian category|abelian categories]] canonized few years earlier by Grothendieck in [[Tohoku]]. Most important is an advanced theory of [[localization]] in the setting of abelian categories (extending ideas of Serre), and the applications to the study of rings and modules (where an alternative reconstructions via [[Gabriel filter]]s is proposed), as well as of [[quasicoherent sheaf|quasicoherent sheaves]] on schemes. It contains a remarkable reconstruction theorem: for any abelian category Gabriel introduces a spectrum whose points are (isomorphism classes of) indecomposable injectives (there is now a refinement using pure injectives, [[Ziegler spectrum]]). For a reasonable class of commutative schemes this gives a reconstruction of a scheme out of the abelian category of quasicoherent sheaves on the scheme (later extended to all schemes using different kind of spectra and in that generality known as the [[Gabriel-Rosenberg theorem]]). This article is one of the main precursors of a modern, categorically oriented, direction in [[noncommutative algebraic geometry]].

TABLE DES MATIERES.

INTRODUCTION 

CHAPITRE 1 : Quelques rappels sur les catégories.

1. Les univers de Grothendieck 

2. Définition des catégories 

3. Foncteurs 

4. Catégories additives 

5. Catégories abéliennes 

6. Catégories avec générateurs et limites inductives exactes

7. Foncteurs adjoints

8. Equivalences de catégories 

9. Catégories abéliennes ayant assez d'injectifs 

CHAPITRE II : Foncteurs exacts à gauche et enveloppes injectives.

1. Catégories de foncteurs 

2. Foncteurs exacts à gauche à valeurs dans une catégorie abélienne 

3. Foncteurs exacts à gauche à valeurs dans les groupes abéliens 

4. Catégories nœthériennes 

5. Enveloppes injectives dans les catégories abéliennes 

6. Catégories avec générateurs et limites inductives exactes

CHAPITRE III : La localisation dans les catégories abéliennes.

1. Catégories quotient 

2. Propriétés du foncteur section

3. Catégories avec enveloppes injectives 

4. Catégories avec générateurs et limites inductives exactes 

5. Quelques exemples de sous-catégories localisantes 

CHAPITRE IV : Catégories localement nœthériennes.

1. La dimension de Krull d'une catégorie abélienne

2. La structure des objets injectifs dans une catégorie localement nœthérienne

3. Modules pseudo-compacts 

4. Dualité entre catégories localement finies et modules pseudo-compacts

CHAPITRE V : Applications à l'étude des modules.

1. Catégories de modules 

2. La localisation 

3. Le théorème de Goldie

4. Injectifs indécomposables et idéaux bilatères 

5. Stabilité par enveloppes injectives

6. Extensions finies d'anneaux commutatifs nœthériens 

7. La dimension de Krull de quelques anneaux 

CHAPITRE VI : Applications à l'étude des faisceaux quasi cohérents.

1. Recollement de catégories abéliennes 

2. Propriétés d'un recollement de catégories abéliennes 

3. Préschémas et catégories abéliennes 

BIBLIOGRAPHIE


category: reference

[[!redirects Des catégories abéliennes]]
[[!redirects Des categories abeliennes]]
[[!redirects des catégories abéliennes]]
[[!redirects des categories abeliennes]]
[[!redirects Des Catégories Abéliennes]]
[[!redirects Des Categories Abeliennes]]
