
> for more see at _[[Chevalley-Eilenberg algebra]]_

***

# Idea #

A finite dimensional [[Lie algebra]] $g$ or degreewise finite-dimensional [[L-∞ algebra]] $g$ is encoded in a differential $D : \vee^\bullet g \to \vee^\bullet g$ on the cofree co-commutative coalgebra generated by $g$.

The dual of this is a [[differential graded algebra]] $(\wedge^\bullet g^*, d)$. The underlying [[cochain complex]] (forgetting the [[monoid]]al structure) is the __Chevalley-Eilenberg cochain complex__.

There is in fact a bijection between [[semifree dga|quasi-free]] [[cochain complex|cochain]] [[differential graded algebra]]s in non-negative degree and [[L-∞ algebra]]s. 

The Chevalley-Eilenberg complex is usually defined a bit more generally for [[Lie algebra]]s equipped with a [[Lie module]] $g \to End V$. In the above language this more general cochain complex is the one underlying the [[Lie ∞-algebroid]] that encodes this action in the sense of [[Lie ∞-algebroid representation]]s.


# Lie algebra cohomology # 

The [[chain homology and cohomology|cohomology]] of the Chevalley-Eilenberg cochain complex agrees with the [[Lie algebra cohomology]]  with trivial coefficients. The Lie algebra is however defined also for infinite-dimensional Lie algebras and arbitrary module $M$ coefficients. Namely the Lie algebra cohomology is $H^*_{Lie}(\mathfrak{g},M) = Ext_{U(\mathfrak{g})}(\mathfrak{g},M) = H^*(Hom_{U(\mathfrak{g})}(V(\mathfrak{g}),M))\cong H^*(Hom_k(\Lambda^*\mathfrak{g},M))$ where $U(\mathfrak{g})$ is the universal enveloping of $\mathfrak{g}$ and $V(\mathfrak{g}) = U(\mathfrak{g})\otimes \Lambda^* \mathfrak{g}$ (with the appropriate differential) is the [[Chevalley-Eilenberg chain complex]]. Now if $\mathfrak{g}$ is finite-dimensional then $Hom_{U(\mathfrak{g})}(V(\mathfrak{g}),M)\cong CE(\mathfrak{g},M)$ and $CE(\mathfrak{g}) = CE(\mathfrak{g},k) = \Lambda^* \mathfrak{g}^*$.

# References #

* MathOverflow: [definitions of Chevalley-Eilenberg complex](http://mathoverflow.net/questions/8460/chevalley-eilenberg-complex-definitions)

* C. Chevalley, S. Eilenberg, _Cohomology theory of Lie groups and Lie algebras_, Trans. Amer. Math. Soc. 63, (1948). 85--124.

[[!redirects Chevalley-Eilenberg complex]]
[[!redirects Chevalley–Eilenberg cochain complex]]
[[!redirects Chevalley–Eilenberg complex]]
[[!redirects Chevalley--Eilenberg cochain complex]]
[[!redirects Chevalley--Eilenberg complex]]
