
#Contents#
* table of contents
{:toc}

## Idea

[[Grothendieck]] developed in [[EGA]] a number of notions of smoothness for a [[scheme]] and, more generally, for a [[smooth morphism of schemes|morphism]] of schemes. For algebraic varieties over a field, one already had a classical notion of a nonsingular variety. 

## Definition

### For schemes

A [[scheme]] of finite type over a field $k$ is __smooth__ if after extension of scalars from $k$ to the [[algebraic closure]] $\bar{k}$ it becomes a __regular scheme__, i.e. the stalks of its structure sheaf are [[regular local ring]]s in the sense of commutative algebra. 

A relative version of a smooth scheme is the notion of [[smooth morphism of schemes]].

### For affine schemes

Specifically, a finitely presented commutative [[associative algebra]] $A$ over a [[field]] $k$ is smooth if either of the following equivalent conditions holds

* the $A$-[[module]] $\Omega^1_k(A)$ of [[Kähler differential form]]s is a [[projective object]] in $A Mod$;

* with $A$ regarded as an $A$-[[bimodule]] in the evident way, it has a [[projective object|projective]] [[resolution]].

## Related concepts

* [[Bondal-Orlov reconstruction theorem]]


## References


For commutative $k$-algebras a discussion is for instance around theorem 9.1.2 in

* [[Victor Ginzburg]], _Lectures on noncommutative geometry_ ([arXiv:math/0506603](http://arxiv.org/abs/math.AG/0506603)) 


[[!redirects smooth schemes]]

[[!redirects smooth variety]]
[[!redirects smooth varieties]]