Drinfel'd looked at [[quantum group]]s as objects of the category [[opposite category|dual]] to the category of associative coassociative unital counital [[Hopf algebras]]. In (PW) a __short exact sequence of quantum groups__ is defined, as a sequence whose dual sequence of Hopf algebras is of the form

$$ B \stackrel{i}\hookrightarrow A\stackrel{p}\to A/I $$

where $B\hookrightarrow A$ is an inclusion of Hopf algebras, $I$ is a Hopf ideal in $A$ such that the quotient map $p$ is the cokernel of $i$ in the category of Hopf algebras. This corresponds to the exact sequence of affine group schemes when the Hopf algebras involved are commutative. 

On the other hand, this definition does not work already for formal group schemes which correspond to cocommutative Hopf algebras. An additional problem is that according to a counterexample of (SchneiderESQGr) $B$ is not necessarily a normal Hopf algebra, nor $I$ a normal [[Hopf ideal]]  (contrary to blank assertion in (PW)). For these reasons, Schneider introduces a notion of __short strictly exact sequence of Hopf algebras__, as a sequence as above which satisfies the following 3 conditions  

* (a) $B$ is a normal Hopf subalgebra of $A$

* (b) $A$ is right faithfully coflat over $A/I$

* (c) $p = coker(i)$ in the category of Hopf algebras.

There is a dual and equivalent by (SchneiderESQGr) set of conditions:

* (a') $I$ is a normal Hopf ideal in $A$

* (b') $A$ is right faithfully coflat over $A/I$

* (c') $i=ker(p)$ in the category of Hopf algebras.

It would be interesting to know which cohomology classifies all Hopf algebra by Hopf algebra extensions (there are also other kinds of "Hopf algebra extensions"). In full generality, this is an open question. Notice that in general questions on understanding various cocycles in bialgebra world is very partial, cf. [[bialgebra cocycle]]. 

It would also be interesting (though it may be known) how to characterize internally to the category of Hopf algebras what class of monomorphisms and epimorphisms correspond to the Hopf-algebraic conditions on $i$ and $p$ above. 

Using [[Hopf monads]], in (BruguièresNatale) the theory of exact sequences/extensions of Hopf algebras (over an algebraically closed field of characteristics zero) is placed into the context of the exact seqences/extension theory of the corresponding categories of comodules. This is an interesting test case for general study of [[nonabelian cohomology]], more specifically a generalization of the classical [[Schreier's theory]]. 

## Literature ##

* (PW) [[B. Parshall]], J. Wang, _Quantum linear groups_, Memoirs AMS __439__

* (SchneiderESQGr) H-J. Schneider, _Some remarks on exact sequences of quantum groups_, Comm. Alg. __21__(9), 3337-3357 (1993)

* (BruguièresNatale) Alain Bruguières, Sonia Natale, _Exact sequences of tensor categories_, [arXiv:math.QA/1006.0569](http://arxiv.org/abs/1006.0569) 

[[!redirects exact sequences of Hopf algebras]]