Derivatives and differentials are usually expressed in terms of limits in the sense of analysis. However it became clear in about the last half century that much of the knowledge on usual [[differential calculus]] can be inferred from using just algebraic properties of differentials and derivatives, most notably the Leibniz rule for differentiating products ($D (f g) = (D f) g + f (D g)$); an alternative [[synthetic differential geometry|synthetic]] formalism also appeared which did not use limiting procedures as well.

A [[derivation]] of an [[associative algebra]] is simply a linear [[endomorphism]] satisfying the Leibniz rule. Then for example the [[tangent vector fields]] on a [[smooth manifold]] are obtained as derivations of the algebra of $C^\infty$-functions on the manifold. The differential of a map is a linearized approximation. This is clear in various non-classical analytic setups, for example for maps between [[Banach spaces]] and for differentiable [[manifolds]]. 

This linearization idea has been obtained at the level of [[sheaves]] of $\mathcal{O}$-modules by [[Grothendieck]] for algebraic varieties a the view toward the differential calculus for varieties in prime characteristics. It is interesting that he related differential calculus to resolutions of the diagonal, where he considered the sheaves of modules supported on [[infinitesimal neighborhood]]s of diagonal. Indeed, to define a derivative in analysis, one needs to start with consideration of differences of values of a function at points which are close to one to another, $x$ and $x + \Delta x$, and this means that means that the pair $(x, x + \Delta x)$ is close to the diagonal of the cartesian square $X \times X$. In [[numerical analysis]], various approximation schemas for higher order differential operators are involved which obviously live around higher diagonals in $X^n = X \times X \times \ldots \times X$ ($n$ times). One of the products of that thinking is Grothendieck's notion of a [[regular differential operator]]. This led later to the creation of the theory of [[D-modules]] which are sheaves of modules over the [[sheaf]] of rings of regular differential operators over a scheme, or a complex analytic manifold.

We plan in the nLab to cover many aspects of the interaction between geometry and differential calculi of various sorts including [[synthetic differential geometry]] and algebraic counterparts of notions from differential calculi. It is hard to say, however, where [[homological algebra]] belongs: the differential in the sense of homological algebra is rather a notion which can be systematized into the more general subject of [[homotopical algebra]], but in some cases it is related to analogues of [[exterior differentiation]] for the de Rham [[complex]] of [[differential forms]] (say on manifolds). But there is also an analogue of the [[Taylor series]] for functors in some homotopical contexts (say [[Goodwillie calculus]]). 

One should also point out that an elaborate schema for
differential calculus in
noncommutative geometry has been proposed by Tsygan 
in terms of algebras with higher brackets. In one version,
a differential calculus is given there by a Gerstenhaber 
algebra and a Batalin-Vilkovisky module over it. 

See [[derivation]], [[regular differential operator]], [[differential form]], [[differential bimodule]], [[universal differential envelope]], [[differential forms in synthetic differential geometry]], [[connection]], [[connection for a differential graded algebra]], [[D-module]], [[Fox derivative]], [[crystal]], [[Fermat theory]]...

[[!redirects algebraic approach to differential calculus]]