
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Topology
+--{: .hide}
[[!include topology - contents]]
=--
#### Differential geometry
+--{: .hide}
[[!include synthetic differential geometry - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

__Differential topology__ is the subject devoted to the study of [[topology|topological]] properties of [[differentiable manifolds]], [[smooth manifolds]] and related [[differential geometry|differential geometric]] [[spaces]] such as [[stratifolds]], [[orbifolds]] and more generally [[differentiable stacks]]. 

Diffrential topology is also concerned with the problem of finding out which topological (or PL) manifolds allow a 
[[smooth structure|differentiable structure]] and the degree of nonuniqueness of that structure if they do (e.g. [[exotic smooth structures]]). It is also concerned with concrete constructions of [[cohomology|(co)]][[homology]] classes (e.g. [[characteristic class]]es) for differentiable manifolds and of [[differential cohomology|differential refinements of cohomology theories]]. 

## Examples

Many considerations, and classification problems, depend crucially on [[dimension]], and the case of high-dimensional manifolds (the notion of 'high' depends on the problem) is often very different from the situation in each of the low dimensions; thus there are specialists' subjects like $3$-(dimensional) topology and $4$-topology. There are restrictions on an underlying topology which is allowed for some sorts of additional structures on a differentiable manifold. 


For example, only some even-dimensional differentiable manifolds allow for [[symplectic manifold|symplectic structure]] and only some odd-dimensional one allow for a [[contact manifold|contact structure]]; in these cases moreover special constructions of topological invariants like [[Floer homology]] and [[symplectic field theory]] exist.

This yields the relatively young subjects of symplectic and contact topologies, with the first significant results coming from Gromov. Any (Hausdorff paracompact finite-dimensional) differentiable manifold allows for [[Riemannian manifold|riemannian structure]] however; therefore there is no special subject of 'riemannian topology'.

## Related entries

* [[Reeb sphere theorem]]

* [[low dimensional topology]]

* [[synthetic differential topology]]

## References

Though some of the basic results, methods and conjectures of differential topology go back to [Poincaré](http://en.wikipedia.org/wiki/Henri_Poincar%C3%A9), Whitney, Morse and Pontrjagin, it became an independent field only in the late 1950s and early 1960s with the seminal works of Smale, Thom, Milnor and Hirsch. Soon after the initial effort on foundations, mainly in American school, a strong activity started in Soviet Union (Albert Schwarz, A. S. Mishchenko, S. Novikov, V. A. Rokhlin, M. Gromov...). 

* {#Milnor64} [[John Milnor]], _Differential topology_, chapter 6 in T. L. Saaty (ed.) _Lectures On Modern Mathematic II_ 1964 ([web](https://archive.org/details/LecturesOnModernMathematicsIi), [pdf](https://ia801700.us.archive.org/6/items/LecturesOnModernMathematicsIi/Saaty-LecturesOnModernMathematicsIi.pdf)) 

* [[Morris Hirsch]], _Differential topology_, Springer GTM 33, [gBooks](http://books.google.com/books/about/?id=iSvnvOodWl8C)

* T. Bröcker, K. Jänich, C. B. Thomas, M. J. Thomas, _Introduction to differentiable topology_, 1982 (translated from German 1973 edition; $\exists$ also 1990 German 2nd edition)

* [[R. Bott]], L. W. Tu, _Differential forms in algebraic topology_, Graduate Texts in Math. __82__, Springer 1982. xiv+331 pp.
