+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

##Idea##

Models of theoretical [[physics]] are often given in the form of [[differential equations]]. Informally, [[integrable PDE|integrability]] is the property of a concrete [[model (physics)|model]] which enables one to [[solution|solve]] these equations in a closed form, or in terms of [[quadratures]] (expressions in terms of ordinary [[integrals]]). 


##Classical integrable systems##

In [[classical mechanics]], a sort of integrability follows if there are generalized "angle-action" coordinates; the evolution of a system is then of a very special form, hence such "[[Liouville integrability]]" (existence of a maximal [[Poisson manifold|Poisson]]-commuting invariants) leads to a special type of global structure of orbits. In addition to finite-dimensional integrable models, many classical PDEs of mathematical physics can be exactly solved, which can often be expressed in terms of infinite-dimensional Hamiltonian systems. There are many methods and approaches which are often simultaneously applicable, and under some assumptions essentially equivalent; we list just keywords: Lax pairs, bihamiltonian systems, spectral curve, classical r-matrix, inverse scattering method, [[Riemann-Hilbert problem|Riemann--Hilbert method]] and Birkhoff decomposition (which also provide connections to the subject of special functions)...

Much of the knowledge about the algebras of differential operators on curves has been obtained from research on Calogero--Moser systems and generalizations (and their connections to the KP hierarchy). An important class of integrable systems are special cases of [[Hitchin fibration|Hitchin system]].


## Quantum integrability

Often classically integrable systems after quantization may be also exactly solved, or show some other form of integrability, but there are no general rules when this is possible. Quantum integrability usually means that we can find a complete system of commuting operators whose common eigenstates will form a basis of the [[Hilbert space]] of the model. Many examples are found making manipulations with algebras of operators; as a consequence generalizations of existing models often involve combinatorial data with algebaric meaning; say for example generalized Calogero models related to the root systems. Quantum R-matrices and [[quantum group]]s
were invented with a view toward quantum integrable systems systematizing analogues of a classical quantum integrability trick called the Bethe Ansatz.  

## Related entries

* [[integrable PDE]]

* [[quasitriangular bialgebra]], 

* [[Dunkl operator]], 

* [[Yangian]], 

* [[Bethe ansatz]], 

* [[Calogero model]], 

* [[Lax equation]], 

* [[Liouville integrability]], 

* [[spectral curve]],

* [[topological recursion]]


## References

* O. Babelon, D. Bernard, M. Talon, _Introduction to classical integrable systems_, Cambridge Univ. Press 2003.
* V.E. Korepin, N. M. Bogoliubov, A. G. Izergin, _Quantum inverse scattering method and correlation functions_, Cambridge Univ. Press 1997.
* Ron Donagi, Eyal Markman, _Spectral covers, algebraically completely integrable, Hamiltonian systems, and moduli of bundles_, pp. 1-119 in Integrable systems and quantum groups (expanded CIME lectures, Montecatini Terme, 1993), Lecture Notes in Math. __1620__ (1996) [arXiv:alg-geom/9507017](http://arxiv.org/abs/alg-geom/9507017), [MR97h:14017](http://www.ams.org/mathscinet-getitem?mr=1397273)
* Eyal Markman, _Spectral curves and integrable systems_ Compositio Math. __93__ no. 3 (1994), p. 255-290, [numdam](http://www.numdam.org/item?id=CM_1994__93_3_255_0)
* See [wikipedia](http://en.wikipedia.org/wiki/Integrable_system) for an overview and a list of some famous integrable systems and their respective pages. 
* M.R. Adams, J. Harnad, J. Hurtubise, _Integrable Hamiltonian systems on rational coadjoint orbits of loop algebras, Hamiltonian systems, transformation groups and spectral transform methods_, Proc. CRM Workshop, Montreal 1989 (1990) pp. 19&#8211;32
* [[Michèle Audin]], _Hamiltonian systems and their integrability_, SMF/AMS Texts and Monographs, vol. __15__ (2008)
* A.Levin, M.Olshanetsky, A.Smirnov, A.Zotov, _Characteristic classes and integrable systems. General construction_, [arxiv/1006.0702](http://arxiv.org/abs/1006.0702)
* Yuji Kodama, Lauren Williams, _KP solitons, total positivity, and cluster algebras), Proc. Natl. Acad. Sci. [arxiv/1105.4170](http://arxiv.org/abs/1105.4170), [doi](doi:10.1073/pnas.1102627108)
* Pierre Van Moerbeke, [[David Mumford]], _The spectrum of difference operators and algebraic curves_, Acta Math. __143__, n. 1, 93-154, [MR80e:58028](http://www.ams.org/mathscinet-getitem?mr=533894), [doi](http://dx.doi.org/10.1007/BF02392090)
* B. A. Dubrovin, _Completely integrable Hamiltonian systems that are associated with matrix operators, and Abelian varieties_, Funkcional. Anal. i Prilo&#382;en. __11__ (1977), no. 4, 28-41, 96, [MR0650114](http://www.ams.org/mathscinet-getitem?mr=0650114)
* B. A. Dubrovin, _Integrable systems and Riemann surfaces
lecture notes_, [pdf](http://people.sissa.it/~dubrovin/rsnleq_web.pdf)
* [[Kevin Costello]], [[Edward Witten]], Masahito Yamazaki, _Gauge theory and integrability I_, [arxiv:1709.09993](https://arxiv.org/abs/1709.09993)

Discussion in the context of [[harmonic maps]] is in 

* [[Shabnam Beheshti]], A. Shadi Tahvildar-Zadeh, _Integrability and Vesture for Harmonic Maps into Symmetric Spaces_ ([arXiv:1209.1383](http://arxiv.org/abs/1209.1383))

See also 

* Wikipedia, _[Integrable system](https://en.wikipedia.org/wiki/Integrable_system)_

[[!redirects integrable systems]]
[[!redirects integrable model]]
[[!redirects integrable systems]]

[[!redirects integrability]]