Classical _[[affine algebraic variety|affine algebraic varieties]]_ appear as sets of zeros of a set $S = \{P_\alpha|\alpha\in A\}$ of polynomials in affine $n$-dimensional space $\mathbb{A}^n_k$ over a field $k$. The coordinate algebra of $\mathbb{A}^n_k$ is the algebra of [[polynomial]]s in $n$ variables, $k[x_1,\ldots,x_n]$, and the coordinate algebra of an affine algebraic variety is $R \coloneqq k[x_1,\ldots,x_n]/I$ where $I \coloneqq \langle S\rangle$ is the [[ideal]] generated by $S$. 

The __Hilbert basis theorem__ (HBT) asserts that this ideal $I$ is finitely generated; and consequently $R$ is a [[noetherian ring]]. For a proof see standard textbooks on commutative algebra or algebraic geometry (e.g. Atiyah, MacDonald); there is also a proof on [wikipedia](http://en.wikipedia.org/wiki/Hilbert's_basis_theorem).

More generally, a finitely generated commutative algebra over a commutative [[noetherian ring]] $R$ is noetherian.  For the case of $R$ a field, this is the case in the previous paragraphs. 

More at [[Noetherian ring]]. 

## Applications

The theorem vastly generalises and subsumes [[Paul Gordon]]'s work on [[invariant theory]], albeit in a non-constructive way. [[Emmy Noether]] wrote a short paper in 1920 that sidestepped the use of the HBT to construct a basis for, and so implying the finite generation of, a certain ring of invariants attached to any [[finite group]].



## References

* [[Emmy Noether]], _Der Endlichkeitsatz der Invarianten endlicher Gruppen_, Mathematische Annalen, vol. 77, 1920, pages 89--92, (English translation by [[Colin McLarty]], at [arXiv:1503.07849](http://arxiv.org/abs/1503.07849))

[[!redirects Hilbert basis theorem]]
[[!redirects Hilbert’s basis theorem]]