
#Contents#
* table of contents
{:toc}

## Definition

Suppose we are given a (not neccesarily commutative) [[unital ring]] $R$. A left $R$-[[module]] $M$ is __finitely generated__ if there is an [[exact sequence]] $R^n\to M\to 0$ of left $R$-modules where $n$ is a [[natural number]]. $M$ is a [[noetherian object|noetherian]] $R$-module if each $R$-submodule $N\subset M$ is finitely generated. A ring is [[noetherian ring|noetherian]] if it is noetherian as a left $R$-module. 

A left $R$-module $M$ is __finitely presented__ (or of finite presentation) if there exists an exact sequence $R^q\to R^p\to M\to 0$ where $p,q$ are natural numbers. A left __coherent module__ is a left $R$-module which is finitely generated and such that every finitely generated $R$-submodule $N\subset M$ is finitely presented (equivalently: such that the kernel of any (not neccessarily surjective) linear map $R^n \to M$ is finitely generated).

Coherent modules behave well over noetherian rings and to some extent generally over [[coherent ring]]s.

A geometric globalization of a notion of coherent module is a notion of a [[coherent sheaf]] of $\mathcal{O}$-modules for a ringed space $(X,\mathcal{O})$.   

## Related concepts

* [[quasicoherent module]]


## References

* [[James Milne]], section 6 of _[[Lectures on Étale Cohomology]]_

* B. Kaup, _Coherent D-modules_, pp. 109--270 in "Algebraic D-modules", A. Borel ed., Academic Press.

[[!redirects sheaf of coherent modules]]
[[!redirects sheafs of coherent modules]]
