
#Contents#
* table of contents
{:toc}

## Definition

+-- {: .num_defn}
###### Definition

An [[algebraic scheme]] is __locally noetherian__ if it can be covered by a family $U_\alpha$ of open subsets of the form $U_\alpha = Spec R_\alpha$ where $R_\alpha$ are [[noetherian rings]]. A scheme is __noetherian__ if it is locally noetherian and [[quasicompact scheme|quasicompact]].

=--

+-- {: .num_remark}
###### Remark

If $R$ is a commutative [[noetherian ring]], then every [[localization]] of the form $R[f^{-1}]$ where $f\in R$ is also  noetherian. If a scheme $X$ is locally noetherian this implies that there is a base of topology of $X$ consisting of spectra of noetherian rings. In particular _every_ affine subscheme in $X$ has a basis of topology of spectra of noetherian rings.
=--

## Properties

+-- {: .num_prop}
###### Proposition

An affine scheme is a [[spectrum of a commutative ring|spectrum]] of a [[noetherian ring]] precisely if it is a locally noetherian scheme. 

=--

+-- {: .num_cor}
###### Corollary

Every affine subscheme of a locally noetherian scheme is the spectrum of a noetherian ring. A scheme is noetherian if _and only if_ it has a finite cover by spectra of noetherian rings.

=--

## References

* Springer eom: _[Noetherian scheme](http://eom.springer.de/n/n066860.htm)_

category: algebraic geometry
[[!redirects locally noetherian scheme]]
[[!redirects locally noetherian schemes]]
[[!redirects locally Noetherian scheme]]
[[!redirects locally Noetherian schemes]]
[[!redirects noetherian schemes]]
[[!redirects Noetherian scheme]]