
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Category theory
+--{: .hide}
[[!include category theory - contents]]
=--
#### Additive and abelian categories
+--{: .hide}
[[!include additive and abelian categories - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Definition

+-- {: .num_defn}
###### Definition

An [[object]] $X$ in an [[abelian category]] $A$ is said to be __semisimple__ or __completely reducible__ if it is a [[coproduct]] ([[direct sum]]) of [[simple objects]]. 

=--

+-- {: .num_remark}
###### Remark

Sometimes this notion is considered in a bit more general setup than [[abelian category|abelian]] (where it is most often used); sometimes with subtle variants. For [[Lie algebras]], it is a bit different by convention: a Lie algebra is a __[[semisimple Lie algebra]]__ if it is a [[direct sum]] of *nonabelian* simple Lie algebras; though a 1-dimensional abelian Lie algebra is simple in the categorical (and in common) sense. 

=--

+-- {: .num_defn}
###### Definition

A semisimple object is __isotypic__ if it is a [[direct sum]] of [[isomorphism|isomorphic]] simple objects (the isomorphism class of a simple object is called its _type_).

=--

## Special classes

* semisimple left $R$-[[modules]] where $R$ is a [[ring]]; 

* completely reducible [[representations]] of a [[group]]


## Related concepts

* [[reductive group]]

* [[semisimple category]]


## References

* Wikipedia, _[Semisimple](http://en.wikipedia.org/wiki/Semisimple)_


[[!redirects semisimple objects]]

[[!redirects semisimple]]

[[!redirects isotypic object]]
[[!redirects semisimple module]]
[[!redirects isotypic module]]

[[!redirects semisimple objects]]

[[!redirects isotypic objects]]
[[!redirects semisimple modules]]
[[!redirects isotypic modules]]

[[!redirects completely reducible]]
[[!redirects completely reducible object]]
[[!redirects completely reducible objects]]