
* [[Peter Johnstone]], _Stone Spaces_, Cambridge Studies in Advanced Mathematics __3__, Cambridge University Press 1982. xxi+370 pp. [MR85f:54002](http://www.ams.org/mathscinet-getitem?mr=698074), reprinted 1986.

(The same author wrote Topos theory 1977 and the [[Elephant]]).  

The monograph is ultimately about the [[Stone representation theorem]], but also a standard reference on using [[locales]] in place of [[topological spaces]].

Although it is a work of [[mathematics]] rather than [[foundations|metamathematics]], it shows clearly by example how (usually) results about locales do not require the [[axiom of choice]] even when analogous results about topological spaces do.  [[Paul Taylor]] has somewhat imprecisely written of this book

>the public theorems about topology \[...\] are marked with an asterisk, although the official meaning of that symbol is a dependence on the axiom of choice. ([ASD I](http://www.monad.me.uk/ASD/dedras/), page 3).

Unfortunately for [[constructive mathematics|constructive mathematicians]], [[excluded middle]] is *not* considered a form of choice by Johnstone.

A trailer for the book (according to its own words) is

* {#Johnstone83} [[Peter Johnstone]], _The point of pointless topology_ ,  Bull. Amer. Math. Soc. (N.S.) Volume 8, Number 1 (1983), 41-53. ([Bulletin AMS](http://www.ams.org/bull/1983-08-01/S0273-0979-1983-15080-2/home.html), [Euclid](http://projecteuclid.org/euclid.bams/1183550014))

## Contents with links to $n$Lab pages

Besides the usual prefaces, bibliography, and indexes, there is a historical introduction, and each chapter concludes with notes on historical and metamathematical aspects.  Otherwise, each of 7 chapters is divided into 4 sections, which in turn contain paragraphs that deal with essentially one idea each.  For the moment, we list (with minimal processing) the definitions from the index in each section.  There will also be some summaries of theorems; as in the book itself, an asterisk here indicates dependence on some form of choice beyond excluded middle (more precisely, a proof that cannot be internalised in an arbitrary [[boolean topos]]).

1.  Preliminaries

    1.  Lattices
        1.  [[poset]]
        2.  [[join]]
        3.  [[semilattice]]
        4.  [[meet]], [[bounded lattice]]
        5.  [[distributive lattice]]
        6.  [[complement]], [[Boolean algebra]]
        7.  (none)
        8.  [[symmetric difference]]
        9.  [[Boolean ring]]
        10. [[implication]], [[Heyting algebra]]
        11. [[pseudocomplement]]
        12. (none)
        13. [[regular element]] (in a Heyting algebra)
    2.  Ideals and filters
        1.  [[ideal]] (in a lattice or semilattice), [[lower set]], [[principal ideal]]
        2.  [[filter]] (in a lattice or semilattice), [[prime ideal]] (in a lattice), [[prime filter]] (in a lattice)
        3.  \* [[maximal ideal theorem]]
        4.  [[maximal ideal]]
        5.  \* discrete Stone representation theorem
        6.  (none)
    3.  Some categorical concepts
        1.  [[category]], [[functor]], [[natural transformation]]
        2.  [[concrete category]], [[locally small category]]
        3.  posets as categories
        4.  [[adjoint functors]], [[free functor]], [[reflective subcategory]], [[equivalence of categories]], [[opposite category]]
        5.  [[limit]], [[diagram]], [[small category]], [[colimit]], [[regular monomorphism]], [[complete category]], [[finitely complete category]]
        6.  [[monad]], [[algebra for a monad]], [[monadic adjunction]]
        7.  [[variety of algebras]]
        8.  [[algebraic category]], [[equationally presentable category]]
        9.  [[filtered category]], [[filtered colimit]], [[finitary functor]]
    4.  Free lattices
        1.  [[directed poset]], [[directed join]]
        2.  (none)
        3.  [[suplattice]], [[complete lattice]]
        4.  [[complete Boolean algebra]]; [[free semilattice]]
        5.  [[free suplattice]]
        6.  [[free lattice]]
        7.  [[free complete lattice]]
        8.  [[free distributive lattice]]
        9.  [[free boolean algebra]]
        10. [[free complete boolean algebra]]
        11. [[free Heyting algebra]]
2.  Introduction to locales

    1.  Frames and locales
        1.  [[frame]], [[locale]], [[subframe]]
        2.  [[free frame]]
        3.  [[point of a locale]], [[completely prime filter]], [[prime element]]
        4.  adjunction between $Loc$ and $Top$
        5.  [[spatial locale]]
        6.  [[irreducible closed subspace]], [[sober space]]
        7.  [[soberification]], $T_D$-[[T-D-space|space]]
        8.  [[specialization order]], [[Alexandroff topology]], [[upper set]], [[upper interval topology]]
        9.  [[Scott topology]]
        10. (none)
        11. enrichment of $Loc$ over $Pos$
    2.  Sublocales and sites
        1.  (none)
        2.  [[nucleus]]
        3.  [[sublocale]]
        4.  [[closed nucleus]], [[closed sublocale]], [[open nucleus]], [[open sublocale]], [[dense sublocale]], [[dense nucleus]], [[double-negation nucleus]]
        5.  (none)
        6.  (none)
        7.  (none)
        8.  (none)
        9.  (none)
        10. $Loc$ is not well-powered
        11. [[(0,1)-coverage|coverage]], [[(0,1)-site|site]], [[(0,1)-sheaf|sheaf]]
        12. [[localic product]]
        13. (none)
        14. (none)
    3.  Coherent locales
        1.  [[compact element]] (in a lattice)
        2.  [[coherent locale]]
        3.  [[coherent map]] (of locales); local Stone representation theorem for distributive lattices
        4.  [[coherent space]], [[prime spectrum]]; \* spatial Stone representation theorem for distributive lattices
        5.  [[maximal spectrum]]
        6.  [[normal distributive lattice]]
        7.  (none)
    4.  Stone spaces
        1.  [[totally disconnected space]], [[totally separated space]], [[zero-dimensional space]]
        2.  [[Stone space]]
        3.  (none)
        4.  \* Stone representation theorem for Boolean algebras, [[Stone duality]]
        5.  [[patch topology]]
        6.  (none)
        7.  [[totally order-separated space]], [[ordered Stone space]]
        8.  \* $Ord Sto Top \cong Coh Top$
        9.  (none)
3.  [[compactum|Compact Hausdorff spaces]]

    1.  Compact regular locales
        1.  [[compact locale]], [[regular locale]], [[well inside containment]], [[zero-dimensional locale]]
        2.  (none)
        3.  [[strongly Hausdorff locale]]
        4.  (none)
        5.  [[totally unordered locale]]
        6.  $Reg Loc$ is complete
        7.  $Comp Loc$ is complete ([[Tychonoff theorem]] for locales)
        8.  localic Stone--Čech compactification
        9.  (none)
        10. \* $Comp Reg Loc \cong Comp Haus Top$
        11. [[flat sublocale]]
    2.  [[Manes theorem|Manes' Theorem]]
        1.  [[ultrafilter]]
        2.  [[filter]] (on a set), [[neighbourhood filter]], [[convergence|limit]] (of a filter)
        3.  (none)
        4.  \* $Comp Haus Top$ is monadic
        5.  \* $Comp Haus Top A$ is monadic for $A$ a variety of algebras
    3.  [[Gleason's Theorem]]
        1.  [[projective object]]
        2.  (none)
        3.  (none)
        4.  (none)
        5.  [[extremally disconnected locale]], [[extremally disconnected space]]
        6.  (none)
        7.  [[projective compact Hausdorff space]]
        8.  [[proper map]]
        9.  (none)
        10. (none)
        11. [[MacNeille cut]], [[MacNeille completion]]
    4.  Vietoris locales
        1.  [[Vietoris space]]
        2.  [[Vietoris topology]], [[lower interval topology]]
        3.  [[Vietoris locale]]
        4.  (none)
        5.  (none)
        6.  (none)
        7.  (none)
        8.  (none)
4.  Continuous real-valued functions

    1.  Complete regularity and [[Urysohn lemma|Urysohn's Lemma]]
        1.  (none)
        2.  (none)
        3.  (none)
        4.  [[scale]], [[really inside containment]]
        5.  [[completely regular locale]]
        6.  [[normal locale]]
        7.  localic [[Tychonoff embedding theorem]]
    2.  The Stone--Čech compactification
        1.  [[Stone–Čech compactification]]
        2.  [[completely regular ideal]], [[regular ideal]]
        3.  [[completely regular filter]]
        4.  [[Wallman base]], [[Wallman compactification]]
        5.  [[cozero set]]
        6.  (none)
        7.  [[Alexandroff compactification]]
        8.  (none)
        9.  [[cozero element]], [[Alexandroff algebra]]
        10. (none)
        11. (none)
    3.  $C(X)$ and $C^*(X)$
        1.  (none)
        2.  [[lattice]]
        3.  [[Zariski topology]]
        4.  [[Gelfand-Kolmogorov theorem|Gelfand–Kolmogorov theorem]]
        5.  [[fixed maximal ideal]]
        6.  (none)
        7.  [[real point]] (of $\beta X$), [[realcompact space]], [[pseudocompact space]]
        8.  [[Hewitt realcompactification]]
        9.  (none)
        10. (none)
        11. (none)
        12. (none)
    4.  [[Gelfand duality]]
        1.  (none)
        2.  (none)
        3.  [[Stone-Weierstrass theorem|Stone–Weierstrass theorem]]
        4.  $C^*$-[[C*-algebra|algebra]]
        5.  (none)
        6.  (none)
        7.  (none)
        8.  (none)
        9.  (none)
        10. [[Stone-Gelfand-Naimark theorem|Stone–Gelfand–Naimark theorem]]
        11. [[Dedekind-complete poset]]
        12. $\mathit{MI}$-[[MI-space|space]]
5.  Representations of rings

    1.  A crash course in sheaf theory
        1.  (none)
        2.  [[bundle]]
        3.  [[trivial bundle]], [[sheaf]] (on a space), [[presheaf]] (on a space)
        4.  [[display space]]
        5.  [[local homeomorphism]]
        6.  (none)
        7.  (none)
        8.  [[direct image functor]], [[inverse image functor]]
        9.  (none)
        10. [[coherent logic]], [[field]]
        11. (none)
        12. [[cartesian logic]]
        13. [[regular logic]]
    2.  The Pierce spectrum
        1.  (none)
        2.  [[indecomposable ring]]
        3.  [[Pierce sheaf]], [[Pierce representation]], [[Pierce spectrum]]
        4.  (none)
        5.  (none)
        6.  [[von Neumann regular ring]]
        7.  [[local ring]], [[exchange ring]]
        8.  [[neat ideal]] (in a ring)
        9.  (none)
        10. (none)
    3.  The Zariski spectrum
        1.  [[Zariski spectrum]]
        2.  [[prime filter]] (in a ring), [[radical ideal]] (in a ring), [[semiprime ring]]
        3.  [[Zariski sheaf]]
        4.  (none)
        5.  [[Zariski representation]], [[local homomorphism]] (of rings)
        6.  [[nilradical]]
        7.  [[Gelfand ring]]
        8.  (none)
        9.  (none)
        10. (none)
        11. [[integral domain]], [[domain spectrum]], [[domain representable ring]]
        12. [[field spectrum]]
        13. (none)
    4.  Ordered rings and real rings
        1.  [[ordered ring]], [[positive cone]]
        2.  [[concave prime filter]] (in a ring), [[Brumfiel spectrum]]
        3.  [[shadow]], [[local ordered ring]]
        4.  $L$-[[L-ring|ring]]
        5.  (none)
        6.  $L$-[[L-ideal|ideal]] (in a ring), $F$-[[F-ring|ring]], [[Keimel spectrum]], [[irreducible L-ideal|irreducible]] $L$-ideal
        7.  (none)
        8.  (none)
        9.  $L$-[[L-local F-ring|local]] $F$-ring
        10. $L$-[[L-simple F-ring|simple]] $F$-ring
        11. [[formally real field]], [[real-closed field]], [[real point]] (of $spec A$), [[strictly positive filter]] (in a ring)
        12. [[real spectrum]]
        13. [[formally real local ring]], [[ordered local ring]]
6.  Profiniteness and duality

    1.  Ind-objects and pro-objects
        1.  (none)
        2.  [[ind-object]]
        3.  [[finitely continuous functor]]
        4.  (none)
        5.  [[final functor]]
        6.  (none)
        7.  (none)
        8.  [[cocompletion]], [[finitely-presentable object]]
        9.  [[pro-object]]
    2.  Profinite sets and algebras
        1.  (none)
        2.  (none)
        3.  [[profinite set]]
        4.  (none)
        5.  [[Jonsson-Tarski algebra|Jónsson–Tarski algebra]]
        6.  [[congruence]]
        7.  (none)
        8.  (none)
        9.  (none)
        10. (none)
    3.  [[Stone duality|Stone-type dualities]]
        1.  (none)
        2.  (none)
        3.  (none)
        4.  (none)
        5.  (none)
        6.  [[algebraic lattice]]
        7.  (none)
    4.  General [[concrete duality|concrete dualities]]
        1.  [[coseparator]], [[schizophrenic object]]
        2.  (none)
        3.  (none)
        4.  (none)
        5.  [[idempotent adjunction]]
        6.  [[Sierpinski topology|Sierpiński topology]], [[Sierpinski space|Sierpiński space]]
        7.  (none)
        8.  (none)
        9.  (none)
        10. (none)
        11. (none)
7.  Continuous lattices

    1.  [[compact lattice|Compact topological (semi)lattices]]
        1.  [[ordered space]], [[topological poset]], [[order-Hasudorff space]]
        2.  [[order-normal space]]
        3.  (none)
        4.  (none)
        5.  [[continuously distributive lattice]]
        6.  (none)
        7.  (none)
        8.  (none)
        9.  (none)
        10. [[completely distributive lattice]]
        11. [[interval topology]]
        12. (none)
        13. (none)
        14. (none)
        15. (none)
        16. (none)
        17. (none)
    2.  Continuous posets and lattices
        1.  [[ideal]] (in a poset)
        2.  [[way below containment]], [[continuous poset]], [[continuous lattice]]
        3.  [[algebraic poset]]
        4.  (none)
        5.  [[filter]] (in a poset), [[Scott-open filter]]
        6.  (none)
        7.  (none)
        8.  (none)
        9.  (none)
        10. [[Lawson map]]
        11. [[continuous semilattice]]
        12. [[stably continuous poset]]
    3.  Lawson semilattices
        1.  (none)
        2.  (none)
        3.  [[Lawson topology]], [[Lawson semilattice]]
        4.  (none)
        5.  (none)
        6.  (none)
        7.  (none)
        8.  (none)
    4.  Locally compact locales
        1.  (none)
        2.  [[locally compact locale]]
        3.  (none)
        4.  (none)
        5.  (none)
        6.  [[stably locally compact locale]]
        7.  [[injective sober space]]
        8.  (none)
        9.  [[injective locale]]
        10. [[exponentiable object]], [[exponentiable locale]]
        11. (none)
        12. [[exponentiable space]]


category: reference
