
__Combinatorial group theory__ is an approach to the theory of discrete [[groups]] based on [[presentations of groups]], that is describing the groups by generators and relations. Despite the apparent simplicity of the idea at first look, some of the most basic problems of combinatorial group theory are difficult and unsolvable in general; for example S.P. Novikov and collaborators proved the existence of a group for which the __[[word problem]]__, that is the question of equality modulo the relations of elements given by generators, is algorithmically undecidable; in other words there is a presentation of this group such that no [[algorithm]] can take as an input two arbitrary words and decide in finite time if they represent the same element of the group. 

While sometimes the presentation method is used in the theory of finite groups, most often not very deep facts are used; instead finite group theory is rather dominated with interaction with [[representation theory]], [[ring]] theory, [[group cohomology]] and so on. Typical groups for which combinatorial methods give deep results are infinite discrete groups which are close in some sense to [[free group]]s, e.g. groups with a presentation having only one relation. Such groups often appear as [[fundamental groups]] of [[topological spaces]]. 

Nowadays combinatorial group theory uses fruitful connections to [[topology]] and [[graph]] theory: for example, the consequences if some group can be realized say as a fundamental group of a space or [[action|acts]] on a topological space are widely explored. They are apt  to invite topological /  geometric methods. In fact there is a hybrid field, [[geometric group theory]]  (see also [English Wikipedia](http://en.wikipedia.org/wiki/Geometric_group_theory)).

##Related entries

* [[group presentation]];

* [[Tietze transformation]];

* [[Nielsen-Schreier theorem]];





## References

Two of the classic texts on the subject are:

* W. Magnus, A. Karras, D. Solitar, _Combinatorial group theory_

* R. Lindon, P. Schupp, _Combinatorial group theory_, Springer 1977 (Russian transl. Mir, Moskva 1980)

For more elementary or introductory texts, see, for instance,

* D. L. Johnson, Presentations of Groups (London Mathematical Society Student Texts 15) 1990, Cambridge Univ. Press

* D. L. Johnson, Topics in Theory of Group Presentations, London Mathematical Society Lecture notes series 42) 1980, Cambridge Univ. Press

category: group theory, algebra