Given [[groups]] $G_i$, $i\in I$, their __free product__ $G_1 \star G_2 \star \ldots = \star_i G_i$ is their [[coproduct]] in [[Grp]].

Given [[group presentation|presentations]] for the $G_i$, it is straightforward to find a presentation of $\star_i G_i$; if $G_i = \langle S_i|R_i\rangle = F_i/N_i$, where each $F_i=\langle S_i\rangle$ is the [[free group]] on the set $S_i$ and $N_i\subset F_i$ is the [[normal subgroup]] of $F_i$ generated by the subset $R_i\subset F_i$, then the free product
$$\star_i G_i := \langle \coprod_i S_i | \coprod_i R_i \rangle = (\star_i F_i)/\langle\cup_i N_i\rangle$$
is presented by the [[disjoint union]]s of the $S_i$ and the $R_i$.  As with anything satisfying a [[universal property]], the result (up to a unique coherent isomorphism) does not depend on the presentations.

The fact that free products always exist now follows from the fact that any group has a presentation; we can always take $S_i$ to be the underlying set of $G_i$ and take $R_i$ to be the set of all words in $F_i$ that equal the identity in $G_i$.  The value of the more general construction above is that one often has much smaller $S_i$ and $R_i$ to work with.  Even if $G_i$ is infinite, the $S_i$ and $R_i$ might be [[finite set|finite]] (in the strictest sense), making this part of [[finite mathematics]] and directly subject to the methods of [[combinatorial group theory]].


[[!redirects free product]]