+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Mathematics
+-- {: .hide}
[[!include mathematicscontents]]
=--
=--
=-- 

This page lists links to [blogs](http://en.wikipedia.org/wiki/Blog),  and online mathematical communities like forums and [wikis](http://en.wikipedia.org/wiki/Wiki). For links to main repositories of free books, lectures, videos, reviews and math papers see [[math archives]] and for a list of societies and institutions see [[math institutions]]. A higher level branch page is [[math resources]]. Math is here just a mnemo, this page partains also to the related areas of interest for $n$Lab like LaTeX, physics, philosophy, theoretical computer science etc. 

For a quick introduction to math blogging, see

* [[John Baez]], _What do mathematicians need to know about blogging?_ [AMS notices, March 2010](http://www.ams.org/notices/201003/) ([pdf](http://www.ams.org/notices/201003/rtx100300333p.pdf))

  blog discussion about this piece: [Part I](http://golem.ph.utexas.edu/category/2009/08/what_do_mathematicians_need_to.html) and [Part II](http://golem.ph.utexas.edu/category/2009/09/what_do_mathematicians_need_to_1.html)

See also [MO question: most helpful math resources on the web](http://mathoverflow.net/questions/2147/most-helpful-math-resources-on-the-web), the directory of many math blogs with alerts on recent updates [www.mathblogging.org](http://www.mathblogging.org).
+-- {: .standout}

Please [[How to get started|help]] with improving this page:

* add links that are missing;

* add information to links on what kind of activity tends to go on at the sites being linked to.

Note: To maintain the quality and relevance of this list, any new links not containing a brief description may be removed.

=--


#Math blogs and wikis#

* automatic table of contents goes here
{:toc}



## Mathematics


### Wikis and online encyclopaedias


* [Analysis & PDE conferences](http://tosio.math.utoronto.ca/wiki/index.php/Conferences)

* [Complexity Zoo](https://complexityzoo.uwaterloo.ca/Complexity_Zoo)

* [Deferential Geometry](http://deferentialgeometry.org) -- wiki started by Garrett Lisi. Constructing a concise and beautiful theoretical description of reality unifying General Relativity, Quantum Field Theory, and the Standard Model using the foundations and language of basic differential geometry.

* [DispersiveWiki](http://tosio.math.toronto.edu/wiki/index.php/Main_Page) -- wiki on local and global well-posedness problems for nonlinear dispersive and wave equations

* [eom.springer.de](http://eom.springer.de) -- free online access to 8000 entries of Springer online Encyclopedia of Mathematics 

* [Geometry Gems](http://GeometryGems.wikispaces.com) -- Resources for geometry teachers

* [GreenApples](http://GreenApples.wikispaces.com) -- Resources for new math teachers

* [groupprops.subwiki.org](http://groupprops.subwiki.org/wiki/Main_Page), The Group Properties Wiki, by a graduate student at U. Chicago

* [Liber Mathematicae](http://www.libermath.org) -- site under construction, featuring a new free online journal and some expositional math resources

* [Manifold Atlas Project](http://www.map.mpim-bonn.mpg.de/Main_Page)
* [mathematical structures wiki](http://www.math.chapman.edu/~jipsen/structures/doku.php/)
* [Mathematics Jobs Wiki](http://notable.math.ucdavis.edu/wiki/Mathematics_Jobs_Wiki)
* [Mathematics Literature Project](http://tqft.net/mlp/wiki/The_Mathematics_Literature_Project), listing recent journals with freely available alternatives for papers, as well as hosting a copy of mathematics journals in Elsevier's Open Archives (torrents of complete journals up to and including 2009 issues)
* [Mathematics Wikia](http://math.wikia.com/wiki/Main_Page)
* [Online Encyclopedia of Integer Sequences](https://oeis.org)
* [open problem garden](http://garden.irmacs.sfu.ca)
* [PolyMath](http://michaelnielsen.org/polymath1/index.php?title=Main_Page) Wiki for massively collaborative online mathematical projects.
* [Similarity Search Wiki](http://www.sswiki.tierra-aoi.net)
* [The nLab](http://ncatlab.org), or $n$-Category Lab, which you are reading right now!

* [The Tricki](http://www.tricki.org)

* [wolframworld](http://mathworld.wolfram.com) 
* [imomath](http://www.imomath.com) unofficial site for IMO-level mathematics (under "training"), problem collections and IMO info

### Forums 


* [Math Overflow](http://mathoverflow.net/) has become a universal clearinghouse for questions and answers "of interest to mathematicians", modeled on [stackoverflow](http://stackoverflow.com/) and [daughters](http://stackexchange.com) of &lt;http://area51.stackexchange.com>, including [math.stackexchange](http://math.stackexchange.com) dedicated to lower level math questions ("MathUnderflow"), [tex.stackexchange](http://tex.stackexchange.com) about TeX and LaTeX. The similar [physicsoverflow.com](http://physicsoverflow.com) is deprecated; use [physics.stackexchange](http://physics.stackexchange.com) instead. There is also the new [PhysicsOverflow](physicsoverflow.org), which "comprises of a discussion forum for Physics at a graduate-level and beyond, and a section for research paper refereeing (reviews)".

* [n-Forum](http://www.math.ntnu.no/~stacey/Mathforge/nForum) For discussions about material (both maths and metas) here on the nLab.

* the [category theory mailing list](http://www.mta.ca/~cat-dist) (email discussion forum about category theory) and [archives](http://blog.gmane.org/gmane.science.mathematics.categories) 

* ALGTOP mailing list [archives](https://lists.lehigh.edu/pipermail/algtop-l)

* [Art of Problem Solving](http://www.artofproblemsolving.com) -- math school problems, math olympiads, talent search -- features online forum with  subforums in other languages and [AoPS Resources](http://www.artofproblemsolving.com/Resources/index.php?) including [AoPSwiki](http://www.artofproblemsolving.com/Wiki/index.php/Main_Page), [LaTeX forum section](http://www.artofproblemsolving.com/Forum/viewforum.php?f=123) and [LaTeX guide](http://www.artofproblemsolving.com/Wiki/index.php/LaTeX:About) included. 

* [Physics Forums](https://www.physicsforums.com) has a large mathematics community. Offers homework help and normal discussion.

* [Foundations of Mathematics](http://www.cs.nyu.edu/mailman/listinfo/fom) is where Harvey Friedman works openly on his research. Also moderated by Stephen Simpson, 
Martin Davis, Andreas Blass, William Tait, John Baldwin and Alasdair Urquhart.

* [Azimuth Project](https://forum.azimuthproject.org/discussions) led by [[John Baez]] is an online hub for mathematicians, scientists and engineers working together to address global warming and other potential catastrophes.


### Current Blogs

* [Alasdair's Musings] (http://amca01.wordpress.com) Mainly (but not entirely) mathematics education and computer algebra systems.

* [Aleph Zero Categorical] (http://blog.jpolak.org/) A blog mostly about algebra, counterexamples, and short proofs of random observations.

* [A Mind for Madness](http://hilbertthm90.wordpress.com) "Musings on art, philosophy, mathematics, and physics" (topics like [[differential geometry]], [[homological algebra]], but also belletristics) 

* [AMS blogs](http://blogs.ams.org) several blogs under American Mathematical Society website

* [AMS Graduate Student Blog](http://mathgradblog.williams.edu) (career advices, education and entertainment "for and by" math grad students)

* [Annoying Precision](http://qchu.wordpress.com) by Qiaochu Yuan (algebra, representation theory, combinatorics, abstract nonsense, arithmetics)

* [Azimuth](http://johncarlosbaez.wordpress.com/) (stochastic processes, network theory, 'green mathematics' and expository fun stuff)

* [bit-player](http://bit-player.org/) Math/computer science blog of science writer Brian Hayes (writer for American Scientist)

* [category theory](http://community.livejournal.com/category_theory) at community.livejournal (in Russian)

* [Combinatorics and more: Gil Kalai's blog](http://gilkalai.wordpress.com) 

* [Continuous Everywhere but Nowhere Differentiable](http://samjshah.com) blog of a Brooklyn high school math teacher

* [Chromotopy](http://chromotopy.org) ("chromatic") stable homotopy theory blog -- last update August 2011

* [CSE Blog - quant, math, computer science puzzles](http://pratikpoddarcse.blogspot.com) ~ 250 Quant, Math & Computer Science Puzzles for Interview Preparation & Brain Teasing

* [CTK Insights](http://www.mathteacherctk.com/blog) A blog for teaching

* [dy/dan](http://blog.mrmeyer.com/) blog of Dan Meyer, a former high school math teacher now pursuing a Phd in math education -- includes many videos for use in the classroom

* [Dan's Geometrical Curiosities](http://danielwalsh.tumblr.com/) A collection of art and math projects by a Physics student, with help from a friend who likes blog posts.

* [Disquisitiones Mathematicae](http://matheuscmss.wordpress.com) (dynamical systems, ergodic theory, randomness in number sequences, Ricci flow)

* [Division by Zero](http://divisbyzero.com) (Dave Richeson: "A blog about math, puzzles, teaching, and academic technology")

* [E. Kowalski's blog](http://blogs.ethz.ch/kowalski) (analysis, esp. summation formulas, probability distributions, stochastic processes...)

* [empg](http://empg.maths.ed.ac.uk/blog) Edinburgh Mathematical Physics Group 

* [Evolutionblog](http://scienceblogs.com/evolutionblog/) Mathematics and Politics blog by a college professor

* [Explaining Math](http://explainingmaths.wordpress.com) math teaching with multimedia, screencasts

* [Frank Morgan's Blog](http://blogs.williams.edu/Morgan) (Riemannian and metric geometry, inequalities...)

* [Ganit Charcha](http://www.ganitcharcha.com) ("Designing Mathematics Learning")

* [galoisrepresentations.wordpress.com](http://galoisrepresentations.wordpress.com) -- a number theorist's blog

* [Geomblog](http://geomblog.blogspot.com/) Ruminations on computational geometry, algorithms, theoretical computer science and life

* [Geometry and the Imagination](http://lamington.wordpress.com) (Danny Calegari: hyperbolic geometry, geometric group theory...)

* [God plays dice](http://godplaysdice.blogspot.com) (probability, combinatorics, puzzles, financial math)

* [Good Math, Bad Math](http://www.goodmath.org/blog/) (largely dedicated to chasing math crackpots; also math exposition)

* [Gowers's weblog](http://gowers.wordpress.com)

* [H&#246;chste Zeit, unsern Kurs zu &#228;ndern](http://shenme.de/blog) -- model theory of fields and commutative algebra

* [Hydrobates](http://alanrendall.wordpress.com) (dynamical systems, differential equations, biomedical modelling)

* [IMU - Journals](https://blog.wias-berlin.de/imu-journals) blog on mathematical journals

* [Joel David Hamkins](http://jdh.hamkins.org) "mathematics and philosophy of the infinite", foundations

* [Le Petit Chercheur Illustr&#233;](http://yetaspblog.wordpress.com) (Signal processing and applied math, compressed sensing and inverse problems, random embeddings)

* [Logic ForAll](http://logic-forall.blogspot.com) by [[Valeria de Paiva]] 

* [London Number Theory Blog](http://londonnumbertheory.wordpress.com) (arithmetics and arithmetic geometry)

* [Low Dimensional Topology](http://ldtopology.wordpress.com) group blog by Ryan Budney, Nathan Dunfield, Jesse Johnson, Daniel Moskovich and Henry Wilton

* [Martin's Blog](http://www.martinorr.name/blog) Martin Orr: algebraic geometry especially abelian varieties, Galois representations

* [mathbabe](http://mathbabe.org/) Blog on mathematical finance by former academic 

* [Math-Blog](http://math-blog.com) (6 people blog: math books, university math, popular math etc.)

* [Mathblogging.com](http://www.mathblogging.org/) A compilation of math blogs sorted according to genre including the "weekly pics" of the hosts: Felix Breuer, Frederik von Heymann, and Peter Krautzberger

* [Mathcraft](http://mathcraft.wonderhowto.com/) Math-inspired artwork and how-to info

* [Math Goes Pop!](http://www.mathgoespop.com/) UCLA grad student writes about math in the media and pop culture

* [math for love](http://mathforlove.com/) Blog of mathematics education consultants includes puzzles, teaching tips, and philosophical musings

* [Math Monday](http://momath.org/home/math-monday/) The Museum of Mathematics will open in 2012 -- this blog details its progress and fun math projects

* [Mathematical Formalities](http://categorymath.wordpress.com/) This blog is written by [[Sanath Devalapurkar]], presenting some of his ideas and thoughts on (higher) category theory and $K$-theory.

* [Mathematical Musings](http://matthewkahle.wordpress.com/)
(Interactions of probability, statistical physics, topology, and combinatorics. Matthew Kahle)

* [Mathematics and Computation](http://math.andrej.com) (Andrej Bauer, includes also topology and foundations--last update July 2011)

* [Mathematics Under the Microscope](http://micromath.wordpress.com) (Alexandre Borovik)

* [Mathematics without Apologies](https://mathematicswithoutapologies.wordpress.com) (Michael Harris)

* [Mathlinks / Art of Problem Solving](http://www.artofproblemsolving.com/Forum/portal.php?ml=1) community, math olympiad style problems discussed

* [Mathlog](http://www.scienceblogs.de/mathlog) (in German, variety of topics from Open Access journals to Klein groups and geometry)

* [Math Vault](http://mathvault.ca) (Everything higher mathematics: college math, calculus, linear algebra, logic, probability, statisitcs, proof-based math, educational technology and learning)

* [Maxwell's Demon](http://www.maxwelldemon.com) (Edmund Harriss: vizualizing math and math art, building math sculptures)

* [Misapplied Math](http://www.klittlepage.com) (Math (mainly statistics, probability, and stochastic control), data science, and CS)

* [Motivic Stuff](http://homotopical.wordpress.com) (Andreas Holmstrom writes on Cohomology, homotopy theory, and arithmetic geometry; see also the related [Cohomology Theory Database](http://notes.andreasholmstrom.org/index.php) by the same author)

* [Musings Mathematical and Otherwise](http://edwardfhughes.wordpress.com) (Edward Hughes - Algebraic Geometry and String Theory)

* [My research in geometry](http://alekskleyn.blogspot.com) (Aleks Kleyn)

* [NAPmath - math and technology in education] (http://NAPmath.wordpress.com)

* [Nathaniel Johnston's Blog](http://www.nathanieljohnston.com) (PhD student in quantum information -- last update July 2011)

* [neverendingbooks](http://www.neverendingbooks.org) (Lieven le Bruyn)

* [Nikita Markarian's mathblog](http://nikitamarkarian.wordpress.com) (derived algebraic geometry, dg-, $L_\infty, A_\infty, G_\infty$-algebras, operads, TQFT, BV formalism, Hochschild and cyclic (co)homology...--last updated July 2011)

* [Noncommutative Geometry](http://noncommutativegeometry.blogspot.com) (Connes, Khalkhali...)

* [Nuit Blanche](http://nuit-blanche.blogspot.com) (data/imager/sensory compression, pattern recognition, networking, internet, AI/machine learning, neuroscience)

* [NUMBERPLAY](http://wordplay.blogs.nytimes.com/category/numberplay/) A New York Times blog on math/numeric puzzles by Pradeep Mutalik

* [Opus Mens](http://whzecomjm.com/en/) A math blog by whzecomjm covering Algebra, Number Theory etc. (Alternative language: [Chinese version](http://whzecomjm.com/cn/)).

* [Paramanand's Math Notes] (http://paramanands.blogspot.com/) A math blog by Paramanand Singh covering Algebra, Number Theory, Mathematical Analysis, Geometry among other topics

* [Phd plus Epsilon](http://blogs.ams.org/phdplus/) Adriana Salerno reflects on her life as a junior faculty member at a Liberal Arts college

* [Political Math](http://www.politicalmathblog.com/) Visualization of political information 

* [Pronunciation of Mathematicians' Names] (http://pronouncemath.blogspot.com) A blog about how to pronounce famous mathematicians' names.

* [Proof Math is Beautiful](http://proofmathisbeautiful.tumblr.com) Beautiful images of mathematical interest.

* [QED Insight](http://qedinsight.wordpress.com) (by Santo D'Agostino; mathematics, physics, education, pitched mainly to high school and undergraduate university students and teachers, with some material for lay people as well) 

* [qrazydragon](http://qrazydraqon.livejournal.com) (math, books, internet, in Russian)

* [Quomodocumque](http://quomodocumque.wordpress.com/) University professor Jordan Ellenberg's blog

* [Reasonable Deviations](http://stochastix.wordpress.com) (control and dynamical systems, game theory, information, optimization, statistical mechanics, chemical kinetics, technology, puzzles by Rod Carvalho)

* [Reverberations in Mathematics](http://julianrachman.wordpress.com) (My Journey into Higher Mathematics - [Julian Rachman](http://jrmathematics.x10host.com)

* [Secret Blogging Seminar](http://sbseminar.wordpress.com) run by 8 recent Berkeley Ph.D. graduates. "Sort of like a seminar, but with (even) more rude commentary from the audience."

* [Shadows of simplicity](https://tcjpn.wordpress.com) - algebraic combinatorics, umbral calculus

* [Shapes Out of Nothing](http://www.noncommutative.org/) Lieven Le bruyn

* [Sketches of Topology](http://sketchesoftopology.wordpress.com) (colorful pictures, "visualizations of low dimensional topology")

* [SymOmega](http://symomega.wordpress.com) (root systems, Weyl groups, buildings, algebraic groups...) 

* [Tanya Khovanova's math blog](http://blog.tanyakhovanova.com/) Light musings, puzzles and anecdotes concerning mathematics

* [Teaching College Math] (http://teachingcollegemath.com) A blog about math, technology, and teaching.

* [The accidental mathematician](http://ilaba.wordpress.com) (Izabella Laba: personal blog of a math professor, various topics, rarely even math)

* [The Endeavour](http://www.johndcook.com/blog) (programming, general science, probability and statistics)

* [The Everything Seminar](http://cornellmath.wordpress.com) ("Geometry, topology, categories, groups, physics"; recently lots about experimental particle physics: LHC and CMS)

* [Theoretical atlas](http://theoreticalatlas.wordpress.com) (Jeffrey Morton: groupoids, groupoidification, stacks, quantum physics, noncommutative geometry)

* [The Math Less Travelled](http://mathlesstraveled.com/) Expository writing aimed to expose the beauty of mathematics to a general audience

* [The n-Category Caf&#233;](http://golem.ph.utexas.edu/category) A group blog on math, physics and philosophy written by (currently) seven people and affiliated with this wiki

* [The Numbers Guy](http://blogs.wsj.com/numbersguy/) Wall Street Journal's math/economics blog by Carl Bialik

* [The Polymath Blog](http://polymathprojects.wordpress.com) (Tim Gowers "polymath" group projects: number theory, polynomials, algorithms, complexity, ...--last updated July 2011)

* [The Rising Sea](http://therisingsea.org) (Daniel Murfet, previous blog moved to more of a homepage format, with arXiv of neat LaTeX notes on algebraic geometry, triangulated categories, sheaves...)

* [The Twofold Gaze](http://twofoldgaze.wordpress.com) (a grad student at NYU: genetic algorithms, inequalities, competitions)
 
* [Three-Toed Sloth](http://bactra.org/weblog)  (Cosma Shalizi: books, science, automata, complex networks, stochastic processes, numerics and simulation, arts, literature, politics)

* [Things of interest](http://blog.matthen.com/) (Mathematica visualisations, puzzles)

* [Todd and Vishal's blog](http://topologicalmusings.wordpress.com)--last updated January 2011

* [Travels in a Mathematical World](http://travelsinamathematicalworld.blogspot.com/) Blog of a British mathematics educator

* [Uncover a few](http://uncoverafew.wordpress.com/) New blog of problems and teaching ideas 

* [University of David](http://davidaedwards.tumblr.com/) Blog of an emeritus mathematical physicist.

* [Vi Hart's blog](http://vihart.com/) Great videos and photos of mathematical art and story-telling

* [Victor Porton's math blog](http://portonmath.wordpress.com) (filters, posets, funcoids and reloids), abundant with self-centric claims of importance

* [What's new](http://terrytao.wordpress.com) (Terence Tao)

* [Wiskundemeisjes](http://www.wiskundemeisjes.nl) (A blog about mathematics for a general audience, written by Jeanine Daems and Ionica Smeets, in Dutch)

* [Wiskunde is sexy](http://weetlogs.scilogs.be/index.php?blogId=11) (Another blog about mathematics for a general audience, written by Rudi Penne and Paul Levrie, also in Dutch)

* [XOR's hammer](http://xorshammer.wordpress.com) (logics and foundations--last updated July 2011)

### Older Blogs (last is entry over a year old)

* [Ars Mathematica](http://arsmathematica.net) (analysis, probability...)  - last updated in 2015

* [The Capacity To Be Alone](https://etreseul.wordpress.com/) UChicago undergraduate group blog. - last updated in 2015

* [Climbing Mount Bourbaki](http://amathew.wordpress.com) (Akhil Mathew: Lie algebras, differential and algebraic geometry...)  - last updated in 2013

* [Concrete Nonsense](http://concretenonsense.wordpress.com) A group blog on combinatorics, [[Lie algebras]], [[representation theory]], [[algebraic geometry]] -- last update 2015

* [Delta Epsilons](http://deltaepsilons.wordpress.com) A group blog focusing on [[algebra]], representation theory, and Olympiad-style problem-solving --last update August 2010

* [degrees of freedom](http://blogs.scientificamerican.com/degrees-of-freedom/) Math and Physics blog of Scientific American written by  Davide Castelvecchi - last updated 2012

* [Emb&#251;ches tissues](http://embuchestissues.wordpress.com) (computational algebraic geometry, commutative algebra) -- last update March 2010

* [FFF](http://ffbandf.wordpress.com) Forking, Forcing and back&Forthing -- a blog by 10 model theorists - last updated in 2013

* [Geometric Group Theory](http://392c.wordpress.com) (structured text with theorems, proofs and exercises in GGT) -- last updated August 2009

* [Geometry and combinatorics](http://konradswanepoel.wordpress.com) (Konrad Swanepoel) - last updated 2014

* Konrad [Volkel](http://blog.konradvoelkel.de) blog (cohomology, geometry, topology); has also nice [math resource list](http://blog.konradvoelkel.de/2012/05/mathematics-resources) - blog last updated in 2015

* [Mathematics and Physics](http://borcherds.wordpress.com) (Richard Borcherds -- last update January 2008)

* [Mathematics Expressions](http://mathexpressions.wordpress.com/) (Colin Tan: complex geometry -- last update April 2010)

* [mathlight](http://mathlight.wordpress.com) (by an $n$lab regular--last update December 2010)

* [Noncommutative geometry with point](http://noncommutativeag.wordpress.com), by a grad student at Kansas--last updated September 2010

* [Rigorous Trivialities](http://rigtriv.wordpress.com) (a group blog - mainly algebraic geometry, including well-organized introductory notes [algebraic geometry from the beginning](http://rigtriv.wordpress.com/ag-from-the-beginning) -- last updated 2015)

* [The Unapologetic Mathematician](http://unapologetic.wordpress.com) (An expository "blath" by former academic John Armstrong) last updated in 2012

* [Vivatsgasse 7](http://vivatsgasse7.wordpress.com) (Max Planck Bonn graduate students-- last update November 2007)


## Probability and Statistics 

### Blogs 

* [Social Science Statistics Blog](http://www.iq.harvard.edu/blog/sss)

* [Statistical Modeling, Causal Inference and Social Science](http://www.stat.columbia.edu/~gelman/blog)

* [The Endeavour](http://www.johndcook.com/blog)

* [Williams College Math/Stat blog](http://blogs.williams.edu/math)

### Wikis

* [Chance News](http://chance.dartmouth.edu/chancewiki/index.php/Main_Page)

* [Wikitistics - Statistics Wiki](http://statistics.wikia.com/wiki/Main_Page)




## Theoretical Computer Science 

### Blogs 

Please see [this page](http://wiki.henryfarrell.net/wiki/index.php/Computer_Science).


## Math-related

### Blogs

* [Mathematics in Australia](http://austmaths.wordpress.com)

* [Numb3rs](http://www.atsweb.neu.edu/math/cp/blog)

* [Out of print math](http://outofprintmath.blogspot.com)

* [Wild About Math](http://wildaboutmath.com/)

* [Mental Maths Games For 11 Year Olds](http://mental-maths-trick.blogspot.com/2014/11/mental-maths-aged-11-years-old-fun.html)

* [Sage: Open Source Mathematical Software](http://sagemath.blogspot.com)

* [Transient Dynamic](http://robclewley.github.io/) (A blog on next-gen computational tools for mathematical modeling in complex systems, especially dynamical systems models)

* [Teachmathfree](http://www.teachmathfree.com/) (A blog on math concepts, school mathematics & useful formula, tricks, shortcuts, games, vedic mathematics concepts & faster mathematical computation.)

* [Quomodocumque](http://quomodocumque.wordpress.com/category/math/)

* [Azimuth](http://johncarlosbaez.wordpress.com) John Baez's new blog on environment, climate change, biodiversity, sustainable development and technology; from a perspective of a mathematical physicist; occasional topics with significant mathematical content



## Technical help with math blogs 

* Luca Trevisan's [LaTeX to Wordpress converter](http://lucatrevisan.wordpress.com/latex-to-wordpress)

* This nifty [script] (http://www.junkdrawerblog.com/2008/01/cant-read-light-text-on-dark-backgrounds.html) fixes the eyestrain caused by poorly designed blog [contrasts](http://blog.teleonetics.com/2008/02/28/concept-identity-vs-concept-similarity-2/). 15 seconds to install, works for Firefox only. 

* [Detexify](http://detexify.kirelabs.org/classify.html) for finding LaTeX symbols by drawing them.

* [LaTeX on Blogger](http://watchmath.com/vlog/?p=438) for installing LaTeX on Blogger.


category: meta, references

[[!redirects Online]]
[[!redirects Online resources]]
[[!redirects online resources]]
[[!redirects Online Resources]]
[[!redirects math blogs and wikis]]
[[!redirects mathematical blogs]]
[[!redirects Math Blogs]]
[[!redirects Math blogs]]

[[!redirects Online Resources]]