
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### $(\infty,1)$-Category theory
+--{: .hide}
[[!include quasi-category theory contents]]
=--
#### $(\infty,1)$-Topos Theory
+--{: .hide}
[[!include (infinity,1)-topos - contents]]
=--
=--
=--


#Contents#
* automatic table of contents goes here
{:toc}

## Definition

Let $C$ be a category with [[pullbacks]] and [[colimits]] of some [[small category|shape]] $D$.  We say that colimits of shape $D$ are __stable by [[base change]]__, or __stable under pullback__, or that these colimits are __universal__ if for every functor $F : D \to C$ and for all [[pullback]] diagrams of the form

$$
  \array{
    (colim_D F) \times_Z Y &\to& colim_D F
    \\
    \downarrow && \downarrow
    \\
    Y &\to & Z
  }
$$

the canonical morphism

$$
  \label{IsoForPullbackStabilityOfColimis}
  \underset{d \in D}{colim} (F(d) \times_Z Y)
    \stackrel{\simeq}{\to}
  (\underset{d \in D}{colim} F(d)) \times_Z Y
$$

is an [[isomorphism]].  This is equivalent to saying that every pullback [[functor]] $f^*: C/Z \to C/Y$ [[preserved limit|preserves]] $D$-colimits.  Similar definitions can be given for [[higher categories]].

## Examples

### Toposes

The stability of all colimits is one of [[Giraud's axioms]] that characterize [[Grothendieck toposes]] in the [[category theory|1-categorical context]] and Grothendieck-Rezk-Lurie [[(∞,1)-toposes]] in the [[higher category theory|higher categorical context]].  The fact that colimits are stable in toposes can be seen from the characterization of toposes as left-exact reflective subcategories of presheaf categories as follows:

* First observe that colimits are stable in $C =$ [[Set]].
* Now colimits are stable for $C =$ a [[presheaf]] category $[S^{op},Set]$, since colimits in such $C$ are computed objectwise in $Set$.  (See [[limits and colimits by example]].)
* Finally, stability of colimits is preserved in reflective subcategories, since the reflector preserves both colimits and pullbacks.

For [[(∞,1)-toposes]], this is [[Higher Topos Theory|HTT, theorem 6.1.0.6 (3) ii)]]

### Non-toposes

More generally, colimits are stable in any [[locally cartesian closed category]], since in that case the pullback functors $f^*$ all have right adjoints.  Conversely, if $C$ is cocomplete with all stable colimits, and the [[adjoint functor theorem]] applies to all its slice categories, then it is locally cartesian closed.

Colimits are also stable any [[regular category|regular]] infinitary [[extensive category]].

But colimits are not stable in, for instance, $C = $ [[Ab]].


## Relation to commutativity and distributivity

Although stability of colimits appears as a sort of "commutativity" between colimits and pullbacks, it is not literally an instance of [[commutativity of limits and colimits]].  It is an *example* of the latter if the [[colimit]] over $D$ of the diagram constant on a single object (such as $Y$) is that single object.  For ordinary colimits in [[category theory]] this is a mild condition,  requiring $D$ to be a [[connected category]]; but in [[higher category theory]] this becomes an ever stronger condition; for [[colimits in an (infinity,1)-category]] it means that the [[infinity-groupoid]] generated by $D$ is [[contractible homotopy type]] (see [this corollary](infinity-limit#EveryInfinityGroupoidIsHomotopyColimitOfConstantFunctorOverItself)).

It *is* generally true that (eq:IsoForPullbackStabilityOfColimis) is an example of _[[distributivity of limits over colimits]]_; see [there](distributivity+of+limits+over+colimits#PullbackStableColimits).


## Related concepts

* [[van Kampen colimit]]
* [[pullback-stability]]

## References 

* [[Jacob Lurie]], _[[Higher Topos Theory]]_ (Section 6.1.1) 

[[!redirects universal colimit]]
[[!redirects universal colimits]]
[[!redirects stable colimit]]
[[!redirects stable colimits]]
[[!redirects pullback-stable colimit]]
[[!redirects pullback-stable colimits]]
