
> This page is about **algebra as a theory**. If you are looking for the term **algebra as an object** see [[associative algebra]] or [[algebra over an operad]] or the like. See below for more.

***

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--






[[geometry]] $\leftarrow$ [[Isbell duality]]  $\rightarrow$ **algebra**

***


#Contents#
* table of contents
{:toc}

## Idea

**Algebra** is the manipulation of symbols without (necessarily) regard for their meaning, especially in a way that can be formalized in [[cartesian logic]].  It is often seen as [[duality|dual]] to [[geometry]]. While modern algebra has ties and applications nearly everywhere in mathematics, traditionally closest ties are with the [[number theory]] and [[algebraic geometry]].

The word 'algebra' is often also used for an algebraic structure:

* often by default an [[associative unital algebra]];
* more generally a [[monoid object]];
* more generally in a different way, a [[nonassociative algebra]];
* an [[algebra over an operad]], of a [[monad]], a [[PROP]], etc;
* an [[algebra for an endofunctor]];
* a model of any [[algebraic theory]] or anything studied in [[universal algebra]];
* higher categorical analogues, many object/family versions of algebras, for example [[algebroid]]s, and [[pseudoalgebra]]s (or [[2-algebra]]s) over [[pseudomonad]]s (or [[2-monad]]s).

Various fields of mathematics or mathematical concepts can be manipulated in an algebraic or symbolic way, and such approaches or formalized subfields have names like [[categorical algebra]], [[homological algebra]], [[homotopical algebra]] and so on. Methods of combinatorics which involve much algebra, and manipulations with [[formal power series]] in particular, are called [[algebraic combinatorics]].

## Related entries

The $n$lab has a number of entries on particular algebraic structures ([[monoid]], [[semigroup]], [[group]], [[ring]], [[noetherian ring]], [[quasigroup]], [[associative algebra]], [[Lie algebra]], [[coalgebra]], [[dg-algebra]], [[bialgebra]], [[graded algebra]], [[Hopf algebra]], [[coring]], [[quasitriangular bialgebra]], [[lattice]], [[rig]], $\Omega$-[[$\Omega$-group|group]], [[field]], [[perfect field]], [[skewfield]], [[free field]], [[vector space]], [[vertex operator algebra]], [[crossed module]], [[chain complex]], [[hypermonoid]], [[hyperring]], [[hyperfield]] etc.), entries on their structural features, parts, "envelopes" or localizations ([[ideal]], [[center]], [[centralizer]], [[normal subgroup]], [[normal closure]], [[normalizer]], [[holomorph]], [[Ore set]], [[Ore localization]], [[enveloping algebra]], [[universal enveloping algebra]]) and on algebraic structures internal to other categories ([[topological group]], [[Lie group]], [[Lie groupoid]], [[algebraic group]], [[formal group]], [[dg-algebra]] etc). 

There are also few pages on various invariants of algebraic objects or operations on algebraic expressions, e.g. on [[resultants]] of polynomials, [[determinant]] of a matrix, [[quasideterminant]] of a matrix with noncommutative entries.   

For many algebraic structures a notion of [[action]] is defined; they embody "symmetry algebras" of some other algebraic objects. An action is expressed via a [[representation]] of one object as a subobject of a full object of another; or as a combination of the object which acts and which is acted upon (e.g. [[action groupoid]]). Objects with action are [[modules]] of the appropriate kind (possibly dualized: [[comodule]], [[contramodule]]; multiple, e.g. [[bimodule]]; or homotopized like $A_\infty$-modules). The possibilities for realizing a given algebra via symmetries of another object are systematically studied in a field called [[representation theory]]. 

See also 

* [[counterexamples in algebra]].

[[!include Isbell duality - table]]

## Further references

* See [_Wikipedia_](http://en.wikipedia.org/wiki/Algebra)
* [[commutative algebra]]

[[!redirects algebras]]
[[!redirects algebraist]]