
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### $(\infty,1)$-Category theory
+--{: .hide}
[[!include quasi-category theory contents]]
=--
#### Homotopy theory
+--{: .hide}
[[!include homotopy - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

In the presence of a notion of [[fibration]] and a given class of such, a morphism is called _anodyne_ if it has the [[left lifting property]] against all these.

The standard example, often taken to be the default, is that of morphisms in the category [[sSet]] of [[simplicial sets]] which have the left lifting property against all [[Kan fibrations]]. In this case, anodyne morphisms ([Gabriel-Zisman 67, chapter IV.2](#GabrielZisman67)) are equivalent to [[acyclic cofibrations]] in the standard [[model structure on simplicial sets]].

Typically one says _anodyne morphism_ or, actually, _anodyne extension_ if one thinks of these morphisms produced by [[retracts]] of [[transfinite composition]] of [[pushouts]] of [[coproducts]] of a certain generating set of morphisms.

So in the standard example of left lifting against Kan fibrations, one typically speaks of _anodyne extension_ if one produces morphisms by these operations from the set of [[horn]] inclusions. (see for instance ([Jardine](#Jardine))).


## Definition

### Relative to Kan fibrations of simplicial sets

A [[morphism]] $f : A \to B$ of [[simplicial sets]] is called **anodyne** if it has the left [[lifting property]] with respect to all [[Kan fibration]]s.

So $f$ is anodyne if for every [[Kan fibration]] $X \to Y$ and every commuting diagram

$$
  \array{
    A &\to& X
    \\
    \downarrow^f && \downarrow
    \\
    B &\to& Y
  }
$$

there exists a lift

$$
  \array{
    A &\to& X
    \\
    \downarrow^f &\nearrow& \downarrow
    \\
    B &\to& Y
  }
  \,.
$$

See for instance ([Jardine](#Jardine)) for details.

### Relative to left/right inner Kan fibrations of simplicial sets

Similarly a morphism is called

* **left anodyne** if it has the left [[lifting property]] with respect to all [[left Kan fibration]]s

* **right anodyne** if it has the left [[lifting property]] with respect to all [[right Kan fibration]]s

* **inner anodyne** if it has the left [[lifting property]] with respect to all [[inner Kan fibration]]s

See ([Lurie](#Lurie)) (following Joyal).

### Relative to inner Kan fibrations of dendroidal sets

In the category of [[dendroidal sets]] there is a notion of horn inclusions that generazies that of simplicial sets. The corresponding saturated class of morphisms is called that of dendroidal **inner anodyne morphisms**.

See ([Cisinski-Moerdijk 09](#CisinskiMoerdijk09)).

## Properties

### Pushout-products with inclusions

+-- {: .num_prop #PushoutProductOfSimplicialCofibrationWithAcyclicCOfibIsAcyclic}
###### Proposition

The [[pushout product]] $f \Box g$ of two [[monomorphisms]] $f,g$ in [[sSet]] is again a monomorphism, which is anodyne (a weak homotopy equivalence) if $f$ or $g$ is so.

=--

This is due to ([Gabriel-Zisman 67, IV.2, prop. 2.2](#GabrielZisman67)). The argument is somewhat more streamlined form is also in [Joyal-Tierney 05, theorem 3.2.2](#JoyalTierney05)

+-- {: .num_remark}
###### Remark

Prop. \ref{PushoutProductOfSimplicialCofibrationWithAcyclicCOfibIsAcyclic} is the key lemma which implies (is effectively equivalent to) the statement that the [[classical model structure on simplicial sets]] is an [[enirched model category]] over itself.

=--


## Related concepts

* [[factorization system]], [[small object argument]]

* [[Kan fibration]], **anodyne morphism**

* [[right/left Kan fibration]], [[right/left anodyne map]]

* [[inner fibration]]

* [[Cartesian fibration]]  

## References

The original concept of anodyne extensions as morphisms in the saturation class of the [[simplicial set|simplicial]] [[horn]] inclusions originates in 

* {#GabrielZisman67} [[Pierre Gabriel]], [[Michel Zisman]], chapter IV.2 of _[[Calculus of fractions and homotopy theory]]_, Ergebnisse der Mathematik und ihrer Grenzgebiete, Band 35, Springer (1967) ([pdf](https://www.math.rochester.edu/people/faculty/doug/otherpapers/GZ.pdf))

Review includes

* {#Jardine} [[John Frederick Jardine]], _Homotopy theory, lecture 5_ ([pdf](http://www.math.uwo.ca/~jardine/papers/HomTh/lecture005.pdf))
 
* {#JoyalTierney05} [[André Joyal]], [[Myles Tierney]], _An introduction to simplicial homotopy theory_, 2005  ([chapter I](http://hopf.math.purdue.edu/cgi-bin/generate?/Joyal-Tierney/JT-chap-01), more notes [pdf](http://mat.uab.cat/~kock/crm/hocat/advanced-course/Quadern47.pdf))


Left/right and inner anodyne morphisms of simplicial sets are discussed in section 2 of 

* {#Lurie} [[Jacob Lurie]], _[[Higher Topos Theory]]_

Inner anodyne morphisms of [[dendroidal sets]] are discussed in 

* {#CisinskiMoerdijk09} [[Denis-Charles Cisinski]], [[Ieke Moerdijk]], _Dendroidal sets as models for homotopy operads_ ([arXiv:0902.1954](http://arxiv.org/abs/0902.1954))
 


[[!redirects anodyne morphisms]]

[[!redirects anodyne extension]]
[[!redirects anodyne extensions]]

[[!redirects inner anodyne morphism]]
[[!redirects inner anodyne morphisms]]
