
# $\Omega$-groups
* table of contents
{: toc}


## Idea

An $\Omega$-group is a [[group]] equipped with additional algebraic operations (of [[signature]] $\Omega$) that distribute over the group operations.


## Definition

We take an [[algebraic structure]] in a traditional sense as a set $\Omega$ with a (not necessarily finite) number of operations $\alpha$ of various arity and satisfying some axioms (not necessarily of first order).  That is, we are discussing objects of an [[equationally presentable category|equationally presentable]] or [[algebraic category]].

An __$\Omega$-group__ is an algebraic structure which amounts to a [[group]] (usually written additively but not necessarily commutative) together with a set $\Omega$ of operations of any arity, such that for each $n$-ary operation $\alpha \in \Omega$, distributivity holds in each variable over the group operations:

$$ \alpha(x_1,\ldots,x_j + y_j,\ldots,x_n)=
\alpha(x_1,\ldots,x_j,\ldots,x_n) + \alpha(x_1,\ldots,y_j,\ldots,x_n) .$$

(This states only distributivity over addition; however, distributivity over all other group operations follows.)


## Examples

The classical examples are of course groups (where $\Omega$ is [[empty set|empty]]), [[rngs]] (where $\Omega$ consists of only multiplication), and [[rings]] (where $\Omega$ consists of multiplication and the nullary operator that gives the multiplicative identity).  Given a fixed [[ground ring]] $k$, the [[modules]] over $k$ form another example: each element of $k$ gives a unary multiplication operation.

The older term __group with operators__ is traditionally used for $\Omega$-groups when only unary operations are considered (as in the case of modules).


## Remarks

The general theory of $\Omega$-groups is similar to the basics of group and ring theory, including [[normal subgroups]] / [[ideals]] / [[submodules]], [[quotient algebra|quotient]] $\Omega$-groups, Noether's [[isomorphism theorem]]s, etc. For example, the [[Jordan-Holder theorem|Jordan–Holder theorem]] holds: if there is a [[composition series]], then every two composition series are equivalent up to permutation of factors. An obvious [[horizontal categorification]] of $\Omega$-groups is also interesting.

Note that $\Omega$ is a capital Greek letter; $\omega$-[[infinity-group|group]] is rather a synonym for (for some people strict) $\infty$-[[infinity-groupoid|groupoid]] with a single object, hence nothing to do with $\Omega$-groups.

$\Omega$-groups form a [[protomodular category]].


## References

* Wikipedia, [Group with operators](http://en.wikipedia.org/wiki/Group_with_operators).

* N. Bourbaki, _Algebra I_, ch. 1-3. 

* E. I. Khukhro, _Local nilpotency in varieties of groups with operators_, Russ. Acad. Sci. Sbornik Mat. 78 379, 1994. 
([doi](http://dx.doi.org/10.1070/SM1994v078n02ABEH003475))

* Grace Orzech, _Obstruction theory in algebraic categories I, II_, J. Pure Appl. Algebra __2__ (1972) 287-340, 315–340. 


[[!redirects Omega-group]]
[[!redirects Omega-groups]]
[[!redirects $\Omega$-group]]
[[!redirects $\Omega$-groups]]
[[!redirects Ω-group]]
[[!redirects Ω-groups]]

[[!redirects group with operators]]
[[!redirects groups with operators]]
