
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}


## Idea

See [[higher algebra]].

## History

At first, [[homotopy theory]] was restricted to [[topological spaces]], while [[homological algebra]] worked in a variety of (mainly algebraic) examples. Whitehead proposed around 1949 the subject of [[algebraic homotopy]] theory, to deal with classical homotopy theory of spaces via algebraic models. This idea did not extend to homotopy methods in general setups of course, but it had concrete modelling and calculations for topological spaces in mind. In the 1960s Grothendieck introduced fundamental groups and cohomology in the setup of [[topos|topoi]], which were a wider and more modern setup. In retrospective, he considered exactness axioms which he introduced in [[Tohoku]] in a context of homological algebra to be conceptually a kind of reasoning bringing understanding to general spaces, such as topoi. Quillen in the late 1960s introduced an axiomatics (the structure of a [[model category]]) on a category to be able to do a great deal of homotopy theory; this is the first instance of much abstract machinery which has as a common name 'homotopical algebra'; and [[rational homotopy theory]] was its first success. A large part (but maybe not all) of homological algebra can be subsumed as the [[derived functor]]s that make sense in model categories, and at least the categories of chain complexes can be treated via Quillen model structures. 

Nowadays, there are lots of new formalisms ([[derivators]], [[homotopical categories]], ...) of homotopical algebra and very many examples ([[simplicial sets]], [[cubical sets]], [[crossed complexes]], strict $\infty$-categories, $\mathbb{A}^1$-homotopy theory, homotopy theory for operator algebras, dg-Lie algebras, dg-operads, ...). A strong impetus has been given by Grothendieck's program in [[Pursuing Stacks]] and the work of the Bangor school, that is, [[Ronnie Brown]] and [[Tim Porter]] with coauthors, of [[André Joyal]], of [[Carlos Simpson]] and his school, R. Jardine, [[Charles Rezk]], [[Georges Maltsiniotis]] and [[Denis-Charles Cisinski]], [[Jacob Lurie]], ...) which followed them; in that program [[homotopy types]] are related to higher [[stacks]]; thus the natural setup is realized to be that of $\infty$-categories. For simplicity, $(\infty,1)$-categories (usually modeled by [[quasicategories]], [[Segal categories]], simplicially enriched categories etc.) were understood first and by now systematically, cf. [[Higher Topos Theory]]. This modern language is, unlike more axiomatic presentations on $1$-categories with structure like Quillen model categories, more rarely referred to as homotopical algebra. 

The $n$Lab entry [[homotopy theory]] takes homotopy in a rather general sense including not only classical homotopy, but also algebraic homotopy, homotopical algebra in the narrow sense (model categories and variants) and $(\infty,1)$-categories.

## Related entries

* [[homotopical algebraic quantum field theory]]


[[!redirects homotopical algebras]]
