
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Functional analysis
+-- {: .hide}
[[!include functional analysis - contents]]
=--
#### Operator algebra
+-- {: .hide}
[[!include AQFT and operator algebra contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

An __operator algebra__ is any subalgebra of the algebra of continuous [[linear operators]] on a [[topological vector space]], with composition as the multiplication. In most cases, the space is a separable [[Hilbert space]], and most attention historically has been paid to algebras of [[bounded linear operator]]s. The operator algebras themselves are often equipped with their own topologies (e.g. norm topology, weak topology, weak$^*$ topology and so on) and sometimes involution. __$C^*$-[[C-star algebra|algebras]]__ are (in the complex case) norm-closed complex $*$-[[subalgebras]] of the algebra of the [[bounded linear operator]]s on a [[Hilbert space]]. They can be however characterized structurally as a $*$-[[representation]] of a [[Banach algebra]] with involution satisfying some compatibility conditions; the latter could be called abstract $C^*$-algebras (or sometimes $B^*$-algebras). Every _commutative_ unital $C^*$-algebra can be realized as an algebra of functions on a Hausdorff compact space, which is obtained as its [[Gel'fand spectrum]].

Special class of $C^*$-algebras are __[[von Neumann algebra|von Neumann]]__ or $W^*$-algebras (see [wikipedia](http://en.wikipedia.org/wiki/Von_Neumann_algebra)), which are (in the complex case) _weakly closed_ (closed in the weak topology) $*$-subalgebras of the algebra of bounded linear operators on a Hilbert space. In structural theory, an important role among [[von Neumann algebra]]s is played by so-called [[von Neumann algebra factor|factor]]s, characterized by the property that their center is trivial ($1$-dimensional, consisting of "scalars"). 

Operator algebras play major roles in [[functional analysis]], [[representation theory]], [[noncommutative geometry]] and [[quantum field theory]]. 

## Topics of interest for the understanding of AQFT

This paragraph will collect some facts of interest for the aspects of [[AQFT]] in the nLab. Unless stated otherwise all operator algebras will be assumed to be unital, i.e. having an identiy denoted by $\mathbb{1}$.

###States {#statesOfOperatorAlgebras}

See [[states]].

## Related concepts

* [[operator]], [[linear operator]]

* [[bounded linear operator]] / [[unbounded linear operator]]

  * [[compact operator]], [[Calkin algebra]]

* **operator algebra**

* [[C*-algebra]]

  * [[Gelfand-Naimark theorem]]

  * [[Hilbert C*-module]], [[Hilbert C*-bimodule]]

  * [[KK-theory]], [[nonabelian topology]]

* [[von Neumann algebra]]

## References


There are a lot of textbooks about operator algebras, here are some examples:

The classic textbook is this:

* Kadison, Richard V.; Ringrose, John R., _Fundamentals of the theory of operator algebras I and II_, ([ZMATH] (http://www.zentralblatt-math.org/zmath/en/advanced/?q=an:0888.46039&format=complete))

These have two accompanying volumes (same title, numbers III and IV) which contain complete solutions to the extensive list of excercises. Highly recommended.

One of the founders of the Tomito-Takesaki modular theory has recently published a three volume treatise in the Encyclopaedia of Mathematical Sciences:

* [[Masamichi Takesaki]], _Theory of operator algebras I, II and III_ ([pdf I](http://www.math.ucla.edu/~mt/Corrections1.pdf) [pdf II](http://www.math.ucla.edu/~mt/Corrections2.pdf) [ZMATH entry] (http://www.zentralblatt-math.org/zmath/en/advanced/?q=an:0990.46034&format=complete)).

Lecture notes with an eye towards application in [[quantum physics]] includes

* [[Klaas Landsman]], _Lecture notes on operator algebras_ (2011) ([pdf](http://www.math.ru.nl/~landsman/oa2011.pdf))

There is also

* Wikipedia on [operator algebras] (http://en.wikipedia.org/wiki/Operator_algebras)


category: analysis, noncommutative geometry

[[!redirects operator algebra]]
[[!redirects operator algebras]]

[[!redirects algebra of operators]]
[[!redirects algebras of operators]]
