
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Operator algebra
+--{: .hide}
[[!include AQFT and operator algebra contents]]
=--
#### Topology
+--{: .hide}
[[!include topology - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

The _Gelfand spectrum_ (originally Гельфанд) of a [[commutative C*-algebra]] $A$ is a [[topological space]] $X$ such that $A$ is [[generalized the|the]] algebra of complex-valued [[continuous functions]] on $X$. (This "[[Gelfand duality]]" is a special case of the general [[Isbell duality|duality between spaces and their algebras of functions]].)


## Definition

+-- {: .num_defn}
###### Definition

Given a unital, not necessarily [[commutative C*-algebra|commutative]], complex [[C*-algebra]] $A$, the set of its _[[characters]]_, that is: continuous nonzero linear [[homomorphisms]] into the [[field]] of [[complex numbers]], is canonically equipped with what is called the __spectral topology__ which is [[compactum|compact Hausdorff]]. (If applied to a nonunital $C^*$-algebra, then it is only [[locally compact space|locally compact]].) This correspondence extends to a [[functor]], called the __Gel'fand spectrum__  from the [[category]] [[C*Alg]] of unital $C^*$-algebras to the category of [[Hausdorff topological spaces]].

=--

+-- {: .num_remark}
###### Remark

A [[character]] on a unital [[Banach algebra]] is automatically a [[continuous function]] (with [[Lipschitz constant]] 1).

=--

+-- {: .num_remark}
###### Remark

The Gelfand spectrum functor is a [[full and faithful functor]] when restricted to the subcategory of commutative unital $C^*$-algebras. 

=--

+-- {: .num_remark}
###### Remark

The [[kernel]] of a character is clearly a codimension-$1$ closed subspace, and in particular a closed [[maximal ideal]] in $A$; therefore the Gel'fand spectrum is a topologised analogue of the [[maximal spectrum]] of a discrete algebra. 

=--


+-- {: .num_remark}
###### Remark

For noncommutative $C^*$-algebras the spaces of equivalence classes of irreducible representations (i.e., the spectrum) and their kernels (i.e., the primitive ideal space) are more important than the character space.  

=--

+-- {: .num_remark}
###### Remark

The Gelfand spectrum is also useful in the context of more general commutative Banach algebras.

=--


## Related concepts

* [[spectrum (geometry)]]

* [[Isbell duality]]

  * [[Gelfand duality]]

    * [[C-star algebra]], [[topological space]]

    * **Gelfand spectrum**

    * [[constructive Gelfand duality theorem]]

    * [[spectral presheaf]], [[Bohr topos]]

    * [[Alfsen-Shultz theorem]]

category: analysis

[[!redirects Gelfand spectrum]]
[[!redirects Gelfand spectrums]]
[[!redirects Gelfand spectra]]
[[!redirects Gel'fand spectrum]]
[[!redirects Gel'fand spectrums]]
[[!redirects Gel'fand spectra]]
[[!redirects Gel’fand spectrum]]
[[!redirects Gel’fand spectrums]]
[[!redirects Gel’fand spectra]]
[[!redirects Гельфанд spectrum]]
[[!redirects Гельфанд spectrums]]
[[!redirects Гельфанд spectra]]


[[!redirects spectral topology]]
[[!redirects spectral topologies]]