
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Manifolds and cobordisms
+-- {: .hide}
[[!include manifolds and cobordisms - contents]]
=--
=--
=--

# Contents
* automatic table of contents goes here
{: toc}

## Idea

Two maps $f : X \to Z$ and $g : Y \to Z$ of [[manifold]]s are _transversal_ roughly if the images of $X$ and $Y$ in $Z$ do not "touch tangentially".


## Definition 

Two maps $f : X \to Z$ and $g : Y \to Z$ of [[smooth manifold]]s are __transversal__ if for all point $x \in X$ and $y \in Y$ with $f(x) = z = g(y)$ the differentials of $f$ and $g$ in these points span the entire tangent space at $z$ in the sense that

$$
  im(d f) + im(d g) \simeq T_z Z
  \,.
$$
Note that this is not required to be a direct sum. Also, if $f$ (say) is a [[submersion]], then it is transversal to all $g$.

In particular, $f$ or $g$ may be inclusions of (possibly immersed) [[submanifold]]s in which case we talk about the transversality of submanifolds. 


## Properties

* [[Thom's transversality theorem]]

Various constructions involving [[pullback]]s of [[manifold]]s work as expected only for pullbacks involving transversal maps. 

For example, two maps with a common [[target]] are transversal only if their [[pullback]] exists and is preserved by the [[tangent bundle]] functor; that is, $T(X \times_Z Y) = T X \times_{T Z} T Y$.  (However, the pullback may exist and be preserved without transversality; for example if $X$ and $Y$ are both abstract [[points]], $Z$ is *not* a point, and the maps $X, Y \to Z$ are equal as concrete points of $Z$.)

This is to be regarded as the dual of the possibly more familiar statement that various constructions involving [[quotient object|quotient]]s only work as expected for _free_ [[action]]s.

Both of these "problems" are solved by passing from the ordinary $1$-[[1-category|category]] of manifolds to a suitable [[higher category theory|higher category]] of [[generalized smooth space]]s.

More precisely: 

* the problem with the [[pushout]]s (quotients) is resolved by passing to [[stack]]s and [[smooth infinity-stack]]s.

* the problem with the [[pullback]]s is resolved by passing to [[derived stack]]s. Concretely for the case of manifolds this is discussed at [[derived smooth manifold]].


## References

* T. Bröcker, K. Jänich, C. B. Thomas, M. J. Thomas, _Introduction to differentiable topology_, 1982 (translated from German 1973 edition; ∃ also 1990 German 2nd edition)

* Morris W. Hirsch, _Differential topology_, Springer GTM 33, [gBooks](http://books.google.com/books/about/?id=iSvnvOodWl8C)


[[!redirects transversal map]]
[[!redirects transversal maps]]
[[!redirects transverse map]]
[[!redirects transverse maps]]

[[!redirects transversality]]
