
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher category theory
+--{: .hide}
[[!include higher category theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}


## Idea 

A _[[Michael Batanin|Batanin]] $\omega$-category_ is a [[weak ω-category]] defined as an [[algebra over an operad|algebra]] over a suitable contractible [[globular operad]]. So this is an [[algebraic definition of higher category]].

The definition is similar to that of [[Trimble n-category]] (which is actually a special case of a Batanin $\omega$-category) and similar to the definition of [[Grothendieck-Maltsiniotis infinity-category]].

## Morphisms

When a weak $\infty$-category is modeled as a module over an $O$-operad, morphisms of modules $F : C \to D$ will correspond to _strict_  $\infty$ functors. To get weak $\infty$-functors one has to resolve $C$.

One way to do this is described in ([Garner](#Garner)).

## References 


* [[Michael Batanin]], _Monoidal globular categories as a natural environment for the theory of weak $n$-categories_ , Advances in Mathematics 136 (1998), no. 1, 39–103.  

* [[Ross Street]], _The role of Michael Batanin's monoidal globular categories_, in _Higher Category Theory_, eds. E. Getzler and M. Kapranov, Contemp. Math. 230, American
Mathematial Society, Providence, Rhode Island, 1998, pp. 99--116.   ([pdf](http://citeseerx.ist.psu.edu/viewdoc/download;jsessionid=16090323CA625A93A8948A4F40401291?doi=10.1.1.51.2074&rep=rep1&type=pdf))

Work towards establishing the [[homotopy hypothesis]] for Batanin $\omega$-groupoids can be found here:

* [[Clemens Berger]], _A cellular nerve for higher categories_, Advances in Mathematics 169, 118-175 (2002) ([pdf](http://math1.unice.fr/~cberger/nerve.pdf))
 {#Berger}

* [[Denis-Charles Cisinski]], _Batanin higher groupoids and
homotopy types_ ([arXiv:math/0604442](http://arxiv.org/abs/math/0604442))

A nice introduction to this subject is:

* [[Eugenia Cheng]], _Batanin omega-groupoids and the homotopy hypothesis_, ([recorded lecture](http://www.fields.utoronto.ca/audio/06-07/highercat/cheng)) from the Fields Institute Workshop on Higher Categories and their Applications, January 10, 2007.

A discussion of weak $\omega$-functors between Batanin $\omega$-categories is in

* [[Richard Garner]], _Homomorphisms of higher categories_ ([arXiv:0810.4450](http://arxiv.org/abs/0810.4450))

An application of Batanin weak $\omega$-groupoids to [[homotopy type theory]] appears in 

* [[Benno van den Berg]], [[Richard Garner]], _Types are weak $\omega$-groupoids_ ([arXiv:0812.0298](http://arxiv.org/abs/0812.0298))

A discussion of weak $\omega$-functors between Batanin $\omega$-categories, and all kind of weak $n$-transformations in the spirit of Batanin approach, with an emphasis to the possibility to the existence of the weak $\omega$-category of the weak $\omega$-categories in Batanin's sense is in 

* [[Camell Kachour]], Steps toward the Weak $\omega$-category of the Weak $\omega$-categories in the globular setting, Published in Categories and General Algebraic Structures with Applications (2015). 


[[!redirects Batanin ω-category]]
[[!redirects Batanin omega-categories]]
[[!redirects Batanin ω-categories]]
[[!redirects Batanin omega-groupoid]]
[[!redirects Batanin ω-groupoid]]
[[!redirects Batanin omega-groupoids]]
[[!redirects Batanin ω-groupoids]]
[[!redirects Batanin weak omega-category]]
[[!redirects Batanin weak ω-category]]
[[!redirects Batanin weak omega-categories]]
[[!redirects Batanin weak ω-categories]]
[[!redirects Batanin weak omega-groupoid]]
[[!redirects Batanin weak ω-groupoid]]
[[!redirects Batanin weak omega-groupoids]]
[[!redirects Batanin weak ω-groupoids]]