
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Symplectic geometry
+--{: .hide}
[[!include symplectic geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

__Symplectic geometry__ is a branch of [[differential geometry]] studying [[symplectic manifold]]s and some generalizations; it originated as a formalization of the mathematical aparatus of [[classical mechanics]] and geometric optics (and the related [[semiclassical approximation|WKB-method]] in [[quantum mechanics]] and, more generally, the method of stationary phase in [[harmonic analysis]]). A wider branch including symplectic geometry is [[Poisson geometry]] and a sister branch in odd dimensions is [[contact geometry]]. A special and central role in the subject belongs to certain real-like half-dimensional submanifolds, called [[Lagrangian submanifold|lagrangian (or Lagrangean) submanifolds]], which are in some sense classical points. Symplectic geometry radically changed after the 1985 article of Gromov on pseudoholomorphic curves and the subsequent work of Floer giving birth to symplectic topology or "hard methods" of symplectic geometry. 


## Applications 

* In its application to [[physics]], symplectic geometry is the fundamental mathematical language for [[Hamiltonian mechanics]], [[geometric quantization]], geometrical optics. 


* A tremendous amount of insight into higher [[Lie theory]] ([[Lie groupoid]]s, [[Lie ∞-groupoid]]s, [[Lie ∞-algebroid]]s) has derived from [[Alan Weinstein]]'s long-term project of understanding the role of symplectic geometry in [[geometric quantization]]. See there for more details.

+--{.query}
[[Zoran Škoda]]: it is true that large influence of Weinstein's program can not be overestimated, but it is not the origin of these considerations; it rather builds up on earlier fundamental works of Kirillov, Kostant, Souriau who invented geometric quantization, all of them originally in symplectic context; and the florishing of the subject from mid 1960s till mid 1980-s is related to their work; and other related tracks of Guillemin, Sternberg, Kashiwara, Karasev, Arnold and so on; and vast developments in harmonic analysis and representation theory (Kostant, Auslander, Vogan, Wallach, Stein...), [[microlocal analysis]] ([[Kashiwara]], Saito, Hormander, Maslov, Karasev, Duistermaat...),  [[integrable system]]s/[[quantum group]]s (this is more into more general Poisson geometry: Lie-Poisson groups, classical r-matrices, bihamiltonian systems...), and  related approaches to quantization (Berezin method, [[coherent state]]s...).  
=--

* [[T-duality]] and (related) [[mirror symmetry]] interchange the symplectic data and complex algebraic geometry data. Some cases of both the symplectic and complex algebraic picture can be unified and studied in a broader concept of [[generalized complex geometry]].


## Related concepts

* There is a [[vertical categorification]] of symplectic geometry to [[higher symplectic geometry]]. This involves  [[multisymplectic geometry]] and the geometry of [[symplectic Lie n-algebroid]]s. And their combination.

  See [[higher symplectic geometry]]

[[!include infinity-CS theory for binary non-degenerate invariant polynomial - table]]


## References

Introductions include

* Rolf Berndt, _An introduction to symplectic geometry_ ([pdf](http://www.ams.org/bookstore/pspdf/gsm-26-prev.pdf))

Discussion from the point of view of [[homological algebra]] of [[abelian sheaves]] is in

* C. Viterbo, _An introduction to symplectic topology through sheaf theory_ (2010) ([pdf](http://www.math.polytechnique.fr/cmat/viterbo/Eilenberg/Eilenberg.pdf))

The notion of symplectic geometry may be understood as the mathematical structure that underlies the physics of [[Hamiltonian mechanics]]. A classical monograph that emphasizes this point of view is

* [[Vladimir Arnold]], _[[Mathematical methods of classical mechanics]]_ 

For more on this see [[Hamiltonian mechanics]]. 

Symplectic geometry is also involved in [[geometric optics]], [[geometric quantization]] and the study of oscillatory integrals and [[microlocal analysis]]. Books concentrating on these topics include

* [[Victor Guillemin]], [[Shlomo Sternberg]], _Geometric asymptotics_, Amer. Math. Soc. 1977 [free online](http://www.ams.org/online_bks/surv14)

* Sean Bates, [[Alan Weinstein]], _[[Lectures on the geometry of quantization]]_, [pdf](http://www.math.berkeley.edu/~alanw/GofQ.pdf)

* J.J. Duistermaat, _Fourier integral operators_, Progress in Mathematics, Birkhäuser 1995 (and many other references at [[microlocal analysis]]).

* [[Alan Weinstein]], _Symplectic geometry_, (survey)  Bull. Amer. Math. Soc. 5 (1981), 1-13, [doi](http://dx.doi.org/10.1090/S0273-0979-1981-14911-9)
* N. R. Wallach, _Symplectic geometry and Fourier analysis_, Math. Sci. Press, Brookline, Mass., 1977.
* wikipedia [symplectic geometry](http://en.wikipedia.org/wiki/Symplectic_geometry)
Application: "Jacobi's elimination of nodes" is moved to [[equivariant localization and elimination of nodes]]. 