
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--




#Contents#
* table of contents
{:toc}

## Idea

A __commutative $k$-algebra__ (with $k$ a [[field]] or at least a [[commutative ring]]) is an [[associative unital algebra]] over $k$ such that the multiplicative operation is [[commutative]].
Equivalently, it is a [[commutative ring]] $R$ equipped with a ring [[homomorphism]] $k \to R$.

There is a generalization of commutativity when applied to [[finitary monads]] in $Set$, that is [[generalized rings]], as studied in [[Nikolai Durov|Durov's]] thesis.

__Commutative algebra__ is the subject studying commutative algebras. It is closely related and it is the main algebraic foundation of [[algebraic geometry]]. Some of the well-known classical theorems of commutative algebra are the [[Hilbert basis theorem]] and [[Nullstellensatz]] and [[Krull's theorem]], as well as many results pertaining to [[syzygy|syzygies]], [[resultant]]s and [[discriminant]]s.  

## Related entries

* [[commutative magma]]

* [[abelian group]]

* [[commutative ring]]

* [[commutative monoid]]

* [[commutative C-star-algebra]]

* [[graded commutative algebra]]

* [[supercommutative algebra]]

## References

* [[Michael Atiyah]], I. G. Macdonald, _Introduction to commutative algebra_, 1969, 1994

* H. Matsumura, _Commutative algebra_, 2 vols.; see also the online summary notes by D. Murfet, [Matsumura.pdf](http://therisingsea.org/notes/Matsumura.pdf), [Matsumura-Part2.pdf](http://therisingsea.org/notes/Matsumura-Part2.pdf)

* [[D. Eisenbud]], _Commutative algebra: with a view toward algebraic geometry_, Grad. Texts in Math. 150, Springer-Verlag 1995. 
* James Milne, _A primer of commutative algebra_, (online notes in progress) [webpage](http://www.jmilne.org/math/xnotes/ca.html), [pdf](http://www.jmilne.org/math/xnotes/CA.pdf)

Discussion of commutative algebra with [[constructive mathematics|constructive]] methods:

* Henri Lombardi, Claude Quitté, _Commutative algebra: Constructive methods. Finite projective modules_ ([arXiv:1605.04832](https://arxiv.org/abs/1605.04832))
[[!redirects commutative algebras]]
[[!redirects commutative unital algebra]]