
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Topology
+--{: .hide}
[[!include topology - contents]]
=--
#### Cohomology
+-- {: .hide}
[[!include cohomology - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Definition

The **singular cohomology** (also **Betti cohomology**) of a [[topological space]] $X$ is the [[cohomology]] in [[∞Grpd]] of its [[fundamental ∞-groupoid]] $\Pi(X)$:

for $\mathcal{B}^n \mathbb{Z} \in \infty Grpd$ the [[Eilenberg-MacLane object]] with the group $\mathbb{Z}$ in degree $n$, the degree $n$-singular cohomology of $X$ is

$$
  H^n(X,\mathbb{Z}) := \pi_0 \infty Grpd(\Pi(X), \mathcal{B}^n \mathbb{Z})
  \,.
$$


With $\infty Grpd$ [[presentable (∞,1)-category|presented]] by the category [[sSet]] of [[simplicial set]]s, the fundamental $\infty$-groupoid $\Pi(X)$ is modeled by the [[Kan complex]] 

$$
  \Pi(X) = Sing X = Hom_{Top}(\Delta^\bullet_{Top}, X)
  \,,
$$

the [[singular simplicial complex]] of $X$. 

The object $\mathcal{B}^n \mathbb{Z}$ is usefully modeled by the simplicial set 

$$
  \mathcal{B}^n \mathbb{Z} = U (\Xi \mathbb{Z}[n])
$$

which is 

* the underlying simplicial set under the [[forgetful functor]] 

  $$
    (F \dashv U)
    sAb \stackrel{\overset{F}{\leftarrow}}{\underset{U}{\to}}
    sSet
  $$

  from abelian [[simplicial group]]s to [[simplicial sets]];

* of the abelian [[simplicial group]] $\Xi \mathbb{Z}[n]$ which is the image under the [[Dold-Kan correspondence]]

  $$
    sAb \stackrel{\overset{\Xi}{\leftarrow}}{\underset{}{\to}}
    Ch^+
  $$

* of the [[chain complex]]

  $$
    \mathbb{Z}[n] =
    (\cdots \to \mathbb{Z} \to 0 \to 0 \to \cdots \to 0)
  $$

  concentrated in degree $n$.

So in this model we have

$$
  H^n(X,\mathbb{Z}) = \pi_0 sSet(Sing X, U(\Xi \mathbb{Z}[n]))
  \,.
$$

A [[cocycle]] in this cohomology theory is a [[cochain on a simplicial set]], on the singular complex $Sing X$.

Using the [[adjunction]] $(F \dashv U)$ this is [[isomorphism|isomorphic]] to

$$
  \cdots \simeq \pi_0 sAb( Ch_n(X), \Xi \mathbb{Z}[n] )
  \,,
$$

where 

$$
  F(Sing X) = \mathbb{Z}[Sing X]
$$

is the [[free functor|free]] abelian simplicial group on the simplicial set $Sing X$: this is the simplicial abelian group of **singular chains** of $X$. Its elements are formal sums of continuous maps $\Delta^n_{Top} \to X$. In this form

$$
  \cdots \simeq \pi_0 sAb( \mathbb{Z}[Sing X], \Xi \mathbb{Z}[n] )
  \,.
$$

Using next the [[Dold-Kan correspondence|Dold-Kan adjunction]] this is

$$
  \cdots \simeq H_0 Ch( Ch_\bullet(X), \mathbb{Z}[n] )
  \,,
$$

where

$$
  Ch_\bullet(X) := N^\bullet(\mathbb{Z}(Sing X))
$$

is the [[Moore complex]] of normalized chains of $\mathbb{Z}[Sing X]$: this is the complex of **singular chains**, formal sums over $\mathbb{Z}$ of simplices in $X$.


This way singular cohomology is the abelian dual of [[singular homology]].

...



## Related concepts

* [[cochain on a simplicial set]]

* [[cup product]]

* [[de Rham theorem]]

## Comparison to sheaf cohomology

If the topological space $X$ is semi-locally contractible
(meaning: any open subset $U\subset X$ has an open cover $W$ by open subsets $W_i\subset U$ that are contractible in $U$),
then the [[sheaf cohomology]] of $X$ is isomorphic
to the singular cohomology of $X$ for any abelian
group of coefficients.

This was proved in ([Sella 16](#Sella16)).

## Discussion

A previous version of this entry led to the following discussion, which later led to extensive discussion by email. Partly as a result of this and similar discussions, there is now more information on how Kan complexes _are_ $\infty$-groupoids at 

* [[Kan complex]]

* [[∞-groupoid]].


## References

* {#Sella16} [[Yehonatan Sella]], _Comparison of sheaf cohomology and singular cohomology_ ([arXiv:1602.06674](http://arxiv.org/abs/1602.06674))
[[!redirects Betti cohomology]]

[[!redirects singular chain complex]]

[[!redirects singular chain complexes]]
