<div class="rightHandSide toc">
[[!include higher geometry - contents]]
</div>


#Idea#

In the sense of [[space and quantity]] a _space_ is, quite generally, a [[presheaf]] on some category of test objects.

An _$\infty$-space_ is some [[vertical categorification|∞-categorification]] of this.

With some [[category]] $Sp \subset PSh(C)$ of spaces (1-spaces, that is) fixed, an $\infty$-space may for instance be modeled as an [[∞-groupoid]] [[internalization|internal to]] $Sp$. 

If $Sp$ is for instance a category of _smooth_ test objects, such as [[Diff]] or [[CartSp]], then we have

* a smooth 1-space is a [[smooth space]];

* a smooth 2-space is a [[Lie groupoid]];

* a smooth $\infty$-space is a [[Lie ∞-groupoid]] or [[smooth ∞-stack]].

Generally, the notion of [[∞-groupoid]] [[internalization|internal to]] $PSh(C)$ is naturally interpreted as a [[simplicial presheaf]]. Indeed, when equipped with the [[model structure on simplicial presheaves]], simplicial presheaves are good [[models for ∞-stack (∞,1)-toposes]].

The $\infty$-stack terminology is possibly more familiar than that of $\infty$-spaces. To some extent the usefulness of both terminologies depends on whether $Sp$ is a [[petit topos]] of presheaves of open subsets in some fixed [[topological space]] or a [[gros topos]] of presheaves on general test spaces, such as on (an [[essentially small category|essentially small]]) version of [[Top]] itself.

In the former case of a [[petit topos]], the $\infty$-stack terminology may be more suggestive. In the latter case of a [[gros topos]] the $\infty$-space perspective typically conveys the right intuition for the objects under consideration much better.


# Warning on terminology #

The idea, that "space" is fundamentally to be interpreted in the sense of [[space and quantity]] is only partially compatible with wide-spread use of the word "space" to mean concretely [[topological space]].

In fact, in the context of "$\infty$-space" there is a subtle confusion of terms (possible) here, which deserves to be carefully sorted out:

In [[higher category theory]] [[topological space]]s $X$ are often, via the [[homotopy hypothesis]], effectively _identified_ with their [[fundamental ∞-groupoid]]s $\Pi(X)$. The [[∞-groupoid]] $\Pi(X)$ -- as an $\infty$-groupoid [[internalization|internal to]] [[Set]] -- is really a _discrete_ $\infty$-space in the above sense, namely an $\infty$-groupoid in the category of presheaves on the point.


# $\infty$-Quantities #

Following the [[duality]] of [[space and quantity]], the concept dual to $\infty$-space is [[∞-quantity]]. See there for more details.


# Referemces #

One place where the conceptual usefulness of interpreting categories internal to [[smooth space]]s as smooth **2-spaces** (and de-emphasizing conceptually their _realization_ as simplicial sheaves) has been particularly amplified is the work

* [[Toby Bartels]], _2-Bundles_ ([web](http://tobybartels.name/2bundles/)) 


[[!redirects ∞-space]]