
Two related basic facts in [[representation theory]] bear the name of Schur: one general about categories of modules, and another specific to the case of complex numbers. If $G$ is a [[group]], a __$G$-module__ is any $k$-[[module]] with an [[action]] of $G$, where $k$ is a fixed commutative unital [[ground ring]]. 

1. Given a group $G$ and a linear map $\phi : M\to N$ between two irreducible (= [[simple object|simple]]) $G$-modules (linear maps intertwining the actions) then $\phi$ is either the [[zero morphism]] or an [[isomorphism]]. It follows that the [[endomorphism]]s of simple irreducible $G$-module form a [[division ring]].

2. Set $M=N$, and suppose further that the ground ring $k$ is an [[algebraically closed field]]; then $\phi$ is a multiple $\lambda I$ of the [[identity morphism|identity operator]]. In other words, the nontrivial automorphisms of simple modules, _a priori_ possible by (1), are ruled out over algebraically closed fields.  
  
Part (1) is essentially category-theoretic and can be generalized in many ways, for example, by replacing $G$ by some $k$-[[associative algebra|algebra]] and taking the representations compatible with the action of $k$; more generally, given an abelian category, the endomorphism ring of a simple object is a division ring. Schur's lemma is one of the basic facts of [[representation theory]].  For (2), if the endomorphism rings of all objects in an abelian category are finite-dimensional over an algebraically closed ground field $k$ (as is the case for group representations), then the endomorphism ring of a simple object is $k$ itself.


[[!redirects Schur lemma]]
[[!redirects Schur’s lemma]]