
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--


# Contents
* table of contents
{: toc}

## Idea

A __ground ring__ (or __base ring__, __field of scalars__, etc) is a [[ring]] $k$ (usually a [[commutative ring]] or even a [[field]]) which is fixed in a given situation, such that everything takes place 'over' $k$.  There is no technical definition here; rather, it is the meaning of 'over' that must be defined in any particular case.

The elements of the ground ring are often called __scalars__.  Note that a '[[scalar field]]' in the sense of [[physics]] does not refer to $k$, although its meaning does depend on $k$.

There are analogies between the ground ring and the base space of a [[bundle]].  There are also generalisations in which $k$ might be, for example, a [[monad]].  It is also important to consider [[base change]] from one ground ring to another, mediated by a ring homomorphism or even a [[bimodule]].


## Examples

Perhaps most fundamentally, the categories [[Mod]] and [[Vect]] depend on (respectively) a ground ring and a ground field.  That is, a [[module]] is not just a module but a $k$-module (either left or right when $k$ might not be commutative), and a [[vector space]] is not just a vector space but a vector space over $k$.  Conversely, the ground ring/field itself appears as the unit of the [[tensor product]] in these categories.

Other terms which depend on a ground ring/field include:

*  [[graded module]]
*  [[graded vector space]]
*  [[algebraic variety]]
*  [[relative scheme]]
*  [[2-vector space]]
*  [[category algebra]]
*  [[groupoidification]]
*  [[Hopf algebra]]
*  [[symmetric function]]
*  [[coalgebra]]
*  [[associative algebra]]
*  [[nonassociative algebra]]
*  [[fusion category]]
*  [[vector bundle]]
*  [[almost scheme]]
*  [[tangent vector]]
*  [[cotangent vector]]
*  [[exterior algebra]]
*  [[Hilbert space]]
*  [[Banach space]]
*  [[topological vector space]]
*  [[Legendre polynomial]]
*  [[differential form]]
*  [[inner product space]]
*  [[affine space]]

This list is very incomplete, made mostly by searching for 'ground ring', 'base field', etc.

## Related concepts

* [[positive characteristic]]


[[!redirects ground rings]]

[[!redirects ground field]]
[[!redirects ground fields]]


[[!redirects base ring]]
[[!redirects base field]]
[[!redirects field of scalars]]
[[!redirects fields of scalars]]

[[!redirects scalar]]
[[!redirects scalars]]


