Euler's __dilogarithm__ is a complex valued function $Li_2$ given by

$$
Li_2(x) = \sum_{n=1}^\infty \frac{x^n}{n^2}
$$

The dilogarithm is a special case of the [[polylogarithm]] $Li_n$. The __Bloch--Wigner dilogarithm__ is defined by

$$ D(z) := Im(Li_2(z)) + arg(1-z) log |z| $$

The dilogarithm has remarkable relations to many areas of mathematics and mathematical physics including [[scissors congruence]], Reidemeister's torsion, regulators in higher [[algebraic K-theory]], the Bloch group, [[CFT]], [[Liouville's gravity]], [[hyperbolic geometry]] and [[cluster transformation]]s.  

See also the references at [mathworld](http://mathworld.wolfram.com/Dilogarithm.html)
and P.P. Cook's [blog](http://ppcook.blogspot.com/2005/12/dilogarithms.html) and the related entry [[quantum dilogarithm]].

* Don Zagier, _The dilogarithm function_, in Frontiers in Number Theory, Physics, and Geometry II, pp. 3--35 (2007) [MR2290758](http://www.ams.org/mathscinet-getitem?mr=2290758) [doi:10.1007/978-3-540-30308-4](http://dx.doi.org/10.1007/978-3-540-30308-4) [preprint pdf](http://maths.dur.ac.uk/~dma0hg/dilog.pdf); _Polylogarithms, Dedekind zeta functions, and the algebraic K-theory of fields_, in Arithmetic Algebraic Geometry, Progr. Math. __89__, Birkhäuser, Boston, 1990, 391–430 [MR1085270](http://www.ams.org/mathscinet-getitem?mr=1085270)

* A. N. Kirillov, _Dilogarithm identities_, Progr. Theoret. Phys. Suppl. 118 (1995), 61–142 [hep-th/9408113](http://arxiv.org/abs/hep-th/9408113)
[MR1356515](http://www.ams.org/mathscinet-getitem?mr=1356515) [doi](http://dx.doi.org/10.1143/PTPS.118.61); _Identities for the Rogers dilogarithm function connected with simple Lie algebras_, J. Soviet Math. 47 (1989), 2450–2458.

* B. Richmond, G. Szekeres, _Some formulas related to dilogarithm, the zeta function and the Andrews-Gordon identities_, J. Aust. Math. Soc. __31__ (1981), 362–373 [MR633444](http://www.ams.org/mathscinet-getitem?mr=633444) [doi](http://dx.doi.org/10.1017/S1446788700019492)

* S. Bloch, _Applications of the dilogarithm function in algebraic K-theory and algebraic geometry_, in: Proc. Int. Symp. on Alg. Geometry, Kinokuniya, Tokyo 1978.

* Tomoki Nakanishi, _Dilogarithm identities for conformal field theories and cluster algebras: Simply laced case_, Nagoya Math. J. __202__ (2011), 23-43, [MR2804544](http://www.ams.org/mathscinet-getitem?mr=2804544) [doi](http://dx.doi.org/10.1215/00277630-1260432)

* W. Nahm, _Conformal field theory and torsion elements of the Bloch group_, in Frontiers in Number Theory, Physics, and Geometry, II, Springer, Berlin, 2007, 67–132 [MR2290759](http://www.ams.org/mathscinet-getitem?mr=2290759) [doi](http://dx.doi.org/10.1007/978-3-540-30308-4_2)

category: analysis, physics