##Overview##

A matrix $A$ over the field of [[real numbers]] is __[[totally positive matrix|totally positive]]__ (resp. __totally nonnegative__) if every minor (= determinant of any submatrix) is a positive (resp. nonnegative) real number. Total positivity implies a number of remarkable properties; for example all eigenvalues are distinct and positive. 

George Lusztig discovered that total positivity is closely related to some phenomena in the theory of [[Lie groups]] and [[quantum groups]]. Later, S. Fomin and [A. Zelevinsky](http://www.math.neu.edu/zelevinsky/andrei.html) studied the canonical bases for [[quantum groups]] and discovered the combinatorics of simple transformations and defined  associated classical and quantum __cluster algebras__ to such situations.   In particular, Stasheff [[associahedron|associahedra]] are  associated to these cluster algebras. Remarkably, they found an unusual [[algebraic geometry]] related to cluster algebras, possessing new, and at the beginning mysterious, [[Laurent phenomenon]]. Later, the cluster algebras appeared also in the connection to the representations of [[quivers]], tilting theory and the wall crossing phenomenon, with the applications in [[representation theory]] and the study of [[triangulated category|triangulated categories]].

##Definition##

(this is still a stub)

##Links and references##

* Sergey Fomin, Andrei Zelevinsky, _Cluster algebras. I. Foundations_, J. Amer. Math. Soc. 15 (2002), no. 2, 497--529, [math.RT/0104151 ](http://arxiv.org/abs/math/0104151); _Cluster algebras. II. Finite type classifications._ Invent. Math. 154 (2003), no. 1, 63--121 -- classification of cluster algebras of finite type via root systems [math.RA/0208229](http://arxiv.org/abs/math/0208229), _Cluster algebras, IV: Coefficients_, Compos. Math. __143__ (2007), 112–164, [MR2295199](http://www.ams.org/mathscinet-getitem?mr=2295199) [doi](http://dx.doi.org/10.1112/S0010437X06002521)

* Arkady Berenstein, Andrei Zelevinsky, _Quantum cluster algebras_, [math.QA/0404446](http://arxiv.org/abs/math/0404446)

* B. Keller, _Cluster algebras, quiver representations and triangulated categories_, [arXiv:0807.1960](http://arXiv.org/abs/0807.1960) [MR2681708](http://www.ams.org/mathscinet-getitem?mr=2681708)

* Lots of links at [Cluster algebras portal](http://www.math.lsa.umich.edu/~fomin/cluster.html) including to the Fomin's [course slides](http://www.math.lsa.umich.edu/~fomin/nordfjordeid.html).

* description and conference info "Cluster Algebras and Lusztig's Semicanonical Basis", Oregon, June 2011, [html](http://pages.uoregon.edu/njp/cluster.html)

* Maxim Kontsevich, Yan Soibelman, _Stability structures, motivic Donaldson-Thomas invariants and cluster transformations_, [arXiv:0811.2435](http://arxiv.org/abs/0811.2435)

* Yuji Kodama, Lauren Williams, _KP solitons, total positivity, and cluster algebras_, Proc. Natl. Acad. Sci. [arxiv/1105.4170](http://arxiv.org/abs/1105.4170), [doi](doi:10.1073/pnas.1102627108)
* [[Bernard Leclerc]], _Cluster algebras and representation theory_, [arxiv/1009.4552](http://arxiv.org/abs/1009.4552)
* Christof Geiss, Bernard Leclerc, Jan Schröer, _Preprojective algebras and cluster algebras_, [arxiv/0804.3168](http://arxiv.org/abs/0804.3168); _Kac-Moody groups and cluster algebras_, [arxiv/1001.3545](http://arxiv.org/abs/1001.3545); _Cluster structures on quantum coordinate rings_, [arxiv/1104.0531](http://arxiv.org/abs/1104.0531)

* Tomoki Nakanishi, _Dilogarithm identities for conformal field theories and cluster algebras: Simply laced case_, Nagoya Math. J. __202__ (2011), 23-43, [MR2804544](http://www.ams.org/mathscinet-getitem?mr=2804544) [doi](http://dx.doi.org/10.1215/00277630-1260432)

The connections to the exact WKB method a la Voros are studied in 

* Kohei Iwaki, Tomoki Nakanishi, _Exact WKB analysis and cluster algebras_, J. Phys. A 47 (2014) 474009 [arxiv/1401.7094](http://arxiv.org/abs/1401.7094); _Exact WKB analysis and cluster algebras II: simple poles, orbifold points, and generalized cluster algebras_, [arXiv:1409.4641](http://arxiv.org/abs/1409.4641)

Generalized cluster algebras are studied in 

* Leonid Chekhov, Michael Shapiro, _Teichmüller spaces of Riemann surfaces with orbifold points of arbitrary order and cluster variables_, Int. Math. Res. Notices (2014)  2746-2772 [arxiv/1111.3963](http://arxiv.org/abs/1111.3963) [doi](http://dx.doi.org/10.1093/imrn/rnt016)
* Tomoki Nakanishi, _Structure of seeds in generalized cluster algebras_, [arxiv/1409.5967](http://arxiv.org/abs/1409.5967)
 

[[!redirects cluster algebras]]
[[!redirects cluster transformation]]
[[!redirects cluster transformations]]