+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Arithmetic
+--{: .hide}
[[!include arithmetic geometry - contents]]
=--
#### Complex geometry
+--{: .hide}
[[!include complex geometry - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Definition

A __complex number__ is a [[number]] of the form $a + \mathrm{i} b$, where $a$ and $b$ are [[real numbers]] and $\mathrm{i}^2 = - 1$ is an [[imaginary unit]].  The set of complex numbers (in fact a [[field]] and [[topological vector space]]) is denoted $\mathbf{C}$ or $\mathbb{C}$.

This can be thought of as:

*  the vector space $\mathbb{R}^2$ made into an [[associative algebra|algebra]] by the rule
   $$ (a, b) \cdot (c, d) = (a c - b d, a d + b c) ;$$
*  the subalgebra of those $2$-by-$2$ real [[matrix|matrices]] of the form
   $$ \left(\array { a & b \\ - b & a } \right);$$
*  the [[polynomial]] ring $\mathbb{R}[\mathrm{x}]$ modulo $\mathrm{x}^2 + 1$;
*  the [[algebraic closure]] of $\mathbb{R}$ as a field;
*  the result of applying the [[Cayley–Dickson construction]] to $\mathbb{R}$;
*  the $2$-dimensional [[normed division algebra]];
*  the [[Clifford algebra]] $Cl_{0,1}(\mathbb{R})$;
*  the elliptic $2$-dimensional algebra of [[hypercomplex numbers]];
*  the [[complexification]] of $\mathbb{R}$;

We think of $\mathbb{R}$ as a [[subset]] (in fact ${\mathbb{R}}$-vector subspace) of $\mathbb{C}$ by identifying $a$ with $a + \mathrm{i} 0$.  $\mathbb{C}$ is equipped with a $\mathbb{R}$-linear [[involution]] , called __complex conjugation__, that maps $\mathrm{i}$ to $\bar{\mathrm{i}} = -\mathrm{i}$. Concretely, $ \overline{a + \mathrm{i} b} = a - \mathrm{i} b $. Complex conjugation is the nontrivial field automorphism of $\mathbb{C}$ which leaves ${\mathbb{R}}$ invariant. In other words, the Galois group $Gal({\mathbb{C}}/\mathbb{R})$ is cyclic of order two and generated by complex conjugation.
$\mathbb{C}$ also has an [[absolute value]]:
$$ |{a + \mathrm{i} b}| = \sqrt{a^2 + b^2} ;$$
notice that the absolute value of a complex number is a nonnegative real number, with
$$ |z|^2 = z \bar{z} .$$


Most concepts in analysis can be extended from $\mathbb{R}$ to $\mathbb{C}$, as long as they do not rely on the order in $\mathbb{R}$.  Sometimes $\mathbb{C}$ even works better, either because it is algebraically closed or because of Goursat\'s theorem.  Even when the order in $\mathbb{R}$ is important, often it is enough to order the absolute values of complex numbers.  See [[ground field]] for some of the concepts whose precise definition may vary with the choice of $\mathbb{R}$ or $\mathbb{C}$ (or even other possibilities).

## Properties

### Geometry of complex numbers

The complex numbers form a plane, the __complex plane__. Indeed, a map $\mathbb{C} \to \mathbb{R}^2$ given by sending $\mathrm{x} + \mathrm{i}\mathrm{y}$ to the standard real-valued coordinates $(\mathrm{x},\mathrm{y})$ on this plane is a bijection. Much of [[complex analysis]] can be understood through [[differential topology]] by identifying $\mathbb{C}$ with $\mathbb{R}^2$, using either $\mathrm{x}$ and $\mathrm{y}$ or $\mathrm{z}$ and $\bar{\mathrm{z}}$.  (For example, Cauchy\'s integral theorem is Green\'s/Stokes\'s theorem.)

It is often convenient to use the [[Alexandroff compactification]] of $\mathbb{C}$, the [[Riemann sphere]] $\mathbb{C}P^1$.  One may think of $\mathbb{C}P^1$ as $\mathbb{C} \cup \{\infty\}$; functions valued in $\mathbb{C}$ but containing 'poles' may be taken to be valued in $\overline{\mathbb{C}}$, with $f(\zeta) = \infty$ whenever $\zeta$ is a pole of $f$.

## Related concepts

* [[absolute value]], [[phase]]

* [[real part]], [[imaginary part]]

* [[complex plane]], [[complex projective space]], [[Riemann sphere]]

* [[complex vector space]]

  * [[complex line]]

* [[conjugate transpose matrix]]

* [[complex vector bundle]]

  * [[complex line bundle]]

* [[contour integration]]

* [[complex geometry]]

* [[polydisc]]

* [[p-adic complex number]]

[[!include exceptional spinors and division algebras -- table]]


## References

* [[Tom Leinster]], _Objects of categories as complex numbers_, [	arXiv:math/0212377v1](http://arxiv.org/abs/math/0212377)


[[!redirects complex planes]]

[[!redirects complex numbers]]
[[!redirects complex number system]]


[[!redirects complex conjugation]]
[[!redirects complex conjugations]]

[[!redirects complex conjugate]]
[[!redirects complex conjugates]]

[[!redirects complex plane]]





