
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Functional analysis
+-- {: .hide}
[[!include functional analysis - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

**Functional analysis** can be defined as the study of objects (and their [[homomorphism]]s) with an [[algebra|algebraic]] and a [[topology|topological]] structure such that the algebraic operations are continuous. But usually the algebraic structure is fixed to be the one of a [[vector space]].

## Idea

Various sets of real or complex-valued functions (usually [[continuous function|continuous]] or at least [[measurable function|measurable]]) have not only the structure of a [[vector space]] but also an additional [[topological structure]]. To study these systematically, various classes of [[topological vector spaces]] were gradually developed and studied, often irrespective of the nature of the elements. Hence one can study (for example) Banach spaces of anything, not necessarily of functions. Naturally more and more general structures were studied. 

Thus __functional analysis__ is a field of [[mathematics]] studying compatible algebraic and topological structure, where 'algebraic' most often refers to linear spaces with structure (e.g. ordered vector spaces, real algebras etc.) and 'topological' may refer to mere topology but also to [[metric space|metric]] refinements like norm etc. The underlying [[ground field]] is most often [[real number|real]] or [[complex numbers]]. In addition to the study of topological vector spaces, various interesting classes or examples of operators on them are in focus of this subject.

Functional analysis gets its name from the original examples of [[topological vector space]] as [[function space]]s.


Main classical areas is the subject of topological vector spaces (important classes include [[Hilbert spaces]], [[Banach spaces]], [[Frechet space]]s, and a pretty general class of [[locally convex space|locally convex topological vector spaces]]). The [[spectral theory]], [[measure theory]], [[ergodic theory]] and [[representation theory]] of these gave rise to the study of [[operator algebras]], out of which the mainstream variety of [[noncommutative geometry]] also arose. 


See also [[reflexive Banach space]], [[bounded operator]], [[compact operator]], [[Fredholm operator]], [[Sobolev space]], [[Lebesgue space]].

## References

See

* [[functional analysis bibliography]]

The [English Wikipedia entry](http://en.wikipedia.org/wiki/Functional_analysis) has a fair list of books on the subject. 

There are also variations in $p$-[[adic analysis]] and a [[topos]]-theoretic approach initiated by (I think?) [[William Lawvere]].

category: analysis
