The __boolean domain__ or __boolean field__ $\mathbb{B}$ is a $2$-element set, say $\mathbb{B} = \{ 0, 1 \}$ or $\mathbb{B} = \{ \bot, \top \}$, whose elements may be interpreted as [[truth values]].  Note that $\mathbb{B}$ is the set of *all* [[truth values]] in [[classical logic]], but this cannot be assumed in all logics.  If we think of $\mathbb{B}$ as a [[pointed set]] equipped with the true element, then there is an [[generalized the|effectively unique]] boolean domain.

A __boolean variable__ $x$ is a variable that takes its value in a boolean domain, as $x \in \mathbb{B}$.  If this variable depends on parameters, then it is (or defines) a [[Boolean-valued function]], that is a [[function]] whose target is $\mathbb{B}$.

An [[element]] of $\mathbb{B}$ is a __[[binary digit]]__, or __bit__.


## As a boolean algebra or ring

Note that the term 'boolean field' (or just 'field', depending on the context) is sometimes used more generally for any [[boolean algebra]].  In fact, the boolean domain is the [[initial object|initial]] boolean algebra.  If we interpret a boolean algebra as a [[boolean ring]], then the boolean domain is the [[finite field]] with $2$ elements.


[[!redirects Boolean domain]]
[[!redirects boolean variable]]
[[!redirects Boolean variable]]
[[!redirects Boolean field]]
[[!redirects boolean field]]
[[!redirects Boolean fields]]
[[!redirects boolean fields]]
