
Charles Sanders Peirce (1839-1914), a philosopher, logician and scientist, was one of the founders of modern symbolic [[logic]]. In particular, he developed a form of [[predicate logic]]. Peirce devised a graphical notation, known as **existential graphs**, to represent logical calculi. There were three systems of such graphs: the system _alpha_, to represent [[propositional logic]], the system _beta_, to represent [[predicate logic]], and the system _gamma_, to represent [[modal logic]].

[[Geraldine Brady]] and [[Todd Trimble]] have given a category theoretic interpretation of the alpha and beta systems. The latter, a form of [[string diagram|string diagrammatic]] notation, was developed ([PontoShul](#PontoShul)) into a [[string diagram]] notation for [[indexed monoidal categories]]. A development also appears in [MellZeil](#MellZeil).

Peirce's philosophy can be seen as Schellingism transformed in light of (in Peirce's time) modern physics, as Peirce himself notes in an 1894 letter to William James:

> My views were probably influenced by [[Schelling]] - by all stages of Schelling, but especially the _Philosophie der Natur_. I consider Schelling as enormous, and one thing I admire about him is his freedom from the trammels of system, and his holding himself uncommitted to any previous utterance. in that, he is like a scientific man. If you were to call my philosophy Schellingism transformed in the light of modern physics, I should not take it hard.


##References

Stanford Encyclopedia of Philosophy entries:

* [Charles Sanders Peirce](https://plato.stanford.edu/entries/peirce/)
* [Peirce's Deductive Logic](https://plato.stanford.edu/entries/peirce-logic/)
* [Peirce's Theory of Signs](https://plato.stanford.edu/entries/peirce-semiotics/)
* [Peirce's View of the Relationship Between His Own Work and German Idealism](https://plato.stanford.edu/entries/peirce/self-contextualization.html)
* [Peirce on Abduction](https://plato.stanford.edu/entries/abduction/peirce.html)

Other references

* [[Geraldine Brady]] and [[Todd Trimble]] (2000a). A Categorical Interpretation of C. S. Peirce's Propositional Logic Alpha. Journal of Pure and Applied Algebra 149 (2000): 213-239

* {#BradyTrimble} [[Geraldine Brady]] and [[Todd Trimble]] (2000b). _[[A string diagram calculus for predicate logic|A String Diagram Calculus for Predicate Logic and C. S. Peirce's System Beta]]_, preprint 

* [[Kate Ponto]] and [[Mike Shulman]], Duality and traces in indexed monoidal categories, ([web](http://www.sandiego.edu/~shulman/papers/indexed-color.pdf))
{#PontoShul}

* [[Fernando Zalamea]] (2012), Peirce's Logic of Continuity: A Conceptual and Mathematical Approach

* Frederik Stjernfelt (2014), Natural Propositions: The Actuality of Peirce's Doctrine of Dicisigns

* Rosa Maria Perez-Teran Mayorga (2008), From Realism to 'Realicism': The Metaphysics of Charles Sanders Peirce

* Andrew Reynolds (2002), Peirce's Scientific Metaphysics: The Philosophy of Chance, Law, and Evolution

* Matthew Moore (ed) (2010), New Essays on Peirce's Mathematical Philosophy

* [[Louis Kauffman]] (2001), [The Mathematics of Charles Sanders Peirce](http://homepages.math.uic.edu/~kauffman/CHK.pdf)

* C.S. Peirce & Matthew Moore (ed) (2010), Philosophy of Mathematics: Selected Writings

* {#MellZeil} [[Paul-André Melliès]] and [[Noam Zeilberger]] (2016) _A bifibrational reconstruction of Lawvere's presheaf hyperdoctrine_, ([	arXiv:1601.06098, cs.LO](http://arxiv.org/abs/1601.06098))

* Fernando Zalamea, Peirce's logic of continuity, a conceptual and mathematical approach, [link](https://www.academia.edu/31948393/ZalameaPeirceCont.pdf)

[[!redirects C.S. Peirce]]
[[!redirects Charles Peirce]]
[[!redirects Charles S. Peirce]]
[[!redirects Peirce]] 

category: people, philosophy