

> To be distinguished from _[[Weil algebra]]_.  


+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Definition

Given a [[field]] $k$, the $n$-th __Weyl algebra__ $A_{n,k}$ is an [[associative unital algebra]] over $k$ generated by the symbols $x^1,\ldots,x^n,\partial_1,\ldots,\partial_n$ modulo the "[[canonical commutation relations]]" $x^i x^j = x^j x^i$, $\partial_i\partial_j = \partial_j\partial_i$ and $\partial_i x^j - x^j \partial_i = \delta_i^j$ (the [[Kronecker delta]]). 

In [[characteristic zero]], this agrees with the algebra of [[regular differential operators]] on the $n$-dimensional [[affine space]]. 

Sometimes one considers the Weyl algebras over an arbitrary $k$-algebra $R$, including noncommutative $R$, when the definition is simply $A_{n,k}\otimes_k R$. Another generalization are the symplectic Weyl algebras. 

In [[quantum physics]], one often studies Weyl algebras over the [[complex numbers]] (see [below](#RelationToHeisenbergLieAlgebra)); the usual notation there is $p_j$ for $- \mathrm{i} \partial_j$ (where $\mathrm{i}$ is the imaginary unit).


## Properties

### Relation to Heisenberg Lie algebra
 {#RelationToHeisenbergLieAlgebra}

The Weyl algebra on $2n$ generators is the quotient of the [[universal enveloping algebra]] of the [[Heisenberg Lie algebra]] on $2n$ generators, obtained by identifying the [[center|central]] elements of the Heisenberg Lie algebra with multiples of the identity element.

Accordingly, given a [[Heisenberg Lie n-algebra|Heisenberg Lie n-algebra]] it makes sense to call its [[universal enveloping E-n algebra]] a _[[Weyl n-algebra]]_.

## References

* S. C. Coutinho, _A primer of algebraic D-modules_, London Math. Soc. Stud. Texts __33__, Cambridge University Press 1995. xii+207 pp.

* [[eom]]: J.-E. Björk, [Weyl algebra](http://eom.springer.de/w/w097670.htm)

A [[categorification]] of the Weyl algebra is introduced in operadic language in 

* Nikita Markarian, _Weyl $n$-algebras_, [arxiv/1504.01931](http://arxiv.org/abs/1504.01931)

[[!redirects Weyl algebras]]
