
# Borceux--Bourn
* table of contents
{: toc}

## Introduction

Borceux--Bourn is the book

* [[Francis Borceux]], [[Dominique Bourn]], _Mal'cev, protomodular, homological and semi-abelian categories_, Mathematics and Its Applications __566__, Kluwer 2004

From the introduction:

> The most striking successes of category theory, as far as clarification of mathematical situations is concerned, are probably the theory of abelian categories and the theory of toposes. This is not too amazing since both theories are closely related to the development of sheaf theory, a context in which it is desirable to get rid of the usual notion of element.
> But up to recently, category theory did not provide any comparable insight in General Algebra, a domain in which element-based mathematics remains the slogan. In particular, category theory could not provide a structural tool able to grasp, even in the most representative category of classical algebra - namely, the category $\mathrm{Gp}$ of groups - the deep essence of the notion of normal subobject: namely, an equivalence class for a congruence and not just the kernel of a morphism. 

> And category theory could not grasp either the conceptual foundations of the homological lemmas: the Nine Lemma, the Snake Lemma, which remain valid and strongly meaningful in the category $\mathrm{Gp}$ of groups, even if this category does not belong to the abelian setting in which these lemmas are generally proved in a significant categorical way.

> Of course, there have been since a long time attempts to provide an axiomatic context in which to get the isomorphism theorems, the decomposition theorems or the previous homological lemmas for the varieties of Universal Algebra: Baer (1947, [6]), Goldie (1952, [48]), Atiyah (1956, [5]), Higgins (1956, [54]), Kurosh (1959, [73]), Hilton-Ledermann (1960, [55]), Eckmann-Hilton (1962, [40]), Tsalenko (1967, [92]), but also Hofmannn (1960, [56]), Fröhlich (1961, [46]), Huq (1968, [57]), Gerstenhaber (1970, [47]), Burgin (1970, [34]), Orzech (1972, [83]).

> These first attempts, despite their interest, consist generally in a long list of axioms whose independence is certainly not clear. But more importantly, these axioms look desperately heavy and complicated in comparison with the elegance of the characterization of abelian models. We refer the reader to the introduction of the paper by Janelidze-Márki-Tholen (2002, [60]) for a reliable historical approach to this topic.
...
> Establishing an organic and synthetic connection between all these attempts the ambition of this book. To achieve this, an additional ingredient was necessary, of purely categorical nature: the [[fibration of points]]. This fibration allows representing every category as a fibration whose fibres are pointed categories, i.e. categories with a zero object (see Bourn, 1996, [17]). This book will give evidence that the fibration of points emphasizes the importance of split epimorphisms in the context of algebraic theories, but also that this fibration of points has a very strong classification power: see on page 466 the table summarizing these classification properties.
...


## Contents

(with links to the related $n$lab entries)

* Preface

1. Metatheorems

2. [[Mal'cev categories]]

3. [[protomodular category|Protomodular categories]]

4. [[homological category|Homological categories]]

5. [[semi-abelian category|Semi-abelian categories]]

6. [[protomodular category|Strongly protomodular categories]]

7. [[essentially affine category|Essentially affine categories]]

* Appendix

  1. [[algebraic theory|Algebraic theories]]

  2. [[internal relation|Internal relations]]

  3. [[internal groupoid|Internal groupoids]]

  4. Variations on [[epimorphisms]]

  5. [[regular category|Regular]] and [[exact categories]]

  6. [[monad|Monads]]

  7. [[Grothendieck fibration|Fibrations]]

* Classification table of fibrations of points

* Bibliography

* Index of symbols

* Index of definitions


## Bibliography

1. P. Agliano, A. Ursini, Ideals and other generalizations of congruence
classes, Journal of Australian Math. Soc., Ser. A __53__ (1992) 103-115

2. P. Agliano, A. Ursini, On subtractive varieties II: general properties, Algebra Universalis __36__ (1996) 222-259

3. P. Agliano, A. Ursini, On subtractive varieties III: from ideals of congruences, Algebra Universalis __37__ (1997) 296-333

4. P. Agliano, A. Ursini, On subtractive varieties IV: definability of principal ideals, Algebra Universalis __38__ (1997) 355--389

5. M. Atiyah, On the Krull-Schmidt Theorem with applications to sheaves,
Bull. Soc. Math. France __84__ (1956) 307-317

6. R. Baer, Direct decomposition, Trans. Amer. Math. Soc. __62__ (1947) 62-98

7. M. Barr, Exact categories, Springer Lect. Notes in Math. 236 (1971) 1-120

8. M. Barr, J. Beck, Hornology and standard constructions, Springer Lec. Notes in Math. __80__ (1969) 245-335

9. J. Bénabou, Introduction to bicategories, Springer Lect. Notes in Math. __47__ (1967) 1-77

10. J. Bénabou, Fibered categories and the foundations of naive category theory, J. of Symbolic Logic __50__ (1985) 10

11. F. Borceux, [[Handbook of Categorical Algebra]], Cambridge Univ. Press, vol.
1-3 (1994)

12. F. Borceux, A survey of semi-abelian categories,  in: Galois theory, Hopf algebras, and semiabelian categories,  27--60, Fields Inst. Commun., __43__, Amer. Math. Soc., Providence, RI, 2004, [MR2005b:18015](http://www.ams.org/mathscinet-getitem?mr=2005b:18015)

13. F. Borceux, M. M. Clementino, Topological semi-abelian algebras,  Adv. Math.  190  (2005),  no. 2, 425--453, [doi](http://dx.doi.org/10.1016/j.aim.2004.03.002), [MR2005b:18015](http://www.ams.org/mathscinet-getitem?mr=2005b:18015)

14. F. Borceux, M. Grandis, _Jordan-Hölder, modularity and distributivity
in non-commutative algebra_,  J. Pure Appl. Algebra __208__ (2007),  no. 2, 665--689, [doi](http://dx.doi.org/10.1016/j.jpaa.2006.03.004), [MR2007k:18021](http://www.ams.org/mathscinet-getitem?mr=2007k:18021)

15. D. Bourn, The shift functor and the comprehensive factorization for internal groupoids, Cahiers Top. Géométrie Différentielle Catégoriques __28__ (1987) 197-226

16. D. Bourn, Normalization equivalence, kernel equivalence and alefine categories, Springer Lect. Notes in Math. __1448__ [[Como]] (1991) 43-62

17. D. Bourn, Mal'cev categories and fibrations of pointed objects, Appl. Categorical Structures __4__ (1996) 302-327

18. D. Bourn, Baer sums and fibered aspects of Mal'cev operations, Cahiers Top. Géom. Diff. Catégoriques __40__ (1999) 297-316

19. D. Bourn, Normal subobjects and abelian objects in protomodular categories. J. Algebra __228__ (2000) 143-164

20. D. Bourn, Normal functors and strong protomodularity, Theory Appl. Cat-
egories __7__ (2000) 206-218

21. D. Bourn, 3 x 3 lemma and protomodularity, J. Algebra __236__ (2001) 778-795

22. D. Bourn, A categorical genealogy for the congruence distributive property, Theory Appl. Categories __8__ (2001) 391-407

23. D. Bourn, Intrinsic centrality and associated classifying properties, J. of Algebra __256__ (2002) 126-145

24. D. Bourn, Aspherical abelian groupoids and their directions, J. Pure Appl. Alg. __168__ (2002) 133 146

25. D Bourn, The denormalized 3 x 3 lemma, J. Pure Appl. Algebra __177__ (2003) 113-129

26. D Bourn, Commutator theory in regular Mal'cev categories, Publications of the Fields Institute (to appear)

27. D Bourn, Protomodular aspect of the dual of a topos, Advances in Mathematics, Adv. Math. __187__  (2004),  no. 1, 240--255, [doi](http://dx.doi.org/10.1016/j.aim.2003.09.004), [MR2006a:18003](http://www.ams.org/mathscinet-getitem?mr=2006a:18003)

28. D Bourn, Commutator theory in strongly semi-abelian categories, Preprint, Univ. du Littoral (2003), submitted for publication

29. D Bourn, M. Gran, Centrality and normality in protomodular categories, Theory Appl. Categories __9__ (2002) 151-165

30. D Bourn, M. Gran, Central extensions in semi-abelian categories, J.
Pure Appl. Alg. __175__ (2002) 31-44

31. D. Bourn, M. Gran, Centrality and connectors in Maltsev categories,
Algebra Universalis __48__ (2002) 309-331

32. D. Bourn, G. Janelidze, Protomodularity, descent and semi-direct
product, Theory Appl. Categories __4__ (1998) 37-46

33. D. Bourn, G. Janelidze, Characterization of protomodular varieties of
universal algebra, Theory Appl. Categories __11__ (2003) 143-147

34. M.S. Burgin, Categories with involution and correspondences in $\gamma$-categories, Trans. Moscow Math. Soc. __22__ (1970) 181-257

35. A. Carboni, Categories of affine spaces, J. Pure Appl. Alg. __61__ (1989) 243-25O

36. A. Carboni, G. M. Kelly, M. C. Pedicchio, Some remarks on Mal'tsev and Goursat categories, Appl. Categorical Structures __1__ (1993) 385-421

37. A. Carboni, J. Lambek, M. C. Pedicchio, Diagram chasing in
Mal'cev categories, J. Pure Appl. Alg. __69__ (1990) 271-284

38. A. Carboni, M. C. Pedicchio, N. Pirovano, Internal graphs and
internal groupolds in Mal'cev categories, CMS Conference proceedings, Category Theory 1991 __13__ (1992) 97-109

39. Y. Diers, Categories of commutative algebras, Oxford University Press
(1992)

40. B. Eckmann, P.J. Hilton, Group-like structures in general categories
Math. Ann. 145 (1962) 227-255

41. T. Everaert, T. Van der Linden, Baer invariants in semi-abelian
categories H: homologs, preprint (2003)

42. T.H. Fay, On categorical conditions for congruences to commute, Algebra
Univ. __8__ (1978) 173-179

43. R. Freese, R. McKenzie, Commutator theory for congruence modular
varieties, Load. Math. Soc. Lect. Notes Series __125__ (1987)

44. P. Freyd, _Abelian categories_, Harper and Row (1964)

45. P. Freyd, A. Scedrov, _Categories, allegories_, North Holland (1990)

46. A. Fröhlich, _Non-abelian homological algebra I, Derived functors and [[satellites]]_, Proc. London Math. Soc. __11__ (1961) 239-275

47. M. Gerstenhaber, _A categorical setting for the Baer extension theory_, Proc. in Symposia in Pure Mathematics __17__ (1970) 50-64

48. A. W. Goldie, _The Jordan-Hölder theorem for general abstract algebras_,
Proc. London Math. Math. Soc. 2 (1950) 107-113

49. M. Gran, Internal categories in Mal'cev categories, J. Pure Appl. Alg. 143 (1999) 221-229

50. M. Gran, Central extensions and internal groupolds in Maltsev categories, J. Pure Appl. Alg. 155 (2001) 139-166

51. M. Gran, Seni-abelian exact completions, Hornology, Homotopy and Appl. 4(1) (2002) 175-189

52. H. P. Gumm, Geometrical methods in congruence modular varieties, Mere.
Amer. Math. Soc. 45 (1983)

53. J. Hagemann, C. Herrmann, A concrete ideal multiplication .for al-
gebraic systems and its relation to congruence distributivity, Arch. Math. 32 (1979) 234-245

54. P. J. Higgins, Groups with multiple operators, Proc. London Math. Soc. 6 (1956) 366-416

55. P. J. Hilton and W. Ledermann, On the Jordan-Hölder theorem in homological monoids, Proc. London Math. Soc. 10 (1960) 321-334

56. F. Hofmann, Uber cine die Kategorie der Gruppen umfassende Kategorie,
Sitzunss. Bayerische Akad. Wissensch. Math. Naturw. Klasse (1960) 163-204

57. S.A. Huq, Commutator, nilpotency and solvability in categories, Quart. J. Math. Oxford (2)19 (1968) 363-389

58. M. Huek, Productivity of properties of topological spaces, Topology Appl. 44 (1992) 189-196

59. G. Janelidze, _Internal categories in Mal'cev varieties_, Preprint York Univ. in Toronto (1990)

60. G. Janelidze, L. Márki, W. Tholen, Semi-abelian categories, J. Pure Appl. Alg. 168 (2002) 367-386

61. G. Janelidze, M. C. Pedicchio, Pseudogroupoids and commutator
theory, Theory Appl. Categories __8__ (2001) 405-456

62. P.T. Johnstone, Topos theory, London Math. Soc. Monographs 10, Aca-
demic Press (1977)

63. P.T. Johnstone, [[Stone space]]s, Cambridge Univ. Press (1982)

64. P. T. Johnstone, Affine categories and naturally Mal'cev categories, J. Pure Appl. Alg. __61__ (1989) 251-256

65. P. T. Johnstone, The closed subgroup theorem for localic herds and pre-
groupolds, J. Pure Appl. Alg. __70__ (1991) 97-106

66. P. T. Johnstone, [[Sketches of an Elephant]]: A Topos Theory Compendium,
Vol. 1, 2, Oxford University Press, 2002

67. Peter Johnstone, _A note on the semiabelian variety of Heyting semilattices_, in: Galois theory, Hopf algebras, and semiabelian categories,  317--318, Fields Inst. Commun. __43__, Amer. Math. Soc. 2004, [MR2006a:18003](http://www.ams.org/mathscinet-getitem?mr=2075591)

68. P. T. Johnstone and M. C. Pedicchio, Remarks on continuous Mal'cev
algebras, Rend. Univ. Trieste (1995) 277-297

69. B. Jónsson and A. Tarski, Direct decompositions of finite algebraic systems, Notre Dame Mathematical Lectures, Notre Dame, Indiana (1947)

70. A. Kock, The algebraic theory of moving frames, Cahiers Top. Géom. Diff. Catégoriques 23 (1982) 347-362

71. A. Kock, Generalized fibre bundles, Springer Lect. Notes in Math. 1348
(1988) 194-207

72. A. Kock, Fibre bundle in general categories, J. Pure Appl. Alg. 56 (1989) 233--245

73. A. G. Kurosh, Direct decompositions in algebraic categories (Russian),
Trudy Mosk. Mat. Obščestva. 8 (1959) 391-412

74. F.W. Lawvere, Functorial semantics of algebraic theories, Proc. Nat. Acad. Sci. U.S.A. 50 (1963) 869-873

75. F.W. Lawvere, R. Rosebrugh, Sets for mathematics, Cambridge University Press (2002)

76. F.W. Lawvere, S.H. Schanuel, Conceptual Mathematics, Buffalo
Workshop preprint (1994)

77. F.E.J. Linton, An outline of functorial semantics, Spinger Lect. Notes
Math. __80__ (1969) 7--52

78. F.E.J. Linton, Applied functorial semantics, Springer LNM __80__ (1969) 53-74

79. S. Mac Lane, Homology, Springer Verlag (1963)

80. S. Mac Lane, Categories for the working mathematician, 2nd edition,
Springer Verlag (1998)

81. S. Mac Lane, I. Moerdijk, [[Sheaves in Geometry and Logic]], Universitext,
Springer Verlag (1992)

82. A. I. Mal'cev, On the general theory of algebraic systems, Mat. Sbornik N. S. 35 (1954) 3-20

83. G. Orzech, Obstruction theory in algebraic categories, I and H, J. Pure Appl. Alg. 2 (1972) 287-340

84. M. C. Pedicchio, Maltsev categories and Maltsev operations, J. Pure Appl. Alg. 98 (1995) 67-71

85. M. C. Pedicchio, A categorical approach to commutator theory, J. Algebra
17'7' (1995) 647-657

86. M. C. Pedicchio, Arithmetical categories and commutator theory, Appl.
Categorical Structures 4 (1996) 297-305

87. R.S. Pierce, Modules over commutativc regular rings, Mere. Am. Math. Soc. 70 (1967)

88. A. F. Pixley, Distributivity and permutability of congruences in equational classes of algebras, Proc. Amer. Math. Soc. 14 (1963) 105-109

89. J. D. H. Smith, Mal'cev varieties, Springer Lect. Notes in Math. 554 (1976)

90. J. D. H. Smith, Centrality, Abstract of the Amer. Math. Soc. I (1980) 774-821

91. J. D. H. Smith, On the characterization of Maltsev and Jdnsson-Tarski
algebras, Preprint Iowa State Univ. (2001)

92. M. S. Tsalenko, _Correspondences over a quasi-exact category_ (Russian),
Mat. Sbornik __73__ (1967) 564-584

93. A. Ursini, _On subtractive varieties, I_, Algebra Universalis __31__ (1994) 204-222

94. A. Ursini, _On subtractive varieties, V: congruence modularity and commutators_, Algebra Universalis 43 (2000) 51-78

95. V.V. Uspenskii, _The Mal'tsev operation on countably compact spaces_, Comment. mat. Univ. Carolinæ 30 (1989) 395-402


category: reference

[[!redirects Borceux-Bourn]]
[[!redirects Borceux–Bourn]]
[[!redirects Borceux--Bourn]]
[[!redirects Mal'cev, protomodular, homological and semi-abelian categories]]