
__Maxim Kontsevich__ (also _Максим Концевич_, born 1964 August 25) is a Russian-French mathematician, a Professor at [IHES](http://www.ihes.fr), a recipient of the [1998 Fields Medal](http://159.226.47.99:8080/general/prize/medal/1998.htm), the 2008 Crafoord Prize, the 2012 Shaw prize and the new prize for fundamental physics 2012. 

* wikipedia [English](http://en.wikipedia.org/wiki/Maxim_Kontsevich), [German](http://de.wikipedia.org/wiki/Maxim_Lwowitsch_Konzewitsch)

* [official CV page](http://193.51.104.7/~maxim/CVAnglais.html), [autobiography](http://www.shawprize.org/en/shaw.php?tmp=3&twoid=92&threeid=210&fourid=352&fiveid=173)

Othe resources include

* Lecture: [[wall crossing in Aarhus 2010]]
* Introductory Lecture: [Calabi-Yau Motives](https://www.youtube.com/watch?v=0M-jXPi_t1I), 2015 Breakthrough Prize in Mathematics Symposium

The [Fields Medal 1998](http://159.226.47.99:8080/general/prize/medal/1998.htm) was awarded for solutions of "four problems in geometry" concerning the subjects: 

1. [[intersection theory]] on [[compactification|compactified]] [[moduli spaces]] $\mathcal{M}_{g,n}$ of punctured [[Riemann surfaces]] and the [[Witten conjecture]] (obtained by relating two 2d [[string]]/[[quantum gravity]] models), 

1. [[knot invariants]], 

1. [[deformation quantization]] 

   Kontsevich's formula for the [[formal deformation quantization]] of any [[Poisson manifold]] given by the [[n-point function|3-point function]] of [[open strings]] in the [[Poisson sigma-model]]

1. [[quantum cohomology]]/[[mirror symmetry]];

   Kontsevich's work for formulating [[mirror symmetry]] in [[string theory]] by means of [[A-infinity categories]] as an equivalence of formalizations of [[topological string]] [[quantum field theory]] now known as _[[TCFT]]_ formulations of the [[A-model]] and the [[B-model]]:

Cf. T. R. Ramadas, _The Work of The Fields
Medallists: 1998; 3. Maxim Kontsevich_, [pdf](http://www.ias.ac.in/resonance/July1999/pdf/July1999ResearchNews.pdf)

Some of the articles of MK can be found at [the arXiv](http://arxiv.org/) and most of others at 

* MK's [official publications page](http://193.51.104.7/~maxim/publicationsanglais.html) (there are also several unlisted preprints at [the MPI server](http://www.mpim-bonn.mpg.de/Research/MPIM+Preprint+Series/) from collaboration with [[Alexander Rosenberg]]). 

Much of Kontsevich's work has never been fully written and has been known via his public lectures and communications to other mathematicians; most notably, [[motivic integration]] was introduced in his lecture in 1996 at Orsay and never published by him, though the subject influenced and is present implicitly again in his newer (written) works. He has solved the Witten conjecture on the connection between the [[KdV equation]] and [[quantum gravity]] theory (in terms of [[moduli space]]s of [[Riemann surface]]s; cf. also [[Airy function]]). 

Kontsevich has made contributions to various parts of [[mathematics]] and [[mathematical physics]] which inspired much of his research. One should emphasise his work on the mathematical formulation of [[conformal field theory]] (esp. 1988--1992 and again from 2002 in connection with the [[stochastic Loewner equation]] with R. Friedrich and Suhov), [[Gromov-Witten invariant]]s (since collaboration with [[Yuri Manin]] in Bonn, early 1990s), [[knot theory]] ([[Vassiliev invariant]]s, [[quantum groups]]), $A_\infty$-[[A-infinity-category|categories]], [[Landau-Ginzburg model]]s in [[algebraic geometry]], the [[AKSZ theory|AKSZ model]] in [[quantum field theory]], introduction of [[formal noncommutative symplectic geometry]] along with ideas about a generalization of formal Lie calculus and [[Koszul duality]] for dg-operads, discovery of [[graph complex]] and [[graph homology]] and its role in various problems of geometry and topology including moduli spaces and a geometric explanation of the origin of [[Rozansky-Witten invariant]]s, fundamental works in [[noncommutative algebraic geometry]], introducing [[homological mirror symmetry]], foundations of [[deformation theory]], work on generalizations of [[determinant]] and [[trace]] for [[linear operator]]s (with Vishik), [[Donaldson-Thomas invariant]]s (with Soibelman), [[tropical geometry]], [[nonabelian Hodge theory]], [[noncommutative motive]]s, various constructions with [[supersymmetry]] (esp. in [[geometry]]), [[derived noncommutative algebraic geometry]] and so on. 

Much of Kontsevich's research is based on insights into the relation between [[classical physics]] and [[quantum physics]] and [[quantization|quantizing]] various constructions even in pure [[mathematics]]. His most famous work in this area includes the _[[Kontsevich formality theorem]]_ solving the problem of [[deformation quantization]] of [[Poisson manifolds]] using [[homological algebra]] and [[operad]]s; this created a number of new directions of research in mathematics. [[quantization|Quantization]] ideas are also present in works related to the [[geometry]] of [[Weyl algebra]], including the progress on the [[Jacobian conjecture]]. In addition to finished results, Kontsevich introduced a number of stimulating conjectures which strongly influence modern mathematics.  


category: people

[[!redirects Maxim Kontsevich]]
[[!redirects Maksim Kontsevich]]
[[!redirects M. Kontsevich]]
[[!redirects Maksim Koncevič]]
[[!redirects Максим Концевич]]
[[!redirects Kontsevich]]
[[!redirects Koncevič]]
[[!redirects Концевич]]
