
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Group Theory
+-- {: .hide}
[[!include group theory - contents]]
=--
#### Representation theory
+-- {: .hide}
[[!include representation theory - contents]]
=--
#### Lie theory
+--{: .hide}
[[!include infinity-Lie theory - contents]]
=--
#### Differential geometry
+--{: .hide}
[[!include synthetic differential geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Definition

Given a [[Lie group]] $G$, it [[action|acts]] smoothly on the [[dual vector space|dual]] $g^*$ of its [[Lie algebra]] $g$ by the _[[coadjoint action]]_.  The [[orbit|orbits]] of that [[action]] are called __coadjoint orbits__. 

Coadjoint orbits are especially important in the [[orbit method]] of [[representation theory]] or, more generally, [[geometric quantization]].

Sometimes coadjoint orbits are studied in the infinite-dimensional case (for example in study of [[Virasoro algebra]]). 


## Properties

### As symplectic leafs of the Lie-Poisson structure

The dual $g^*$ of a (say finite-dimensional real) [[Lie algebra]] has a structure of a [[Poisson manifold]] with the Poisson structure due to A. Kirillov and Souriau, called the _[[Lie-Poisson structure]]_, namely for any $a\in g^*$, 

$$
\{ f, g\}(a) := \langle [d f_a, d g_a],a\rangle
$$


The coadjoint orbits are the [[symplectic leaves]] of that structure; hence each orbit is a [[symplectic manifold]].

## Related concepts

* [[orbit method]]

* [[flag variety]], [[coset space]]

* [[Schubert calculus]]

## References

* B. C., _The Structure of the Space of Coadjoint Orbits of an Exponential Solvable Lie Group_, ransactions of the American Mathematical Society
Vol. 332, No. 1 (Jul., 1992), pp. 241-269, ([JSTOR](http://www.jstor.org/stable/2154031))


[[!redirects coadjoint orbits]]