This entry is about the text

* [[Alexander Grothendieck]], _Éléments de géométrie algébrique_ ([numdam](http://www.numdam.org/numdam-bin/recherche?au=Grothendieck&format=short))


#Contents#
* table of contents
{:toc}

##EGA

EGA stands for _Éléments de géométrie algébrique_ (Elements of algebraic geometry), which was written by [[Alexandre Grothendieck]] and co-edited with [[Jean Dieudonne|Jean Dieudonné]]. These volumes (and a list is given below) were among his many works attempting to build the foundations for [[algebraic geometry]] in the language of [[schemes]]. They were preceded by FGA and were followed up by the SGA, more details of these can be found below.

The published part of _EGA_ is in Publ. IHÉS, now free online at [numdam](http://www.numdam.org/numdam-bin/recherche?au=Grothendieck&format=short) (detailed links to chapters, and their contents will be added here later, see also below for a list of the volumes in the series). We plan to list here the grand plan and some remarks and links.

###List of volumes of EGA

Note that there is a chapter 0 that continues at the beginning of each chapter, establishing preliminaries from [[topology]], [[category theory]], [[commutative algebra]], [[homological algebra]], etc.

* I. Le langage des schémas, 
Inst. Hautes Études Sci. Publ. Math. 4 (1960), 5–228. Ch. 0.§1–7 ; Ch I.§1–10. 

* II. Étude globale élémentaire de quelques classes de morphismes, 
Inst. Hautes Études Sci. Publ. Math. 8 (1961), 5–222. Ch. II.§1–8.

* III_1. Étude cohomologique des faisceaux cohérents (Première partie) 
Inst. Hautes Études Sci. Publ. Math. 11 (1961), 5–167. Ch. 0.§8–13 ; Ch.III.§1–5. 

* III_2. Étude cohomologique des faisceaux cohérents (Seconde partie) 
Inst. Hautes Études Sci. Publ. Math. 17 (1963), 5–91. Ch. III .§6–7. 

* IV_1. Étude locale des schémas et des morphismes de schémas (Première partie) 
Inst. Hautes Études Sci. Publ. Math. 20 (1964), 5–259. Ch.0.§14–23 ; Ch. IV.§1. 

* IV_2. Étude locale des schémas et des morphismes de schémas (Seconde partie) 
Inst. Hautes Études Sci. Publ. Math. 24 (1965), 5–231. Ch. IV2.§2–7 . 

* IV_3. Étude locale des schémas et des morphismes de schémas (Troisième partie) 
Inst. Hautes Études Sci. Publ. Math. 28 (1966), 5–255. Ch. IV.§8–15. 

* IV_4. Étude locale des schémas et des morphismes de schémas (Quatrième partie) 
Inst. Hautes Études Sci. Publ. Math. 32 (1967), 5–361. Ch.IV.§16–21. 

There was a second edition of EGA I:

* I. Le langage des schémas. (2nd ed.)
Grundlehren der Mathematischen Wissenschaften (1971). 166. Springer-Verlag.

In this edition, the term "prescheme" (now outdated but used in the first edition for what we now call schemes) was replaced by "scheme", and the term "scheme" became [[separated scheme]].  Also, there was a transition to the [[functor of points]] approach to scheme theory.

### EGA V and beyond

EGA was never completed. The listed volumes I-IV are just a part of the original plan. Grothendieck outlined what was meant to be in chapters V-VII, at least, and some handwritten prenotes existed for a small part of those. See e.g. these prenotes for some parts of [EGA V](http://www.jmilne.org/math/Documents/EGA-V.pdf).

[Wikipedia](http://en.wikipedia.org/wiki/%C3%89l%C3%A9ments_de_g%C3%A9om%C3%A9trie_alg%C3%A9brique) lists the titles of planned chapters I-XIII.

##The other series:

###FGA (Fondements de la Géometrie Algébrique)

 The earliest of the series is _FGA_ written alone at the end of the 1950s; it is sort of quick outline of the theory and some deep results with proofs at the beginning of the period of the development of [[scheme theory]]. A modern version of the material in FGA appeared as a book [[FGA explained]] (ICTP, Trieste 2003--2005). The original is available [here](http://www.math.jussieu.fr/~leila/grothendieckcircle/FGA.pdf).


###SGA (Séminaire de Géométrie Algébrique du Bois Marie)

(Bois Marie is the name of an area of woodland at Bures-sur-Yvette, where the [[math institutions|IHÉS]] is situated.)

 _SGA_ consists of the writeups of seminars at IHÉS lead by Grothendieck; the work of the members of the seminar under the guidance of Grothendieck are included. In $n$lab we have pages on  [[SGA1]], and [[SGA4]]. 

The [Wikipedia entry](http://en.wikipedia.org/wiki/S%C3%A9minaire_de_G%C3%A9om%C3%A9trie_Alg%C3%A9brique_du_Bois_Marie) lists all of the seminars.

[[Pierre Deligne]] edited a supplementary volume  _SGA $4\frac{1}{2}$_ comprisings parts of [[SGA5]], his own articles proving new results and some substantially rewritten and expanded material exposed in less satisfactory form in SGA5 (these results were used for his proof of the [[Weil conjecture]]s which appeared before SGA5).

An ongoing project aims to retype the SGA volumes in TeX.
So far the following volumes have been retyped:

- [SGA 1](http://arxiv.org/abs/math/0206203) - Edited by B. Edixhoven, 2004
- [SGA 2](http://arxiv.org/abs/math/0511279) - Edited by Y. Laszlo, 2004
- [SGA 3](http://webusers.imj-prg.fr/~patrick.polo/SGA3/) - Edited by P. Gilles and P. Polo, 2011
- SGA 4 - Edited by Y. Laszlo.
[Part 1](http://www.math.polytechnique.fr/~laszlo/sga4/SGA4-1/sga41.pdf),
[Part 2](http://www.math.polytechnique.fr/~laszlo/sga4/SGA4-2/sga42.pdf),
[Part 3](http://www.math.polytechnique.fr/~laszlo/sga4/SGA4-3/sga43.pdf).

##References

There are Wikipedia entries

* Wikipedia, [Éléments de géométrie algébrique](http://en.wikipedia.org/wiki/%C3%89l%C3%A9ments_de_g%C3%A9om%C3%A9trie_alg%C3%A9brique)

* Wikipedia, [Séminaire de Géométrie Algébrique du Bois Marie](http://en.wikipedia.org/wiki/S%C3%A9minaire_de_g%C3%A9om%C3%A9trie_alg%C3%A9brique)

* Wikipedia, [Fondements de la Géometrie Algébrique](http://en.wikipedia.org/wiki/Fondements_de_la_G%C3%A9ometrie_Alg%C3%A9brique)

EGA and the other published texts of Grothendieck are available from

* [[Grothendieck Circle]], [Scans of published texts](http://www.math.jussieu.fr/~leila/grothendieckcircle/pubtexts.php).

and some of the EGA and SGA links are at this [html](http://www.cmls.polytechnique.fr/perso/chambert/DJVU/index.html).

David Madore has prepared a detailed table of contents of EGA:

* [Detailed table of contents of EGA](http://www.dma.ens.fr/~madore/ega-toc.pdf)

A translated table of contents has been prepared by Mark Haiman, available at

* [[Mark Haiman]], [English translation of table of contents of EGA](http://math.berkeley.edu/~mhaiman/math256/EGA-contents.pdf)

along with synopsises, in English, of many sections at

* [[Mark Haiman]], [English synopsises of most of EGA I and II](http://math.berkeley.edu/~mhaiman/math256/)

Daniel Murfet has written notes for parts of EGA, see

* [[Daniel Murfet]], [The Rising Sea](http://therisingsea.org/?page_id=3)

[[!redirects SGA]]
[[!redirects FGA]]
[[!redirects Éléments de géométrie algébrique]]
[[!redirects Elements de geometrie algebrique]]
[[!redirects Elements of algebraic geometry]]

category: reference