

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cobordism theory
+--{: .hide}
[[!include cobordism theory -- contents]]
=--
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

In the context of [[cobordism theory]], a [[generalized cohomology theory]] [[Brown representability theorem|represented]] by a [[Thom spectrum]] is called a _cobordism cohomology theory_. (Dually, the corresponding [[generalized homology theory]] is called _[[bordism homology theory]]_.)

By default "cobordism cohomology" usually refers to what is represented by [[MO]]. 
The cohomology represented by [[MU]] is _[[complex cobordism cohomology]]_. Both are unified by the [[equivariant cohomology theory]] called [[MR-theory]]. The [[periodic cohomology theory]] version is denoted [[MP]].

See at those entries for more.


## Related concepts


* the refinement of cobordism cohomology theory to [[differential cohomology]] is [[differential cobordism cohomology]].

* [[cobordism theory determining homology theory]]

* [[MR-theory]]

* [[MP-theory]]

* [[equivariant complex cobordism cohomology theory]]

* [[algebraic cobordism]], [[algebraic cobordism spectrum]]

* [[Adams-Novikov spectral sequence]]

[[!include chromatic tower examples - table]]

## References


Original articles include

* {#Milnor60} [[John Milnor]], _On the cobordism ring ­$\Omega^\bullet$ and a complex analogue_, Amer. J. Math. 82 (1960), 505–521.
 
* {#Novikov60} [[Sergei Novikov]], _Some problems in the topology of manifolds connected with the theory of Thom spaces_, Dokl. Akad. Nauk. SSSR. 132 (1960), 1031–1034 (Russian). 

* {#Novikov62} [[Sergei Novikov]], _Homotopy properties of Thom complexes_, Mat. Sb. (N.S.) 57 (99) (1962), 407–442.
 
Textbook accounts include

* {#Stong68} [[Robert Stong]], _Notes on Cobordism theory_, 1968 ([toc pdf](http://pi.math.virginia.edu/StongConf/Stongbookcontents.pdf), [publisher page](http://press.princeton.edu/titles/6465.html))

* {#Rudyak98} [[Yuli Rudyak]], _On Thom spectra, orientability and cobordism_, Springer Monographs in Mathematics, 1998 ([pdf](http://www.maths.ed.ac.uk/~aar/papers/rudyakthom.pdf))

For [[complex cobordism theory]] see the references there. 


[[!redirects cobordism cohomology theories]]

[[!redirects cobordism cohomology]]
[[!redirects cobordism cohomologies]]

[[!redirects cobordism homology theory]]
[[!redirects cobordism homology theories]]

[[!redirects cobordism homology]]
[[!redirects cobordism homologies]]

[[!redirects bordism homology]]
[[!redirects bordism homologies]]

[[!redirects bordism cohomology theory]]
[[!redirects bordism cohomology theories]]


