
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Topos Theory
+--{: .hide}
[[!include topos theory - contents]]
=--
=--
=--

# Contents
* automatic table of contents goes here
{:toc}


## Definition

In intrinsic terms, a [[topos]] is _localic_ if it is generated under [[colimit]]s by the [[subobject]]s of its [[terminal object]] $1$. 

In equivalent but extrinsic terms, a category is a localic topos if it is equivalent to the [[category of sheaves]] on a [[locale]] with respect to the [[coverage|topology]] of jointly epimorphic families (accordingly, every localic topos is a [[Grothendieck topos]]). 

The [[frame]] of [[open set|opens]] specifying the locale may indeed be taken as the [[poset]] of [[subobject]]s of $1$ (i.e., internal [[truth value|truth values]]). From the perspective of logic, localic toposes are those categories which are equivalent to the category of [[partial equivalence relation]]s of the [[tripos]] given by a [[complete Heyting algebra]] (as before, the complete Heyting algebra may be taken as the poset of internal truth values).


## Properties


* A Grothendieck topos $E$ is a localic topos if and only if its unique [[global section]] [[geometric morphism]] to [[Set]] is a [[localic geometric morphism]]. 

  Thus, in general we regard a localic geometric morphism $E \to S$ as exhibiting E as a "localic S-topos".

* Moreover, just as localic topoi can be identified with locales, for any base topos $S$ the [[2-category]] of localic $S$-topoi is equivalent to the 2-category [[Loc]]$(S)$ of [[internalization|internal]] [[locale]]s in $S$.

  $$
    LocTopos(S) \simeq (Topos/S)_{loc} \simeq Loc(S)
    \,.
  $$


  Here $LocTopos(S)$ is the [[2-category]] whose 

  * objects are localic toposes over $S$;

  * morphisms are [[geometric morphism]]s, i.e. [[adjunctions]] in which the left adjoint preserves [[finite limits]], considered as pointing in the direction of their right adjoint; and

  * 2-morphisms are [[mate]]-pairs of [[natural transformation]]s.

  Then the 2-category $LocTopos$ is [[equivalence of categories|equivalent]] to the 2-category $Loc$ of [[locales]] (see C1.4.5 in the [[Elephant]]).  

  The 2-category $Loc$ is actually a [[(1,2)-category]]; its [[2-morphism]] are the pointwise ordering of [[frame]] homomorphisms.  Thus this equivalence implies that $LocTopos$ is also a (1,2)-category, and moreover that it is [[locally small category|locally essentially small]], in the sense that its hom-categories are essentially small.  (The 2-category $Topos$ of all toposes is not locally essentially small.)  Assuming sufficient separation axioms, the hom-posets of $Loc$, and hence $LocTopos$, become discrete.


## Examples

* Obviously, every [[Grothendieck topos]] that is a [[category of sheaves]] on (the [[category of open subsets]] of) a [[topological space]] is localic. 

* Every [[sheaf topos]] over a [[posite]] is localic. (See there for details.)

Many familiar toposes $E$, even when they are not localic, can be covered by a localic [[over topos|slice]] $E/X$ ("covered" means the unique map $X \to 1$ is an epi). For example, if $G$ is a group, then $E = Set^G$ is not itself localic, but it has a localic slice $Set^G/G \simeq Set$ that covers it. Such a topos is called an _etendue_ (see Lawvere's 1975 monograph Variable Sets Etendu and Variable Structure in Topoi).[^fine] 

[^fine]: The 'etendu' in the title of Lawvere's monograph might not be a misspelled noun, but an adjective as part of a back translation of a (hypothetical) French expression 'ensembles &eacute;tendus'. See this [nForum thread](http://nforum.mathforge.org/discussion/5805/etendue/) for some discussion and speculation on this point. 

A significant result due to Joyal and Tierney is that for any Grothendieck topos $E$, there exists an open surjection $F \to E$ where $F$ is localic. This fact is reproduced in Mac Lane and Moerdijk's text _Sheaves in Geometry and Logic_ (section IX.9), where the localic cover taken is the _Diaconescu cover_ of $E$. 

* Then, using methods of descent theory, Joyal and Tierney deduce that every Grothendieck topos is equivalent to the category $B G$ of continuous discrete representations of a [[localic groupoid]] $G$. (Their result is relativized so as to hold internally over any Grothendieck topos $S$ as base.) This should be regarded as a major extrapolation of Grothendieck's [[Galois theory]] (as in [[SGA]] 1), where it is shown that the [[etale topos]] of a field $k$ is equivalent to the category of continuous discrete representations of the fundamental [[pro-group]] $Gal(\bar{k}/k)$, where $\bar{k}$ denotes the separable closure of $k$. It was a watershed event for the penetration of localic methods in topos theory. 


## Generalizations

In the context of [[(∞,1)-topos]] [[Higher Topos Theory|theory]] there is a notion of [[n-localic (∞,1)-topos]].

Notice that a [[locale]] is itself a (Grothendieck) [[(0,1)-topos]]. Hence a localic topos is a 1-[[topos]] that behaves essentially like a [[(0,1)-topos]]. In the wider context this would be called a [[n-localic (infinity,1)-topos|1-localic (1,1)-topos]].

## Related concepts

* [[spatial topos]]

* [[n-localic (∞,1)-topos]]

* [[n-localic 2-topos]]

## References

Localic toposes are discussed around proposition 1.4.5 of section C.1.4 of 

* [[Peter Johnstone]], _[[Sketches of an Elephant]]_

[[!redirects localic topos]]
[[!redirects localic toposes]]
[[!redirects localic topoi]]
