A **Kapranov--Voevodsky 2-vector space** is a kind of [[2-vector space]], in this case a [[category]] [[equivalence of categories|equivalent]] to [[Vect]]${}^n$ for some finite $n$.  For details, see:

* [[Mikhail Kapranov]] and [[Vladimir Voevodsky]], 2-categories and
Zamolodchikov tetrahedra equations, in _Algebraic Groups and
Their Generalizations: Quantum and Infinite-Dimensional Methods_, _Proc. Sympos. Pure Math._ **56**, Part 2, AMS, Providence, RI, 1994, pp. 177--259.

* Josep Elgueta, A strict totally coordinatized version of Kapranov and Voevodsky's 2-category $2Vect$.  ([arXiv](http://arxiv.org/abs/math/0406475))

There is also a more abstract characterization of Kapranov--Voevodsky 2-vector spaces, described here:

* Martin Neuchl, [_Representation Theory of Hopf Categories_](http://math.ucr.edu/home/baez/neuchl.ps),
Ph.D. dissertation, University of Munich, 1997.

* [[David Yetter]], [Categorical linear algebra---a setting for questions from physics and low-dimensional topology](http://math.ucr.edu/home/baez/yetter.pdf), Kansas State University preprint.

Namely, they are semisimple $k$-linear [[abelian categories]] with finitely many simple objects.  We may also drop the finiteness condition here to define a class of 'infinite-dimensional' Kapranov--Voevodsky 2-vector spaces.  For further discussion and more references, see:

* [[John Baez]], Aristide Baratin, Laurent Freidel and Derek Wise, Infinite-dimensional representations of 2-groups.  ([arXiv](http://arxiv.org/abs/0812.4969))

[[!redirects Kapranov-Voevodsky 2-vector spaces]]
[[!redirects Kapranov--Voevodsky 2-vector space]]
[[!redirects Kapranov–Voevodsky 2-vector space]]
[[!redirects Kapranov--Voevodsky 2-vector spaces]]
[[!redirects Kapranov–Voevodsky 2-vector spaces]]