
Given a [[set]] $X$, its diagonal is a [[subset]] of its [[cartesian product|cartesian square]] $X^2$, often denoted $\Delta_X$, $I_X$, or an obvious variation.

Specifically, the __diagonal__ of $X$ consists of those pairs of the form $(a,a)$ for $a$ an element of $X$:
$$ \Delta_X = \{ (a,a) | a \in X \} .$$
The term "diagonal" arises because if we arrange the elements of $X^2$ in a [[matrix]] with the rows and columns labeled by elements of $X$ in the same order, then $\Delta_X$ consists precisely of entries along the diagonal of the matrix.

When intepreted as a [[binary relation]], $\Delta_X$ is the [[equality relation]] on $X$.  This relation is both [[functional relation|functional]] and [[entire relation|entire]]; when interpreted as a [[function]], it is the [[identity function]] on $X$.  Note that there is an obvious [[bijection]] $a \mapsto (a,a)$ from $X$ to $\Delta_X$; thus, we can also interpret the diagonal as a [[function]] from $X$ to $X^2$, called the [[diagonal function]].

The concept can be generalised to any [[category]] in which the [[product]] $X^2$ exists; see [[diagonal subobject]].

A [[topological space]] $X$ is [[Hausdorff space|Hausdorff]] if and only if its diagonal is a [[closed subspace]] of $X^2$; this fact can be generalised to other notions of [[space]].

The [[characteristic function]] of the diagonal subset is the [[Kronecker delta]].
