Given a [[set]] $X$, its diagonal function is a [[function]] from $X$ to its [[cartesian product|cartesian square]] $X^2$, often denoted $\Delta_X$, $\check{X}$, or an obvious variation.

Specifically, the __diagonal function__ of $X$ maps an element $a$ of $X$ to the pair $(a,a)$:
$$ \Delta_X = \{ a \mapsto (a,a) \} .$$
Note that this map is an [[injection]], so it defines a [[subset]] of $X^2$, also called the [[diagonal subset|diagonal]] of $X$; this is the origin of the term.

The concept can be generalised to any [[category]] in which the [[product]] $X^2$ exists; see [[diagonal morphism]].

A [[topological space]] $X$ is [[Hausdorff space|Hausdorff]] if and only if its diagonal function is a [[closed map]]; this fact can be generalised to other notions of [[space]].

The [[characteristic function]] of the diagonal function is the [[Kronecker delta]].


[[!redirects diagonal map]]