**[[higher category theory]]**

* [[category theory]]
* [[homotopy theory]]


## Basic concepts

* [[k-morphism]], [[coherence]]
* [[looping and delooping]]
* [[stabilization|looping and suspension]]

## Basic theorems

* [[homotopy hypothesis]]-theorem
* [[delooping hypothesis]]-theorem
* [[periodic table]]
* [[stabilization hypothesis]]-theorem
* [[michaelshulman:exactness hypothesis]]
* [[holographic principle of higher category theory|holographic principle]]


## Applications

* [[applications of (higher) category theory]]
* [[higher category theory and physics]]

## Models

* [[(n,r)-category]]
  * [[Theta-space]]
  * [[∞-category]]/[[ω-category]]
  * [[(∞,n)-category]]
    * [[n-fold complete Segal space]]
  * [[(∞,2)-category]]
  * [[(∞,1)-category]]
    * [[quasi-category]]
      * [[algebraic quasi-category]]
    * [[simplicially enriched category]]
    * [[complete Segal space]]
    * [[model category]]
  * [[(∞,0)-category]]/[[∞-groupoid]]
    * [[Kan complex]]
      * [[algebraic Kan complex]]
      * [[simplicial T-complex]]
  * [[n-category]] = (n,n)-category
    * [[2-category]], [[(2,1)-category]]
    * [[1-category]]
    * [[0-category]]
    * [[(−1)-category]]
    * [[(−2)-category]]
  * [[n-poset]] = [[n-poset|(n-1,n)-category]]
    * [[poset]] = [[(0,1)-category]]
    * [[2-poset]] = [[(1,2)-category]]
  * [[n-groupoid]] = (n,0)-category
    * [[2-groupoid]], [[3-groupoid]]
* [[categorification]]/[[decategorification]]
* [[geometric definition of higher category]]
  * [[Kan complex]]
  * [[quasi-category]]
  * [[simplicial model for weak ω-categories]]
    * [[complicial set]]
    * [[weak complicial set]]
* [[algebraic definition of higher category]]
  * [[bicategory]]
  * [[bigroupoid]]
  * [[tricategory]]
  * [[tetracategory]]
  * [[strict ω-category]]
  * [[Batanin ω-category]]
  * [[Trimble n-category|Trimble ω-category]]
  * [[Grothendieck-Maltsiniotis ∞-categories]]
* [[stable homotopy theory]]
  * [[symmetric monoidal category]]
  * [[symmetric monoidal (∞,1)-category]]
  * [[stable (∞,1)-category]] 
    * [[dg-category]]
    * [[A-∞ category]]
    * [[triangulated category]]

## Morphisms

* [[k-morphism]]
  * [[2-morphism]]
* [[transfor]]
  * [[natural transformation]]
  * [[modification]]

## Functors

* [[functor]]
* [[2-functor]]
  * [[pseudofunctor]]
  * [[lax functor]]
* [[(∞,1)-functor]]

## Universal constructions

* [[2-limit]]
* [[adjoint (∞,1)-functor|(∞,1)-adjunction]]
* [[(∞,1)-Kan extension]]
  * [[limit in a quasi-category|(∞,1)-limit]]
* [[(∞,1)-Grothendieck construction]]

## Extra properties and structure
 
* [[cosmic cube]]
  * [[k-tuply monoidal n-category]]  
  * [[strict ∞-category]], [[strict ∞-groupoid]]
* [[stable (∞,1)-category]]
* [[(∞,1)-topos]]


## 1-categorical presentations

* [[homotopical category]]
* [[model category|model category theory]]
* [[enriched category theory]]


<div markdown="1">[Edit this sidebar](/nlab/edit/higher+category+theory+-+contents)</div>