

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### Fields and quanta
+--{: .hide}
[[!include fields and quanta - table]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

[[physics|Physical]] bodies interact. The effects of binary interactions between point particles are known to be summarizable in vector quantities called __forces__ applied to any body in an interaction; namely the forces on one body from each of several other bodies add up as [[vector|vectors]] and such vector sum of forces on the body is proportional to the acceleration of the body (hence [[Newton's laws|Newton's second law]] $F = m a$ is *not* a definition of force but a real law).

Thus force is a vector-like quantity which is a manifestation of the interaction between bodies. If body $A$ acts with force $F$ on body $B$ then $B$ acts on $A$ with the force $-F$ of the opposite vector value. These two forces do not cancel as they act on different bodies and at different points in space, though they are along the same line.

Sometimes one abstracts the forces on a system of bodies from the background by "[[potential energy]]" of the particles. Then the background acts on each particle with a force equal to the negative gradient of the potential energy.

In quantum field theory the forces appear mediated by [[particle|particles]] which get exchanged between the bodies in interaction. For example, the [[strong nuclear force]] is mediated by [[gluon|gluons]]. There are 4 known fundamental forces in nature and all others are derived from them: the [[electromagnetic force|electromagnetic]], [[weak nuclear force|weak]], strong and [[gravity|gravitational]] force; and the first three are unified in the [[standard model of particle physics]].

In nuclei there are also effective forces which are not of vector but of [[tensor]]ial nature, and effective forces involving more than two bodies. But such quantum systems are far from classical mechanical systems.


## Related concepts

* [[gauge field]]

* [[Lorentz force]]

* [[gravity]], 

* [[electroweak field]], [[weak nuclear force]], [[strong nuclear force]]

* [[matter]]

* [[entropic force]]

[[!redirects force]]
[[!redirects forces]]

[[!redirects force field]]
[[!redirects force fields]]
