
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Topology
+--{: .hide}
[[!include topology - contents]]
=--
#### Mapping space
+--{: .hide}
[[!include mapping space - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A natural [[topology]] on [[mapping spaces]] of [[continuous functions]], important because of its role in exhibiting [[locally compact topological spaces]] to be [[exponential object|exponentiable]], as demonstrated below, culminating in Corollary \ref{GivesExponentialObject}.

The compact-open topology on the set of [[continuous functions]] $X \to Y$ is generated by the [[base of a topology|subbasis]] of subsets $U^K \subset C(X,Y)$ that map a given [[compact subspace]] $K \subset X$ to a given [[open subset]] $U \subset Y$, whence the name.

When restricting to continuous functions between [[compactly generated topological spaces]] one usually modifies this definition to a subbase of open subsets $U^{\phi(K)}$, where now $\phi(K)$ is the [[image]] of a [[compact topological space]] under any continuous function $\phi \colon K \to X$. This definition gives a [[cartesian closed category|cartesian]] [[internal hom]] in the category of [[compactly generated topological spaces]] (see also at _[[convenient category of topological spaces]]_).

The two definitions agree when the [[domain]] $X$ is a [[compactly generated topological space|compactly generated]]  [[Hausdorff space]], but not in general. Beware that texts on compactly generated spaces nevertheless commonly say "compact-open topology" for the second definition.




## Definition

+-- {: .num_note}
###### Notation

Let $(X, \mathcal{O}_{X})$ and $(Y, \mathcal{O}_{Y})$ be [[topological spaces]]. We denote by $Y^{X}$ the set of [[continuous maps]] from $(X,\mathcal{O}_{X})$ to $(Y, \mathcal{O}_{Y})$. 

=--

+-- {: .num_remark}
###### Remark 

Other common notations for $Y^{X}$ are $Map(X,Y)$ or $C(X,Y)$. 

=--

+-- {: .num_note}
###### Notation

Let $(X, \mathcal{O}_{X})$ be a [[topological space]]. We denote by $\mathcal{O}^{c}_{X}$ the set of subsets of $X$ which are [[compact subset|compact]] with respect to $\mathcal{O}_{X}$.

=--

+-- {: .num_note}
###### Notation

Let $(X, \mathcal{O}_{X})$ be a [[topological space]]. Let $A$ be a subset of $X$. We denote by $\overline{A}$ the [[topological closure]] of $A$ in $X$ with respect to  $\mathcal{O}_{X}$.

=--

+-- {: .num_defn #LocallyCompact}
###### Definition 

A topological space $(X, \mathcal{O}_{X})$ is _[[locally compact topological space|locally compact]]_ if the set of compact neighbourhoods   of points of $X$ form a [[neighbourhood basis]] of $X$. That is to say: for every $x \in X$ and every [[neighbourhood]] $N$ of $x$, there is a $V \in \mathcal{O}^{c}_{X}$ and a $U \in \mathcal{O}_{X}$ such that $x \in U \subset V \subset N$.

=--

+-- {: .num_remark}
###### Remark

There are many variations on this definition, which can be found at _[[locally compact space]]_. These are all equivalent if $(X, \mathcal{O}_{X})$ is [[Hausdorff space|Hausdorff]]. We do _not_ however make the assumption that $(X, \mathcal{O}_{X})$ is [[Hausdorff space|Hausdorff]]. 

=--

+-- {: .num_note}
###### Notation

Let $(X, \mathcal{O}_{X})$ and $(Y, \mathcal{O}_{Y})$ be [[topological spaces]]. Given $A \in \mathcal{O}^{c}_{X}$ and $U \in \mathcal{O}_{Y}$, we denote by $M_{A,U}$ the set of continuous maps $f : X \rightarrow Y$ such that $f(A) \subset U$.

=--

+-- {: .num_defn #CompactOpenTopology}
###### Definition

Let $(X, \mathcal{O}_{X})$ and $(Y, \mathcal{O}_{Y})$ be [[topological spaces]]. The _compact-open_ topology on $Y^{X}$ is that with [[base of a topological space|sub-basis]] given by the set of sets $M_{A,U}$ such that $A \in \mathcal{O}^{c}_{X}$ and $U \in \mathcal{O}_{Y}$. 

=--

+-- {: .num_note #CompactOpenTopologyNotation}
###### Notation

Let $(X, \mathcal{O}_{X})$ and $(Y, \mathcal{O}_{Y})$ be [[topological spaces]]. We shall denote the compact-open topology (def. \ref{CompactOpenTopology}) on $Y^{X}$ by $\mathcal{O}_{Y^{X}}$.  

=--

## Exponentiability
 {#Exponentiability}

+-- {: .num_prop}
###### Proposition 

Let $(X, \mathcal{O}_{X})$ be a locally compact topological space, def. \ref{LocallyCompact}, and let $(Y, \mathcal{O}_{Y})$ be a [[topological space]]. The map $ev : X \times Y^{X} \rightarrow Y$ given by $(x,f) \mapsto f(x)$ is continuous, where $X \times Y^{X}$ is equipped with the [[product topology]] $\mathcal{O}_{X \times Y^{X}}$ with respect to $\mathcal{O}_{X}$ and $\mathcal{O}_{Y^{X}}$ (notation \ref{CompactOpenTopologyNotation}). 

=--

+-- {: .proof}
###### Proof

By an elementary fact concerning continuous maps, it suffices to show that for any $(x,f) \in X \times Y^{X}$, and any $U \in \mathcal{O}_{Y}$ such that $f(x) \in U$, there is a $U' \in \mathcal{O}_{X \times Y^{X}}$ such that $(x,f) \in U'$, and such that $ev(U') \subset U$. 

To demonstrate this, we make the following observations.

1) Since $f$ is continuous, we have that $f^{-1}(U) \in \mathcal{O}_{X}$. 

2) Since $(X, \mathcal{O}_{X})$ is locally compact, we deduce from 1) that there is a $V \in \mathcal{O}^{c}_{X}$ and a $U'' \in \mathcal{O}_{X}$ such that $x \in U'' \subset V \subset f^{-1}(U)$. 

3) By 2) and by definition of $\mathcal{O}_{X \times Y^{X}}$ and $\mathcal{O}_{Y^{X}}$, we have that $U'' \times M_{V, U} \in \mathcal{O}_{X \times Y^{X}}$, and that $(x,f) \in U'' \times M_{V, U}$. 

4)  Let $(x',f') \in U'' \times M_{V, U}$, Since $x' \in U''$, and since $f'(U'') \subset f'(V) \subset U$, the latter inclusion holding by definition of $M_{V, U}$, we have that $f'(x) \in U$. We deduce that $ev(V \times M_{ V, U}) \subset U$.

By 3) and 4), we see that we can take $U'$ as the beginning of the proof to be $U'' \times M_{V , U}$. 

=--

+-- {: .num_prop #alphafIsContinuous}
###### Proposition 

Let $(X, \mathcal{O}_{X})$, $(Y, \mathcal{O}_{Y})$, and $(Z, \mathcal{O}_{Z})$ be [[topological spaces]]. Let $f : X \times Y \rightarrow Z$ be a continuous map, where $X \times Y$ is equipped with the [[product topology]] $\mathcal{O}_{X \times Y}$ with respect to $\mathcal{O}_{X}$ and $\mathcal{O}_{Y}$. Then the map $\alpha_{f} : X \rightarrow Z^{Y}$ given by $x \mapsto f_{x}$ is continuous, where $f_{x} : Y \rightarrow Z$ is given by $y \mapsto f(x,y)$, and where $Z^{Y}$ is equipped with the compact-open topology $\mathcal{O}_{Z^{Y}}$. 

=--

+-- {: .proof}
###### Proof

By an elementary fact concerning continuous maps, it suffices to show that for any $x \in X$, and any $M_{A,U} \in \mathcal{O}_{Z^{Y}}$ such that $f_{x} \in M_{A,U}$, there is a $U' \in \mathcal{O}_{X}$ such that $x \in U'$, and such that $\alpha_{f}( U' ) \subset M_{A,U}$. 

To demonstrate this, we make the following observations.

1) Since $f_{x} \in M_{A,U}$, we have, by definition of $f_{x}$ and by definition of $M_{A,U}$, that $f(x,a) \in U$ for all $a \in A$. 

2) Since $f$ is continuous, we have that $f^{-1}(U) \in \mathcal{O}_{X \times Y}$. 

3) By 1), we have that $\{x\} \times A \subset f^{-1}(U)$. 

4) Let $\mathcal{O}_{X \times A}$ denote the [[subspace topology]] on $X \times A$ with respect to $\mathcal{O}_{X \times Y}$. By 2), we have that $f^{-1}(U) \cap (X \times A) \in \mathcal{O}_{X \times A}$. 

5) By 3), we have that $\{x \} \times A \subset f^{-1}(U) \cap (X \times A)$. 

6) Since $A \in \mathcal{O}^{c}_{Y}$, it follows from 4), 5), and the [[tube lemma]] that there is a $U' \in \mathcal{O}_{X}$ such that $x \in U'$ and such that $U' \times A \subset f^{-1}(U) \cap (X \times A) \subset f^{-1}(U)$.

7)  We deduce from 6) that $f(U' \times A) \subset U$. This is the same as to say that $f_{x'}(a) \in U$ for all $x' \in U'$. Thus $f_{x'}$ belongs to $M_{A,U}$ for all $x' \in U'$, which is the same as to say that $\alpha_{f}(U') \subset M_{A,U}$.

We conclude that we can take the required $U'$ of the beginning of the proof to be the $U'$ of 6).

=--

+-- {: .num_prop #alphainvfIsContinuous}
###### Proposition 

Let $(X, \mathcal{O}_{X})$, $(Y, \mathcal{O}_{Y})$, and     $(Z, \mathcal{O}_{Z})$ be [[topological spaces]]. Suppose that $(X, \mathcal{O}_{X})$ is locally compact. Let $f : X \rightarrow Z^{Y}$ be a continuous map, where $Z^{Y}$ is equipped with the compact-open topology $\mathcal{O}_{Z^{Y}}$. Then the map $\alpha^{-1}_{f} : X \times Y \rightarrow Z$ given by $(x,y) \mapsto \big( f(x) \big)(y)$ is continuous, where $X \times Y$ is equipped with the [[product topology]] $\mathcal{O}_{X \times Y}$. 

=--

+-- {: .proof}
###### Proof

We make the following observations.

1) We have that $\alpha^{-1}_{f} = ev \circ \tau \circ (f \times id)$, where $\tau : Z^{Y} \times Y \rightarrow Y \times Z^{Y}$ is given by $(f,y) \mapsto (y,f)$.

2) By Proposition \ref{alphafIsContinuous}, we have that $ev$ is continuous. 

3) It is an elementary fact that $\tau$ is continuous. 

4) Since $f$ is continuous, it follows by an elementary fact that $f \times id$ is continuous. 

5) We deduce from 2) - 4) that $ev \circ \tau \circ (f \times id)$ is continuous. By 1), we conclude that $\alpha^{-1}_{f}$ is continuous.

=--

+-- {: .num_cor #GivesExponentialObject}
###### Corollary

Let $(X, \mathcal{O}_{X})$ and $(Y, \mathcal{O}_{Y})$  be [[topological spaces]]. Suppose that $(X, \mathcal{O}_{X})$ is locally compact. Then $(Y^{X}, \mathcal{O}_{Y^{X}})$ together with the corresponding map $ev$ defines an [[exponential object]] in the [[category]] [[Top]] of all topological spaces.

=--

+-- {: .proof}
###### Proof

Follows immediately from Proposition \ref{alphafIsContinuous}, Proposition \ref{alphainvfIsContinuous}, and the fact that $Y^{X}$ and $ev$ are exhibited by the corresponding maps $\alpha_{-}$ and  $\alpha^{-1}_{-}$ of Proposition \ref{alphafIsContinuous} and Proposition \ref{alphainvfIsContinuous} to define an exponential object in the category $\mathsf{Set}$ of sets.

=--

+-- {: .num_remark}
###### Remark

A proof can also be found in [Aguilar-Gitler-Prieto 02, prop. 1.3.1](#AguilarGitlerPrieto02), or just about any half-decent textbook on point-set topology!  

However, the result is almost universally stated with an assumption that $(X,\mathcal{O}_{X})$ is [[Hausdorff space|Hausdorff]] which, as the proof we have given illustrates, is not needed.

=--

+-- {: .num_remark}
###### Remark

We moreover have a homeomorphism $Map(X,Map(Y,Z))\cong Map(X\times Y,Z)$ if in addition $X$ is [[Hausdorff space|Hausdorff]]. See also [[convenient category of topological spaces]].

=--

## Examples

### Maps out of the point space

+-- {: .num_example #MappingSpaceOutOfPoint}
###### Example
**([[mapping space]] construction out of the [[point space]] is the identity)**

The [[point space]] $\ast$  is clearly a [[locally compact topological space]]. Hence for every [[topological space]] $(X,\tau)$ the mapping space $Maps(\ast, (X,\tau))$ exists. This is [[homeomorphism|homeomorphic]]  to the space $(x,\tau)$ itself:

$$
  Maps(\ast, (X,\tau))
    \simeq
  (X,\tau)
  \,.
$$

=--



### Maps into metric spaces

If $Y$ is a [[metric space]] then the compact-open topology on $Map(X,Y)$ is the _topology of uniform convergence on compact subsets_ in the sense that $f_n \to f$ in $Map(X,Y)$ with the compact-open topology iff for every compact subset $K\subset X$, $f_n \to f$ uniformly on $K$. If (in addition) the domain $X$ is compact then this is the _[[topology of uniform convergence]]_.

### Loop spaces and path spaces

+-- {: .num_example #LoopSpace}
###### Example
**([[loop space]] and [[path space]])**

Let $(X,\tau)$ be any [[topological space]].

1. The standard [[circle]] $S^1$ is a [[compact Hausdorff space]]
   [[open subspaces of compact Hausdorff spaces are locally compact|hence]] a [[locally compact topological space]]. Accordingly the [[mapping space]]

   $$
     \mathcal{L} X \coloneqq Maps( S^1, (X,\tau) )
   $$

   exists. This is called the _[[free loop space]]_ of $(X,\tau)$.

   If both $S^1$ and $X$ are equipped with a choice of point ("[[basepoint]]") $s_0 \in S^1$, $x_0 \in X$, then the [[topological subspace]]

   $$
     \Omega X \subset \mathcal{L}X
   $$

   on those functions which take the basepoint of $S^1$ to that of $X$, is called the _[[loop space]]_ of $X$,
   or sometimes _[[based loop space]]_, for emphasis.

1. Similarly the [[closed interval]] is a [[compact Hausdorff space]]
   [[open subspaces of compact Hausdorff spaces are locally compact|hence]] a [[locally compact topological space]] (def. \ref{LocallyCompactSpace}). Accordingly the [[mapping space]]

   $$
     Maps( [0,1], (X,\tau) )
   $$

   exists. Again if $X$ is equipped with a choice of basepoint $x_0 \in X$, then the [[topological subspace]] of those functions that take $0 \in [0,1]$ to that chosen basepoint is called the _[[path space]]_ of $(X\tau)$:

   $$
     P X \subset Maps( [0,1], (X,\tau) )
     \,.
   $$

Notice that we may encode these subspaces more abstractly in terms of [[universal properties]]:

The path space and the loop space are characterized, up to [[homeomorphisms]], as being the [[limit|limiting cones]]
in the following [[pullback]] diagrams of topological spaces:

1. [[loop space]]: 

   $$
     \array{
       \Omega X &\longrightarrow& Maps(S^1, (X,\tau))
       \\
       \downarrow &(pb)& \downarrow^{\mathrlap{Maps(const_{s_0}, id_{(X,\tau)})}}
       \\
       \ast &\underset{const_{x_0}}{\longrightarrow}& X \simeq Maps(\ast,(X,\tau))
     }
     \,.
   $$

1. [[path space]]: 

   $$
     \array{
       P X &\longrightarrow& Maps([0,1], (X,\tau))
       \\
       \downarrow &(pb)& \downarrow^{\mathrlap{Maps(const_x, id_{(X,\tau)})}}
       \\
       \ast &\underset{const_{x_0}}{\longrightarrow}& X \simeq Maps(\ast,(X,\tau))
     }
   $$

Here on the right we are using that the mapping space construction is a [[functor]] and we are using example \ref{MappingSpaceOutOfPoint} in the
identification on the bottom right mapping space out of the point space.


=--



## Related concepts

* [[topology of mapping spaces]]

* [[differential topology of mapping spaces]]

* [[C-k topology]]

##References

* Ralph H. Fox, _On Topologies for Function Spaces_
, Bull. AMS **51** (1945) pp.429-432. ([pdf](http://projecteuclid.org/download/pdf_1/euclid.bams/1183506987))

* Eva Lowen-Colebunders, Günther Richter, _An Elementary Approach to Exponential Spaces_, Applied Categorical Structures May 2001, Volume 9, Issue 3, pp 303-310 ([publisher](http://link.springer.com/article/10.1023%2FA%3A1011268007097))

* {#AguilarGitlerPrieto02} Marcelo Aguilar, [[Samuel Gitler]], Carlos Prieto, sections 1.2, 1.3 of _Algebraic topology from a homotopical viewpoint_, Springer (2002) ([toc pdf](http://tocs.ulb.tu-darmstadt.de/106999419.pdf))

* [Wikipedia entry](http://en.wikipedia.org/wiki/Compact-open_topology)


[[!redirects compact open topology]]