
#Contents#
* table of contents
{:toc}

## Idea

A _formally smooth scheme_ is a [[scheme]] $X$ with the property that every map into it admits an _[[infinitesimal space|infinitesimal]] lift_ :

for any "test space", i.e. an [[affine scheme]] $U=Spec(A)$ with underlying [[reduced scheme]] $Red(U)$ (obtained from $U$ by removing all [[infinitesimal space|infinitesimal]] directions, compare [[formal scheme]]) every map $Red(U) \to X$ lifts to a map $U \to X$. 

Similarly, one can talk about formally smooth [[algebraic spaces]], [[algebraic stacks]] and so on.

## Definition

A [[scheme]] $X$ over some ground [[field]] $k$, given by a morphism $X \to Spec(k)$, is **formally smooth** if that morphism is a [[formally smooth morphism]], as described there.

If the [[scheme]] $X$ is regarded as an absolute (as opposed to relative) scheme, then the morphism $X \to Spec(\mathbb{Z})$ is required to be a [[formally smooth morphism]] for $X$ to be formally smooth.

>(Nowadays people will also start to consider schemes over the [[field with one element]]...).

## General definition

There is an interpretation of formal smoothness of (set-valued) functors as an [[epipresheaf]] condition with respect to Sasha Rosenberg's generalization of [[Grothendieck topologies]], so-called [[Q-category]] formalism, namely the Q-category of nilpotent (infinitesimal) thickenings. For more on this see _[[formally smooth morphism]]_.

## References

Discussion of formally smooth schemes in the general context of [[formally smooth morphisms]] is at 

* [[Maxim Kontsevich]], [[Alexander Rosenberg]], _Noncommutative spaces_, preprint MPI-2004-35 ([ps](http://www.mpim-bonn.mpg.de/preprints/send?bid=2331))

* T. Brzeziński, _Notes on formal smoothness_, *in*: Modules and Comodules (series _Trends in Mathematics_). T Brzeziński, JL Gomez Pardo, I Shestakov, PF Smith (eds), Birkhäuser, Basel, 2008, pp. 113-124 ([doi](http://dx.doi.org/10.1007/978-3-7643-8742-6), [arXiv:0710.5527](http://arxiv.org/abs/0710.5527))
