A range of formalisms have been proposed to model complex systems, some with a category theoretic flavour. In particular [[process algebra]]s, such as the [[pi-calculus]] and its stochastic variant, have been used to [model](http://homepages.inf.ed.ac.uk/s0680923/bibliography.html) biological systems. (See also [here](http://www.itu.dk/research/pls/wiki/index.php/Reading_Group_:_Process_Algebraic_and_Agent-based_Modeling_of_Biological_Systems).)  Further developments point to Milner's [bigraphs](http://www.cl.cam.ac.uk/~rm135/uam-theme.html) ([bibliography](http://www.itu.dk/~mikkelbu/research/bigraphsbib/index.html)). In [Stochastic Bigraphs](http://www.lix.polytechnique.fr/~krivine/Research_files/KriMilTro08.pdf) the authors discuss membrane budding in a biological system.

For other approaches see [category theory and biology](http://golem.ph.utexas.edu/category/2007/11/category_theory_and_biology.html).

##Hyperstructures##

Noticing that category theory at first is a formalism of _states_ and _processes_ (directed arrows) and $n$-category theory of processes of processes, etc., can we also naturally encode in its language _structures of structures_, i.e. hierarchical structures, which do not naturally or not manifestly have an interpretation as processes, in particular in that they are lacking the directionality of processes? Whatever the definition of [[hyperstructure]] really will be in the end, I think this question is what motivates them: a hyperstructure differs from an $\infty$-category in that in degree $n$ it has cells ( _bonds_ ) which _bind_ $(n-1)$-cells, but there is no directionality imposed on this, and not necessarily a notion of composition. 

Now, biological structures are often of the complex hierarchical structure that one would imagine the concept of  [[hyperstructure]] would describe to some extent, but if the notion of hyperstructure is good and natural, that should be just a very specific of a more general kind of applications which maybe should not be regarded as the archetypical application of the concept as such. In this respect it is maybe noteworthy that the idea of hyperstructure does not originate in a motivation from biology, but was originally conceived as a means to formalize [[extended cobordism]]s such as appear in the [[generalized tangle hypothesis]].

#n-Categories and the Mind
According to [[Mikhail Gromov]], the mathematical structures nearest to what is happening in the mind are [[n-categories]].
see 24:42-end of

* [Ergologic and Interfaces Between Languages](https://www.youtube.com/watch?v=jRSqGYJQQM8)

## Other references

* Lior Pachter, Bernd Sturmfels, _The mathematics of phylogenomics_, [math/0409132](http://arxiv.org/abs/math/0409132)
* V. Noel, D. Grigoriev, S. Vakulenko, O. Radulescu, Tropical geometries and dynamics of biochemical networks. Application to hybrid cell cycle models_, [pdf](http://logic.pdmi.ras.ru/~grigorev/pub/tropical_dynamics_modified.pdf)