+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
#### Quantum field theory
+--{: .hide}
[[!include functorial quantum field theory - contents]]
=--
=--
=--


#Contents#
* automatic table of contents
{:toc}

## Definition

...


## Relation to TQFT

Gromov-Witten invariants may be understood (and have originally been found) as arising from a particular [[TQFT]], or actually a [[TCFT]], called the [[A-model]].

For a useful exposition of this see ([Tolland](#Tolland)).





## Related concepts

* [[stable map]]

* [[orbifold cohomology]]

* [[quantum sheaf cohomology]]

* [[Donaldson theory]]

* [[A-model]]

## References

### Expositions

here are some seminar notes:

* [[basic ideas of moduli stacks of curves and Gromov-Witten theory]]

Some introductory notes:

* Simon Rose, _Introduction to Gromov-Witten theory_, [arXiv](http://arxiv.org/abs/1407.1260v1).

And this introductory bit on the [[moduli stack]] of [[elliptic curve]]s:

* [[A Survey of Elliptic Cohomology - elliptic curves]]. 

An exposition of GW theory as a [[TCFT]] is at

* [[AJ Tolland]], _Gromov-Witten Invariants and Topological Field Theory_ ([blog](http://sbseminar.wordpress.com/2008/12/11/gromov-witten-invariants-and-topological-field-theory))
 {#Tolland}

The origin of Gromov-Witten theory in and relation to [[string theory]] and other [[physics]] motivation is recalled and surveyed in 

* Daniel Grunberg, _Gromov-Witten Theory and Threshold Corrections_ ([arXiv:hep-th/0605087](http://arxiv.org/abs/hep-th/0605087))

### Via geometric quantization

Discussion in the context of [[geometric quantization]] is in 

* Emily Clader, Nathan Priddis, Mark Shoemaker, _Geometric Quantization with Applications to Gromov-Witten Theory_ ([arXiv:1309.1150](http://arxiv.org/abs/1309.1150))
 {#CladerPriddisShoemaker13}


### As a TCFT

* [[Kevin Costello]], _The Gromov-Witten potential associated to a TCFT_ ([arXiv:0509264](http://arxiv.org/abs/math/0509264))

See also the references at [[A-model]].

### General

A discussion by quantization of quadratic Hamiltonians is in

* [[Alexander Givental]], _Gromov-Witten invariants and quantization of quadratic Hamiltonians_ ([pdf](http://math.berkeley.edu/~giventh/papers/gwi.pdf))

* M. Kontsevich, Yu. Manin, _Gromov-Witten classes, quantum cohomology, and enumerative geometry_, Comm. Math. Phys. 164 (1994), no. 3, 525--562 ([euclid](http://projecteuclid.org/euclid.cmp/1104270948)).

* [[Yuri Manin]], _Frobenius manifolds, quantum cohomology and moduli spaces_, Amer. Math. Soc., Providence, RI, 1999, 

* W. Fulton, R. Pandharipande, _Notes on stable maps and quantum cohomology_, in: Algebraic Geometry-
Santa uz 1995 ed. Kollar, Lazersfeld, Morrison. Proc. Symp. Pure Math. 62, 45–96 (1997)

* J Robbin, D A Salamon, _A construction of the Deligne-Mumford orbifold_,  J. Eur. Math. Soc. (JEMS)  8  (2006),  no. 4, 611--699 ([arxiv](http://arxiv.org/abs/math/0407090); [pdf at JEMS](http://www.ems-ph.org/journals/show_pdf.php?issn=1435-9855&vol=8&iss=4&rank=3)); corrigendum  J. Eur. Math. Soc. (JEMS)  9  (2007),  no. 4, 901--905 ([pdf at JEMS](http://www.ems-ph.org/journals/show_pdf.php?issn=1435-9855&vol=9&iss=4&rank=11)).

* J Robbin, Y Ruan, D A Salamon, _The moduli space of
regular stable maps_,  Math. Z.  259  (2008),  no. 3, 525--574 ([doi](http://dx.doi.org/10.1007/s00209-007-0237-x)).

* Martin A. Guest, _From quantum cohomology to integrable systems_, Oxford Graduate Texts in Mathematics, 15. Oxford University Press, Oxford, 2008. xxx+305 pp.

* Joachim Kock, Israel Vainsencher, _An invitation to quantum cohomology. Kontsevich's formula for rational plane curves_, Progress in Mathematics, 249. Birkhäuser Boston, Inc., Boston, MA, 2007. xiv+159 pp. 

* Dusa McDuff, Dietmar Salamon, _Introduction to symplectic topology_, 2 ed. Oxford Mathematical Monographs 1998. x+486 pp.

* Sheldon Katz, _Enumerative geometry and string theory_, Student Math. Library __32__. IAS/Park City AMS & IAS 2006. xiv+206 pp.

* Eleny-Nicoleta Ionel, Thomas H. Parker, _Relative Gromov-Witten invariants_, Ann. of Math. (2) 157 (2003), no. 1, 45--96 ([doi](http://dx.doi.org/10.4007/annals.2003.157.45)).

* [[Edward Frenkel]], [[Constantin Teleman]], 
  [[AJ Tolland]], _Gromov-Witten Gauge Theory I_ ([arXiv:0904.4834](http://arxiv.org/abs/0904.4834))

* [[Constantin Teleman]], _The structure of 2D semi-simple field theories_ ([arXiv:0712.0160](http://arxiv.org/abs/0712.0160))

* Oliver Fabert, _Floer theory, Frobenius manifolds and integrable systems_, ([arxiv/1206.1564](http://arxiv.org/abs/1206.1564))

A generalization is discussed in 

* [[Edward Frenkel]], A. Losev, [[Nikita Nekrasov]], _Instantons beyond topological theory I_ ([arXiv:hep-th/0610149](http://arxiv.org/abs/hep-th/0610149))

* [[Edward Frenkel]], A. Losev, [[Nikita Nekrasov]], _Instantons beyond topological theory II_ ([arXiv:hep-th/0610149](http://arxiv.org/abs/0803.3302))

Expositions and summaries of this are in 

* [[Edward Frenkel]], A. Losev, [[Nikita Nekrasov]], _Notes on instantons in topological field theory and beyond_ ([arXiv:hep-th/0702137](http://arxiv.org/abs/hep-th/0702137))

* [[Jacques Distler]], _Localized_ (2006) ([blog](Localized))

### In higher differential geometry / on orbifolds

GW theory of [[orbifolds]] (hence in [[higher differential geometry]]) has been introduced in

* Weimin Chen, [[Yongbin Ruan]], _Orbifold Gromov-Witten Theory_, in _Orbifolds in mathematics and physics_ (Madison, WI, 2001), 25–85, Contemp. Math., 310, Amer. Math. Soc., Providence, RI, 2002 ([arXiv:math/0103156](http://arxiv.org/abs/math/0103156))

A review with further pointers is in 

* Dan Abramovich, _Lectures on Gromov-Witten invariants of orbifolds_ ([arXiv:math/0512372](http://arxiv.org/abs/math/0512372))


### In terms of motives

That the [[path integral as a pull-push transform|pull-push quantization]] of Gromov-Witten theory is naturally understood as a "[[motivic quantization]]" in terms of [[Chow motives]] of [[Deligne-Mumford stacks]] was suggested in

* [[Kai Behrend]], [[Yuri Manin]], _Stacks of Stable Maps and Gromov-Witten Invariants_ ([arXiv:alg-geom/9506023](http://arxiv.org/abs/alg-geom/9506023))
 {#BehrendManin95}

Further investigation of these stacky Chow motives then appears in 

* [[Bertrand Toën]], _On motives for Deligne-Mumford stacks_, International Mathematics Research Notices 2000, 17 (2000) 909-928 ([arXiv:math/0006160](http://arxiv.org/abs/math/0006160), [web](http://hal.archives-ouvertes.fr/hal-00773027), [pdf](http://hal.archives-ouvertes.fr/docs/00/77/30/27/PDF/motdm.pdf))
 {#Toen00}

* Utsav Choudhury, _Motives of Deligne-Mumford Stacks_ ([arXiv:1109.5288](http://arxiv.org/abs/1109.5288))




[[!redirects Gromov-Witten invariant]]
[[!redirects Gromov-Witten invariants]]
[[!redirects Gromov–Witten invariant]]
[[!redirects Gromov–Witten invariants]]
[[!redirects Gromov--Witten invariant]]
[[!redirects Gromov--Witten invariants]]

[[!redirects Gromov-Witten theory]]
[[!redirects Gromov–Witten theory]]
[[!redirects Gromov--Witten theory]]