
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Complex geometry
+--{: .hide}
[[!include complex geometry - contents]]
=--
#### Arithmetic geometry
+--{: .hide}
[[!include arithmetic geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Motivation

The aim of _Arakelov geometry_ is to extend [[intersection theory]] to the case of [[algebraic curves]] over $Spec(\mathbb{Z})$, hence in [[arithmetic geometry]].

Arakelov complemented the algebraic geometry at finite primes with a holomorphic piece at a [[place at infinity]]. Then using [[complex analytic geometry]] and [[Green's functions]] he defined the [[intersections numbers]] using the complementary piece at infinity. 

## Definitions

... e.g. ([Durov 07](#Durov07))

## Properties

### Arithmetic Riemann-Roch theorem

* [[arithmetic Riemann-Roch theorem]]

## Related concepts

* [[arithmetic Chow group]]

* [[Vojta's conjecture]]

* [[global analytic geometry]]

* [[function field analogy]]

## References 

### Introductions and surveys
 {#IntroductionsAndSurveys}

* Wikipedia: [Arakelov theory](http://en.wikipedia.org/wiki/Arakelov_theory)

* {#Lang88} [[Serge Lang]], _Introduction to Arakelov theory_ Springer-Verlag, New York, 1988.

* {#SABK91} [[Christophe Soulé]], D. Abramovich, , J.-F. Burnol, J. Kramer, _Lectures on Arakelov Geometry_, Cambridge University Press 1991

* {#deJong04} [[Robin de Jong]], _Explicit Arakelov geometry_, PhD thesis 2004 ([pdf](http://www.math.leidenuniv.nl/~rdejong/publications/thesis.pdf))

* Alberto Camara, _Notes on Arakelov theory_, 2011 ([[CamaraOnArakelov11.pdf:file]])

### Original articles
 {#ReferencesOriginal}

The theory originates in 

* [[Suren Arakelov]], _Intersection theory of divisors on an arithmetic surface_, Math. USSR Izv. 8 (6): 1167–1180, 1974, [doi](http://dx.doi.org/10.1070%2FIM1974v008n06ABEH002141); _Theory of intersections on an arithmetic surface_, Proc. ICM Vancouver 1975, vol. 1, 405–408, Amer. Math. Soc. 1975, [djvu](http://www.mathunion.org/ICM/ICM1974.1/Main/icm1974.1.0405.0408.ocr.djvu), [pdf](http://www.mathunion.org/ICM/ICM1974.1/Main/icm1974.1.0405.0408.ocr.pdf)

After Arakelov there were main improvements by Faltings and Gillet and Soulé. 

* [[Gerd Faltings]], _Calculus on arithmetic surfaces_, Ann. of Math. (2) 119 (1984), no. 2, 387–424, [MR86e:14009](http://www.ams.org/mathscinet-getitem?mr=740897), [doi](http://dx.doi.org/10.2307/2007043); _Arakelov's theorem for abelian varieties_, Invent. Math. __73__ (1983), no. 3, 337–347, [MR85m:14061](http://www.ams.org/mathscinet-getitem?mr=718934), [doi](http://dx.doi.org/10.1007/BF01388431)

The [[arithmetic Riemann-Roch theorem]] is due to

* [[Henri Gillet]], [[Christophe Soulé]], _An arithmetic Riemann–Roch Theorem_, Invent. Math. __110__: 473–543, 1992, [doi](http://dx.doi.org/10.1007/BF01231343)

* Shou-Wu Zhang, _Small points and Arakelov theory_, Proc. ICM 1998, vol. 2, [djvu](http://www.mathunion.org/ICM/ICM1998.2/Main/03/Zhang.MAN.ocr.djvu), [pdf](http://www.mathunion.org/ICM/ICM1998.2/Main/03/Zhang.MAN.ocr.pdf)

In a recent Bonn thesis under Faltings' supervision, 

* {#Durov07} [[Nikolai Durov]], _A new approach to Arakelov geometry_, [arxiv/0704.2030](http://arxiv.org/abs/0704.2030)

a completely algebraic replacement (using generalized [[schemes]] whose local models are spectra of commutative [[algebraic monad]]s) for the original mixed approach is proposed; it is not known if that approach can be closely and precisely compared with the traditional.

See also

* [[Jean-Benoit Bost]], [[Klaus Künnemann]], _Hermitian vector bundles and extension groups on arithmetic schemes. I. Geometry of numbers_ ([arXiv:math/0701343](http://arxiv.org/abs/math/0701343))

* [[Jean-Benoit Bost]], [[Klaus Künnemann]], _Hermitian vector bundles and extension groups on arithmetic schemes. II. The arithmetic Atiyah extension_ ([arXiv:0807.4374](http://arxiv.org/abs/0807.4374))

[[!redirects Arakelov theory]]