[[!redirects Directed Homotopy Theory]]
This entry is about the book

* [[Marco Grandis]], __Directed algebraic topology,
Models of non-reversible worlds__, New Mathematical Monographs __13__, Cambridge Univ. Press 2009 (x+434 pages)

is the first monograph on the subject of [[directed space]]s and [[directed homotopy theory]]. 

See CUP [ad](http://www.cambridge.org/uk/catalogue/catalogue.asp?isbn=978052176036); [pdf excerpt](http://assets.cambridge.org/97805217/60362/excerpt/9780521760362_excerpt.pdf) of the first 9 (well, 10) pages of intro; and [pdf of the index](http://assets.cambridge.org/97805217/60362/index/9780521760362_index.pdf).

A [free online version](http://www.dima.unige.it/~grandis/BkDAT_page.html) of the book is now also available (as of November 2011) by agreement with CUP.

_Contents_

* Introduction; 

* Part I. First Order Directed Homotopy and Homology: 1. Directed structures and first order homotopy properties; 2. Directed homology and noncommutative geometry; 3. Modelling the fundamental category; 

* Part II. Higher Directed Homotopy Theory: 4. Settings for higher order homotopy; 5. Categories of functors and algebras, relative settings; 6. Elements of weighted algebraic topology; 

* Appendix A. Some points of category theory; 

* References; Index of symbols; General index.

Prof. Grandis has posted few lines from introduction to the book  __'Directed Algebraic Topology' Models of non-reversible worlds__ to the categories list.

>Directed Algebraic Topology is a recent subject which arose in the 1990's, on the one hand in abstract settings for homotopy theory, and on the other hand in investigations in the theory of concurrent processes.
>Its general aim should be stated as modelling non-reversible phenomena. The subject has a deep relationship with category theory.

>The domain of Directed Algebraic Topology should be distinguished from the domain of classical Algebraic Topology by the principle that directed spaces have privileged directions and directed paths therein need not be reversible. While the classical domain of Topology and Algebraic Topology is a reversible world, where a path in a space can always be travelled backwards, the study of non-reversible phenomena requires broader worlds, where a directed space can have non-reversible paths.

>The homotopical tools of Directed Algebraic Topology, corresponding in the classical case to ordinary homotopies, the fundamental group and fundamental $n$-groupoids, should be similarly non-reversible: directed homotopies, the fundamental monoid and fundamental $n$-categories.
>Similarly, its homological theories will take values in directed algebraic structures, like preordered abelian groups or abelian monoids. Homotopy constructions like mapping cone, cone and suspension, occur here in a directed version; this gives rise to new shapes, like (lower and upper) directed cones and directed spheres, whose elegance is strengthened by the fact that such constructions are determined by universal properties.

>Applications will deal with domains where privileged directions appear, such as concurrent processes, rewrite systems, traffic networks, space-time models, biological systems, etc. At the time of writing, the most developed ones are concerned with concurrency.

**Review**

A review of this book can be found in the [CMS Notes](https://cms.math.ca/notes/v43/n2/Notesv43n2.pdf) (2011).

category: reference


