
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Supergeometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

A _super-group_ is the analog in [[supergeometry]] of [[Lie groups]] in [[differential geometry]].


## Algebraic super groups

An [[affine scheme|affine]] algebraic super group is the [[formal dual]]  of a [[superalgebra|super]]-[[commutative Hopf algebra]].


## Super Lie groups

### Definition

A _super Lie group_ is a [[group object]] in the [[category]] [[SDiff]] of [[supermanifolds]], that is a super [[Lie group]].

#### In terms of generalized group elements 

One useful way to characterize [[group object]]s $G$ in the
[[category]] $SDiff$ of [[supermanifold]] is by first sending 
$G$ with the [[Yoneda embedding]] to a [[presheaf]] on $SDiff$
and then imposing a lift of $Y(G) : SDiff^{op} \to Set$
through the [[forgetful functor]] [[Grp]] $\to$ [[Set]]
that sends a (ordinary) [[group]] to its underlying [[set]].

So a group object structure on $G$ is a diagram

$$
  \array{
    && Grp
    \\
    & {}^{(G,\cdot)}\nearrow & \downarrow
    \\
    SDiff^{op} &\stackrel{Y(G)}{\to}& Set
  }
  \,.
$$

This gives for each [[supermanifold]] $S$ an ordinary group 
$(G(S), \cdot)$, so in particular a product operation

$$
  \cdot_S : G(S) \times G(S) \to G(S)
  \,.
$$

Moreover, since morphisms in $Grp$ are group homomorphisms, it follows
that for every morphism $f : S \to T$ of [[supermanifold]]s we get a 
commuting diagram

$$
  \array{
    G(S) \times G(S) &\stackrel{\cdot_S}{\to}& G(S)
    \\
    \uparrow^{G(f)\times G(f)}  && \uparrow^{G(f)}
    \\
    G(T) \times G(T) &\stackrel{\cdot_T}{\to}& G(T)     
  } 
$$

Taken together this means that there is a morphism

$$
  Y(G \times G)  \to Y(G)
$$

of representable presheaves. By the [[Yoneda lemma]], this uniquely
comes from a morphism $\cdot : G \times G \to G$, which is the 
product of the group structure on the object $G$ that we are after.

etc.  


This way of thinking about supergroups is often explicit in 
some parts of the literature on supergeometry: some authors
define a supergroup or [[super Lie algebra]] as a
rule that assigns to every [[Grassmann algebra]] $A$ 
over an ordinary [[vector space]] an ordinary [[group]]
$G(A)$
or [[Lie algebra]] and to a morphism of [[Grassmann algebra]]s
$A \to B$
_covariantly_ a morphism of groups $G(A) \to G(B)$. 
But the [[Grassmann algebra]] on an $n$-dimensional [[vector space]]
is naturally isomorphic to the function ring on the [[supermanifold]]
$\mathbb{R}^{0|n }$. So the definition of supergroups in terms of 
Grassmann algebras is secretly the same as the above definition
in terms of the [[Yoneda embedding]].




### Examples


#### The super-translation group
  {#SuperTranslationGroup}

also called the **[[super-Heisenberg group]]**

The additive group structure on $\mathbb{R}^{1|1}$ is given on [[generalized element]]s in (i.e. in the logic internal to) the [[topos]] of [[sheaf|sheaves]] on the category [[SCartSp]] of [[cartesian space|cartesian]] superspaces by

$$
  \mathbb{R}^{1|1} \times \mathbb{R}^{1|1} \to 
  \mathbb{R}^{1|1}
$$

$$
  (t_1, \theta_1), (t_2, \theta_2)
  \mapsto
  (t_1 + t_2 + \theta_1 \theta_2, \theta_1 + \theta_2)
  \,.
$$

Recall how the notation works here: by the [[Yoneda embedding]] we have a [[full and faithful functor]]

> [[SDiff]] $\hookrightarrow$ $Fun(SDiff^{op}, Set)$

and we also have the theorem, discussed at [[supermanifold]]s, that maps from some $S \in SDiff$ into $\mathbb{R}^{p|q}$ is given by a tuple of $p$ even section $t_i$ and $q$ odd sections $\theta_j$. The above notation specifies the map of supermanifolds by displaying what map of sets of maps from some test object $S$ it corresponds to under the [[Yoneda embedding]].

Now, for each $S \in $ [[SDiff]] there is a [[group]] structure on the [[hom-set]] $SDiff(S, \mathbb{R}^{1|1}) \simeq C^\infty(S)^{ev} \times C^\infty(S)^{odd}$ given by precisely the above formula for this given $S$

$$
  \mathbb{R}^{1|1}(S) \times \mathbb{R}^{1|1}(S) \to 
  \mathbb{R}^{1|1}(S)
$$

$$
  (t_1, \theta_1), (t_2, \theta_2)
  \mapsto
  (t_1 + t_2 + \theta_1 \theta_2, \theta_1 + \theta_2)
  \,.
$$

where $(t_i, \theta_i) \in C^\infty(S)^{ev} \times C^\infty(S)^{odd}$ etc and where the addition and product on the right takes place in the function [[super algebra]] $C^\infty(S)$.

Since the formula looks the same for all $S$, one often just writes it without mentioning $S$ as above.


#### The super Euclidean group 

The super-translation group is the $(1|1)$-dimensional case of the [[super Euclidean group]].


#### General linear supergroup

[[general linear supergroup]]

...

#### Orthosymplectic supergroup

[[orthosymplectic supergroup]]

...

## Finite super-groups

There is a finite analog for super-groups that does not quite fit in the framework presented here:

+-- {: .num_defn}
###### Definition

A finite super-group is a tuple $(G, z \in G)$, where $G$ is a finite group and $z$ is central and squares to $1$.

The representations of a finite super-group are $\mathbb{Z}_2$-graded:
An irreducible representation has odd degree if $z$ acts by negation, and even degree if it acts as the identity.

This definition is found e.g. in:

* Paul Bruillard, Cesar Galindo, Tobias Hagge, Siu-Hung Ng, Julia Yael Plavnik, Eric C. Rowell, Zhenghan Wang, _Fermionic Modular Categories and the 16-fold Way_ ([pdf] (https://arxiv.org/pdf/1603.09294v2))

=--

## Properties

### Representations, Tannaka duality and Deligne's theorem

[[Deligne's theorem on tensor categories]] (see there for details) says that every suitably well-behave linear [[tensor category]] is the [[category of representations]] of an algebraic supergroup. In particular the [[Hopf algebra]] of functions on an affine algebraic supergroup is a [[triangular Hopf algebra]].

[[!include structure on algebras and their module categories - table]]

## References

* [[Dennis Westra]], _Superrings and supergroups_, 2009 ([pdf](http://www.mat.univie.ac.at/~michor/westra_diss.pdf))

* Groeger, _Super Lie groups and super Lie algebras_, lecture notes 2011 ([pdf](http://www.mathematik.hu-berlin.de/~groegerj/teaching_files/lecture12.pdf))


* [[Veeravalli Varadarajan]], section 7.1 of _[[Supersymmetry for mathematicians]]: An introduction_

Discussion of [[group extensions]] of supergroups includes

* {#Drupieski14} [[Christopher Drupieski]], _Strict polynomial superfunctors and universal extension classes for algebraic supergroups_ ([arXiv:1408.5764](http://arxiv.org/abs/1408.5764))

Discussion as Hopf-superalgebras includes

* Nicolás Andruskiewitsch, Iván Angiono, Hiroyuki Yamane, _On pointed Hopf superalgebras_, Contemp. Math. vol. 544, pp. 123--140, 2011 ([arXiv:1009.5148](https://arxiv.org/abs/1009.5148))


[[!redirects supergroups]]

[[!redirects super Lie group]]
[[!redirects super Lie groups]]

[[!redirects super group]]
[[!redirects super groups]]

[[!redirects Lie supergroup]]
[[!redirects Lie supergroups]]

[[!redirects super-group]]
[[!redirects super-groups]]