
Edward Witten is a theoretical physicist at the Institute for Advanced Study.

* [website](http://www.sns.ias.edu/~witten/)

* [wikipedia entry](http://en.wikipedia.org/wiki/Edward_Witten)

* interview by [[Hirosi Ooguri]], Notices Amer. Math. Soc, May 2015 p491 ([pdf](http://www.ams.org/notices/201505/rnoti-p491.pdf))

* [Kyoto Prize lecture](http://www.kyotoprize.org/en/laureates/commemorative_lectures/)  2014 ([pdf](http://www.kyotoprize.org/wp/wp-content/uploads/2016/02/30kB_lct_EN.pdf))

Witten's work originates in theoretical [[quantum field theory]] and stands out as making numerous and deep connections between that and mathematical [[geometry]] and [[cohomology]]. In the course of the 1980s Witten became the central and leading figure in [[string theory]].

Insight gained from the study of quantum field theories and specifically those relevant in [[string theory]] led Witten to mathematical results deep enough to gain him a [[Fields medal]], see [below](#FieldMedalWork). Indeed, a whole list of sub-fields in mathematics originate in aspects of Witten's work in QFT/string theory and carry his name, such as [[Chern-Simons theory]] which many people call "Chern-Simons-Witten theory", [[Wess-Zumino-Witten theory]], the [[Witten genus]], [[Gromov-Witten theory]], [[Seiberg-Witten theory]], [[Rozansky-Witten invariant]], the [[Witten cojecture]].  Other parts are still waiting to be absorbed into the mathematical literature such as [[Horava-Witten theory]], [[Diaconescu-Moore-Witten anomaly]] etc..

Despite the deeply theoretical and abstract mathematical aspects of his work, Witten has visibly always been motivated by fundamental questions in the [[phenomenology]] of the [[standard model of particle physics]] [[standard model of cosmology|and cosmology]]. (Indeed, some of his work on [[scattering amplitudes]] crucially enters into the [[experiment|experimental]] detection of the [[Higgs particle]], for more on this see at _[[string theory results applied elsewhere]]_. ) He prominently argued that specifically [[heterotic string theory]] is a plausible candidate for a fundamental [[GUT|grand unified gauge field theory]] including [[quantum gravity]]. 

Since about the turn of the millennium Witten has tended to more esoteric mathematical aspects of string theory, such as its relation to [[Khovanov  homology]] and [[geometric Langlands duality]] which apparently the string theory community at large is following less enthusiastically than it was the case during the excited 1990s.


#Contents#
* table of contents
{:toc}

## Fields medal work
 {#FieldMedalWork}

In 

* [[Michael Atiyah]], _On the work of Edward Witten_, Proceedings of the International Congress of Mathematics, Kyoto 1990 ([pdf](http://www.mathunion.org/ICM/ICM1990.1/Main/icm1990.1.0031.0036.ocr.pdf))

the following "influential papers" are listed as relevant for Edward Witten receiving the [Fields Medal in 1990](http://159.226.47.99:8080/general/prize/medal/1990.htm).

First of all

* _Supersymmetry and Morse theory_,  J. Differential Geom. Volume 17, Number 4 (1982), 661-692. ([Euclid](http://projecteuclid.org/euclid.jdg/1214437492))

  This discusses deformations of [[supersymmetric quantum mechanics]] on a [[Riemannian manifold]] and how its supersymmetric ground states are related to the [[Morse theory]] of a deformation function. The way this supersymmetric quantum mechanics appears as the point-[[particle]] limit of the [[type II superstring]] is explained at the end of 

* _Global anomalies in string theory_, in W. Bardeen and A. White (eds.) _Symposium on Anomalies, Geometry_, Topology, pp. 61–99. World Scientific, 1985

which otherwise is on [[quantum anomalies]] in string theory, such as the [[Green-Schwarz anomaly]], etc.

Finally Atiyah's section 2 mentions

* (with [[Cumrun Vafa]]), _Eigenvalue inequalities for Fermions in gauge theories_, Comm. Math. Phys. 95 (1984) 257 ([Euclid](http://projecteuclid.org/euclid.cmp/1103941573))

Then 

* _Elliptic genera and quantum field theory_, Comm. Math. Phys. 109 (1987) 

  on the [[elliptic genus]]/[[Witten genus]] as the [[partition function]] of the [[type II superstring]]/[[heterotic superstring]]

And various articles on the foundations of [[topological field theory]] such as

* _Topological quantum field theory_, Comm. Math. Phys. Volume 117, Number 3 (1988), 353-386 ([Euclid](http://projecteuclid.org/euclid.cmp/1104161738))

  on [[topologically twisted D=4 super Yang-Mills theory]] and the corresponding twists of the [[superstring]] which yield the [[A-model]] and [[B-model]] [[topological string]] 2d [[TQFTs]];

* _On the structure of the topological phase of two dimensional gravity_ Nuclear Phys, B 340 (1990) 281 ([scans](http://ccdb5fs.kek.jp/cgi-bin/img_index?200033155))

  on the [[topological string]] limit of the [[worldsheet]] [[2d quantum gravity]] theory of the string, including the [[A-model]] and [[B-model]] [[topological twists]] of the [[type II superstring]];

and

* _Quantum field theory and the Jones polynomial_, Comm, Math, Phys, 121 (1989) 351

  on the [[quantization]] of 3d [[Chern-Simons theory]], its [[Jones polynomial]] [[knot invariant]] [[quantum observables]] and its [[holographic principle|holographic]] relation to the quantization of the [[WZW model]] (the [[string]] propagating on a suitable [[Lie group]] [[manifold]]).

## related $n$Lab entries 

* [[string theory]], [[M-theory]]

* [[M-theory on G2-manifolds]]

* [[Gromov-Witten invariants]], [[Rozansky-Witten invariant]]

* [[Seiberg-Witten theory]]

* [[supersymmetric quantum mechanics]]

* [[fuzzy dark matter]]

(...)

>clearly, this list is supposed to be expanded, eventually...

category: people

[[!redirects E. Witten]]
[[!redirects Witten]]