
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Category theory
+-- {: .hide}
[[!include category theory - contents]]
=--
#### Homotopy theory
+--{: .hide}
[[!include homotopy - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The _free groupoid_ on a [[directed graph]] is the [[groupoid]] whose [[objects]] are the vertices of the graph and whose morphisms are finite concatenations of the edges in the graph and formal inverses to them. 

This construction is the [[left adjoint]] [[free construction]] to the [[forgetful functor]] that sends a groupoid to its underlying [[directed graph]].

## Definition

Given a [[graph]] $D$, that is, a collection of vertices and of labeled arrows between them, the **free groupoid $G(D)$ on $D$** is the [[groupoid]] that has the vertices of $D$ as [[objects]], and whose [[morphisms]] are constructed recursively by formal composition (i.e., juxtaposition) from identity maps, the arrows of $D$ and formal [[inverses]] for the arrows of $D$. 

The only relations between morphisms of $G(D)$ are the necessary ones defining the [[identity]] of each object, the [[inverse]] of each arrow in $D$ and the associativity of composition. This is clearly a groupoid, which comes with an evident morphism $D \to G(D)$ of quivers. 

The above sketched construction could be made more precise, but what really matters is the [[universal property]] it enjoys: the free groupoid $G(D)$ is the universal ([[initial object|initial]]) [[groupoid]] mapping out of $D$. By varying $D$, the free groupoid yields a [[functor]] $G$ from [[directed graph]]s to [[groupoid]]s, [[left adjoint]] to the forgetful functor. 

This last conceptual characterization is best taken as the definition. Similarly, it is possible to construct the left adjoint to the forgetful functor from groupoids to categories, that is the **free groupoid over a category**.

The construction of free groupoids in "Topology and Groupoids" is by taking a disjoint union of copies of the unit interval groupoid $\mathbf I$ and then identifying the vertices according to the scheme given by the directed graph. 

See the paper by Crisp and Paris for an application of free groupoids. 

## Properties

### Fundamental group
 {#FundamentalGroup}

+-- {: .num_prop}
###### Proposition

The [[fundamental group]] of a free groupoid on a [[countable set|countable]] [[directed graph]] (for any basepoint) is a [[free group]].

=--

For instance ([Cote, theorem 2.3](#Cote)).

+-- {: .num_example}
###### Example

The [[fundamental group]] of the free groupoid of a graph with a single vertex is the [[free group]] on the set of edges of the graph. A result relevant to the Jordan Curve Theorem and the Phragmen-Brouwer Property  is given in the Corrigendum referenced below. It gives conditions on a pushout of groupoids to contain a free groupoid as a retract. 

=--

## Related concepts

* [[free category]]

* [[Nielsen-Schreier theorem]]

## References

* Lauren Cote, _Free groups and graphs: the Hanna Neumann theorem_ ([pdf](http://www.math.uchicago.edu/~may/VIGRE/VIGRE2008/REUPapers/Cote.pdf))
 {#Cote}

* Philip Higgins, _Categories and groupoids_, Van Nostrand Reinhold, 1971; Reprints in Theory and Applications of Categories, No. 7 (2005) pp 1-195 ([pdf available] (http://www.tac.mta.ca/tac/reprints/articles/7/tr7abs.html))

* [[Ronald Brown|Ronnie Brown]] _Topology and Groupoids_,  ([details here] (http://pages.bangor.ac.uk/~mas010/topgpds.html))

* Omar Antolin Camarena and [[Ronald Brown|Ronnie Brown]], "Corrigendum to "Groupoids, the Phragmen-Brouwer Property, and the Jordan Curve Theorem", J. Homotopy and Related Structures 1 (2006) 175-183." J. Homotopy and Related Structures ([pdf] (http://pages.bangor.ac.uk/~mas010/pdffiles/brouwer-cor-fin.pdf))

* J. Crisp, L. Paris, "The solution to a conjecture of Tits on the subgroup
generated by the squares of the generators of an Artin group", Invent. math. 145, 19–36 (2001). 

[[!redirects free groupoids]]
