The [[noncommutative localization]] is a common term for the localization in noncommutative algebra, that is the localizations of noncommutative algebraic structures, most often noncommutative rings and associative algebras, as well as localization functors on various categories of modules (and bimodules) over possibly noncommutative algebras. Most often this term is used for several kinds of [[localization]] which occur in noncommutative [[ring theory]] and in particular the (left or right) [[Ore localization]], [[Gabriel localization]] and Cohn [[universal localization]] of rings and of their associated [[Mod|categories of modules]]. Many notion here have straightforward extension to general [[Grothendieck categories]].

Gabriel's locazalization is usually stated in terms of [[Gabriel filter]]s, but it fits into a more general abelian [[localization of abelian categories]] on [[thick subcategories]].  

* [[Pierre Gabriel]], [[Des catégories abéliennes]], Bulletin de la Société Mathématique de France, 90 (1962), p. 323-448, [numdam](http://www.numdam.org/item?id=BSMF_1962__90__323_0)

An alternative, but equivalent, approach to Gabriel localization, via [[kernel functor]]s is introduced in

* O. Goldman, _Rings and modules of quotients_, J. Algebra __13__, 1969 10--47, [MR245608](http://www.ams.org/mathscinet-getitem?mr=245608), [doi](http://dx.doi.org/10.1016/0021-8693%2869%2990004-0)

The language of [[torsion theory|torsion theories]] was originally developed also in this context, but in fact it can pertain to a more general situation than to the categories of modules over rings. Hereditary torsion theories on the categories of 1-sided modules correspond to Gabriel lcoalization and the localization functors are flat. Cohn [[universal localization]]s of rings corresponds at the level of categories of modules to certain nonhereditary torsion theories. 

See also [[torsion theory]], [[localization]], [[Q-category]], [[thick subcategory]], [[topologizing subcategory]], [[Gabriel filter]]

* Bo Stenström, _Rings and modules of quotients_. Lecture Notes in Mathematics __237__, Springer-Verlag 1971. vii+136 pp. [MR0325663](http://www.ams.org/mathscinet-getitem?mr=325663)
* Nicolae Popescu, _An introduction to Abelian categories with applications to rings and modules_, Acad. Press 1973
* A. W. Goldie, _Torsion-free modules and rings_, J. Algebra __1__ 1964, 268–287 [MR164991](http://www.ams.org/mathscinet-getitem?mr=164991) <a href="http://dx.doi.org/10.1016/0021-8693(64)90023-7">doi</a>
* [[Zoran Škoda]], _Noncommutative localization in noncommutative geometry_, London Math. Society Lecture Note Series __330__, ed. [[A. Ranicki]]; pp. 220–313, [math.QA/0403276](http://arxiv.org/abs/math.QA/0403276)

category: algebra, noncommutative algebraic geometry
