+-- {: .standout}

This is a sub-entry of [[scheme]] and [[derived scheme]].

This entry discusses a higher-categorical perspective on that standard notion.

=--

On p. 37 of 

* [[Jacob Lurie]], [[Structured Spaces]] (StSp),

it is argued that the standard definition of [[scheme]] with its insistance on an underlying topological space is slightly misleading:

> it is in some sense coincidental that $Spec A$ is described by a [[topological space]]. What arises more canonically is the [[lattice]] of open subsets of $Spec A$, which is generated by basic open sets of the form $U_f$. This lattice naturally forms a [[locale]], or [[0-topos]]. It happens that this [[locale]] has [[point of a topos|enough points]], and can therefore be described as the lattice of open subsets of a [[topological space]]. However, there are various reasons we might want to disregard this fact:

> a) The existence of [[point of a topos|enough points]] for $Spec A$ is equivalent to the assertion that every nonzero commutative ring contains a prime ideal, and the proof of this assertion requires the [[axiom of choice]].

> b) In _[[relative scheme|relative]]_ situations, the relevant construction may well fail to admit enough points, even if the [[axiom of choice]] is assumed. However, the underlying [[locale]] (and its associated [[sheaf theory]]) are still well-behaved.

> c) If we wish to replace the Zariski topology by some other topology (such as the &eacute;tale topology), then we are forced to work with $Spec A$ as a [[topos]] rather than simply as a [[topological space]]: the category of &eacute;tale [[sheaf|sheaves]] on $Spec A$ is [[localic topos|not generated by]] [[subobject]]s of the [[terminal object|final object]].

> When we study [[derived algebraic geometry]], we will want to study [[sheaf|sheaves]] on $Spec A$ of a [[higher category theory|higher categorical]] nature, such as sheaves of [[space]]s or sheaves of [[spectrum|spectra]]. For these purposes it will be most convenient to regard $Spec A$ as an [[(∞,1)-topos|∞-topos]], rather than as a [[topological space]]. 

From that perspective then a scheme is realized as a [[structured (∞,1)-topos]] with respect to the Zariski [[geometry (for structured (∞,1)-toposes)]] $\mathcal{G}_{Zar}$. See the examples at [[derived scheme]] for more details on this.

+-- {: .un_prop }
###### Proposition ([[Structured Spaces|StSp]], 4.2.9)

Let $Sch_{\leq 0}^{\leq 0}(\mathcal{G}_{Zar}) \subset Sch(\mathcal{G}_{Zar})$ be the full subcategory of all [[derived scheme]]s on the [[n-truncated structured (infinity,1)-topos|0-truncated]] and [[n-localic (infinity,1)-topos|0-localic]] ones. This is canonically equivalent to the ordinary category $Sch(k)$ of [[relative schemes]] over $k$:

$$
  Sch_{\leq 0}^{\leq 0}(\mathcal{G}_{Zar}(k))
  \simeq
  Sch(k)
  \,.
$$
=--

category: algebraic geometry
[[!redirects scheme as structured locally affine infinity topos]]
[[!redirects scheme as locally affine structured infinity topos]]
[[!redirects scheme as a structured locally affine infinity topos]]
[[!redirects scheme as a locally affine structured infinity topos]]
[[!redirects scheme as structured locally affine infinity-topos]]
[[!redirects scheme as locally affine structured infinity-topos]]
[[!redirects scheme as a structured locally affine infinity-topos]]
[[!redirects scheme as a locally affine structured infinity-topos]]
[[!redirects scheme as structured locally affine (infinity,1)-topos]]
[[!redirects scheme as locally affine structured (infinity,1)-topos]]
[[!redirects scheme as a structured locally affine (infinity,1)-topos]]
[[!redirects scheme as a locally affine structured (infinity,1)-topos]]
[[!redirects scheme as structured locally affine ∞-topos]]
[[!redirects scheme as locally affine structured ∞-topos]]
[[!redirects scheme as a structured locally affine ∞-topos]]
[[!redirects scheme as a locally affine structured ∞-topos]]
[[!redirects scheme as structured locally affine (∞,1)-topos]]
[[!redirects scheme as locally affine structured (∞,1)-topos]]
[[!redirects scheme as a structured locally affine (∞,1)-topos]]
[[!redirects scheme as a locally affine structured (∞,1)-topos]]
[[!redirects schemes as structured locally affine infinity toposes]]
[[!redirects schemes as locally affine structured infinity toposes]]
[[!redirects schemes as structured locally affine infinity-toposes]]
[[!redirects schemes as locally affine structured infinity-toposes]]
[[!redirects schemes as structured locally affine (infinity,1)-toposes]]
[[!redirects schemes as locally affine structured (infinity,1)-toposes]]
[[!redirects schemes as structured locally affine ∞-toposes]]
[[!redirects schemes as locally affine structured ∞-toposes]]
[[!redirects schemes as structured locally affine (∞,1)-toposes]]
[[!redirects schemes as locally affine structured (∞,1)-toposes]]
[[!redirects schemes as structured locally affine infinity topoi]]
[[!redirects schemes as locally affine structured infinity topoi]]
[[!redirects schemes as structured locally affine infinity-topoi]]
[[!redirects schemes as locally affine structured infinity-topoi]]
[[!redirects schemes as structured locally affine (infinity,1)-topoi]]
[[!redirects schemes as locally affine structured (infinity,1)-topoi]]
[[!redirects schemes as structured locally affine ∞-topoi]]
[[!redirects schemes as locally affine structured ∞-topoi]]
[[!redirects schemes as structured locally affine (∞,1)-topoi]]
[[!redirects schemes as locally affine structured (∞,1)-topoi]]