
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

Ordinary [[classical mechanics]] of point particles may be regarded as the theory of [[action functional]]s on [[mapping space]]s of maps from the real line to some space.

In _classical [[field theory]]_ one instead studies functionals on [[mapping space]]s on higher dimensional domains.


### Classical gauge theory ##

Of particular interest are classical field theories that are [[gauge theory|gauge theories]]. A powerful formalism for handling these is provided by [[BV theory]], which effectively realizes spaces of classical fields as [[Lie infinity-algebroid|∞-Lie algebroid]]s. BV-formalism can be understood as a means to capture a classical gauge field theory in such a way that it lends itself to [[quantization]]. (See below)


## Examples 

Important examples of classical field theories are

* [[electromagnetism]]

* [[gravity]], [[supergravity]]


## Quantization of classical field theory

When it was realized that fundamental physics is governed by [[quantum field theory]] it became clear that classical field theory of fundamental fields can only be an approximation to the corresponding [[quantum field theory]]. If we think of quantum field theory in terms of [[FQFT|functorial quantum field theory]], then the domains of the mapping spaces mentioned above are the [[cobordism]]s that this [[FQFT]] is a functor on. The [[quantization]] of classical field theories to [[quantum field theories]] is a major issue in theoretical and mathematical [[physics]] (see also [[renormalization]] and [[geometric quantization]]).

## References

Textbook references include

* {#DeligneFreed99} [[Pierre Deligne]], [[Daniel Freed]], _Classical field theory_ (1999) ([pdf](https://publications.ias.edu/sites/default/files/79_ClassicalFieldTheory.pdf))

  this is a chapter in

  [[Pierre Deligne|P. Deligne]], [[Pavel Etingof|P. Etingof]], [[Dan Freed|D.S. Freed]], L. Jeffrey, [[David Kazhdan|D. Kazhdan]], J. Morgan, D.R. Morrison, [[Edward Witten|E. Witten]] (eds.)  _[[Quantum Fields and Strings]], A course for mathematicians_, 2 vols. Amer. Math. Soc. Providence 1999. ([web version](http://www.math.ias.edu/qft))


* S. Flügge (ed.), _Encyclopedia of Physics_ Volume III/I, _Principles of Classical Mechanics and Field Theory_, Springer 1960

For more see the references at _[[multisymplectic geometry]]_.

A discussion of recursive solutions to classical field equations and their relation to the quantum [[perturbation theory]] is in

* [[Robert Helling]], _Solving classical field equations_ ([pdf](http://homepages.physik.uni-muenchen.de/~helling/classical_fields.pdf))

[[!redirects classical field theories]]