
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### Supergeometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
=--
=--


This entry contains material related to the textbook

* [[Leonardo Castellani]], [[Riccardo D'Auria]], [[Pietro Fré]], 

  _Supergravity and Superstrings - A Geometric Perspective_

  World Scientific, 1991

on [[supergravity]] and [[string theory]] with an emphasis on the [[D'Auria-Fré formulation of supergravity]], based on

* {#DAuriaFre}  [[Riccardo D'Auria]], [[Pietro Fré]] _[[GeometricSupergravity.pdf:file]]_, Nuclear Physics B201 (1982) 101-140 

The book is out of print, unfortunately, but check $gen.lib$. The newer book

* [[Pietro Fré]], _Gravity, a Geometrical Course: Volume 2: Black Holes, Cosmology and Introduction to Supergravity_, Springer 2012

is much more brief in comparison, but has more history and exposition, and treats more recent developments, such as aspects related to [[AdS-CFT]].

## Description

This book focuses on the discussion of [[supergravity]]-aspects of [[string theory]] from the point of view of the [[D'Auria-Fré formulation of supergravity]], which is implicitly a formulation via [[supergeometry|supergeometry]] [[higher Cartan geometry]]. Therefore, while far, far from being written in the style of a mathematical treatise, this book stands out as making a consistent proposal for what the central ingredients of a mathematical formalization might be: as explained at the above link, secretly this book is all about describing supergravity in terms of [[connection on an infinity-bundle|infinity-connections]] with values in [[super L-infinity algebra]]s such as the [[supergravity Lie 3-algebra]].

See also [[higher category theory and physics]].

## Further references

The original article that introduced the D'Auria-Fr&#233;-formalism is

* **geSuGra** R. D'Auria, P. Fr&#233; _Geometric supergravity in $D = 11$ and its hidden supergroup_ [[GeometricSupergravity.pdf:file]]
 
The _geometric perspective_ discussed there is both the emphasis of working over base [[supermanifold]]s and combined with that the the approach that here we call the _D'Auria-Fr&#233;-formalism_ . 

The interpretation of the D'Auria-Fr&#233;-formalism in terms of [[∞-Lie algebra valued forms]] together with a discussion of the [[supergravity Lie 3-algebra]] in the context of [[String Lie 2-algebra|String Lie n-algebra]]s was given in 

* [[Hisham Sati]], [[Urs Schreiber]], [[Jim Stasheff]], _$L_\infty$-algebra connections_ (<a href="http://ncatlab.org/schreiber/show/differential+cohomology+in+an+(%E2%88%9E%2C1)-topos+--+references#SSSI">web</a>)

Apart from that the first vague mention of the observation that the "FDA"-formalism for supergravity is about higher categorical Lie algebras (as far as [[Urs Schreiber|I]] am aware, would be grateful for further references) is page 2 of

* [[Pietro Fré]], [[Pietro Antonio Grassi]], _Free differential algebras, rheonomy and pure spinors_ ([arXiv](http://arxiv.org/abs/0801.3076))

An attempt at a comprehensive discussion of the formalism in the context of [[cohesive (∞,1)-topos]]-theory for 
[[smooth super ∞-groupoid]]s is in the last section of 

* [[Urs Schreiber]], _[[schreiber:differential cohomology in a cohesive topos]]_

Here are some more references:

* [[Pietro Fré]], _M-theory FDA, twisted tori and Chevalley cohomology_ ([arXiv] (http://www.arxiv.org/abs/hep-th/0510068))

* [[Pietro Fré]], Pietro Antonio Grassi,
_Pure spinors, free differential algebras, and the supermembrane_ ([arXiv:hep-th/0606171] (http://www.arxiv.org/abs/hep-th/0606171))

* [[Pietro Fré]] and Pietro Antonio Grassi, _Free differential algebras, rheonomy, and pure spinors_ 
([arXiv:0801.3076] (http://www.arxiv.org/abs/0801.3076))


category: reference