
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Variational calculus
+-- {: .hide}
[[!include variational calculus - contents]]
=--
#### Algebraic Quantum Field Theory
+--{: .hide}
[[!include AQFT and operator algebra contents]]
=--
#### Equality and Equivalence
+-- {: .hide}
[[!include equality and equivalence - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

In [[variational calculus]] the  **Euler-Lagrange [[equations]]** of a [[nonlinear functional]] arising from [[transgression of variational differential forms|transgression]] of a [[local Lagrangian density]] characterize the _[[extrema]]_ of that functional, hence its _[[critical locus]]_ (the "[[shell]]"). 

This originates from and is mainly used in [[physics]], specifically in [[Lagrangian field theory]], where the functional in question is the _[[action functional]]_ of a [[physical system]], and where its critical points encode the physically realized [[field histories]] by the _[[principle of extremal action]]_.

## Details 

See at _[[A first idea of quantum field theory]]_ [this def.](A+first+idea+of+quantum+field+theory#EulerLagrangeEquationsOnTrivialVectorFieldBundleOverMinkowskiSpacetime)

## Examples

* The Euler-Lagrange equations of the [[Einstein-Hilbert action]] are [[Einstein's equations]] of [[gravity]].

* [[Maxwell's equations]]

* [[Yang-Mills equations]]

## Related concepts

* [[Euler-Lagrange form]]

* [[equations of motion]]

  * [[Newton's laws of motion]]

  * [[Hamilton's equations]], [[de Donder-Weyl-Hamilton equation]]

  * [[Einstein's equations]]

* [[Schwinger-Dyson equation]], [[Ward identity]]

* [[variational calculus]]

* [[topos of laws of motion]]

## References

* Wikipedia, _[Euler-Lagrange equation](http://en.wikipedia.org/wiki/Euler%E2%80%93Lagrange_equation)_.
* Robert Bryant, Phillip Griffiths, Daniel Grossman, _Exterior differential systems and Euler-Lagrange partial differential equations_, Chicago Lectures in Mathematics 2003, 205+xiv pp. [math.DG/0207039](http://arxiv.org/abs/math/0207039) [bookpage](http://www.press.uchicago.edu/ucp/books/book/chicago/E/bo3637779.html)

* _[Higher prequantum geometry II: The principle of extremal action -- comonadically](https://www.physicsforums.com/insights/higher-prequantum-geometry-ii-principle-extremal-action-comonadically/)_

[[!redirects Euler-Lagrange equations]]

[[!redirects Euler-Lagrange equation of motion]]
[[!redirects Euler-Lagrange equations of motion]]


[[!redirects equation of motion]]
[[!redirects equations of motion]]
[[!redirects equations of motion]]

[[!redirects law of motion]]
[[!redirects laws of motion]]