
**[[synthetic differential geometry|synthetic]] [[differential geometry]]**


**Introductions**

[[Introduction to Topology -- 1|from point-set topology to differentiable manifolds]]

[[geometry of physics]]: [[geometry of physics -- coordinate systems|coordinate systems]], [[geometry of physics -- smooth spaces|smooth spaces]], [[geometry of physics -- manifolds and orbifolds|manifolds]], [[geometry of physics -- smooth homotopy types|smooth homotopy types]], [[geometry of physics -- supergeometry|supergeometry]]


**Differentials**

* [[differentiation]], [[chain rule]]

* [[differentiable function]]

* [[infinitesimal space]], [[infinitesimally thickened point]], [[amazing right adjoint]]


**[[V-manifolds]]**

* [[differentiable manifold]], [[coordinate chart]], [[atlas]]

* [[smooth manifold]], [[smooth structure]], [[exotic smooth structure]]

* [[analytic manifold]], [[complex manifold]]

* [[formal smooth manifold]], [[derived smooth manifold]]

**[[smooth space]]** 

* [[diffeological space]], [[Frölicher space]]

* [[manifold structure of mapping spaces]]


**Tangency**

* [[tangent bundle]], [[frame bundle]]

  * [[vector field]], [[multivector field]], [[tangent Lie algebroid]];

  * [[differential forms in synthetic differential geometry|differential forms]], [[de Rham complex]], [[Dolbeault complex]]

    * [[pullback of differential forms]], [[invariant differential form]], [[Maurer-Cartan form]], [[horizontal differential form]], 

    * [[cogerm differential form]]

    * [[integration of differential forms]]

* [[local diffeomorphism]], [[formally étale morphism]]

* [[submersion]], [[formally smooth morphism]], 

* [[immersion]], [[formally unramified morphism]], 

* [[de Rham space]], [[crystal]]

* [[infinitesimal disk bundle]]


**The magic algebraic facts**

* [[embedding of smooth manifolds into formal duals of R-algebras]]

* [[smooth Serre-Swan theorem]]

* [[derivations of smooth functions are vector fields]]

**Theorems**

* [[Hadamard lemma]]

* [[Borel's theorem]]

* [[Boman's theorem]]

* [[Whitney extension theorem]]

* [[Steenrod-Wockel approximation theorem]]

* [[Whitney embedding theorem]]

* [[Poincare lemma]]

* [[Stokes theorem]]

* [[de Rham theorem]]

* [[Hochschild-Kostant-Rosenberg theorem]]

* [[differential cohomology hexagon]]

**Axiomatics**

* [[Kock-Lawvere axiom]]

  * [[smooth topos]], [[super smooth topos]]

  * [[microlinear space]]

  * [[integration axiom]]

[[!include cohesion - table]] 

**Models**
{#models_2}

* [[Models for Smooth Infinitesimal Analysis]]

  * [[smooth algebra]] ($C^\infty$-ring)

  * [[smooth locus]]

  * [[Fermat theory]]

* [[Cahiers topos]]

* [[smooth ∞-groupoid]]

* [[formal smooth ∞-groupoid]]

* [[super formal smooth ∞-groupoid]]




**[[Lie theory]], [[∞-Lie theory]]**

* [[Lie algebra]], [[Lie n-algebra]], [[L-∞ algebra]]

* [[Lie group]], [[Lie 2-group]], [[smooth ∞-group]]


**[[differential equations]], [[variational calculus]]**

* [[D-geometry]], [[D-module]]

* [[jet bundle]]

* [[variational bicomplex]], [[Euler-Lagrange complex]]

* [[Euler-Lagrange equation]], [[de Donder-Weyl formalism]], 

* [[phase space]]


**[[Chern-Weil theory]], [[∞-Chern-Weil theory]]**

* [[connection on a bundle]], [[connection on an ∞-bundle]]

* [[differential cohomology]]

  * [[ordinary differential cohomology]], [[Deligne complex]]

  * [[differential K-theory]]

  * [[differential cobordism cohomology]]

* [[parallel transport]], [[higher parallel transport]], [[fiber integration in differential cohomology]]

* [[holonomy]], [[higher holonomy]]

* [[gauge theory]], [[higher gauge theory]]

* [[Wilson line]], [[Wilson surface]]



**[[Cartan geometry]] ([[super Cartan geometry|super]], [[higher Cartan geometry|higher]])**

  * [[Klein geometry]], ([[higher Klein geometry|higher]])

  * [[G-structure]], [[torsion of a G-structure]]

  * [[Euclidean geometry]], [[hyperbolic geometry]], [[elliptic geometry]]

  * ([[pseudo-Riemannian geometry|pseudo]]-)[[Riemannian geometry]]

    * [[orthogonal structure]]

    * [[isometry]], [[Killing vector field]], [[Killing spinor]]

    * [[spacetime]], [[super-spacetime]]

  * [[complex geometry]]

  * [[symplectic geometry]]

  * [[conformal geometry]]
  




