<div class="rightHandSide toc">
[[!include cohomology - contents]]


***

[[!include higher algebra - contents]]


</div>



+-- {: .standout}

This is a sub-entry of

* [[A Survey of Elliptic Cohomology]]

see there for background and context.

This entry contains a basic introduction to derived [[group scheme]]s and their orientations.


=--

Previous:

* [[A Survey of Elliptic Cohomology - cohomology theories]]

* [[A Survey of Elliptic Cohomology - formal groups and cohomology]]

* [[A Survey of Elliptic Cohomology - E-infinity rings and derived schemes]]

* [[A Survey of Elliptic Cohomology - elliptic curves]]

* [[A Survey of Elliptic Cohomology - equivariant cohomology]]

Next:
 

* [[A Survey of Elliptic Cohomology - derived group schemes and (pre-)orientations]]

* [[A Survey of Elliptic Cohomology - A-equivariant cohomology]]

* [[A Survey of Elliptic Cohomology - the derived moduli stack of derived elliptic curves]]


>the following are rough unpolished notes taken more or less verbatim from some seminar talk -- needs attention, meaning: **somebody should go through this and polish**


***

#Contents#

* toc
{:toc}


# Introduction #

Recall from last time that given $G$ an algebraic group such that the [[formal spectrum]] $Spf A(\mathbb{C}P^\infty)$ is the completion $\hat G$, we could define $A_{S^1}({*}) := \mathcal{o}_{G}$ then passing to germs gave a completion map

$$
  A_{S^1}({*}) \to A(\mathbb{C}P^\infty) = 
  A^{Bor}_{S^1}({*}).
$$

The problem we (begin) to address here is how to extend this equivariant cohomology to other spaces besides the point.  This requires derived algebraic geometry.


# Derived group schemes#


Recall that a commutative [[group scheme]] over a scheme $X$ is a functor
$$
G: \mathrm{Sch} /X^{op} \to \mathrm{Ab}
$$
such that composition with the forgetful functor $F: \mathrm{Ab} \to \mathrm{Set}$ is representable.

We would like extend this definition to the world of [[derived scheme]]s.  There are two problems

1. Because of the higher categorical nature of derived schemes Hom sets are spaces.

1. Everything should in the $\infty$-setting, that is defined only up to homotopy.

We will not worry about the second concern and address the first by replacing the category $\mathrm{Ab}$ with $\mathrm{TopAb}$ and $\mathrm{Set}$ with $\mathrm{Top}$.



> The following definition is somewhat restrictive and really should incorporate more of the $\infty$-structure.


**Definition** A commutative [[derived group scheme]] over a [[derived scheme]] $X$ is a topological functor
$$
G: \mathrm{DSch} / X^{op} \to \mathrm{TopAb}
$$ 
such that composition with the forgetful functor $F: \mathrm{TopAb} \to \mathrm{Top}$ is representable (up to weak equivalence) by an object which is [[flat object|flat]] over $X$.


**Examples**

1. Let $X$ be a scheme, then we have an associated [[derived scheme]] $\overline{X}$.  The structure sheaf of $\overline{X}$ is obtained by viewing the structure sheaf of $X$ as a presheaf of $E_\infty$-rings and then sheafifying.  We then have an equivalence between commutative [[derived group scheme]]s over $\overline{X}$ and commutative [[group scheme]]s which are flat over $X$.

1. For $X$ a [[derived scheme]] we have a map from commutative [[derived group scheme]]s over $X$ to commutative [[group scheme]]s which are flat over $\pi_0 X$.


#Preorientations#

Throughout $A$ will be an $E_\infty$-ring, $X$ the affine [[derived scheme]] $\mathrm{Spec} A$, $G$ a commutative [[derived group scheme]] over $X$, $A_{S^1}$ the $E_\infty$-ring given by $\Gamma (G)$, and $A^{\mathbb{C}P^\infty}$ the $E_\infty$-ring given by

$$
  A^{\mathbb{C}P^\infty} = \mathrm{Hom}_{E_\infty} (\mathbb{C}P^\infty , A).
$$

**Definition**(Preliminary) A preorientation of $G$ is a morphism of commutative [[derived group scheme]]s over $X$
$$
\sigma : \mathrm{Spf} A^{\mathbb{C}P^\infty} \to G,
$$
where $\mathrm{Spf} A^{\mathbb{C}P^\infty}$ is the completion wrt the ideal $\mathrm{ker} (A^{\mathbb{C}P^\infty} \to A^{pt} = A)$. A preorientation is an orientation if the induced map
$$
\hat \sigma : \mathrm{Spf} A^{\mathbb{C}P^\infty} \to \hat G
$$
is an isomorphism.

Suppose that $G$ is affine, then a map 
$$
\sigma : \mathrm{Spf} A^{\mathbb{C}P^\infty} \to G
$$
corresponds to a map $A_{S^1} \to A^{\mathbb{C}P^\infty}$
which is the same as a map
$$
\mathbb{C}P^\infty \to \mathrm{Hom} (X, G) = G(X).
$$
Hence we are led to the following definition.

**Definition** Let $X$ be a [[derived scheme]] and $G$ a commutative [[derived group scheme]] over $X$.  A preorientation of $G$ is a morphism of topological commutative monoids
$$
\mathbb{P} (\mathbb{C} [\alpha]) = \mathbb{C}P^\infty \to G(X).
$$

Notice that $\mathbb{C}P^\infty$ is nearly freely generated.  Indeed it follows from the fundamental theorem of algebra that as a topological monoid $\mathbb{C}P^\infty$ is generated by $\mathbb{C}P^1$ subject to the single relation that $\mathrm{pt} = \mathbb{C}P^0 \subset \mathbb{C}P^1$ is the monoidal unit.

**Proposition** A preorientation up to homotopy is a map
$$S^2 \simeq \mathbb{C}P^1 \to G(X) $$
that is an element of $\pi_2 (G(X))$.

Hence, we always have at least one preorientation: the trivial one which corresponds to $0 \in \pi_2 (G(X))$.

#Orientations#

As motivation recall that a map $s: A \to B$ of 1-dim [[formal group]]s is an isomorphism if and only if $s'$ is invertible.  We would like to encode this in our derived language (without defining $s'$).

**Definition** Let $A$ be an $E_\infty$-ring, $G$ a commutative [[derived group scheme]] over $\mathrm{Spec} A$ and $\sigma : S^2 \to G(A)$ a preorientation.  Then $\sigma$ is an orientation if

1. $\pi_0 G \to \mathrm{Spec} \pi_0 A$ is smooth of relative dimension 1, and

1. The map induced by $\beta : \omega \to \pi_2 A$ 
$$
\pi_n A \otimes_{\pi_0 A} \omega \to \pi_{n+2} A$$
is an isomorphism for each $n$.

Note that (2) implies that $A$ is weakly periodic.  Conversely, if $A$ is weakly periodic then (2) is equivalent to $\beta$ being an isomorphism.

Before defining $\beta$ and $\omega$ we extend the above definition to [[derived group scheme]]s over an arbitrary [[derived scheme]].

**Definition** Let $X$ be a [[derived scheme]], $G$ a commutative [[derived group scheme]] over $X$ and $\sigma: S^2 \to G(X)$ a preorientation.  Then $\sigma$ is an orientation if $(G, \sigma) |_U$ is an orientation for all $U \subset X$ affine.

We now define the module $\omega$ and the map $\beta$.  Let $A$ be an $E_\infty$-ring, $G$ a commutative [[derived group scheme]] over $\mathrm{Spec} A$ and let $G_0 = \pi_0 G$ a scheme over $\mathrm{Spec} \pi_0 A$. Let $\Omega$ denote the sheaf of differentials on $G_0 / \pi_0 A$.  Then define
$$\omega := i^* \Omega, \; i: \mathrm{Spec} \pi_0 A \to G $$
is the identity section.

Now let $U \hookrightarrow G$ be an open affine subscheme containing the identity section, so $U = \mathrm{Spec} B$ for some $E_\infty$-ring $B$.  Then $\sigma$ induces a map
$B \to A^{S^2}$ which is the same as a map
$$
\pi_0 B \to A(S^2)= \pi_0 A \oplus \pi_2 A .
$$
It is a fact that the map $\pi_0 B \to \pi_2 A$ is a derivation over $\pi_0 A$ and hence has a classifying map which yields a map
$$\beta : \omega \to \pi_2 A .$$

#The Multiplicative Derived Group Scheme#

The naive guess for $G_m$ is $GL_1$, where $GL_1 (A) = A^x = (\pi_0 A)^x$.  It is true that $GL_1$ is a [[derived scheme]] over $\mathrm{Spec} \mathbf{S}$, however it is not flat, nor is $GL_1 (A)$ an Abelian group as $A$ is an $E_\infty$-ring and not an honestly commutative ring.

If $A$ is rational, that is there is a map $H \mathbb{Q} \to A$, then $GL_1 (A)$ can be given an Abelian group structure.  Hence, $GL_1$ is a perfectly good [[group scheme]] defined on the category of rational $E_\infty$-rings, however this category is too small; there are too few rational $E_\infty$-rings.

Recall that for a ring $R$, $R^x = \mathrm{Hom}_R (R [ t, t^{-1} ] , R)$.  Further, recall that for a group $M$ we can form the group algebra $R[M]$ which is really a [[Hopf algebra]].  Then $\mathrm{Spec} R[M]$ is a [[group scheme]] over $\mathrm{Spec} A$.  Further, $R[m]$ is characterized by
$$
\mathrm{Ring} ( R[M] , B) = \mathrm{Ring} (R, B) \times \mathrm{Mon} (M,B)
$$
where $\mathrm{Mon}$ is the category of monoids and the ring $B$ is thought of as a monoid wrt to multiplication. Motivated by these observations we make the following definitions.

**Definition** Let $A$ be an $E_\infty$-ring and $M$ a topological Abelian monoid, then we can define $A[M]$ which is characterized by
$$
\mathrm{Alg}_A (A[M], B) \simeq \mathrm{Alg}_A (A,B) \times \mathrm{TopMon} (M, B^\times ).
$$
Recall that because of the higher categorical nature of things, the hom-sets above are spaces and the symbol $\simeq$ indicates weak equivalence of spaces.

**Definition** Let $A$ be an $E_\infty$-ring.  We define the multiplicative group corresponding to $A$ as
$$
G_m = \mathrm{Spec} A[ \mathbb{Z}].
$$
$G_m$ is a derived commutative group scheme over $\mathrm{Spec} A$.

Note that $\pi_* ( A[ \mathbb{Z}]) = (\pi_* A) [ \mathbb{Z}]$. Also, the map $\pi_0 G_m \to \pi_0 \mathrm{Spec}  A$ is smooth of relative dimension 1.

##Preorientations of $G_m$##

**Proposition** For any $E_\infty$-ring $A$, we have a bijection (of sets) between preorientations of $G_m$ and maps $\mathbf{S} [ \mathbb{C} P^\infty ] \to A$.

The proof follows from the fact that $\mathbf{S}$ is initial in the category of $E_\infty$-rings and the mapping property of $A [ \mathbb{Z}]$.

**Corollary** $\mathrm{Spec} \mathbf{S} [ \mathbb{C} P^\infty ]$ is the moduli space of preorientations of $G_m$.  That is, if $G_m$ is defined over $\mathrm{Spec} A$, then a preorientation of $G_m$ is the same as a map $\mathrm{Spec} A \to \mathrm{Spec} \mathbf{S} [ \mathbb{C} P^\infty ]$.

##Orientations of $G_m$##

We consider the map $\beta : \omega \to \pi_2 A$ where
$$
\omega = i^* \Omega^1_{\pi_0 G / \pi_0 \mathrm{Spec} A}
$$
and $i$ is the identity section.  Note that $\pi_0 G_m = (\pi_0 A ) [t, t^{-1}]$, hence it follows that $\omega$ is canonically trivial, so an orientation is just an element $\beta_\sigma \in \pi_2 A$ such that $\beta_\sigma$ is invertible in $\pi_* A$. 

Let $\beta$ denote the (universal) orientation of $\mathbf{S} [ \mathbb{C} P^\infty]$.  Then we have the following.

**Theorem** $\mathrm{Spec} \mathbf{S} [ \mathbb{C} P^\infty] [ \beta^{-1}]$ is the moduli space of orientations of $G_m$.

It is a theorem of Snaith, that this moduli space has the homotopy type of $KU$ the spectrum of complex K-theory.  Note that by considering the homtopy fixed points of a certain action there is a way to recover $KO$ as well.

##Connection to complex orientation##

Let $A$ be an $E_\infty$-ring, so in particular $A$ defines a cohomology theory.  An orientation of $G_m$ over $\mathrm{Spec} A$ is a map $KU \to A$.  A complex orientation of $A$ is a map $MU \to A$.  Recalling that $KU$ is complex oriented, we see that an orientation of $G_m$ gives a complex orientation by precomposing with the map $MU \to KU$.

#The Additive Derived Group Scheme#

The naive definition of $G_a$ is $\mathbf{A}^1$, where $\mathbf{A}^1 (A)$ is the additive group of $A$.  It is true that $\mathbf{A}^1$ is a [[derived scheme]] over $\mathrm{Spec} \mathbf{S}$, however it is not flat as for an $E_\infty$-ring $A$
$$
\pi_k \mathbf{A}^1_A = \oplus_{n \ge 0} A^{-k} (B \Sigma_n )
$$
where as if it were flat we would have
$$
\pi_k \mathbf{A}^1_A = \pi_k A [x] .
$$
Also, $\mathbf{A}^1$ is not commutative.  $\mathbf{A}^1 (A)$ is an infinite loop space, but not an Abelian monoid.  Again $\mathbf{A}^1$ is a derived group scheme when restricted to rational $E_\infty$-rings.

We no restrict to the category of integral $E_\infty$-rings, i.e. those equipped with a map $H \mathbb{Z} \to A$. Note that in this category $H \mathbb{Z}$ is initial.

**Definition** For $A$ an integral $E_\infty$-ring define
$$
G^A_a = \mathrm{Spec} ( A \otimes_\mathbb{Z} \mathbb{Z} [x] ).
$$

It can be shown that $G^A_a$ is flat and has the correct amount of commutativity.

>Why can't we just use $\mathrm{Spec} A [ \mathbb{N}]$?

**Proposition** For all integral $E_\infty$-rings, preorientations of $G_a^A$ are in bijective correspondence with maps $H \mathbb{Z} [ \mathbb{C} P^\infty] \to A$.  Consequently, $\mathrm{Spec} H \mathbb{Z} [ \mathbb{C} P^\infty]$ is the moduli space of preorientations of $G_a$.

Now, $\pi_* H \mathbb{Z} [ \mathbb{C} P^\infty] = H_* (\mathbb{C} P^\infty , \mathbb{Z} )$.  The right side is a free divided power series on a generator $\beta$ where $\beta \in \pi_2 H \mathbb{Z} [ \mathbb{C} P^\infty]$.

**Proposition** $\mathrm{Spec} H \mathbb{Z} [ \mathbb{C} P^\infty ] [ \beta^{-1}]$ is the moduli space of orientations of $G_a$.

**Proposition** $\mathrm{Spec} H \mathbb{Z} [ \mathbb{C} P^\infty ] [ \beta^{-1}] = KU \otimes \mathbb{Q}$.  Hence the Chern character yields an isomorphism with rational periodic cohomology.

