

The [[foundations]] of [[mathematics]] may seem to be a topic curiously disconnected from the rest of mathematics. This is not quite so. This page lists examples where questions of foundations do affect questions and problems in "real world" mathematics.

See also Wikipedia\'s [list of statements undecidable in ZFC](http://en.wikipedia.org/wiki/List_of_statements_undecidable_in_ZFC).

#Contents#
* automatic table of contents goes here 
{:toc}

#Whitehead problem#


The following question is called the **Whitehead problem**

Every [[free abelian group]] $A$ satisfies $Ext^1(A,\mathbb{Z}) = 0$. Is, conversely, every abelian group $A$ that satisfies $Ext^1(A,\mathbb{Z}) = 0$ a free abelian group?

When formalizing [[group theory]] within [[ETCS]] as a [[set theory]], then this question is undecidable.  (It is still undecidable in [[ZFC]], equivalently in ETCS + Collection.)  In some models it is true, while other models have counterexamples.


#Fermat's last theorem#

It was [conjectured](http://en.wikipedia.org/wiki/Elementary_function_arithmetic#Friedman.27s_grand_conjecture) by Harvey Friedman that all theorems involving finitary objects published in _Annals of Mathematics_ (for argument's sake) can be proved in [[Elementary Function Arithmetic]] (EFA), a weak fragment of [[Peano arithmetic]]. One implication is that Fermat's last theorem is provable in PA. There is a current program of research by Angus MacIntyre to show this last fact directly. From a category theoretic point of view, [[Colin McLarty]] has shown that all of the material in [[SGA]] relies only on quite weak foundations, namely MacLane set theory with one [[universe]] (weaker than the theory $V_{\omega\cdot 3}$ considered in [[ZFC]])

* [[Colin McLarty]], _Set Theory for Grothendieck's Number Theory_, ([pdf](http://www.cwru.edu/artsci/phil/Groth%20found26.pdf)), draft dated Jan 26 2011

McLarty comments extensively on the possibility of proving Fermat's last theorem, and more generally the Modularity theorem, in PA in the article

* Colin McLarty, _What does it take to prove Fermat's last theorem? Grothendieck and the logic of number theory_, ([pdf](http://www.cwru.edu/artsci/phil/Proving_FLT.pdf)) (reference? Bulletin of Symbolic Logic I think - [[David Roberts|DR]])
