
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Group Theory
+-- {: .hide}
[[!include group theory - contents]]
=--
#### $\infty$-Lie theory
+--{: .hide}
[[!include infinity-Lie theory - contents]]
=--
=--
=--




#Contents#
* table of contents
{:toc}

## Definition

The _special orthogonal group_ or _[[rotation]] group_, denoted $SO(n)$, is the [[group]] of [[rotations]] in a  [[Cartesian space]] of [[dimension]] $n$. 

This  is one of the [[classical Lie groups]]. It is the [[connected component]] of the neutral element in the [[orthogonal group]] $O(n)$.

For instance for $n=2$ we have $SO(2)$ the [[circle group]].

It is the first step in the [[Whitehead tower]] of $O(n)$

$$
  \cdots \to Fivebrane(n) \to String(n) \to Spin(n) \to SO(n) \to \mathrm{O}(n)
  \,,
$$

the next step of which is the [[spin group]]. 

In [[physics]] the rotation group is related to [[angular momentum]].

## Properties

### As part of the ADE pattern

[[!include ADE -- table]]


### Relation to orientation of manifolds

For $X$ an $n$-dimensional [[manifold]] a lift of [[generalized the|the]] classifying map $X \to \mathcal{B}O(n)$ of the $O(n)$-[[principal bundle]] to which the [[tangent bundle]] $T X$ is [[associated bundle|associated]] is the same as a choice of [[orientation]] of $X$.

## Examples

For the almost degenerate case $n = 2$ there are exceptional [[isomorphisms]] of [[Lie groups]]

$$
  SO(2) \simeq U(1) \simeq Spin(2)
$$

with the [[circle group]] and [[spin group]] in dimension 2.

## Related concepts

$\cdots \to$ [[Fivebrane group]] $\to$ [[string group]] $\to$ [[spin group]] $\to$ **special orthogonal group** $\to$ [[orthogonal group]].

[[!include table of orthogonal groups and related]]

## References
 {#References}

For general references see also at _[[orthogonal group]]_.

* [[Jim Stasheff]], _The topology and algebra of $SO(n-1) \to SO(n) \to S^{n-1}$_, Herman's seminar July 2013 ([[StasheffSOn.pdf:file]])
 {#Stasheff13}

[[!redirects special orthogonal groups]]

[[!redirects rotation group]]
[[!redirects rotation groups]]
