
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Knot theory
+--{: .hide}
[[!include knot theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A __knot invariant__ is map from [[isotopy]] [[equivalence class]]es of [[knots]] to any kind of structure you could imagine.  These are helpful because it is often much easier to check that the structures one maps to (numbers, groups, etc.) are different than it is to check that knots are different.  To define a knot invariant, it suffices to define its value on [[knot diagrams]] and check that this value is preserved under the [[Reidemeister moves]] (possibly with the exception of the first Reidemeister move, in the case of an invariant of [[framed knots]]).

## Examples


* [[crossing number]]
* [[bridge number]]
* [[unknotting number]]
* [[colorability]]
* [[knot group]]= the [[fundamental group]] of the complement of the knot.
* [[quandles]] and [[racks]]
* [[knot genus]]
* [[Jones polynomial]]
* [[HOMFLY polynomial]]
* [[Alexander polynomial]]
* [[Reshetikhin-Turaev invariant]]s for any object in a [[ribbon category]]
* [[Khovanov homology]]
* [[Kauffman bracket]] (an invariant of [[framed links]] closely related to the [[Jones polynomial]])


Many of these extend to [[link invariant|link invariants]] or have variants that depend on the knot being oriented.

## References

Discussion of knot invariants in terms of [[BPS states]] [[M5-branes]] in [[string theory]] ([[M-theory]]) includes

* [[Edward Witten]], _Fivebranes and Knots_ ([arXiv:1101.3216](http://arxiv.org/abs/1101.3216))

* [[Sergei Gukov]], [[Marko Stošić]], _Homological algebra of knots and BPS states_ ([arXiv:1112.0030](http://arxiv.org/abs/1112.0030))

* Ross Elliot, [[Sergei Gukov]], _Exceptional knot homology_ ([arXiv:1505.01635](http://arxiv.org/abs/1505.01635))

* Satoshi Nawata, Alexei Oblomkov, _Lectures on knot homology_ ([arXiv:1510.01795](http://arxiv.org/abs/1510.01795))

category: knot theory

[[!redirects knot invariants]]
[[!redirects Knot Invariant]]
[[!redirects Knot Invariants]]
[[!redirects Knot invariant]]
[[!redirects Knot invariants]]