[[classical mechanics|Classical]], [[quantum mechanics|quantum]] and [[statistical mechanics|statistical]] [[mechanics]] may all be seen as varieties of [[matrix]] mechanics for different [[rig|rigs]].  In quantum mechanics we use linear algebra over the ring $\mathbb{C}$ of [[complex numbers]]; in classical mechanics everything is formally the same, but we instead use the rig $\mathbb{R}_{min} = \mathbb{R} \cup \{+\infty\}$, where the addition is $min$ and the multiplication is $+$.  

Statistical mechanics (or better, 'thermal statics') is matrix mechanics over a rig $\mathbb{R}^T$ that depends on the [[temperature]] $T$. As $T \to 0$, the rig $\mathbb{R}^T$ reduces to $\mathbb{R}_{min}$ and thermal statics reduces to classical statics, just as quantum dynamics reduces to classical dynamics as Planck's constant approaches zero.

The [[dynamics]] of particles becomes the [[statics]] of [[string theory|strings]] after [[Wick rotation]].

+-- {: .query}
I suppose matrix mechanics over a distributive lattice could be thought as a kind of <a href="http://en.wikipedia.org/wiki/Minimax">minimax</a> (or maximin) calculation - David. 
=--


* [Quantization and Cohomology: Week 12](http://golem.ph.utexas.edu/category/2007/01/quantization_and_cohomology_we_11.html)
* [Quantization and Cohomology: Week 13](http://golem.ph.utexas.edu/category/2007/02/quantization_and_cohomology_we_12.html#c007500)
* [superposition in classical mechanics](http://golem.ph.utexas.edu/category/2006/12/talks_at_higher_categories_and.html#c006955) 
* [Baez-Corfield discussion](http://math.ucr.edu/home/baez/qg-spring2004/discussion.html#idempotent)
* [discussion continued - homotopy theory as groupoid valued mechanics](http://golem.ph.utexas.edu/category/2007/06/cohomology_and_quantization_we.html#c022847)
* [Geometric Representation Theory (Lecture 12)](http://golem.ph.utexas.edu/category/2007/11/geometric_representation_theor_11.html)