In the last quarter of 2009, there is a seminar at UC Riverside on Cobordism and Topological Field Theories run by [[Julie Bergner]]. The seminar webpage is [here](http://www.math.ucr.edu/~jbergner/cobordism.htm). The goal is to work through recent notes of [[Jacob Lurie|Lurie]] giving an outline of his proof of the [[cobordism hypothesis|Cobordism Hypothesis]], relating [[cobordism]] classes of [[manifolds]] and [[TQFT|topological field theories]].  This work brings together several areas of recent mathematical interest: topological field theories, cobordisms of manifolds, and [[homotopy theory|homotopical approaches]] to [[higher category theory|higher categories]].  The basic definitions and examples of all of the above will be covered and then we'll work towards understanding Lurie's proof. 

The main reference is

[[Jacob Lurie|J. Lurie]], _[[On the Classification of Topological Field Theories]]_

##### Friday, September 25 --- John Baez, Introduction to the cobordism hypothesis

[[John Baez]] kicked off the seminar with an introduction to the [[cobordism hypothesis]], how it began its life, and what it means in dimension $n=1$. Already here an issue of "framing" comes into play concerning the first [[Reidemeister move]]. 

* [Notes](http://math.ucr.edu/~alex/cobordism_lecture1.pdf) by [[Alex Hoffnung]]. 
* [Blog entry](http://golem.ph.utexas.edu/category/2009/10/seminar_on_cobordism_and_topol.html)

##### Friday, October 2 --- Julie Bergner, Manifolds and cobordism

The definition of cobordism, and the category nCob of closed oriented $(n-1)$-manifolds and diffeomorphism classes of oriented cobordisms between them. 

* [Notes](http://math.ucr.edu/~alex/cobordism_lecture2.pdf) by [[Alex Hoffnung]].
* [Blog entry](http://golem.ph.utexas.edu/category/2009/10/cobordism_and_topological_fiel.html)


##### Friday, October 9 --- Julie Bergner, Topological field theories

The basics of symmetric monoidal categories and functors and the definition of topological field theory.

* [Notes](http://math.ucr.edu/~alex/cobordism_lecture3.pdf) by [[Alex Hoffnung]].
* [Blog entry](http://golem.ph.utexas.edu/category/2009/11/cobordism_and_topological_fiel_1.html)

##### Friday, October 16 --- Chris Carlson, Topological field theories in low dimensions

Introduces 2-dimensional topological field theories and commutative Frobenius algebras.

* [Notes](http://math.ucr.edu/~alex/cobordism_lecture4.pdf) by [[Alex Hoffnung]].
* [Blog entry](http://golem.ph.utexas.edu/category/2009/12/cobordism_and_topological_fiel_2.html)

##### Friday, October 23 --- John Huerta, A short history of the interaction between quantum field theory and topology

Today's story should involve lots of people, but the stars are Sir Michael Atiyah and Edward Witten. It begins with a paper Witten wrote in 1982, called "Supersymmetry and Morse Theory”. In this paper, Witten shows how to use 'supersymmetric quantum mechanics' to compute the de Rham cohomology of a compact manifold, $M$, via Morse theory. This was perhaps the first instance of using quantum theory to find topological invariants.

* [Notes](http://math.ucr.edu/~alex/cobordism_lecture5.pdf) by [[John Huerta]].
* [Blog entry](http://golem.ph.utexas.edu/category/2009/12/cobordism_and_topological_fiel_3.html)

##### Friday, October 30 --- Julie Bergner, 2-Extended topological field theories

A sketch of a $2$-extended TFT illustrated by chopping up manifolds into pieces and considering the problems encountered when one considers TFT's of dimension higher than $2$.

* [Notes](http://math.ucr.edu/~alex/cobordism_lecture6_7.pdf) by [[Alex Hoffnung]].
* [Blog entry](http://golem.ph.utexas.edu/category/2009/12/cobordism_and_topological_fiel_4.html)
* (These are notes for both October 30 and November 6)

##### Friday, November 6 --- Julie Bergner, 2-Extended topological field theories and 2-categories

Introduces $2$-categories of cobordisms and suggests the need for $(\infty,2)$-categories and gives a definition for extended  $\mathit{C}$-valued TFT’s.

##### Friday, November 13 --- John Baez, Cobordism bicategories

##### Friday, November 20 --- Julie Bergner, Framings, dualizable objects, and the statement of the cobordism hypothesis

##### Friday, December 4 --- Julie Bergner, $(\infty,n)$-categories and diffeomorphisms

All pictures were drawn by [[Christopher Walker]].  Otherwise these notes are mostly the unpolished version from seminar.

[[!redirects UC Riverside Seminar on Cobordisms and Topological Field Theories]]
