
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Knot theory
+--{: .hide}
[[!include knot theory - contents]]
=--
#### Topology
+--{: .hide}
[[!include topology - contents]]
=--
=--
=--


# Knots
* table of contents
{: toc}

The theory of knots is very visual. It can provide a link between the concrete and abstract.  Some of the arguments are quite elementary, others very deep, and there are numerous connections with other parts of mathematics.


## Definition

A knot is a [[smooth map|smooth]] (or PL) [[embedding]] of the [[circle]] $S^1$ into $\mathbb{R}^3$, or equivalently into the $3$-[[sphere]] $S^3$ (one can also consider knots in other [[3-manifold]]s).

Typically, knots are considered up to [[ambient isotopy]].

Knots that are ambient isotopic are often said to have the *same knot type* or to be *in the same isotopy class*.


## Example

The trefoil knot is the simplest non-trivial knot.  In its simplest representation, it has three crossings.  It is a [[torus knot]], that is it can be embedded on the surface of a solid torus, itself embedded in $S^3$. Here is a picture:

[[!include trefoil knot - SVG]]


Classifying knots up to isotopy is usually done using [[knot invariant|knot invariants]]. Some of these are simple to define (these tend to be geometric and also tend to be hard to calculate) others are harder to define and to show they are invariants but are easier to calculate. A few are reasonably easy to define and to calculate... Yippee!

It is often useful to consider the domain circle of a knot as being oriented.  This is then represented by putting a directional arrow on diagrams of the knot. Such oriented knots are usually considered up to [[ambient isotopy]] in which the isotopy is orientation preserving. This leads to the idea of [[invertible knot|invertible knots]].  It is also possible to take the [[mirror reflection]] of  knots and thus to introduce the concept of [[achiral knot|achiral knots]].

## Relevant nLab Pages

### Knots, Links, and other Variants

The theory of knots can be extended to include various similar things:

* [[links]]
* [[braids]]
* [[strings]]
* [[tangles]]
* [[singular knots]]

### Invariants

A major line in the study of knots is to look for [[knot invariants]] (see also [[link invariants]]).

### Ancillary pages

There are various pages related to knot theory that are linked from the main articles.

* [[Vassiliev skein relations]]
* [[Reidemeister moves]]

### Images

The study of knots is very pictorial.  There are various knot-related SVGs that can be included in to nLab pages.

* [[SVG images]]

## Related concepts

* [[MKR dictionary]] in [[arithmetic topology]]

* [[chord diagram]]

* [[Wilson loop]]


## References

For introductions to Knot Theory,

 * [[R. H. Crowell]] and [[R. H. Fox]], Introduction to Knot Theory, Springer, Graduate Texts 57, 1963.

 * [[N. D. Gilbert]] and [[T. Porter]], Knots and Surfaces, Oxford U.P., 1994.

These do not, of course, handle more modern developments.

Other classic sources are 

* Dale Rolfsen, Knots and Links, 2003, (ISBN-10: 0-8218-3436-3, ISBN-13: 978-0-8218-3436-7), AMS Chelsea, vol. 346.

and

* [[L. H. Kauffman]], Knots and Physics, World Scientific, 1991.

The second of these discusses many of the connections between knots and state sum calculations related to quantum field theories.

Another reference for the classical theory is

* G. Burde and H. Zieschang, Knots, De Gruyter (1989).

Historically, a motivation for [[Peter Tait]] to start thinking about classification of [[knots]] was the book 

* [[Lord Kelvin]], _[[On Vortex Atoms]]_

which presented the speculation in [[physics]] that  [[atoms]]/[[elementary particles]] are fundamentally [[vortices]] in a [[spacetime]]-filling fluid-like substance.


category: knot theory

[[!redirects knot]]
[[!redirects knots]]
[[!redirects Knot]]
[[!redirects Knots]]

[[!redirects Knot Theory]]
[[!redirects knot theory]]