


+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--


> this entry needs attention


Momentum is, according to [[Isaac Newton|Newton]], the 'amount of motion' in an object.  For particles it is  proportional to the object\'s [[mass]] and to its [[velocity]], and thus measured in units of mass times velocity. For photons it is proportional to the frequency of the photon. 


In [[Lagrangian mechanics]] (including relativistic and quantum versions), to every (generalized) coordinate $q_i$ one associates a (generalized) momentum 
$$
p_i = \frac{\partial L}{\partial \dot{q}^i}
$$
where $L$ is the [[Lagrangian]] of the system.  More generally, we can say that $p_i$ is the coordinate of $\mathrm{d}q^i$ in the [[action functional|action form]].

If $L$ takes the form $\frac{1}{2} \sum_i m_i \dot{q}_i^2 - U(q_1,\ldots,q_n)$, then we have $p_i = m_i \dot{q}_i$.  Thus, the __linear momentum__ of a point particle in Newtonian mechanics is traditionally *defined* as the intrinsic [[mass]] $m$ times the [[velocity]] $\vec{\dot{q}}$.  However, this breaks down in some situations:

*  Relativistically, the velocity factor is more complicated (tending to $\infty$ as velocity tends to the [[speed of light]]).  However, it is possible to keep $p = m v$ using a velocity-dependent relativistic mass (especially since the mass may depend on other dynamical considerations).
*  In the presence of velocity-dependent forces (notably those produced by a [[magnetic field]]), there is an additional position-dependent term.
*  In nonlinear coordinates (such as for [[angular momentum]]), one not only needs to use a nonlinear velocity (such as [[angular velocity]]) but also replace mass with something more complicated (such as [[moment of inertia]]) which is often position-dependent.


In [[Hamiltonian mechanics]], the momentum coordinates are half of the basic coordinates on [[phase space]].  If phase space is derived as the [[cotangent bundle]] of a [[configuration space]], then the momentum coordinates are the new coordinates on the cotangent bundle, dual to the original coordinates on configuration space; we have the [[symplectic form]] $\sum_i p_i \mathrm{d}q^i$.  However, Hamiltonian mechanics cares only about phase space as a [[symplectic manifold]] with a [[Hamiltonian]]; there is no inherent distinction between position and momentum coordinates, and you can even make a [[canonical coordinate transformation|canonical transformation]] that swaps them (up to a minus sign).


In [[quantum mechanics]], the [[canonical quantization]] process formally replaces momentum by $-i \hbar \frac{\partial}{\partial x},$ where $x$ is position.  (Equivalently, in [[momentum space]], canonical quantization replaces $x$ by $i \hbar \frac{\partial}{\partial p}.)$  In this situation, position and momentum [[canonical commutation relation|fail to commute]].

There is a generalization of momentum in symplectic geometry, so called [[moment map]].

[[!include plane waves -- table]]


[[!redirects momentum]]
[[!redirects momentums]]
[[!redirects momenta]]

[[!redirects linear momentum]]
[[!redirects linear momentums]]
[[!redirects linear momenta]]

[[!redirects generalized momentum]]
[[!redirects generalized momentums]]
[[!redirects generalized momenta]]
[[!redirects generalised momentum]]
[[!redirects generalised momentums]]
[[!redirects generalised momenta]]
