
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Representation theory
+-- {: .hide}
[[!include representation theory - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}


## Idea ##

An _irreducible representation_ --  often abbreviated _irrep_ -- is a [[representation]] that has no smaller non-trivial representations "sitting inside it".

Similarly for irreducible [[modules]].

## Definition ##

Given some algebraic structure, such as a [[group]], equipped with a notion of (linear) [[representation]], then an _irreducible representation_ is a [[representation]] that has no nontrivial proper [[subobject]] in the [[category]] of all representations in question and yet which is not itself trivial either.  In other words, an irrep is a [[simple object]] in the category of representation.

Notice that there is also the closely related but in general different notion of an [[indecomposable representation]].  Every irrep is indecomposable, but the converse may fail.

A representation that has proper nontrivial subrepresentations but can not be decomposed into a [[direct sum]] of such representations is an **indecomposable representation** but still reducible.

## Related concepts

* [[reducible representation]]

* [[simple object]]

* [[fundamental representation]]

* In [[quantum physics]] an irreducible representation of an [[algebra of observables]] is called a _[[superselection sector]]_. 

  In [[Wigner classification]] the irreps of the [[spacetime]] symmetry groups are identified with [[elementary particle]] species.

## References

* Wikipedia, _[Irreducible representation](https://en.wikipedia.org/wiki/Irreducible_representation)_

[[!redirects irreducible representations]]

[[!redirects indecomposable representation]]
[[!redirects indecomposable representations]]

[[!redirects irrep]]
[[!redirects irreps]]


[[!redirects irreducible module]]
[[!redirects irreducible modules]]


