
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Monoidal categories
+--{: .hide}
[[!include monoidal categories - contents]]
=--
#### Category theory
+--{: .hide}
[[!include category theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A __tensor category__ is a [[category]] equipped with an operation similar to the [[tensor product]] in [[Ab]].

The precise definition associated with the term "tensor category" varies somewhat in the literature.

It may mean any :

*  any [[monoidal category]],

*  a [[symmetric monoidal category]] (and then a __quasitensor category__ is a [[braided monoidal category]]),

*  an [[Ab-enriched category|Ab-enriched]] or [[Vect]]-enriched (symmetric) monoidal category.

*  an [[additive category|additive]] (symmetric) monoidal category, so that the tensor preserves finite direct sums, 

* an [[abelian category|abelian]] (symmetric) monoidal category, in which the tensor preserves finite colimits in separate arguments, 

* an abelian (symmetric) monoidal category with [[dual objects]] ([[rigid monoidal category]])

## Properties 

### Tannaka theory, Deligne's theorem, super-representation theory

[[Deligne's theorem on tensor categories]] ([Deligne 02](#Deligne02)) establishes [[Tannaka duality]] between sufficiently well-behaved linear tensor categories in [[characteristic zero]] and [[supergroups]], realizing these tensor categories as [[categories of representations]] of these supergroups.

## Related concepts

* [[fusion category]]

* [[tensor triangulated category]]

* [[tensor (∞,1)-category]]

* [[2-algebraic geometry]]


## References

* {#Deligne90} [[Pierre Deligne]], section 2 of _[[Catégories Tannakiennes]]_, Grothendieck Festschrift, vol. II, Birkhäuser Progress in Math. 87 (1990) pp. 111-195 ([pdf](https://publications.ias.edu/sites/default/files/60_categoriestanna.pdf))

* [[Pavel Etingof]], Shlomo Gelaki, Dmitri Nikshych, [[Victor Ostrik]], _Topics in Lie theory and Tensor categories -- 9 Tensor categories_, Lecture notes (spring 2009) ([pdf](http://ocw.mit.edu/courses/mathematics/18-769-topics-in-lie-theory-tensor-categories-spring-2009/lecture-notes/MIT18_769S09_lec09.pdf) [web](http://ocw.mit.edu/courses/mathematics/18-769-topics-in-lie-theory-tensor-categories-spring-2009/lecture-notes/)) 

[[Deligne's theorem on tensor categories]] is due to

* {#Deligne02} [[Pierre Deligne]], _Catégorie Tensorielle_, Moscow Math. Journal 2 (2002) no. 2, 227-248. ([pdf](https://www.math.ias.edu/files/deligne/Tensorielles.pdf))

Review includes

* {#Ostrik04} [[Victor Ostrik]], _Tensor categories (after P. Deligne)_ ([arXiv:math/0401347](http://arxiv.org/abs/math/0401347))



[[!redirects quasitensor category]]

[[!redirects tensor categories]]