
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
#### Complex geometry
+--{: .hide}
[[!include complex geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Overview

_Hodge theory_ is the study of properties of (complex, rational and integer) [[cohomology]] (and [[motives]]) of [[Kähler manifolds]], induced by a [[Hodge filtration]] -- given in the classical situation by [[harmonic differential forms]] --  and the corresponding [[Hodge theorem]].

Central aspects of the theory include Hodge decomposition, [[hard Lefschetz theorem]], [[pure Hodge structures]], [[mixed Hodge structures]], [[variations of Hodge structure]], [[Hodge to de Rham spectral sequence]], [[periods]]... This basic setup is however by now vastly generalized. 


The nomenclature "nonabelian"/"noncommutative" Hodge theory may be confusing - to clarify:

[[nonabelian Hodge theory|Nonabelian Hodge theory]] refers to the generalization of classical Hodge theory for commutative spaces from abelian coefficients to nonabelian coefficients.

[[Noncommutative Hodge theory]] refers to the generalization of classical Hodge theory from commutative geometry (e.g. algebraic varieties) to [[noncommutative geometry]] (e.g. [[dg-categories]] -- see also the page on [[noncommutative algebraic geometry]]). The coefficients in noncommutative Hodge theory are abelian.

Ultimately, the goal is to develop a Hodge theory for noncommutative spaces with nonabelian coefficients.



## Related entries

* [[p-adic Hodge theory]]

* [[harmonic differential form]], [[Hodge star operator]]

* [[Hodge theorem]]

* [[Hodge structure]]

* [[Hodge conjecture]]

* [[nonabelian Hodge theory]], [[Lefschetz hyperplane theorem]]

* [[motive]]

## References 

### Contributors

The main historical contributors to Hodge theory include [[William Hodge]], [[Phillip Griffiths]], [[Alexander Grothendieck]], [[Pierre Deligne]]. More recently a noncommutative generalization and refinement of Hodge theory is emerging in the work of [[Maxim Kontsevich|M. Kontsevich]] and collaborators (D. Kaledin, L. Katzarkov, [[Tony Pantev]]...) with precursors in the works of [[Carlos Simpson]], [[Mikio Sato]], C. Hertling and others. Another very interesting and complex picture is developing for a number of years in works of Goncharov. 

### General

* Bertin, Demailly, [[Luc Illusie]], [[Chris Peters]], _Introduction to Hodge theory_ AMS (1996)

* [[Claire Voisin]], _Hodge theory and the topology of complex Kähler and complex projective manifolds_ (survey, [pdf](http://www.math.columbia.edu/~thaddeus/seattle/voisin.pdf))

* {#Voisin02} [[Claire Voisin]], _[[Hodge theory and Complex algebraic geometry]] I,II_, Cambridge Stud. in Adv. Math. __76, 77__, 2002/3

* Mark Green, [[Claire Voisin]], Jacob Murre, _Algebraic cycles and Hodge theory_ Lecture Notes in Mathematics, 1594 (1993)
{#GreenVoisinMurre}

* [[Phillip Griffiths]], _Periods of integrals on algebraic manifolds I,II,III_,  Amer. J. Math. __90__, 568–626, 808–865 (1968) ; Publ. Math. de l'IHÉS __38__, 228–296 (1970) [numdam](http://www.numdam.org/item?id=PMIHES_1970__38__125_0)


* M. Saito, _Mixed Hodge modules_, Publ. R.I.M.S. Kyoto Univ. __26__  (1990)  pp. 221–333.

* [[L. Katzarkov]], [[Maxim Kontsevich|M. Kontsevich]], [[Tony Pantev]], _Hodge theoretic aspects of mirror symmetry_, [arxiv/0806.0107](http://arxiv.org/abs/0806.0107) Proc. of Symposia in Pure Math. __78__ (2008), "From Hodge theory to integrability  and TQFT: $tt^*$-geometry",  eds. Ron Y. Donagi and Katrin Wendland, 87-174

* [[D. Kaledin]], _Cartier isomorphism and Hodge theory in the non-commutative case_,  Arithmetic geometry,  537--562, Clay Math. Proc. __8__, Amer. Math. Soc. 2009, [arxiv/0708.1574](http://arxiv.org/abs/0708.1574)

* D. Kaledin, _Tokyo lectures "Homological methods in non-commutative geometry"_, [pdf](http://imperium.lenin.ru/~kaledin/tokyo/final.pdf), [TeX](http://imperium.lenin.ru/~kaledin/tokyo/final.tex)

* Claus Hertling, Christian Sevenheck, _Twistor structures, $tt^*$-geometry and singularity theory_, [arxiv/0807.2199](http://arxiv.org/abs/0807.2199)

* C. Hertling, C. Sabbah, _Examples of non-commutative Hodge structure_ (v1 title: Fourier-Laplace transform of flat unitary connections and TERP structures), [arxiv/0912.2754](http://arxiv.org/abs/0912.2754)

* A. B. Goncharov, _Hodge correlators_, [arxiv/0803.0297](http://arxiv.org/abs/0803.0297), _Hodge correlators II_, [arxiv/0807.4855](http://arxiv.org/abs/0807.4855)

* [[C. T. C. Wall]], _Periods of integrals and topology of algebraic varieties_, [jstor](http://www.jstor.org/stable/2397500)

### Relation to motives

Discussions of Hodge theory in relation to [[motives]] can be found in:

* [[Chris Peters]], _Tata Lectures on Motivic Aspects of Hodge Theory_ ([pdf](http://www-fourier.ujf-grenoble.fr/~peters/Books/motivic.f/Tatalects.pdf))

* [[Chris Peters]], _Lectures on Motivic Aspects of Hodge Theory: The Hodge Characteristic._, Summer School Istanbul 2014, [pdf](http://www-fourier.ujf-grenoble.fr/~peters/Books/motivic.f/MotAspects.pdf)

### Nonabelian Hodge theory

General references on nonabelian Hodge theory include:

* [[Ron Donagi]], [[Tony Pantev]], _Lectures on the geometric Langlands
conjecture and non-abelian Hodge theory_, 2009 ([pdf](http://www.icmat.es/seminarios/langlands/school/handouts/pantev.pdf))

* [[Alberto García Raboso]], [[Steven Rayan]], _Introduction to Nonabelian Hodge Theory: flat connections, Higgs bundles, and complex variations of Hodge structure_,  Fields Inst. Monogr. 34 (2015), 131--171 ([arXiv](https://arxiv.org/abs/1406.1693)) ([Springer](http://link.springer.com/chapter/10.1007/978-1-4939-2830-9_5))