

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--


#Contents#
* automatic table of contents goes here
{:toc}

#Idea#

The Palatini- or [[first-order formulation of gravity|first order formulation]] of the [[Einstein-Hilbert action]] for [[gravity]] is

$$
  \epsilon_{a b c d} \int_X R^{a b} \wedge  e^c \wedge e^d
$$

where

* $(R^{a b})$ is the curvature of an $\mathfrak{so}(n,1)$-[[connection on a bundle|connection]]

* $(e^a)$ is the vielbein.

This is reminiscent of the form of the [[action functional]] in [[BF theory]]

$$
  \int_X F^{a b} \wedge B_{a b}
  \,.
$$

Various proposals for extensions of this action functional have been made that feature $B$ as an independent field as indicated but then include some dynamical constraint which ensures that on-shell one has $B^{a b} = \epsilon_{a b c d} e^c \wedge e^d$.

This is also related to the [[Plebanski formulation of gravity]].

#References#

The blog entry

* [[Jacques Distler]], _BF_ ([blog](http://golem.ph.utexas.edu/~distler/blog/archives/000541.html))

recalls the construction of

* Laurent Freidel, Artem Starodubtsev, _Quantum gravity in terms of topological observables_ ([arXiv](http://arxiv.org/abs/hep-th/0501191))

and provides some noteworthy comments.

Approaches using the spin group instead of the rotation group include

* Jerzy Lewandowski, Andrzej Okolow, _2-Form Gravity of the Lorentzian signature_ ([arXiv](http://arxiv.org/abs/gr-qc/9911121))

and

* Han-Ying Guo, Yi Ling, Roh-Suan Tung, Yuan-Zhong Zhang, _Chern-Simons Term for BF Theory and Gravity as a Generalized Topological Field Theory in Four Dimensions_ ([arXiv](http://arxiv.org/abs/hep-th/0204059))

For that spinorial approach see also 

* Roh Suan Tung, Ted Jacobson, _Spinor One-forms as Gravitational Potentials_ ([arXiv](http://golem.ph.utexas.edu/string/archives/000876.html))

See also

* R. Capovilla, M. Montesinos, V. A. Prieto, E. Rojas, _BF gravity and the Immirzi parameter_ ([arXiv](http://arxiv.org/abs/gr-qc/0102073))

Related is also the construction in 

* Michael P. Reisenberger, _Classical Euclidean general relativity from "left-handed area = right-handed area"_ ([arXiv](http://arxiv.org/abs/gr-qc/9804061))

A blog discussion about this and possible interpretations in [[higher category theory]] is at

* [[Urs Schreiber]], _2-Palatini_ ([blog](http://golem.ph.utexas.edu/string/archives/000876.html))


[[!redirects gravity as a BF-theory]]