
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Gravity
+-- {: .hide}
[[!include gravity contents]]
=--
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

The [[action functional]] of [[gravity]] was originally conceived as a [[nonlinear functional|functional]] on the space of [[pseudo-Riemannian metrics]] of a [[manifold]] $X$. Later on it was realized that it may alternatively naturally be thought of as a functional on the space of [[connection on a bundle|connections]] with values in the [[Poincaré Lie algebra]] -- subject to the constraint that the component in the [[translation Lie algebra]] defines a [[vielbein field]]. 

Mathematically this means that the [[field (physics)|field]] of [[gravity]] is modeled as a _[[Cartan connection]]_ for the [[Lorentz group]] inside the [[Poincaré group]]. In [[physics]] this is known as the _first order formalism_ or the _Cartan moving frame method_. The translation part of the [[Poincaré Lie algebra]]-connection is called the _[[vielbein]]_ and the remainder the _[[spin connection]]_. The [[field strength]] of gravity -- the [[Riemann tensor]] -- is the [[curvature]].

The reformulation of [[pseudo-Riemannian geometry]] in terms of [[Cartan geometry]] is suggestive of also re-rewriting the form of the [[Lagrangian density]]/[[action functional]] of the theory of [[gravity]], even though this is logically an independent issue. In [[spacetime]] of [[dimension]] 3+1 one such alternative is known as the _Palatini-Cartan-Holst action_. That its [[phase space]] coincides with that induced by the [[Einstein-Hilbert action]] is due to [Cattaneo-Schiavina 17](#CattaneoSchiavina17)

Promoting the first-ore formulation of gravity from the [[Poincaré group]] to the [[super Poincaré group]] yields _[[supergravity]]_ formulated in [[super Cartan geometry]]. Promoting it further to the [[L-infinity algebra cohomology|Lie n-algebra]] extensions of the [[super Poincaré group]] (from the [[brane scan]]/[[schreiber:The brane bouquet|brane bouquet]]) yields [[type II supergravity]], [[heterotic supergravity]] and [[11-dimensional supergravity]] in [[higher Cartan geometry]]-formulation ([[D'Auria-Fré formulation of supergravity]]).

[[!include local and global geometry - table]]

## Properties

### Local and global framing

Discussion in the physics literature traditionally tends to ignore the global structure of [[spacetime]] manifolds and pretends that a [[vielbein]] field may be chosen globally, hence that spacetime admits a [[framed manifold|framing]].

In general that is only valid locally, but it so happens that in the archetypical case of interest, namely for 4-dimensional [[globally hyperbolic spacetimes]] with [[orientation|orientable]] spatial slices, it is valid globally. See _[this remark](framed+manifold#In4dFirstOrderGravity)_ at _[[framed manifold]]_ for more.

See also at _[[teleparallel gravity]]_.

## Related concepts 

* [[Lorentzian geometry]]

* [[supergravity]]

* [[D'Auria-Fre formulation of supergravity]]

* [[gravity as a BF-theory]].

* [[teleparallel gravity]]

## References

A decent introduction is in  

* [[Jorge Zanelli]], sections 4 and 5 of _Lecture notes on Chern-Simons (super-)gravities. Second edition (February 2008)_ ([arXiv:hep-th/0502193](http://arxiv.org/abs/hep-th/0502193))

A detailed account is in  

* {#CastellaniDAuriaFre} [[Leonardo Castellani]], [[Riccardo D'Auria]], [[Pietro Fré]], section I.4.1 of _[[Supergravity and Superstrings - A Geometric Perspective]]_

The equivalence of the [[phase space]] of Palatini-Cartan-Holst [[Lagrangian  field theory]] with the [[Einstein-Hilbert action|Einstein-Hilbert version]] is established in

* {#CattaneoSchiavina17} [[Alberto Cattaneo]], Michele Schiavina, _The reduced phase space of Palatini-Cartan-Holst theory_ ([arXiv:1707.05351](https://arxiv.org/abs/1707.05351))


[[!redirects Palatini action]]
[[!redirects Palatini formulation]]
[[!redirects Palatini formalism]]

[[!redirects first order formulation of gravity]]