
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Riemannian geometry
+--{: .hide}
[[!include Riemannian geometry - contents]]
=--
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
#### Gravity
+-- {: .hide}
[[!include gravity contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Definition

For $d-1 \in \mathbb{N}$, $d$-[[dimension]]al _Minkowski space_ is the [[Lorentzian manifold]] whose underlying [[smooth manifold]] is the [[Cartesian space]] $\mathbb{R}^d$ and whose [[pseudo-Riemannian metric]] is at each point the [[Minkowski metric]].

This is naturally a [[spacetime]].


## Properties

### Isometries

The [[isometry group]] of Minkowski space is the [[Poincaré group]]. 
The study of Minkowski spacetime with its isometries is also called _[[Lorentzian geometry]]_. This is the context of the [[theory of special relativity]].

### Gravitational stability

+-- {: .num_theorem}
###### Theorem

Minkowski spacetimes is a [[gravitational stability|stable]] solution of the vacuum [[Einstein equations]].

=--

This is due to ([ChristodoulouKlainerman 1993](#ChristodoulouKlainerman)).


## Related entries

* [[spacetime]]

  * [[super Minkowski space]]

  * [[Schwarzschild spacetime]]

* [[light cone]], [[celestial sphere]]

* [[twistor space]]

## References

Named after [[Herrmann Minkowski]].

Gravitational stability of Minkowski space is proven in

* Demetrios Christodoulou, Sergiu Klainerman, _The global nonlinear stability of the Minkowski space_ Princeton University Press (1993)
  {#ChristodoulouKlainerman}


[[!redirects Minkowski space]]
[[!redirects Minkowski spaces]]

[[!redirects Minkowski spacetime]]
[[!redirects Minkowski space-time]]

[[!redirects Minkowski spacetimes]]
[[!redirects Minkowski space-times]]

