
**[[model category]]**

## Definitions ##

* [[category with weak equivalences]]

* [[weak factorization system]]

* [[homotopy (as an operation)|homotopy]]

  * [[homotopy category]]

* [[small object argument]]

* [[resolution]]

## Morphisms ##

* [[Quillen adjunction]]
  
  * [[Quillen equivalence]]

  * [[Quillen bifunctor]]

  * [[derived functor]]

## Universal constructions ##

* [[homotopy Kan extension]]

* [[homotopy limit]]/[[homotopy colimit]]

 * [[Bousfield-Kan map]]


## Refinements ##

* [[monoidal model category]]

  * [[monoidal Quillen adjunction]]

* [[enriched model category]]

  * [[enriched Quillen adjunction]]

* [[simplicial model category]]

  * [[simplicial Quillen adjunction]]

* [[cofibrantly generated model category]]

  * [[combinatorial model category]]

  * [[cellular model category]]

* [[algebraic model category]]

* [[compactly generated model category]]

* [[proper model category]]

* [[cartesian closed model category]], [[locally cartesian closed model category]]

* [[stable model category]]

## Producing new model structures


* [[global model structures on functor categories|on functor categories (global)]]

  * [[Reedy model structure]]

* [[model structure on an overcategory|on overcategories]]

* [[Bousfield localization of model categories|Bousfield localization]]

* [[transferred model structure]] 

  * [[model structure on algebraic fibrant objects]]

* [[Grothendieck construction for model categories]]

## Presentation of $(\infty,1)$-categories ##

* [[(∞,1)-category]]

* [[simplicial localization]]

* [[(∞,1)-categorical hom-space]]

* [[presentable (∞,1)-category]]

## Model structures ##

* [[Cisinski model structure]]

### for $\infty$-groupoids

[[model structure for ∞-groupoids|for ∞-groupoids]]

* [[model structure on topological spaces|on topological spaces]]

  * [[Strom  model structure]]

* [[Thomason model structure]]

* [[model structure on presheaves over a test category]]

* [[model structure on simplicial sets|on simplicial sets]], [[model structure on semi-simplicial sets|on semi-simplicial sets]]

  * [[model structure for right fibrations|for right/left fibrations]]

* [[model structure on simplicial groupoids]]

* [[model structure on cubical sets|on cubical sets]]

* [[model structure on strict ∞-groupoids|on strict ∞-groupoids]], [[natural model structure on groupoids|on groupoids]]

* [[model structure on chain complexes|on chain complexes]]/[[model structure on cosimplicial abelian groups]] 

   related by the [[Dold-Kan correspondence]]

* [[model structure on cosimplicial simplicial sets]]

### for $n$-groupoids

* [[model structure for n-groupoids|for n-groupoids]]/[[model structure for n-groupoids|for n-types]]

* [[canonical model structure on groupoids|for 1-groupoids]]

### for $\infty$-groups

* [[model structure on simplicial groups]]

* [[model structure on reduced simplicial sets]]



### for $\infty$-algebras

#### general

* [[model structure on monoids|on monoids]]

* [[model structure on simplicial T-algebras|on simplicial T-algebras]], on [[homotopy T-algebra]]s

* [[model structure on algebras over a monad|on algebas over a monad]]

* [[model structure on algebras over an operad|on algebras over an operad]],
  [[model structure on modules over an algebra over an operad|on modules over an algebra over an operad]]

#### specific

* [[model structure on dg-algebras over an operad|on dg-algebras over an operad]]

  * [[model structure on dg-algebras|on dg-algebras]] and on [[simplicial ring|on simplicial rings]]/[[model structure on cosimplicial rings|on cosimplicial rings]] 

    related by the [[monoidal Dold-Kan correspondence]]

  * [[model structure for L-∞ algebras|for L-∞ algebras]]: [[model structure on dg-Lie algebras|on dg-Lie algebras]],  [[model structure on dg-coalgebras|on dg-coalgebras]], [[model structure on simplicial Lie algebras|on simplicial Lie algebras]]

* [[model structure on dg-modules]]

### for stable/spectrum objects

* [[model structure on spectra]]

* [[model structure on ring spectra]]

* [[model structure on presheaves of spectra]]

### for $(\infty,1)$-categories

* [[model structure on categories with weak equivalences|on categories with weak equivalences]]

* [[model structure on quasi-categories|Joyal model for quasi-categories]]

* [[model structure on sSet-categories|on sSet-categories]]

* [[model structure for complete Segal spaces|for complete Segal spaces]]

* [[model structure for Cartesian fibrations|for Cartesian fibrations]]

### for stable $(\infty,1)$-categories

* [[model structure on dg-categories|on dg-categories]]

### for $(\infty,1)$-operads

* [[model structure on operads|on operads]], [[model structure for Segal operads|for Segal operads]]

  [[model structure on algebras over an operad|on algebras over an operad]],
  [[model structure on modules over an algebra over an operad|on modules over an algebra over an operad]]

* [[model structure on dendroidal sets|on dendroidal sets]], [[model structure for dendroidal complete Segal spaces|for dendroidal complete Segal spaces]], [[model structure for dendroidal Cartesian fibrations|for dendroidal Cartesian fibrations]]

### for $(n,r)$-categories

* [[Theta space|for (n,r)-categories as ∞-spaces]]

* [[model structure for weak complicial sets|for weak ∞-categories as weak complicial sets]]

* [[model structure on cellular sets|on cellular sets]]

* [[canonical model structure|on higher categories in general]]

* [[model structure on strict ∞-categories|on strict ∞-categories]]

### for $(\infty,1)$-sheaves / $\infty$-stacks

* [[model structure on homotopical presheaves|on homotopical presheaves]]

  * [[model structure on simplicial presheaves|on simplicial presheaves]]

    [[global model structure on simplicial presheaves|global model structure]]/[[Cech model structure on simplicial presheaves|Cech model structure]]/[[local model structure on simplicial presheaves|local model structure]]

    [[model structure on simplicial sheaves|on simplicial sheaves]]

    [[model structure on presheaves of simplicial groupoids|on presheaves of simplicial groupoids]]

    [[model structure on sSet-enriched presheaves|on sSet-enriched presheaves]]

* [[model structure for (2,1)-sheaves]]/for stacks


<div markdown="1">[Edit this sidebar](/nlab/edit/model+category+theory+-+contents)</div>
