
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### $(\infty,1)$-Topos Theory
+--{: .hide}
[[!include (infinity,1)-topos - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Definition

+-- {: .num_defn}
###### Definition

An [[(∞,1)-topos]] is **hypercomplete** if the [[Whitehead theorem]] is valid in it.

Equivalently: if all its object are [[hypercomplete objects]].

=--

## Properties

+-- {: .num_prop}
###### Proposition

All [[geometric morphisms]] $X \to Y$ out of a hypercomplete $(\infty,1)$-topos $X$ factor through the hypercompletion $\hat Y$ of $Y$:

the inclusion $\hat Y \hookrightarrow Y$ induces an equivalence

$$
  Geom(X,\hat Y) \stackrel{\simeq}{\to}
  Geom(X,Y)
  \,.
$$

=--

This is [[Higher Topos Theory|HTT, prop. 6.5.2.13]].

+-- {: .num_prop}
###### Proposition

Every [[(∞,1)-topos]] which is [[homotopy dimension|locally of homotopy dimension]] $\leq n$ for some finite $n\geq -1$ is hypercomplete.

=--

See the discussion at [[homotopy dimension]] for details and further implications.


## Examples

### Hypercompletions

Every [[(∞,1)-topos]] has a [[hypercompletion]], given by the full [[reflective sub-(∞,1)-category]] spanned by its [[hypercomplete objects]].


### Enough points
 {#EnoughPoints}

+-- {: .num_defn #PointOfAndInfinityTopos}
###### Definition

For $\mathcal{X}$ an [[(∞,1)-topos]], a **point** of $\mathcal{X}$ is a [[geometric morphism]] 

$$
  (p^\ast \dashv p_*) \;\colon\;
  \infty Grpd
  \stackrel{\overset{\ast}{\leftarrow}}{\underset{p_\ast}{\to}}
  \mathcal{X}
$$

from [[∞Grpd]] $\simeq Sh_\infty(\ast)$ to $\mathcal{X}$. We say that $\mathcal{X}$ has **enough points** if a [[1-morphism]] $f \colon X \to Y$ in $\mathcal{X}$ in an [[equivalence in an (∞,1)-category|equivalence]] in $\mathcal{X}$ precisely if for all such points the [[inverse image]] $p^\ast (f)$ (the _[[stalk]]_ at the point) is an [[equivalence of ∞-groupoids|equivalence]] in [[∞Grpd]].

=--

+-- {: .num_remark}
###### Remark

There exist [[1-site|1-sites]] $C$ such that the [[(n,1)-topos|(1,1)-topos]] of sheaves of sets on $C$ has [[point of a topos|enough points in the 1-topos sense]], but such that the corresponding [[n-localic (∞,1)-topos|1-localic (∞,1)-topos]] $\mathcal{X}$ does not have enough points in the sense of def. \ref{PointOfAndInfinityTopos}. An example is given by the site of open subsets of the topological space $\prod_{\mathbb{N}} \{x,z,y\}$ where the topology on $\{x,z,y\}$ is generated by the two open subsets $\{x,y\}$ and $\{x,z\}$. See [[Higher Topos Theory|HTT, Remark 6.5.4.7]].

However, the [[hypercompletion]] $\mathcal{X}^\wedge$ of $\mathcal{X}$ will have enough points. This follows from the fact that $\mathcal{X}^\wedge$ may be presented by the Jardine [[model structure on simplicial presheaves]] on the given site of definition, and that in the presence of enough 1-topos points the [[weak equivalences]] of that model structure are the [[stalk]]-wise weak equivalences in the [[model structure on simplicial sets]]. (See at _[[model structure on simplicial presheaves]]_ for details.)

=--


+-- {: .num_lemma}
###### Observation

An $(\infty,1)$-topos that has [[point of a topos|enough points]] is hypercomplete.

=--

This is [[Higher Topos Theory|HTT, remark 6.5.4.7]].

+-- {: .proof}
###### Proof

Recall from def. \ref{PointOfAndInfinityTopos} that a [[point of a topos|point of an (∞,1)-topos]] $\mathbf{H}$ is a [[geometric morphism]]  $p : \infty Grpd \stackrel{\overset{p^*}{\leftarrow}}{\underset{p_*}{\to}} \mathbf{H}$.

And by definition $\mathbf{H}$ has _enough points_ if a morphism $F : X \to Y$ in $\mathbf{H}$ is an [[equivalence in a quasi-category|equivalence]] if for all points $p$, the [[stalk]] $p^* f$ is an equivalence in [[∞ Grpd]].

But if $f$ is $\infty$-[[connected]] in $\mathbf{H}$, then so is $p^* f$ in [[∞Grpd]], which is hypercomplete, by [[Whitehead's theorem]], so that $p^* f$ is an equivalence.

So in an $(\infty,1)$-topos with enough points all $\infty$-connected morphisms are equivalences.

=--

## Non-examples

### Goodwillie $n$-jet toposes

For $n \gt 1$ the [[Goodwillie n-jet (∞,1)-toposes]] are generically far from being hypercomplete.


## Models

### In terms of model category theory {#ModelCategory}

Hypercomplete [[∞-stack]] [[(∞,1)-topos]]es are precisely those that are [[presentable (∞,1)-category|presented]] by the local [[Andre Joyal|Joyal]]-Jardine [[model structure on simplicial presheaves]], where weak equivalences of simplicial presheaves are those morphisms that induce isomorphisms on homotopy sheaves. In these models the fibrant objects are those simplical presheaves that satisfy [[descent]] over all [[hypercover]]s.

If the underlying ordinary [[category of sheaves|sheaf]] [[topos]] has [[point of a topos|enough points]], then this are equivalently the morphisms that induce [[stalk]]wise weak equivalences in the standard [[model structure on simplicial sets]].

Contrary to that one can consider local models by [[Bousfield localization of model categories|left Bousfield localization]] of the global [[model structure on simplicial presheaves]] only at [[Cech cover]]s. This yield in general a non-hypercomplete [[(∞,1)-categories of (∞,1)-sheaves]].


+-- {: .num_prop}
###### Proposition

For $C$ [[site]], write $[C^{op}, sSet]_{inj,loc}$ for the Joyal-Jardine [[local model structure on simplicial presheaves]] (whose weak equivalence are morphisms that induce isomorphisms on homotopy-sheaves).

The $(\infty,1)$-topos that this presents is the [[hypercompletion]] of the [[(∞,1)-category of (∞,1)-sheaves]] on $C$:

$$
  ([C^{op}, sSet]_{inj,loc})^\circ
  \simeq
  \widehat{ Sh_{(\infty,1)}(C)}
  \,.
$$

=--

This is [[Higher Topos Theory|HTT, prop. 6.5.2.14]].


+-- {: .proof}
###### Proof

The strategy is to form the localization in a 2-step process, where
we first just form the Cech-localization, and then from that the 
full hypercompletion. For that notice that among the weak equivalences in the Joyal-Jardine [[local model structure on simplicial presheaves]] are in particular the ordinary covering [[sieve]]s $S(\{U_i\}) \hookrightarrow j(U)$
(here $j$ is the [[Yoneda embedding]]) associated with a [[cover]]in family $\{U_i \to U\}$ in the [[site]] $C$:

since $C$ is an ordinary category, the simplicial presheaves $S(\{U_i\})$ and $j(U)$ have vanishing presheaves of homotopy groups in positive degree, while they coindide with their $\pi_0$-presheaves. Since the [[sheafification]] of $S(\{U_i\})$ is isomorphic to $j(U)$, by definition, it follows that the same holds for the $\pi_0$-presheaves and trivially for the $\pi_n$-presheaves. So $S(\{U_i\}) \to j(U)$ is a Joyal-Jardine weak equivalence. 

We will now first localize with respect to these morphisms to obtain the Cech-localization whose fibrant objects are [[(∞,1)-sheaves]]. The point is that on these fibrant objects then, the Joyal-Jardine sheaves of homotopy groups can be seen to coincide with the [[categorical homotopy groups in an (∞,1)-topos|(∞,1)-categorical homotopy sheaves]] in terms of which [[hypercompletion]] is defined.

To start with, 
as discussed at [[(∞,1)-category of (∞,1)-presheaves]] 
we have that the global model structure presents the $(\infty,1)$-presheaves:

$$
  ([C^{op}, sSet]_{inj})^\circ \simeq PSh_{(\infty,1)}(C)
  \,.
$$

Observe that 

1. every simplicially constant object is fibrant in $[C^{op}, sSet]_{inj}$ ;

1. hence since every object is cofibrant, the morphism $S(\{U_i\}) \to j(U)$
   is in $([C^{op}, sSet]_{inj})^\circ$;

1. under the abovee identification it is an [[monomorphism in an (∞,1)-category|(∞,1)-monomorphism]] in $PSh_{(\infty,1)}(C)$ 

   (discuss this bit in more detail...).

Therefore the [[topological localization]] of $PSh_{(\infty,1)}(C)$ at these monomorphisms, i.e. the [[(∞,1)-category of (∞,1)-sheaves]] on $C$ is presented by the [[Bousfield localization of model categories|left Bousfield localization]] $[C^{op}, sSet]_{inj,cov}$ of $[C^{op}, sSet]_{inj}$ at the covering subfunctors $S(\{U_i\}) \to j(U)$.

By the above remark, the Joyal-Jardine localization $[C^{op}, sSet]_{proj,loc}$ that we are after is a further localization of this Cech localization : we have the bottom row in the following diagram, and want to see that the top left corner is as indicated:

$$
  \array{
    \widehat{Sh_{(\infty,1)}(C)}
    &
     \stackrel{\overset{lex}{\leftarrow}}{\underset{}{\hookrightarrow}}
    &
    Sh_{(\infty,1)}(C)
    &
     \stackrel{\overset{lex}{\leftarrow}}{\underset{}{\hookrightarrow}}
    &
    PSh_{(\infty,1)}(C)
    \\
    \uparrow^{\mathrlap{\simeq}}
    &&
    \uparrow^{\mathrlap{\simeq}}
    &&
    \uparrow^{\mathrlap{\simeq}}
    \\
    ([C^{op}, sSet]_{inj,loc})^\circ
    &
    \stackrel{\overset{\mathbb{L} Id}{\leftarrow}}{\underset{\mathbb{R}Id}{\to}}
    &
    ([C^{op}, sSet]_{inj,cov})^\circ
    &
    \stackrel{\overset{\mathbb{L} Id}{\leftarrow}}{\underset{\mathbb{R}Id}{\to}}
    &
    ([C^{op}, sSet]_{inj})^\circ
  }
  \,.
$$

Now recall that the [[categorical homotopy groups in an (∞,1)-topos]] of an object $X$ are defined by first forming the [[power]]ing $X^{* \to S^n} : X^{S^n} \to X$ and then paassing to the 0-[[truncated|truncation]] $\tau_{\leq 0} ( X^{S^n} \to X)$ of this object in the [[over quasi-category|over (∞,1)-category]].

By the discussion at <a href="http://ncatlab.org/nlab/show/limit+in+a+quasi-category#Tensoring">Tensoring and cotensoring with an ∞-groupoid</a> we have that this powering operation is on fibrant objects modeled by the powering in the [[sSet]]-[[enriched model category]] $[C^{op}, sSet]_{inj,cov}$. But the powering of [[simplicial presheaves]] by [[simplicial set]] is just objectwise the [[internal hom]] of simplicial sets. In terms of this are defined the objectwise [[simplicial homotopy group]]s and hence the Joyal-Jardine homotopy-presheaves.

Furthermore, if $X \in [C^{op}, sSet]_{inj,cov}$ is fibrant, it satisfies [[descent for simplicial presheaves]] at [[Cech cover]]s. Since powering is a [[Quillen bifunctor]], the same is then true for $X^S$, formed in the model category, so $X^S$ is an $\infty$-stack. But that means its 0-[[truncated|truncation]] $\tau_{\leq 0}(X^{S^n})$ is an ordinary [[sheaf]]. 
(Observe that truncation commutes with localization, as discussed <a href="http://ncatlab.org/nlab/show/n-truncated+object+of+an+(infinity%2C1)-category#GeneralPropsTruncation">here</a>.)

In total this shows that _on fibrant objects_ $X$ in $[C^{op}, sSet]_{inj,cov}$, the Joyal-Jardine homotopy sheaves coincide with the $(\infty,1)$-categorical homotopy sheaves of the object $X$. 

It remains to observe that under left [[Bousfield localization of model categories|Bousfield lcoalization]], the new fibrant objects are precisely those old fibrant objects that are also [[local object]]s with respect to the morphisms at which one localizes. With the above this implies that the left Bousfield localization $[C^{op}, sSet]_{inj,cov} \to [C^{op}, sSet]_{inj,loc}$ does model the [[hypercompletion]] $Sh_{(\infty,1)}(C) \to \widehat {Sh_{(\infty,1)}}(C)$.


=--


### In classical topos theory

In classical [[topos theory]] literature frequently [[simplicial object]]s in an ordinary [[topos]] are considered, with acyclic fibrations taken to be those morphisms $Y_\bullet \to X_\bullet$ such that for all [[horn]] inclusions the induced morphism

$$
  (X^{\Delta[n]} \to X^{\partial \Delta[n]} \times_{Y^{\partial \Delta[n]}} Y^{\Delta[n]})
$$

is an [[epimorphism]] in the [[topos]]. 

See for instance page 17 of

* [[Ieke Moerdijk]], _Classifying spaces and classifying topoi_ (LNM 1616)

> (and it looks like this is the discussion planned for part E of the [[Elephant]]).


For [[Grothendieck topos|sheaf toposes]] epimorphism means [[stalk]]-wise epimorphism. Therefore this amounts to using on simplicial sheaves the structure of a [[category of fibrant objects]] as defined in [[BrownAHT]], where acyclic fibrations are the stalkwise acyclic [[Kan fibration]]s.

The [[homotopy category]] of this [[homotopical category]] is the same as that of the Joyal-Jardine [[model structure on simplicial presheaves]] in the presence of enough points (since in both cases weak equivalences are the stalkwise weak equivalences), hence is the same as the [[homotopy category of an (infinity,1)-category|homotopy category of the hypercomplete (∞,1)-topos]].

For more discussion of how this classical definition interplays with other definitions see also [[homotopy groups in an (∞,1)-topos]].
 
## References

The notion of hypercompleteness appears as **$t$-completeness** in 

* [[Bertrand Toen]] and [[Gabriele Vezzosi]], _Segal topoi and stacks over Segal categories_ , Proceedings of the
Program Stacks, Intersection theory and Non-abelian Hodge Theory, MSRI, Berkeley, January-May 2002 ([arxiv:math/0212330](http://arxiv.org/abs/math/0212330)).

The notion of hypercomplete $(\infty,1)$-toposes is the topic of  section 6.5 of 

* [[Jacob Lurie]], _[[Higher Topos Theory]]_

[[!redirects hypercomplete (∞,1)-topos]]