
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Functorial quantum field theory
+--{: .hide}
[[!include functorial quantum field theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The Reshetikhin-Turaev construction is the [[FQFT]] construction of a 3d [[TQFT]] from the data of  a [[modular tensor category]] $\mathcal{C}$. It is something like the "square root" of the [[Turaev-Viro model]] on $\mathcal{C}$.

In the case that $C$ is a category of 
[[positive energy representation]]s of a [[loop group]] $\Omega G$ of a [[Lie group]] $G$, then this algebraically defined QFT is thought to be the result of [[quantization]] of [[Chern-Simons theory]] over the group $G$. 

## Properties

### As a boundary of the Crane-Yetter model

The Reshetikhin-Turaev model is a [[boundary field theory]] of the [[4d TQFT]] [[Crane-Yetter model]] ([Barrett&Garci-Islas&Martins 04, theorem 2](#BarrettGarciIslasMartins04)) Related discussion is in [[Freed]] "[[4-3-2 8-7-6]]".

### Relation to Chern-Simons theory

The RT-construction for group $G$ is expected to be the [[FQFT]] of $G$-[[Chern-Simons theory]], though a fully explicit proof of this via [[quantization]] is currently not in the literature. 

See at _[[quantization of Chern-Simons theory]]_ for more on this.

### Relation to conformal field theory

The [[CFT|Fuchs-Runkel-Schweigert-construction]] builds from the RT-construction explicitly the rational 2-dimensional [[2d CFT]] boundary theory (see at _[[holographic principle]]_).

## References

Original articles include

* {#ReshetikhinTuraev91} [[Nikolai Reshetikhin|N. Reshetikhin]], [[Vladimir Turaev|V. Turaev]], _Invariants of 3-manifolds via link polynomials and quantum groups_. Invent. Math. 103 (1991), no. 3, 547–597. ([pdf](http://mathlab.snu.ac.kr/~top/quantum/article/Reshetikhin01.pdf))


A standard textbook account is

* B. Bakalov & [[Alexandre Kirillov]], _Lectures on tensor categories and modular functors_ AMS, University Lecture Series, (2000) ([web](http://www.math.sunysb.edu/~kirillov/tensor/tensor.html)). 

(See the dedicated page _[[Help me! I'm trying to understand Bakalov and Kirillov]]_ for help with understanding the computations in this book.)

See also

* [[Kevin Walker]], _On Witten’s 3-Manifold Invariants
_, ([old version](http://canyon23.net/math/1991TQFTNotes.pdf) [draft of new version](http://canyon23.net/math/tc.pdf))

Discussion that relates the [[geometric quantization]] of $G$-[[Chern-Simons theory]] to the Reshetikhin-Turaev construction of a 3d-[[TQFT]] from the [[modular tensor category]] induced by $G$ is in 

* [[Jørgen Andersen]], _A geometric formula for the Witten-Reshetikhin-Turaev Quantum Invariants and some applications_ ([arXiv:1206.2785](http://arxiv.org/abs/1206.2785))
 {#Andersen}

and references cited there.

* Alain Bruguières, Alexis Virelizier, _Hopf diagrams and quantum invariants_, [math.QA/0505119](http://arxiv.org/abs/math/0505119); _Categorical centers and Reshetikhin-Turaev invariants_, [arxiv/0812.2426](http://arxiv.org/abs/0812.2426)

The relation to the [[Crane-Yetter model]] was discussed in

* {#BarrettGarciIslasMartins04} [[John Barrett]], J. Garcia-Islas, [[João Faria Martins]], _Observables in the Turaev-Viro and Crane-Yetter models_, J. Math. Phys. 48:093508, 2007 ([arXiv:math/0411281](http://arxiv.org/abs/math/0411281))
  


[[!redirects Reshetikhin–Turaev construction]]
[[!redirects Reshetikhin--Turaev construction]]
[[!redirects Решетихин-Тураев construction]]
[[!redirects Решетихин–Тураев construction]]
[[!redirects Решетихин--Тураев construction]]
[[!redirects Reshetikin-Turaev model]]
[[!redirects Reshetikhin-Turaev model]]
[[!redirects Reshetikhin–Turaev model]]
[[!redirects Reshetikhin--Turaev model]]
[[!redirects Reshetikin-Turaev theory]]
[[!redirects Reshetikhin-Turaev theory]]
[[!redirects Решетихин-Тураев model]]
[[!redirects Решетихин–Тураев model]]
[[!redirects Решетихин--Тураев model]]

[[!redirects Turaev-Reshetikhin TQFT]]
[[!redirects Turaev-Reshetikhin TQFTs]]
