

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Differential geometry
+--{: .hide}
[[!include synthetic differential geometry - contents]]
=--
#### Higher geometry
+--{: .hide}
[[!include higher geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Scope

__Differential geometry__ is a mathematical discipline studying geometry of spaces using differential and integral calculus. Classical differential geometry studied submanifolds (curves, surfaces...) in Euclidean spaces. The traditional objects of differential geometry are finite and infinite-dimensional [[differentiable manifold]]s modelled locally on [[topological vector space]]s. Techniques of differential calculus can be further stretched to [[generalized smooth space]]s. One often distinguished analysis on manifolds from differential geometry: analysis on manifolds focuses on functions from a manifold to the ground field and their properties, togehter with applications like PDEs on manifolds. Differential geometry on the other hand studies objects embedded into the manifold like submanifolds, their relations and additional structures on manifolds like bundles, connections etc. while the topological aspects are studied in a younger branch (from 1950s on) which is called [[differential topology]].

## Generalized smooth spaces from $n$POV

See also [[generalized smooth space]].

Finite-dimensional _differential geometry is the [[geometry]] modeled on [[Cartesian space]]s and [[smooth functions]] between them.

Formally, it is the [[higher geometry|geometry]] modeled on 
the [[pregeometry (for structured (infinity,1)-toposes)|pre-geometry]] $\mathcal{G} = $[[CartSp]].

This includes a sequence of concepts of [[generalized smooth space]]s:

* A [[smooth manifold]] (see there for details) is a locally $CartSp$-representable object in the [[sheaf topos]] $Sh(CartSp)$.

* A [[diffeological space]] (see there) is a [[concrete sheaf]] in the [[cohesive topos]] $Sh(CartSp)$.

* a [[Lie groupoid]] is a locally representable object in the [[(2,1)-sheaf]] [[(2,1)-topos]] $Sh_{(2,1)}(CartSp)$;

* an [[∞-Lie groupoid]] is an object in the [[(∞,1)-sheaf (∞,1)-topos]] $Sh_{(\infty,1)}(CartSp)$.

Similarly, standard models of [[synthetic differential geometry]] in [[higher geometry]] are modeled on the [[pregeometry (for structured (infinity,1)-toposes)|pre-geometry]] $\mathcal{G} = $[[ThCartSp]]. To wit, the [[cohesive topos]] $Sh(ThCartSp)$ is the [[smooth topos]] called the [[Cahiers topos]]:

* an [[infinitesimal space]] is a certain object in $ThCartSp$;

* an [[∞-Lie algebroid]] is a certain object in the [[(∞,1)-category of (∞,1)-sheaves]] $Sh_{(\infty,1)}(ThCartSp)$.

## Related concepts

* [[synthetic differential geometry]]

* [[higher differential geometry]], [[derived differential geometry]]

  * [[higher differential geometry applied to plain differential geometry]]
  
* [[prequantum geometry]], [[higher prequantum geometry]]

* [[D-geometry]]

* [[arithmetic differential geometry]]

* [[Lie theory]]

* [[fiber bundles in physics]]

* some modern subfields of differential geometry include:

  * [[symplectic geometry]], 

  * [[contact geometry]], 

  * [[complex geometry]],

  * [[Riemannian geometry]], 
  
  * [[Finsler geometry]], 

  * [[symmetric spaces]], 
  
  * [[Fréchet manifolds]]

 local model                |   global geometry
----------------------------|-----------------
 [[Klein geometry]]         |   [[Cartan geometry]]
 [[Klein 2-geometry]]       |   [[Cartan 2-geometry]]
 [[higher Klein geometry]]  |   [[higher Cartan geometry]]


## References
 {#References}


### Traditional

The study of differential geometry goes back to the study of [[surfaces]] [[embedding of smooth manifolds|embedded]] into [[Euclidean space]] $\mathbb{R}^3$ in

* {#Gauss1827} [[Carl Friedrich Gauss]], _General Investigations of Curved Surfaces_, 1827 ([Gutenberg](http://www.gutenberg.org/ebooks/36856))

Textbooks include

* [[Shoshichi Kobayashi]], [[Katsumi Nomizu]], _Foundations of differential geometry_ , Volume 1 (1963), Volume 2 (1969), Interscience Publishers, reprinted 1996 by Wiley Classics Library

* [[Michael Spivak]], _A comprehensive introduction to differential geometry_ (5 Volumes) 

* [[Michael Spivak]], _[[Calculus on Manifolds]]_ (1971)

* [[M M Postnikov]], _Lectures on geometry_ (6 vols.: 1 "Analytic geometry", 2 "Linear algebra", 3 "Diff. manifolds"; 4 "Diff. geometry" (covers extensively fibre bundles and connections); 5 "Lie groups"; 6 "Riemannian geometry")

With emphasis in [[G-structures]]:

* {#Sternberg64} [[Shlomo Sternberg]], _Lectures on differential geometry_, Prentice-Hall (1964)

With emphasis on [[Cartan geometry]]:

* R. Sharpe, _Differential geometry -- Cartan's generalization of Klein's Erlagen program_, Springer (1997)


Lecture notes include

* {#Conrad} [[Brian Conrad]], Handouts on Differential Geometry ([web](http://math.stanford.edu/~conrad/diffgeomPage/handouts.html))
 
An introduction with an eye towards applications in [[physics]], specifically to [[gravity]] and [[gauge theory]] is in 

* [[Theodore Frankel]], _[[The Geometry of Physics - An Introduction]]_

* [[Chris Isham]], _[[Modern Differential Geometry for Physicists]]_

A discussion in the context of [[Frölicher spaces]] and [[diffeological spaces]] is in 

* [[Andreas Kriegl]], [[Peter Michor]], _[[The convenient setting of global analysis]]_, Math. Surveys and Monographs __53__, Amer. Math. Soc. 1997. 618 pages

Discussion with emphasis on [[natural bundles]] is in

* [[Ivan Kolář]], [[Peter Michor]], [[Jan Slovák]],  _[[Natural operators in differential geometry]]_ ([pdf](http://www.emis.de/monographs/KSM/kmsbookh.pdf))


See also

* Sigmundur Gudmundsson, _An Introduction to Riemannian Geometry_ ([pdf](http://www.maths.lth.se/matematiklu/personal/sigma/Riemann.pdf))

* Wikipedia, _[differential geometry](http://en.wikipedia.org/wiki/Differential_geometry)_

### Higher

See at _[[higher differential geometry]]_.

### Derived

For [[derived differential geometry]] see

* [[Dominic Joyce]], _D-manifolds and d-orbifolds: a theory of derived differential geometry_ ([web](http://people.maths.ox.ac.uk/joyce/dmanifolds.html))

* [[Urs Schreiber]], _[[schreiber:Seminar on derived differential geometry]]_