
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Monoidal categories
+--{: .hide}
[[!include monoidal categories - contents]]
=--
#### 2-Category theory
+--{: .hide}
[[!include 2-category theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea ##

A _braided monoidal 2-category_ is a [[2-category]] $C$ equipped with a [[tensor product]] $\otimes : C \times C \to C$ [[2-functor]] which satisfies the first in a hierarchy of conditions for being commutative up to equivalence: in the language of [[k-tuply monoidal n-category|k-tuply monoidal n-categories]] a braided monoidal 2-category is a **doubly monoidal 2-category*.

As described there, this may be identified with a pointed [[4-category]] with a single [[object]] and a single [[1-morphism]].

## Properties

### Coherence theorem

* [[coherence theorem for braided monoidal bicategories]]

### Picard 2-groupoid

The [[Picard 2-groupoid]] of a braided monoidal 2-category is a [[braided 3-group]].

## Related concepts

* [[monoidal 2-category]], [[3-group]]

* **braided monoidal 2-category**, [[braided 3-group]]

* [[sylleptic monoidal 2-category]], [[sylleptic 3-group]]

* [[symmetric monoidal 2-category]], [[symmetric 3-group]]

* [[k-tuply monoidal (n,r)-category]]

## References

* {#Breen88} [[Lawrence Breen]], _Une lettre à P. Deligne au sujet des $2$-catégories tressées_ (1988) ([pdf](http://www.math.univ-paris13.fr/~breen/deligne.pdf))

* Mikhail Kapranov and Vladimir Voevodsky, 2-Categories and Zamolodchikov tetrahedra equations, in _Proc. Symp. Pure Math._ **56** Part 2 (1994), AMS, Providence, pp. 177--260.

* John Baez and Martin Neuchl, Higher-dimensional algebra I: braided monoidal 2-categories, <i>Adv. Math.</i> <b>121</b> (1996), 196-244.  ([pdf]( http://math.ucr.edu/home/baez/hda1.pdf))

* Sjoerd Crans, Generalized centers of braided and sylleptic monoidal 2-categories, _Adv. Math._ **136** (1998), 183-223.  ([pdf](http://www.sciencedirect.com/science/article/pii/S0001870898917200/pdf?md5=1fa4380913384da004def3f3441a61ac&pid=1-s2.0-S0001870898917200-main.pdf))


[[!redirects braided monoidal 2-categories]]
[[!redirects braided monoidal bicategory]]
[[!redirects braided monoidal bicategories]]

