
# Contents
* table of contents
{: toc}

## Idea

The [[simplex category]] may be regarded as the category of all linear [[directed graphs]]. The _tree category_ generalizes this to directed rooted [[trees]].


## Definition

### Finite planar level tree

(... ) see Berger

### Finite symmetric rooted trees

We define the category $\Omega$ _finite symmetric rooted trees_.

The objects of $\Omega$ are non-empty non-planar [[trees]] with specified root. 

Each such tree may naturally be regarded as specifying an (colored) [[symmetric operad]] with one color per edge of the tree. A morphism of trees in $\Omega$ is a morphism of the corresponding operads. 

As such, $\Omega$ is by construction a full subcategory of that of [[symmetric operads]] enriched over [[Set]].

## Dendroidal sets

A [[presheaf]] on $\Omega$ is a [[dendroidal set]], a generalization of a [[simplicial set]].


## References


* [[Clemens Berger]], _A cellular nerve for higher categories_, Advances in Mathematics 169, 118-175 (2002) ([pdf](http://math1.unice.fr/~cberger/nerve.pdf))

* See the references at [[dendroidal set]].


[[!redirects tree categories]]

[[!redirects dendrex category]]
[[!redirects dendrex categories]]

[[!redirects category of trees]]
[[!redirects categories of trees]]