
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Foundations
+-- {: .hide}
[[!include foundations - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

A **large cardinal** is a [[cardinal number]] that is larger than can be proven to exist in the ambient [[set theory]], usually [[ZF]] or ZFC.  Large cardinals arrange themselves naturally into a more or less linear order of size and consistency strength, and provide a convenient yardstick to measure the consistency strength of various other assertions that are unprovable from ZFC.

Set theorists often adopt the existence of certain large cardinals as [[axioms]] in the [[foundation of mathematics]].


## List of large cardinal conditions

* [[axiom of infinity]] -- a large cardinal axiom relative to finitist theories, but not relative to ZF
* [[inaccessible cardinal]] -- the smallest sort of large cardinal in ZF, equivalent to the existence of a [[Grothendieck universe]].
* [[measurable cardinal]] -- the boundary between "small" large cardinals and "large" large cardinals
* [[elementary embedding]] -- a tool used in the study of large large cardinals
* [[supercompact cardinal]]
* [[extendible cardinal]]
* [[C(n)-extendible cardinal]]
* [[Vopěnka's principle]] -- a large cardinal axiom with important implications for the behavior of [[locally presentable categories]] and [[accessible categories]].

Here is a diagram showing the relation between these:

<img src="http://websupport1.citytech.cuny.edu/faculty/vgitman/images/diagram.jpg"/>


## References

* Wikipedia has a [list of large cardinal properties](http://en.wikipedia.org/wiki/List_of_large_cardinal_properties).

A general axiomatic framework for large cardinal axioms is proposed in 

* Arthur Apter, Carlos Diprisco, James Henle, William Swicker, _Filter spaces: towards a unified theory of large cardinal and embedding axioms_, Annals of Pure and Applied Logic Volume 41, Issue 2, 6 February 1989, Pages 93–106

* Arthur Apter, Carlos Diprisco, James Henle, William Swicker, _Filter spaces. II. Limit ultraproducts and iterated embeddings_, Acta Cient. Venezolana 40 (1989), no. 5-6, 311–318.

[[!redirects large cardinal]]
[[!redirects large cardinals]]

[[!redirects large cardinal axiom]]
[[!redirects large cardinal axioms]]
