
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher category theory
+--{: .hide}
[[!include higher category theory - contents]]
=--
=--
=--


#Contents#
* table of contents 
{:toc}


## Idea ##

For $n \in \mathbb{N}$ the [[category]] $\Theta_n$ -- **Joyal's disk category** or **cell category** -- may be thought of as the 
[[full subcategory]] of the category $Str n Cat$ of [[strict ω-category|strict n-categories]] on those $n$-categories that are [[free construction|free]] on [[pasting diagrams]] of $n$-[[globe]]s.

For instance $\Theta_2$ contains an [[object]] that is depicted as

$$
  \array{
    & \nearrow &\Downarrow& \searrow &&
    && \nearrow && \searrow 
    \\
    a && \to && b &\to & c && \Downarrow && b
    \\
    & \searrow &\Downarrow& \nearrow &&
    && \searrow && \nearrow &&
  }
  \,,
$$

being the pasting diagram of two 2-[[globes]] along a common 1-globe and of the result with a 1-globe and another 2-globe along common 0-globes.

Such pasting diagrams may be alternatively be encoded in [[planar trees]], the above one corresponds to the tree:

$$
  \array{
    \nwarrow \nearrow &  & & \uparrow &&& 2
    \\
    & \nwarrow & \uparrow & \nearrow &&& 1
    \\
    && {*} 
  }
  \,.
$$

Accordingly, $\Theta_n$ is also the category of planar rooted trees of level $\leq n$.


In low degree we have

* $\Theta_0 = *$ is the [[point]].

* $\Theta_1 = \Delta$ is the [[simplex category]]: the $n$-[[simplex]] $[n]$ is thought of as a linear [[quiver]] and as such the pasting diagram of $n$ 1-morphisms

  $$
    0 \to 1 \to \cdots \to n
    \,.
  $$

  Dually, this is the planar rooted tree of the form

  $$
    \array{
      \nwarrow &\uparrow & \cdots \nearrow
      \\
      &{*}
    }
  $$

  with $n$-branches.




## Definition ##

We discuss two equivalent definitions

* [Via the free strict &#969;-category](#ViaFreeStrictOmegaCategory)

* [Via iterated wreath product](#ViaIteratedWreathProduct)

* [Via duals of disks](#ViaDualsOfDisks)


### Via the free strict &#969;-category
 {#ViaFreeStrictOmegaCategory}

Let $T(1)$ denote the free [[strict ω-category]] generated from the [[terminal object|terminal]] [[globular set]] $1$. 

Notice that this terminal globular set consists of precisely one $k$-[[globe]] for each $k \in \mathbb{N}$: one point, one edge from the point to itself, one disk from the edge to itself, and so on. 

So $T(1)$ is freely generated under composition from these cells.
As described above, this means that each element of the underlying globular set of $T(1)$ may be depicted by a [[pasting diagram]] made out of [[globes]], and such a pasting diagram itself may be considered as a [[globular set]] whose $k$-cells are _instances_ of the $k$-globes appearing in the diagram. 

We now describe this formally. 

The [[k-morphisms|n-cells]] of $T(1)$ may be identified with **planar [[trees]]** $\tau$ of height $n$, which by definition are functors 

$$\tau: [n]^{op} \to \Delta$$ 

($\Delta$ is the category of [[simplex|simplices]] and $[n] \in \Delta$ is a simplex, i.e., ordered set $\{0 \lt 1 \lt \ldots \lt n\}$, regarded as a category) such that $\tau(0) = 1$. Such a $\tau$ is exhibited as a chain of morphisms in $\Delta$, 

$$\tau(n) \to \tau(n-1) \to \ldots \to \tau(0) = 1,$$ 

and we will denote each of the maps in the chain by $i$. Thus, for each $x \in \tau(k)$, there is a fiber $i^{-1}(x)$ which is a linearly ordered set. 
(Need to fill in how $\circ_j$ composition of such trees is defined.) 

To each planar tree $\tau$ we associate an underlying globular set $[\tau]$, as follows. Given $\tau$, define a new tree $\tau'$ where we adjoin a new bottom and top $x_0$, $x_1$ to every fiber $i^{-1}(x)$ of $\tau$, for every $x \in \tau(k)$: 

$$i_{\tau'}^{-1}(x) = \{x_0\} \cup i_{\tau}^{-1}(x) \cup \{x_1\}$$

Now define a $\tau$-**sector** to be a triple $(x, y, z)$ where $i(y) = x = i(z)$ and $y, z$ are consecutive edges of $i_{\tau'}^{-1}(x)$. A $k$-**cell** of the globular set $[\tau]$ is a $\tau$-sector $(x, y, z)$ where $x \in \tau(k)$. If $k \geq 1$, the **source** of a $k$-cell $(x, y, z)$ is the $(k-1)$-cell $(i(x), u, x)$ and the **target** is the $(k-1)$-cell $(i(x), x, v)$ where $u \lt x \lt v$ are consecutive elements in $i_{\tau'}^{-1}(i(x))$. It is trivial to check that the globular axioms are satisfied. 

Now let $T([\tau])$ denote the free strict $\omega$-category generated by the globular set $[\tau]$. 

+-- {: .num_defn}
###### Definition

$\Theta$ is the [[full subcategory]] of $Str \omega Cat$ on the  [[strict ω-categories]] $T([\tau])$, as $\tau$ ranges over cells in the underlying globular set of $T(1)$. 

=--



### Via iterated wreath product
 {#ViaIteratedWreathProduct}


+-- {: .num_prop #ByWreathProduct}
###### Proposition/Definition

$\Theta_n$ is the $n$-fold [[categorical wreath product]] of the [[simplex category]] with itself

$$
  \Theta_n \simeq \Delta^{\wr n}
  \,.
$$

=--

([Berger, section 3](#Berger))

+-- {: .num_example}
###### Examples

So 

$$
  \Theta_1 = \Delta
$$

$$
  \Theta_2 = \Delta \wr \Delta
$$

etc. 

=--

+-- {: .num_cor}
###### Corollary

For all $n \in \mathbb{N}$ there is a canonical embedding

$$
  \sigma : \Theta_n \hookrightarrow \Theta_{n+1}
$$

given by $\sigma : a \mapsto ([1], a)$.


=--

### Via duals of disks
 {#ViaDualsOfDisks}

In analogy to how the [[simplex category]] is [[equivalence of categories|equivalent]] to the [[opposite category]] of finite strict linear [[intervals]], $\Delta \simeq \mathbb{I}^{op}$, so the $\Theta$-category is equivalent to the opposite of the category of Joyal's combinatorial finite [[disks]]. 

$$
  \Theta \coloneqq \mathbb{D}^{op}
  \,.
$$

(...)

## Properties

### Embedding of grids (products of the simplex category)
 {#EmbeddingOfGrids}

+-- {: .num_defn}
###### Definition

For any [[small category]] $A$ there is a canonical functor

$$
  \delta_A : \Delta \times A \to \Delta \wr A
$$

given by 

$$
  \delta_A([n], a) = ([n], a^n)
  \,.
$$

=--

([Berger, def. 3.8](#Berger))

+-- {: .num_remark #ProductOfDeltaInTheta}
###### Remark

By iteration, this induces a canonical functor

$$  
  \delta_n : \Delta^{\times n} \to \Theta_n
  \,.
$$

=--


### Embedding into strict $n$-categories

Write $Str n Cat$ for the category of [[strict n-categories]].

+-- {: .num_prop}
###### Proposition

There is a [[dense subcategory|dense]] [[full and faithful functor|full embedding]]

$$
  \Theta_n \hookrightarrow Str n Cat
  \,.
$$

=--

This was conjectured in ([Batanin-Street](#BataninStreet)) and shown in terms of free $n$-categories on $n$-graphs in 
([Makkai-Zawadowsky, theorem 5.10](#MakkaiZawadowsky)) and ([Berger 02, prop. 2.2](#BergerCellular)). In terms of the wreath product presentation, prop. \ref{ByWreathProduct} this is ([Berger 05, theorem 3.7](#Berger)).

+-- {: .num_prop}
###### Proposition

Under this embedding an object $([k], (a_1, \cdots, a_k)) \in \Delta \wr \Delta^{\wr (n-1)}$ is identified with the $k$-fold [[horizontal composition]] of the pasting composition of the $(n-1)$-morphisms $a_i$:

$$
  ([k], (a_1, \cdots, a_k))
  = 
  a_1 \cdot a_2 \cdot \cdots \cdot a_k
  \,.
$$

=--

+-- {: .num_example}
###### Example

The [[pasting diagram]]

$$
  \array{
    & \nearrow &\Downarrow& \searrow &&
    && \nearrow && \searrow 
    \\
    a && \to && b &\to & c && \Downarrow && b
    \\
    & \searrow &\Downarrow& \nearrow &&
    && \searrow && \nearrow &&
  }
$$

corresponds to the objects of $\Theta_2 = \Delta \wr \Delta$ given by

$$
  ([3], (a_1, a_2, a_3))
  \,,
$$

where in turn

* $a_1 = [2]$

* $a_2 = [0]$

* $a_3 = [1]$.


=--

+-- {: .num_example #Grids}
###### Example

Composing with the functor $\delta_n$ from remark \ref{ProductOfDeltaInTheta} we obtain an embedding of $n$-fold simplices into strict $n$-categories

$$
  \Delta^{\times n} \stackrel{\delta_n}{\to}
  \Theta_n \hookrightarrow Str n Cat
  \,.
$$

Under this embedding an object $([k_1], [k_2], \cdots, [k_n])$ is sent to 
the $n$-category which looks like (a globular version of) a $k_1 \times k_2 \times \cdots \times k_n$ **grid** of $n$-cells. 

=--


Write

$$
  Str n Cat_{gaunt} \hookrightarrow Str n Cat
$$

for the inclusion of the [gaunt](http://ncatlab.org/nlab/show/%28infinity%2Cn%29-category#GauntStrictNCategories) strict $n$-categories into all [[strict n-categories]].

+-- {: .num_prop}
###### Proposition

$\Theta_n$ is the smallest [[full subcategory]] of $Str n Cat_{gaunt}$ containing the grids, the [[image]] of $\delta_n : \Delta^{\times n} \to Str n Cat$, example \ref{Grids}, and closed under [[retracts]].

=--

([B-SP, prop. 10.5](#BarwickSchommerPries))

### Groupoidal version

The groupoidal version $\tilde \Theta$ of $\Theta$ is a [[test category]] ([Ara](#Ara)).


## Examples 

In $\Theta_0$ write $O_0$ for the unique object. Then write in $\Theta_n$ 

$$
  O_n := [1](O_{n-1})
  \,.
$$

This is the strict [[n-category]] free on a single $n$-[[globe]].


## Related concepts

* [[globular theory]]

* [[globular set]]

* [[globular operad]]

* [[simplex category]], [[globe category]], [[cube category]]

* A local [[model structure on simplicial presheaves]] on the Theta categories is called [[Theta space]]s and models [[(n,r)-category|(n,r)-categories]].

* A [[Cisinski model structure]] on bare [[presheaves]] on $\Theta_n$, modelling [[(∞,n)-categories]] is the [[model structure on cellular sets]].

## References

The $\Theta$-categories were introduced in

* [[Andre Joyal]], _Disks, duality and Theta-categories_ ([[JoyalThetaCategories.pdf:file]])
 {#Joyal}

A discussion with lots of pictures is in [chapter 7](http://cheng.staff.shef.ac.uk/guidebook/guidebook-new.pdf#page=131) of

* [[Eugenia Cheng]], [[Aaron Lauda]], _Higher-dimensional categories: an illustrated guidebook_ ([pdf](http://cheng.staff.shef.ac.uk/guidebook/guidebook-new.pdf))

More discussion is in 

* David Oury, _On the duality between trees and disks_, TAC vol. 24 ([pdf](http://www.tac.mta.ca/tac/volumes/24/16/24-16.pdf))

The following paper proves that $\Theta$ is a test category

* [[Denis-Charles Cisinski]], [[Georges Maltsiniotis]], _La cat&#233;gorie $\Theta$ de Joyal est une cat&#233;gorie test_ , JPAA **215** no.5 (2011) pp.962-982. ([draft](webusers.imj-prg.fr/~georges.maltsiniotis/ps/dec_web.pdf))
&#8206;

Discussion of embedding of $\Theta$ into strict $n$-categories is in 

* [[Michael Batanin]], [[Ross Street]], _The universal property of the multitude of trees_, J. Pure Appl. Alg. 154 (2000), 3&#8211;13.
 {#BataninStreet}

* [[Michael Makkai]], M. Zawadowsky, _Duality for simple $\omega$-categories and disks_, Theory Appl. Categories 8 (2001), 114&#8211;243
 {#MakkaiZawadowsky}

* [[Clemens Berger]], _A cellular nerve for higher categories_, Adv. Math. 169 (2002), 118&#8211;175.
 {#BergerCellular}

The characterization in terms of $n$-fold [[categorical wreath products]] is in 

* [[Clemens Berger]], _Iterated wreath product of the simplex category and iterated loop spaces_ ([arXiv:math/0512575](http://arxiv.org/abs/math/0512575)),
  {#Berger}

see also section 3 of

* [[Charles Rezk]], _A cartesian presentation of weak $n$-categories_ ([arXiv:0901.3602](http://arxiv.org/abs/0901.3602))

there leading over to the notion of [[Theta space]].

The groupoidal version $\tilde \Theta$ is discussed in

* [[Dimitri Ara]], _The groupoidal analogue $\tilde \Theta$ to Joyal's category $\Theta$ is a test category_ ([arXiv:1012.4319](http://arxiv.org/abs/1012.4319))

The relation of $\Theta_n$ to [[configuration spaces]] of points in the [[Euclidean space]] $\mathbb{R}^n$ is discussed in 

* [[David Ayala]], [[Richard Hepworth]], _Configurations spaces and $\Theta_n$_ ([arXiv:1202.2806](http://de.arxiv.org/abs/1202.2806))
 {#AyalaHepworth}

Related discussion in the context of [[(infinity,n)-categories]] is also in 

* [[Clark Barwick]], [[Chris Schommer-Pries]], _On the Unicity of the Homotopy Theory of Higher Categories_ ([arXiv:1112.0040](http://arxiv.org/abs/1112.0040), [slides](http://prezi.com/w0ykkhh5mxak/the-uniqueness-of-the-homotopy-theory-of-higher-categories/))
 {#BarwickSchommerPries}



[[!redirects Θ category]]
[[!redirects Θ-category]]
[[!redirects Theta-category]]
[[!redirects Θ categories]]
[[!redirects Θ-categories]]
[[!redirects Theta-categories]]
[[!redirects disk category]]
[[!redirects disk categories]]

[[!redirects cell category]]
