There are many approaches to the generalizations of [[principal bundles]] to various flavours of [[noncommutative geometry]]. Not only that the base and total space of a principal bundle are replaced by noncommutative spaces, but various frameworks of noncommutative geometry also allow that the structure group be replaced by some analogue or generalization, something like [[quantum group]]. Some people hence talk about "quantum principal bundles".

In [[noncommutative algebraic geometry]], the most studied is the case in which the base and total space are affine, i.e. each represented by a single algebra, say base by $U$ and the total space by $E$. If the structure group is a [[Hopf algebra]], then the standard requirement is that $E$ is a right $H$-comodule algebra which is a [[Hopf-Galois extension]] of $U$. One generalization of this picture are the "coalgebra bundles" 

* [[T. Brzeziński]], [[Shahn Majid|S. Majid]], _Coalgebra bundles_, Comm. Math. Phys.  191  (1998),  no. 2, 467--492 ([arXiv version](http://arxiv.org/abs/q-alg/9602022)). 

In that case, the Hopf algebra is replaced by a [[coalgebra]] $C$, the total space by an algebra which is a $C$-comodule, bu then an entwining structure is needed as an additional structure, and again a version of a Galois condition is required. The entwining which is a mixed [[distributive law]] is in fact in a role of lifting certain induced action of a monoidal category associated to $C$ from the base ground scheme cf.

* [[Z. Škoda]], _Distributive laws for actions of monoidal categories_, [math.CT/0406310](http://arxiv.org/abs/math.CT/0406310).

The liftings can be defined more generally in nonaffine situations leading to the concept of [[geometrically admissible action]]s as in 

* [[Z. Škoda]], _Some equivariant constructions in noncommutative algebraic geometry_, Georgian Mathematical Journal 16 (2009), No. 1, 183--202, [arXiv:0811.4770](http://arxiv.org/abs/0811.4770).

The Galois condition can then be defined locally on some compatible cover. A generalized version of the Schneider's descent theorem hold in this generality. 

As a particular case, this allows the $H$-comodule algebras which are not Hopf-Galois extension of their coinvariants, but became so when localizing on some affine coaction compatible cover by affine "biflat" localizations (see [[zoranskoda:gluing categories from localizations|here]]). In other words the localized algebras are Hopf-Galois extensions (for example [[crossed product algebra]]s) of the [[localized coinvariant]]s as in 

* [[Z. Škoda]], _Localizations for construction of quantum coset spaces_, [math.QA/0301090](http://front.math.ucdavis.edu/math.QA/0301090),  Banach Center Publ. __61__, pp. 265--298, Warszawa 2003; 

* Z. Škoda, _Coherent states for Hopf algebras_, Letters in Mathematical Physics __81__, N.1, pp. 1-17, July 2007. (earlier arXiv version: [math.QA/0303357](http://arxiv.org/abs/math.QA/0303357)).
 
A principal bundle is called __locally trivial__ if there is a cover on which the Hopf-Galois extensions are in fact [[crossed product algebra|Hopf smash products]]. In the commutative case, and with affine algebraic group as a structure group, this is the same as the local triviality in [[fpqc topology]]. 

Another point of view to generalized Galois conditions in noncommutative algebraic geometry based on spaces represented by monoidal categories can be found in 

* [[Tomasz Maszczyk]], _Noncommutative geometry through monoidal categories_, [math.QA/0611806] (http://arxiv.org/abs/math.QA/0611806)

As [[Hopf algebroid]]s generalize (function algebras on) groupoids, there is a well motivated study of Galois conditions (hence torsors) in the world of Hopf algebroids:

*  Gabriella Böhm, _Galois theory for Hopf algebroids_, Annali dell'Universita di Ferrara, Sez VII, Sci. Mat., Vol. LI (2005) 233--262 [math.QA/0409513](http://arxiv.org/abs/math.QA/0409513)

See also

* [[Tomasz Brzeziński]], _On synthetic interpretation of quantum principal bundles_, AJSE D - Mathematics 35(1D): 13-27, 2010 [arxiv:0912.0213](http://uk.arxiv.org/abs/0912.0213); _Quantum group differentials, bundles and gauge theory_, Encyclopedia of Mathematical Physics, Acad. Press. 2006, pp. 236–244
[doi](http://dx.doi.org/10.1016/B0-12-512666-2/00050-X)

There is also a theory of [[connections on a noncommutative bundle]]. 

category: noncommutative geometry
[[!redirects noncommutative principal bundles]]
[[!redirects noncommutative torsor]]
[[!redirects quantum principal bundle]]
[[!redirects quantum principal bundles]]