
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
#### Motivic cohomology
+--{: .hide}
[[!include motivic cohomology - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}


## Idea ##

Motivic cohomology is a cohomology theory for schemes which in many ways plays the rôle of [[singular cohomology]] in algebraic geometry. It was first conjectured to exist by [[Alexander Beilinson]] and [[Stephen Lichtenbaum]] in the mid 1980s, and it was then defined by [[Vladimir Voevodsky]] in the mid 1990s.

Motivic cohomology must not be confused with the hypothetical "universal" cohomology theory envisioned by [[Alexander Grothendieck]] in the 1960s as the underlying reason for the [[standard conjectures on algebraic cycles]]. The former is an *absolute cohomology theory* with values in abelian groups, while the latter is a *geometric cohomology theory* with values in the still conjectural abelian category of [[mixed motives]]. They are related in that motivic cohomology with _rational_ coefficents should appear as particular [[Ext-group]]s in the category of motives, an idea which can now be made precise using the various existing constructions of the [derived category of motives](http://ncatlab.org/nlab/show/motive#DerivedMotives).

The motivic cohomology groups of a scheme $X$ form a bigraded family of abelian groups $H^{p,q}(X,\mathbb{Z})$. Several competing definitions of these groups exist but they are known to all agree when $X$ is [[smooth scheme|smooth]] over a [[field]]. With rational coefficients, the motivic cohomology groups of $X$ are the associated graded of the $\gamma$-filtration on the rational [[algebraic K-theory]] groups of $X$ (at least if $X$ is [[regular scheme|regular]]). With coefficients in $\mathbb{Z}/p$, they are closely related to the [[étale cohomology]] of $X$ with coefficients in the sheaf $\mu_p$ of $p$th [[roots of unity]] (if $p$ is invertible on $X$) and to the logarithmic de Rham-Witt cohomology of $X$ (if $p$ equals the characteristic of $X$).

The motivic cohomology of a sufficiently nice scheme $X$ is also related to the [[algebraic K-theory]] of $X$ via the _motivic spectral sequence_
$$ H^{*,*}(X,\mathbb{Z}) \Rightarrow K_*(X). $$
which degenerates rationally. The search for this spectral sequence was one of the motivating factor in the development of motivic cohomology. More generally, spectral sequences whose first page consists of motivic cohomology groups exist for any cohomology theory represented by a [[motivic spectrum]]; they are analogous to the [[Atiyah-Hirzebruch spectral sequence]]s in topology.


## Definitions

We give three definitions of motivic cohomology with integral coefficients, in historical order: the first, due to Bloch and later generalized by Levine, only works for [[smooth schemes]] over [[Dedekind domain]]s. The other two, due to Voevodsky, work for arbitrary schemes. All definitions are known to agree for [[smooth scheme]]s over [[field]]s, but the equivalence of any pair of them is an open question for more general schemes. It is generally accepted that the Bloch–Levine definition produces the desired motivic cohomology groups as far as it applies, but there is no consensus beyond that.

Note that in each definition motivic cohomology is *absolute*: the groups $H^{p,q}(X,\mathbb{Z})$ depend only of the scheme $X$ and not on any base scheme.

### As Bloch's higher Chow groups {#HigherChowGroups}

The first and most elementary definition of motivic cohomology groups was Bloch's definition of higher Chow groups ([Bloch](#Bloch86)), although they were only recognized as such later by Voevodsky.

Let $X$ be a [[smooth scheme]] over a [[field]] $k$. The group $z^*(X)$ of _algebraic cycles_ on $X$ is the free abelian group generated by the irreducible closed subschemes of $X$, graded by codimension.

The **algebraic $n$-simplex** $\Delta^n$ is the $k$-scheme

$$\Delta^n = Spec(k[t_0, \dots, t_n]/(\sum_i t_i - 1)). $$

Note that $\Delta^n$ is isomorphic to affine $n$-space $\mathbb{A}^n$. There are obvious coface and codegeneracy maps that turn $\Delta^\bullet$ into a [[cosimplicial object|cosimplicial]] $k$-scheme. The graded [[simplicial abelian group]] $z^*(X,\bullet)$ is the subgroup of $z^*(X\times\Delta^\bullet)$ generated in simplicial degree $n$ by the cycles which intersect all faces $X\times\Delta^m \subset X\times\Delta^n$ properly. One then defines the **higher Chow groups** $CH^*(X,n)$ by

$$ CH^*(X,n) = \pi_n(z^*(X, \bullet)). $$

The groups $CH^*(X,0)$ are the ordinary [[Chow groups]] of algebraic cycles modulo rational equivalence.

Voevodsky proved that these groups agree with [his definition](#VoevodskysDef) of motivic cohomology under the re-indexing

$$ H^{p,q}(X,\mathbb{Z}) = CH^{q}(X,2q-p) .$$

Levine extended Bloch's definition to smooth schemes over [[Dedekind domains]] in such a way that motivic cohomology supported at a prime fits in the expected long exact sequence ([Levine](#Levine01)).

#### References

* [[Spencer Bloch]], _Algebraic Cycles and Higher $K$-Theory_, Adv. Math. 61 (1986), pp. 267–304
{#Bloch86}

* [[Marc Levine]], _Techniques of localization in the theory of algebraic cycles_, J. Algebraic Geom. 10 (2001), pp. 299–363, [pdf](http://www.uni-due.de/~bm0032/publ/TechLoc.pdf)
{#Levine01}


### As Zariski cohomology of certain complexes of sheaves {#VoevodskysDef}

In the mid 1990s [[Vladimir Voevodsky]] gave the first "official" definition of the motivic cohomology of a scheme $X$ as the [[hypercohomology]] of certain [[complexes]] of [[sheaves]] $\mathbb{Z}(q)$ on the [[Zariski site|Zariski]] [[site]] of $X$ (an analog of the [[category of open subsets]] of a [[topological space]]). The complexes $\mathbb{Z}(q)$, $q\geq 0$, are called the **motivic complexes**; the existence of such complexes was predicted as part of the so-called Beilinson dream.

+-- {: .num_defn}
###### Definition
The motivic cohomology of a [[scheme]] $X$ is the [[hypercohomology]] of the complexes of sheaves $\mathbb{Z}(q)$ on the Zariski site:

$$ H^{p,q}(X,\mathbb{Z}) := H^p_{Zar}(X,\mathbb{Z}(q)) $$
=--

This is [MaVoWe, Definition 3.4](#MaVoWe).

Voevodsky's definition, for smooth schemes over fields, has been shown to have most properties that Beilinson and Lichtenbaum had demanded of the hypothetical cohomology theory, except that to date it hasn't been shown that the cohomology groups vanish in negative degree, as they should. This open question is known as the _Beilinson vanishing conjecture_.

#### As hom-sets in the derived category of motives

Voevodsky also gave an accompanying definition of an integral version of the [[derived category]] of the hypothetical category of [[motive|mixed motives]] (see there for the definition) and showed that the motivic cohomology appears as derived hom-complexes in this derived category (see [MaVoWe, rop. 14.16](#MaVoWe) for a precise statement).


#### References ##

* [[Carlo Mazza]], [[Vladimir Voevodsky]] and [[Charles Weibel]], _Lectures in motivic cohomology_ ([web](http://math.rutgers.edu/~weibel/motiviclectures.html) [pdf](http://www.claymath.org/library/monographs/cmim02.pdf))
{#MaVoWe}


### As cohomology with coefficients in Eilenberg-Mac Lane objects {#ChowGroupsAsInfStackCohomology}

From the point of view of the [[motivic homotopy theory]] of Morel and Voevodsky, one would like the motivic cohomology of $X$ to be representable in the [[motivic homotopy theory|stable motivic homotopy category]] $SH(X)$ over $X$. Voevodsky gave a definition of motivic cohomology in this setting as the [bigraded cohomology theory](http://ncatlab.org/nlab/show/motivic+homotopy+theory#CohomologyTheories) represented by the _motivic Eilenberg–Mac Lane spectrum_ $H(\mathbb{Z})\in SH(X)$.

The motivic spectrum $H(\mathbb{Z})$ is built out of _motivic Eilenberg–Mac Lane spaces_ $K(\mathbb{Z}(n),2n)$. Below we only discuss the definition of these spaces over a [[field]] $k$. The definition in general is essentially the same, but it relies on the notion of finite correspondence over more general bases which is technical.

To define motivic Eilenberg-Mac Lane spaces, a first guess might be to apply the general definition of an [[Eilenberg-Mac Lane object]] in the [[Nisnevich (∞,1)-topos]] and then take its $\mathbb{A}^1$-localization. While this is an interesting construction, these spaces can only be assembled into an $S^1$-spectrum and we want a $\mathbb{P}^1$-spectrum. This is not easy: Voevodsky states in his [ICM-talk article](#ICM) (on p. 596) that every morphism $\mathbb{P}^1 \wedge K(\mathbb{Z},n) \rightarrow K(\mathbb{Z},n+1)$ is trivial in the $\mathbb{A}^1$-homotopy category.

Instead one applies a recipe which, when applied to the usual topological spheres produces the (topological) [[Eilenberg-Mac Lane spaces]], to the algebro-geometric sphere $\mathbb{P}^1$:

The [[Dold-Thom theorem]] says that in topology the reduced singular homology of a space $X$ can be produced as

$$H_i(X) = \pi_i (\mathrm{colim}_N\, \mathrm{Sym}^N X)^+$$

where $\mathrm{Sym}^N X = (X\times X\times ...\times X)/\Sigma_N$ is the free strictly commutative monoid on $X$ and $(-)^+$ denotes group completion. Inserting the topological n-sphere $S^n$ yields that $(\mathrm{Sym}^N X)^+$ is an Eilenberg-Mac Lane space.

The symmetric powers $\mathrm{Sym}^N$ also make sense for quasi-projective $k$-schemes, and they can be formally extended to pointed [[presheaves]] on such schemes. If $X$ is a pointed presheaf, we have maps $\mathrm{Sym}^N (X) \rightarrow \mathrm{Sym}^{N+1} (X)$ (lengthening an $N$-letter word by one, attaching the base point) and the colimit over these maps, followed by group completion, gives a functor $L(-):=(\mathrm{Sym}^{\infty} (-))^+$. Over a field of characteristic zero, one defines the *motivic Eilenberg-Mac Lane spaces* by

$$K(\mathbb{Z}(n),2n):=L((\mathbb{P}^1)^{\wedge n}).$$

These assemble to give the *motivic Eilenberg-Mac Lane spectrum* $H(\mathbb{Z}):=(\mathbb{Z},K(\mathbb{Z}(1),2),K(\mathbb{Z}(2),4),\ldots)$ with bonding maps induced by $\mathbb{P}^1 \wedge \mathrm{Sym}^N ({\mathbb{P}^1}^{\wedge m}) \rightarrow \mathrm{Sym}^N ({\mathbb{P}^1}^{\wedge m+1}), (x, \sum x_i) \mapsto \sum (x,x_i)$ (i.e. take the extra $\mathbb{P}^1$-point as new coordinate in the bigger $\wedge$-product of $\mathbb{P}^1$s).

This definition does not quite work over fields of positive characteristic. In general one has to take cycles as described by Denis-Charles Cisinski below. Intuitively the points of $(\mathrm{Sym}^{\infty} (X))^+$ are finite formal sums of points of X, i.e. zero-cycles, which links this story to the functor $L$ described below. In characteristic zero both coincide. The link to higher Chow groups however only becomes apparent in the cycle description.

> the following paragraphs are due to [[Denis-Charles Cisinski]], taken from [this MathOverflow thread](http://mathoverflow.net/questions/2520/homotopy-theory-of-schemes-examples).

To keep things simple, let us assume we work over a [[perfect field]] $k$. The easiest part of motivic cohomology which we can get is the [[Picard group]] (i.e. the [[Chow group]] in degree 1). This works essentially like in [[Top]]: in the [[model structure on simplicial presheaves|(model) category of simplicial Nisnevich sheaves]] (over smooth $k$-schemes), the classifying space of the multiplicative group $\mathbb{G}_m := \mathbb{A}^1 - \{0\}$  has the $\mathbb{A}^1$-[[homotopy n-type|homotopy type]] of the infinite dimensional projective space. 

Moreover, as the Picard group is homotopy invariant for regular schemes (semi-normal is even enough), the fact that $H^1(X,\mathbb{G}_m) = Pic(X)$ reads as

$$
  [X,\mathbf{B} \mathbb{G}_m]
  =
  Pic(X)
  = 
  CH^1(X)
  \,
$$

where $[-,-]$ are the hom-sets in the [[motivic homotopy category]] $\mathrm{H}(k)$.

In general, we denote by $K(\mathbb{Z}(n),2n)$ the $n$-th motivic 
[[Eilenberg-Mac Lane object]], i.e. the object of $\mathrm{H}(k)$ which represents the $n$-th [[Chow group]]: for any smooth $k$-scheme $X$, one has

$$
  [\Sigma^i X , K(\mathbb{Z}(n), 2n)]
  = 
  H^{2n -i}(X, \mathbb{Z}(n))
  \,.
$$

There are several models for $K(\mathbb{Z}(n),2n)$, one of the smallest being constructed as follows. What is explained above is that $K(\mathbb{Z}(1),2)$ is the infinite projective space. $K(\mathbb{Z}(0),0)$ is simply the constant sheaf. For higher $n$, here is the following construction due to Voevodsky.

Given a $k$-scheme $X$, denote by $L(X)$ the [[presheaf with transfers]] associated to $X$, that is the presheaf of abellian groups whose sections over a smooth $k$-scheme $V$ are the finite [[correspondence]]s from $V$ to $X$ (i.e. the finite linear combinations of cycles $\sum n_i Z_i$  in $V \times X$ such that $Z_i$ is finite and surjective over $V$). This is a presheaf, where the pullbacks are defined using the pullbacks of cycles (the condition that the $Z_i$; are finite and surjective over a smooth (hence normal) scheme $V$ makes that this is well defined without working up to rational equivalences, and as we consider only pullbacks along maps $U \to V$ with $U$ and $V$ smooth (hence regular) ensures that the multiplicities which will appear from these pullbacks will always be integers). The [[presheaf]] $L(X)$ is a [[sheaf]] for the [[Nisnevich topology]]. This construction is functorial in $X$ (we will need this functoriality only for closed immersions).

Let $X$ (resp. $Y$) be the cartesian product of $n$ (resp. $n-1$) copies of the projective line. The point at infinity gives a family of $n$ maps $u_i : Y \to X$. Then a model of the [[Eilenberg-Mac Lane object]] $K(\mathbb{Z}(n), 2n)$ is the sheaf of sets obtained as the quotient (in the category of Nisnevich sheaves of abelian groups) of $L(X)$ by the subsheaf generated by the images of the maps $L(u_i) : L(Y) \to L(X)$.


#### References

The original definition of motivic Eilenberg–Mac Lane spaces and spectra is in

* [[Vladimir Voevodsky]], _$A^1$-homotopy Theory_, Documenta Mathematica, Extra Volume ICM 1998, I, 579-604 [ps](http://www.emis.de/journals/DMJDMV/xvol-icm/00/Voevodsky.MAN.ps.gz)
{#ICM}

More details are in §4 of

* [[Marc Hoyois]], _From algebraic cobordism to motivic cohomology_ ([pdf](http://math.mit.edu/~hoyois/papers/hopkinsmorel.pdf))


## Related concepts

* [[Beilinson conjectures]]

* [[algebraic K-theory]]
* [[algebraic cobordism]]
* [[étale cohomology]]

* [[motivic homotopy theory]]
* [[motivic chromatic homotopy theory|chromatic motivic homotopy theory]]

* [[motivic spectrum]]

* [[absolute cohomology]]

* [[motives in physics]]

## Further references

* [[Eric Friedlander]], _[Algebraic Cycles and algebraic K-theory, II](http://www.math.northwestern.edu/~eric/lectures/)_ ([lecture 6 (pdf)](http://www.math.northwestern.edu/~eric/lectures/ihp/ihplec6.pdf))

* J. F. Jardine, _Motivic symmetric spectra_, Doc. Math. 5 (2000), 445--553

* [[Alexander Beilinson|A. Beĭlinson]], R. MacPherson, V. Schechtman, _Notes on motivic cohomology_,  Duke Math. J.  54  (1987),  no. 2, 679--710; [doi](http://dx.doi.org/10.1215/S0012-7094-87-05430-5).

* [[Vladimir Voevodsky]], [[Pierre Deligne]], _Lectures on motivic cohomology 2000/2001_ ([web](http://www.math.uiuc.edu/K-theory/0527/))

* [[Marc Levine]], _Algebraic cycle complexes_, talk notes, 2008, [pdf](https://www.uni-due.de/~bm0032/publ/CycleComplexes.pdf).

A discussion of an [[equivariant cohomology|equivariant]] version of motivic cohomology is in 

* Ben Williams, _Equivariant Motivic Cohomology_ ([pdf](http://math.stanford.edu/~williams/MotivicRSS.pdf))

For a discussion of the relation betwen [[motive]]s and motivic cohomology, see for instance section 0.1.8 of

* [[Spencer Bloch]], _Lectures on Mixed Motives_ ([ps](http://www.math.uchicago.edu/~bloch/motive.ps))

category: algebraic geometry
[[!redirects motivic complex]]
[[!redirects motivic complexes]]
[[!redirects higher Chow group]]
[[!redirects higher Chow groups]]