#Idea#

__Groupoidification__ is a program based on the observation that the operation of pull-pushing bundles of [[groupoid|groupoids]]

$$
  \array{
     \Psi
     \\
     \downarrow
     \\
     X
  }
$$

through [[span|spans]] 

$$
  \array{
    && S
    \\
    & \swarrow && \searrow
    \\
    X &&&& Y
  }
$$

of [[groupoid|groupoids]] becomes a linear map acting on vector spaces after taking [[groupoid cardinality]] -- after "degroupoidification".

From another perspective, these over-groupoids are an [[example for geometric function objects]] as considered in the context of [[geometric function theory]].

#Remarks#

* Groupoidification is closely related to -- or maybe even synonymous to -- [[geometric function theory]].

De-groupoidification is similar to passing to [[motivic functions]].


#References#

John Baez keeps a web page with relevant links and background material 

* John Baez _Groupoidification_ ([web](http://math.ucr.edu/home/baez/groupoidification/)) 

In particular there are the articles in preparation

* John Baez, Alexander Hoffnung, Christopher Walker, _Higher-dimensional algebra VII: Groupoidification_, [arxiv/0908.4305](http://arxiv.org/abs/0908.4305)

* John Baez, Alexander Hoffnung, _Higher-dimensional algebra VIII: The Hecke Bicategory_, ([pdf](http://math.ucr.edu/home/baez/hda8.pdf))

* _Towards topological groupoidification_ ([pdf](http://www.math.tau.ac.il/~avivc/UCR%20Colloquium.pdf))

#Relation to representation theory#

Groupoidification seems to be a central underlying governing principle in [[representation theory]] in its incarnation in  [[geometric function theory]].


#Relation to quantization#

Groupoidification in particular seems to illuminate structures encountered in the context of [[quantum field theory]]. Discussions of groupoidification in the context of QFT are 

* Jeffrey Morton, _Categorified algebra and quantum mechanics_, Theory and Application of Categories 16 (2006), 785-854 ([arXiv](http://xxx.lanl.gov/abs/math.QA/0601458), [tac](http://www.emis.de/journals/TAC/volumes/16/29/16-29abs.html))

* Jeffrey C. Morton, _2-Vector Spaces and Groupoids_ ([arXiv](http://arxiv.org/abs/0810.2361))

* [pdf](http://www.theoreticalatlas.net/talks/gpd-khovanov.pdf)


Some related remarks are in

* Schreiber: [[schreiber:Nonabelian cocycles and their sigma model QFTs]]

* Cafe: [new_paper_on_the_hecke_bicateg](http://golem.ph.utexas.edu/category/2010/04/new_paper_on_the_hecke_bicateg.html)