
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Motivic cohomology
+--{: .hide}
[[!include motivic cohomology - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## General

The word 'period' has many meanings in [[mathematics]], most of them coming from [[physics]]: the period of an oscillation, periods in celestial mechanics, even the period of a [[periodic function]] comes from the intuition that the periodicity is in the time dimension. Functions on [[torus|tori]] are periodic in two directions, say the [[Weierstrass functions]] on [[elliptic curves]], so it is not a surprise that more involved kinds of periods came from the study of elliptic curves and then more general [[Riemann surfaces]]. 

## In differential geometry

The _period_ of a closed [[differential form]] $\omega \in \Omega^n_{cl}(X)$ over an $n$-[[cycle]] $S$ is the [[integral]] $\int_S \omega$. 


## In number theory and algebraic geometry
 {#InNumberTheory}

There is another deep notion of periods in [[number theory]] and a more specific version related to specific situations in [[algebraic geometry]]. We distinguish irrational and rational numbers; [[complex numbers]] divide into algebraic and transcendental. __Periods__ are more general than algebraic numbers: they are those (complex) numbers which can be obtained as integrals of [[algebraic function]]s (all of whose coefficients are also [[algebraic number]]s) over [[semialgebraic set]]s. The periods form a sub[[ring]] of complex numbers bigger than the [[field]] of algebraic numbers. There are several operations which lead to new periods. In fact, if we view them abstractly, as integrals of some abstract function over an abstract semialgebraic set, then we can take unions of such sets, do partial integration and so on. There is a conjecture that there are no relations among periods except those of a short list of such obvious relations! 

Periods appear in a number of situations in classical algebraic geometry. Specific matrices of periods are defined and important in the theory of algebraic functions, [[Hodge theory]] for algebraic cycles, the study of actions of [[motivic Galois group]]s, etc. They come as generalizations of "periods of Riemann surfaces" from 19th century. 


## References

### In number theory
 {#ReferencesInNumberTheory}

A general introduction to and discussion of algebraic periods is in 

* [[Maxim Kontsevich]], [[Don Zagier]], _Periods_, [pdf](http://193.51.104.7/~maxim/TEXTS/Periods.pdf)

which in section 3 discusses the appearance of periods as [[special values of L-functions]].

A popularization is in 

* Stefan Müller-Stach, _What is a period ?_, to appear in the Notices of the AMS, [arxiv/1407.2388](http://arxiv.org/abs/1407.2388)

See also

* A. B. Goncharov, _Periods and mixed motives_, [math.AG/0202154](http://arxiv.org/abs/math/0202154)

* mathoverflow: [ring of periods not a field](http://mathoverflow.net/questions/20497/is-it-known-that-the-ring-of-periods-is-not-a-field)



### In perturbative quantum field theory
 {#ReferencesInPerturbativeQuantumFieldTheory}

Discussion of [[motives in physics]] via periods as appearing in the [[perturbative quantum field theory]], hence in [[correlators]]/[[scattering amplitudes]], and their relation to the [[cosmic Galois group]] originates in

* [[Maxim Kontsevich]], _Operads and motives in deformation quantization_, Lett.Math.Phys. __48__ (1999) 35--72, [math.QA/9904055](http://arxiv.org/abs/math.QA/9904055)


More details on this (and a good review of periods in the first place) is in

* Annette Huber, Stefan Müller-Stach, _On the relation between Nori motives and Kontsevich periods_, [1105.0865](http://arxiv.org/abs/1105.0865)

and briefly in section 8.5 of 

* [[Alain Connes]], [[Matilde Marcolli]], _[[Noncommutative Geometry, Quantum Fields and Motives]]_

Discussion in the rigorous Lorentzian context of [[causal perturbation theory]]/[[perturbative AQFT]] is in 

* {#Rejzner16} [[Kasia Rejzner]], _Renormalization and periods in perturbative Algebraic Quantum Field Theory_ ([arXiv:1603.02748](https://arxiv.org/abs/1603.02748))

For more see at _[[motives in physics]]_.

[[!redirects periods]]
