Let $X$ be an [[algebraic variety]] (in the modern approach an irreducible reduced [[scheme]] of finite type over a [[field]], but we will work here with the usual [[maximal spectrum|maximal spectra]] to simplify the exposition). To a variety one can associate a [[function field]] $k(X)$ whose elements are [[rational function]]s on $X$ (they are regular functions on the big-Zariski open subvarieties of $X$). A [[partial function|partially defined map]] from a variety to another variety is [[rational map|rational]] if it is defined and regular on a Zariski open set. One can check easily that in fact rational maps compose. Rational maps which have an inverse on a Zariski open subset are called [[birational maps]] or birational isomorphisms (see there for a more precise definition).

**Birational geometry** considers properties of varieties which depend only on the birational class, i.e., they are equivalent when they have isomorphic function fields. In fact, one can define the appropriate [[category]] by starting with the category of varieties over a fixed field and then [[localization|localizing]] at all birational equivalences. 

## Literature

Related articles: [[Mori program]], [[function field]]

* Janos Kollár, Shigefumi Mori, _Birational geometry of algebraic varieties_, Cambridge Tracts in Mathematics __134__  

* wikipedia: [birational geometry](http://en.wikipedia.org/wiki/Birational_geometry), [rational variety](http://en.wikipedia.org/wiki/Rational_variety)
* Caucher Birkhar, _Birationali geometry_, online notes short version 35 pages, [pdf](https://www.dpmms.cam.ac.uk/~cb496/birgeom.pdf‎); _Lectures on birational geometry_, 85 pages, [arxiv/1210.2670](http://arxiv.org/abs/1210.2670)
* Bruno Kahn, R. Sujatha, _Birational geometry and localisation of categories_, [arxiv/0805.3753v1](http://arxiv.org/abs/0805.3753v1)

A recent new approach is in

* S. Cantat, S. Lamy, _Normal subgroups of the Cremona group_, Acta Mathematica 210 (2013), 31–94

Probing birational geometry via the derived category of coherent sheaves is explained in

* Alexander Kuznetsov, _Derived categories view on rationality problems_, [arxiv/1509.09115](http://arxiv.org/abs/1509.09115)

category: algebraic geometry
[[!redirects birational algebraic geometry]]