
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### Measure and probability theory
+-- {: .hide}
[[!include measure theory - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

It is practically impossible to model a macroscopic system in terms of the microscopic kinematical and dynamical variables of all its particles. Thus one makes a hierarchical reduction in which this complexity is reduced to small number of collective variables. The theoretical framework for such reductions for systems is [[statistical mechanics]] or statistical physics.

One special case of hierarchical reduction is the limit of large volumes $V$, in which the number of particles (of each species) per volume, $N/V$, stays constant. This is called the **[[thermodynamic limit]]** in statistical physics. Under some standard assumptions like homogeneity (spacial and possibly directional) and stability (no transitory effects), there is a small number of collective variables characterizing the system. Such a description can be (and historically was) postulated as an independent self-consistent phenomenological theory even without going into the details of statistical mechanics; such a description is called **[[equilibrium]] thermodynamics**, which is believed to be deducible from statistical mechanics, as has been partially proved for some classes of systems. Sometimes transitional finite-time phenomena are described either statistically by studying stochastic processes or by a more elaborate hierarchical form of thermodynamics, so-called **nonequilibrium thermodynamics**. 

One of the basic characteristics of a thermodynamical system is its [[temperature]], which has no analogue in fundamental non-statistical physics. Other common thermodynamical variables include pressure, volume, [[entropy]], enthalpy etc. 


## Related entries

* [[entropy]], [[relative entropy]], [[second law of thermodynamics]], [[generalized second law of thermodynamics|generalized second law]], [[KMS state]]

* [[intensive and extensive]]


## References

### General

A formalization in terms of [[symplectic geometry]] is in chapter IV "Statistical mechanics" of

* [[Jean-Marie Souriau]], _Structure of dynamical systems. Asymplectic view of physics_ . Translated from the French by C. H. Cushman-de Vries. Translation edited and with a preface by R. H. Cushman and G. M. Tuynman. Progress in Mathematics, 149. Birkhäuser Boston, Inc., Boston, MA, 1997

as well as in 

* [[Jean-Marie Souriau]], _Thermodynamique et géométrie_,  Lecture Notes in Math. 676 (1978), 369–397 ([scan](http://www-lib.kek.jp/cgi-bin/kiss_prepri.v8?KN=197810025))

Souriau model of thermodynamics has been extented for Geometric Science of Information (Koszul information geometry) with a general definition of Fisher Metric, Euler-Poincaré Equation and variational definition of Souriau Thermodynamics, as given in:

* [[Frederic Barbaresco]], Koszul Information Geometry and Souriau Geometric, Temperature / Capacity of Lie Group Thermodynamics, MDPI Entropy, n°16, pp. 4521-4565, August 2014. (http://www.mdpi.com/1099-4300/16/8/4521/pdf)
* [[Frederic Barbaresco]], Symplectic Structure of Information Geometry: Fisher Metric and Euler-Poincaré Equation of Souriau Lie Group Thermodynamics, GSI’15,Vol.9389, Springer LCNS, pp. 529-540, 2015. (http://link.springer.com/chapter/10.1007/978-3-319-25040-3_57) 

See also

* wikipedia: [thermodynamics](http://en.wikipedia.org/wiki/Thermodynamics), [fundamental thermodynamic relation](http://en.wikipedia.org/wiki/Fundamental_thermodynamic_relation)

* Azimuth Project, _[Thermodynamics](http://www.azimuthproject.org/azimuth/show/Thermodynamics)_

* A. Bravetti, C. S. Lopez-Monsalvo, F. Nettel, _Contact symmetries and Hamiltonian thermodynamics_, [arxiv/1409.7340](http://arxiv.org/abs/1409.7340)

For an thorough introduction to common misconceptions at an elementary level:

* John Denker. _Modern Thermodynamics_. [web](http://www.av8n.com/physics/thermo), [pdf](http://www.av8n.com/physics/thermo-laws.pdf).

A survey of [[irreversible thermodynamics]] is in 

* Ivan Vavruch, _Conceptual problems of modern irreversible thermodynamics_, Chem. Listy 96 (2002) ([pdf](http://www.chemicke-listy.cz/docs/full/2002_05_01.pdf))

For more on this see also _[[rational thermodynamics]]_.

* Álvaro M. Alhambra, Lluis Masanes, Jonathan Oppenheim, Christopher Perry, _Fluctuating work: from quantum thermodynamical identities to a second law equality_, Phys. Rev. X 6, 041017 [doi](http://dx.doi.org/10.1103/PhysRevX.6.041017)

### Generalizations 

Some formal generalizations of thermodynamical formalism include mixing time and temperature in formalisms with complex time-temperature like Matsubara formalism in QFT. 

Mathematical analogies and generalizations include also 

* [[John Baez]], Mike Stay, _Algorithmic thermodynamics_, [pdf](http://math.ucr.edu/home/baez/thermo.pdf), [cafe](http://golem.ph.utexas.edu/category/2010/02/algorithmic_thermodynamics.html)
* [[M. Marcolli]], Ryan Thorngren, _Thermodynamical semirings_, [arXiv/1108.2874](http://arxiv.org/abs/1108.2874)
* M. Zinsmeister, _Thermodynamic formalism and holomorphic dynamical systems_, Amer. Math. Soc. 2000.
* I. Itenberg, G. Mikhalkin, _Geometry in the tropical limit_, [arXiv/1108.3111](http://arxiv.org/abs/1108.3111)

[[!redirects irreversible thermodynamics]]
