
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Topology
+--{: .hide}
[[!include topology - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

When in a [[convenient category of topological spaces]], e.g. [[compactly generated space]]s, the category is [[cartesian closed category|cartesian closed]], so that there is an [[adjunction]] between the mapping space and the cartesian product in that category.  For general [[topological space]]s there is no globally defined adjunction, but we can instead characterize exactly which spaces are exponentiable.

## Exponentiable spaces

For $C$ a [[finitely complete category|category with finite products]], recall that an object $c$ is **[[exponentiable object|exponentiable]]** if the functor $c \times -: C \to C$ has a [[right adjoint]], usually denoted $(-)^c: C \to C$.

+-- {: .un_theorem}
###### Theorem (Exponentiability, I) 
Let [[Top]] be the category of all topological spaces. An object $X$ of $Top$ is exponentiable if and only if $X \times -: Top \to Top$ preserves [[coequalizer]]s, or equivalently [[quotient space]]s.
=--

This functor always preserves [[coproducts]], so this condition is equivalent to saying that $X \times -$ preserves all small [[colimits]].  This is then equivalent to exponentiability by the [[adjoint functor theorem]].

This condition, however, is not really any more explicit.  More interesting is to characterize the exponentiable spaces in terms of a point-set-topological condition.

### Core-compactness

For open subsets $U$ and $V$ of a topological space $X$, we write $V\ll U$ to mean that any open cover of $U$ admits a finite subcover of $V$; this is read as **$V$ is relatively compact under $U$** or **$V$ is way below $U$**.  We say that $X$ is **core-compact** if for every open neighborhood $U$ of a point $x$, there exists an open neighborhood $V$ of $x$ with $V\ll U$.  In other words, $X$ is core-compact iff for all open subsets $V$, we have $V = \bigcup \{ U | U\ll V \}$.  This says essentially the same thing as saying that the open-set lattice of $X$ is a [[continuous lattice]], which yields the corresponding definition for [[locales]].

+-- {: .un_theorem}
###### Theorem (Exponentiability, II)
An object $X$ of $Top$ is exponentiable if and only if it is core-compact.
=--

If $X$ is [[Hausdorff space|Hausdorff]], then core-compactness is equivalent to [[locally compact space|local compactness]]; thus in particular all locally compact Hausdorff spaces are exponentiable.  In fact, local compactness implies exponentiability even without the Hausdorff condition, if [[locally compact space|local compactness]] is defined appropriately (for every point the compact neighborhoods form a neighborhood basis). For this reason, that core-compactness is also called **quasi local compactness**.

When $X$ is core-compact, we can explicitly describe the exponential topology on $Y^X$ (whose points are continuous maps $f: X \to Y$).  It is generated by [[topological basis|subbasis]] elements $O_{U,V}$, for $U$ an open subset of $X$ and $V$ an open subset of $Y$, where a continuous map $f\colon X \to Y$ belongs to $O_{U,V}$ iff $U\ll f^{-1}(V)$:

$$ O_{U, V} = \{f \in Y^X: U \ll f^{-1}(V)\} .$$

If $X$ and $Y$ are Hausdorff, then this topology on $Y^X$ coincides with the [[compact-open topology]].

### In terms of convergence {#ViaConvergence}

Exponentiable (i.e. core-compact) spaces can also be characterized in terms of [[ultrafilter]] convergence.  Recall that a topological space can equivalently be defined as a [[relational beta-module|lax algebra for the ultrafilter monad]] $U$ on the [[(1,2)-category]] [[Rel]] of sets and relations.  In other words, it consists of a set $X$ and a relation $R\colon U X \to X$ called "convergence", such that $id_X \subseteq R \circ \eta$ and $R\circ U R \subseteq R\circ \mu$, where $\eta$ and $\mu$ are the unit and multiplication of the ultrafilter monad, regarded as relations.  In the paper

* [[Claudio Pisani]], _Convergence in exponentiable spaces_, [TAC](http://www.tac.mta.ca/tac/volumes/1999/n6/5-06abs.html)

it is shown that a space is exponentiable (i.e. core-compact) if and only if we have equality in the multiplication law $R\circ U R = R\circ \mu$.

Some intuition for this characterization can be obtained as follows.  Consider the standard non-locally-compact space, the rationals $\mathbb{Q}$ as a subspace of the reals $\mathbb{R}$.  Suppose that $x$ is a rational number and that $y_n$ is a sequence of irrationals converging to $x$.  Then for each $n$ we can find a sequence $z^n_m$ of rationals which converges to $y_n$; hence the $z^n_m$ form a "sequence of sequences" which "globally converges" to $x$ in $\mathbb{Q}$, i.e. which are related to $x$ by the composite relation $R\circ \mu$, but for which does not converge elementwise to an intermediate sequence which in turn converges to $x$, i.e. it is not related to $x$ by the relation $R \circ U R$.  It turns out that when generalized to ultrafilter convergence, this sort of behavior exactly characterizes what it means to fail to be (quasi) locally compact.


## General exponential laws

If $X$ is exponentiable, then the exponential law gives us an isomorphism of *sets* $Map(Y,B^X) \cong Map(X\times Y,B)$ for any other spaces $B$ and $Y$.  If $Y$ is also exponentiable, then the [[Yoneda lemma]] yields from this a homeomorphism $B^{X\times Y} \cong (B^X)^Y$.  However, we can also say some things in general without all spaces involved being exponentiable.

We now agree to denote by $Map(X,Y)=X^Y$ the space of continuous maps $X\to Y$ in the [[compact-open topology]].

+-- {: .un_theorem}
###### Theorem (Exponential law)
Let
$X,Y,B$ be [[topological spaces]]. For any $f\in B^{X\times Y}$,
the formula
$$
[(\theta f)(y)](x) = f(x,y)
$$
defines a [[continuous map]] $\theta f:Y\to B^X$
which we call the map adjoint to $f$, or the [[adjunct]] of $f$.

The adjunction map
$$
\theta : Map(X\times Y,B)\to Map(Y,B^X), \,\,\,\,\,\,\,\theta:f\mapsto \theta f
$$
is a [[one-to-one function]], and if $X$ is [[locally compact space|locally compact and Hausdorff]] then $\theta$ is a [[bijection]].
Independently from that assumption on $X$, if $Y$ is
[[Hausdorff space|Hausdorff]], then $\theta$ is continuous in the [[compact-open topology]]
$$
\theta : B^{X\times Y}\to (B^X)^Y.
$$

If both assumptions (on $X$ and $Y$) are satisfied, then
$\theta$ is not only a continuous bijection, but also open, hence a [[homeomorphism]].
=--

## Based exponential laws

There is also a version for based (= [[pointed space|pointed]]) topological spaces. The [[cartesian product]] then needs to be replace by the [[smash product]] of the based spaces. Regarding that the maps preserve the base point, the adjunction map $\theta$ induces the adjunction map

 $$\theta_*:Map_*(X\wedge Y,B)\to Map_*(Y,B^X)$$

where the mapping space $Map_*$ for based spaces is the subspace of the usual mapping space, in the compact-open topology, which consists of the mappings preserving the base point. 

It appears that $\theta_*$ is again one-to-one and continuous, and it is bijective if $X$ is locally compact Hausdorff. If $Y$ is also Hausdorff then $\theta_*$ is a homeomorphism. 

## Related concepts

## References

* M. Escardo and R. Heckmann, [Topologies of spaces of continuous functions](http://www.cs.bham.ac.uk/~mhe/papers/newyork.pdf), 2001. 

* Eva Lowen-Colebunders and Günther Richter, _An elementary approach to exponential spaces_, [MR](http://www.ams.org/mathscinet-getitem?mr=1836256).

* {#AGP02} Marcelo Aguilar, [[Samuel Gitler]], Carlos Prieto, section 1.3 of _Algebraic topology from a homotopical viewpoint_, Springer (2002) ([toc pdf](http://tocs.ulb.tu-darmstadt.de/106999419.pdf))

* [[Peter Johnstone]], _[[Stone Spaces]]_

[[!redirects exponential law for topological spaces]]
[[!redirects exponential law for based spaces]]
[[!redirects core-compact space]]
[[!redirects core-compact spaces]]
[[!redirects core-compact topological space]]
[[!redirects core-compact topological spaces]]
[[!redirects quasi locally compact space]]
[[!redirects quasi locally compact spaces]]
[[!redirects quasi-locally-compact space]]
[[!redirects quasi-locally-compact spaces]]
[[!redirects exponentiable space]]
[[!redirects exponentiable spaces]]
[[!redirects exponentiable topological space]]
[[!redirects exponentiable topological spaces]]
