
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Category theory
+-- {: .hide}
[[!include category theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

In a [[concrete category]], an **injective hull** of an object $A$ is an extension $A \stackrel{m}{\longrightarrow} B$ of $A$ such that $B$ is [[injective object|injective]] and $m$ is an [[essential embedding]]. It is the dual concept to [[projective cover]].

In general, there is no way of making the assignment of the injective hull to an object into a functor such that there is a natural transformation between the identity functor and that functor.


## Examples 

* In [[Vect]] every object $A$ has an injective hull, $A \stackrel{id_A}{\longrightarrow} A$.  In other words, every vector space is already an [[injective object]].
* In [[Pos]] every object has an injective hull, its [[MacNeille completion]].
* In [[Ab]] every object has an injective hull. The embedding $\mathbb{Z} \hookrightarrow \mathbb{Q}$ is an example.
* In the category of fields and algebraic field extensions, every object has an injective hull, its [[algebraic closure]].
* In the category of metric spaces and [[short map]]s, the injective hull is a standard construction also known as the [[tight span]] (see [Wikipedia](http://en.wikipedia.org/wiki/Tight_span)).

## Generalization

Given a class $\mathcal{E}$ of objects in a category, an **$\mathcal{E}$-hull**
(or $\mathcal{E}$-envelope) of an object $A$ is a map $h\colon A\longrightarrow E$
such that the following two conditions hold:

1. Any map $k\colon A\longrightarrow E'$ to an object in $\mathcal{E}$ factors
through $h$ via some map $f: E\longrightarrow E'$.

2. Whenever a map $f\colon E\longrightarrow E$ satisfies $f\circ h = h$ then it
must be an automorphism.

On the other hand, given a class $\mathcal{H}$ of *morphisms* in a category, an **$\mathcal{H}$-injective hull** of an object $A$ is a map $h:A\to E$ in $\mathcal{H}$ such that:

1. $E$ is a $\mathcal{H}$-injective object and

2. $h$ is $\mathcal{H}$-essential, i.e. if $k\circ h \in \mathcal{H}$ then $k\in\mathcal{H}$.

## Related concepts

* [[projective object]], [[projective presentation]], [[projective cover]], [[projective resolution]]

  * [[projective module]]

* [[injective object]], [[injective presentation]], **injective envelope**, [[injective resolution]]

  * [[injective module]]

* [[free object]], [[free resolution]]
 
  * [[free module]]

* flat object, [[flat resolution]]

  * [[flat module]]

## References

* [[Jiri Adamek|Jiří Adámek]], [[Horst Herrlich]], [[George Strecker]]; 2004; [[The Joy of Cats]], Definition 9.16 (page 156)
* Adámek, Herrlich, Rosický, Tholen; 2002; [Injective hulls are not natural](http://www.iti.cs.tu-bs.de/~adamek/injective.hulls.AHRT.ps)
* Jinzhog Xu; 1996; Flat Covers of Modules, SLNM 1634.
* [[Walter Tholen]], "Essential weak factorization systems".  *Contributions to General Algebra* 13 (2001) 321-333.  [ps](http://www.math.yorku.ca/~tholen/newessential.ps).

[[!redirects injective hulls]]

[[!redirects injective envelope]]
[[!redirects injective envelopes]]
