
Daniel Freed is a mathematician at University of Texas, Austin.

* [website](http://www.ma.utexas.edu/users/dafr/)

* [Wikipedia entry](http://en.wikipedia.org/wiki/Dan_Freed)

Freed's work revolves around the mathematical ingredients and foundations of modern [[quantum field theory]] and of [[string theory]], notably in its more subtle aspects related to [[quantum anomaly cancellation]] (which he was maybe the first to write a clean mathematical account of). In the article _[[Higher Algebraic Structures and Quantization]]_ (1992) he envisioned much of the use of [[higher category theory]] and [[higher algebra]] in [[quantum field theory]] and specifically in the problem of [[quantization]], which has -- and still is -- becoming more widely recognized only much later. He recognized and emphasized the role of [[differential cohomology]] in physics for the description of [[higher gauge field|higher]] [[gauge fields]] and their anomaly cancellation. Much of his work focuses on the nature of the [[Freed-Witten anomaly]] in the quantization of the [[superstring]] and the development of the relevant tools in [[supergeometry]], and notably in [[K-theory]] and [[differential K-theory]]. More recently Freed aims to mathematically capture the [[6d (2,0)-superconformal QFT]].


## Linked publications

* _[[Quantum Fields and Strings]]_

* _[[Higher Algebraic Structures and Quantization]]_

* _[[Dirac charge quantization and generalized differential cohomology]]_

* _[[Loop Groups and Twisted K-Theory]]_

* _[Orientifold précis](http://ncatlab.org/schreiber/show/Mathematical+Foundations+of+Quantum+Field+and+Perturbative+String+Theory#ContributionDistlerFreedMoore)_

* _[[Topological Quantum Field Theories from Compact Lie Groups]]_

* _[[4-3-2 8-7-6]]_


## related entries

* [[differential cohomology]]

* [[quantum anomaly]]

* [[Freed-Witten anomaly]]

* [[orientifold]]

* [[Chern-Simons theory]]


[[!redirects Daniel Freed]][[!redirects Daniel S. Freed]]

category: people



[[!redirects D. Freed]]

[[!redirects Freed]]
[[!redirects Dan Freed]]
