Let $C$ be a [[monoidal category]] (in fact one can easily modify all statements to generalize all statements here to [[bicategories]]). One can consider several variants of the [[2-category]] of all categories with monoidal [[action]] of $C$, (co)lax [[monoidal functors]] and their transformations. A category with an action of $C$ is sometimes called a __$C$-[[actegory]]__. The word 'module category' over $C$ is also used, specially when the category acted upon is in addition also [[additive category|additive]], like the examples in [representation theory]].

If a $C$-actegory is a [[categorification]] of a [[module]], then for two monoidal categories $C$ and $D$, we should categorify a [[bimodule]], which we call __$C$-$D$-biactegory__. The two actions on a usual bimodule commute; for biactegories the commuting is up to certain coherence laws, which are in fact the expression of an invertible [[distributive law]] between the two monoidal actions. The tensor product of biactegories can be defined (here the invertibility of the distributive law is needed) as a [[2-limit|bicoequalizer]] of a certain diagram. 

For very basic outline see section 2 in 

* [[Zoran Škoda]], Some equivariant constructions in noncommutative algebraic geometry, Georgian Mathematical Journal 16 (2009), No. 1, 183–-202, [arXiv:0811.4770](http://arxiv.org/abs/0811.4770). 

A longer 2006 preprint called "Biactegories" (around 17 pages) has never been finished (one old version: [link](http://www.irb.hr/korisnici/zskoda/biact.pdf))

In a language of "module categories", a different treatment is now available in 

* Justin Greenough, Monoidal 2-structure of bimodule categories, [arxiv:0911.4979](http://arxiv.org/abs/0911.4979).