#Contents#
* table of contents
{:toc}


## Idea 

The _Baez-Dolan stabilization hypothesis_ states that for all $k \geq n+2$ a [[k-tuply monoidal n-category]] is "maximally monoidal".  In other words, for $k \geq n + 2$, a $k$-tuply monoidal $n$-category is the same thing as an $(n+2)$-tuply monoidal $n$-category.  More precisely, the natural inclusion $k Mon n Cat \hookrightarrow (n+2) Mon n Cat$ is an [[equivalence of higher categories]].

More generally, we can state a version for [[(m,n)-categories|(n,k)-categories]]: an $(m+2)$-tuply monoidal $(m,n)$-category is maximally monoidal.

## Proof when $n=1$

An aspect of the proof of this when $n=1$ (i.e. that $m+2$-tuply monoidal $(m,1)$-categories are maximally monoidal) was demonstrated in

* [[Carlos Simpson]], _On the Breen-Baez-Dolan stabilization hypothesis for Tamsamani's weak $n$-categories_ ([arXiv:math/9810058](http://arxiv.org/abs/math/9810058))

in terms of [[Tamsamani n-categories]].

A proof of the full statement in terms of [[quasi-categories]] is sketched in
[section 43.5](http://www.math.uchicago.edu/~may/IMA/Joyal.pdf#page=187) of 

* [[André Joyal]], _Notes on quasi-categories_ ([pdf](http://www.math.uchicago.edu/~may/IMA/Joyal.pdf)).

Probably the first full proof in print is given in

* [[Jacob Lurie]], _[[Ek-Algebras]]_ ,

where it appears in example 1.2.3 as a direct consequence of a more general statement, corollary 1.1.10.

## Proof in general

A proof of the general form for arbitrary $m,n,k$, using iterated $(\infty,1)$-categorical enrichment to define $(\infty,n)$-categories, is in

* {#GepnerHaugseng13} [[David Gepner]], [[Rune Haugseng]], *Enriched ∞-categories via non-symmetric ∞-operads* ([arXiv:1312.3178](http://arxiv.org/abs/1312.3178))

See also

* [[Jacob Lurie]], section 5.1.2 _[[Higher Algebra]]_

* {#Batanin15} [[Michael Batanin]], _An operadic proof of Baez-Dolan stabilization hypothesis_ ([arXiv:1511.09130](http://arxiv.org/abs/1511.09130))

[[!redirects stabilisation hypothesis]]