
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Homotopy theory
+--{: .hide}
[[!include homotopy - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

Generally, given a [[category]] with a concept of [[path space object]] and hence of [[right homotopy]], then a [[morphism]] $i \colon A \longrightarrow B$ is said to have the _right homotopy extension property_ with respect to an [[object]] $X$ if it has the [[left lifting property]] against one of the two path endpoint evaluation maps $p_0 \colon Path(X) \longrightarrow X$, i.e. if in every [[commuting square]] as below, a diagonal lift exists:

$$
  \array{
    A &\longrightarrow& Path(X)
    \\
    {}^{\mathllap{i}}\downarrow &{}^{\mathllap{\exists}}\nearrow& \downarrow^{\mathrlap{p_0}}
    \\
    B &\longrightarrow& X
  }
  \,.
$$

Here the top morphism exhibits a [[right homotopy]] between two morphisms $A\to X$, and the diagonal filler is an [[extension]] of the top morphism along $i$ and exhibiting a compatible right homotopy between morphisms $B\to X$, whence the terminology.

The concept of homotopy extension property is the [[Eckmann-Hilton duality|Eckmann-Hilton dual]] of that of (left) _[[homotopy lifting property]]_, where instead one considers the presence of a [[cylinder object]], hence a notion of [[left homotopy]], and lifting in diagrams of the form

$$
  \array{
    A &\longrightarrow& X
    \\
    {}^{\iota_0}\downarrow &{}^{\mathllap{\exists}}\nearrow& \downarrow^{f}
    \\
    Cyl(A) &\longrightarrow& Y
  }
  \,.
$$

In situations where both [[path space objects]] as well as [[cylinder objects]] exist and are compatible, so that the concepts of left and right homotopy coincide, one may equivalently rephrase right homotopy extension in terms of left homotopy (and left homotopy lifting in terms of right homotopy). 

The resulting definition is necessarily less transparent (def. \ref{LeftHomotopyExtensionPropertyInTop} below), but it happens to be more commonly used in the literature.
Specifically in the archetypical case that the ambient category is that of [[topological spaces]] and cylinders and path space objects are induced from the standard topological [[interval object]], a _[[Hurewicz cofibration]]_ (often just called _cofibration_ ) is a [[continuous function]] that satisfies the left homotopy extension property with respect to all topological spaces.


## Definition

### In topological spaces

+-- {: .num_defn #LeftHomotopyExtensionPropertyInTop}
###### Definition

A [[continuous function]] $i \colon A\to X$ of [[topological spaces]] is said to satisfy the (left) **homotopy extension property** (HEP) with respect to a space $Y$ if for any map $\tilde{f}\colon X\to Y$ and a [[homotopy]] $F \colon A\times I\to Y$ such that $F(-,0)=\tilde{f}\circ i$, a homotopy $\tilde{F}\colon X\times I\to Y$ exists such that $\tilde{F}\circ (i\times id_I)=F$. 

If we write 

$$
  f \coloneqq \tilde{f}\circ i=F(-,0)
  \,;
$$ 

then this is expressed by means of the [[commutative diagram]]

$$
\array{
  A & & \stackrel{i}\to && X
  \\
  &\searrow^f && \swarrow^{\tilde{f}}&
  \\
  {}^{\mathllap{\sigma_0}}\downarrow & &Y && 
    \downarrow^{\mathrlap{\sigma_0}}
  \\
  &\nearrow{F}&&\nwarrow{\exists\tilde{F}}&
  \\
  A\times I &&\stackrel{i\times id}\to&&X\times I
}
$$

Here we denote $\sigma_0 \colon x\mapsto (x,0)$, so that $F\circ\sigma_0=F(-,0)$. The map $\tilde{f}$ is sometimes said to be the _initial condition_ of a _homotopy extension problem_. $\tilde{F}$ is the extension of the homotopy $F$ with given initial condition which itself extends $F\circ\sigma_0$. 

=--

Of course it is superfluous to write the arrow $f:A\to Y$: if we erase it, the commutativity of the remaining square just surrounding its position is saying $F\circ\sigma_0=\tilde{f}\circ i$; however it is conceptually nice to think of $\tilde{f}$ as extending some $f:=F\circ\sigma_0$. 

One can instead of the diagram above write a diagram involving [[adjunction|adjoint]] maps. In other words, instead of any homotopy $h:A\times I\to Y$ we use the [[exponential object|exponential law]] to write $h':A\to Y^I$ where the correspondence is given by the formula $h'(a)(t)=f(a,t)$. Then the homotopy lifting property is the existence of the diagonal map $\tilde{F}'$ in the diagram:

$$
  \array{
    A &\stackrel{F'}\to& Y^I
    \\
    \downarrow^{i} &{}^{\exists\tilde{F}'}\nearrow&  \downarrow^{ev_0}
    \\
    X&\stackrel{\tilde{f}}{\to}& Y
  }
  \,.
$$

where $ev_0:Y^I\to Y$ is the map of evaluation at zero $u\mapsto u(0)$. This is an instance of [[right lifting property]] with respect to maps $ev_0$. 

A map is a **[[Hurewicz cofibration]]** if it satisfies the homotopy extension property with respect to all spaces.



## Properties

### Closure

+-- {: .num_prop}
###### Proposition

If a map $i\colon A\to X$ has the homotopy extension property with respect to a space $Y$, then for any map $g \colon A\to Z$, the [[pushout]] $g_*(i)=i\amalg_A Z :Z\to X\amalg_A Z$ has the homotopy extension property with respect to the space $Y$. 

=--

This is a general statement about classes of morphisms defined by a [[left lifting property]], see at _[injective and projective morphisms -- closure properties](injective+or+projective+morphism#ClosureProperties)_

+-- {: .proof}
###### Proof

We would like to find $\tilde{F}$ to complete the commutative diagram 

$$
  \array{
    A &\stackrel{g}\to&Z&\stackrel{f}\to& Y^I
    \\
    \downarrow^{i}&&\downarrow^{g_*(i)} &\nearrow {\tilde{F}}&  \downarrow^{ev_0}
    \\
    X&\stackrel{i_*(g)}\to&X\amalg_A Z&\stackrel{F}{\to}& Y
  }
  \,.
$$

Consider the external square obtained by composing the horizontal arrows:

$$
  \array{
    A &\stackrel{f\circ g}\to& Y^I
    \\
    \downarrow^{i} &\nearrow {\exists\tilde{G}}&  \downarrow^{ev_0}
    \\
    X&\stackrel{F\circ i_*(g)}{\to}& Y
  }
  \,.
$$

By the assumption on $i$, there is a $\tilde{G}$ as in the diagram, such that both triangles commute, i.e. $ev_0\circ\tilde{G}=F\circ i_*(g)$ and $\tilde{G}\circ i = \tilde{F}\circ g$.

If $i:A\to X$ is satisfying the HEP with respect to $Y$ then there is a diagonal in that external square which is some map $\tilde{G}:X\to Y^I$. This map together with $f:Z\to Y^I$, by the universal property of pushout, determines a unique map $\tilde{F}:X\amalg_A Z\to Y^I$ such that $\tilde{F}\circ i_*(g)=\tilde{G}$ and $\tilde{F}\circ g_*(i)=f$. We need to show only that 
$ev_0\circ\tilde{F}=F$ as $\tilde{F}\circ g_*(i)=f$ holds by the construction of $\tilde{F}$ as stated.

By the definition of $\tilde{G}$ and the commutativity of the original double square diagram, $ev_0\circ \tilde{F}\circ i_*(g)=ev_0\circ\tilde{G}=F\circ i_*(g)$ and $ev_0\circ \tilde{F}\circ g_*(i)=ev_0\circ f=F\circ g_*(i)$. This is almost what we wanted except that we precompose the wanted identity with both maps into the pushout. Thus by the uniqueness part of the universal property of pushout it follows that $ev_0\circ\tilde{F}=F$.
=--



[[!redirects h-cofibration]]
[[!redirects h-cofibrations]]

