
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Topology
+--{: .hide}
[[!include topology - contents]]
=--
=--
=--

# Weakly Hausdorff spaces
* table of contents
{: toc}

## Definition

A [[topological space]] $X$ is **weakly Hausdorff** (or weak Hausdorff) if for any [[compact Hausdorff space]] $K$ and every [[continuous map]] $f\colon K\to X$, the [[image]] $f(K)$ is [[closed subspace|closed]]. Every weakly Hausdorff space is $T_1$ (that is every point is closed), and every [[Hausdorff space]] is weakly Hausdorff. For the most common purposes for which Hausdorff spaces are used, the assumption of being weakly Hausdorff suffices.  See also [[compactly generated space]].

We have given the definition for topological spaces, but it also makes sense as stated for [[locales]].  Where these overlap ([[sober spaces]] and [[topological locales]]), they agree given the [[ultrafilter theorem]] (which implies that all compact Hausdorff spaces/locales are sober/topological).

## Properties

### Weak Hausdorffification

(this is a [[left adjoint]] ...)


### Pushouts

Write CGWH for the category of [[compactly generated topological spaces|compactly generated]] weakly Hausdorff topological spaces, and $CGH$ for compactly generated [[Hausdorff topological spaces]]. Both are [[convenient categories of topological spaces]] that both admit a [[homotopy hypothesis]]-comparison to [[simplicial sets]], but CGWH has a key further property:

The construction of [[pushouts]] is better behaved in CGWH than in CGH. Specifically, CHWH is closed under pushouts, one leg of which is the inclusion of a closed subspace. CGH does not have such nice behavior, and pushouts like that are used all over _The Geometry of Iterated Loop Spaces_, specifically in the construction of a monad from an operad and in the use of geometric realizations of simplicial spaces.

([[Peter May]], [MO comment, April 2015](http://mathoverflow.net/a/204221/381))


## References

The category of [[compactly generated topological space|compactly generated]] weakly Hausdorff topological spaces was introduced in  

* {#McCord69} M. C. McCord,  (1969), _Classifying spaces and infinite symmetric products_, Transactions of the American Mathematical Society 146: 273–298, doi:10.2307/19951

as a more convenient setting than Steenrod's compactly generated Hausdorff spaces, given that the latter do not admit many colimits (for instance quotients).

* [MO discussion](http://mathoverflow.net/q/47702/381)

[[!redirects weak Hausdorff space]]
[[!redirects weak Hausdorff spaces]]
[[!redirects weakly Hausdorff space]]
[[!redirects weakly Hausdorff spaces]]

[[!redirects weakly Hausdorff topological spaces]]

[[!redirects weakly Hausdorff space]]
