


##Idea

A **double bicategory** is a structure similar to a [[double category]], but where composition of both vertical and horizontal arrows is only weakly associative and unital.  

To define this notion, we need to include extra shapes of 2-dimensional cells in addition to the squares that appear in a double category: we also need vertical and horizontal [[globe|globes]].  The reason is that if we have associators for horizontal morphisms given
by squares, it appears to be impossible to formulate the pentagon identity for these squares unless either 1) composition of vertical morphisms is strict, or 2) we introduce cells with new shapes.  In case 1) --- that is, if associativity and the unit laws hold strictly in one direction --- we have a 'pseudo double category', as studied by Grandis, Par&#233; and Fiore.  (See [[double category]] for more on this concept.)  In case 2) we have a double bicategory.

The concept and terminology here were introduced by Verity in this thesis ([Verity 1992](#Verity92)). The definition can also be found in ([Morton 2009](#Morton09)) (especially [Section 3: Double bicategories](http://arxiv.org/PS_cache/math/pdf/0611/0611930v3.pdf#page=9) (direct pdf link)) and ([Morton 2007](#Morton07)).



The term 'double bicategory' may be confusing, since while a double category is a category internal to $Cat$, a double bicategory is not the fully general sort of bicategory internal to $Bicat$.  This issue is addressed in Morton's work.

A double bicategory can also be regarded as a special sort of [[intercategory]].


## References

* {#Verity92} [[Dominic Verity]], _Enriched categories, internal categories and change of base_ Ph.D. thesis, Cambridge University (1992), reprinted as Reprints in Theory and Applications of Categories, No. 20 (2011) pp 1-266 ([TAC](http://www.tac.mta.ca/tac/reprints/articles/20/tr20abs.html))

* {#Morton09} [[Jeffrey C. Morton]], _Double bicategories and double cospans_ Journal of Homotopy and Related Structures, Vol. 4(2009), No. 1, pp. 389-428,
[journal abstract page](https://www.emis.de/journals/JHRS/volumes/2009/n1a19/abstract.htm), arXiv:[math/0611930](http://arxiv.org/abs/math/0611930), 

* {#Morton07} [[Jeffrey C. Morton]], _Extended TQFT's and Quantum Gravity_, PhD thesis University of California, Riverside (2007), arXiv:[0710.0032](http://arxiv.org/abs/0710.0032).

[[!redirects double bicategories]]
