
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context ###
#### Higher category theory
+-- {: .hide}
[[!include higher category theory - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Definition

A __$0$-category__ (or __$(0,0)$-category__) is, up to [[equivalence of categories|equivalence]], the same as a [[set]] (or [[class]]). 

+-- {: .num_remark} 
###### Remark 
Although this terminology may seem strange at first, it simply follows the logic of $n$-[[n-category|categories]] (and $(n,r)$-[[(n,r)-category|categories]]).  To understand these, it is very helpful to use [[negative thinking]] to see sets as the beginning of a sequence of concepts: sets, [[category|categories]], [[2-category|2-categories]], [[3-category|3-categories]], etc.  Doing so reveals patterns such as the [[periodic table]]; it also sheds light on the theory of [[homotopy groups]] and [[n-stuff]].

For example, there should be a $1$-category of $0$-categories; this is the [[Set|category of sets]]. Then a [[enriched category|category enriched]] over this is a $1$-category (more precisely, a [[locally small category]]). Furthermore, an enriched groupoid is a [[groupoid]] (or $1$-groupoid), so a $0$-category is the same as a [[0-groupoid]].

To some extent, one can continue to define a [[(−1)-category]] to be a [[truth value]] and a [[(−2)-category]] to be a triviality (that is, there is exactly one). These don\'t fit the pattern perfectly; but the concepts of [[(−1)-groupoid]] and [[(−2)-groupoid]] for them do work perfectly, as does the concept of [[0-poset]] for a truth value. 
=-- 

+-- {: .num_remark} 
###### Remark 
Interpreted literally, $0$-category or $(0, 0)$-category would be an $\infty$-category such that every $j$-cell for $j \gt 0$ is an equivalence, and any two such $j$-cells that are parallel are equivalent. The picture that apparently emerges from this description might suggest a set equipped with an [[equivalence relation]], or a what is sometimes called a [[setoid]], or something even more complicated than that. One *could* thus say that a $0$-category is a "setoid", when considered just up to [[isomorphism of categories|isomorphism]]. But it is more appropriate in higher category theory to consider these things up to equivalence rather than up to isomorphism; when we do this, a $0$-category is equivalent to a set again. 
=-- 


## Related concepts

* **0-category**, [[(0,1)-category]]

* [[category]]

* [[2-category]]

* [[3-category]]

* [[n-category]]

* [[(∞,0)-category]]

* [[(∞,1)-category]]

* [[(∞,2)-category]]

* [[(∞,n)-category]]

* [[(n,r)-category]]



[[!redirects (0,0)-category]]
[[!redirects 0-categories]]
[[!redirects (0,0)-categories]]