
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Topos Theory
+-- {: .hide}
[[!include topos theory - contents]]
=--
=--
=--

#Conntents#
* table of contents
{: toc}

## Idea

A **superextensive site** is a [[site]] whose covering families can be reduced to single covers combined with stable coproducts.  Many naturally occuring sites are superextensive.  The prefix 'super-' is opposite to 'sub-' as in '[[subset]]' and indicates that the [[Grothendieck topology]] of the site contains the [[extensive topology]]; compare [[subcanonical site]].

## Definition

Let $C$ be a finitely [[extensive category]].  A [[Grothendieck topology]] on $C$ is (finitely) **superextensive** if it includes the (finitely) extensive topology (generated by families of injections into finite coproducts) and every covering family is generated by a finite one.

Likewise, if $C$ is infinitary-extensive, a topology is infinitary-superextensive if it includes the infinitary-extensive topology (generated by families of injections into small coproducts) and every covering family is generated by a small one.  (Of course, the last condition is vacuous if $C$ is small.)

## Examples

* Well known examples of infinitary superextensive sites include [[Top]] and [[Diff]] with their usual topologies, generated by the open covers.
* The [[coherent topology]] on any (finitely or infinitary) extensive coherent category is (finitely or infinitary) superextensive.  In particular, this includes (in the infinitary case) the [[canonical topology]] on a [[Grothendieck topos]].

## Properties

### Relationship to singleton covers

If $f$ is a single morphism in $C$ that generates a covering family, we call it a **cover**.  The basic property of a superextensive site is that one can replace any (finite or small, as appropriate) covering family $(j_i: U_i \to B)_i$ with the single map $[j_i]_i: \coprod_i U_i \to B$.  This is a cover, since the original covering family factors through it, and the original covering family can be written as the composite of this cover and the family of coproduct injections $U_i \to \coprod_i U_i$.

Note that covers are stable under pullback, whenever such pullbacks exist.  Even without pullbacks, they always satisfy the condition that if $f\colon U\to B$ is a cover and $g\colon A\to B$ is any morphism, then there is a cover $\bar{f}\colon V\to A$ such that $g \bar{f}$ factors through $f$.  For by the pullback condition on a Grothendieck topology, there is a covering family $(\bar{f}_j\colon V_j\to A)$ such that each $g \bar{f}_j$ factors through $f$, but then $[\bar{f}_j]\colon \coprod_j V_j \to A$ is the required cover.  Covers are also easily seen to be stable under composition, and generate another Grothendieck topology (which is a "singleton pretopology").  If the original topology was denoted $T$, we denote the topology generated by single covers by $T_{cov}$.

The main conclusion is:

+--{: .num_theorem}
###### Theorem
A superextensive Grothendieck topology $T$ on an extensive category $C$ is generated by the union of $T_{cov}$ and the extensive topology $T_{ext}$.
=--
+--{: .proof}
###### Proof
By definition, $T_{cov}$ and $T_{ext}$ are sub-topologies of $T$, so it suffices to observe that any covering family $(j_i: U_i \to B)_i$ in $T$ is the composite of the family of coproduct injections $(j_i: U_i \to \coprod_j U_j)_i$ with the cover $[j_i]_i: \coprod_j U_j \to B$.
=--

Beware, however, of the following common misconception: $T$ is *not* identical with $T_{cov}$.  That is, although a superextensive topology is *determined by* its singleton covers, in the sense that it can be recovered uniquely by knowing only them, it is not *generated by* its singleton covers as a Grothendieck topology; we need to also include $T_{ext}$ in the generating covering families.

An easy way to see that $T$ and $T_{cov}$ must be different is to notice that $T_{cov}$, like any singleton pretopology, is a [[locally connected site]], so that all constant presheaves are sheaves for $T_{cov}$.  But since the initial object is covered by the empty family in $T_{ext}$, no nontrivial constant presheaf can be a sheaf for $T_{ext}$.


### Compatibility of sheafification

In general, it is not true, for two Grothendieck topologies $T_1$ and $T_2$ on the same category, that $T_2$-sheafification preserves $T_1$-sheaves (and hence takes them to $T_1\cup T_2$-sheaves).  For example, let $C$ be the [[walking arrow]] $0 \to 1$, let $T_1$ be generated by the nonidentity morphism (so that $T_1$-sheaves are those for which the image of $0\to 1$ is an isomorphism), and let $T_2$ be generated by the empty family covering $0$ (so that $T_2$-sheaves are those for which the image of $0$ is terminal).

However, if $T_1$ is the extensive topology and $T_2 = T_{cov}$ for some superextensive topology (which is then recovered as $T_1\cup T_2$), and coproducts preserve covers, then it is true.

+-- {: .num_theorem}
###### Theorem
Let $C$ be a finitary superextensive site, and suppose that finite coproducts of covers in $C$ are again covers.  If $X$ is a presheaf on $C$ which is a $T_{ext}$-sheaf, then the $T_{cov}$-sheafification of $X$ is also a $T_{ext}$-sheaf, and hence a $T$-sheaf.
=--
+-- {: .proof}
###### Proof
We show that if $X$ is a $T_{ext}$-sheaf, then so is $X^+$, where $(-)^+$ is the reflection into $T_{cov}$-separated presheaves.  Since $X^{++}$ is $T_{cov}$-sheafification, this will prove the theorem.

Since $T_{cov}$ is generated by single covers, for any $c\in C$ we have
$$X^+(c) = colim_{f\colon d \to c} gl(X,f)$$
where the colimit is over all covers with target $c$, and $gl(X,f)\subseteq X(d)$ consists of those $x\in X(d)$ such that $r^*(x) = s^*(x)$, where $(r,s)\colon d\times_c d \rightrightarrows d$ is the [[kernel pair]] of $f$.

The extensive topology is generated by the empty covering family of the initial object, and by the injections into binary coproducts.  First consider the initial object $0$.  $X$ being a sheaf for the empty family on $0$ means that $X(0)=1$ is [[terminal set|terminal]].  But since $C$ is extensive, its initial object is strict, so any morphism $f\colon d\to 0$ is an isomorphism.  Therefore, $X^+(0) = X(0) = 1$.

Now consider a binary coproduct $c = c_1 + c_2$.  $X$ being a sheaf for this means that $X(c) \to X(c_1)\times X(c_2)$ is an isomorphism (since coproducts are disjoint and $X(0)$ is terminal, there is no compatibility condition to worry about).  We want to show that $X^+(c) \to X^+(c_1)\times X^+(c_2)$ is also an isomorphism.

First suppose given $x,x'\in X^+(c)$.  Since covers are stable under pullback and composition, we can represent $x$ and $x'$ by some $\bar{x}, \bar{x'}\in X(d)$ for the same cover $f\colon d\to c$.  Now since $C$ is extensive and $c=c_1+c_2$, $f$ decomposes $d$ as $d = d_1+d_2$, and moreover $d_1$ and $d_2$ are the pullbacks of $f$ along the two inclusions $c_1 \to c \leftarrow c_2$.  Thus, since covers are stable under pullback, we have covers $f_1\colon d_1\to c_1$ and $f_2\colon d_2\to c_2$, and so the restrictions of $x$ and $x'$ to $c_1$ and $c_2$ can be represented by the restrictions of $\bar{x}$ and $\bar{x'}$ to $d_1$ and $d_2$ respectively.

Now if $x$ and $x'$ become equal in $X^+(c_1)$ and $X^+(c_2)$, there must be covers $g_i\colon b_i \to d_i$ for $i=1,2$ such that $g_i^*(\bar{x}) = g_i^*(\bar{x'})$ in $X(b_i)$ for $i=1$ and $2$.  Now since covers are stable under coproducts, the map $g_1+g_2\colon b_1+b_2 \to d_1+d_2 = d$ is a cover, and moreover $g_i^*(\bar{x})$ and $g_i^*(\bar{x'})$ can be obtained by first restricting to $b_1+b_2$ and then along the two coproduct injections.
$$\array{b_i & \overset{}{\to} & b_1+b_2\\
  ^{g_i}\downarrow && \downarrow^{g_1+g_2}\\
  d_i& \overset{}{\to} & d\\
  \downarrow && \downarrow\\
  c_i & \underset{}{\to} & c}$$
But since $X$ is a $T_{ext}$-sheaf and $g_i^*(\bar{x}) = g_i^*(\bar{x'})$ for $i=1,2$, we must have that $\bar{x}$ and $\bar{x'}$ become equal in $X(b_1+b_2)$.  Now since the composite $b_1+b_2 \to d \to c$ is a cover, it follows that $x$ and $x'$ are equal in $X^+(c)$.  Thus, $X^+(c) \to X^+(c_1)\times X^+(c_2)$ is injective, i.e. $X^+$ is $T_{ext}$-separated.

The case of surjectivity is easier.  Suppose given $x_i\in X^+(c_i)$, represented by $\bar{x_i}\in X(d_i)$ for some covers $f_i\colon d_i\to c_i$.  Then since covers are stable under coproduct, $f_1+f_2 \colon d_1+d_2 \to c_1+c_2 = c$ is a cover.  And since $X$ is a $T_{ext}$-sheaf, we have a $\bar{x}\in X(d)$ which restricts to $\bar{x_i}$ for $i=1,2$.  Hence $\bar{x}$ represents some $x\in X^+(c)$ which restricts to each $x_i$, as desired.  Thus, $X^+$ is a $T_{ext}$-sheaf.
=--

Of course, there is an analogous result for infinitary superextensive sites.  With a little more work we can also prove the same thing for [[stacks]] and stackification.

This result is especially interesting because sheaves and stacks for the extensive topology are easier to come by than those for some other topologies.  For instance, if $C$ is an extensive [[coherent category]], then any [[internal category]] in $C$ represents a functor $C^{op}\to Cat$ which is a stack for the extensive topology, but not usually for the [[coherent topology]].  However, the coherent topology is superextensive and its covers are precisely the regular epimorphisms, i.e. $T_{cov}$ is the [[regular coverage|regular topology]].  Thus, the stackification of an internal category in $C$ relative to the regular topology is still a stack for the extensive topology, and hence also for the coherent topology.

## References

* Chapter 1 of [[David Roberts]]' thesis uses superextensive sites in the study of [[anafunctors]]. The material is covered and updated in the paper _Internal categories, anafunctors and localisations_.

Some discussion about terminology in this entry is on the nForum [here](http://nforum.mathforge.org/discussion/486/superextensive-site/?Focus=47656#Comment_47656).
