
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
#### Homotopy theory
+--{: .hide}
[[!include homotopy - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Definition

An **$A_\infty$-space** is a [[homotopy type]] $X$ that is equipped with the structure of a [[monoid]] up to [[coherence|coherent]] higher [[homotopy]]:

that means it is equipped with 

1. a binary product operation $\cdot \colon X \times X \to X$

1. a choice of [[associativity]] [[homotopy]]; $\eta_{x,y,z} :  (x\cdot y) \cdot z \to x \cdot (y \cdot z)$;

1. a choice of [[pentagon law]] homotopy between five such $\eta$s;

1. and so ever on, as controlled by the [[associahedron|associahedra]].

In short one may say: an **$A_\infty$-space** is an [[A-∞ algebra]]/[[monoid in an (∞,1)-category]] in the [[(∞,1)-category]] [[∞Grpd]]/[[Top]]. See there for more details.

## Properties

### Relation to H-monoids

If in the definition of an $A_\infty$-space one discards all the higher homotopies and retains only the _existence_ of an [[associativity]]-[[homotopy]], then one has the notion of _[[H-monoid]]_. Put another way, An $A_\infty$-space in the [[(∞,1)-category]] [[∞Grpd]]/[[Top]] becomes an [[H-monoid]] in the [[homotopy category of an (∞,1)-category|homotopy]] [[Ho(Top)]]. And lifting an [[H-monoid]] structure to an $A_\infty$-space structure means lifting a monoid structure through the projection from the [[(∞,1)-category]] [[∞Grpd]]/[[Top]] to [[Ho(Top)]].

### Relation to $A_\infty$-categories

The [[delooping]] of an $A_\infty$-space is an [[A-∞ category]]/[[(∞,1)-category]] with a single object. (Beware that in standard literature "$A_\infty$-category" is often, but not necessarily, reserved for a _[[stable (∞,1)-category]]_).

There is an [[equivalence of (∞,1)-categories]] between pointed connected [[A-∞ categories]]/[[(∞,1)-categories]] and $A_\infty$-spaces.

## Related concepts

[[!include k-monoidal table]]

* [[model structure for dendroidal left fibrations]]

* [[H-space]], [[A-n space]]

* [[A-infinity category]]


## References

$A_\infty$-spaces were introduced by [[Jim Stasheff]] as a refinement of an [[H-group]] taking into account higher [[coherence|coherences]].

* [[Jim Stasheff]], _Homotopy associative H-spaces I_, _II_, Trans. Amer. Math. Soc. __108__ (1963), 275--312 [MR158400](http://www.ams.org/mathscinet-getitem?mr=158400)



[[!redirects A-∞-space]]
[[!redirects A∞-space]]
[[!redirects A-infinity-spaces]]
[[!redirects A-∞-spaces]]
[[!redirects A∞-spaces]]
[[!redirects A-infinity space]]
[[!redirects A-∞ space]]
[[!redirects A∞ space]]
[[!redirects A-infinity spaces]]
[[!redirects A-∞ spaces]]
[[!redirects A∞ spaces]]