##Idea##
A **pseudomonoid** in a [[monoidal 2-category]] is a [[categorification]] of the notion of a [[monoid object]] in a [[monoidal category]].

##Definition## 
A pseudomonoid in the [[cartesian monoidal category|cartesian]] monoidal 2-category [[Cat]] is precisely a [[monoidal category]].  The general definition can be extracted from this special case in a straightforward way. The precise definition can be found in Section 3 of the paper of Day and Street referenced below. 

Just as a monoid in a monoidal category $C$ can be equivalently defined as a [[monad]] in the corresponding one-object [[2-category]] $\mathbf{B}C$ (the [[delooping]] of $C$), so a pseudomonoid in a monoidal 2-category $C$ can equivalently be defined as a [[pseudomonad]] in the corresponding one-object [[3-category]] $\mathbf{B}C$.

# Variations

* A **map pseudomonoid** is a pseudomonoid whose multiplication and unit are [[bicategory of maps|maps]], i.e. [[left adjoints]].  This is a more appropriate notion for monoidal bicategories whose morphisms are [[profunctors]], since maps therein can be identified (modulo [[Cauchy completion]]) with [[functors]].

Other more special kinds of pseudomonoid are generalizations of special kinds of monoidal categories, including:

* braided pseudomonoids
* symmetric pseudomonoids
* balanced pseudomonoids
* closed pseudomonoids
* $\ast$-autonomous, a.k.a. [[Frobenius pseudomonoids]]
* compact closed (or autonomous) pseudomonoids

Eventually these should probably have their own pages.

##References##

*Ross Street and Brian Day, [Monoidal Bicategories and Hopf Algebroids](http://www.sciencedirect.com/science/article/pii/S0001870897916492). 

[[!redirects pseudomonoid]]
[[!redirects pseudomonoids]]
[[!redirects pseudomonoid object]]
[[!redirects pseudomonoid objects]]
[[!redirects monoidale]]
[[!redirects monoidales]]
[[!redirects map pseudomonoid]]
[[!redirects map pseudomonoids]]

[[!redirects braided pseudomonoid]]
[[!redirects braided pseudomonoids]]
[[!redirects symmetric pseudomonoid]]
[[!redirects symmetric pseudomonoids]]
[[!redirects balanced pseudomonoid]]
[[!redirects balanced pseudomonoids]]
[[!redirects closed pseudomonoid]]
[[!redirects closed pseudomonoids]]
[[!redirects autonomous pseudomonoid]]
[[!redirects autonomous pseudomonoids]]
[[!redirects compact closed pseudomonoid]]
[[!redirects compact closed pseudomonoids]]
