
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Higher category theory
+-- {: .hide}
[[!include higher category theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A _cellular set_ is a [[presheaf]] on the [[Theta-category]] (also called the _cell category_ or _(Joyal's) disk category_), analogous to how a [[simplicial set]] is a presheaf on the [[simplex category]].

Cellular sets provide one approach to [[higher category theory|higher categories]] and abstract study of [[homotopy n-type|homotopy type]]s, for example in Joyal's approach to higher [[quasi-category|quasicategories]], which are a variety of [[(∞,n)-category|(∞,n)-categories]] (for $n=1$). 

One detailed development of a model of [[(∞,n)-category|(∞,n)-categories]] in terms of presheaves on disk categories is the notion of [[Theta space]].

## Properties

### Segal condition

A cellular set that satisfies the cellular [[Segal condition]] is an [[omega-category]].

### Model category strucuture

There is a [[model category]] structure on presheaves on $\Theta_n$ which models [[(∞,n)-categories]]. See at _[[model structure on cellular sets]]_ and at _[[n-quasicategory]]_.

## Related concepts

* [[simplicial set]], [[globular set]], [[cubical set]], [[dendroidal set]]

* [[globular operad]], [[omega-category]]

## References

* [[Andre Joyal]], _Disks, duality and $\theta$-categories_ , preprint (1997).

* [[Mihaly Makkai]], Marek Zawadowski, Duality for simple $\omega$-categories and disks, Theory and Applications of Categories, Vol. 8, 2001, No. 7, pp 114-243, [link](http://www.tac.mta.ca/tac/volumes/8/n7/8-07abs.html)

* [[Clemens Berger]], _Structures cellulaires en théorie d'homotopie_, habilitation thesis, <a href="http://math.unice.fr/%7Ecberger/habil.pdf"> pdf </a>

* [[Clemens Berger]], Opérades cellulaires et espaces de lacets itérés, Ann. Inst. Fourier 46 (1996), 1125-1157.  MR 98c:55011, [pdf](http://math.unice.fr/~cberger/opercell.pdf)

* [[Clemens Berger]], _Cellular structures for $E_n$-operads_, talk at Workshop on Operads, Bielefeld (1999), [pdf](http://math.unice.fr/~cberger/cell.pdf)

* [[Clemens Berger]], _A cellular nerve for higher categories_, Adv. Math. 169 (2002), 118-175, [pdf](http://math.unice.fr/~cberger/nerve.pdf).

A sketch of some of related combinatorics "on open boxes and prisms" is in one of the chapters in Joyal's Barcelona [course](http://www.crm.cat/HigherCategories/hc2.pdf).


[[!redirects cellular sets]]
[[!redirects cellular object]]
[[!redirects cellular objects]]
