
# Linguistics
* table of contents
{: toc}

## Idea

**Linguistics** is the (scientific) study of natural human language. See a reasonably good page at [Wikipedia](http://en.wikipedia.org/wiki/Linguistics). 


## Formal Linguistics

Linguists may deploy formal methods to understand grammatical strings of words, and to allow compositional theories of meaning based on the meanings of the subparts of sentences. 

* [[Montague grammar]]
* [[dependent type theoretic methods in natural language semantics]]
* [[categorial grammar]]
* [[context free grammar]]
* [[monad (in linguistics)]]

## Related Concepts

* [[syntax]], [[semantics]], [[semantics of a programming language]]
* [[lambda calculus]], [[type theory]]
* [[context-free grammar]]
* [[monad (in computer science)]]
* [[continuation-passing style]]
* [[linear logic]], [[modal logic]]
* [[mathematical linguistics]]

## Literature

* diverse materials and corpora can be found at extensive web site
[The Linguist List](http://www.linguistlist.org)
* Wikipedia [linguistics](http://en.wikipedia.org/wiki/Linguistics), [philology](https://en.wikipedia.org/wiki/Philology), [phonetics](https://en.wikipedia.org/wiki/Phonetics), [morphology (linguistics)](https://en.wikipedia.org/wiki/Morphology_%28linguistics%29), [syntax](https://en.wikipedia.org/wiki/Syntax), [semantics](https://en.wikipedia.org/wiki/Semantics), [pragmatics](http://en.wikipedia.org/wiki/Pragmatics), [semiotics](https://en.wikipedia.org/wiki/Semiotics), [linguistic typology](https://en.wikipedia.org/wiki/Linguistic_typology), [historical linguistics](https://en.wikipedia.org/wiki/Historical_linguistics), [comparative linguistics](https://en.wikipedia.org/wiki/Comparative_linguistics)
* [LaTeX for linguists](http://www.essex.ac.uk/linguistics/external/clmt/latex4ling)
* F. de Saussure, _Cours de linguistique générale_
* André Martinet, _Éléments de linguistique générale_, (Engl. transl.: Elements of General Linguistics)
* Adrian Akmajian, Richard A. Demers, Ann K. Farmer, Robert M. Harnish, _Linguistics, an introduction to language and communication_
* John Lyons, _Semantics_; _Linguistics semantics_
* Bernard Comrie, Language universals and linguistic typology, syntax and morphology, 1981, 1989
* Peter Ladefoged, Keith Johnson, A course in phonetics
* Steven Pinker,  _The language instinct_, 1994
* Winfred P. Lehmann, _Historical linguistics: an introduction_
* George Lakoff, _Women, fire and dangerous things_, 1987
* Ronald Langacker, _Foundations of cognitive grammar_, vol. 1, 1987, vol. 2, 1991
* Pieter A. M. Seuren, The logic of language, vol. II of Language from within; (vol. I: Language in cognition) Oxford University Press 2010

category: foundations, philosophy
[[!redirects formal linguistics]]