+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Category theory
+--{: .hide}
[[!include category theory - contents]]
=--
=--
=--



# Subobjects
* table of contents
{: toc}


## Definition

### As classes of monomorphisms

A **subobject** of an [[object]] $c$ in a [[category]] $C$ is an [[isomorphism]] class of [[monomorphisms]] 

$$
  i: a \hookrightarrow c

$$ 

into $c$. (Two morphisms $i: a \to c$, $j: b \to c$ are _isomorphic_ if there exists an isomorphism $k: a \to b$ such that $i = j k$.)

Monos into an object $c$ are [[preorder|preordered]] by a relation

$$
  (i: a \to c) \leq (j: b \to c)
$$

defined by the condition that there exists $k: a \to b$ such that $i = j k$. (There is at most one such $k$ since $j$ is monic, and such $k$ is monic since $i$ is monic.) 

A subobject of $c$ may equivalently be defined as an element of the [[poset]]al reflection $Sub(c)$ of this preorder.  


### In terms of over categories

Let $C_c$ be the [[full subcategory]] of the [[over category]] $C/c$ on [[monomorphism]]s. Then $C_c$ is the [[poset]] of subobjects of $c$ and the set of isomorphism classes of $C_c$ is the set of subobjects of $c$. However this "set" can be in fact a proper class in general, see [[well-powered category]].


### Generalizations

* More generally, in some contexts we may take "subobject" to mean an isomorphism class of morphisms $i: a\to c$ satisfying some suitable condition other than being a monomorphism (usually a stronger one).  Common choices are [[strong monomorphisms]], [[regular monomorphisms]], or the right class of some [[orthogonal factorization system]].  (The latter choice has the advantage that then [[images]] will automatically exist.)

  * For example, in [[Top]] a monomorphism is just a continuous injective function, whereas the strong and regular monomorphisms coincide and are the subspace embeddings.  In some contexts at least, one can argue that subspace embeddings are a more appropriate notion of "subobject" in $Top$ (for example, if one wants to exhibit it as a [[locally bounded category]]).  A similar thing happens in a [[quasitopos]].

* The [[partial order]] on the collection of subobjects internalizes into contexts more general than [[Set]]. For instance in every [[topos]] the [[subobject classifier]] $\Omega$ has the structure of an internal poset (see there).




## Properties

### The poset of subobjects.

* For $C$ an [[accessible category]], $c \in C$ any object, the poset $Sub(c)$ of subobjects of $c$ is a [[small category]].

* Suppose $E$ is a [[well-powered category]]. Denote by $Sub(X)$ the poset of subobjects of object $X$ in $E$. The correspondence $Sub:X\mapsto Sub(X)$ may be extended to a [[contravariant functor]] $E \to Pos$ (that is a functor $E^op \to Pos$), namely if $f: X\to Y$ is arbitrary and $m:S\hookrightarrow Y$ is an element of $Sub(Y)$, i.e. monic, then the pullback $f^*(m):f^*(S)\to X$ of $m$ along $f$ is automatically a monic; the correspondence $m\mapsto f^*(m)$ describes $Sub(f)$ at the level of representatives of subobjects.  


### Limits and colimits of subobjects
 {#LimitsAndColimits}

Assume that the ambient category has all [[limit]]s and [[colimit]]s considered in the following.

+-- {: .num_defn}
###### Definition

For $X \in C$ an [[object]], $Sub(X)$ the [[poset]] of subobjects and  
$U_1, U_2 \hookrightarrow X$ two [[subobject]]s, 

*  their [[product]] in $Sub(X)$ is denoted $U_1 \cap U_2$ or $U_1 \wedge U_2$ and called the **[[intersection]]** or **[[meet]]** of the two subobjects;

* their [[coproduct]] in $Sub(X)$ is denoted $U_1 \cup U_2$ or $U_1 \vee U_2$ and called the **[[union]]** or **[[join]]** of the two subobjects.

Two subobjects $U_1, U_2 \in Sub_C(X)$ are called **disjoint** if $U_1 \cap U_2 = \emptyset$ is the [[initial object]].
 
=--


+-- {: .num_prop #IntersectionAndUnionAsFiberProductAndCoimage}
###### Proposition

Let $C$ be a [[topos]].

1. The intersection of two subobjects in $Sub_C(X)$ is their [[fiber product]] in $C$: the [[diagram]]

   $$
     \array{
       U_1 \cap U_2 &\to& U_2
       \\
       \downarrow && \downarrow
       \\
       U_1 &\to& X
     }
   $$

   is a [[pullback]] diagram.

1. The union of two subobjects $U_1, U_2 \in Sub_C(X)$ is the [[pushout]]  $U_1 \coprod_{U_1 \cap U_2} U_2$ in $C$: the [[diagram]]

   $$
     \array{
       U_1 \cap U_2 &\to& U_2
       \\
       \downarrow && \downarrow
       \\
       U_1 &\to& U_1 \cup U_2
     }
   $$
  
   is a [[pushout]] diagram.

1. This last pushout diagram is also a [[pullback]] diagram.

=--

+-- {: .proof}
###### Proof

For the first point: Since [[monomorphism]] are (as discussed there) stable under [[pullback]] and composition, the fiber product is a subobject. Its [[universal property]] as a [[limit]] in $C$ then implies its universal property as a [[product]] in $Sub_C(X)$.

For the second point: by the same kind of argument, it is sufficient to show that the canonical morphism $U_1 \coprod_{U_1 \cap U_2} U_2 \to X$ exhibits the coproduct as a subobject. 

Since [[monomorphism]]s (as discussed there) are characterized by the fact that the [[pullback]] along themselves is their domain, it is sufficient to show that 

$$
  \array{
     U_1 \coprod_{U_1 \cap U_2} U_2 &\stackrel{Id}{\to}&  U_1 \coprod_{U_1 \cap U_2} U_2
     \\
     {}^{\mathllap{id}}\downarrow && \downarrow
     \\  
     U_1 \coprod_{U_1 \cap U_2} U_2 &\stackrel{i}{\to}& X
  }
$$

is a [[pullback]] diagram. For showing this we use that in a [[topos]] we have [[universal colimits]], so that equivalently it is sufficient to show that

$$
  U_1 \coprod_{U_1 \cap U_2} U_2
  \simeq
  (i^* U_1) \coprod_{i^* (U_1 \cap U_2)} (i^* U_2)
  \,.
$$

To see this, again use [[universal colimits]] to get

$$
  \begin{aligned}
    i^* U_1 & \simeq U_1 \times_X (U_1 \coprod_{U_1 \cap U_2} U_2)
    \\
     & \simeq (U_1 \times_X U_1) \coprod_{U_1 \times_X (U_1 \cap U_2)} (U_1 \times_X U_2)
    \\
    & \simeq U_1 \coprod_{U_1 \cap U_2} (U_1 \times_X U_2)
    \\
    & \simeq U_1 \coprod_{U_1 \cap U_2} (U_1 \cap U_2)
    \\ 
    & \simeq U_1
  \end{aligned}
$$

and similarly

$$
  i^* U_2 \simeq U_2
$$

and

$$
  i^* (U_1 \cap U_2) \simeq (U_1 \cap U_2)
  \,.
$$

This proves the second point.

The third point is directly verified by checking the universal property.

=--


### Comparison with the notion of "subset"

The notion of subobject figures prominently in [[topos theory]] and in other approaches to [[set theory]] based on categories. It is not an exact translation of the usual notion of "subset" in traditional set theory; in ordinary set theory, the notion of subset is defined in terms of a global elementhood relation between sets, which one doesn't have in categorical set theory (and which one wouldn't necessarily want: it's "[[evil|evil]]" in the sense of not being invariant with respect to isomorphism).

Category-theoretically, the traditional notion of subset gives a way of picking out a canonical representative or "normal form" among all the monos in an isomorphism class. As we intimated, there is no intrinsic way of defining such representatives in the theory of toposes: such would have to be considered an extra structure on a topos. Mathematically, there is no particular gain in having such structure around; at best it enables a traditional mode of discourse in which subsets are concrete maps, and to this end it can function as a linguistic or psychological convenience.

On the other hand, there is no particular harm either in having such structure around, as long as one remembers that it is not an isomorphism invariant.  People will instinctively turn to canonical representatives whenever they can -- think of what we would tell a student who asks for help understanding how to multiply elements in $\mathbb{Z}_13$ -- and even category theorists do so when they are available.

## Examples
 {#Examples}

* A subobject in [[Set]] is a [[subset]].

* A subobject in [[Grp]] is a [[subgroup]].

* A subobject in $R$[[Mod]] is a [[submodule]]. 

* A subobject of a [[representation]] is a [[subrepresentation]].

* A subobject (a [[subfunctor]]) of a [[representable functor]]  is a [[sieve]].

* A subobject of a [[bundle]] (hence in a [[slice category]]) is a [[sub-bundle]].




## Related concepts

* **subobject**

* [[pure subobject]]

* [[subobject in an (∞,1)-category]]

* [[property sup]]

## References

Standard textbook references include section I.3 of 

* [[Saunders MacLane]], [[Ieke Moerdijk]], _[[Sheaves in Geometry and Logic]]_
 {#MacLaneMoerdijk}

and 

* [[Peter Johnstone]], _[[Sketches of an Elephant]]_
 {#Johnstone}

[[!redirects subobject]]
[[!redirects subobjects]]
[[!redirects subalgebra]]
[[!redirects subalgebras]]

[[!redirects sub-object]]
[[!redirects sub-objects]]

[[!redirects subtype]]
[[!redirects subtypes]]

[[!redirects sub-type]]
[[!redirects sub-types]]
