
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--




#Contents#
* table of contents
{:toc}

## Idea

The notion of $(\infty,1)$-monad is the [[vertical categorification]] of that of [[monad]] from the context of [[category|categories]] to that of [[(∞,1)-category|(∞,1)-categories]]. 

They relate to [[(∞,1)-adjunctions]] as [[monads]] relate to [[adjunctions]].

## Properties



### Barr-Beck monadicity theorem
 {#MonadicityTheorem}

+-- {: .num_prop #CanonicalMonadicAdjunction}
###### Proposition

Given an [[(∞,1)-monad]] $T$ on an [[(∞,1)-category]]
$\mathcal{C}$, there is an [[(∞,1)-adjunction]]

$$
  (F \dashv U)
  \;\colon\;
  Alg_{\mathcal{C}}(T)
  \stackrel{\overset{F}{\leftrightarrow}}{\underset{U}{\longrightarrow}}
  \mathcal{C}
  \,,
$$

where $Alg_{\mathcal{C}}(T)$ is the (Eilenberg-Moore) [[(∞,1)-category of algebras over an (∞,1)-monad|(∞,1)-category of algebras over the (∞,1)-monad]] and where $U$ is the [[forgetful functor]] that remembers the underlying [[object]] of $\mathcal{C}$.

=--

This appears in ([Riehl-Verity 13, def. 6.1.15](#RiehlVerity13)).

The following is the refinement to [[(∞,1)-category theory]] of the classical [[Barr-Beck monadicity theorem]] which states sufficient conditions for recognizing an [[(∞,1)-adjunction]] as being canonically [[equivalence|equivalent]] to the one in prop. \ref{CanonicalMonadicAdjunction}, hence to be a _[[monadic adjunction]]_.

+-- {: .num_theorem #InfinityBarrBeckTheorem}
###### Theorem

Let $(L \dashv R)$ a pair of [[adjoint (∞,1)-functors]] such that

1. $R$ is a [[conservative (∞,1)-functor]];

1. the [[domain]] [[(∞,1)-category]] of $R$ admits [[geometric realization]] ([[(∞,1)-colimit]]) of [[simplicial objects in an (∞,1)-category|simplicial objects]];

1. and $R$ preserves these

then for $T \coloneqq R \circ L$ the essentially unique $(\infty,1)$-endomorphism monad structure on the composite endofunctor, there is an [[equivalence of (∞,1)-categories]] identifying the [[domain]] of $R$ with the [[(∞,1)-category of algebras over an (∞,1)-monad]] $Alg_{\mathcal{C}}(T)$ over $T$ and $R$ itself as the canonical [[forgetful functor]] $U$ from prop. \ref{CanonicalMonadicAdjunction}.

=--

This appears as ([[Higher Algebra|Higher Algebra, theorem 6.2.0.6, theorem 6.2.2.5]], [Riehl-Verity 13, section 7](#RiehlVerity13))

### Homotopy coherence
 {#HomotopyCoherence}

+-- {: .num_remark}
###### Remark

An [[(∞,1)-adjunction]] $(L \dashv R) \colon \mathcal{C} \leftrightarrow \mathcal{D}$ is uniquely determined already by its image in the [[homotopy 2-category]] ([Riehl-Verity 13, theorem 5.4.14](#RiehlVerity13)). This is not in general true for $(\infty,1)$-monads $T \colon \mathcal{C} \to \mathcal{C}$. As these are [[monoids in an (∞,1)-category]] of [[endomorphisms]], they in general have relevant [[coherence]] data all the way up in degree. However, by the previous statement and the monadicity theorem \ref{InfinityBarrBeckTheorem}, for $(\infty,1)$-monads given via specified [[(∞,1)-adjunctions]] as $T \simeq R \circ L$ are determined by less (further) coherence data ([[Higher Algebra|Higher Algebra, remark 6.2.0.7, prop. 6.2.2.3]], [Riehl-Verity 13, page 6](#RiehlVerity13)). (Of course there is, instead, extra data/information carried by the choice of $\mathcal{D}$.) This should justify the [[simplicial model category]]-theoretic discussion in ([Hess 10](#Hess10)) in [[(∞,1)-category theory]].

=--

## Related concepts

* [[higher monadic descent]]

* [[algebraic theory]] / [[Lawvere theory]] /  [[(∞,1)-algebraic theory]]

* [[monad]] / [[2-monad]]/ [[doctrine]] / **$(\infty,1)$-monad**

  * [[idempotent (∞,1)-monad]]

  * [[modal type theory]]

* [[operad]] / [[(∞,1)-operad]]



## References

A general treatment of $(\infty,1)$-monads in [[(∞,1)-category theory]] is in 

* [[Jacob Lurie]], section 3 of _Noncommutative algebra_ ([math.CT/0702299](http://arxiv.org/abs/math/0702299))

later absorbed as

* [[Jacob Lurie]], section 6.2 of _[[Higher Algebra]]_

More explict discussion in terms of [[quasi-categories]] and [[simplicial sets]] is in 

* [[Emily Riehl]], [[Dominic Verity]], _Homotopy coherent adjunctions and the formal theory of monads_ ([arXiv:1310.8279](http://arxiv.org/abs/1310.8279))
 {#RiehlVerity13}

Some homotopy theory of ([[enriched functor|enriched]]) monads on ([[simplicial model category|simplicial]]) [[model categories]] is discussed (with an eye towards [[higher monadic descent]]) in 

* [[Kathryn Hess]], _A general framework for homotopic descent and codescent_, [arXiv/1001.1556](http://arxiv.org/abs/1001.1556)
 {#Hess10}



[[!redirects (∞,1)-monad]]

[[!redirects (infinity,1)-monads]]
[[!redirects (∞,1)-monads]]

[[!redirects (∞,1)-comonad]]
[[!redirects (∞,1)-comonads]]

[[!redirects (infinity,1)-comonad]]
[[!redirects (infinity,1)-comonads]]