+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
#### Differential cohomology
+--{: .hide}
[[!include differential cohomology - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

Traditionally, in the strict sense of the term, the _Chern character_ is a [[universal characteristic class]] of [[vector bundles]] or equivalently of their [[topological K-theory]] classes, which is a [[rational number|rational]] combination of all [[Chern classes]].

This is a special case of the following more general construction ([[Quadratic Functions in Geometry, Topology,and M-Theory|Hopkins-Singer 02, section 4.8]]):

for $E$ a [[spectrum]] [[Brown representability theorem|representing]] a [[generalized (Eilenberg-Steenrod) cohomology theory]] there is a canonical [[localization of spectra|localization]] map

$$
  ch_E \;\colon\; E \longrightarrow E \wedge H\mathbb{R}
$$

to the [[smash product]] with the [[Eilenberg-MacLane spectrum]] over the [[real numbers]]. This represents the $E$-Chern character (see also [Bunke-Gepner 13, around def. 2.1](#BunkeGepner13)).

In the case that $E = $ [[KU]] this reproduces the traditional Chern character. (In which case this is a map from a [[complex oriented cohomology theory]] of [[chromatic level]] 1 to chromatic level 0. More generally one can also consider [[higher chromatic Chern characters]] that take values not in [[ordinary cohomology]] but in some cohomology theory of higher [[chromatic level]]. See at _[[higher chromatic Chern character]]_ for more on this.)

The Chern character $ch_E$ may be used to define [[differential cohomology]] refinements $\hat E$ of the [[cohomology theory]] $E$ by choosing a [[differential form]]-model for $E \wedge H\mathbb{R}$ ([Hopkins-Singer 02](#HopkinsSinger02), see also at _[[differential function complex]]_). In that case $ch_E$ is the real cohomology class associated to a _chern character differential form_ $CH_E$ via the [[de Rham theorem]]. Here $CH_E$ has the interpretation of being the [[curvature forms]] of the [[differential cohomology]] [[cocycles]] thought of as [[connection on a principal ∞-bundle|∞-connections]].

This may be turned around ([Bunke-Nikolaus-Völkl 13, prop. .3.5](#BunkeNikolausVoelkl13)): given any refinement $\hat E$ of $E$ in a [[tangent cohesive (∞,1)-topos]] $T \mathbf{H}$, then it is induced from homotopy pullback of its [de Rham coefficients](cohesive+%28infinity%2C1%29-topos+--+structures#deRhamCohomology) along a Chern character map 

$$
  ch_E = \Pi \theta_{\hat E} \;\colon\; E \simeq \Pi(\hat E) \longrightarrow \Pi \flat_{dR} \hat E
  \,,
$$

where $\Pi$ is the [[shape modality]] and $\theta_E$ the [[Maurer-Cartan form]] of $E$. This reproduces the above definition for ordinary differential form models, see at _[differential cohomology diagram -- Hopkins-Singer coefficients](#differential+cohomology+diagram#HopkinsSingerCoefficients)_. 

But more generally, given for instance a [[K(n)-local spectrum|K(n)-localization]] $E \longrightarrow L_{K(n)} E$ then any choice of [[cohesion|cohesive]] refinement of $L_{K(n)} E$ (i.e. lift through the [[unit of a monad|unit]] of the [[shape modality]] $\Pi$) which is in the kernel of $\flat$ yields a generalized differential cohomology theory $\hat E$ whose intrinsic Chern-character $\Pi \theta_{\hat E}$ is the $K(n)$-localization. See at _[differential cohomology diagram -- Chern character and differential fracture](differential+cohomology+diagram#ChernCharacterAndFractureSquares)_.

In words this is summarized succintly as: _The Chern character is the [[shape modality|shape]] of the [[Maurer-Cartan form]]._

In the context of [[algebraic K-theory]] Chern characters appear at _[[Beilinson regulators]]_.
There are analogues in algebraic geometry (e.g. a Chern character between [[Chow groups]] and [[algebraic K-theory]]) and in [[noncommutative geometry]] (Chern-Connes character) where the role of usual cohomology is taken by some variant of cyclic cohomology.  

## Examples

### For vector bundles and topological K-theory 
 {#KTheory}

The classical theory of the Chern character applies to the [[spectrum]] of complex [[K-theory]], $E = KU$. In this case, the Chern character is made up from Chern classes: each characteristic class is by Chern-Weil theory in  the image of a certain element in the Weil algebra via taking the class of evaluation at the [[curvature]] operator for some choice of a connection. Consider the symmetric functions in $n$ variables $t_1,\ldots, t_n$ and let the Chern classes of a complex vector bundle $\xi$ (representing a complex K-theory class) be $c_1,\ldots, c_n$. Define the formal power series 

$$
\phi = \phi^n(t_1,\ldots, t_n) = e^{t_1}+\ldots+e^{t_n}= \sum_{k=0}^\infty \frac{1}{k!} (t_1^k+\ldots+t_n^k)
$$

Then $ch(\chi) = \phi(c_1,\ldots,c_n)$. 

Let us describe this a bit differently. The cocycle $H^0(X,KU)$ may be represented by a complex [[vector bundle]], and the image of this cocycle under the Chern-character is the class in even-graded real cohomology that is represented (under the [[deRham theorem]] isomorphism of deRham cohomology with real cohomology) by the even graded closed [[differential form]]


$$
 ch(\nabla) := \sum_{j \in \mathbb{N}}
   k_j
   tr( F_\nabla \wedge \cdots \wedge F_\nabla)
  \;\;
  \in \Omega^{2 \bullet}(X)
  \,,
$$

where

* $\nabla$ is any chosen [[connection on a bundle|connection]] on the vector bundle;

* $F = F_\nabla \in \Omega^2(X,End(V))$ is the [[curvature]] of this connection;

* $k_j \in \mathbb{R}$ are normalization constants, $k_j = \frac{1}{j!} \left( \frac{1}{2\pi i}\right)^j$;

* the trace of the wedge products produces the [[curvature characteristic form]]s.

The Chern character applied to the [[Whitney sum]] of two vector bundles is a sum of the Chern characters for the two: $ch(\xi\oplus \eta) = ch(\chi)+ch(\eta)$ and it is multiplicative under the tensor product of vector bundles: $ch(\xi\otimes\eta)=ch(\chi)ch(\eta)$. Therefore we get a ring homomorphism. 


### For spectra and generalized cohomology theories

Let $E$ be a [[spectrum]] The [[isomorphism]]

$$
  H(-,E)\otimes \mathbb{R}
  \;\;
  \stackrel{\simeq}{\to}
  \;\;
  H(-,(\pi_* E)\otimes \mathbb{R})
$$

that defines the Chern-character map is induced by a canonical cocycle on the [[spectrum]] $E$ that is called the **fundamental cocycle**.

This is described for instance in section [4.8, page 47](http://arxiv.org/PS_cache/math/pdf/0211/0211216v2.pdf#page=47) of Hopkins-Singer [[Quadratic Functions in Geometry, Topology,and M-Theory]].

### For cohesive stable homotopy types

More generally, for $\hat E$ a [[stable homotopy type]] in a [[cohesive (∞,1)-topos]], then the underlying bare homotopy type is $E \coloneqq \Pi(\hat E)$ and the corresponding Chern character is

$$
  ch \coloneqq \Pi \theta_{\hat E} \;\colon\; E \simeq \Pi(\hat E) \longrightarrow \Pi \flat_{dR} \hat E
  \,.
$$

For more on this see at _[[differential cohomology diagram]]_.

### In terms of cyclic homology

Generalizing in another direction, generalized Chern characters are given by passage to [[derived loop spaces]] and their [[cyclic homology]] or, more generally,  [[topological cyclic homology]] ([Toen-Vezzosi 08](#ToenVezzosi08), [Hoyois-Scherotzke-Sibillia 15](#HoyoisScherotzkeSibillia15)).

## Properties

### Push-forward and Grothendieck-Riemann-Roch theorem

The behaviour of the Chern-character under [[fiber integration in generalized cohomology]] along [[proper maps]] is described by the [[Grothendieck-Riemann-Roch theorem]].

## Related concepts

* [[odd Chern character]]

* for [[algebraic K-theory]]:

  * [[cyclotomic trace]]

  * [[regulator]], [[Beilinson regulator]]

* [[Grothendieck-Riemann-Roch theorem]]

* [[higher chromatic Chern character]]

  * [[elliptic Chern character]]

  * [[Morava E-theoretic Chern character]]

* [[transchromatic character]]

* [[group character]]



## References

The universal Chern character for [[generalized (Eilenberg-Steenrod) cohomology theory]] is discussed in section [4.8, page 47](http://arxiv.org/PS_cache/math/pdf/0211/0211216v2.pdf#page=47) of

* {#HopkinsSinger02} [[Mike Hopkins]], [[Isadore Singer]], _[[Quadratic Functions in Geometry, Topology,and M-Theory]]_, ([math.AT/0211216](http://arxiv.org/abs/math.AT/0211216)).

in the context of [[differential cohomology]] via [[differential function complexes]]. 

The observation putting this into the general context of [[differential cohomology diagrams]] (see there) of [[stable homotopy types]] in [[cohesion]] is due to

* {#BunkeNikolausVoelkl13} [[Ulrich Bunke]], [[Thomas Nikolaus]], [[Michael Völkl]], section 4.4. of _Differential cohomology theories as sheaves of spectra_ ([arXiv:1311.3188](http://arxiv.org/abs/1311.3188))

based on

* {#BunkeGepner13} [[Ulrich Bunke]], [[David Gepner]], around def, 2.1 of _Differential function spectra, the differential Becker-Gottlieb transfer, and applications to differential algebraic K-theory_ ([arXiv:1306.0247](http://arxiv.org/abs/1306.0247))


A characterization of Chern-character maps for [[K-theory]] is in

* [[Goncalo Tabuada]], _A universal characterization of the Chern character maps_ ([arXiv/1002.3276](http://arxiv.org/abs/1002.3726))

A discussion of Chern characters in terms of [[free loop space objects]] in [[derived geometry]] is in 

* {#ToenVezzosi08} [[Bertrand Toën]], [[Gabriele Vezzosi]], _A note on Chern character, loop spaces and derived algebraic geometry_ ([arXiv:0804.1274](http://arxiv.org/abs/0804.1274))

which conjectures a construction that is fully developed in 

* [[Bertrand Toën]], [[Gabriele Vezzosi]], _Caractères de Chern, traces équivariantes et géométrie algébrique dérivée_ ([arXiv:0903.3292](http://arxiv.org/abs/0903.3292))

See also

* [[Marc Hoyois]], _Chern character and derived algebraic geometry_ (2009) ([pdf](http://math.mit.edu/~hoyois/papers/chern.pdf))

* {#HoyoisScherotzkeSibillia15} [[Marc Hoyois]], [[Sarah Scherotzke]], [[Nicolò Sibilla]], _Higher traces, noncommutative motives, and the categorified Chern character_ ([arXiv:1511.03589](http://arxiv.org/abs/1511.03589))

[[!redirects Chern characters]]

[[!redirects Chern character map]]
[[!redirects Chern character maps]]