
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Topology
+--{: .hide}
[[!include topology - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Definition

A countable [[CW-complex]] $K$ is **quasi-finite** if for any finite subcomplex $M\subset K$, there is (possibly larger) finite subcomplex $e(M)\subset K$, such that for every [[separable space|separable]] [[metric space]] $X$ satisfying

* ($K$ is an [[absolute extensor]] of $X$:) for every [[closed subspace]] $A\subset X$ and a function $f:A\to K$ there is an [[extension]] $\tilde{f}:X\to K$ (i.e. $\tilde{f}=f\circ i$, where $i:A\hookrightarrow X$ is the closed embedding)

one has a similar property

* for every closed subspace $A\subset X$ and a function $f:A\to M$ there is an [[extension]] $g:X\to e(M)$ (i.e. $g\circ i = f$).

There is a characterization: a coutable CW-complex $K$ is quasi-finite iff for all separable metric spaces $X$, if $K$ is an absolute extensor of $X$ implies then it is an absolute extensor of its Stone-Čech compactification $\beta(X)$ as well. 

In fact, the original definition asks that one has a function $e:M\to e(M)$ (the same under the [[axiom of choice]]).


## References

* A.Karasev, _On two problems in extension theory_, arXiv:math.GT/0312269

* M.Cencelj, J.Dydak, J.Smrekar, A.Vavpetic, Ž.Virk, _Algebraic properties of quasi-finite complexes_, Fund. Math. 197 (2007), 67-80 [math/0509582](http://arxiv.org/abs/math/0509582)

[[!redirects quasi-finite CW-complexes]]
