
There are at least two Alexander Rosenbergs (and one [[Jonathan Rosenberg]]) in mathematics: 

* algebraist Alex (Alexander) Rosenberg (1926-2007) known for [[Hochschild-Kostant-Rosenberg theorem]] and for many other articles in [[algebra]] (cf. [notices](http://www.spelman.edu/~colm/alexnotices.html))

* Alexander L. Rosenberg (or Sasha Rosenberg) who was a  professor until 2012 at [Kansas State University](http://www.math.ksu.edu).  

Sasha Rosenberg had defended in 1973 dissertation at Moscow State University studying [[Tannaka duality|Tannakian reconstruction theorems]], mainly using methods of [[functional analysis]]. His main goals were in [[representation theory]]. Until leaving Soviet Union around 1987, Rosenberg worked in applied mathematics; on the side however he was developing some methods in representation theory which included functional analysis and categorical and ring/module theoretic methods, and the noncommutative localization in particular. A main construction, presented at a conference at Baikal (1981), was a new spectrum of a ring, so-called left spectrum, later generalized to a [[spectrum of an abelian category]], used to prove (in the  quasicompact case) the Gabriel-Rosenberg reconstruction theorem for commutative schemes; more [[spectral theory|spectral]] constructions followed. This work outgrown into a wide ongoing work on foundations of [[noncommutative algebraic geometry]], including a natural definition of [[noncommutative scheme]]. More recently he proposed a new framework for nonabelian derived functors, including a new version of algebraic K-theory. Other related entries in $n$Lab include [[Q-category]], [[neighborhood of a topologizing subcategory]], [[sheaf on a noncommutative space]], [[spectral cookbook]]. 

Rosenberg's coauthors in pure mathematics works are [[Valery Lunts]] and [[Maxim Kontsevich]]. One should be warned that most of the newly released articles of Rosenberg are not at the arXiv but at the Max Planck Bonn [preprint server](http://www.mpim-bonn.mpg.de/Research/MPIM+Preprint+Series) and many of works are republished in a volume

* [Selected papers on noncommutative geometry](http://newprairiepress.org/ebooks/1), New Prarie Press 2014, which are open access

Rosenberg's available papers and online resources include:

* [web page](http://sasharosenberg.com/), [mathematical work](http://sasharosenberg.com/?page_id=7)

* 3 volume work on noncommutative geometry: _Geometry of Noncommutative 'Spaces' and Schemes_, [pdf](http://www.mpim-bonn.mpg.de/preblob/5148); _Homological algebra of noncommutative 'spaces' I._, [pdf](http://www.mpim-bonn.mpg.de/preblob/5159) (note: longer version than another MPI preprint with the same title mentioned before); _Noncommutative 'Spaces' and 'Stacks'_, [pdf](http://www.mpim-bonn.mpg.de/preblob/5149)

* video of msri lecture _Noncommutative schemes and spaces_ (Feb 2000) can be found at [msri](http://www.msri.org/publications/ln/msri/2000/interact/rosenberg/1/index.html)

* A. L. Rosenberg, _Topics in noncommutative algebraic geometry, homological algebra and K-theory_, preprint MPIM Bonn 2008-57 [pdf](http://www.mpim-bonn.mpg.de/preblob/3589)

* А. Л. Розенберг, _Теоремы двойственности для групп и алгебр Ли_, УМН, 26:6(162) (1971), 253–254, [pdf](http://www.mathnet.ru/php/getFT.phtml?jrnid=rm&paperid=5287&what=fullt&option_lang=rus), _Инвариантные алгебры на компактных группах_, Матем. сб., 81(123):2 (1970), 176–184, [pdf](http://www.mathnet.ru/php/getFT.phtml?jrnid=sm&paperid=3368&what=fullt&option_lang=rus)

* A. L. Rosenberg, _Almost quotient categories, sheaves and localizations_, 181 p. Seminar on supermanifolds __25__, University of Stockholm, D. Leites editor, 1988 (in Russian; partial remake in English exists)

* A. L. Rosenberg, _Non-commutative affine semischemes and schemes_, Seminar on supermanifolds __26__, Dept. Math., U. Stockholm (1988)

* A. L.  Rosenberg, _Noncommutative algebraic geometry and representations of quantized algebras_, MIA __330__, Kluwer Academic Publishers Group, Dordrecht, 1995. xii+315 pp. ISBN: 0-7923-3575-9 

* A. L. Rosenberg, _Reconstruction of groups_, Selecta Math. N.S. __9__:1 (2003) [doi](http://dx.doi.org/10.1007/s00029-003-0322-x) ($n$lab remark: this paper is on a generalization of Tannaka--Krein and not of the Gabriel--Rosenberg kind of reconstruction)

* A. L. Rosenberg, _The left spectrum, the Levitzki radical, and noncommutative schemes_, Proc. Nat. Acad. Sci. U.S.A. __87__  (1990),  no. 21, 8583--8586.

* A. L. Rosenberg, _Noncommutative local algebra_,  Geom. Funct. Anal. __4__  (1994),  no. 5, 545--585.

* A. L. Rosenberg, _The existence of fiber functors_, The Gelfand Mathematical Seminars, 1996--1999,  145--154, Gelfand Math. Sem., Birkhäuser Boston, Boston, MA, 2000 [doi](https://dx.doi.org/10.1007/978-1-4612-1340-6_7)

* A. L. Rosenberg, _The spectrum of abelian categories and reconstructions of schemes_, in Rings, Hopf Algebras, and Brauer groups, Lectures Notes in Pure and Appl. Math. __197__, Marcel Dekker, New York, 257--274, 1998; MR99d:18011; and Max Planck Bonn preprint _Reconstruction of Schemes_, [MPIM1996-108](http://www.mpim-bonn.mpg.de/preblob/3948) (1996). 

* A. L. Rosenberg, _Spectra of noncommutative spaces_, MPIM2003-110 [ps](http://www.mpim-bonn.mpg.de/preblob/1946) [dvi](http://www.mpim-bonn.mpg.de/preblob/1945) (2003)

* A. L. Rosenberg, _Noncommutative schemes_, Compos. Math. __112__ (1998) 93--125 [doi](http://dx.doi.org/10.1023/A:1000479824211)

* V. A. Lunts, A. L. Rosenberg, _Differential operators on noncommutative rings_, Selecta Math. (N.S.)  __3__  (1997),  no. 3, 335--359 ([doi](http://dx.doi.org/10.1007/s000290050014)); sequel: _Localization for quantum groups_, Selecta Math. (N.S.) __5__ (1999), no. 1, pp. 123--159 ([doi](http://dx.doi.org/10.1007/s000290050044)).

* V. A. Lunts, A. L. Rosenberg, _Differential calculus in noncommutative algebraic geometry I. D-calculus on noncommutative rings_, MPI 1996-53 [pdf](http://www.mpim-bonn.mpg.de/preblob/3894), II. D-Calculus in the braided case. The localization of quantized enveloping algebras, MPI 1996-76 [pdf](http://www.mpim-bonn.mpg.de/preblob/3916)

* V. A. Lunts, A. L. Rosenberg, _Kashiwara theorem for hyperbolic algebras_,
MPIM1999-82, [dvi](http://www.mpim-bonn.mpg.de/preblob/947), [ps](http://www.mpim-bonn.mpg.de/preblob/948)

* M. Kontsevich, A. Rosenberg, _Noncommutative spaces_, preprint MPI-2004-35 ([dvi](http://www.mpim-bonn.mpg.de/preblob/2303),[ps](http://www.mpim-bonn.mpg.de/preblob/2331)), _Noncommutative spaces and flat descent_, MPI-2004-36 [dvi](http://www.mpim-bonn.mpg.de/preblob/2304),[ps](http://www.mpim-bonn.mpg.de/preblob/2332), _Noncommutative stacks_, MPI-2004-37 [dvi](http://www.mpim-bonn.mpg.de/preblob/2305),[ps](http://www.mpim-bonn.mpg.de/preblob/2333)

* M. Kontsevich, A. Rosenberg, _Noncommutative smooth spaces_,  The Gelfand Mathematical Seminars, 1996--1999,  85--108, Gelfand Math. Sem., Birkhäuser Boston, Boston, MA, 2000; ([arXiv:math/9812158](http://arxiv.org/abs/math/9812158))

* A. Rosenberg, [Homological algebra of noncommutative 'spaces' I](http://www.mpim-bonn.mpg.de/preblob/3623), 199 pages, preprint Max Planck, Bonn: MPIM2008-91.

* A. Rosenberg, _Underlying spaces of noncommutative schemes_, MPIM2003-111, [dvi](http://www.mpim-bonn.mpg.de/preblob/1947), [ps](http://www.mpim-bonn.mpg.de/preblob/1948)

* A. Rosenberg, _Noncommutative spaces and schemes_, 
MPIM1999-84, [dvi](http://www.mpim-bonn.mpg.de/preblob/949), [ps](http://www.mpim-bonn.mpg.de/preblob/950)

[[!redirects Sasha Rosenberg]]
[[!redirects Sasha Rozenberg]]
[[!redirects A. L. Rosenberg]]
[[!redirects Rosenberg]]

category: people, algebraic geometry, noncommutative geometry