**Dmitri Orlov** (Дмитрий Олегович Орлов) is a Russian algebraic geometer.

* [math-net.ru](http://www.mathnet.ru/php/person.phtml?&personid=11896&option_lang=eng) page 
* personal page at Russian Academy: [orlov](http://www.mi.ras.ru/~orlov)

Orlov is one of the pioneers of the modern emerging categorical framework which unites the commutative and [[noncommutative algebraic geometry]], via the study of [[enhanced triangulated categories]] of [[quasicoherent sheaves]].

## Related

* [[triangulated categories of sheaves]]
* [[enhanced triangulated categories]]
* [[Bondal-Orlov reconstruction theorem]]

## Publications

* D. Orlov, _Quasi-coherent sheaves in commutative and non-commutative geometry_, Izv. RAN. Ser. Mat., 2003,  Volume 67,  Issue 3, Pages 119–138 (see also preprint version [dvi](http://www.mpim-bonn.mpg.de/preprints/send?bid=57), [ps](http://www.mpim-bonn.mpg.de/preprints/send?bid=56))

* D. O. Orlov, _Derived categories of coherent sheaves and equivalences between them_, Uspekhi Mat. Nauk, 2003,  Vol. __58__,  issue 3(351), pp. 89–172, [Russian pdf](http://www.mathnet.ru/php/getFT.phtml?jrnid=rm&paperid=629&volume=58&year=2003&issue=3&fpage=89&what=fullt&option_lang=eng), transl. as Russian Mathematical Surveys (2003),58(3):511, [doi link](http://dx.doi.org/10.1070/RM2003v058n03ABEH000629) ([pdf](http://www.mi.ras.ru/~orlov/papers/Uspekhi2003.pdf) at Orlov's webpage, not on arXiv!)

* 5 lectures on derived categories and D-branes in Bonn, slides: [djvu](http://www.irb.hr/korisnici/zskoda/orlovMPIslides.djvu)

* D. Orlov, _Formal completions and idempotent completions of triangulated categories of singularities_, [arxiv/0901.1859](http://arxiv.org/abs/0901.1859)

* A. Bondal, D. Orlov, _Semi-orthogonal decomposition for algebraic varieties_, PreprintMPI/95–15, [alg-geom/9506006](http://arxiv.org/abs/alg-geom/9506012)

* A. Bondal, D. Orlov, _Reconstruction of a variety from the derived category and groups of autoequivalences_, Compositio Math. __125__ (2001), 327–344 [doi](http://dx.doi.org/10.1023/A:1002470302976) ; see also [[Bondal-Orlov reconstruction theorem]]

* V. A. Lunts, D. O. Orlov, _Uniqueness of enhancement for triangulated categories_, [arXiv:0908.4187](http://arxiv.org/abs/0908.4187).

* Alexander I. Efimov, Valery A. Lunts, Dmitri O. Orlov, _Deformation theory of objects in homotopy and derived categories_ 
   * _I: general theory_ [arXiv:math/0702838](http://arxiv.org/abs/math/0702838);
   * _II: pro-representability of the deformation functor_ [arXiv:math/0702839](http://arxiv.org/abs/math/0702839);
   * _III: abelian categories_ [arXiv:math/0702840](http://arxiv.org/abs/math/0702840)

* D. Orlov, _Equivalences of derived categories of coherent sheaves_,  [MSRI lectures](http://www.msri.org/publications/ln/msri/2002/hodgetheory/orlov/1/index.html)

* A. I. Bondal, D. O. Orlov, _Derived categories of coherent sheaves_, Proc. Internat. Congress of Mathematicians (Beijing, 2002)

* A. N. Kapustin, D. O. Orlov, _Lectures on mirror symmetry, derived categories, and D-branes_,  Uspehi Mat. Nauk __59__  (2004),  no. 5(359), 101--134;  translation in  Russian Math. Surveys __59__  (2004), no. 5, 907--940, [math.AG/0308173](http://arxiv.org/abs/math/0308173)

category: people

[[!redirects Дмитрий Олегович Орлов]]
[[!redirects Дмитрий Орлов]]
[[!redirects Dmitri Olegovich Orlov]]
[[!redirects Dmitri Orlov]]
[[!redirects D. Orlov]]
[[!redirects D. O. Orlov]]
[[!redirects Orlov]]