
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebra
+-- {: .hide}
[[!include higher algebra - contents]]
=--
#### Homological algebra
+--{: .hide}
[[!include homological algebra - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A _free module_ over some [[ring]] $R$ is [[free construction|freely generated]] on a [[set]] of [[basis]] elements.

Under the [interpretation of modules as generalized vector bundles](module#RelationToVectorBundlesInIntroduction) a _free module_ corresponds to a _trivial_ bundle.

## Definition

### General

Let $C$ be a [[monoidal category]], and $Alg(C)$ the [[category]] of [[monoids]] in $C$ and for $A \in Alg(C)$ let $A$[[Mod]]$(C)$ be the category of $A$-[[modules]] in $C$.

There is the evident [[forgetful functor]] $U : A Mod(C) \to C$ that sends each module $(N,\rho)$ to its underlying object $N \in C$. 

+-- {: .num_defn }
###### Definition

The [[left adjoint]] $C \to A Mod(C)$ is the corresponding [[free construction]]. The modules in the image of this functor are _free modules_.

=-- 

### Over rings

Let $R$ be a ring. We discuss free [[modules]] over $R$.

+-- {: .num_prop }
###### Proposition

For $R \in $ [[Ring]] a [[ring]] and $S \in $ [[Set]], the free $R$-module on $S$ is isomorphic to the ${\vert S\vert}$-fold [[direct sum]] of $R$ with itself

$$
  R^{(S)}\simeq \oplus_{s \in S} R
  \,.
$$

=--

## Properties

### As a monoidal functor

Let $R$ be a commutative ring, and let $R\{X\}$ denote the free $R$-module on a set $X$.

+-- {: .num_prop }
###### Proposition

The free $R$-module functor is strong monoidal with respect to the Cartesian monoidal structure on sets, and the tensor product of $R$-modules.

=--

In other words, the free module construction turns set-theoretic products into tensor products. Thus, it preserves algebraic objects (such as [[monoid object]]s, [[Hopf monoid]] objects, etc.) and their homomorphisms. In particular, if $M$ is a monoid in the category of sets (and hence a bimonoid with the canonical comonoid structure) then $R\{M\}$ is a bimonoid object in $R \mathsf{Mod}$, which is precisely a $K$-bialgebra. A group $G$ in the category of sets is a Hopf monoid, and hence $R\{G\}$ is a Hopf algebra --- this is precisely the [[group algebra]] of $G$.


### Submodules of free modules
 {#SubmodulesOfFreeModules}

Let $R$ be a commutative [[ring]].

+-- {: .num_prop #submod}
###### Proposition

Assuming the [[axiom of choice]], the following are equivalent

1. every [[submodule]] of a free $R$-module is itself free;

1. every [[ideal]] in $R$ is a free $R$-module;

1. $R$ is a [[principal ideal domain]].

=--

+-- {: .proof} 
###### Proof 
(See also [Rotman, pages 650-651](#Rotman).) Condition 1. immediately implies condition 2., since ideals of $R$ are the same as submodules of $R$ seen as an $R$-module. Now assume condition 2. holds, and suppose $x \in R$ is any nonzero element. Let $\lambda_x$ denote multiplication by $x$ (as an $R$-module map). We have a sequence of surjective $R$-module maps 

$$R \stackrel{\lambda_x}{\to} (x) \cong \oplus_J R \stackrel{\nabla}{\to} R$$ 

(where $\nabla$ is the [[codiagonal]] map); by the [[Yoneda lemma]], the composite map $R \to R$ is of the form $\lambda_r$, where $r \in R$ is the value of the composite at $1 \in R$. Since $\lambda_r$ is surjective, we have $\lambda_r(s) = r s = 1$ for some $s$, so that $r$ is invertible. Hence $\lambda_r$ is invertible, and this implies $\lambda_x$ is monic. Therefore $R$ is a domain. From that, we infer that if $f$ and $g$ belong to a basis of an ideal $I$, then 

$$0 \neq f g \in R\cdot f \cap R \cdot g$$ 

whence $f$ and $g$ are not linearly independent, so $f = g$ and $I$ as an $R$-module is generated by a single element, i.e., $R$ is a principal ideal domain. 

That condition 3. implies condition 1. is proved [here](http://ncatlab.org/nlab/show/principal+ideal+domain#free). 
=--


+-- {: .num_cor }
###### Corollary

Assuming the [[axiom of choice]], over a ring $R$ which is a [[principal ideal domain]], every [[module]] has a [[projective resolution]] of length 1.

=--

See at [projective resolution -- Resolutions of length 1](projective+resolution#Lenght1ResolutionsOfAbelianGroups) for more.

### Over a field: vector spaces

Assuming the [[axiom of choice]], if $R = k$ is a [[field]] then every $R$-[[module]] is free: it is $k$-[[vector space]] and by the _[[basis theorem]]_ every such has a [[basis of a vector space|basis]]. 

## Related concepts

* [[locally free module]]

* [[finitely generated module]], [[finitely presented module]]

* **free module** $\Rightarrow$ [[projective module]] $\Rightarrow$ [[flat module]] $\Rightarrow$ [[torsion-free module]]

* [[basis of a free module]]

* [[projective object]], [[projective presentation]], [[projective cover]], [[projective resolution]]

* [[injective object]], [[injective presentation]], [[injective envelope]], [[injective resolution]]

  * [[injective module]]

* [[free object]], [[free resolution]]
 

* flat object, [[flat resolution]]
  
  * [[flat module]]


## References

* Rotman _Advanced Modern Algebra_, pp. 650--651
 {#Rotman}


[[!redirects free modules]]

