
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Arithmetic geometry
+--{: .hide}
[[!include arithmetic geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

Arithmetic geometry is a branch of [[algebraic geometry]] studying [[schemes]] (usually of [[morphism of finite type|finite type]]) over the [[spectrum (geometry)|spectrum]] [[Spec(Z)]] of the [[commutative ring]] of [[integers]]. More generally, [[algebraic geometry]] over non-[[algebraically closed fields]] or fields of [[positive characteristic]] is also referred to as "arithmetic algebraic geometry".

Since an [[affine variety]] in this context is given by solutions to [[Diophantine equations]], this is also called _Diophantine geometry_.

An archetypical application of arithmetic geometry is the study of [[elliptic curves]] over the [[integers]] and the [[rational numbers]].

For [[number theory|number theoretic]] purposes, i.e. in actual [[arithmetic]]; usually one complements this with some data "at the prime at infinity" leading to a more modern notion of an _[[arithmetic scheme]]_ (cf. [[Arakelov geometry]]). 

The refinement to [[higher geometry]] is [[E-infinity geometry]] ([[spectral geometry]]).

## Properties

### Base over $\mathbb{F}_1$

Arithmetic geometry naturally has as [[base topos]] the topos over [[F1]] in the sense of [[Borger's absolute geometry]], which gives an [[essential geometric morphism]] of [[etale toposes]]

$$
  Et(Spec(\mathbb{Z}))  \longrightarrow Et(Spec(\mathbb{F}_1))
  \,.
$$

### Function field analogy

[[!include function field analogy -- table]]


## Related concepts

* [[arithmetic variety]], [[arithmetic scheme]]

  * [[arithmetic curve]]

* [[arithmetic Chow group]]

* [[analytic geometry]]

* [[Weil-étale topology for arithmetic schemes]]

* [[absolute cohomology]]

* [[function field analogy]]

* [[Weil conjecture on Tamagawa numbers]]

* [[Borger's absolute geometry]]


* [[Iwasawa-Tate theory]]

* [[arithmetic jet space]]

* [[arithmetic differential geometry]]

* [[adelic integration]]

* [[shtuka]]

* [[higher arithmetic geometry]]

* [[E-∞ arithmetic geometry]]

* [[arithmetic topology]]

* [[Frobenioid]]

## References

* Dino Lorenzini, _An Invitation to Arithmetic Geometry_ (Graduate Studies in Mathematics, Vol 9) GSM/9

An almost entirely self-contained introduction and (according to Werner Kleinert) "the most comprehensive and detailed elaboration of the theory of algebraic schemes available in (text-)book form (after Grothendieck's [[EGA]])":

* Qing Liu, _Algebraic Geometry and Arithmetic Curves_, Oxford Graduate Texts in Mathematics __6__, 2002/2006, 600pp.

Lecture notes include

* {#Sutherland13} [[Andrew Sutherland]], _Introduction to Arithmetic Geometry_, 2013 ([web](http://ocw.mit.edu/courses/mathematics/18-782-introduction-to-arithmetic-geometry-fall-2013/index.htm))

* [[Christophe Soulé|C. Soulé]], D. Abramovich, J. F. Burnol, J. K. Kramer, _Lectures on Arakelov Geometry_, Cambridge Studies in Advanced Mathematics __33__, 188 pp.

and with an eye towards [[anabelian geometry]]:

* {#MK09} [[Minhyong Kim]], _Galois Theory and Diophantine geometry_, 2009 ([pdf](http://people.maths.ox.ac.uk/kimm/papers/cambridgews.pdf))

Further resources include

* Wikipedia: [glossary of arithmetic and Diophantine geometry](http://en.wikipedia.org/wiki/Glossary_of_arithmetic_and_Diophantine_geometry), [Arakelov geometry](http://en.wikipedia.org/wiki/Arakelov_theory)


* _Arakelov geometry preprint arxiv_, list of [links](http://people.math.jussieu.fr/~vmaillot/Arakelov)


* conferences in arithmetic geometry, at Kiran Kedlaya's [wiki](http://scripts.mit.edu/~kedlaya/wiki/index.php?title=Conferences_in_Arithmetic_Geometry)
 

[[!redirects arithmetic geometries]]

[[!redirects Diophantine geometry]]
[[!redirects Diophantine geometries]]
