$Sch/S$ is the [[slice category]] of [[schemes]] over a fixed scheme $S$. The schemes over $S$ are morphisms of schemes $f: R\to S$, called also **relative schemes** over $S$ or __$S$-schemes__. A morphism $g: (f:R\to S)\to (f':R'\to S)$ is a morphism $g:R\to R'$ of schemes such that $f'\circ g = f$; morphisms of $S$-schemes are also called morphisms of schemes over $S$, and pictured by commutative triangles. 

Every scheme can be considered a $Spec(\mathbb{Z})$-scheme. For any (commutative unital) ring $k$, a __$k$-scheme__ is a synonym for $Spec(k)$-scheme. 

Grothendieck has emphasised the **[[relative point of view]]**: the emphasis of the basic theory of schemes should not be on the properties of schemes, but on the properties of morphisms.

Many definitions of local properties of schemes, can be automatically generalized to morphisms, by looking at properties of preimages of the affine covers of the base scheme. For example, a morphism $f:R\to S$ of schemes is [[quasicompact]] (or $R$ is quasicompact as an $S$-scheme) if the preimage $f^{-1}(U)$ of any affine $U\subset S$ is a [[quasicompact scheme]]. One can also talk about [[projective scheme|projective]], [[affine scheme|affine]], [[quasiprojective scheme|quasiprojective]], [[proper scheme|proper]], [[separated scheme|separated]] etc. morphisms. 

Relative schemes over a general ringed topos are developed in a thesis under Grothendieck's guidance:

* Monique Hakim, _Topos annelés et schémas relatifs_, Ergebnisse der Mathematik und ihrer Grenzgebiete, Band 64. Springer 1972. vi+160 pp.

category: algebraic geometry

[[!redirects S-Sch]]
[[!redirects Sch/S]]
[[!redirects S-scheme]]
[[!redirects S-schemes]]
[[!redirects relative scheme]]
[[!redirects relative schemes]]