# The relative point of view
* tic
{: toc}


## Idea

Very generally, the __relative point of view__ on a subject given by a [[category]] $C$ replaces the consideration of properties of [[objects]] of $C$ with properties of [[morphisms]] of $C$.  This is considered a generalisation, as an object $x$ is identified with [[the]] morphism from $x$ to a [[terminal object]] of $C$.  Of course, $C$ must *have* a terminal object for this generalisation to be possible.

Often one will fix an object $y$ and concentrate on objects of $C$ __over__ $y$; these form the [[over-category]] $C/y$.  The original category $C$ may be recovered as $C/1$, where $1$ is a terminal object.


## Examples

[[Alexander Grothendieck]] championed the relative point of view in [[algebraic geometry]], replacing [[schemes]] with [[relative schemes]]; here $C$ is [[Sch]].

In _[[The Joy of Cats]]_, the authors study [[concrete categories]] (categories over [[Set]] with certain properties) from the relative point of view; here $C$ is [[Cat]].

More generally, applying the relative point of view to [[category theory]] leads to the notion of [[category over a category]], which is helpful for studying concrete categories (as above) as well as [[fibred categories]].