
# Relatively compact subspaces
* table of contents
{: toc}

## Idea

Relatively compact subspaces are a purely [[topological structure|topological]] notion somewhat analogous to [[bounded subspace|bounded]] or [[totally bounded subspace|totally bounded]] subspaces of a [[metric space|metric]] or [[uniform space|uniform]] space.


## Definition

A [[subspace]] (or equivalently [[subset]]) $A$ of a [[topological space]] $X$ is **relatively compact** if its [[topological closure|closure]] in $X$ is [[compact subspace|compact]].  We can make the same definition if $X$ is a [[locale]].

A related notion is that $A$ be contained in *some* compact subspace (not necessarily its closure).  This is weaker in general but equivalent when $X$ is [[Hausdorff space|Hausdorff]].


## Properties

The relatively compact subsets of a [[topological space]] $X$ form an [[ideal]] in the [[power set]] of $X$.  That is, the [[empty subspace]] is relatively compact, the [[union]] of two relatively compact subspaces is relatively compact, and any subspace contained in relatively compact subspace is itself relatively compact.

If $X$ is [[Hausdorff space|Hausdorff]], then every [[compact subspace]] is relatively compact, and hence so is any subspace contained in a compact subspace.

Iff $X$ is [[compact space|compact]], then every subspace is relatively compact.

In a [[Cartesian space]], the relatively compact subspaces are the same as the [[bounded subspaces]].


[[!redirects relatively compact subspace]]
[[!redirects relatively compact subspaces]]

[[!redirects relatively compact subset]]
[[!redirects relatively compact subsets]]
