
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Operator algebra
+-- {: .hide}
[[!include AQFT and operator algebra contents]]
=--
#### Functional analysis
+-- {: .hide}
[[!include functional analysis - contents]]
=--
#### AQFT
+-- {: .hide}
[[!include AQFT and operator algebra contents]]
=--
=--
=--


# Contents
* table of contents
{: toc}


## Idea

In a (Hausdorff) [[topological vector space]] one can consider [[bounded sets]]: a set $S$ is bounded if it is absorbed by any open neighborhood $U$ of zero (i.e. a dilated multiple $\lambda U = \{\lambda x | x\in U\}$ contains $S$). This specializes to the usual definition of a bounded set in a [[normed vector space]]: a set is bounded if it is contained in a ball of some finite radius $r \gt 0$. 

A [[linear operator]] $A: V_1\to V_2$ between topological vector spaces is **bounded** if it sends each bounded set in $V_1$ to a bounded set in $V_2$. For [[normed vector space|normed spaces]], this is equivalent to saying that it sends the unit ball to a bounded set. Between finite dimensional normed spaces, every linear operator is bounded. A linear operator between any two normed linear spaces is bounded iff it is [[continuous map|continuous]]. 

There is also a rich theory for [[unbounded operators]] on [[Hilbert spaces]].

The [[quotient]] of the bounded operators by the [[compact operators]] is called the _[[Calkin algebra]]_.

## Properties 

Every bounded operator on a [[Hilbert space]] has a [[polar decomposition]].

The _[[Gelfand-Naimark theorem]]_ says that every [[C*-algebra]] is [[isomorphism|isomorphic]] to a $C^\ast$-algebra of [[bounded linear operators]] on a [[Hilbert space]].


## Examples

Important classes of bounded operators are the [[compact operators]], [[trace-class operator]]s and [[Hilbert-Schmidt operator]]s.


## Related concepts

* [[linear operator]]

* **bounded linear operator** / [[unbounded linear operator]]

* [[operator algebra]]


## References 

* wikipedia: [bounded operator](http://en.wikipedia.org/wiki/Bounded_operator)

category: analysis
[[!redirects bounded operator]]
[[!redirects bounded operators]]

[[!redirects bounded linear operator]]
[[!redirects bounded linear operators]]
[[!redirects bounded linear function]]
[[!redirects bounded linear functions]]
[[!redirects bounded linear map]]
[[!redirects bounded linear maps]]

[[!redirects algebra of bounded operators]]
[[!redirects algebras of bounded operators]]
