
#Contents#
* automatic table of contents goes here
{:toc}

##Idea

A very interesting discussion took place at the **nForum** involving [[André Joyal]], [[Urs Schreiber]], and others:

* [The nLab in the eyes of others](http://www.math.ntnu.no/~stacey/Mathforge/nForum/comments.php?DiscussionID=548)

It was there that the germ of a potentially exciting idea arose. Just as the **nLab** itself arose out of the needs of a community built up around the **[nCafe](http://golem.ph.utexas.edu/category/)**, could a new **CatLab** be built around the **[Category Theory Mailing List](http://blog.gmane.org/gmane.science.mathematics.categories)**?

The **CatLab** would be pari passu with the **nLab** and serve as a model for other mathematics communities. 

Here is the specific invitation extended by André:

>First, I thank Urs for inviting me to join your discussion. I was surprised, and pleased, by your interest in my potential collaboration. I will have to learn some MathML before actually contributing. As you know, I have suggested creating a CatLab not subordinated to the nLab. Let me try to explain my position clearly. It is partly a question of image, but as you know, the image can be important, since it carries a message about the nature and the goal of an organisation. The nLab is already successful and it will probably inspire other peoples in other fields into creating something similar. Let us try to think about the future. Mathematics is divided into branches and there is a social aspect attached to the division. Most mathematicians feel at lost outside their field. Nothing can stop them from creating a Lab for working in their field if they want to. They will chose the name of their lab according to the name of their field and its steering committee will reflect the sociology of their field. But the division of mathematics into fields is somewhat artificial and it can be an obstacle to progress. Assuming that everybody will eventually have a Lab in their field, these labs should be connected. In other words there should be a network of interconnected labs. The payoff of such a network could be enormous in terms of expansion and better efficiency of research and education in mathematics. The name of the network should probably be generic (like MathLabs ?). The lab devoted to category theory could be called CatLab. Category theory and higher category theory could emerge as unifying disciplines by the number of connections to them.

>In other words, I am inviting you to think about the future now.

After being reassured that there was no need to learn MathML (**CatLab** would be based on [itex](http://golem.ph.utexas.edu/~distler/blog/itex2MMLcommands.html), a close cousin to LaTeX), he continued:

>The unity and diversity of mathematics are complementary, not contradictory. It would be very good for mathematics to have a neutral network of interconnected labs reflecting this unity and diversity.

>I think that category theory and higher category theory could prosper enormously in such a network. Everyone should feel at home in his lab, without having to submit to a global ideology of category theory, or of higher category theory, or of constructive mathematics, or anything else.

Before rushing into the creation of **CatLab**, it was the purpose of this page to serve as a seed for its creation. The virtual ribbon cutting should be orchestrated by an active member of the **Category Theory Mailing List** and this page may serve as something of a **CatLab** sandbox to help potential  contributors get familiar with the possibilities.

+-- {: .standout}
A nascent CatLab may now be found at [[joyalscatlab:HomePage|joyalscatlab]], although it\'s final shape has yet be determined.
=--


## Discussion

[[André]]: I warmly thank the $n$Lab community for their generous response to my suggestion. I am presently very short of time, but I will try to spend some learning the wiki-art during the next few weeks. The CatLab is an offspring of the nLab, not yet fully shaped and not yet born. Like every child, he has no shame in feeding to the breast of his mother. It will probably cannibalise the nLab a lot! I will do a lot of cutting and pasting, this is how I can learn quickly. I hope I will not mess things up! I apologise for the temporary disorganitation (posted by AJ). 

[[Eric]]: No worries and no rush. It's great to see how this material springing here and I'm sure **CatLab** will be ready for launch very soon. If you have questions, feel free to ask them either here or the forum. Since we're getting the hang of the wiki, my suggestion is to ask technical questions here. The answers will likely end up being added to [[HowTo]] and the [[FAQ]]. Cheers!

## Further developments

[[André]]: I have interrupted working in the CatLab last Spring because of some urgent things to do. I hope to return in some near future. There was recently a discussion in the category list about terminology used in the nLab (the "evil" terminology). The discussion drifted and John mentioned his implication into fighting the ecological disaster. I applaud to John's involvement, but I believe his position is overly pessimistic. But my reply to John was blocked by the moderator of the category list for technical reasons that I do not understand. I am reproducing this reply here:

> October 1,2010

>Dear John,

>I thank you for your answer. The arguments of Saul Griffith according to which the planet is heading toward an ecological disaster are overwhelming. But he does not conclude (as you seem) that disaster is inevitable and the situation hopeless. He said that the problem can be solved with something like a global war effort. Pessimism is very dangerous because it is self-defeating. Beating the Nazi seemed impossible to many peoples in 1940. A climate expert like James Hansen is refusing to succomb to pessimism.

> Let me express my opinion on some aspects of the problem of climate change. You should take it as the opinion of a collegue, or of a citizen, not of an expert. As you know very well, there is presently a large consensus in the scientific community about the gravity of the problem. So why are the politicians not acting? I guess this is because our democratic systems are defective. We all know that politicians are serving two masters: their electors and large corporations. They know where the money is. Public opinion is been manipulated by publicity and propaganda. We are brainwashed to think that we live in the best of all possible worlds, to think that nothing could fundamentally change except for the worst, to think that we all live to maximize our personnal pleasure, to think that all act of generosity is motivated by egoism, to think that the deep mystery of life and of the world can be captured by a few slogans. The problems of democracy have been analysed in more books than I can read. Our elected representatives are seldom acting for us.

>Demo-cracy = power of the peoples

>Clearly, something does not work. Democracy is presently failing to empower peoples collectively. Citizens are depressed and angry. I think we may try to cure ourselves from this collective depression by realising a collective project. It does not have to be a project on ecology or climate change, only something that we may do very well. It could be a project in our own backyard, mathematics! I believe our field needs to be **renovated**, **reformed** or, if you prefer, **revolutionised**. There are too many barriers, intellectual and professionnal, between the different fields of mathematics, including between pure and applied. Mathematicians from different fields can hardly understand each other, with the exception of a few mathematicians mastering more than one fields. Many of these barriers are somewhat artificials. Of course, like language barriers, they can be very real. It is natural to specialise, as it is natural to choose a town where to live. But there is no need for gated-cities in mathematics. We may work on a project with the goal of giving free full access to all mathematics to everyones. Of course, this is not "my" dream but the dream of many mathematicians of many generations. It was the dream of Bourbaki and also the dream of Eilenberg, MacLane and Lawvere. It seems to me that we should make a concerted effort to realise it now. Even a partial success may capture the imagination of the scientific community and of peoples in general. It will strenghten our confidence in the success of collective efforts. We need to develop this kind of confidence to fight the ecological disaster.

>I believe that a project like the nLab is already moving in the right direction. Thanks to its active contributors! I would love to see it extended, deepened, multiplied, diversified and scaled up.

> What do you think?

>Best, André



category: meta
