**Jacobian conjecture**: Let $k$ be an [[algebraically closed field]] of characteristics zero, $n\geq 2$ and $\phi: k^n\to k^n$ a (regular) [[endomorphism]] of $k^n$ with constant Jacobian (the determinant of the Jacobian matrix, which is in this polynomial case algebraically defined). Then $\phi$ is a regular [[automorphism]], i.e. has a polynomially defined inverse. 

The conjecture is open still stated by Keller in 1939. There were many failed attempts to prove the Jacobian conjecture, especially for $n = 2$; there are also some reductions to special cases. For example, it is known that the Jacobian conjecture holds iff it holds for $\phi$ a polynomial map of degree 3. The Jacobian conjecture is also known to hold at least for those $\phi$ which have a rational inverse.  

* A. van den Essen, [Jacobian conjecture](http://eom.springer.de/J/j120010.htm), Springer Online Encyclopedia of Mathematics

* A. van den Essen, _Polynomial automorphisms and the Jacobian conjecture_, [pdf](http://www.emis.de/journals/SC/1997/2/pdf/smf_sem-cong_2_55-81.pdf), Algèbre non commutative, groupes quantiques et invariants (Reims, 1995),  55--81, Sémin. Congr., 2, Soc. Math. France, Paris, 1997. 

* Arno van den Essen, _Polynomial automorphisms and the Jacobian conjecture_, Progress in Mathematics, 190. Birkhäuser Verlag, Basel, 2000. xviii+329 pp. ISBN: 3-7643-6350-9

The Jacobian conjecture is also equivalent to the Dixmier conjecture: every endomorphism of the $r$-th [[Weyl algebra]] $A_{r,k}$ over $k$ is an automorphism for all $r$. This is a statement of the article 

* A. Belov-Kanel, M. [[Kontsevich]], _The Jacobian conjecture is stably equivalent to the Dixmier conjecture_, Mosc. Math. J., 7:2 (2007), 209–218; [math.RA/0512171](http://arxiv.org/abs/math/0512171)

which does contain an error in the proof, which has been later amended by others. It is actually known that each endomorphism of the $r$-th Weyl algebra is *injective*, and not known wheather it is *surjective*.
A shorter algebraic proof is given in

* V. Bavula, _The ${Jacobian Conjecture}_{2n}$ implies the ${Dixmier Problem}_n$_, [math.AG/0512250](http://arxiv.org/abs/math/0512250)

A claim of a pretty short proof of the general case of Jacobian conjecture (no essential error found so far?) is in

* Dang Vu Giang, _The Jacobian conjecture is simple and true_, [http://arxiv.org/abs/0912.1924](http://arxiv.org/abs/0912.1924)

There is an interesting blog discussion, from the point of view of [[algebraic geometry]]:

* David Speyer at _secret blogging seminar_: [how not to prove the Jacobian conjecture](http://sbseminar.wordpress.com/2009/05/27/how-not-to-prove-the-jacobian-conjecture)
