# Contents #
* table of contents 
{: toc}

## Idea

The **cellular approximation theorem** states that every [[continuous map]] between [[CW complexes]] (with chosen CW presentations) is [[homotopy|homotopic]] to a [[cellular map]] (a map induced by a map of cell complexes). 

This is a CW analogue of the [[simplicial approximation theorem]] (sometimes also called lemma): that every continuous map between the geometric realizations of [[simplicial complexes]] is homotopic to a map induced by a map of simplicial complexes (after subdivision). 

## Statement 

+-- {: .num_theorem} 
###### Theorem 
Given a continuous map $f: (X, A) \to (X', A')$ between relative CW complexes that is cellular on a subcomplex $(Y, B)$ of $(X, A)$, there is a cellular map $g: (X, A) \to (X', A')$ that is homotopic to $f$ relative to $Y$. 
=-- 

* wikipedia: [cellular approximation](http://en.wikipedia.org/wiki/Cellular_approximation)

* E. H. Spanier, _Algebraic topology_, Springer 1966, ch. 7. sec. 6

* A. Hatcher, _Algebraic topology_, Cambridge Univ. Press 2002 , [link](http://www.math.cornell.edu/~hatcher/AT/ATpage.html)