The $(k,n)$-**hypersimplex** is a convex [[polytope]] $\Delta(k, n)$ (or $\Delta_{k,n}$) in $\mathbb{R}^n$ which is the [[convex hull]] of the $\left(\array{n \\ k}\right)$ points $e_{i_1}+ e_{i_2}+ \cdots + e_{i_k}$, $1\leq i_1\lt i_2\lt \ldots \lt i_k\leq n$, where the $e_{j}$ are the standard basis vectors. $\Delta(k,n)$ may be seen as a convex hull of the [[barycenter]]s of the $(k-1)$-dimensional faces of $a (n-1)$-dimensional [[simplex]]. Special cases, $\Delta(1,n)$ and $\Delta(n-1,n)$ are themselves simplices of dimension $(n-1)$.  

The combinatorics of hypersimplices extends the combinatorics of distinguished triangles and octahedra in the standard [[triangulated categories]]; in fact they are postulated in [[Georges Maltsiniotis|Maltsiniotis]]'s strong version of a triangulated category. The [[octahedron]] is a $(2,4)$-hypersimplex. Higher hypersimplices were indeed obtained from $A_\infty$-enrichments by [[Volodymyr Lyubashenko]], so one could expect that they can also be obtained from the homotopy category of a [[stable (∞,1)-category]]. There are also connections between distinguished hypersimplices and [[Postnikov system in a triangulated category|Postnikov towers in triangulated categories]].

* [[Israel Gelfand|I.M.Gelfand]], R.D.MacPherson, _Geometry in Grassmannians and a generalization of the dilogarithm_, Adv. Math., 44 A982), 279--312; Coll. pap. of I.M. Gelfand v. __3__, Springer 1989, p. 492--525.

* I. M. Gelfand, [[Mikhail Kapranov|M. Kapranov]], [[Andrei Zelevinsky|A. Zelevinsky]], _Discriminants, resultants, and multidimensional determinants_, 1994.

* [[Sergei Gelfand]], [[Yuri Manin]], _Methods of homological algebra_,  transl. from the 1988 Russian (Nauka Publ.) original. Springer 1996. xviii+372 pp.; 2nd corrected ed. 2002.

* Fred J. Rispoli, _The graph of the hypersimplex_, [arxiv/0811.2981](http://arxiv.org/abs/0811.2981)

* T. Lam, A. Postnikov, _Alcoved polytopes I_, [math.CO/0501246](http://arxiv.org/abs/math/0501246)

* Yu. Bespalov, V. Lyubashenko, O. Manzyuk, _Pretriangulated $A_\infty$-categories_, Proceedings of the Institute of Mathematics of NAS of Ukraine, vol. 76, Institute of Mathematics of NAS of Ukraine, Kyiv, 2008, 598 ([ps.gz](http://www.math.ksu.edu/~lub/cmcMonad.gz)) (chapter 13)

* A. [[Beilinson]], J. Bernstein, P. Deligne, _Faisceaux pervers_, Astérisque __100__ (1982). MR 86g:32015 (diagrams in Rem. 1.1.14 are hypersimplices)

* [[Georges Maltsiniotis]], _Catégories triangulées supérieures_, Pré-preprint [ps](http://people.math.jussieu.fr/~maltsin/ps/triansup.ps) (2005)

* [[Jacob Lurie]], _Derived Algebraic Geometry I: Stable $\infty$-Categories_, ([arXiv](http://www.arXiv.org/abs/math.CT/0608228), [pdf](http://www.math.harvard.edu/~lurie/papers/DAG-I.pdf))