**Alexander (or Sasha) Beĭlinson** is currently a professor at University of Chicago. He was student of [[Yuri Manin]] at Moscow State University, with main works in algebraic geometry. He has made visionary contributions to the study of algebraic cycles,  automorphic forms and L-functions, [[algebraic K-theory]], Hodge theory, [[motive]]s and [[motivic cohomology]]. He conjectured the category of motivic sheaves with remarkable cohomological properties, what is often called the Beĭlinson dream. Some of his works, especially those in collaboration with [[Vladimir Drinfeld|Vladimir Drinfel'd]] are of large importance to mathematical physics, especially on their concept of **[[chiral algebra]]s** which are an approach to a chiral part of the [[conformal field theory]] on a curve, which is a geometric counterpart of the theory of [[vertex operator algebra]]s. In late 1980s Beĭlinson proposed a geometric analogue of the Langlands program, now called [[geometric Langlands]] program, which has been continued in his collaboration with Drinfel'd and also by Ed Frenkel, Dennis Gaitsgory, [[Ivan Mirković]], Kari Vilonen, and more recently taken up by mathematical physics community lead by [[Edward Witten|Witten]].  

Beĭlinson has substantial contributions to [[geometric representation theory]], which has been revolutionized after two discoveries: his proof (with input from Bernstein) of Kazhdan-Lusztig's connjectures in 1980, and his paper with Bernstein on what is now called [[Beĭlinson-Bernstein localization]] theorem, which lead to influx of the algebraic methods involving algebraic D-modules to representation theory. With Kazhdan, Beĭlinson has used D-modules in the proof of Jantzen's conjecture, where he introduced the noton of [[D-affinity]] and the geometric viewpoint via D-schemes. In the work on Hitchin fibration and Hitchin integrable system (with Drinfel'd) much of technique of algebraic geometry on ind-schemes, including study of D-modules is developed and used. In similar spirit to D-modules, he was also using perverse modules; with [[Ofer Gabber]], Bernstein and Deligne he developed their basic theory including deep and extremely powerful theorem for usage in representation theory, the **decomposition theorem** (see a survey: [pdf](http://www.ams.org/bull/2009-46-04/S0273-0979-09-01260-9/S0273-0979-09-01260-9.pdf)). On technical side, he also described appropriate gluing procedure for the derived categories of perverse sheaves, involving t-structures. 

Beĭlinson has shown a remarkable structure of the bounded derived category of coherent sheaves on projective spaces, and its connections to quivers. This work, together with subsequent work with [[Joseph Bernstein]] and also later works of [[Mikhail Kapranov]] and [[Alexei Bondal]] marked the birth of the [[derived noncommutative algebraic geometry]]. With [[Victor Ginzburg]], [[Yuri Manin|Manin]], [[Wolfgang Soergel]] and others, Beĭlinson introduced a wide picture of "Koszul duality patterns" in [[representation theory]]. 

His other works concentrated on [[motives]], [[higher regulators]], [[epsilon-factors]], and so on.

* [geometric Langlands homepage](http://www.math.uchicago.edu/~mitya/langlands.html)

* wikipedia: [Beilinson](http://en.wikipedia.org/wiki/Alexander_Beilinson)

* {#Beilinson85} [[Alexander Beilinson]] _Higher regulators and values of L-functions_, Journal of Soviet Mathematics 30 (1985), 2036-2070, ([mathnet (Russian)](http://www.mathnet.ru/php/archive.phtml?wshow=paper&jrnid=intd&paperid=73&option_lang=eng), [DOI](http://dx.doi.org/10.1007%2FBF02105861))

* {#Beilinson80} [[Alexander Beilinson]], _Higher regulators of curves_, Funct. Anal. Appl. 14 (1980), 116-118, [mathnet (Russian)](http://www.mathnet.ru/php/archive.phtml?wshow=paper&jrnid=faa&paperid=1800&option_lang=eng).

* {#Beilinson87} [[Alexander Beilinson]], _Height pairing between algebraic cycles_, in _K-Theory, Arithmetic and Geometry_, Lecture Notes in Mathematics Volume 1289, 1987, pp 1-26, [DOI](http://dx.doi.org/10.1007/BFb0078364).
* A. Beilinson, J. Bernstein, _Localisations de $\mathfrak{g}$–modules_, C. R. Acad. Sci. Paris __292__ (1981), 15–18.

* A. A. Beilinson, [[V. Drinfeld]], _[[Chiral Algebras]]_, AMS 2004 (a preprint in various forms since around 1995, cf. [here](http://www.math.uchicago.edu/~mitya/langlands.html)).

* A. A. Beilinson, V. Ginzburg, W. Soergel, _Koszul duality patterns in representation theory_, J. Amer. Math. Soc. __9__ (2): 473–527 (1996).

* A. A. Beĭlinson, V. A. Ginsburg, V. V. Schechtman, _Koszul duality_,  J. Geom. Phys. __5__  (1988),  no. 3, 317--350.

* A. A. Beilinson, J. Bernstein, [[P. Deligne]], _Faisceaux pervers_, Astérisque __100__ (1980).

* A. Beilinson, [[Victor Ginzburg|V. Ginzburg]], _[[wall crossing|Wall-crossing]] functors and $D$-modules_, Representation Theory __3__ (electronic), 1--31 (1999)

* A. Beĭlinson, [[J. Bernstein]], _A proof of Jantzen conjectures_, I. M. Gelʹfand Seminar,  1--50, Adv. Soviet Math., 16, Part 1, Amer. Math. Soc. 1993, [pdf](http://www.math.harvard.edu/~gaitsgde/grad_2009/BB%20-%20Jantzen.pdf)

## Related $n$Lab entries

* [[Deligne-Beilinson cohomology]]

* [[Beilinson regulator]]

* [[Beilinson conjecture]]

* [[derived noncommutative algebraic geometry]]

* [[p-adic Hodge theory]]

[[!redirects Beilinson]]
[[!redirects A. A. Beilinson]]
[[!redirects A.A. Beilinson]]
[[!redirects A. Beilinson]]
[[!redirects Sasha Beilinson]]

[[!redirects Beĭlinson]]
[[!redirects A. A. Beĭlinson]]
[[!redirects A. Beĭlinson]]