##Barycenter of a simplex
+--{: .un_defn}
######Definition
If $\sigma = \{ v_0, \ldots, v_q\} \in K_q$, the set of $q$-simplices of a [[simplicial complex]], $K$, then its **barycentre**, $b(\sigma)$, is the point 

$$b(\sigma) = \sum_{0\leq i \leq q}\frac{1}{q + 1} v_i \in |K|.$$
=--
For the use of barycenters in the **barycentric subdivision**, see [[classical triangulation]] or 



* wikipedia: [barycentric subdivision](http://en.wikipedia.org/wiki/Barycentric_subdivision), [barycentric coordinates](http://en.wikipedia.org/wiki/Barycentric_coordinates_%28mathematics%29)

* [barycentric coordinates homepage](http://www.inf.usi.ch/hormann/barycentric)

* Wolframworld: [[barycentric coordinates](http://mathworld.wolfram.com/BarycentricCoordinates.html)