
**geometry** $\leftarrow$ [[Isbell duality]]  $\rightarrow$ [[algebra]]

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher geometry
+--{: .hide}
[[!include higher geometry - contents]]
=--
=--
=--


See also [[topology]].

## Related entries

* [[geometric type theory]], [[geometric homotopy type theory]]

* [[synthetic geometry]]

* [[differential geometry]], [[differential topology]], [[Diff]], [[cobordism]]
* [[differential form]], [[tangent space]], [[tangent bundle]], [[cotangent bundle]], [[cotangent complex]]
* [[symplectic geometry]], [[symplectic manifold]], [[Poisson manifold]], [[Lagrangian submanifold]]
* [[multisymplectic geometry]], [[n-symplectic manifold]], [[foliation]], [[integrable distribution]], [[G-structure]]
* [[fibre bundle]], [[principal bundle]], [[noncommutative principal bundle]], [[vector bundle]]
* [[connection]] (and links therein), [[connection on a bundle]]
* [[Morse function]], [[Morse lemma]], [[Morse theory]], [[perfect Morse function]]
* [[Casson invariant]], [[Donaldson-Thomas invariant]], [[Kähler manifold]], [[mirror symmetry]]
* [[metric space]], [[convex set]], [[Riemannian manifold]], [[geodesic flow]], [[geodesic convexity]], [[star-shaped]]
* [[differentiable stack]], [[orbifold]], [[stratifold]], [[orientifold]]

* [[algebraic geometry]], [[analytic geometry]], 
[[arithmetic geometry]], [[GAGA]], book entry [[EGA]]
* [[scheme]], [[quasicompact]], [[noetherian scheme]], [[reduced scheme]], [[integral scheme]]
* [[open subscheme]], [[closed subscheme]], [[configuration scheme]]
* [[formal scheme]], [[formal group scheme]], [[formal group law]], [[algebraic group]]
* [[spectrum (geometry)]]
* [[algebraic variety]], [[normal variety]], [[hyperplane line bundle]]


* [[derived algebraic geometry]], [[derived smooth manifold]]
* [[noncommutative geometry]], [[derived noncommutative algebraic geometry]]
* [[noncommutative algebraic geometry]], [[noncommutative scheme]], [[noncommutative thin scheme]]
* [[hyperplane section theorem]], [[BBDG decomposition theorem]]
* [[rational map]], [[rational variety]], [[unirational variety]], [[birational map]], [[birational geometry]], [[image of a rational map]]
* [[algebraic space]], [[algebraic stack]], [[topological stack]]
* [[quasicoherent sheaf]], [[coherent sheaf]], [[relative scheme]]
* [[smooth scheme]], [[smooth morphism of schemes]], [[etale morphism]], [[formally smooth morphism]]
* [[pure motive]], [[Voevodsky motive]]
* [[D-module]], [[local system]], [[regular differential operator]], [[holonomic D-module]]
* [[D-geometry]], [[Grothendieck connection]], [[crystal]], [[diffiety]]
* [[flag variety]], [[geometric quantization]], [[coherent state]], [[orbit]], [[coadjoint orbit]]
* [[Lie group]], [[Lie groupoid]], [[Lie algebroid]], [[Courant algebroid]], [[Atiyah Lie groupoid]]
* [[Lie theory]], [[Lie's three theorems]], [[Erlangen program]]
* [[ringed space]], [[ringed site]], [[ringed topos]], [[lined topos]]
* [[sheaf of ideals]], [[defining sheaf]], [[conormal sheaf]], [[conormal bundle]], [[subscheme of an Abelian category]]
* [[synthetic differential geometry]], [[infinitesimal object]], [[smooth topos]], [[Kock-Lawvere axiom]], [[infinitesimal singular simplicial complex]], [[differential forms in synthetic differential geometry]]
 
  * book entry [[Models for Smooth Infinitesimal Analysis]]
* [[generalized smooth space]]: 

  * [[Froelicher space]], [[diffeological space]], [[smooth space]]
* [[space and quantity]]
* [[Euclidean geometry]], [[trigonometry]]

* [[D-brane geometry]]

There are many entries on [[sheaf]], [[stack]], [[site]], [[locale]] and [[topos]] theory including

* [[germ]], [[etale space]], [[soft sheaf]], [[flabby sheaf]], [[fine sheaf]], [[Grothendieck topos]], [[Grothendieck topology]], [[(infinity,1)-topos]], [[smooth topos]], [[(infinity,1)-category of (infinity,1)-sheaves]], [[cover]], [[hypercover]], [[local object]], [[local isomorphism]], [[coverage]], [[local epimorphism]], [[hypercompletion]], [[sieve]], [[Verdier site]], [[Grothendieck fibration]], [[Pierce spectrum]], [[Stone duality]], [[point of a topos]], [[geometric morphism]]... 

and pages on various [[cohomology|cohomologies]], including [[sheaf cohomology]], [[nonabelian cohomology]], [[differential cohomology]], [[Deligne cohomology]], [[etale cohomology]], [[equivariant cohomology]], [[Bredon cohomology]] and their cocycle classes including [[torsors]], [[gerbes]], [[principal 2-bundles]] as well as the related picture of the [[descent]] theory (cf. [[oriental]], [[descent for simplicial presheaves]]...). A modern systematic theory of cohomology and descent can be done using the language of $(\infinity,1)$-categories and abstract [[homotopy theory]], say via Quillen [[model categories]] (e.g. of [[simplicial presheaves]]).  

[[!include Isbell duality - table]]

[[!redirects geometric]]