In [[higher category theory]], the [adjective](http://en.wikipedia.org/wiki/Adjective) **complicial** appears in two rather *distinct* meanings.

##Complicial sets

One meaning pertains to a special kind of [[simplicial sets]], called [[complicial sets]], which correspond to nerves of strict infinity-categories, and also to their non-strict version [[weak complicial sets]] studied by [[Dominic Verity]]. In particular complicial is much more special than simplicial in this meaning. 

##Complicial algebraic geometry

Unlike the complicial sets, complicial in the second meaning will correspond to in a sense a more general situation than simplicial sets. The second meaning is pertaining to higher categories/higher geometry where the local models (or sometimes enrichments) are based on the category of unbounded complexes over a fixed commutative ring.

Namely, in [[higher  geometry]] one often looks at categories of spectra or chain complexes, or categories enriched in spectra or chain complexes. If one looks just at positive or negative chain complexes than one has more or less the standard simplicial, or infinite-categorical picture, according to the [[Dold-Kan correspondence]], but when one deals with complexes infinite in both directions, then many analogues of statements and intuition from the usual algebraic geometry do not generalize to this setup, unlike the simplicial case. Some people call such examples complicial, e.g. the French Nice/Toulouse school of derived geometry ([[Carlos Simpson]], [[Bertrand Toen]]...). At the 'café', there has been some discussion of Z-categories which corresponds to an equivalent setup: [link](http://golem.ph.utexas.edu/category/2007/11/this_weeks_finds_in_mathematic_22.html#c013345).

Quote from [[Bertrand Toën]], [[Gabriele Vezzosi]], _Homotopical algebraic geometry II: geometric stacks and applications_:

> What we call **complicial algebraic geometry** is an **unbounded** version of [[derived algebraic geometry]] in which the base model category is $C(k)$ the category of unbounded complexes over some commutative ring $k$ (of characteristics zero), and is presented in par. 2.3. It turns out that linear algebra over $C(k)$ behaves quite differently than over the category of simplicial $k$-modules (corresponding to complexes in non-positive degrees). Indeed the smooth, étale and Zariski open immersion can not be described using a simple description on homotopy groups anymore.

> ...This makes the complicial theory rather different from derived algebraic geometry. 

Even if one chooses to look just at the simplicial sheaves their domain is a version of the [[dg-category]] of, or the Quillen [[model category]] of the derived affine schemes which is, by the definition, the opposite of the category of unbounded commutative differential algebras (with certain model structure). 

[[!redirects complicial algebraic geometry]]