
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Higher category theory
+-- {: .hide}
[[!include higher category theory - contents]]
=--
#### Monoidal categories
+-- {: .hide}
[[!include monoidal categories - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

In [[higher category theory]], there are several periodic tables, analogous to the [[periodic table of chemical elements]]. Just as this table allowed Менделеев to [predict the existence of undiscovered elements](https://secure.wikimedia.org/wikipedia/en/wiki/Mendeleev%27s_predicted_elements) in the table\'s gaps, so these periodic tables sometimes inspire us to invent new varieties of [[n-categories]].


## History

The first periodic table of [[n-categories]], due to [[John Baez]] and [[James Dolan]], was a slightly distorted version of the periodic table of $k$-[[k-tuply monoidal n-category|tuply monoidal]] $n$-categories.

Fully filled out, the table looked like this:
<table><tr><th markdown="1">$k$↓\$n$→</th><th markdown="1">$-2$</th><th markdown="1">$-1$</th><th markdown="1">$0$</th><th markdown="1">$1$</th><th markdown="1">$2$</th><th>...</th></tr>
<tr><th markdown="1">$0$</th><td>trivial</td><td>[[truth value]]</td><td>[[set]]</td><td>[[category]]</td><td>[[2-category]]</td><td>...</td></tr>
<tr><th markdown="1">$1$</th><td>"</td><td>trivial</td><td>[[monoid]]</td><td>[[monoidal category]]</td><td>[[monoidal 2-category]]</td><td>...</td></tr>
<tr><th markdown="1">$2$</th><td>"</td><td>"</td><td>[[abelian monoid]]</td><td>[[braided monoidal category]]</td><td>[[braided monoidal 2-category]]</td><td>...</td></tr>
<tr><th markdown="1">$3$</th><td>"</td><td>"</td><td>"</td><td>[[symmetric monoidal category]]</td><td>[[sylleptic monoidal 2-category]]</td><td>...</td></tr>
<tr><th markdown="1">$4$</th><td>"</td><td>"</td><td>"</td><td>"</td><td>[[symmetric monoidal 2-category]]</td><td>...</td></tr>
<tr><th>⋮</th><td>"</td><td>"</td><td>"</td><td>"</td><td>"</td><td>⋱</td></tr></table>
Actually, the columns where $n = -1$ and $n = -2$ were not there, but they appeared to be required by the pattern of the table.

We now recognise that a $0$-tuply monoidal $n$-category should be *pointed*, leading to a slightly different table (see that page). Similarly, the definition given when $k \gt 0$ didn\'t mention pointedness, giving essentially the definition of $(k-1)$-[[k-tuply connected n-category|simply connected]] $(n+k)$-category. This makes a difference to the notions of morphism and higher morphism between such structures.

Eugenia Cheng and Nick Gurski wrote a [paper](http://arxiv.org/abs/0708.1178) about how these don't end up quite right if you just look at $(k-1)$-simply connected $(n+k)$-categories, but in all cases we have analyzed they do come out correct if you look at the pointed versions.  More on this can be found in the appendix to  [n-categories and cohomology](http://arxiv.org/abs/math.CT/0608420).


## Examples

... appearances in TWF, filling gaps, the first extension to small $n$, the established literature on $(n,r)$-categories, the stabilisation hypothesis, the tangle hypothesis, the table with Lie algebroids and the like, the appendix to John\'s and Mike\'s paper; most of these individual tables will have their own pages; ...

* $k$-[[k-tuply monoidal n-category|tuply monoidal]] $n$-categories;
* $(n,r)$-[[(n,r)-category|categories]];
* $k$-[[k-tuply groupal n-groupoid|tuply groupal]] $n$-groupoids;
* $k$-tuply monoidal $(n,r)$-categories, a [[k-tuply monoidal (n,r)-category|combination of all of the above]];
* etc.


## Related entries

* [[stabilization hypothesis]]

* [[delooping hypothesis]]


[[!redirects periodic table]]
[[!redirects periodic tables]]
[[!redirects periodic table of the n-categories]]
[[!redirects periodic table of n-categories]]
[[!redirects periodic table of n-category theory]]
[[!redirects periodic table of the higher categories]]
[[!redirects periodic table of higher categories]]
[[!redirects periodic table of higher categories]]
[[!redirects periodic table of higher category theory]]
