

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Group Theory
+-- {: .hide}
[[!include group theory - contents]]
=--
#### $(\infty,1)$-Category theory
+--{: .hide}
[[!include quasi-category theory contents]]
=--
=--
=--





#Contents#
* table of contents
{:toc}


## Definition

An **&#8734;-group** is a [[groupoid object in an (∞,1)-category|group object]] in [[∞Grpd]].  

Equivalently (by the [[delooping hypothesis]]) it is a [[pointed object|pointed]] [[connected]] $\infty$-[[infinity-groupoid|groupoid]].

Under the [[homotopy hypothesis|identification]] of [[∞Grpd]] with [[Top]] this is known as an $A_\infty$-[[A-infinity-space|space]], for instance.

An **$\infty$-Lie group** is accordingly a group object in [[∞-Lie groupoid]]s. And so on.

## Properties

For details see [[groupoid object in an (∞,1)-category]].

## Models

By

* [[model structure on simplicial groups]]

* [[model structure on reduced simplicial sets]]

## Related concepts and Examples


* [[group]]

* [[2-group]], [[braided 2-group]]

* [[n-group]], [[k-tuply groupal n-groupoid]]

* **$\infty$-group**, [[braided ∞-group]]

  * [[looping and delooping]]

  * [[automorphism ∞-group]]

    * [[∞-group of bisections]]

  * [[∞-group of units]]

    * [[Picard ∞-group]]
 
      * [[Brauer ∞-group]]

  * [[center of an ∞-group]]

  * [[normal morphism of ∞-groups]]

  * [[stabilizer ∞-group]]

  * [[outer automorphism ∞-group]]

  * [[Eilenberg-MacLane object]], [[∞-gerbe]]

  * [[∞-group cohomology]]

  * [[∞-group extension]]

  * [[augmented ∞-group]]

  * [[∞-group completion]]

  * [[finite ∞-group]]

* [[∞-action]]


[[!include k-monoidal table]]


## References
 {#References}

A standard textbook reference on $\infty$-groups in the [[classical model structure on simplicial sets]] is 

* {#GoerssJardine} [[Paul Goerss]], [[Rick Jardine]], chapter V of _[[Simplicial homotopy theory]]_ [chapter V](http://www.maths.abdn.ac.uk/~bensondj/papers/g/goerss-jardine/ch-5.dvi). 

[[groupoid object in an (infinity,1)-category|Group objects in (infinity,1)-categories]] are the topic of 

* {#Lurie} [[Jacob Lurie]], section 6.1.2 in  _[[Higher Topos Theory]]_ 



Model category presentations of group(oid) objects in $\infty Grpd$ by groupoidal [[complete Segal spaces]] are discussed in 

* [[Julia Bergner]], 

  _Adding inverses to diagrams encoding algebraic structures_, Homology, Homotopy and Applications 10 (2008), no. 2, 149&#8211;174. ([arXiv:0610291](http://arxiv.org/abs/math/0610291))

  _Adding inverses to diagrams II: Invertible homotopy theories are spaces_, Homology, Homotopy and Applications, Vol. 10 (2008), No. 2, pp.175-193. ([web](http://www.intlpress.com/hha/v10/n2/a9/), [arXiv:0710.2254](http://arxiv.org/abs/0710.2254))



Discussion from the point of view of [[category objects in an (∞,1)-category]] is in 

* {#Lurie2} [[Jacob Lurie]], _[[(∞,2)-Categories and the Goodwillie Calculus]]_ ([arXiv:0905.0462](http://arxiv.org/abs/0905.0462))
 

The [[homotopy theory]] of $\infty$-groups that are [[n-connected]] and [[n-truncated|r-truncated]] for $r \leq n$ is discussed in 

* [[A.R. Garzón]], J.G. Miranda, _Serre homotopy theory in subcategories of simplicial groups_ Journal of Pure and Applied Algebra Volume 147, Issue 2, 24 March 2000, Pages 107-123 

Discussion in [[homotopy type theory]] is in

* {#BuchholtzDoornRijke18} [[Ulrik Buchholtz]], [[Floris van Doorn]], [[Egbert Rijke]], _Higher Groups in Homotopy Type Theory_ ([arXiv:1802.04315](https://arxiv.org/abs/1802.04315))

For more see the references at _[[infinity-action]]_.

[[!redirects ∞-group]]
[[!redirects ∞-groups]]
[[!redirects infinity-groups]]

category:&#8734;-groupoid