[[!redirects etale map]]

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### &#201;tale morphisms
+--{: .hide}
[[!include etale morphisms - contents]]
=--
#### Geometry
+--{: .hide}
[[!include higher geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The notion of _&#233;tale map_ is an abstraction of that of [[local homeomorphism]] in [[topology]].   The concept is usually found in places with a geometric or topological flavour.

## Examples

### Between topological spaces

An &#233;tale map between [[topological spaces]] is a  [[local homeomorphism]]; see [[étalé space]] (which is the total space of such a map viewed as a [[bundle]]).

### Between smooth manifolds

An &#233;tale map between [[smooth spaces]] is a  [[local diffeomorphisms]], which is in particular a [[local homeomorphism]] on the underlying [[topological spaces]].

### Between schemes (affine schemes / rings)

For an &#233;tale map between [[schemes]] see _[[étale morphism of schemes]]_.

Restricted to [[affine schemes]], this yields, [[Isbell duality|dually]], a notion of &#233;tale morphisms between [[rings]]. &#201;tale maps between noncommutative [[rings]] have also been considered.

### Between $E_\infty$-rings

* [[étale morphism of E-∞ rings]]


### Between analytic spaces

*  &#201;tale maps between [[analytic spaces]] are closely related to &#233;tale maps between schemes, while also a special case of an &#233;tale map between smooth spaces. 

+-- {: .query}
Zoran: I do not understand this statement. Analytic spaces have a different structure sheaf; in general nilpotent elements are allowed. This is additional structure not present in theory of smooth spaces. 
=--

### Between toposes

* [[étale geometric morphism]]

## Axiomatization

The idea of _&#233;tale morphisms_ can be axiomatized in any [[topos]]. This idea goes back to lectures by [[André Joyal]] in the 1970s. See ([Joyal-Moerdijk 1994](#JoyalMoerdijk)) and ([Dubuc 2000](#Dubuc)).

## Related concepts

* [[open morphism]], [[closed morphism]]

* [[separated morphism]]

* [[formally étale morphism]]

* [[log-étale morphism]]

## References

Axiomatizations of the notion of &#233;tale maps in general [[toposes]] are discussed in 


* [[André Joyal]], [[Ieke Moerdijk]], _A completeness theorem for open maps_, Annals of Pure and Applied Logic __70__, Issue 1, 18 November 1994, p. 51-86, [MR95j:03104](http://www.ams.org/mathscinet-getitem?mr=1303663), <a href="http://dx.doi.org/10.1016/0168-0072(94)90069-8">doi</a> 
{#JoyalMoerdijk}

* [[Eduardo Dubuc]], _Axiomatic etal maps and a theory of spectrum_, Journal of pure and applied algebra,  149 (2000)
 {#Dubuc}


[[!redirects étale map]]
[[!redirects etale map]]
[[!redirects étale maps]]
[[!redirects etale maps]]

[[!redirects étale morphism]]
[[!redirects étale morphisms]]
[[!redirects etale morphism]]
[[!redirects etale morphisms]]