
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Topology
+--{: .hide}
[[!include topology - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea


A _profinite set_ is a [[pro-object]] in [[FinSet]]. By [[Stone duality]] these are [[equivalence|equivalent]] to [[Stone spaces]] and thus are often called _profinite spaces_. So these are [[compact space|compact]] [[Hausdorff space|Hausdorff]] [[connected space|totally disconnected]] [[topological spaces]].

These are precisely the spaces which are small [[cofiltered limits]] of finite [[discrete spaces]], and moreover (as a consequence of [[Stone duality]]) the [[category]] of Stone spaces is [[equivalence of categories|equivalent]] to the category $pro(FinSet)$ of [[pro-objects]] in [[FinSet]] and finite sets sit $FinSet\hookrightarrow pro(FinSet)$ as finite discrete spaces.  This is especially common when talking about [[profinite groups]] and related topics.

+-- {: .num_example}
###### Example

An [[internal group]] in the category of Stone spaces /  profinite spaces and continuous maps is a [[profinite group]].

=--

+-- {: .num_remark}
###### Remark

Just as the term '[[space]]' is used by some schools of [[algebraic topology|algebraic topologists]] as a synonym for [[simplicial set]], so 'profinite space' is sometimes used as meaning a '[[simplicial object]] in the category of compact and totally disconnected topological spaces', i.e. in the other terminology a 'simplicial profinite space'. This is further complicated by the question of whether or not pro(finite simplicial sets)
and simplicial profinite spaces are the same thing.

=--

## Properties

### Profinite reflection

* [[profinite reflection]]

## Related concepts

* [[extremally disconnected profinite set]]

* [[profinite homotopy type]]

* [[pro-homotopy theory]]

## References

The primary meaning (as Stone space) is used in sources on profinite groups, for which see the entries _[[Stone space]]_, _[[profinite group]]_.

* Abolfazl Tarizadeh, _On the category of profinite spaces as a reflective subcategory_ ([arXiv:1207.5963](http://arxiv.org/abs/1207.5963)) 


Discussion of [[homotopy theory]] of pro(finite) [[simplicial sets]] is in 


* [[G. Quick]], _Profinite homotopy theory_, Documenta Mathematica, 13, 
(2008), 585–612, (Archiv [0803.4082](http://arxiv.org/abs/0803.4082))

* [[Jacob Lurie]], _Profinite spaces_ ([pdf](http://www-math.mit.edu/~lurie/917notes/Lecture26.pdf))


[[!redirects Profinite space]]
[[!redirects profinite spaces]]
[[!redirects profinite set]]
[[!redirects profinite sets]]