

### Idea### 

In Algebraic Topology, profinite homotopy types are frequently encountered. This is often because of the use of [[profinite completion of homotopy type|profinite completion]]s of homotopy types in an attempt to get more 'accessible' information out of a homotopy type. The theory has applications both in Algebraic Geometry and Algebraic topology. 

One origin of the theory can be found in [[Grothendieck's Galois theory]], in which he defined an [[algebraic fundamental group]] of a scheme using its _finite_ 'covering spaces'.  These correspond to the finite field extensions in the [[Grothendieck's Galois theory| classical case of fields]], and from that perspective one can ask what the higher profinite homotopy n-types of a scheme should classify.    

In the 1960s Artin and Mazur constructed a functor which associates to
each locally noetherian scheme $X$ its [[etale homotopy type|étale homotopy type]], $X_{et}$ , an object of
$pro\Ho(SSets)$, the [[pro-object|pro-category]] of the homotopy category $Ho(SSets)$ of simplicial sets. They observed that this did not correspond to a homotopy category of a [[model category]] on a category of pro simplicial sets. (This observation was the start of the search for a suitable [[pro-homotopy theory]].)

Friedlander gave a rigidified version of the Artin-Mazur homotopy type, which he called the [[etale topological type|étale topological type]] of the scheme. This was used by Quillen in the proof of the Adams conjecture, a result purely in Algebraic Topology.

* Dennis Sullivan introduced profinite completions into topology in his work:
D. Sullivan, _Genetics of homotopy theory and the Adams conjecture_, 
Annals of Math., 100, (1974), 1–79. The Adams conjecture, which is a statement about purely topological phenomena, was then proved by Quillen using these ideas.


* At about the same time, Bousfield and Kan, studied profinite completions amongst a wealth of other stuff in
A. Bousfield and D. Kan, 1972, _Homotopy limits, Completions and localizations_, volume 304 of Lecture Notes in Maths , Springer-Verlag. 



* In the 1990s, Morel and Voevodsky defined a neat framework
for the use of topological methods in algebraic geometry. They embedded the
category of smooth schemes of 'finite type over a field $k$ into a larger category
of '$k$-spaces', which carries the structure of a closed model category. The study of these $k$-spaces is linked to [[etale homotopy theory|étale homotopy theory]], see Schmidt, _On the étale homotopy type of
Morel-Voevodsky spaces_, and [[Dan Isaksen]], _Etale realization on the $A^1$-homotopy theory of schemes_. Adv. in Math. 184, 37--63 (2004).

* A well motivated approach to profinite homotopy theory has been published by [[Gereon Quick]], in order to give a good [[profinite completion]]  construction for homotopy types;  (see  G. Quick, _Profinite homotopy theory_, Documenta Mathematica, 13, 
(2008), 585–612, (Archiv [0803.4082](http://arxiv.org/abs/0803.4082)) and _Some remarks on profinite completion of spaces_ , Arxiv 
preprint [arXiv:1104.4659](http://arxiv.org/pdf/1104.4659.pdf). The published version of the model category structure does not give enough generators of the fibrations, but this is corrected in a later article.

[[!redirects profinite homotopy theory]]