
#Contents#
* table of contents
{:toc}

## Idea

The _algebraic fundamental group_ is the [[fundamental group]] of a [[scheme]], as defined by [[Grothendieck]] in [[SGA1]]. It is essentially the fundamental group as seen by [[étale homotopy]], the _[[étale fundamental group]]_.

For [[fields]] this is essentially the [[Galois group]]. For [[smooth varieties]] it is the [[Galois group]] of the maximal [[unramified extension]] of the [[function field of a variety|function field]] of the variety (e.g. [MK 09, p. 3](#Kim09)).

In [[arithmetic geometry]] one also speaks of the _arithmetic fundamental group_.

##Definition

 Let $S$ be a connected [[scheme]]. Recall that a finite [[étale cover]] of $S$ is a finite flat 
surjection $X\to S$ such that each fibre at a point $s \in S$ is the spectrum of a finite [[étale algebra]] over the local ring at $s$. Fix a [[geometric point]] $\overline{s} : Spec(\Omega) \to \Omega$. 

For a finite étale cover, $X\to S$,  we consider the [[geometric fibre]], $X\times_S Spec (\Omega)$, over  $\overline{s}$, and denote by $Fib_\overline{s} (X)$ its 
underlying set. This gives a set-valued functor on the category of finite étale covers 
of $X$.

The *algebraic fundamental group*, $\pi_1(S,  \overline{s})$ is defined to be the automorphism group 
of this functor.


For more on this area, see at _[[étale homotopy]]_.

(This entry is a stub and needs more work, including the linked entries that do not yet exist! Also explanation of $\Omega$. It is adapted from the first reference below.)

##References

* [[Tamás Szamuely ]], [Heidelberg Lectures on Fundamental Groups](http://www.renyi.hu/~szamuely/pia.pdf), 2010.

or in a lengthier form:

*   [[Tamás Szamuely ]], Galois Groups and Fundamental Groups, Cambridge Studies in Advanced Mathematics, vol. 117, Cambridge University Press, 2009. 

An earlier version is to be found [here](http://math.uchicago.edu/~aanders/books/szamuely_-_galois_groups_and_fundamental_groups.pdf).

A paper on a closely related subject is 

* Feng-Wen An, _On the arithmetic fundamental groups_ ([arXiv:0910.0605](http://arxiv.org/abs/0910.0605))

See also 

* {#Kim08} [[Minhyong Kim]], _Fundamental groups and Diophantine geometry_, 2008 ([pdf](http://www.ucl.ac.uk/~ucahmki/leeds.pdf))

* {#Kim09} [[Minhyong Kim]], _Galois theory and Diophantine geometry_, 2009 ([pdf](http://www.ucl.ac.uk/~ucahmki/cambridgews.pdf))


[[!redirects algebraic fundamental groups]]

[[!redirects arithmetic fundamental group]]
[[!redirects arithmetic fundamental groups]]