While for manifolds there is a [[Poincare duality|Poincaré duality]] relating homology and cohomology, it fails for singular spaces. One can extend the idea of duality by taking into account (co)dimensions of singular strata. This idea can be concretized in a definition of **intersection cohomology** which has an additional parameter called **perversity**. In two special cases of perversity, it boils down to either homology or cohomology; thus some call it intersection homology. Main applications are in study of topology of singular spaces and in [[geometric representation theory]]. In particular properties of intersection of cycles of various codimension, including transversality are neatly accounted for.  

* M. Banagl, _Topological invariants of stratified spaces_, Springer Monographs in Math. 2000. 

* R. MacPherson, _Intersection homology and perverse sheaves_,  1990 notes [pdf](http://faculty.tcu.edu/gfriedman/notes/ih.pdf)

* R. MacPherson, _Global questions in the topology of singular spaces_, Proc. ICM Warsaw 1983, [pdf](http://www.mathunion.org/ICM/ICM1983.1/Main/icm1983.1.0213.0236.ocr.pdf)

* M. Goresky, G. MacPherson, _Morse theory and intersection homology theory_, Astérisque 101-102 parts II-III (1983), 135-192.

* wikipedia: [intersection homology](http://en.wikipedia.org/wiki/Intersection_homology)

* F. Kirwan, J. Woolf, _An introduction to intersection homology_,  Chapman & Hall/CRC, 2006. [MR2006k:32061](http://www.ams.org/mathscinet-getitem?mr=2207421)

* A. Borel et al. _Intersection cohomology_, Notes on the seminar held at the University of Bern, 1983. Progress in Math. __50__, Birkhäuser 1984 [MR88d:32024](http://www.ams.org/mathscinet-getitem?mr=788171) 

* Springer Online Enc. of Math., [intersection homology](http://eom.springer.de/I/i052000.htm)

* MO question: [what happened to intersection homology](http://mathoverflow.net/questions/6874/what-if-anything-happened-to-intersection-homology)

* Steven L. Kleiman, _The development of intersection homology theory_, Pure Appl. Math. Q. __3__ (2007), no. 1, Special Issue: In honor of Robert D. MacPherson. Part 3, 225–282, [MR2008e:55006](http://www.ams.org/mathscinet-getitem?mr=2330160)

* T. A. Springer, _Quelques applications de la cohomologie d'intersection_,  Séminaire Bourbaki __24__ (1981-1982), Exp. No. 589, 25 p.
[MR689533](http://www.ams.org/mathscinet-getitem?mr=689533),  [Zbl0526.22014](http://www.zentralblatt-math.org/zmath/en/search/?q=an:0526.22014)

* [[George Lusztig]], _Intersection cohomology methods in representation theory_, Proc. ICM 1990, [pdf](http://mathunion.org/ICM/ICM1990.1/Main/icm1990.1.0155.0174.ocr.pdf)

[[!redirects intersection cohomology]]
[[!redirects intersection homology]]
