[[!redirects music]]
[[!redirects music]]
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}


## Idea

The application of mathematics in the theory of music in the West is generally thought to start with Pythagoras and progress though the works of Euler, Mersenne, Helmholtz, and others. Recently, **mathematical music theory** has gained impetus through, among others, the Neo-Riemannian theory of harmony, David Lewin's research on transformational theory, and Guerino Mazzola's application of topos theory. 

As well, the application of science and math to the theory of human perception of sound is known as _pyschoaccoustics_ and has had a major impact in today's musically digital world. All of these viewpoints have greatly enhanced the variety of mathematical concepts employed in the study of music that today include tools from [[set]], [[group]], and [[category theory]].

## Related entries

* [[dihedral group]]

* [[canonical formula of myth]]

## Links 

* John Baez: _This week's find week 234_ , June 12, 2006. ([link](http://math.ucr.edu/home/baez/week234.html))

* n-café: _The Mathematics of Music at Chicago_ , May 31, 2009. ([link](https://golem.ph.utexas.edu/category/2009/05/the_mathematics_of_music_at_ch.html))

* For applications of mathematics to music, see [Thomas M. Fiore\'s page](http://www-personal.umd.umich.edu/~tmfiore/1/music.html).

* For discussions on the interaction of category theory and music, see the [MaMux seminar](http://recherche.ircam.fr/equipes/repmus/mamux/) at IRCAM, Paris.

## References

A comprehensive anthology of Riemannian and Neo-Riemannian music theory is:

* Edward Gollin, Alexander Rehding (eds.), _The Oxford Handbook of Neo-Riemannian Music Theories_ , Oxford UP 2014.

Some canonical music theory texts that rely on mathematics:

* Allen Forte, _The Structure of Atonal Music_, Yale University Press 1977.

> "The Structure of Atonal Music ranks as one of the most important contributions to music theory in the twentieth century. His use of the computer as well as traditional means of analysis has led to fuller knowledge of musical structure and thereby enhanced both the understanding and the enjoyment of music."

* David Lewin, _Generalized Musical Intervals and Transformations_, Oxford University Press 2010.

> "David Lewin's Generalized Musical Intervals and Transformations is recognized as the seminal work paving the way for current studies in mathematical and systematic approaches to music analysis."

* Joseph N. Straus, _Introduction to Post-Tonal Theory (third edition)_, Pearson 2004. 

> "The third edition stays abreast of recent theoretical developments by including discussions of transformational networks and graphs, contour theory, atonal voice leading, triadic post-tonality (including neotonality), inversional symmetry, and interval cycles."

* Arnold Schönberg, _Theory of Harmony: 100TH ANNIVERSARY EDITION_, University of California Press 2010.

A nice first introduction to music theory and what groups can do for it is

* [[Alissa Crans|Alissa S. Crans]], [[Thomas M. Fiore]], Ramon Satyendra, _Musical Actions of Dihedral Groups_ , arXiv:0711.1873 (2008). ([abstract](http://arxiv.org/abs/0711.1873))

More mathematically inclined are the following

* Emilio Lluis-Puebla, Ocatavio A. Augustín-Aquino (eds.), _Memoirs of the
Fourth International Seminar on
Mathematical Music Theory_ , Sociedad Matemática Mexicana 2010. ([pdf](http://sociedadmatematicamexicana.org.mx/SEPA/ECMS/resumen/PME1_1.pdf))

* Guerino Mazzola, _Geometrie der Töne_ , Birkhäuser Basel 1990.

* {#Mazzola02} Guerino Mazzola, _The Topos of Music_ , Birkhäuser Basel 2002.

* Guerino Mazzola, _Mathematical Music Theory: Status Quo 2010_ , pp.11-42 in [Lluis-Puebla, Augustín-Aquino (2010)](#LPAA10).

* Dimitri Tymoczko, _A Geometry of Music: Harmony and Counterpoint in the Extended Common Practice_ , Oxford University Press 2011.

* Dmitri Tymoczko, _Generalizing Musical Intervals_ , Journal of Music Theory **53** no.2 (2009) pp.227-254. ([draft](http://dmitri.mycpanel.princeton.edu/files/publications/lewin.pdf))

An introduction to group theory with applications to Neo-Riemannian theory is

* Ocatavio A. Augustín-Aquino, Janine du Plessis, Emilio Lluis-Puebla, Mariana Montiel, _Una introducción a la Teoría de Grupos
con aplicaciones en la Teoría Matemática de la Música_ , Sociedad Matemática Mexicana 2009. ([pdf](http://pesmm.org.mx/Serie%20Textos_archivos/T10.pdf))

Besides the monumental [Mazzola (2002)]((#Mazzola02), the following employ category theory:

* Thomas Noll, _The Topos of Triads_ , pp.1-26 in Fripertinger, Reich (eds.),  _Colloquium on Mathematical Music Theory_ ,
Grazer Math. Ber. **347** (2005). ([citeseer](http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.134.5669))

* Alexandre Popoff, _Towards A Categorical Approach of
Transformational Music Theory_ , arXiv:1204.3216 (2014). ([abstract](http://arxiv.org/abs/1204.3216))

These introductory texts on psychoaccoustics help provide a foundation to better understand how sound becomes emotion becomes music:

* Arthur H. Benade, _Fundamentals of Musical Acoustics_ , Dover New York 1976. 

* Hugo Fastl, Eberhard Zwicker, _Psychoaccoustics: facts and models_ , Springer Heidelberg 1990.

* Juan G. Roederer, _The Physics and Psychophysics of Music_ , Springer Heidelberg 2008$^4$.

A theory of emotions with applies beyond music in narrative arts is in

* David Huron, _Sweet Anticipation - Music and the Psychology of Expectation_ , MIT Press 2006.

An introduction to [[Haskell]] programming systemetically employing examples from music is

* Paul Hudak, _The Haskell School of Music - From Signals to Symphonies_ , ms. Yale University 2012. ([pdf](http://www.cs.yale.edu/homes/hudak/Papers/HSoM.pdf))

Other "mathymusical" topics include:

* Milton Babbit, _The function of set structure in the twelve-tone system_ , Ph.D. dissertation Princeton University 1946.

* E. Chew, _Towards a Mathematical Model of Tonality_ , Ph.D. dissertation MIT Cambridge 2000.

* David Clampitt, Thomas Noll, _Modes, the Height-Width Duality, and Handschin’s Tone Character_ , Music Theory Online **17** no.1 (2011).

* [[Thomas M. Fiore]], Ramon Satyendra, _Generalized Contextual Groups_ , Music Theory Online **11** no.3 (2005).

* J. Hook, _Uniform triadic transformations_ , Journal of Music Theory **46**
no.1-2 (2002) pp.57–126.

* T. A. Johnson, _Foundations of Diatonic Theory: A Mathematically Based Approach to Music Fundamentals_ , Scarecrow Press 2008.

* Fred Lerdahl, _Tonal Pitch Space_ , Oxford University Press 2004.

* Miguel F. M. Lima, J. A. Tenreiro Machado, António C. Costa, _A Multidimensional Scaling Analysis of Musical Sounds Based on Pseudo Phase Plane_ , Abstract and Applied Analysis Vol. 2012. (Article ID 436108)

* Thomas Noll, _Sturmian sequences and morphisms: a music theoretical application_ , Journée annuelle (2008) pp.79–102.  

* R. N. Shepard,  _Geometrical approximations to the structure of musical pitch. Psychological Review, **89** no.4 (1982) 305.

*  J. Tennenbaum,  _The Foundations of Scientific Musical Tuning_ , in Staff, Sigerson (eds.), _A Manual on the rudiments of tuning and registration_ , Schiller Institute Washington 1992.

* J. S. Walker, D. W. Gary, _Mathematics and Music: Composition, Perception, and Performance_ , Taylor&Francis Boca Raton 2013.





[[!redirects music]]
[[!redirects mathematical music theory]]