## Painlevé transcendents

In the study of ordinary differential equations one of the important things is the behaviour of [[monodromies]] and closely related singularities of solutions. In the linear case, the poles possibly appear just at the poles of coefficients of the solutions. In the nonlinear case the solutions can appear elsewhere and generally propagate with change of initial conditions. Very important is if the singularities do not move or monodromies don't change with change of parameters. 
An [[ordinary differential equation]] (ODE) satisfies the __Painlevé property__ if all solutions are single valued around every movable singularity. A class of such "good" nonlinear equations has been defined by __Paul Painlevé__ ([wikipedia](http://en.wikipedia.org/wiki/Paul_Painlev%C3%A9)), who discovered at the end of 19th century a truly remarkable fact that all second order ODEs of the form
$$
u'' = F (z; u, u'),
$$
where $F$ is rational in $u,u'$ and analytic in $z$ and which satisfy the 
Painlevé property have solutions which can be expressed in terms of well known functions like elementary and hypergeometric functions and only 6 new kinds of *transcendental functions* called _Painlevé I-VI_. Furthermore he obtained a complete classification of such equations (of second order?) in 50 classes (44+6) up to a number of standard transformations. Painlevé transcendents are now of central importance in the study of [[integrable systems]]. 

There are also some noncommutative versions which are still purely understood. 

## Literature and links

* P. Painlevé, _Sur les équations differentielles du second ordre et d'ordre superieur, dont l'integrale génerale est uniforme_, Acta Math. __25__ (1902), pp. 1–86.

* Richard Fuchs, Comptes Rendus de l’Académie des Sciences Paris 1905 __141__, 555–558
  
* wikipedia: [Painlevé transcendents](http://en.wikipedia.org/wiki/Painlev%C3%A9_transcendents)

* _One hundred years of PVI, the Fuchs–Painlevé equation_, J. Phys. A, special 
issue, Preface, 
[pdf](http://www.researchgate.net/profile/Marta_Mazzocco2/publication/243413584_One_hundred_years_of_PVI_the_FuchsPainlev_equation/links/00b495315eb2aa177d000000)

* Martin D. Kruskal, Nalini Joshi, Rod Halburd, _Analytic and asymptotic methods for nonlinear singularity analysis: a review and extensions of tests for the Painlevé property_, 1996 [pdf](http://www.ucl.ac.uk/~ucahrha/Publications/Pond-97.pdf)

* Henryk Żołądek, _The monodromy group_, Monografie Matematyczne __67__, 588 pp. Birkhäuser 2006

* A. A. Kapaev, _Quasi-linear Stokes phenomenon for the Painlevé first equation_, J. Phys. A: Math. Gen. __37__, 11149 (2004) [doi](http://dx.doi.org/10.1088/0305-4470/37/46/005)

* A. A. Bolibruch, A. R. Its, A. A. Kapaev, _On the Riemann–Hilbert–Birkhoff inverse monodromy problem and the Painlevé equations_, Алгебра и анализ, 16:1 (2004), 121–162 

* Marco Bertola, _Fredholm determinants and (noncommutative) Painlevé II equation_, slides, [pdf](http://www.impan.pl/~fasde/presentations/Bertola.pdf)

Multidimensional generalizations of Painlevé VI are introduced in 

* G. Aminov, S. Arthamonov, A. Levin, M. Olshanetsky, A. Zotov, _Painlevé field theory_, [arxiv/1306.3265](http://arxiv.org/abs/1306.3265)

[[!redirects Painlev%C3%A9 transcendent]]
[[!redirects Painlev%C3%A9 transcendents]]
[[!redirects Painlevé transcendents]]
[[!redirects Painlevé transcendent]]
[[!redirects Painlevé property]]
[[!redirects Painlevé equation]]
[[!redirects Painlevé equations]]
[[!redirects Painleve equation]]