
> This page is about the lemma on [[Taylor series|Taylor polynomials]] of [[smooth functions]]. For [[Hadamard's formula]] in [[Lie theory]] see there.



+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Differential geometry
+-- {: .hide}
[[!include synthetic differential geometry - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}


## Idea

The _Hadamard lemma_ says that the [[Taylor series]] of a [[smooth function]] on the [[real line]] around the origin has a remainder at order $n$ which is the product of $x^{n+1}$ (for $x$ the canonical [[coordinate]] function) with another [[smooth function]].

Simple as this may sound, it has profound consequences, as it means that [[smooth functions]] behave more like [[polynomials]] than the classical definition might suggest. For instance the Hadamard lemma directly implies that

1. [[derivations of smooth functions are vector fields]]: For $X$ a [[smooth manifold]] and $C^\infty(X)$ its $\mathbb{R}$-[[associative algebra|algebra]] of [[smooth functions]] (under pointwise multiplication), then there is a [[natural bijection]] between the smooth [[tangent vector fields]] on $X$ and the purely algebraic [[derivations]] of the algebra $C^\infty(X)$;

1. the smooth [[infinitesimally thickened point]] $\mathbb{D}$ is the same as in [[algebraic geometry]]: The [[quotient]] of the algebra of [[smooth functions]] $C^\infty(\mathbb{R}^1)$ on the [[real line]] by the ideal generated by the square $x^2$ of the canonical [[coordinate]] function $x$ is the [[ring of dual numbers]]:

   $$
     C^\infty(\mathbb{R})/(x^2) \simeq (\mathbb{R} \oplus \epsilon \mathbb{R})/(\epsilon^2)
     \,.
   $$

1. together this implies that a [[tangent vector]] in a smooth manifold $X$ is equivalently a morphism of the form

   $$
     \mathbb{D} \longrightarrow X
   $$

   of [[formal duals]] of $\mathbb{R}$-alghebras, from the [[infinitesimally thickened point]] $\mathbb{D}$.

This means that [[differential geometry]] has more in common with [[algebraic geometry]] than is manifest from the traditional definitions. In _[[synthetic differential geometry]]_ one makes use of these facts to find a useful unified perspective. For exposition of this point see at _[[geometry of physics -- supergeometry]]_.


More generally one may ask for other types of function algebras which satisfy the conclusion of the Hadamard lemma. These turn out to be the [[algebras over a Lawvere theory|algebras over]] those [[algebraic theories]] which are called _[[Fermat theories]]_. These are hence a crucial ingredient for [[Models for Smooth Infinitesimal Analysis|well-adapted models]] of [[synthetic differential geometry]].


## Statement

+-- {: .num_prop}
###### Proposition
**(Hadamard lemma)**

For every [[smooth function]] $f \in C^\infty(\mathbb{R})$ on the [[real line]] there is a smooth function $g$ such that

$$
  f(x) = f(0) + x \cdot g(x)
  \,.
$$

=--

This function $g$ is also called a **Hadamard quotient**.

+-- {: .num_cor}
###### Corollary

It follows that $g(0) = f'(0)$ is the [[derivative]] of $f$ at 0. By applying this repeatedly the lemma says that $f$ has a partial [[Taylor series]] expansion whose remainder $h$ is a smooth function:

$$
  f(x) = f(0) + x f'(0) + \frac1{2} x^2 f''(0) + \cdots + \frac1{n!} x^n h(x)
  \,.
$$

More generally, for smooth functions on any [[Cartesian space]] $\mathbb{R}^n$ the lemma says that there are for each $f \in C^\infty(X)$ $n$ smooth functions $g_i$ such that

$$
 f(\vec x) = f(0) + \sum_i x_i g_i(x)
 \,.
$$

So at the origin these smooth functions compute the partial derivatives of $f$

$$
  g_i(0) = \frac{\partial f}{\partial x_i}(0)
  \,.
$$

=--

+-- {: .proof}
###### Proof

Holding $x$ fixed, put $h(t) = f(t x)$. Then 

$$
  f(x) - f(0) = \int_{0}^{1} h'(t) d t = \int_{0}^{1} \sum_{i=1}^n \frac{\partial f}{\partial x_i} (t x) \cdot x_i d t
  $$ 

where the second equality uses the [[chain rule]]. 
The lemma follows by putting 

$$
  g_i(x) = \int_{0}^{1} \frac{\partial f}{\partial x_i}(t x) d t
  \,.
$$

=--

## Applications

The Hadamard lemma implies in particular that

* [[derivations of smooth functions are vector fields]] (see there for the proof);

* the [[Taylor series]] of a [[smooth function]] is an [[asymptotic series]] ([this example](asymptotic+series#TaylorSeriesOfSmoothFunctionIsAsymptoticSeries)).



## Related theorems
 {#RelatedTheorems}

* [[Borel's theorem]]

* the [[Tietze extension theorem]]

* the [[Whitney extension theorem]]

* the [[Steenrod-Wockel approximation theorem]]

* [[embedding of smooth manifolds into formal duals of R-algebras]]

* [[smooth Serre-Swan theorem]]

* [[derivations of smooth functions are vector fields]]

## References

The Hadamard lemma is due to [[Jacques Hadamard]].

Review includes

* [[Jet Nestruev]], _Smooth manifolds and observables_, Graduate texts in mathematics 218 (2003)

The Hadamard lemma is what makes the standard _convenient models_ for [[synthetic differential geometry]] tick. Its role in this respect can be seen from proposition 1.2 on in 

* [[Ieke Moerdijk]], [[Gonzalo Reyes|Gonzalo E. Reyes]], _[[Models for Smooth Infinitesimal Analysis]]_ Springer (1991)


[[!redirects Hadamard lemma]]
[[!redirects Hadamard's lemma]]
[[!redirects Hadamard\'s lemma]]
[[!redirects Hadamard's lemma]]
[[!redirects Hadamard quotient]]
[[!redirects Hadamard quotients]]

