
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher category theory
+--{: .hide}
[[!include higher category theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

For $n \in \mathbb{N}$, an _$n$-category_ is like

* an $n$-truncated [[directed space]] in which $(k \leq n)$-dimensional paths have a direction, while all higher dimensional paths are reversible and parallel higher dimensional paths are homotopic;

* a $n$-fold higher analog of what a [[category]] is to a [[set]]

$n$-Categories are the main subject of [[higher category theory]], and give the $n$-[[About|Lab]] its name. In their modern formulation in [[homotopy theory]] they are known as _[[(∞,n)-categories]]_ (see there for more details).


Semi-formally, $n$-categories can be described as follows.
An $n$-category is an [[∞-category]] such that all $(n+1)$-morphisms are [[equivalence]]s, and all parallel pairs of $j$-morphisms are equivalent for $j &gt; n$. (One says that the $\infty$-category is _trivial_ in degree greater than $n$.) This is the same thing as an $(n,n)$-category in the sense of $(n,r)$-[[(n,r)-category|categories]].

Up to equivalence, you may assume that all equivalent pairs of $j$-morphisms for $j &gt; n$ are in fact equal, and many authorities include this as a requirement. On the other hand, you can also write down a definition of $n$-category from scratch (without passing through $\infty$-categories), and then this question never comes up. The point is that you don\'t talk about $j$-morphisms for $j &gt; n$; you stop at $n$-morphisms.

On the $n$Lab, the term "$n$-category" usually means a *weak* $n$-category, in which the compositions of cells obeys the usual associativity, unit, and exchange laws only up to coherent [[equivalence]].  This sort of $n$-category is somewhat tricky to define; there are a number of proposals, not yet shown to be equivalent.  By contrast, [[strict n-categories]] are easy to define, but are not sufficient for most examples when $n\ge 3$ (see [[semistrict n-category]]).

## Examples

* A $0$-category is a [[set]].

* A $1$-category is an ordinary [[category]].

* A $2$-[[2-category|category]] is (depending on how strict was your initial notion of $\infty$-category) either a [[strict 2-category]] or a [[bicategory]].

One also speaks of $(-1)$-[[(-1)-category|categories]] and $(-2)$-[[(-2)-category|categories]], but these concepts are not as well behaved.

## Categories of $n$-categories 

Just as the collection of all ([[small category|small]]) sets is the prototypical example of a category, so the collection of all small $n$-categories is the prototypical example of an $(n+1)$-category.

Actually, if you define things cleverly, then you can get an $(n+1)$-category of *all* $n$-categories.  If one assumes the [[Grothendieck universe|Axiom of Universes]], then there is a sequence of Grothendieck universes
$$U_0 \subset U_1 \subset U_2 \subset \cdots$$
and we can say a set is **$U_i$-small** if it is an element of $U_i$.  This allows us to make the following definitions:

* $\Set$ is the category of all $U_0$-small sets;
* $\Cat$ is the 2-category of all $U_1$-small categories;
* $2\Cat$ is the 3-category of all $U_2$-small 2-categories;
* etc.

This is a convenient way to settle size questions once and for all for finite $n$, but it doesn\'t really work for $\infty$-categories.

For more, see the discussion at [sci.logic](http://groups.google.com/group/sci.logic/browse_thread/thread/6891c85c2d9b2caf).

## Definitions {#defn}

Here is a list of (some of) the proposed definitions of (weak) $n$-category, with references, and also a list of (some of) the comparisons that have been done.

### List of definitions

Many of these definitions are actually "truncations" of definitions of (weak) [[∞-categories]] (aka [[ω-categories]]).  Some others are truncations of a definition of [[(∞,n)-categories]].  A nice overview of (many) of these can be found in Tom Leinster's paper "A survey of definitions of $n$-category."

+--{: .query}
Someone should add some more references!
=--

* Classical explicit definitions of "fully weak" $n$-category exist for $n\le 4$.  Weak 0-categories are [[sets]], weak 1-categories are simply [[categories]] (due to [[Sammy Eilenberg|Eilenberg]] and [[Saunders Mac Lane|Mac Lane]]), weak 2-categories are [[bicategories]] (due to [[Jean Benabou|Benabou]]), weak 3-categories are [[tricategories]] (due to [[Gordon]]--[[John Power|Power]]--[[Ross Street|Street]]), and weak 4-categories are [[tetracategories]] (due to [[Todd Trimble]]).  Going on in this way is generally admitted to be infeasible beyond $n=4$.

* [[Ross Street|Street's]] definition: an $n$-category is a [[simplicial set]] satisfying certain horn-filling conditions.  See [[weak complicial set]] and [[simplicial model for weak ω-categories]].  This is a truncation of a definition of $\omega$-category.  It can be specialized to yield a notion of $(\infty,n)$-category.  The resulting notion of $(\infty,1)$-category is a [[quasicategory]], and the resulting notion of $\infty$-groupoid is a [[Kan complex]].

* [[John Baez|Baez]]--[[James Dolan|Dolan]] definition: an $n$-category is an [[opetopic set]] having enough $n$-universal fillers.  Alternate definitions of opetopes (aka multitopes) have been given by [[Claudio Hermida|Hermida]]--[[Michael Makkai|Makkai]]--[[John Power|Power]] and [[Tom Leinster|Leinster]]; a comparison is due to [[Eugenia Cheng]], see [these](http://arxiv.org/abs/math.CT/0304277) [three](http://arxiv.org/abs/math.CT/0304279) [papers](http://arxiv.org/abs/math.CT/0304284).  Makkai's version can do $\omega$.

* [[Jacques Penon|Penon]]'s definition: (someone describe this please!)  Penon's original definition turned out to be too strict (see [Batanin](http://web.science.mq.edu.au/~mbatanin/Penon1.ps) and [Cheng--Makkai](http://arxiv.org/abs/0907.3961)) because it used [[reflexive globular set|reflexive globular sets]], but a modification of it using [[globular sets]] is still a contender.

* [[Michael Batanin|Batanin]]--[[Tom Leinster|Leinster]] definition: an $n$-category is an $n$-[[globular set]] with an action of a suitable [[globular operad]].  This is a truncation of a definition of $\omega$-category; see [[Batanin ω-category]].

* [[Todd Trimble|Trimble]]-style definition: An $n$-category is a category weakly enriched over $(n-1)$-categories, where the weakness is parametrized by an [[operad]].  This definition is inductive and thus cannot do $\omega$ in an obvious way, but it has been accomplished using terminal coalgebras; see [[Trimble n-category]].  Alternately, by starting with enrichment in [[spaces]] or [[simplicial sets]], one can obtain directly a notion of [[(∞,n)-category]].  The resulting notion of [[(∞,1)-category]] is an $A_\infty$-[[A∞-category|category]].

* [[Tamsamani]]--[[Carlos Simpson|Simpson]] definition: An $n$-category is a simplicial object in $(n-1)$-categories satisfying object-discreteness and the [[Segal condition]].  This definition is inductive (it is a different way of formalizing "iterated weak enrichment") and thus cannot do $\omega$ in an obvious way.  It does have a natural extension to $(\infty,n)$-categories, and the resulting notion of [[(∞,1)-category]] reduces to a [[Segal category]].  The iterated version of this is that of [[Segal n-category]]. This notion of "weak enrichment" in a [[cartesian model category]] is studied carefully in Simpson's book [[Homotopy Theory of Higher Categories]].

* [[Ieke Moerdijk|Moerdijk]] and [[Ittay Weiss|Weiss]]'s definition uses yet another way of formalizing "iterated weak enrichment," using [[dendroidal sets]] and [[quasi-operad]]s.

* [[Andre Joyal|Joyal]]'s definition: An $n$-category is an $n$-[[cellular set]] satisfying horn-filling conditions.  This definition can do $\omega$ by using $\omega$-cellular sets instead of $n$-cellular sets, and it can do $(\infty,n)$ by requiring different horn-filling conditions on $n$-cellular sets.  The notion of [[(∞,1)-category]] one obtains in this way is a [[quasicategory]], and the resulting notion of $\infty$-groupoid is a [[Kan complex]].  For $n\gt 1$, however, the obvious "horn-filling conditions" are not quite right; [[Dimitri Ara]] has shown how to correct them (albeit not very explicitly), obtaining a definition he calls an [[n-quasicategory]], which form a model category Quillen equivalent to Rezk's definition (below).

* [[Clark Barwick|Barwick]]'s definition (popularized by [[Jacob Lurie|Lurie]] in solving the Baez--Dolan [[cobordism hypothesis]]): an $(\infty,n)$-category is an $n$-fold [[simplicial object|simplicial]] [[topological space]] satisfying completeness and the [[Segal condition]].  See [[n-fold complete Segal space]].  An $n$-category is again defined as an $(\infty,n)$-category in which all $k$-cells are essentially unique for $k\gt n$.  It is not clear whether this definition can do $\omega$.  An $(\infty,1)$-category with this definition is also the same as a [[complete Segal space]].

* [[Charles Rezk|Rezk]]'s definition: An $(\infty,n)$-category is a *simplicial* $n$-cellular set satisfying [[fibrancy]], completeness, and the [[Segal condition]].  An $n$-category can then be defined as an $(\infty,n)$-category in which all $k$-cells are essentially unique for $k\gt n$.  This definition can potentially do $\omega$, although it seems not to have been written down yet.  An $(\infty,1)$-category with this definition is the same as a [[complete Segal space]]. See [[Theta space]].

* [[Georges Maltsiniotis|G. Maltsiniotis]] has apparently extracted a definition of $\infty$-groupoid from [[Pursuing Stacks]] and generalized it to a definition of $\infty$-category; see [this](http://people.math.jussieu.fr/~maltsin/ps/infgrart.pdf) and [this](http://people.math.jussieu.fr/~maltsin/ps/infctart.pdf).


### Comparisons

* All definitions produce the correct well-known notion of [[1-category]], up to minor inessential details.

* Since all the common definitions of [[(∞,1)-category]] are known to be equivalent (give references!), the definitions of Street, Trimble, Tamsamani--Simpson, Joyal, Barwick, and Rezk can be said to agree for $(\infty,1)$-categories.

* Julie Bergner has [shown](http://arxiv.org/abs/0710.2254) that all the notions of $\infty$-groupoid obtained from the common notions of $(\infty,1)$-category are equivalent, so the definitions of Street, Trimble, Tamsamani--Simpson, Joyal, Barwick, and Rezk can also be said to agree for $(\infty,0)$-categories.

* It is known that the notions of $(n,0)$-category obtained from categories, bicategories, and tricategories model all [[homotopy n-types]] for $n\le 3$.  Thus, in these cases, the classical definitions can be said to agree with those listed in the previous example.

* In Tom Leinster's paper, proofs are sketched showing that the notion of [[2-category]] obtained in each case looks somewhat like the notion of [[bicategory]].

* Nick Gurski has shown in "Nerves of bicategories as stratified simplicial sets" that Street's definition is correct for $n=2$ (that is, it agrees with bicategories).

* Eugenia Cheng has [shown](http://arxiv.org/abs/math/0304285) that the opetopic definition is correct for $n=2$ (that is, it agrees with bicategories).

* Eugenia Cheng has more recently also [shown](http://arxiv.org/abs/0809.2070) that from any sequence of operads used for iterated enrichment in a Trimble-style definition, one can construct a Batanin--Leinster-style globular operad whose algebras are the $n$-categories obtained in the Trimblean inductive manner.  Not all globular operads can be obtained in this way, however, since those that arise have strict interchange.

+--{: .query}
Please add any other comparisons you are aware of!
=--

## Related concepts

* [[0-category]], [[(0,1)-category]], [[Set]]

* [[category]]

  * [[category object in an (∞,1)-category]]

* [[2-category]], [[bicategory]]

* [[3-category]], [[tricategory]]

* [[4-category]], [[tetracategory]]

* **$n$-category**

  * [[n-category object in an (∞,1)-category]]

* [[(n,1)-category]]

* [[(∞,1)-category]]

* [[(∞,2)-category]]

* [[(∞,n)-category]]

* [[(n,r)-category]]




[[!redirects $n$-category]]
[[!redirects n-categories]]
[[!redirects weak n-category]]
[[!redirects weak n-categories]]
