[[regular differential operator|Regular differential operators]] have been nontrivially generalized to noncommutative rings (and schemes) by [[Valery Lunts|V. Lunts]] and [[Alexander Rosenberg|A. L. Rosenberg]], as well as to the setting of braided monoidal categories. As in the commutative case, regular differential operators on a $k$-algebra $R$ form the differential part of the bimodule of the $k$-endomorphisms. The differential part is geometrically defined as the $\Delta$-part where $\Delta$ is the so-called diagonal [[topologizing subcategory]] of the abelian category of endofunctors $End_c A$ of the category $A$ of quasicoherent sheaves ($R$-modules in affine case) having right adjoint. The diagonal is by the definition the smallest coreflective topologizing subcategory in $End_c A$ containing the identity functor. For every coreflective topologizing subcategory $\mathbb{T}$ in the abelian category satisfying the property sup one defines the notions of $\mathbb{T}$-torsion and $\mathbb{T}$-part of any object $M$, see [[differential monad]]. 

The following two papers dwell mainly on the affine and projective cases

* V. A. Lunts, A. L. Rosenberg, _Differential operators on noncommutative rings_, Selecta Math. (N.S.)  __3__  (1997),  no. 3, 335--359 ([doi](http://dx.doi.org/10.1007/s000290050014)); sequel: _Localization for quantum groups_, Selecta Math. (N.S.) __5__ (1999), no. 1, pp. 123--159 ([doi](http://dx.doi.org/10.1007/s000290050044)).

and the following two unpublished preprints outline a more general categorical and geometric picture including the [[Sasha Beilinson|Beilinson]]'s notion of [[D-affinity]] generalized to (co)monads

* V. A. Lunts, A. L. Rosenberg, _Differential calculus in noncommutative algebraic geometry I. D-calculus on noncommutative rings_, MPI 1996-53 [pdf](http://www.mpim-bonn.mpg.de/preprints/send?bid=3894), II. D-Calculus in the braided case. The localization of quantized enveloping algebras, MPI 1996-76 [pdf](http://www.mpim-bonn.mpg.de/preprints/send?bid=3916)

Their motivation is an analogue of a Beilinson-Bernstein localization theorem for [[quantum groups]]. The category of differential bimodules is categorically characterized in their work as the minimal [[coreflective subcategory|coreflective]] [[topologizing subcategory| topologizing]] [[monoidal category|monoidal]] subcategory of the abelian monoidal category of $R$-$R$-bimodules which is containing $R$. In the case of noncommutative rings, Lunts-Rosenberg definition of differential operators has been recovered from a different perspective in the setup of [[noncommutative algebraic geometry]] represented by monoidal categories; the emphasis is on the duality between infinitesimals and differential operators:

 * [[Tomasz Maszczyk]], _Noncommutative geometry through monoidal categories_, [arXiv:0611806](http://arxiv.org/abs/math/0611806)

There are some other approaches to rings of differential operators in noncommutative geometry. In easy semicommutative cases (like nilpotent thickenings of commutative schemes) one can use the standard Grothendieck definition without change. On the other hand, there is an approahc by generators and relations in affine case, corresponding to the recipe for preprojective algebras of quivers. It has some nice localization properties and relations to double derivations and double Poisson geometry. See papers by Yuri Berest and

* Victor Ginzburg, Travis Schedler, _Differential operators and BV structures in noncommutative geometry_, [arxiv.org/abs/0710.3392](http://arxiv.org/abs/0710.3392) 

and a sequence of article by Yuri Berest and various colaborators including

* Yuri Berest, Oleg Chalykh, Farkhod Eshmatov, _Recollement of deformed preprojective algebras and the Calogero-Moser correspondence_, [arxiv/0710.3392](http://arxiv.org/abs/0710.3392)

category: noncommutative geometry