
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### $(\infty,1)$-Topos Theory
+--{: .hide}
[[!include (infinity,1)-topos - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

A **topological localization** is a left exact [[localization of an (∞,1)-category]] -- in the sense of passing to a [[reflective sub-(∞,1)-category]] -- at a collection of morphisms that are [[monomorphism in an (∞,1)-category|monomorphisms]].

A topological localization of an [[(∞,1)-category of (∞,1)-presheaves]] $PSh_{(\infty,1)}(C)$ is precisely a localization at [[Cech cover]]s for a given [[Grothendieck topology]] on $C$, yielding the corresponding [[(∞,1)-topos]] [[(∞,1)-category of (∞,1)-sheaves|of (∞,1)-sheaves]].

$$
  Sh_{(\infty,1)}(C) \hookrightarrow PSh_{(\infty,1)}(C)
$$

and in fact equivalence classes of such topological localizations are in bijection with [[Grothendieck topology|Grothendieck topologies]] on $C$.

Notice that in general a topological localization is not a [[hypercomplete (∞,1)-topos]]. That in general requires localization further at [[hypercover]]s.



## Definition

Recall that a [[reflective sub-(∞,1)-category]]
$D \stackrel{\stackrel{L}{\leftarrow}}{\hookrightarrow} C$
is obtained by localizing at a collection $S$ of morphisms of $C$.

The class $\bar S$ of all morphisms of $C$ that the left adjoint $L : C \to D$ sends to equivalences is the _strongly saturated class_ of morphisms generated by $S$. By the <a href="http://ncatlab.org/nlab/show/reflective+sub-(infinity%2C1)-category#ExactLocalizations">recognition principle for exact localizations</a>, the functor $L$ is exact if and only if $\bar S$ is stable under the formation of pullbacks.

We now define such localizations where the collection $S$ consists of _[[monomorphism in an (∞,1)-category|monomorphisms]]_ .

+-- {: .num_defn }
###### Definition

Call a morphism $f : X \to Y$ in an [[(∞,1)-category]] $C$ a **[[monomorphism in an (∞,1)-category|monomorphism]]** if it is a [[n-truncated object of an (infinity,1)-category|(-1)-truncated object]] in the [[overcategory]] $X_{/Y}$.

Equivalently: if for every object $A \in C$ the induced morphism in the [[homotopy category]] of [[∞-groupoid]]s

$$
   C(A,f) : C(A,X) \to C(A,Y)
$$

exhibits $C(A,X)$ as a [[direct sum|direct summand]] of $C(A,Y)$.


Equivalence classes of monomorphisms into an object $X$ form a [[poset]] $Sub(X)$ of [[subobject]]s of $X$.

=--

This is [[Higher Topos Theory|HTT, p. 460]]

+-- {: .num_example }
###### Example

The standard example to keep in mind is that of a [[Cech nerve]]. In fact, as the propositions below will imply, this is for the purposes of localizations of an [[(∞,1)-category of (∞,1)-presheaves]] the _only_ kind of example.

Let [[Diff]] be the category of smooth manifolds and $PSh_{(\infty,1)}(Diff)$ the [[(∞,1)-category of (∞,1)-presheaves]] on $Diff$, which may be modeled by the global [[model structure on simplicial presheaves]] on $Diff$.

For $X \in Diff$ a [[manifold]], let $\{U_i \hookrightarrow X\}$ be an [[open cover]]. Let $C(\{U_i\})$ be the [[Cech nerve]] of this cover, the [[simplicial object]] of presheaves

$$
  C(\{U_i\}) = 
  \left(
     \cdots
     \coprod_{i j} U_i \cap U_j  \stackrel{\to}{\to}\coprod_{i} U_i   
  \right)
  \,.
$$

which we may regard as a [[simplicial presheaf]] and hence as an object of $PSh_{(\infty,1)}(Diff)$.

Then for $V$ any other [[manifold]], we have that

$$
  PSh_{(\infty,1)}(V, C(\{U_i\}))
$$

is the [[∞-groupoid]] whose

* [[object]]s are maps $V \to X$ that factor through one of the $U_i$;

* there is a unique [[morphism]] between two such maps precisely if they factor through a double intersection $U_{i} \cap U_j$;

* and so on.

In the [[homotopy category of an (∞,1)-category|homtopy category]] of [[∞-groupoid]]s, this is equivalent to the [[0-groupoid]]/[[set]] of those maps $V \to X$ that factor through one of the $U_i$. Notice that this constitutes the [[sieve]] generated by the [[covering]] family $\{U_i \to X\}$. This is a subset of the [[0-groupoid]]/[[set]] $PSh_{(\infty)}(V,X) = Hom_{Diff}(V,X)$, hence a [[direct sum]]mand.

=--






+-- {: .num_defn }
###### Definition
**topological localization**

Let $C$ be a [[presentable (∞,1)-category]]. 

A strongly saturated class $\bar S \subset Mor(C)$ of morphisms is called **topological** if

* there is a subclass $S \subset \bar S$ of _[[monomorphism in an (infinity,1)-category|monomorphisms]]_ that generates $\bar S$;

* under [[pullback]] in $C$ elements in $\bar S$ pull back to elements in $\bar S$.

A [[reflective sub-(∞,1)-category]]

$$
  D \stackrel{\overset{L}{\leftarrow}}{\hookrightarrow} C
$$

is called a **topological localization** if the class of morphisms $\bar S := L^{-1}(equiv)$ that $L$ sends to equivalences is topological.

=--

This is [[Higher Topos Theory|HTT, def. 6.2.1.4]]


+-- {: .num_defn }
###### Definition
**$(\infty,1)$-sheaves**

Let $C$ be an [[(∞,1)-site]]. 

Let $S$ be the collection of all [[monomorphism in an (∞,1)-category|monomorphisms]] $U \to c$ to objects $c \in Y$ (under [[(infinity,1)-Yoneda lemma|Yoneda embedding]]) that correspond to [[covering]] [[sieve]]s in $C$. Say an object $c \in PSh_{(\infty,1)}(C)$ in the [[(∞,1)-category of (∞,1)-presheaves]] on $C$ is an **[[(∞,1)-sheaf]]** if it is an $S$-[[local object]] (i.e. if it satisfies [[descent]] along all morphisms $U \to c$ coming from covering sieves).

Write

$$
  Sh_{(\infty,1)}(C)  \hookrightarrow PSh_{(\infty,1)}(X)
$$

for the [[reflective sub-(∞,1)-category]] on these $(\infty,1)$-sheaves.

=--

This is [[Higher Topos Theory|HTT, def. 6.2.2.6]]


**Warning:** A topological localization is, by definition, a *left exact* localization at a set of monomorphisms; left exactness is part of the definition.  A general localization at a set of monomorphisms need not be left exact.  For instance, the localization at one of the inclusions $1\to 1+1$ is the $(-1)$-truncation, which is not left exact.


## Properties

Let throughout $C$ be a [[locally presentable (∞,1)-category]].

### General

+-- {: .num_cor }
###### Corollary
**(topological localizations are exact)**

Every topological localization is an _exact localization_ in that the reflector $L : C \to D$ preserves [[finite limit]]s.

=--


+-- {: .proof}
###### Proof

At  <a href="http://ncatlab.org/nlab/show/reflective+sub-(infinity%2C1)-category#ExactLocalizations">Properties of exact localizations</a> it is shown that a reflective localization is exact precisely if the class of morphisms that it inverts is stable under pullback. This is the case for topological localizations by definition.

=--


+-- {: .num_prop }
###### Proposition
**(generation from a small set of morphisms)**

For every topological localization of $C$ at a strongly saturated class $\bar S$ there exists a [[small set]] of [[monomorphism in an (∞,1)-category|monomorphisms]] that generates $\bar S$. 

=--

This is [[Higher Topos Theory|HTT, prop. 6.2.1.5]].

+-- {: .un_corollary }
###### Corollary

Every topological localization of $C$ is necessarily [[accessible (∞,1)-category|accessible]] and exact.

=--

This is [[Higher Topos Theory|HTT, cor. 6.2.1.6]]


The following proposition asserts that for the construction of [[(n,1)-topos]]es the notion of topological localization is empty: if colimits commute with products, then already every localization is topological. Accordingly, also the notion of [[hypercompletion]] is relevant only for [[(∞,1)-topos]]es.


+-- {: .un_prop }
###### Proposition
**(localizations of presentable $n$-categories are topological)**

Let $C$ be a [[locally presentable (∞,1)-category|locall presentable]] [[(n,1)-category]] for $n \in \mathbb{N}$ finite with [[universal colimits]]. Then every left exact [[localization of an (∞,1)-category|localization of]] $C$ is a topological localization

=--

This is [[Higher Topos Theory|HTT, prop. 6.4.3.9]].


+-- {: .proof}
###### Proof

...

=--

This means that every [[(n,1)-topos]] of $n$-sheaves is a localization at [[Cech nerve]]s of covers.

**Remark** Notice in this context the statement found for instance in 

* [[Daniel Dugger]], [[Sharon Hollander]], [[Daniel Isaksen]], _Hypercovers and simplicial presheaves_ ([web](http://www.math.uiuc.edu/K-theory/0563/)) 

that a [[simplicial presheaf]] that satisfies [[descent]] on all [[Cech cover]]s already satisfies descent for all _bounded_ hypercovers. If the simplicial presheaf is $n$-truncated for some $n$, then it won't "see" $k$-bounded hypercovers for large enough $k$ anyway, and hence it follows that truncated simplicial presheaves that satisfy Cech descent already satisfy hyperdescent. 

This is in line with the above statement that for $n$-toposes with finite $n$ there is no distinction between Cech descent and hyperdescent. The distinction becomes visible only for untruncated $\infty$-presheaves.




### For $(\infty,1)$-presheaf $(\infty,1)$-categories

Let throughout $C$ be a [[small (∞,1)-category]] and write $PSh_{(\infty,1)}(C)$ for the [[(∞,1)-category of (∞,1)-presheaves]] on $C$.

+-- {: .un_prop }
###### Proposition
**sheaves form a topological localization**

If $C$ is endowed with a [[(∞,1)-site|Grothendieck topology]], the inclusion

$$
  Sh_{(\infty,1)}(C)  \hookrightarrow PSh_{(\infty,1)}(C)
$$

is a topological localization.

=--

This is [[Higher Topos Theory|HTT, Prop. 6.2.2.7]].


+-- {: .proof}
###### Proof

See <a href="http://nlab.mathforge.org/nlab/show/%28infinity%2C1%29-category+of+%28infinity%2C1%29-sheaves#LocAndTopology">(∞,1)-category of (∞,1)-sheaves</a>.

=--



+-- {: .un_prop }
###### Proposition

All topological localizations of $PSh_{(\infty,1)}(C)$ arise this way:

There is a bijection between [[(∞,1)-site|Grothendieck topologies]] on $C$ and equivalence classes of topological localizations of $PSh_{(\infty,1)}(C)$.


=--

This is [[Higher Topos Theory|HTT, prop. 6.2.2.17]].


+-- {: .proof}
###### Proof

...

=--

### Model category presentation

See at _[[Čech model structure on simplicial sheaves]]_.

## References


Topological localizations are the topic of section 6.2, from def. 6.2.1.5 on, in 

* [[Jacob Lurie]], _[[Higher Topos Theory]]_ .

[[!redirects topological localizations]]