
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### $(\infty,1)$-Category theory
+--{: .hide}
[[!include quasi-category theory contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The notion of _monomorphism in an $(\infty,1)$-category_ is the generalization of the notion of [[monomorphism]] from [[category theory]] to [[(∞,1)-category]] theory. It is the special case of the notion of [[n-monomorphisms]] for $n = 1$. In an [[(∞,1)-topos]] every morphism factors by an [[effective epimorphism in an (∞,1)-category|effective epimorphism]] (1-epimorphism) followed by a monomorphism through its [[n-image|1-image]].

The dual concept is that of an [[epimorphism in an (∞,1)-category]].

There is also the concept [[regular monomorphism in an (∞,1)-category]], but beware that this need not be a special case of the definition given here.

There are also a notions of (homotopy) monomorphism in [[model categories]] and [[derivators]].

## Definition

For $C$ an [[(∞,1)-category]], a [[morphism]] $f : Y \to Z$ is a **monomorphism** if regarded as an object in the [[over quasi-category|(∞,1)-overcategory]] $C_{/Z}$ it is a [[n-truncated object in an (∞,1)-category|(-1)-truncated object]].

Equivalently this means that the projection

$$
  C_{/f} \to C_{/Z}
$$

is a [[full and faithful (∞,1)-functor]]. This is in [Higher Topos Theory](#ref) after Example 5.5.6.13.

Equivalently this means that for every object $X \in C$ the induced morphism

$$
  C(X,f) : C(X,Y) \to C(X,Z)
$$

of [[∞-groupoid]]s is such that its image in the [[homotopy category of an (∞,1)-category|homotopy category]] exhibits $C(X,Y)$ as a direct summand in a  [[coproduct]] decomposition of $C(X,Z)$.

So if $C(X,Y) = \coprod_i C(X,Y)_{i \in \pi_0(C(X,Y))}$ and $C(X,Z) = \coprod_{j \in \pi_0((C(X,Z))} C(X,Z)_j$ is the decomposition into connected components, then there is an injective function

$$
  j : \pi_0(C(X,Y)) \to \pi_0(C(X,Z))
$$

such that $C(X,f)$ is given by component maps $C(X,Y)_i \to C(X,Z)_{j(i)}$ which are each an equivalence.

## Properties

+-- {: .un_defn}
###### Definition

For $Z$ an [[object]] of $C$, write $Sub(Z)$ 

$$
  Sub(Z) \simeq \tau_{\leq -1} C_{/Z}
  \,.
$$

for the category of [[subobjects in an (∞,1)-category|subobjects]] of $C$.

=--

This is [[poset|partially ordered]] under inclusion.

+-- {: .un_prop}
###### Proposition


If $C$ is a [[presentable (∞,1)-category]], then $Sub(Z)$ is a [[small category]].

=--

This appears as [[Higher Topos Theory|HTT, prop. 6.2.1.4]].

+-- {: .un_prop}
###### Proposition

Monomorphisms are stable under [[(∞,1)-pullback]]: if 

$$
  \array{
    A &\to& B
    \\
    {}^{\mathllap{f'}}\downarrow && \downarrow^{\mathrlap{f}}
    \\
    C &\to& D
  }
$$

is a pullback diagram and $f$ is a monomorphism, then so is $f'$.

=--

This is a special case of the general statement that $k$-[[truncated]] morphisms are stable under pullback. ([[Higher Topos Theory|HTT, remark 5.5.6.12]]).



## Related pages

* The equivalence class of a monomorphism is a [[subobject in an (∞,1)-category]].

* The notion of monomorphism in an $(\infty,1)$-category can also be characterized in its underlying homotopy [[derivator]]; see [[monomorphism in a derivator]].

## References

The definition appears after example 5.5.6.13 in

* [[Jacob Lurie]], _[[Higher Topos Theory]]_{#ref}

with further discussion in section 6.2.

For [[model categories]], see

* [[Fernando Muro]], _Homotopy units in A-infinity algebras_, [arXiv:1111.2723](http://arxiv.org/abs/1111.2723).

[[!redirects monomorphism in an (∞,1)-category]]
[[!redirects monomorphisms in an (∞,1)-category]]
[[!redirects monomorphisms in an (infinity,1)-category]]
[[!redirects homotopy monomorphism]]
[[!redirects homotopy monomorphisms]]
