
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
#### Homological algebra
+--{: .hide}
[[!include homological algebra - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The _Koszul complex_ of a sequence of elements $(x_1, \cdots, x_d)$ in a [[commutative ring]] $R$ (or more generally of [[center|central]] elements in a [[non-commutative ring]]) is a [[cochain complex]] whose entry in degree $-n$ is the [[exterior power]] $\wedge^n R^d$ of the [[free module]] $R^d = R^{\oplus_d}$ over $R$ of [[rank]] $d$, and whose [[differential]] is given in each degree on the $k$th summand by multiplication with $x_k$.

The key property of the Koszul complex is that in good cases (namely if the sequence $(x_1, \cdots, x_d)$ is a [[regular sequence]] in $R$), it constitutes is a [[free resolution|free]] [[homological resolution]] of the [[quotient]] $R/(x_1, \cdots, x_d)$ of $R$ by the [[ideal]] generated by these elements (see prop. \ref{KoszulComplexOfRegularSequenceIsFreeResolutionOfQuotientRing} below).  

In cases where the Koszul complex fails to be a [[homological resolution]] of the [[quotient ring]], it may be augmented by further generators to yield a resolution after all then called a _[[Koszul-Tate resolution]]_.


From the perspective of [[derived algebraic geometry]] the Koszul complex may be interpreted as the [[formal duality|formal dual]] of the [[derived critical locus]] of the elements  $(x_1, \cdots, x_d)$, regarded as functions on the [[spectrum of a ring|spectrum]] $Spec(R)$. 

In this guise the Koszul complex appears prominently in [[Lagrangian field theory]], under the name _[[BV-complex]]_, as a potential [[homological resolution]] of the _[[shell]]_ (the solution locus of the [[Euler-Lagrange equations|Euler-Lagrange]] [[equations of motion]]). In this case the obstruction to the Koszul complex providing a resolution of the shell is its cochain cohomology in degree -1 (via prop. \ref{KoszulResolutionForNoetherianRngAndElementsInJacobson} below) which has the interpretation as the [[infinitesimal gauge symmetries]] of the [[Lagrangian density]] that have not been made explicit. Making them explicit by promoting them to elements in the [[Chevalley-Eilenberg algebra]] of the corresponding [[action Lie algebroid]] yields what is called the _[[BRST complex]]_ of the theory, and _its_ Koszul complex then yields the respective [[Koszul-Tate resolution]], now called the _[[BV-BRST complex]]_ of the theory.



## Definition

Let $R$ be a [[unital ring]].

Consider also a finite [[sequence]] $(x_1,\ldots,x_r)$ of [[elements]] $x_i R$. 

Given any [[center|central element]] $x\in Z(R)$, one can define a two term [[cochain complex]]

$$ K(x) \coloneqq (0\to R\stackrel{x}\to R\to 0) $$

concentrated in degrees $0$ and $1$, where the map (the [[differential]]) is the left multiplication by $x$. Given a sequence $(x_1,\ldots,x_r)$ of central elements in $R$ one can define the tensor product 

$$
  K(x_1,\ldots,x_r) 
   \coloneqq 
  K(x_1)\otimes_R K(x_2)\otimes_R\cdots \otimes_R K(x_r) $$

of complexes of left $R$-[[modules]]. The degree $p$ part of $K(x_1,\ldots,x_r)$ equals the [[exterior power]] $\Lambda^{p+1}R^r$. Consider the usual [[basis]] elements $e_{i_0}\wedge \cdots \wedge e_{i_p}$ of $\Lambda^{p+1}R^r$, where $1\leq i_0\lt i_1\lt\cdots\lt i_p\leq r$. Then the differential is given by

$$
d(e_{i_0}\wedge \cdots \wedge e_{i_p}) = \sum_{k = 0}^{p}(-1)^{k+1} x_{i_k} e_{i_0}\wedge \cdots\wedge \hat{e}_{i_k} \wedge \cdots\wedge e_{i_r}
$$

The differential can be obtained from the faces of the obvious Koszul [[semi-simplicial object|semi-simplicial]] $R$-[[module]] and the cochain complex above is obtained by the usual alternating sum rule. 

Now let $A$ be a finitely generated left $R$-module. Then the abelian [[chain homology]] [[abelian group|groups]]

$$ H_q(x_1,\ldots,x_r; A) = H_q(K(x_1,\ldots,x_r)\otimes_R A), $$

$$ H^q(x_1,\ldots,x_r;A) = H^q(Hom_R(K(x_1,\ldots,x_r),A)), $$

together with [[connecting homomorphisms]], form a homological and cohomological [[delta-functor]] (in the sense of [[nlab:Tohoku]]) respectively, deriving the zero parts

$$ H_0 = A/(x_1,\ldots,x_r)A$$

$$ H^0 = Hom_R(R/(x_1,\ldots,x_r)R,A)$$

where $(x_1,\ldots,x_r)A$ is the left $R$-submodule generated by $x_1,\ldots,x_r$. A Poincare-like duality holds: $H_p(x_1,\ldots,x_r;A) = H^{r-p}(x_1,\ldots,x_r;A)$. 

The sequence $\mathbf{x} = (x_1,\ldots,x_r)$ is called __$A$-regular__ (or regular on $A$) if for all $i$ the image of $x_i$ in $A/(x_1,\ldots,x_{i-1})A$ annihilates only zero. This terminology is in accord with calling a non-zero divisor in a ring a "regular element" (and is in accord with the terminology regular local rings).

If $\mathbf{x}$ is a regular sequence on/in $R$ then $K(\mathbf{x},R)$ is a free resolution of the module $R/(x_1,\ldots,x_r)R$ and the cohomology $H^q(x_1,\ldots,x_r;A) = Ext^q_R(R/(x_1,\ldots,x_r)R,A)$ while [[Koszul homology]] is $H_q(x_1,\ldots,x_r;A) = Tor_q^R(R/(x_1,\ldots,x_r)R,A)$.

The resolution of $R/(x_1,\ldots,x_r)R$ can be written

$$
0 \to \Lambda^r(R^r)\to \cdots \to \Lambda^2(R^r)\to R^r \to R \to R/(x_1,\ldots,x_r)R\to 0$$

and the $R$-linear map $R^r\to R$ is given by the row vector $(x_1,\ldots,x_r)$. 

## Properties
 {#Properties}

+-- {: .num_prop #KoszulComplexOfRegularSequenceIsFreeResolutionOfQuotientRing}
###### Proposition
**(Koszul complex of [[regular sequence]] is [[free resolution]] of [[quotient ring]])**

Let $R$ be a [[commutative ring]] and $(x_1, \cdots, x_d)$ a [[regular sequence]] of elements in $R$. Then the Koszul complex $K(x_1,\cdots, x_d)$ is a [[free resolution]] of the [[quotient ring]] $R/(x_1, \cdots, x_d)$.

=--


+-- {: .num_prop #KoszulResolutionForNoetherianRngAndElementsInJacobson}
###### Proposition
**(Koszul resolution detected in degree (-1))**

Let $R$ be a [[commutative ring]] and $(x_1, \cdots, x_d)$ a [[sequence]] of elements in $R$, such that

1. $R$ is [[Noetherian ring|Noetherian]];

1. each $x_i$ is contained in the [[Jacobson  radical]] of $R$

then the following are equivalent:

1. the [[cochain cohomology]] of the Koszul complex $K(x_1, \cdots, x_d)$ vanishes in degree $-1$;

1. the Koszul complex $K(x_1, \cdots, x_d)$ is a [[free resolution]] of the [[quotient ring]] $R/(x_1, \cdots, x_d)$, hence its [[cochain cohomology]] vanishes in all degrees  $\leq -1$;

1. the sequence $(x_1, \cdots, x_d)$ is a [[regular sequence]].

=--

A **proof** is spelled out on [Wikipedia - Properties of Koszul homology](https://en.wikipedia.org/wiki/Koszul_complex#Properties_of_a_Koszul_homology)


## Examples

+-- {: .num_example #KoszulComplexForFormalPowerSeriesAlgebras}
###### Example
**(Koszul complex for formal power series algebras)**

Let $k$ be a [[field]], let $R = k[ [ X_1,\cdots, X_n ] ]$ be a [[formal power series algebra]] over $k$ in $n$ [[variables]], and let $(f_1, \cdots, f_r)$ be formal power series whose constant term vanishes. Then the Koszul complex is a homological resolution precisely already if its cohomology in degree -1 vanishes


$$
  \left(
    H^{-1}(K(f_1, \cdots, f_n))
    = 0
  \right)
   \;\Leftrightarrow\;
  \left(
    K(f_1, \cdots, f_n)
      \overset{\simeq_{qi}}{\longrightarrow}
    k[ [X_1, \cdots X_n] ]/(f_1, \cdots, f_r)
  \right)
  \,.
$$

This is because the assumptions of prop. \ref{KoszulResolutionForNoetherianRngAndElementsInJacobson} are met: A formal power series ring over a field is Noetherian ([this example](noetherian+ring#PolynomialAlgebraOverNoetherianRingIsNoetherian)) and an element of a formal power series algebra is in the Jacobson radical precisely if its constant term vanishes ([this example](Jacobson+radical#JacobsonRadicalOfFormalPowerSeriesAlgebra)).

=--


## Related concepts

* [[Koszul-Tate resolution]]

* [[syzygy]]

* [[BV-formalism]]

## References

The original reference is

* [[Jean-Louis Koszul]], _Homologie et cohomologie des algèbres de Lie_ , Bulletin de la Société Mathématique de France, 78, 1950, pp 65-127.

A standard textbook reference is 

* [[Charles Weibel]], section 4.5 of _Homological algebra_ ([pdf](http://www.math.unam.mx/javier/weibel.pdf))

A generalization of Koszul complexes to (appropriate resolutions of) [[algebras over operads]] is in 

* Joan Millès, _The Koszul complex is the cotangent complex_, MPIM2010-32, [pdf](http://www.mpim-bonn.mpg.de/preprints/send?bid=4143) 

See also 

* {#Wikipedia} Wikipedia, _[Koszul complex](https://en.wikipedia.org/wiki/Koszul_complex)_

[[!redirects Koszul complexes]]