
# Contents
* differential crystals
{:toc}

## Disambiguation

There are few mutually unrelated notions denoted by "crystal" in mathematics. One can of course talk about mathematical models of physical crystals and their geometry, this will presumably not be a subject of attention in $n$lab. Another, is an intermediary notion leading to [[crystal basis|crystal bases]] of [[Kashiwara]] and of Lusztig, thus one associates a crystal to a [[quantized enveloping algebra]]. Finally, there are **crystals due Grothendieck** to which this entry is dedicated.


## Overview

[[Alexander Grothendieck|Grothendieck]]'s differential calculus is based on the [[infinitesimal object|infinitesimal]] thickenings of a diagonal of a space. If one takes a completion, then there is a filtration on infinitesimals there. On the other hand, this theory also provides a concept of a [[regular differential operator]] which is also filtered (by the degree). There is a fundamental duality between the infinitesimals and regular differential operators which is compatible with the two filtrations, in fact the duality is a perfect pairing on each filtered level. This pairing gives for example that a [[D-module]] corresponds to a flat [[connection on a bundle|connection]] on a usual [[quasicoherent sheaf]]. 

Infinitesimal version of flat connection in algebraic geometry is a [[Grothendieck connection]]. Flat connections can infinitesimally also be described as the [[descent]] data on [[de Rham space]]s called the (co)stratification. There is a [[site]] (the [[crystalline site]]) which formalizes these descent data. It can be explained in many ways, including intuitively in the sense of infinitesimal elements in a [[scheme]]. 

The **crystals of quasicoherent sheaves** are the [[quasicoherent sheaf|quasicoherent sheaves]] of modules over the crystalline site and are in correspondence with usual quasicoherent sheaves over the underlying scheme with flat connection. 

But Grothendieck considered not only descent for quasicoherent sheaves but also for [[affine scheme]]s. This nonlinear version is harder and unlike descent for quasicoherent sheaves, it does not have a noncommutative generalization. Cf. [[p-connection]].

>([[Zoran Skoda|Zoran]]: we should find an exact reference from EGA or so for the descent for affine schemes). 

Moreover this has also a crystalline version: **crystals of affine schemes**. This corresponds to a nonlinear version of [[D-modules]], called **[[D-schemes]]** (also called [[diffieties]] by Vinogradov). As D-modules correspond to solutions of systems of linear [[differential equations]], D-schemes correspond to systems of nonlinear ones. One has also analytic version (analytic D-spaces). One can do more general crystals, e.g. of affine schemes. 


## Related entries and references

* [[Grothendieck connection]], [[D-module]], [[p-connection]]
* [[Jacob Lurie]], _Notes on crystals and algebraic D-modules_, notes in [[Dennis Gaitsgory]]'s seminar, [pdf](http://www.math.harvard.edu/~gaitsgde/grad_2009/SeminarNotes/Nov17-19%28Crystals%29.pdf)
* [[Dennis Gaitsgory]], Nick Rozenblyum, _Crystals and D-modules_, [arxiv/1111.2087](http://arxiv.org/abs/1111.2087)
* A. [[Beilinson]], V. Drinfel'd, _Chiral algebras_ contains a section on D-schemes.

* A. [[Grothendieck]], _Crystals and the de Rham cohomology of schemes_, in "Dix exposes sur la cohomologie des schemas"

* [[Clark Barwick]], _$\mathcal{D}$-crystals_, notes from 2006 talk, [pdf](http://dl.dropbox.com/u/1741495/papers/D-crys.pdf)

* mathoverflow: [The Infinitesimal topos in positive characteristic](http://mathoverflow.net/questions/15795/the-infinitesimal-topos-in-positive-characteristic)


[[!redirects crystal]]
[[!redirects crystals]]
