Crystal bases are a construction in the [[representation theory]] of [[quantum groups]] (which in a specialization exist hence for usual [[Lie groups]] as well): roughly speaking they provide a uniform description not only of irreducible finite-dimensional modules but also a uniform choice of bases in all of them as well as in tensor products. 

There are two mutually dual versions due [[Masaki Kashiwara]] and [[George Lusztig]]. 

# History and references

The terminology is due to the involved $q=0$ limit of quantum groups used in the construction (the classical case is $q=1$). In a thermodynamic parlance zero temperature would involve passing to crystalization. 

* [[Masaki Kashiwara]], _Crystalizing the q-analogue of universal enveloping algebras_, Commun. Math. Phys. __133__ (1990) 249-260, [proj euclic](http://projecteuclid.org/euclid.cmp/1104201397), [pdf](http://projecteuclid.org/DPubS/Repository/1.0/Disseminate?view=body&id=pdf_1&handle=euclid.cmp/1104201397)

* M. Kashiwara, _On crystal bases_, Representations of Groups, Proc. of the 1994 Annual Seminar of the Canadian Math. Soc. Ban 16 (1995) 155--197, Amer. Math. Soc., Providence, RI. ([pdf](http://www.kurims.kyoto-u.ac.jp/~kenkyubu/kashiwara/on-crystal.pdf), [ps.gz](http://www.kurims.kyoto-u.ac.jp/~kenkyubu/kashiwara/on-crystal.ps.gz))

* Masaki Kashiwara, _Global crystal bases of quantum groups_,  Duke Math. J.  69  (1993),  no. 2, 455--485, [link](http://projecteuclid.org/euclid.dmj/1077293577). 
*  M. Kashiwara, _The crystal base and Littelmann's refined Demazure character formula_, Duke Math. J. 1993. 
* Masaki Kashiwara, Yoshihisa Saito, _Geometric construction of crystal bases_, Duke Math. J. 1996, [pdf cached](http://citeseerx.ist.psu.edu/viewdoc/download;jsessionid=47F46C7CD4CE2825986E88F8A4C6BCE9?doi=10.1.1.11.9068&rep=rep1&type=pdf)
* S-J.Kang, M. Kashiwara, K.Misra, _Crystal bases of Verma modules for quantum affine Lie algebras_, Compositio Math. __92__ (1994) 299--325, [numdam](http://www.numdam.org/item?id=CM_1994__92_3_299_0)
* Hong and Kang, _Introduction to quantum groups and crystal bases_, Grad. Studies in Math. __42__, AMS 2002, 307 pp.
* John R. Stembridge, _A local characterization of simply-laced crystals_, Trans. Amer. Math. Soc. __355__ (2003), 4807--4823.
[[!redirects crystal basis]]