Given any category $C$, we can form the corresponding category of [[pro-object]]s in $C$, which is denoted by $pro$-$C$. Since the category $\mathbb{0}$ with one morphism is a [[filtered category|coflitered]] category, within $pro$-$C$, we have all pro-objects of the form $X: \mathbb{0}\to C$.  Clearly such a functor is completely determined by the single object, $X(*)$, of $C$ to which it corresponds.  This gives a functor:

$$c: C\to pro-C$$

which embeds the category $C$ in $pro$-$C$. (This is really the [[Yoneda embedding]] in disguise.)

###Definition###
Any pro-object isomorphic in $pro$-$C$ to one of the form, $c(X)$, for $X$ an object of $C$, is called **stable** or **essentially constant**.



###Stability problem###

In any given categorical context, the so-called __stability problem__ is the problem of deciding what internal criteria can be applied to check if a given pro-object in that context, is or is not stable,

If $C$ is an [[abelian category]], it is relatively simple to give necessary and sufficient 'internal' conditions for a given pro-object to be *essentially constant*. It must be both [[essentially epimorphic pro-object|essentially epimorphic]] and [[essentially monomorphic pro-object|essentially monomorphic]].