
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Linear algebra
+-- {: .hide}
[[!include homotopy - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Hermitian adjoints

Suppose $\mathcal{H}$ is a [[Hilbert space]] with an inner product $\langle\cdot,\cdot\rangle$.  Consider a continuous [[linear operator]] $A: \mathcal{H} \to \mathcal{H}$.  One can show that there exists a unique continuous linear operator $A^{*}: \mathcal{H} \to \mathcal{H}$ with the following property:

$\langle A x,y\rangle=\langle x,A^{*}y\rangle$ for all $x,y \in \mathcal{H}$.

This is a generalization of the concept of an [[adjoint matrix]] (also known as a [[conjugate transpose matrix|conjugate transpose]], Hermitian conjugate, or Hermitian adjoint).  The adjoint of an $m \times n$ matrix $A$ with complex entries is the $n \times m$ matrix whose entries are defined by

$(A^{*})_{ij}=\bar{A_{ji}}$.

As such,

$A^{*}=(\bar{A})^{T}=\bar{A^{T}}$

where $A^{T}$ is the transpose of $A$ and $\bar{A}$ is the matrix with complex conjugate entries of $A$.

## Hermitian matrices

A matrix, $A$, is said to be Hermitian if

$A^{*}=A$

where $A^{*}$ is the Hermitian adjoint of $A$.

## Notation

The notation used here for the adjoint, $A^{*}$, is commonly used in linear algebraic circles (as is $A^{H}$).  In [[quantum mechanics]], $A^{\dagger}$ is exclusively used for the adjoint while $A^{*}$ is interpreted as the same thing as $\bar{A}$.


## Related concepts

* [[celestial sphere]]

* [[Hermitian form]]

[[!redirects Hermitian matrix]]
[[!redirects Hermitian matrixes]]
[[!redirects Hermitian matrices]]
[[!redirects hermitian matrix]]
[[!redirects hermitian matrixes]]
[[!redirects hermitian matrices]]
[[!redirects Hermitean matrix]]
[[!redirects Hermitean matrixes]]
[[!redirects Hermitean matrices]]
[[!redirects hermitean matrix]]
[[!redirects hermitean matrixes]]
[[!redirects hermitean matrices]]

[[!redirects anti-Hermitian matrix]]
[[!redirects anti-Hermitian matrixes]]
[[!redirects anti-Hermitian matrices]]
[[!redirects anti-hermitian matrix]]
[[!redirects anti-hermitian matrixes]]
[[!redirects anti-hermitian matrices]]
[[!redirects anti-Hermitean matrix]]
[[!redirects anti-Hermitean matrixes]]
[[!redirects anti-Hermitean matrices]]
[[!redirects anti-hermitean matrix]]
[[!redirects anti-hermitean matrixes]]
[[!redirects anti-hermitean matrices]]


[[!redirects Hermitian adjoint]]
[[!redirects Hermitian adjoints]]
[[!redirects hermitian adjoint]]
[[!redirects hermitian adjoints]]
[[!redirects Hermitean adjoint]]
[[!redirects Hermitean adjoints]]
[[!redirects hermitean adjoint]]
[[!redirects hermitean adjoints]]

[[!redirects Hermitian conjugate]]
[[!redirects Hermitian conjugates]]
[[!redirects hermitian conjugate]]
[[!redirects hermitian conjugates]]
[[!redirects Hermitean conjugate]]
[[!redirects Hermitean conjugates]]
[[!redirects hermitean conjugate]]
[[!redirects hermitean conjugates]]

[[!redirects Hermitian conjugation]]
[[!redirects Hermitian conjugations]]
[[!redirects hermitian conjugation]]
[[!redirects hermitian conjugations]]
[[!redirects Hermitean conjugation]]
[[!redirects Hermitean conjugations]]
[[!redirects hermitean conjugation]]
[[!redirects hermitean conjugations]]

[[!redirects hermitian]]
[[!redirects anti-hermitian]]
