# Contents
* table of contents
{: toc}

##Definition##

The Hilbert cube is the product:

$$\prod_n [0,\frac{1}{n}]\cong\prod_n [-\frac{1}{n},\frac{1}{n}] $$

It is a [[compactum|compact]] [[metrizable space]].  It is variously denoted by $Q$ or $I^\omega$.


It plays a central role in [[Borsuk's shape theory]], and is the basis for the construction of Hilbert cube manifolds.  The theory of these were developed by Tom Chapman (mid 1970s) and were used in his proof of the topological invariance of [[Whitehead torsion]].


##Pseudo-interior of $Q$##
It has an important subspace known as its _pseudo-interior_.  This is the product of the corresponding open intervals,

$$s= \prod_n (-\frac{1}{n},\frac{1}{n}).$$

This plays an essential role in the [[shape theory|Chapman complement theorem]]. 

## Properties 

Let $Q$ be the Hilbert cube. 

* A space is [[second countable space|second countable]] (has a countable [[basis]]) and $T_4$ (is [[separation axioms|normal and Hausdorff]]) if and only if it is homeomorphic to a [[subspace]] of $Q$. 

* A [[topological space]] is [[Polish space|Polish]] if and only if it is homeomorphic to a $G_\delta$-[[G-delta subset|subset]] of $Q$. 

* The Hilbert cube has some counterintuitive properties, such as the fact that it is a [[homogeneous space]] (i.e., the group of self-homeomorphisms $Aut(Q)$ acts transitively on $Q$), even though it seems to have a "boundary". See [Halverson and Wright](#HW) for some explicit constructions. 

##References##

* T.A.Chapman, _On Some Applications of Infinite Dimensional Manifolds to the Theory of Shape_, Fund. Math. &6 (1972), 181 - 193.

* T.A. Chapman,  _Lectures on Hilbert Cube Manifolds_, CBMS 28, American Mathematical Society, Providence, RI, 1975 

* Denise M. Halverson, David G. Wright, _The Homogeneous Property of the Hilbert Cube_, [http://arxiv.org/pdf/1211.1363v1.pdf](http://arxiv.org/pdf/1211.1363v1.pdf) 
{#HW}


[[!redirects Hilbert cube]]
[[!redirects Hilbert Cube]]
