
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

What is called _Wick rotation_ (after [[Gian-Carlo Wick]]) is a method in [[physics]] for finding a solution to a problem on [[Minkowski spacetime]] from the solution to a related problem in [[Euclidean space]], or more generally relating a problem on [[Lorentzian manifold|Lorentzian]] [[spacetimes]] to one on [[Riemannian manifolds]].  It is motivated by the observation that the [[Minkowski metric]] (with the $-1,1,1,1$ convention) and the four-dimensional Euclidean metric are equivalent if the [[time]] components of either are allowed to have [[imaginary part|imaginary]] values.

Specifically, in [[quantum field theory]] Wick rotation -- when it applies -- relates [[relativistic field theory]] with [[Euclidean field theory]].

In some special cases Wick rotation has been rigorously understood and takes the form of a [[theorem]]. Notably the _[[Osterwalder-Schrader theorem]]_ gives a precise meaning to Wick rotation for [[quantum field theory]] on [[Minkowski spacetime]] formalized by the [[axioms]] of [[AQFT]].

However, Wick rotation is sometimes also appealed to in situations where the assumptions of theorems like this are evidently violated. For instance, it has been appealed to a lot in an approach to [[quantum gravity]] often known as "Euclidean quantum gravity", where, however, by definition the assumption of global spacetime translation invariance is manifestly violated. In such a context the exact meaning of Wick rotation remains mysterious, and yet on this basis some subtle relations between quantum mechanics and thermodynamics, such as the [[Bekenstein-Hawking entropy]], find elegant explanations, at least at the level of the manipulation of formulas. 

### Example

Consider the Minkowski metric with the $-1,1,1,1$ convention for the tensor:

$d s^{2}= -(d t)^{2} + (d x)^{2} + (d y)^{2} + (d z)^{2}$

and the four-dimensional Euclidean metric:

$d s^{2}= d \tau^{2} + (d x)^{2} + (d y)^{2} + (d z)^{2}$.

Notice that if $d t = i\cdot d \tau$, the two are equivalent.

### Method

A typical method for employing Wick rotation would be to make the substitution $t=i\tau$ in a problem in Minkowski space.  The resulting problem is in Euclidean space and is sometimes easier to solve, after which a reverse substitution can (sometimes) be performed, yielding a solution to the original problem.

Technically, this works for any four-vector comparison between Minkowski space and Euclidean space, not just for space-time intervals.

## Related concepts

* [[reflection positivity]]

## References


See also at _[[Osterwalder-Schrader theorem]]_.

* Dirk Schlingemann, _From euclidean field theory to quantum field theory_ ([arXiv:hep-th/9802035](http://arxiv.org/abs/hep-th/9802035))

* [[Graeme Segal]], _Wick rotation and the positivity of energy in quantum field theory_ ([video](https://www.youtube.com/watch?feature=player_embedded&v=vTvXHL6ZJik))

* {#Witten13} [[Edward Witten]], _The Feynman $i \epsilon$ in String Theory_ ([arXiv:1307.5124](http://arxiv.org/abs/1307.5124))
