[[!redirects Menagerie]]
This entry is about the document


* [[Tim Porter]], _The Crossed Menagerie: 
an introduction to crossed gadgetry and cohomology in algebra and 
topology_. 
(Notes, in part, prepared for the  _XVI Encuentro Rioplatense de 
Algebra y Geometría Algebraica_, in Buenos Aires, 12-15 December 
2006, and for course MATH5312, Spring-Summer term 2007, 
University of Ottawa) ([[menagerie10a.pdf|pdf:file]])

This is an ongoing set of notes outlining an approach to [[nonabelian cohomology]], [[stack]]s, etc., and Grothendieck's conjectured extension of 'Galois-Poincaré theory'. The title refers to the array of strange beasties that occur as generalisations of [[crossed modules]]. (The present version is over 921 pages long, and is changing quite often. A fairly stable version (but up-dates are planned shortly!) is available as a download,  [[menagerie10a.pdf|here:file]].

These notes, or at least the first few chapters of them, acted as course notes for a 4 lecture course in Buenos Aires, and later on for a course on cohomology in Ottawa. 

  Some idea of the content can be gleaned from the Table of Contents.

##Table of Contents ##

(This gives Chapter and section headings. Subsection headings give too long a list to be that useful, so if you want more detail (for the moment) look at the pdf file.)

* Introduction 

* 1 Preliminaries 

  * 1\.1 Groups and Groupoids 

  * 1\.2 A very brief introduction to cohomology 


  * 1\.3 Simplicial things in a category


* 2 Crossed modules - definitions, examples and applications  

  * 2\.1 Crossed modules
 

  * 2\.2 Group presentations, identities and 2-syzyzgies  

	   

  * 2\.3 Cohomology, crossed extensions and algebraic 2-types 

	   


 
* 3 Crossed complexes and (Abelian) Cohomology  

  * 3\.1 Crossed complexes: the Definition 


	   
  * 3\.2 Crossed complexes and chain complexes: I


	   

  * 3\.5 Simplicial groups and crossed complexes 


	   

  * 3\.6 Cohomology and crossed extensions 


	  
  * 3\.7 2-types and cohomology

  * 3\.8 Re-examining group cohomology with Abelian coefficients

* 4 Beyond 2-types 

  * 4\.1 Crossed squares 


  * 4\.2 2-crossed modules and related ideas 

  * 4\.3 Cat$^n$ -groups and crossed $n$-cubes 

  * 4\.4 Loday’s Theorem and its extensions

  * 4\.5 Crossed N-cubes 

* 5 Classifying spaces, and extensions 

  * 5\.1 Non-Abelian extensions revisited 

  * 5\.2 Classifying spaces 

  * 5\.3 Simplicial Automorphisms and Regular Representations 

  * 5\.4 Simplicial actions and principal fibrations 

  * 5\.5 $\overline{W}$, $W$,  and twisted Cartesian products 

  * 5\.6 More examples of Simplicial Groups 

* 6 Non-Abelian Cohomology: Torsors, and Bitorsors 

  * 6\.1 Descent: Bundles, and Covering Spaces 

  * 6\.2 Descent: simplicial fibre bundles 



  * 6\.3 Descent: Sheaves 

  * 6\.4 Descent: Torsors 

  * 6\.5 Bitorsors 



  * 6\.6 Relative $M$-torsors





* 7 Hypercohomology and exact sequences 

  * 7\.1 Hyper-cohomology 


  * 7\.2 Mapping cocones and Puppe sequences

  * 7\.3 Puppe sequences and classifying spaces



* 8 Non-Abelian Cohomology: Stacks 

  * 8\.1 Fibred Categories 

  * 8\.2 The Grothendieck construction

  * 8\.3 Prestacks: sheaves of local morphisms

  * 8\.4 From prestacks to stacks 





* 9 Non-Abelian Cohomology: Gerbes 

  * 9\.1 Gerbes 

  * 9\.2 Geometric examples of gerbes   

  * 9\.3 Cocycle description of gerbes



* 10 Homotopy Coherence and Enriched Categories  

  * 10\.1 Case study: examples of homotopy coherent diagrams 

  * 10\.2 Simplicially enriched categories 

  * 10\.3 Structure 

  * 10\.4 Nerves and Homotopy Coherent Nerves

  * 10\.5 Useful examples 

  * 10\.6 Two nerves for 2-groups 

  * 10\.7 Pseudo-functors between 2-groups 

* 11 Other enrichments, other versions of homotopy coherence

  * 11\.1 Other enrichments`?

  * 11\.2 From simplicially enriched to chain complex enriched

    * [[Eilenberg-Zilber map]], [[shuffle]], [[products of simplices]]

    * [[monoidal Dold-Kan correspondence]]
 
* 12 More simplicial constructions!

(This gives the list for the first few chapters. There are more, but they are in a more fluid state.  Anyone who would like a `fluid copy' is welcome to contact the author.)

category: reference
[[!redirects crossed menagerie]]

[[!redirects Crossed Menagerie]]