
# Special characters
* table of contents
{: toc}

## Introduction

This page is to help you copy and paste special characters if you want them.  For the moment, it is discouraged to put these in [page names](http://ncatlab.org/nlab/show/HowTo#naming), although you may want to use them in [[redirected pages]].  It is also usually better to use iTeX when appropriate (mathematical characters outside of wiki links).


## Text symbols

Č (more to come!)


## Mathematical symbols

These are alphabetical by the LaTeX name.  If you don\'t know the LaTeX name, try [Detexify](http://detexify.kirelabs.org/) (requires Javascript).  Not included are commands like `\arccos` that produce ASCII, commands like `\textbullet` that are meant for text mode (use mathmode\'s `\bullet` instead), and commands like `\Bbbk` that produce font and size variants.

Although this is not intended as a list of iTeX commands (since the [itex symbols list](http://xbeta.org/wiki/show/itex) is pretty comprehensive and well-organised), inevitably people will use it that way too.  So please place an asterisk by names that are *not* recognised by iTeX (which you will discover for yourself when you add it).

Remember to use iTeX itself when appropriate.  You mostly will only need to copy and paste these symbols to produce redirects (and most of the time you shouldn\'t have to come here since the symbol will be on the page already).


<ul markdown="1"><li>`*`: $*$</li>
<li>`-`: $-$</li>
<li>`|`: $|$</li>
<li>`'`: $'$</li>
<li>\* `&lt;`: $\lt$</li>
<li>\* `&gt;`: $\gt$</li>
<li>`\|`: $\|$</li></ul>

### A

* `\aleph`: $\aleph$
* `\alpha`: $\alpha$
* `\amalg`: $\amalg$
* `\angle`: $\angle$
* `\approx`: $\approx$
* \* `\approxcolon`: <math class='maruku-mathml' display='inline' xmlns='http://www.w3.org/1998/Math/MathML'><mo lspace='mediummathspace' rspace='mediummathspace'>&#x2248;&#x2236;</mo></math> (no single Unicode character)
* \* `\approxcoloncolon`: <math class='maruku-mathml' display='inline' xmlns='http://www.w3.org/1998/Math/MathML'><mo lspace='mediummathspace' rspace='mediummathspace'>&#x2248;&#x2237;</mo></math> (no single Unicode character)
* `\approxeq`: $\approxeq$
* \* `\ast`: $&#x2217;$
* `\asymp`: $\asymp$

### B

* `\backepsilon`: $\backepsilon$
* `\backprime`: $\backprime$ (outside of the superscript)
* `\backsim`: $\backsim$
* `\backsimeq`: $\backsimeq$
* `\backslash`: $\backslash$
* \* `\baro`: $&#x233D;$
* \* `\barwedge`: $&#x2305;$
* \* `\bbslash`: $&#x244A;$
* `\because`: $\because$
* `\beta`: $\beta$
* `\beth`: $\beth$
* `\between`: $\between$
* \* `\bigbox`: $&#x2B1C;$
* `\bigcap`: $\bigcap$
* `\bigcirc`: $\bigcirc$
* `\bigcup`: $\bigcup$
* \* `\biginterleave`: $&#x2AFC;$
* `\bigodot`: $\bigodot$
* `\bigoplus`: $\bigoplus$
* `\bigotimes`: $\bigotimes$
* \* `\bigparallel`: $&#x2551;$
* \* `\bigsqcap`: $&#x2A05;$
* `\bigsqcup`: $\bigsqcup$
* `\bigstar`: $\bigstar$
* `\bigtriangledown`: $\bigtriangledown$
* `\bigtriangleup`: $\bigtriangleup$
* `\biguplus`: $\biguplus$
* `\bigvee`: $\bigvee$
* `\bigwedge`: $\bigwedge$
* \* `\binampersand`: $\&$
* \* `\bindnasrepma`: $\parr$
* `\blacklozenge`: $\blacklozenge$
* `\blacksquare`: $\blacksquare$
* `\blacktriangle`: $\blacktriangle$
* `\blacktriangledown`: $\blacktriangledown$
* \* `\blacktriangleleft`: $&#x25C2;$
* \* `\blacktriangleright`: $&#x25B8;$
* `\bot`: $\bot$
* `\bottom`: $\bottom$
* `\bowtie`: $\bowtie$
* `\Box`: $\Box$
* \* `\boxast`: $&#x29C6;$
* \* `\boxbox`: $&#x29C8;$
* \* `\boxbslash`: $&#x29C5;$
* \* `\boxcircle`: $&#x29C7;$
* \* `\boxdot`: $&#x22A1;$
* \* `\boxempty`: $\Box$
* `\boxminus`: $\boxminus$
* `\boxplus`: $\boxplus$
* \* `\boxslash`: $&#x29C4;$
* `\boxtimes`: $\boxtimes$
* `\bullet`: $\bullet$
* `\bumpeq`: $\bumpeq$
* `\Bumpeq`: $\Bumpeq$

### C

* `\cap`: $\cap$
* \* `\Cap`: $&#x22D2;$
* `\cdot`: $\cdot$
* \* `\cdotp`: $\cdot$
* `\cdots`: $\cdots$
* \* `\centerdot`: $&#xB7;$
* \* `\checkmark`: $&#x2713;$
* `\chi`: $\chi$
* `\circ`: $\circ$
* `\circeq`: $\circeq$
* `\circlearrowleft`: $\circlearrowleft$
* `\circlearrowright`: $\circlearrowright$
* \* `\circledast`: $&#x229B;$
* \* `\circledcirc`: $&#x229A;$
* `\circleddash`: $\circleddash$
* \* `\circledR`: $&#xAE;$
* \* `\circledS`: $&#x24C8;$
* `\clubsuit`: $\clubsuit$
* \* `\complement`: $&#x2201;$
* `\coloneq`: $\coloneq$
* `\coloneqq`: $\coloneqq$
* `\cong`: $\cong$
* `\coprod`: $\coprod$
* \* `\copyright`: $&#xA9;$
* `\cup`: $\cup$
* \* `\Cup`: $&#x22D3;$
* `\curlyeqprec`: $\curlyeqprec$
* `\curlyeqsucc`: $\curlyeqsucc$
* \* `\curlyvee`: $&#x22CE;$
* \* `\curlywedge`: $&#x22CF;$
* `\curvearrowleft`: $\curvearrowleft$
* `\curvearrowright`: $\curvearrowright$

### D

* `\dag`: $\dagger$
* `\dagger`: $\dagger$
* \* `\daleth`: $&#x2138;$
* `\dasharrow`: $\dashrightarrow$
* `\dashleftarrow`: $\dashleftarrow$
* `\dashrightarrow`: $\dashrightarrow$
* `\dashv`: $\dashv$
* `\ddag`: $\ddagger$
* `\ddagger`: $\ddagger$
* `\ddots`: $\ddots$
* \* `\degree`: $&#xB0;$
* `\delta`: $\delta$
* `\Delta`: $\Delta$
* \* `\diagdown`: $\setminus$
* \* `\diagup`: $&#x2215;$
* `\diamond`: $\diamond$
* `\Diamond`: $\Diamond$
* `\diamondsuit`: $\diamondsuit$
* `\digamma`: $\digamma$
* `\div`: $\div$
* \* `\divideontimes`: $&#x22C7;$
* `\doteq`: $\doteq$
* \* `\Doteq`: $\doteqdot$
* `\doteqdot`: $\doteqdot$
* \* `\dotplus`: $&#x2214;$
* `\dots`: $\dots$
* \* `\doublecap`: $&#x22D2;$
* \* `\doublecup`: $&#x22D3;$
* \* `\doublebarwedge`: $&#x2306;$
* `\downarrow`: $\downarrow$
* `\Downarrow`: $\Downarrow$
* `\downdownarrows`: $\downdownarrows$
* `\downharpoonleft`: $\downharpoonleft$
* `\downharpoonright`: $\downharpoonright$

### E

* `\ell`: $\ell$
* `\emptyset`: $\emptyset$
* `\epsilon`: $\epsilon$
* `\eqcirc`: $\eqcirc$
* \* `\eqsim`: $&#x2242;$
* `\eqslantgtr`: $\eqslantgtr$
* `\eqslantless`: $\eqslantless$
* `\equiv`: $\equiv$
* `\eta`: $\eta$
* `\eth`: $\eth$
* `\exists`: $\exists$

### F

* `\fallingdotseq`: $\fallingdotseq$
* \* `\fatsemi`: $&#x2A1F;$
* \* `\fint`: $&#x2A0D;$
* \* `\Finv`: $&#x2132;$
* `\flat`: $\flat$
* `\forall`: $\forall$
* `\frown`: $\frown$

### G

* \* `\Game`: $&#x2141;$
* `\gamma`: $\gamma$
* `\Gamma`: $\Gamma$
* `\ge`: $\ge$
* `\geq`: $\geq$
* `\geqq`: $\geqq$
* `\geqslant`: $\geqslant$
* \* `\gets`: $\leftarrow$
* `\gg`: $\gg$
* `\ggg`: $\ggg$
* \* `\gggtr`: $\ggg$
* \* `\gimel`: $&#x2137;$
* `\gnapprox`: $\gnapprox$
* `\gneq`: $\gneq$
* `\gneqq`: $\gneqq$
* `\gnsim`: $\gnsim$
* `\gt`: $\gt$
* `\gtrapprox`: $\gtrapprox$
* `\gtrdot`: $\gtrdot$
* `\gtreqless`: $\gtreqless$
* `\gtreqqless`: $\gtreqqless$
* `\gtrless`: $\gtrless$
* `\gtrsim`: $\gtrsim$

### H

* `\hbar`: $\hbar$
* \* `\hdots`: $\cdots$
* `\heartsuit`: $\heartsuit$
* `\hookleftarrow`: $\hookleftarrow$
* `\hookrightarrow`: $\hookrightarrow$
* \* `\hslash`: $\hbar$

### I

* \* `\iff`: $&#x27FA;$ (present but incorrect in iTeX)
* `\iiiint`: $\iiiint$
* `\iiint`: $\iiint$
* `\iint`: $\iint$
* `\Im`: $\Im$
* `\imath`: $\imath$
* `\implies`: $\implies$
* `\in`: $\in$
* `\infty`: $\infty$
* \* `\inplus`: $&#x2A2D;$
* `\int`: $\int$
* \* `\intercal`: $&#x22BA;$
* \* `\interleave`: $&#x2AF4;$
* `\iota`: $\iota$

### J

* `\jmath`: $\jmath$
* \* `\Join`: $\bowtie$

### K

* `\kappa`: $\kappa$

### L

* `\lambda`: $\lambda$
* `\Lambda`: $\Lambda$
* \* `\land`: $\wedge$
* `\langle`: $\langle$
* `\lceil`: $\lceil$
* `\ldots`: $\ldots$
* `\le`: $\le$
* \* `\leadsto`: $&#x219D;$
* `\leftarrow`: $\leftarrow$
* `\Leftarrow`: $\Leftarrow$
* `\leftarrowtail`: $\leftarrowtail$
* \* `\leftarrowtriangle`: $&#x21FD;$
* \* `\leftharpoondown`: $&#x21BC;$
* \* `\leftharpoonup`: $&#x21BD;$
* `\leftleftarrows`: $\leftleftarrows$
* `\leftrightarrow`: $\leftrightarrow$
* `\Leftrightarrow`: $\Leftrightarrow$
* `\leftrightarrows`: $\leftrightarrows$
* \* `\leftrightarrowtriangle`: $&#x21FF;$
* `\leftrightharpoons`: $\leftrightharpoons$
* `\leftrightsquigarrow`: $\leftrightsquigarrow$
* \* `\leftslice`: $&#x2AA6;$
* \* `\leftthreetimes`: $&#x22CB;$
* `\leq`: $\leq$
* `\leqq`: $\leqq$
* `\leqslant`: $\leqslant$
* `\lessapprox`: $\lessapprox$
* `\lessdot`: $\lessdot$
* `\lesseqgtr`: $\lesseqgtr$
* `\lesseqqgtr`: $\lesseqqgtr$
* `\lessgtr`: $\lessgtr$
* `\lesssim`: $\lesssim$
* `\lfloor`: $\lfloor$
* \* `\lgroup`: $&#x3014;$
* `\lhd`: $\lhd$
* \* `\LHD`: $&#x25C4;$
* `\lightning`: $&#x2607;$
* `\ll`: $\ll$
* \* `\llbracket`: $&#x27E6;$
* `\Lleftarrow`: $\Lleftarrow$
* `\lll`: $\lll$
* \* `\llless`: $\lll$
* \* `\llparenthesis`: $&#x2987;$
* \* `\lmoustache`: $&#x23B0;$
* `\lnapprox`: $\lnapprox$
* `\lneq`: $\lneq$
* `\lneqq`: $\lneqq$
* \* `\lnot`: $\neg$
* `\lnsim`: $\lnsim$
* `\longleftarrow`: $\longleftarrow$
* \* `\Longleftarrow`: $&#x27F8;$
* \* `\longleftrightarrow`: $&#x27F7;$
* \* `\Longleftrightarrow`: $&#x27FA;$ (present but incorrect in iTeX)
* \* `\longmapsfrom`: $&#x21A4;$
* \* `\Longmapsfrom`: $&#x2906;$
* \* `\longmapsto`: $&#x21A6;$
* \* `\Longmapsto`: $&#x2907;$
* `\longrightarrow`: $\longrightarrow$
* \* `\Longrightarrow`: $&#x27F9;$
* `\looparrowleft`: $\looparrowleft$
* `\looparrowright`: $\looparrowright$
* \* `\lor`: $\vee$
* `\lozenge`: $\lozenge$
* `\Lsh`: $\Lsh$
* `\lt`: $\lt$
* `\ltimes`: $\ltimes$
* \* `\lvert`: $\vert$
* \* `\lVert`: $\Vert$

### M

* \* `\mapsfrom`: $&#x21A4;$
* \* `\Mapsfrom`: $&#x2906;$
* `\mapsto`: $\mapsto$
* \* `\Mapsto`: $&#x2907;$
* \* `\mathellipsis`: $\ldots$
* \* `\mathparagraph`: $&#xB6;$
* \* `\mathsection`: $&#xA7;$
* \* `\mathsterling`: $&#xA3;$
* `\measuredangle`: $\measuredangle$
* \* `\merge`: $&#x2A07;$
* `\mho`: $\mho$
* `\mid`: $\mid$
* `\models`: $\models$
* `\mp`: $\mp$
* `\mu`: $\mu$
* `\multimap`: $\multimap$

### N

* `\nabla`: $\nabla$
* \* `\napprox`: $&#x2249;$
* `\natural`: $\natural$
* `\ncong`: $\ncong$
* `\ne`: $\ne$
* `\nearrow`: $\nearrow$
* `\neg`: $\neg$
* `\neq`: $\neq$
* `\nequiv`: $\nequiv$
* `\nexists`: $\nexists$
* `\ngeq`: $\ngeq$
* `\ngtr`: $\ngtr$
* `\ni`: $\ni$
* \* `\nin`: $\notin$
* \* `\niplus`: $&#x2A2E;$
* `\nleftarrow`: $\nleftarrow$
* `\nLeftarrow`: $\nLeftarrow$
* `\nleftrightarrow`: $\nleftrightarrow$
* `\nLeftrightarrow`: $\nLeftrightarrow$
* `\nleq`: $\nleq$
* `\nless`: $\nless$
* `\nmid`: $\nmid$
* `\notin`: $\notin$
* `\nparallel`: $\nparallel$
* `\nprec`: $\nprec$
* `\nrightarrow`: $\nrightarrow$
* `\nRightarrow`: $\nRightarrow$
* `\nsim`: $\nsim$
* \* `\nsimeq`: $&#x2244;$
* `\nsubseteq`: $\nsubseteq$
* `\nsucc`: $\nsucc$
* `\nsupseteq`: $\nsupseteq$
* \* `\ntriangleleft`: $&#x22EA;$
* \* `\ntrianglelefteq`: $&#x22EC;$
* \* `\ntriangleright`: $&#x22EB;$
* \* `\ntrianglerighteq`: $&#x22ED;$
* `\nu`: $\nu$
* `\nvdash`: $\nvdash$
* `\nvDash`: $\nvDash$
* \* `\nVdash`: $&#x22AE;$
* `\nVDash`: $\nVDash$
* `\nwarrow`: $\nwarrow$

### O

* \* `\oast`: $&#x229B;$
* \* `\obar`: $&#x29B6;$
* \* `\oblong`: $&#x2AFE;$
* \* `\ocircle`: $&#x229A;$
* `\odot`: $\odot$
* \* `\ogreaterthan`: $&#x29C1;$
* \* `\ohm`: $\Omega$
* \* `\oiiint`: $&#x2230;$
* \* `\oiint`: $&#x222F;$
* `\oint`: $\oint$
* \* `\ointclockwise`: $&#x2232;$
* \* `\ointcounterclockwise`: $&#x2233;$
* \* `\olessthan`: $&#x29C0;$
* `\omega`: $\omega$
* `\Omega`: $\Omega$
* \* `\ominus`: $&#x2296;$
* `\oplus`: $\oplus$
* \* `\oslash`: $&#x2298;$
* `\otimes`: $\otimes$
* \* `\owns`: $\ni$

### P

* \* `\P`: $&#xB6;$
* `\parallel`: $\parallel$
* `\partial`: $\partial$
* \* `\permil`: $&#x2030;$
* `\perp`: $\perp$
* `\phi`: $\phi$
* `\Phi`: $\Phi$
* `\pi`: $\pi$
* `\Pi`: $\Pi$
* `\pitchfork`: $\pitchfork$
* `\pm`: $\pm$
* \* `\pounds`: $&#xA3;$
* `\prec`: $\prec$
* `\precapprox`: $\precapprox$
* `\preccurlyeq`: $\preccurlyeq$
* `\preceq`: $\preceq$
* `\precnapprox`: $\precnapprox$
* \* `\precneqq`: $&#x2AB5;$
* `\precnsim`: $\precnsim$
* `\precsim`: $\precsim$
* `\prime`: $\prime$ (outside of the superscript)
* \* `\Prime`: $&#x2033;$ (outside of the superscript)
* `\prod`: $\prod$
* `\propto`: $\propto$
* `\psi`: $\psi$
* `\Psi`: $\Psi$

### Q

* `\qprime`: $&#x2057;$ (outside of the superscript)

### R

* `\rangle`: $\rangle$
* `\rceil`: $\rceil$
* `\Re`: $\Re$
* \* `\restriction`: $\upharpoonright$
* `\rfloor`: $\rfloor$
* \* `\rgroup`: $&#x3015;$
* `\rhd`: $\rhd$
* \* `\RHD`: $&#x25BA;$
* `\rho`: $\rho$
* `\rightarrow`: $\rightarrow$
* `\Rightarrow`: $\Rightarrow$
* `\rightarrowtail`: $\rightarrowtail$
* \* `\rightarrowtriangle`: $&#x21FE;$
* \* `\rightharpoondown`: $&#x21C1;$
* \* `\rightharpoonup`: $&#x21C0;$
* `\rightleftarrows`: $\rightleftarrows$
* `\rightleftharpoons`: $\rightleftharpoons$
* `\rightrightarrows`: $\rightrightarrows$
* \* `\rightslice`: $&#x2AA7;$
* `\rightsquigarrow`: $\rightsquigarrow$
* \* `\rightthreetimes`: $&#x22CC;$
* `\risingdotseq`: $\risingdotseq$
* \* `\rmoustache`: $&#x23B1;$
* \* `\rrbracket`: $&#x27E7;$
* `\Rrightarrow`: $\Rrightarrow$
* \* `\rrparenthesis`: $&#x2988;$
* `\Rsh`: $\Rsh$
* `\rtimes`: $\rtimes$
* \* `\rvert`: $\vert$
* \* `\rVert`: $\Vert$

### S

* \* `\S`: $&#xA7;$
* `\searrow`: $\searrow$
* `\setminus`: $\setminus$
* `\sharp`: $\sharp$
* `\sigma`: $\sigma$
* `\Sigma`: $\Sigma$
* `\sim`: $\sim$
* `\simeq`: $\simeq$
* `\smallsetminus`: $\smallsetminus$
* `\smile`: $\smile$
* `\spadesuit`: $\spadesuit$
* `\sphericalangle`: $\sphericalangle$
* `\sqcap`: $\sqcap$
* `\sqcup`: $\sqcup$
* `\sqsubset`: $\sqsubset$
* `\sqsubseteq`: $\sqsubseteq$
* `\sqsupset`: $\sqsupset$
* `\sqsupseteq`: $\sqsupseteq$
* `\square`: $\square$
* `\sslash`: $\sslash$
* `\star`: $\star$
* `\subset`: $\subset$
* `\Subset`: $\Subset$
* `\subseteq`: $\subseteq$
* `\subseteqq`: $\subseteqq$
* `\subsetneq`: $\subsetneq$
* `\subsetneqq`: $\subsetneqq$
* `\succ`: $\succ$
* `\succapprox`: $\succapprox$
* `\succcurlyeq`: $\succcurlyeq$
* `\succeq`: $\succeq$
* `\succnapprox`: $\succnapprox$
* \* `\succneqq`: $&#x2AB6;$
* `\succnsim`: $\succnsim$
* `\succsim`: $\succsim$
* `\sum`: $\sum$
* `\supset`: $\supset$
* `\Supset`: $\Supset$
* `\supseteq`: $\supseteq$
* `\supseteqq`: $\supseteqq$
* `\supsetneq`: $\supsetneq$
* `\supsetneqq`: $\supsetneqq$
* `\surd`: $&#x221A;$
* `\swarrow`: $\swarrow$

### T

* \* `\talloblong`: $&#x2AFF;$
* `\tau`: $\tau$
* `\therefore`: $\therefore$
* `\theta`: $\theta$
* `\Theta`: $\Theta$
* `\times`: $\times$
* `\to`: $\to$
* `\top`: $\top$
* \* `\tprime`: $&#x2034;$ (outside of the superscript)
* `\triangle`: $\triangle$
* `\triangledown`: $\triangledown$
* `\triangleleft`: $\triangleleft$
* \* `\trianglelefteq`: $&#x22B4;$
* \* `\triangleq`: $&#x225C;$
* `\triangleright`: $\triangleright$
* \* `\trianglerighteq`: $&#x22B5;$
* `\twoheadleftarrow`: $\twoheadleftarrow$
* `\twoheadrightarrow`: $\twoheadrightarrow$

### U

* `\unlhd`: $\unlhd$
* `\unrhd`: $\unrhd$
* `\uparrow`: $\uparrow$
* `\Uparrow`: $\Uparrow$
* `\updownarrow`: $\updownarrow$
* `\Updownarrow`: $\Updownarrow$
* `\upharpoonleft`: $\upharpoonleft$
* `\upharpoonright`: $\upharpoonright$
* `\uplus`: $\uplus$
* `\upsilon`: $\upsilon$
* `\Upsilon`: $\Upsilon$
* `\upuparrows`: $\upuparrows$

### V

* `\varepsilon`: $\varepsilon$
* `\varkappa`: $\varkappa$
* `\varnothing`: $\varnothing$
* `\varphi`: $\varphi$
* `\varpi`: $\varpi$
* `\varpropto`: $\varpropto$
* `\varrho`: $\varrho$
* `\varsigma`: $\varsigma$
* `\vartheta`: $\vartheta$
* `\vdash`: $\vdash$
* `\vDash`: $\vDash$
* `\Vdash`: $\Vdash$
* `\VDash`: $\VDash$
* `\vdots`: $\vdots$
* `\vee`: $\vee$
* \* `\veebar`: $&#x22BB;$
* `\vert`: $\vert$
* `\Vert`: $\Vert$
* `\Vvdash`: $\Vvdash$

### W

* `\wedge`: $\wedge$
* `\wp`: $\wp$
* `\wr`: $\wr$

### X

* `\xi`: $\xi$
* `\Xi`: $\Xi$

### Y

### Z

* `\zeta`: $\zeta$


category: meta

[[!redirects unicode]]
[[!redirects Unicode]]
[[!redirects special character]]
[[!redirects special characters]]
