
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--


This entry provides hyperlinked keywords and further pointers to the literature for the articles

* [[Hisham Sati]], _Geometric and topological structures related to M-branes_ , 

  part I, Proc. Symp. Pure Math. 81 (2010), 181-236 ([arXiv:1001.5020](http://arXiv.org/abs/1001.5020)), 

  part _II: Twisted $String$ and $String^c$ structures_, J. Australian Math. Soc. 90 (2011), 93-108 ([arXiv:1007.5419](http://arxiv.org/abs/1007.5419)); 

  part _III: Twisted higher structures_, Int. J. Geom. Meth. Mod. Phys. 8 (2011), 1097-1116 ([arXiv:1008.1755](http://arxiv.org/abs/1008.1755))

on phenomena of [[higher geometry]] and [[generalized cohomology]] encountered in [[string theory]] and specifically when going towards [[M-theory]].

Apart from original work this provides an exhaustive bibliography of the relevant existing literature, which we reproduce hyperlinked [below](#BibliographyI).



#Contents#
* table of contents
{:toc}

## Abstract 

> We consider the topological and geometric structures associated with cohomological and homological objects in [[string theory|M-theory]]. For the latter, we have M2-branes and M5-branes, the analysis of which requires the underlying [[spacetime]] to admit a [[String structure]] and a [[Fivebrane structure]], respectively. For the former, we study how the fields in M-theory are associated with the above structures, with [[L-infinity algebra|homotopy algebras]], with [[twisted cohomology]], and with [[cohomology|generalized cohomology]]. We also explain how the corresponding charges should take values in [[topological modular form]]s. We survey background material and related results in the process.


## Higher cohomological charges
 {#HigherCohomologicalCharges}

Discussion of [[elliptic cohomology]] and [[Morava K-theory]] as the home for higher analogs of [[D-brane charges]] ([[M5-brane charge]], [[M9-brane]] charge...) and the corresponding [[orientation in generalized cohomology]] as higher [[quantum anomaly]] conditions (such as the [[Diaconescu-Moore-Witten anomaly]]):

* [[Hisham Sati]], [[Craig Westerland]], _Twisted Morava K-theory and E-theory_ ([arXiv:1109.3867](http://arxiv.org/abs/1109.3867))


* [[Igor Kriz]], [[Hisham Sati]], _M-theory, type IIA superstrings, and elliptic cohomology_, Adv. Theor.
Math. Phys. 8 (2004), no. 2, 345–394 ([arXiv:hep-th/0404013](http://arxiv.org/abs/hep-th/0404013))
 {#SatiKriz04}

* [[Lukas Buhné]], _[[Properties of Integral Morava K-Theory and the Asserted Application to the Diaconescu-Moore-Witten Anomaly]]_, Diploma thesis Hamburg (2011)
 {#Buhne11}


## Bibliography of part I
 {#BibliographyI}


{AKMW} [[Orlando Alvarez]], T. P. Killingback, M. L. Mangano, and P. Windey,
_String theory and loop space index theorems_,
Commun. Math. Phys. __111__ (1987) 1-10, [euclid](http://projecteuclid.org/euclid.cmp/1104159462), [MR0896755](http://www.ams.org/mathscinet-getitem?mr=0896755)

{ASi}
[[Orlando Alvarez]] and I. M. Singer, _Beyond the elliptic genus_,
Nuclear Phys. __B 633__ (2002) 309-344,
[arXiv:hep-th/0104199](http://arxiv.org/abs/hep-th/0104199).

{And} [[Matthew Ando]], _Power operations in elliptic cohomology and representations of loop groups_, Trans. AMS __352__ (2000) 5619--5666, [doi](http://dx.doi.org/10.1090/S0002-9947-00-02412-0).

{Atwist} [[Matthew Ando]], [[Andrew Blumberg]], and [[David Gepner]], _Twists of K-theory and TMF_, [arxiv/1002.3004](http://arxiv.org/abs/1002.3004), to appear in Proc. Symp. Pure Math.

{AHR}
[[Matthew Ando]], [[Mike Hopkins]], and [[Charles Rezk]], _Multiplicative orientations of KO-theory and of the spectrum of topological modular forms_,
preprint 2009, [http://www.math.uiuc.edu/~mando/papers/koandtmf.pdf](http://www.math.uiuc.edu/~mando/papers/koandtmf.pdf).

{AHS} [[Matthew Ando]], [[Mike Hopkins]], and N. P. Strickland,
_Elliptic spectra, the Witten genus and the theorem of the cube_,
  Invent. Math. __146__ (2001), no. 3, 595--687.

{As} A. Asada, _Four lectures on the geometry of loop group and
non abelian de Rham theory_, Chalmers University of
Technology/The University of Göteborg, 1990.

{AJ} P. Aschieri and [[Branislav Jurčo]], _Gerbes, M5-brane anomalies and $E_8$ gauge theory_, J. High Energy Phys. __0410__ (2004) 068,
[arXiv:hep-th/0409200](http://arXiv.org/abs/hep-th/0409200).

{AS1} M. Atiyah and G. Segal, _Twisted $K$-theory_,
Ukr. Math. Bull. __1__ (2004), no. 3, 291--334,
[arXiv:math.KT/0407054](http://arXiv.org/abs/math.KT/0407054).

{AS2} [[Michael Atiyah]] and [[Graeme Segal]], _Twisted K-theory and cohomology_,
Inspired by S. S. Chern, 5-43, Nankai Tracts Math. __11__, World Sci. Publ.,
Hackensack, NJ, 2006, [arXiv:math/0510674](http://arXiv.org/abs/math/0510674).

{BBK} [[Nils Baas]], M. B{\"o}kstedt, and T. A. Kro, _Two-categorical bundles and their classifying spaces_, [arXiv:math.AT/0612549] [http://arXiv.org/abs/math.AT/0612549].

{BCSS} [[John Baez]], [[Alissa Crans]], [[Urs Schreiber]], and [[Danny Stevenson]], _From loop groups to 2-groups_, Homology, Homotopy Appl. __9__ (2007), no. 2, 101--135, [arXiv:math.QA/0504123](http://arXiv.org/abs/math.QA/0504123).

{BS} [[John Baez]], and [[Urs Schreiber]], _Higher gauge theory_, Categories in Algebra, Geometry and Mathematical Physics, 7--30, Contemp. Math., __431__, Amer. Math. Soc., Providence, RI, 2007, [arXiv:math/0511710v2](http://arXiv.org/abs/math/0511710v2).

{BSt} [[John Baez]] and [[Danny Stevenson]], _The classifying space of a topological 2-group_, [arXiv:math.AT/0801.3843](http://arXiv.org/abs/0801.3843).

{BST} E. Bergshoeff, E. Sezgin, and P.K. Townsend, _Supermembranes and eleven-dimensional supergravity_, Phys. Lett. __B189__ (1987) 75-78.

{BCMMS} P. Bouwknegt, A. L. Carey, V. Mathai, M. K. Murray, and D. Stevenson, _Twisted K-theory and K-theory of bundle gerbes_,
Commun. Math. Phys. __228__ (2002) 17-49,
[hep-th/0106194](http://arXiv.org/abs/hep-th/0106194).

{BEJMS} P. Bouwknegt, J. Evslin, B. Jurčo, V. Mathai, and H. Sati,
_Flux compactification on projective spaces and the S-duality
puzzle_, Adv. Theor. Math. Phys. __10__ (2006) 345-94, [hep-th/0501110](http://arXiv.org/abs/hep-th/0501110).

{BM} P. Bouwknegt and V. Mathai, _D-branes, B-fields and twisted K-theory_,
J. High Energy Phys. __0003__ (2000) 007,
[hep-th/0002023](http://arXiv.org/abs/hep-th/0002023).

{BKTV} P. Bressler, M. Kapranov, B. Tsygan, and E. Vasserot,
_Riemann-Roch for real varieties_,
[math/0612410](http://arXiv.org/abs/math/0612410).

{BMRS} J. Brodzki, V. Mathai, J. Rosenberg, and R. J. Szabo, _D-branes, RR-fields and duality on noncommutative manifolds_, Commun. Math. Phys. __277__, no. 3 (2008) 643-706, [hep-th/0607020v3](http://arXiv.org/abs/hep-th/0607020v3).

{CJM} A. L. Carey, S. Johnson and M. K. Murray, _Holonomy on D-branes_,
J. Geom. Phys. __52__ (2004) 186-216,
[hep-th/0204199](http://arXiv.org/abs/hep-th/0204199).

{CJMSW} A. L. Carey, S. Johnson, M. K. Murray, D. Stevenson,
and B.-L. Wang, _Bundle gerbes for Chern-Simons and Wess-Zumino-Witten theories_, Commun. Math. Phys. __259__ (2005) 577-613,
[arXiv:math.DG/0410013](http://arxiv.org/abs/math.DG/0410013).

{CW} A. L. Carey and B.-L. Wang, _Thom isomorphism and push-forward map in twisted K-theory_,
[math.KT/0507414v4](http://arxiv.org/abs/math.KT/0507414v4).

{CW2} A. L. Carey and B.-L. Wang, _Riemann-Roch and index formulae in twisted K-theory_, [arXiv:0909.4848](http://arxiv.org/abs/0909.4848).


{CN} A. H. Chamseddine and H. Nicolai,
_Coupling the $SO(2)$ supergravity through dimensional reduction_,
 Phys. Lett. __B96__ (1980) 89-93.

{CS} J. Cheeger and J. Simons, _Differential characters and geometric invariants_,
In Geometry and Topology, 50-80, LNM 1167, Springer, 1985.

{CP} R. Coquereaux and K. Pilch, _String structures on loop bundles_,
Commun. Math. Phys. __120__ (1989) 353-378.

{C} E. Cremmer, _Supergravities in 5 dimensions_,
in Superspace and supergravity, eds. S.W. Hawking and M. Rocek,
Cambridge Univ. Press, Cambridge 1981.

{CJ} E. Cremmer and B. Julia, _The $SO(8)$ supergravity_,
 Nuclear Phys. __B159__ (1979) 141--212.

{CJLP} E. Cremmer, B. Julia, H. Lu, and C.N. Pope, _Dualization of dualities II_, Nucl. Phys. __B535__
(1998) 242--292, [hep-th/9806106](http://arXiv.org/abs/hep-th/9806106).

{CJS} E. Cremmer, B. Julia, and J. Scherk, _Supergravity theory in eleven-dimensions_, Phys. Lett. __B76__ (1978) 409-412.

{Dai} X. Dai, _Adiabatic limits, nonmultiplicativity of signature, and Leray spectral sequence_, J. Amer. Math. Soc. __4__ (1991), no. 2, 265--321.

{dWN} B. de Wit and H. Nicolai, _Hidden symmetries, central charges and all that_, Class. Quant. Grav. __18__ (2001) 3095-3112,
  [hep-th/0011239](http://arXiv.org/abs/hep-th/0011239).

{DFM} E. Diaconescu, D. S. Freed and G. Moore, _The M-theory 3-form
and $E_8$ gauge theory_, Elliptic cohomology, 44--88,
London Math. Soc. Lecture Note Ser., 342, Cambridge Univ. Press, Cambridge, 2007, [hep-th/0312069](http://arXiv.org/abs/hep-th/0312069).

{DMW} E. Diaconescu, G. Moore and E. Witten, _$E_8$ gauge theory, and a derivation of K-Theory from M-Theory_,
Adv. Theor. Math. Phys. __6__ (2003) 1031--1134, [hep-th/0005090](http://arXiv.org/abs/hep-th/0005090).

{dk} P. Donovan and [[Max Karoubi|M. Karoubi]], _Graded Brauer groups and $K$-theory with local coefficients_, Inst. Hautes \'Etudes Sci. Publ. Math. __38__ (1970) 5--25.

{D} C. L. Douglas, _On the twisted $K$-homology of simple Lie
groups_, Topology __45__ (2006), no. 6, 955--988.

{Du} M. J. Duff, _$E_8 \times SO(16)$ symmetry of $d = 11$ supergravity?_,
in Quantum Field Theory and Quantum Statistics, eds. I. A. Batalin, C. Isham and G. A. Vilkovisky, Adam Hilger, Bristol,  UK 1986.

{DGT} M. J. Duff, G. W. Gibbons and [[Paul Townsend]], Phys. Lett. __332B__ (1994) 321.

{DHIS} [[Mike Duff]], [[Paul Howe]], T. Inami and K. S. Stelle, _Superstrings in $D=10$ from supermembranes in $D=11$_, Phys. Lett. __191B__ (1987) 70--74.

{DLM} [[Mike Duff]], J. T. Liu, and R. Minasian, _Eleven-dimensional origin of string-string duality: a one loop test_, Nucl. Phys. __B452__ (1995) 261-282, [hep-th/9506126](http://arXiv.org/abs/hep-th/9506126).

{DNP} M. J.  Duff, B. E. W. Nilsson, and C. N. Pope, _Kaluza-Klein supergravity_, Phys. Rept. __130__ (1986) 1-142.

{Englert} F. Englert, _Spontaneous compactification of eleven-dimensional supergravity_, Phys. Lett. __B119__ (1982) 339--342.

{ES} J. Evslin and H. Sati, _SUSY vs $E_8$ gauge theory in 11
dimensions_, J. High Energy Phys. __0305__ (2003) 048,
[hep-th/0210090](http://arXiv.org/abs/hep-th/0210090).

{ES2} J. Evslin and [[Hisham Sati]], _Can D-branes wrap nonrepresentable cycles?_,
J. High Energy Phys. __0610__ (2006) 050,
 [hep-th/0607045](http://arXiv.org/abs/hep-th/0607045).

{FS} J. Figueroa-O'Farrill, J. Simon, _Supersymmetric Kaluza-Klein reductions of M2 and M5-branes_, Adv. Theor. Math. Phys. __6__ (2003) 703-793, [hep-th/0208107](http://arXiv.org/abs/hep-th/0208107).

{Fr} [[Dan Freed]], _Dirac charge quantization and generalized differential cohomology_, in Surv. Differ. Geom. __VII__, 129--194, Int. Press, Somerville, MA, 2000,
[hep-th/0011220](http://arXiv.org/abs/hep-th/0011220).

{CSII} [[Dan Freed]], _Classical Chern-Simons theory II_,
Houston J. Math. __28__ (2002), no. 2, 293--310.

{FH} [[Dan Freed]] and [[Mike Hopkins]], _On Ramond-Ramond fields and K-theory_,
J. High Energy Phys. __05__ (2000) 044, [hep-th/0002027](http://arXiv.org/abs/hep-th/0002027).

{FMS} [[Dan Freed]], [[Greg Moore]], and G. Segal, _The uncertainty of fluxes_,
 Commun. Math. Phys. __271__ (2007) 247-274,
 [hep-th/0605198](http://arXiv.org/abs/hep-th/0605198).

{FW} [[Dan Freed]] and [[Edward Witten]], _Anomalies in string theory with D-branes_,
Asian J. Math. __3__ (1999), no. 4, 819--851,
[hep-th/9907189](http://arXiv.org/abs/hep-th/9907189).

{For} R. Forman, _Spectral sequences and adiabatic limits_, Comm. Math. Phys. __168__ (1995), no. 1, 57--116, [euclid](http://projecteuclid.org/euclid.cmp/1104272286).

{Go} [[Paul Goerss]], _Topological modular forms (after Hopkins, Miller,
and Lurie)_, [arXiv:math.AT/0910.5130](http://arxiv.org/abs/0910.5130).

{GHK} J. M.Gomez, P. Hu and I. Kriz, _Stringy bundles and infinite loop space theory_, preprint 2009.

{GS} M. B. Green and J. H. Schwarz, _Anomaly cancellation in supersymmetric $D=10$ gauge theory and superstring theory_,
Phys. Lett. __B 149__ (1984) 117-122.

{Gu} R. G\"ven, _Black $p$-brane solutions of $D=11$ supergravity theory_,
Phys. Lett. __B276__ (1992) 49--55.

{G1} A. Gustavsson, _The non-Abelian tensor multiplet in loop space_,
J. High Energy Phys. __0601__ (2006) 165,
[arXiv:hep-th/0512341](http://arXiv.org/abs/hep-th/0512341).


{G2} A. Gustavsson, _Loop space, $(2,0)$ theory, and solitonic strings_,
J. High Energy Phys. __0612__ (2006) 066,
[hep-th/0608141](http://arXiv.org/abs/hep-th/0608141).

{G3} A. Gustavsson, _Selfdual strings and loop space Nahm equations_,
J. High Energy Phys. __0804__ (2008) 083, [arxiv:0802.3456] (http://arxiv.org/abs/0802.3456).

{HM} J. A. Harvey and G. Moore, _Superpotentials and membrane instantons_,
[hep-th/9907026](http://arXiv.org/abs/hep-th/9907026).

{H} A. Henriques, _Integrating $L_\infty$-algebras_,
Compos. Math. __144__ (2008), no. 4, 1017--1045,
[math.AT/0603563] [http://arxiv.org/abs/math.AT/0603563].

{Ho} [[Mike Hopkins]], _Algebraic topology and modular forms_,
Proceedings of the ICM, Beijing 2002, vol. 1, 283--309,
[math.AT/0212397](http://arxiv.org/abs/math.AT/0212397).

{HS} [[Mike Hopkins]] and I. M. Singer, _Quadratic functions in geometry, topology, and M-theory_, J. Differential Geom. __70__ (2005), no. 3, 329--452, [arXiv:math.AT/0211216](http://arXiv.org/abs/math.AT/0211216).

{HK1} P. Hu and I. Kriz, _Real-oriented homotopy theory and an analogue of the Adams-Novikov spectral sequence_, Topology __40__ (2001) 317--399.

{HK2} P. Hu and I. Kriz, _Conformal field theory and elliptic cohomology_,
 Adv. Math. __189__ (2004), no. 2, 325--412.

{J}  B. Julia, in Lectures in Applied Mathematics, AMS-SIAM, vol. 21,
(1985), p. 335.

{Kap} A. Kapustin, _D-branes in a topologically nontrivial B-field_,
Adv. Theor. Math. Phys. __4__ (2000) 127-154,
[hep-th/9909089](http://arXiv.org/abs/hep-th/9909089).

{Ki} T. P. Killingback, _Global anomalies, string theory and space-time topology_, Class. Quant. Grav. __5__ (1988) 1169--1186.

{KS1} I. Kriz and H. Sati, _M Theory, type IIA superstrings, and
elliptic cohomology_, Adv. Theor. Math. Phys. __8__ (2004) 345--395,
[hep-th/0404013](http://arXiv.org/abs/hep-th/0404013).

{KS2} [[Igor Kriz]] and [[Hisham Sati]], _Type IIB string theory, S-duality and
generalized cohomology_, Nucl. Phys. __B715__ (2005) 639--664,
[hep-th/0410293](http://arXiv.org/abs/hep-th/0410293).

{KS3} I. Kriz and H. Sati, _Type II string theory and modularity_,
J. High Energy Phys. __08__ (2005) 038, [hep-th/0501060](http://arXiv.org/abs/hep-th/0501060).

{Ku} K. Kuribayashi, _On the vanishing problem of string classes_,
J. Austral. Math. Soc. (series A) __61__ (1996), 258-266.

{LNSW} W. Lerche, B. E. W. Nilsson1, A. N. Schellekens and N. P. Warner,
_Anomaly cancelling terms from the elliptic genus_, Nucl. Phys. __B 299__ (1988) 91--116.

{Li} B. Li and H. Duan, _Spin characteristic classes and reduced
$KSpin$ group of a low-dimensional complex_, Proc. Amer. Math. Soc.
__113__ (1991) 479--491.

{LLW} W. Li, X. Liu, and H. Wang, _On a spectral sequence for twisted cohomologies_, [arXiv:0911.1417] (http://arXiv.org/abs/0911.1417).

{Liu} K. Liu, _On modular invariance and rigidity theorems_, Harvard thesis 1993.

{Lo} J. Lott, _Higher degree analogs of the determinant line bundles_,
Comm. Math. Phys. __230__ (2002) 41--69, [math.DG/0106177][http://arxiv.org/abs/math.DG/0106177].


{Lu} [[Jacob Lurie]], _A survey of elliptic cohomology_, 
preprint, 2007, [http://www.math.harvard.edu/~lurie/papers/survey.pdf](http://www.math.harvard.edu/~lurie/papers/survey.pdf).

{TDMW} V. Mathai and H. Sati, _Some relations between twisted K-theory and $E\sb8$ gauge theory_, J. High Energy Phys. __03__ (2004) 016,
[hep-th/0312033](http://arXiv.org/abs/hep-th/0312033).

{MSt} V. Mathai and D. Stevenson, _Chern character in twisted K-theory: equivariant and holomorphic cases_,
Commun. Math. Phys. __236__ (2003) 161-186,
[hep-th/0201010](http://arXiv.org/abs/hep-th/0201010).

{MW} V. Mathai and S. Wu, _Analytic torsion for twisted de Rham complexes_,
[arXiv:math.DG/0810.4204] (http://arxiv.org/abs/0810.4204).

{MM} R. Mazzeo and R. Melrose, _The adiabatic limit, Hodge cohomology and Leray's spectral sequence for a fibration_, J. Differential Geom. __31__ (1990), no. 1, 185--213.

{Mc} D. A. McLaughlin, _Orientation and string structures on loop space_,
Pacific J. Math. __155__ (1992) 143-156.

{Mic} J. Mickelsson, _Current Algebras and Groups_, Plenum Press,
London and New York, 1989.

{MP} J. Mickelsson and R. Percacci, _Global aspects of $p$-branes_,
J. Geom. and Phys. __15__ (1995) 369-380, [hep-th/9304054](http://arXiv.org/abs/:hep-th/9304054).

{MM} R. Minasian and G. Moore, _K-theory and Ramond-Ramond charge_,
J. High Energy Phys. __11__ (1997) 002, [hep-th/9710230](http://arXiv.org/abs/hep-th/9710230).

{GaussĐ G. W. Moore, _Anomalies, Gauss laws, and Page charges in M-theory_,
 Comptes Rendus Physique __6__ (2005) 251-259,
 [hep-th/0409158](http://arXiv.org/abs/hep-th/0409158).

{MW} G. Moore and E. Witten, _Self duality, Ramond-Ramond fields, and K-theory_, J. High Energy Phys. __05__ (2000) 032,
[hep-th/9912279](http://arXiv.org/abs/hep-th/9912279).

{Mo} [[Jack Morava]], _Forms of $K$-theory_, Math. Zeitschrift __201__ (1989) 401--428, (scan at [goettingen](http://gdz.sub.uni-goettingen.de/dms/load/img/?IDDOC=173365)).

{Mu} [[Michael Murray]], _Bundle gerbes_, J. London Math. Soc. (2)
__54__ (1996), no. 2, 403Đ416.

{MuS} [[Michael Murray]] and [[Danny Stevenson|D. Stevenson]], _Bundle gerbes: Stable isomorphsim and local theory_, J. London
Math. Soc. (2). __62__ (2002), no. 3, 925-937,
    [math.DG/9908135] [http://arxiv.org/abs/math/9908135}]).

{PSW} K. Pilch, A. N. Schellekens, and N. P. Warner, _Path integral calculation of string anomalies_,
Nucl. Phys. __B287__ (1987) 362--380.

{PW} K. Pilch and N. P. Warner, _String structures and the index of the Dirac-Ramond operator on orbifolds_,
Commun. Math. Phys. __115__ (1988) 191--212, [euclid](http://projecteuclid.org/euclid.cmp/1104177839).

{Pol} J. Polchinski, _Dirichlet-branes and Ramond-Ramond charges_,
Phys. Rev. Lett. __75__ (1995) 4724--4727,
[arXiv:hep-th/9510017](http://arXiv.org/abs/hep-th/9510017).

{Red0} C. Redden, _Canonical metric connections associated to String structures_, PhD dissertation, University of Notre Dame, Indiana, 2006.

{Red} C. Redden, _String structures and canonical three-forms_,
[arxiv:math.DG/0912.2086](http://arxiv.org/abs/0912.2086).

{Red2} C. Redden, _Harmonic forms on principal bundles_,
[arXiv:0810.4578](http://arXiv.org/abs/0810.4578).

{RS} C. Redden and H. Sati, work in progress.

{Ros} J. Rosenberg, _Continuous trace $C^*$-algebras from
the bundle theoretic point of view_, J. Aust. Math. Soc. __A47__ (1989) 368--381.

{S1} H. Sati, _M-theory and characteristic classes_, J. High Energy
Phys. __0508__ (2005) 020, [hep-th/0501245](http://arxiv.org/abs/hep-th/0501245).

{S2} H. Sati, _Flux quantization and the M-theoretic characters_,
Nucl. Phys. __B727__ (2005) 461--470,
[hep-th/0507106](http://arXiv.org/abs/hep-th/0507106).

{S3} H. Sati, _Duality symmetry and the form-fields in M-theory_,
J. High Energy Phys. __0606__ (2006) 062, [arXiv:hep-th/0509046](http://arXiv.org/abs/hep-th/0509046).

{S4} H. Sati, _The Elliptic curves in gauge theory, string theory, and cohomology_, J. High Energy Phys. __0603__ (2006) 096,
    [arXiv:hep-th/0511087](http://arXiv.org/abs/hep-th/0511087).

{S5} [[Hisham Sati]], _$E_8$ gauge theory and gerbes in string theory_, [hep-th/0608190](http://arXiv.org/abs/hep-th/0608190).

{7twist} [[Hisham Sati]], _A higher twist in string theory_,
J. Geom. Phys. __59__ (2009) 369-373, [hep-th/0701232](http://arXiv.org/abs/hep-th/0701232).

{KSpin} H. Sati, _An approach to anomalies in M-theory via $KSpin$_,
J. Geom. Phys. __58__ (2008) 387-401,
[arXiv:hep-th/0705.3484](http://arxiv.org/abs/0705.3484).

{MO8} H. Sati, _On anomalies of $E_8$ gauge theory on String manifolds_,
[arXiv:0807.4940](http://arxiv.org/abs/0807.4940).

{SSS1} H. Sati, U. Schreiber and J. Stasheff, _$L_\infty$-connections and applications to String- and Chern-Simons $n$-transport_, in _Recent Developments in QFT_, eds. B. Fauser et al., Birkh{\"a}user, Basel (2008), [arXiv:0801.3480] (http://arXiv.org/abs/math.DG/0801.3480).

{SSS2} [[Hisham Sati]], [[Urs Schreiber]], and [[Jim Stasheff]],
_Fivebrane structures_, to appear in Rev. Math. Phys.
[arXiv:math.AT/0805.0564](http://arXiv.org/abs/0805.0564).

{SSS3} [[Hisham Sati]], [[Urs Schreiber]], and [[Jim Stasheff]], _Twisted differential String- and Fivebrane structures_, [arXiv:math.AT/0910.4001](http://arXiv.org/abs/0910.4001).

{SW} N. Seiberg and [[Edward Witten]], _Spin structures in string theory_,
Nucl. Phys. __B276__ (1986) 272-290.

{SWa} A. N. Schellekens and N.P. Warner, _Anomalies and modular invariance in string theory_, Phys. Lett. __B 177__ (1986) 317--323.

{SP} C. J. Schommer-Pries, _A finite-dimensional String 2-group_,
preprint 2009.

{Sch} J. H. Schwarz, _The power of M-theory_, Phys. Lett. __B367__ (1996) 97-103, [hep-th/9510086](http://arXiv.org/abs/hep-th/9510086).

{Lec} J. H. Schwarz, _Lectures on superstring and M-theory dualities_,
Nucl. Phys. Proc. Suppl. __55B__ (1997) 1-32,
[hep-th/9607201](http://arXiv.org/abs/hep-th/9607201).

{SVW} S. Sethi, C. Vafa, and E. Witten, _Constraints on low-dimensional string compactifications_,
Nucl. Phys. __B480__ (1996) 213-224,
[hep-th/9606122](http://arXiv.org/abs/hep-th/9606122).


{ST1} S. Stolz and P. Teichner, _What is an elliptic object?_, in Topology, geometry and quantum field theory, 247--343, Cambridge Univ. Press 2004.

{ST2} [[Stefan Stolz]] and [[Peter Teichner]], _Super symmetric field theories and integral modular functions_, [http://math.berkeley.edu/~teichner/Papers/SusyQFT.pdf](http://math.berkeley.edu/~teichner/Papers/SusyQFT.pdf)

{Stg} R. E. Stong, _Appendix: calculation of $\Omega^{Spin}_{11}(K(Z,4))$_, in Workshop on unified string theories (Santa Barbara, Calif., 1985), 430--437, World Sci. Publishing, Singapore, 1986.

{Str} A. Strominger, _Superstrings with torsion_, Nucl. Phys. __B274__ (1986) 253--284, (<a href="http://dx.doi.org/10.1016/0550-3213(86)90286-5">doi</a>).

{Te} C. Teleman, _K-theory of the moduli space of bundles on a surface
and deformations of the Verlinde algebra_, in Topology, Geometry and Quantum Field Theory, U. Tillmann (ed.), Cambridge University Press, 2004.

{Th} E. Thomas, _On the cohomology groups of the classifying space
for the stable spinor groups_, Bol. Soc. Mat. Mexicana (2) __7__
(1962) 57--69.

{Town3} P. K. Townsend, _String-membrane duality in seven dimensions_,
    Phys. Lett. __B354__ (1995) 247-255,
    [hep-th/9504095](http://arXiv.org/abs/hep-th/9504095).


{Town2} P. K. Townsend, _D-branes from M-branes_,
Phys. Lett. __B373__ (1996) 68-75, [arXiv:hep-th/9512062](http://arXiv.org/abs/hep-th/9512062).

{Town} P. K. Townsend, _Four lectures on M-theory_, Summer School in High Energy Physics and Cosmology Proceedings, E. Gava et. al (eds.),
 Singapore, World Scientific, 1997,
[arXiv:hep-th/9612121](http://arXiv.org/abs/hep-th/9612121).

{V} C. Vafa, _Evidence for F-theory_,
Nucl. Phys. __B469__ (1996) 403--418,
[arXiv:hep-th/9602022](http://arXiv.org/abs/hep-th/9602022).

{VW} C. Vafa and E. Witten, _A one-loop test of string duality_,
Nucl. Phys. __B447__ (1995) 261-270,
[arXiv:hep-th/9505053](http://arXiv.org/abs/hep-th/9505053).

{Wa} B.-L. Wang, _Geometric cycles, index theory and twisted K-homology_,
J . Noncommut. Geom. __2__ (2008), 497--552,
[arXiv:math.KT/0710.1625](http://arXiv.org/abs/0710.1625).

{We}  P. C. West, _$E_{11}$ and M-theory_,
Class. Quantum Grav. __18__ (2001) 4443-4460.

{CMP} [[Edward Witten]], _Global gravitational anomalies_,
Commun. Math. Phys. __100__ (1985) 197--229.

{W} [[Edward Witten]], _Elliptic genera and quantum field theory_,
Commun. Math. Phys. __109__ (1987) 525--536, [project euclid](http://projecteuclid.org/euclid.cmp/1104117076).

{Wit} [[Edward Witten]], _The index of the Dirac operator in loop space_, in Elliptic curves and modular forms in algebraic topology (Princeton, NJ, 1986), 161--181, Lecture Notes in Math. __1326__, Springer, Berlin, 1988.

{Jones} [[Edward Witten]], _Quantum field theory and the Jones polynomial_,
Commun. Math. Phys. __121__ (1989) 351--399, [project euclid](http://projecteuclid.org/euclid.cmp/1104178138).

{Dynamics} [[Edward Witten]], _[[String Theory Dynamics In Various Dimensions]]_,
Nucl. Phys. __B443__ (1995) 85-126,
[hep-th/9503124](http://arXiv.org/abs/hep-th/9503124).

{Wi1} [[Edward Witten]], _D-Branes and K-Theory_,
J. High Energy Phys. __12__ (1998) 019, 
[hep-th/9810188](http://arXiv.org/abs/hep-th/9810188).

{Flux} [[Edward Witten]], _On flux quantization in M-theory and the effective action_, J. Geom. Phys. __22__ (1997) 1-13,
[hep-th/9609122](http://arXiv.org/abs/hep-th/9609122).

{Effective} [[Edward Witten]], _Five-brane effective action in M-theory_,
J. Geom. Phys. __22__ (1997) 103-133, [hep-th/9610234](http://arXiv.org/abs/hep-th/9610234).

{Among} [[Edward Witten]], _Duality relations among topological effects in string theory_, J. High Energy Phys. __0005__ (2000) 031, [hep-th/9912086](http://arxiv.org/abs/hep-th/9912086).


category: reference