
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Super-Geometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
#### $\infty$-Lie theory
+--{: .hide}
[[!include infinity-Lie theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

There is a close relationship between 

* the four real [[normed division algebras]] 

* [[spin geometry]] and real (Majorana) [[spin representations]];

* the [[Lie algebra cohomology]] of the [[super Poincare Lie algebra]], 

* and [[supersymmetry]] in [[quantum field theory]] and [[string theory]].


This is based on the fact that in certain dimensions, [[spin group]] [[representation]]s are naturally identified with a $\mathbb{K}^n$, for $\mathbb{K}$ one of the [[normed division algebras]], see at [[spin group]] _[The exceptional isomorphisms](spin%20group#ExceptionalIsomorphisms)_.

For exposition see _[[geometry of physics -- supersymmetry]]_ the section _[Real spin representations via Real alternative division algebra](geometry+of+physics+--+supersymmetry##RealSpinRepresentationViaNormedDivisionAlgebra)_.


[[!include exceptional spinors and division algebras -- table]]


The structure of the [[normed division algebras]] also governs the existence of the _[[brane scan]]_ and the super-[[∞-Lie algebras]] such as the [[supergravity Lie 3-algebra]]. By the [[D'Auria-Fre formulation of supergravity]] the [[∞-Lie algebra valued forms]] with values in these constitute the field content of (11-dimensional) [[supergravity]].

Combining this, one finds that [[supergravity]] coupled to [[super Yang-Mills theory]] (super [[Einstein-Yang-Mills theories]]) are parameterized by triples of real normed division algebras, forming a "[[magic pyramid]]".


## Related concepts

* [[Hopf invariant one]]

## References
 {#References}

The relation between [[supersymmetry and division algebras]] was gradually established by a variety of authors, including

* {#KugoTownsend82} [[Taichiro Kugo]], [[Paul Townsend]], _Supersymmetry and the division algebras_, Nuclear Physics B, Volume 221, Issue 2 (1982) p. 357-380. ([spires](http://inspirehep.net/record/181889), [pdf](http://cds.cern.ch/record/140183/files/198301032.pdf))

* {#Sudbery84} A. Sudbery, _Division algebras, (pseudo)orthogonal groups and spinors_, Jour. Phys. A17 (1984),
939–955.

* {#Evans88} [[Jonathan Evans]], Supersymmetric Yang–Mills theories and division algebras, Nucl. Phys. B298
(1988), 92–108. Also available as hhttp://www-lib.kek.jp/cgi-bin/img index?198801412i

* {#ChungSudbery87} K.-W. Chung, A. Sudbery, _Octonions and the Lorentz and conformal groups of ten-dimensional space-time_, Phys. Lett. B 198 (1987), 161–164.

* {#ManogueSudbery89} [[Corinne Manogue]], A. Sudbery, _General solutions of covariant superstring equations of motion_, Phys. Rev. D 12 (1989), 4073–4077

* {#Schray96} Jörg Schray, _The general classical solution of the superparticle_, Class. Quant. Grav. 13 (1996), 27–38. ([arXiv:hep-th/9407045](https://arxiv.org/abs/hep-th/9407045))

* [[Tevian Dray]], J. Janesky, [[Corinne Manogue]], Octonionic hermitian matrices with non-real eigenvalues,
Adv. Appl. Clifford Algebras 10 (2000), 193–216 ([arXiv:math/0006069](https://arxiv.org/abs/math/0006069))

Streamlined proof and exposition regarding is in

* {#BaezHuerta09} [[John Baez]], [[John Huerta]], _Division algebras and supersymmetry I_, in R. Doran, G. Friedman and [[Jonathan Rosenberg]] (eds.), _Superstrings, Geometry, Topology, and $C*$-algebras_, Proc. Symp. Pure Math. 81, AMS, Providence, 2010, pp. 65-80 ([arXiv:0909.0551](http://arxiv.org/abs/0909.0551))

* {#BaezHuerta10} [[John Baez]], [[John Huerta]], _Division algebras and supersymmetry II_, Adv. Math. Theor. Phys. 15 (2011), 1373-1410  ([arXiv:1003.34360](http://arxiv.org/abs/1003.3436))



Discussion with an emphasis on [[super Yang-Mills theory]] and [[U-duality]] in [[supergravity]] and the [[Freudenthal magic square]] is in

* [[Leron Borsten]], [[Michael Duff]], L. J. Hughes, S. Nagy, _A magic square from Yang-Mills squared_ ([arXiv:1301.4176](http://arxiv.org/abs/1301.4176))

* A. Anastasiou, [[Leron Borsten]], [[Mike Duff]], L. J. Hughes, S. Nagy, _Super Yang-Mills, division algebras and triality_ ([arXiv:1309.0546](http://arxiv.org/abs/1309.0546))

* {#ABDHN} A. Anastasiou, [[Leron Borsten]], [[Michael Duff]], L. J. Hughes, S. Nagy, _A magic pyramid of supergravities_, [arXiv:1312.6523](http://arxiv.org/abs/1312.6523)


The relationship in [[string theory]] via [[octonion]] algebra between the NRS [[spinning string]] and the [[Green-Schwarz superstring]] [[sigma-models]] is discussed in

* Rafael I. Nepomechie, _Nonabelian bosonization, triality, and superstring theory_ Physics Letters B Volume 178, Issues 2-3, 2 October 1986, Pages 207-210 

* [[Itzhak Bars]], D. Nemschansky and S. Yankielowicz, SLACPub-3758.

* H. Tachibana, K. Imeda, _Octonions, superstrings and ten-dimensional spinors_ , Il nuovo cimento, Vol 104 B N.1

The relation of the division algebras to ordinary (Lie algebraic) extensions of the [[super Poincare Lie algebra]] is discussed in

* Jerzy Lukierski, Francesco Toppan, _Generalized Space-time Supersymmetries, Division Algebras and Octonionic M-theory_ ([pdf](http://cbpfindex.cbpf.br/publication_pdfs/NF00102.2010_08_03_10_47_48.pdf))

* A. Anastasiou, L. Borsten, [[Mike Duff]], L. J. Hughes, S. Nagy, _An octonionic formulation of the M-theory algebra_ ([arXiv:1402.4649](http://arxiv.org/abs/1402.4649))

Normed division algebras are used to describe the construction of [[Lie 2-algebra]] extensions of the [[super Poincare Lie algebra]] in

* {#BH10} [[John Baez]], [[John Huerta]], _Division algebras and supersymmetry II_, Adv. Math. Theor. Phys. 15 (2011), 1373-1410 ([arXiv:1003.34360](http://arxiv.org/abs/1003.3436))

* [[John Huerta]], _Division Algebras, Supersymmetry and Higher Gauge Theory_, ([arXiv:1106.3385](http://arxiv.org/abs/1106.3385))

* [[John Huerta]], _Division Algebras and supersymmetry III_, ([arXiv:1109.3574](http://arxiv.org/abs/1109.3574))



[[!redirects division algebras and supersymmetry]]

[[!redirects supersymmetry and division algebra]]
[[!redirects supersymmetry and division algebras]]

[[!redirects real spin representations and division algebras]]
[[!redirects division algebras and real spin representations]]


