
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Model category theory
+--{: .hide}
[[!include model category theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}


## Idea

For $C$ a [[category]] with the structure of a [[model category]] and 

$$
 (F \dashv U )\; : \; D \stackrel{\overset{F}{\leftarrow}}{\underset{U}{\to}} C
$$

an [[adjunction]] with $U$ [[right adjoint]], under certain conditions it is possible  to _transfer_ the model structure from $C$ to a model structure on $D$ by declaring the fibrations and weak equivalences in $D$ to be precisely those morphisms whose image under $U$ are fibrations or weak equivalences, respectively, in $C$.

Typically this arises in situations where $D$ consist of the "same" objects as $C$ but equipped with extra [[stuff, structure, property]], and $U$ is the corresponding [[forgetful functor]] sending objects in $D$ to their underlying objects in $C$. Then $F$ is the corresponding [[free functor]].

## Definition and Existence

+-- {: .num_defn}
###### Definition


Let $C$ be a [[cofibrantly generated model category]] and

$$
  (F \dashv U )\; : \; D \stackrel{\overset{F}{\leftarrow}}{\underset{U}{\to}} C
$$

an [[adjunction]] with [[right adjoint]] $U$. 


Say a morphism in $D$ is a fibration or weak equivalence precisely if its image under $U$ is, respectively, in $C$.

=--

+-- {: .num_prop #SufficientConditions}
###### Proposition

Sufficient conditions for this to define a cofibrantly generated model category structure on $D$ are

1. the functor $F$ preserves [[small object]]s

   this is the case in particular when $U$ preserves [[filtered colimit]]s;

1. any [[sequential colimit]] of [[pushout]]s of images under $F$ of the generating trivial cofibrations in $C$ yields a weak equivalence in $D$;

   this is the case in particular if

   * $D$ has a fibrant [[resolution|replacement]] functor;

   * and $D$ has functorial [[path objects]] for fibrant objects
     
     (meaning: a factorization of the [[diagonal]] $\Delta : A \to A \times A$ as a weak equivalence followed by a fibration (under $U$) $\Delta : A \stackrel{\simeq}{\to} P(A) \stackrel{fib}{\to} A \times A$, functorial in $A$).

If these conditions are met, then for $I$ (resp. $J$) the set of generating (acyclic) cofibrations in $C$, the image set $F(I)$ (resp. $F(J)$) forms the set of generating (acyclic) cofibrations in $D$.

=--

+-- {: .proof}
###### Proof

One uses the [[small object argument]] repeatedly.

The argument goes back to section II.4 of ([Quillen](#Quillen)). A proof for one set of sufficient conditions in is chapter II of ([GoerssJardine](#GoerssJardine)). Then ([Crans](#Crans)) and ([Cisinski](#Cisinski)).



=--


## Properties

### General

+-- {: .num_lemma}
###### Observation

If $C$ carries the structure of a [[right proper model category]], then also the transferred model structure on $D$ is right proper.

=--

+-- {: .proof}
###### Proof

Let 

$$
  \array{
     A \times_C B &\stackrel{f}{\to}& B
     \\
     \downarrow && \downarrow^{\mathrlap{\in Fib}}
     \\
     A &\stackrel{\simeq}{\to}& C
  }
$$

be a [[pullback]] diagram in $D$, with the bottom morphism a weak equivalence and the right morphism a fibration. We need to show that then also the top morphism $f$ is a weak equivalence. By definition of transfer, this is equivalent to $U(f)$ being a  weak equivalence in $C$. 

Since $U$ is a [[right adjoint]] it preserves pullbacks, so that also

$$
  \array{
     U(A \times_{C} B) &\stackrel{U(f)}{\to}& U(B)
     \\
     \downarrow && \downarrow^{\mathrlap{\in Fib}}
     \\
     U(A) &\stackrel{\simeq}{\to}& U(C)
  }
$$

is a pullback diagram in $C$. Since by definition of the transferred model strucure this is still the pullback of a weak equivalence along a fibration, and since $C$ is assumed to be right proper, it follows that $U(f)$ is a weak equivalence in $C$, hence that $f$ is a weak equivalence in $D$.


=--



### Enrichment {#Enrichment}

Often the underlying model category $C$ is an [[enriched model category]] over some [[monoidal model category]] $S$ and one wishes to transfer also the model enrichment.

+-- {: .num_prop}
###### Observation

Assume the adjunction

$$
  (F \dashv U )\; : \; D \stackrel{\overset{F}{\leftarrow}}{\underset{U}{\to}} C
$$

satisfies the conditions of the above proposition so that the model structure on $C$ is transferred to $D$. Consider the case that $C$ is moreover an $S$-[[enriched model category]] and that $D$ can be equipped with the structure of a $S$-[[enriched category]] that is also  $S$-[[power]]ed and [[copower]]ed. 

Assume now that the $S$-powering of $D$ is taken by $U$ to the $S$-powering of $C$, in that $U(d^{(s_1 \to s_2)}) = U(d)^{(s_1 \to s_2)}$.

Then the transferred model structure and the $S$-enrichment on $D$ are compatible and make $D$ an $S$-enriched model category.

=--

+-- {: .proof}
###### Proof

By the axioms of [[enriched model category]] one sufficient condition to be checked is that for $s \to t$ any cofibration in $S$ and for $X \to Y$ any fibration in $D$, we have that the induced morphism

$$
  X^t \to X^s \times_{Y^s} Y^{t}
$$

is a fibration, which is a weak equivalence if at least one of the two input morphisms is. By the induced model structure, this is checked by applying $U$. But by assumption $U$ commutes with the powering, and since $U$ is a [[right adjoint]] it commutes with taking the pullback, so that under $U$ the morphism is

$$
  U(X)^t \to U(X)^s \times_{U(Y)^s} U(Y)^{t}
$$

which is the morphism induced from $U(X) \to U(Y)$. That this is indeed an (acyclic) fibration follows now from the fact that $C$ is an $S$-enriched model category.


=--


## Examples

* The [[model structure on algebraic fibrant objects]] is transferred from the underlying model category by forgetting the choice of fillers.

* If $T$ is an [[accessible functor|accessible]] [[strict 2-monad]] on a [[locally finitely presentable category|locally finitely presentable 2-category]] $K$. then the category $T Alg_s$ of strict $T$-[[algebra over a monad|algebras]] admits a transferred model structure from the 2-trivial model structure on $K$.  (This is proven directly, rather than by appeal to the acyclicity as above.)

...

+--{: .query}
[[Mike Shulman]]: In addition to lots of examples, I think it would be also nice to include here a *non* example, of a case where the putative transferred model structure provably *doesn't* exist.
=--

* A non-example is provided as Example 3.7 of ([GoerssSchemmerhorn](#GoerssShemm)). Let $k$ be a field of characteristic 2 and consider the adjunction
$$
 (S \dashv U )\; : \; CGA_k \stackrel{\overset{S}{\leftarrow}}{\underset{U}{\to}} Ch_*k
$$
of the symmetric algebra functor and the forgetful functor between graded commutative DGAs and chain complexes. One sees that $S$ does not preserve the weak equivalence between 0 and the complex with one copy of $k$ in degrees $n$ and $n-1$. Since all chain complexes are cofibrant this means that $(S \dashv U )$ cannot be upgrade to a Quillen adjunction. 


## References

The arguments for transfer of model structures go back to

* {#Quillen} [[Dan Quillen]], _Homotopical Algebra_ , Lecture Notes in Math. 43, Springer-Verlag, Berlin-eidelberg-New York, 1967.


Proofs can be found in 

* {#GoerssJardine} [[Paul Goerss]], Jardine, J. F., _Simplicial homotopy theory_ , Progress Mathematics 174, Birkh&#168;auser Verlag, Basel, 1999.


The explicit study of transfer of model structures (on categories of sheaves) is apperently originally due to 

* {#Crans} [[Sjoerd Crans]], _Quillen closed model structure for sheaves_ ([web](http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.48.7459))


See also prop. 1.4.23 of

* {#Cisinski} [[Denis-Charles Cisinski]], _[[joyalscatlab:Les préfaisceaux comme type d'homotopie]]_, Ast&#233;risque, Volume 308, Soc. Math. France (2006), 392 pages ([pdf](http://www.math.univ-toulouse.fr/~dcisinsk/ast.pdf))
 


A summary of the result is on [p. 20](http://arxiv.org/PS_cache/math/pdf/0609/0609537v2.pdf#page=20) of

* {#GoerssShemm} [[Paul Goerss]], [[Kristen Schemmerhorn]], _Model Categories and Simplicial Methods_ ([arXiv](http://arxiv.org/abs/math.AT/0609537))


and on p. 6 of

* [[Clemens Berger]], [[Ieke Moerdijk]], _Axiomatic homotopy theory for operads_  ([pdf](http://www.math.uu.nl/publications/preprints/1242.pdf))

The dual notion of transfer, "left induced" instead of "right induced", is discussed in

* Marzieh Bayeh, [[Kathryn Hess]], Varvara Karpova, Magdalena K&#281;dziorek, [[Emily Riehl]], [[Brooke Shipley]], _Left-induced model structures and diagram categories_ ([arXiv:1401.3651](http://arxiv.org/abs/1401.3651))

See also

* {#HKRS15} [[Kathryn Hess]], Magdalena K&#281;dziorek, [[Emily Riehl]], [[Brooke Shipley]], _A necessary and sufficient condition for induced model structures_ ([arXiv:1509.08154](http://arxiv.org/abs/1509.08154)).  This paper contains an error, corrected by:

* [[Richard Garner]], Magdalena Kedziorek, [[Emily Riehl]], _Lifting accessible model structures_, [arXiv:1802.09889](https://arxiv.org/abs/1802.09889)

[[!redirects transferred model structures]]

[[!redirects induced model category]]
[[!redirects induced model categories]]
[[!redirects induced model category structure]]
[[!redirects induced model category structures]]
[[!redirects induced model structure]]
[[!redirects induced model structures]]
