+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Mathematics
+-- {: .hide}
[[!include mathematicscontents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Overview

The __Association of Collaborators of Nicolas Bourbaki__ (l\'Association des collaborateurs de Nicolas Bourbaki) is a collective of mathematicians based in France, who in the 20th century set a standard for a structural and abstract approach to exposition of pure mathematics.  They published a series "Elements of mathematics" of 10 multi-volume monographs under the pseudonym 'Nicolas Bourbaki', consolidating known results.  They also held ---and still hold--- a largely independent seminar on contemporary research.

The members of the group at any one time are required to be under 50 years of age, which is considered the only fixed rule of the group[^fine]; the membership is taken under acceptance of an invitation by existing members. For a bit of history can be found at [en.wikipedia](http://en.wikipedia.org/wiki/Nicolas_Bourbaki), [fr.wikipedia](http://fr.wikipedia.org/wiki/Nicolas_Bourbaki), [britannica](http://www.britannica.com/EBchecked/topic/75700/Nicolas-Bourbaki) and references therein. 

According to [[Jean Dieudonné]], the Bourbaki series of expositions is dedicated to "dead", i.e. stable mathematics which is not likely to change soon and which has wider importance, rather than being of a specialized character. Most successful was the exposition of the chapters on [[Lie theory]], especially concerning [[Lie algebras]], whose style is later followed in much of later literature in the subject. See more in ([Dieudonné](#Dieudonne)).

Bourbaki has been blamed for following too formal an approach. Indeed, the  books are void of much motivation and application, apart from a few of introductions and few chapters on history. 


Apart from the Bourbaki volumes, there is also a lively _Bourbaki seminar_ which takes place on certain Saturdays in Paris, is open to public, has non-Bourbaki members as invited speakers who present and discuss in advance chosen topics of recent development in mathematics; the expositions are subsequently published. 


## Bourbaki's notion of _structure_ and the relation to category theory
 {#StructureAndCategoryTheory}

A central point of view of Bourbaki is the emphasis of mathematics as the study of [[structure]], as in the approach developed by Göttingen mathematicians in the 1920s and 1930s, such as [[Emmy Noether]] and [[Emil Artin]], and written up by van der Waerden in _Moderne Algebra_ (see [Corry](#Corry)). This approach was very influential in the mainstream mathematics of the second half of the 20th century. 

However, Bourbaki did not embrace [[category theory]], which may be thought of as being the essence of that structural approach, though some of the [[universal properties]] treated in category theory in fact first appeared in early editions of Bourbaki. Instead, Bourbaki proposed its own formalization of the notion of "structure" (in the book Theory of Sets), which however neither caught on nor does it seem to have been taken very seriously by the group itself. As documented by [Corry](#Corry), the Elements pays only the slightest lip service to the Bourbaki formal notion of structure in its vast development (in the books after Theory of Sets when they are considered in their intended logical order). 

Discussion of this point can be found in ([CTList](#CTList)). There [[Colin McLarty]] writes:

> Bourbaki's first publication was

> Bourbaki, N. [1939]: _Théorie des ensembles, Fascicules de résultats_, Paris: Hermann, Paris.

> It is very sketchy on "structures," and uses no notion of mapping between structures except isomorphisms. Their actual theory of structures first appeared in

> Bourbaki, N. [1957]: _Théorie des ensembles_, Chapter 4, Paris: Hermann.

> That theory was a rear-guard action meant to give an alternative to category theory.  As i mentioned before, Weil was citing the categorical idea, and thinking about finding an in-house alternative to it, already in 1951.  By 1957 Grothendieck, and Cartier, and Chevalley, probably Dieudonné, and others, all saw that category theory was more agile than these structure, simpler, and more to the point, plus it had a natural "higher order" aspect in the theory of functors which was actually more useful in practice than categories alone.

> Cartier has justly said it would have been a huge job to formulate all Bourbaki's ideas in terms of categories and functors.  It would have called for a lot of ideas which were only invented in the coming years.

> It was relatively easy to give Bourbaki's theory of structures -- because it never really worked at all even for Bourbaki's purposes (as Corry documents in detail).  Naturally it is easier to give an unusable theory of structures than to work out the ways categories and functors would actually be used. ([McLarty, Category Theory List 2012](http://permalink.gmane.org/gmane.science.mathematics.categories/7298))


## References

* [website](http://www.bourbaki.ens.fr) of the group

Accounts of the history of the Bourbaki project include the following


* [[Jean Dieudonné]], _The work of Nicolas Bourbaki_, Amer. Math. Monthly __77__ (1970) 134–145 [MR252179](http://www.ams.org/mathscinet-getitem?mr=252179), [doi](http://dx.doi.org/10.2307/2317325)
 {#Dieudonne}

* Bourbaki's biography at math tutor: the [pre-war years](http://www-groups.dcs.st-and.ac.uk/~history/HistTopics/Bourbaki_1.html), the [after-war years](http://www-groups.dcs.st-and.ac.uk/~history/HistTopics/Bourbaki_2.html)

* [[Armand Borel]]: _[25 years with Bourbaki](http://www.ega-math.narod.ru/Bbaki/Bourb3.htm)_

* Amir D. Aczel, _The artist and the mathematician_: the story of Nicolas Bourbaki, the genius mathematician who never existed, Thunder's Mouth Press, New York, 2006, viii+239 pp. [MR2008h:01020](http://www.ams.org/mathscinet-getitem?mr=2339913), [SIAM review](http://www.siam.org/news/news.php?id=1078)

* The [Bourbaki archives](http://mathdoc.emath.fr/archives-bourbaki/) contain many draughts (and discussions thereof) of Bourbaki's texts

Discussion of Bourbaki's notion of _[[structure]]_ and the relation (or not) to [[category theory]] includes the following:

* Jean-Michel Kantor, _Bourbaki's Structures and Structuralism_, The Mathematical Intelligencer __33__:1 (2011), 1, [doi](http://dx.doi.org/10.1007/s00283-010-9173-4)

* [[Leo Corry]], Chapter 7 _Nicolas Bourbaki: Theory of structures_ ([pdf](http://www.tau.ac.il/~corry/publications/articles/pdf/bourbaki-structures.pdf))
 {#Corry}

* Category Theory List, _[Bourbaki & category theory](http://comments.gmane.org/gmane.science.mathematics.categories/7283)_
 {#CTList} 

* David Aubin, _The Withering Immortality of Nicolas Bourbaki: A Cultural Connector at the Confluence of Mathematics, Structuralism, and the Oulipo in France_, Science in Context 10 (1997), 297-342. ([pdf](http://www.math.jussieu.fr/~daubin/publis/1997.pdf))
 {#Aubin}

[^fine]: According to Liliane Beaulieu, a pre-eminent historian of Bourbaki, this rule was however violated many times, and she could find no written trace of the rule's being formally adopted. See [Aubin](#Aubin), footnote 3.  


category: people

[[!redirects Bourbaki]]
[[!redirects Nicolas Bourbaki]]
[[!redirects N. Bourbaki]]
[[!redirects N Bourbaki]]
[[!redirects Association of Collaborators of Nicolas Bourbaki]]
[[!redirects Association of collaborators of Nicolas Bourbaki]]
[[!redirects association of collaborators of Nicolas Bourbaki]]
[[!redirects The Association of Collaborators of Nicolas Bourbaki]]
[[!redirects The association of collaborators of Nicolas Bourbaki]]
[[!redirects the association of collaborators of Nicolas Bourbaki]]
[[!redirects Association des Collaborateurs de Nicolas Bourbaki]]
[[!redirects Association des collaborateurs de Nicolas Bourbaki]]
[[!redirects association des collaborateurs de Nicolas Bourbaki]]
[[!redirects L'Association des Collaborateurs de Nicolas Bourbaki]]
[[!redirects l'Association des Collaborateurs de Nicolas Bourbaki]]
[[!redirects L'association des collaborateurs de Nicolas Bourbaki]]
[[!redirects l'Association des collaborateurs de Nicolas Bourbaki]]
[[!redirects l'association des collaborateurs de Nicolas Bourbaki]]
[[!redirects L’Association des Collaborateurs de Nicolas Bourbaki]]
[[!redirects l’Association des Collaborateurs de Nicolas Bourbaki]]
[[!redirects L’association des collaborateurs de Nicolas Bourbaki]]
[[!redirects l’Association des collaborateurs de Nicolas Bourbaki]]
[[!redirects l’association des collaborateurs de Nicolas Bourbaki]]