
#Contents#
* table of contents
{:toc}

## Idea

An **Airy function** is a special function satisfying the [[ordinary differential equation]]

$$
 y''(x) - x \cdot y(x) = 0 
$$

and with the Airy integral representation

$$
Ai(x) = \frac{1}{\pi}\int_0^\infty cos\left(\frac{t^3}{3}+tx\right) dt 
= \frac{1}{2\pi}\int_{-\infty}^\infty exp\left(\frac{i t^3}{3}+i t x\right) dt 
$$

## Properties

This function appears often in the study of oscillating ([[path integral|path]]) [[integrals]], e.g. in [[semiclassical approximation]] to [[quantum mechanics]] and in the geometric approximation to [[wave mechanics]]/[[optics]]. Its asymptotics is important in the study of the singular behaviour of [[light]] in the vicinity of [[caustics]]. 


The asymptotic expansions for the Airy function have sharp changes at certain lines, observed by G. G. Stokes, and present often in the stationary phase method (cf. [[semiclassical approximation]]). This is called the _[[Stokes phenomenon]]_ and is a special case of the [[wall crossing]].

Airy function appears in the subject of integrable models, related to Painleve transcendents and also in the study of Hermitean [[random matrices]] (work of Tracy and Widom). Airy function has also a remarkable role in the [[Kontsevich]]'s solution to the [[Witten conjecture]]. 

## References

* [wikipedia](http://en.wikipedia.org/wiki/Airy_function)

* G. B. Airy,  _On the intensity of light in the neighbourhood of a caustic_, Trans. Camb. Phil. Soc., 6 (1838), 379-403.

* [[Maxim Kontsevich]], _Intersection theory on the moduli space of curves and the matrix Airy function_, Comm. Math. Phys. 147 (1992), no. 1, 1--23, [euclid](http://projecteuclid.org/euclid.cmp/1104250524)
* C. A. Tracy, H. Widom, _Level-spacing distributions and the Airy kernel_, Physics Letters B 305 (1-2): 115–118 (1993) [hep-th/9210074](http://arxiv.org/abs/hep-th/9210074), <a href="http://dx.doi.org/10.1016/0370-2693(93)91114-3">doi</a>; _Level-spacing distributions and the Airy kernel_, Commun. in Math. Physics 159 (1): 151–174 (1994) [euclid](http://projecteuclid.org/euclid.cmp/1104254495) [doi](http://dx.doi.org/10.1007/BF02100489), [MR1257246](http://www.ams.org/mathscinet-getitem?mr=1257246); _On orthogonal and symplectic matrix ensembles_, Commun. in Math. Phys. __177__ (3): 727–754 (1996) [doi](http://dx.doi.org/10.1007/BF02099545), [MR1385083](http://www.ams.org/mathscinet-getitem?mr=1385083)

See also sec. 7.2 in

* Alain Connes, Caterina Consani, _The universal thickening of the field of real numbers_, [arxiv/1202.4377](https://arxiv.org/abs/1202.4377)

For generalizations see the references

* R. N. Fernandez, V. S. Varadarajan, _Matrix Airy functions for compact Lie groups_, Internat. J. Math. __20__ (2009), no. 8, 945–977, [doi](http://dx.doi.org/10.1142/S0129167X09005595), [MR2554728](http://www.ams.org/mathscinet-getitem?mr=2554728)
* R. N. Fernandez, V. S. Varadarajan, D. Weisbart, _Airy functions over local fields_, Lett. Math. Phys. __88__ (2009), no. 1-3, 187–206,  [MR2010d:11138](http://www.ams.org/mathscinet-getitem?mr=2512146), [doi](http://dx.doi.org/10.1007/s11005-009-0311-x)
* Marco Bertola, Boris Dubrovin, Di Yang, _Simple Lie algebras and topological ODEs_, [arxiv/1508.03750](http://arxiv.org/abs/1508.03750)

category: analysis
[[!redirects Airy functions]]
[[!redirects Airy integral]]
