
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Overview

Matching asymptotic expansions of certain functions like [[Airy functions]] and more generally of solutions to the [[wave equations]] (say in short wave approximation or solutions to non-Fuchsian meromorphic ODEs) comes with sharp changes (disconintuities) at certain phase angles (Stokes lines) described by certain factors, Stokes matrices. 

G. G. Stokes has discovered these phenomena -- now also known more generally as [[wall crossing]] phenomena -- in the study of [[geometric optics]], more specifically the study of [[Airy function]] which is an example of a solution to a linear meromorphic [[ordinary differential equation]] which has an irregular singular point, hence the equation is not [[Fuchsian equation|Fuchsian]]. The Stokes phenomenon does not happen to Fuchsian equations. Their formal meromorphic solutions are automatically convergent. Exactly the presence of the irregular singularities makes the appearance of formal solutions with zero radius of convergence. Now look around the origin. One can try to prove that there are asymptotic expressions at best in some regions of argument. There are jumps at certain slopes. In fact there is Stokes sheaf and the first nonabelian cohomology of the Stokes sheaf measures the obstruction for a formal meromomorphic expansion to be build up of sectorial true meromorphic expansions. 

Stokes factors (multipliers, matrices) appear also in the study of stability in the geometry of moduli spaces of sheaves. According to Toledano Laredo "Joyce's wall-crossing formulae for invariants counting semistable objects in an abelian category A may be understood as Stokes phenomena for a connection on the Riemann sphere taking value in the Ringel-Hall Lie algebra of A.".

## References and related entries

* [[Airy function]], [[semiclassical approximation]], [[wall crossing]].

The historical work of G. Stokes is

* G. G. Stokes, _On the numerical calculation of a class of definite integrals and infinite series_, Trans. Camb. Phil. Soc., 9 (1847), 379-407

* [M. V. Berry](http://www.phy.bris.ac.uk/people/berry_mv/research.html), _Stokes' phenomenon; smoothing a Victorian discontinuity_,  Publ. Math. de l'IHÉS, 68 (1988), p. 211-221 (1988), [numdam](http://www.numdam.org/numdam-bin/item?id=PMIHES_1988__68__211_0).

Sibuya's has a textbook chapter on Stokes phenomena

* Yasutaka Sibuya, _Linear differential equations in the complex domain: Problems of analytic continuation_, Transl. of Math. Monographs __82__, Amer. Math. Soc. 1990 (Japanese original Kinokuniya, Tokyo, 1976, 1980)

* C. Sabbah, _Introduction to Stokes structures_, [http://arxiv.org/abs/0912.2762](http://arxiv.org/abs/0912.2762)

* Claude Sabbah, _Isomonodromic deformations and Frobenius manifolds_, Springer 2007, [doi](http://dx.doi.org/10.1007/978-1-84800-054-4)

* C. Sabbah, slides of a talk at Rennes, [pdf](http://www.math.polytechnique.fr/cmat/sabbah/sabbah_rennes091027-pro.pdf); _Wild geometry_, summary of Oberwolfach, [pdf](http://www.math.polytechnique.fr/cmat/sabbah/sabbah_oberwolfach090922.pdf)

* Y. Sibuya, _Stokes phenomena_, Bull. Amer. Math. Soc. __83__ (1977), 1075-1077 [MR0442337](http://www.ams.org/mathscinet-getitem?mr=0442337) [doi](http://dx.doi.org/10.1090/S0002-9904-1977-14391-7) [euclid](http://projecteuclid.org/euclid.bams/1183539486)

* T. Bridgeland, V. Toledano-Laredo, _Stability conditions and Stokes factors_, [arxiv/0801.3974](http://arxiv.org/abs/0801.3974); _Stokes factors and multilogarithms_ [arxiv/1006.4623](http://arxiv.org/abs/1006.4623) 

* [[Valerio Toledano Laredo]], _Stability conditions and Stokes factors_, audio of the talk at UCSB, [link](http://doug-pc.itp.ucsb.edu/online/duality09/toledanolaredo1); slides [pdf](http://doug-pc.itp.ucsb.edu/online/duality09/toledanolaredo1/pdf/Toledanolaredo1_String_Duality_KITP.pdf)

* [[L. Katzarkov]], [[M. Kontsevich]], [[T. Pantev]], _Hodge theoretic aspects of mirror symmetry_, [arxiv/0806.0107](http://arxiv.org/abs/0806.0107)

* M. Loday-Richaud, _Stokes cocycle and differential Galois groups_, J. Math. Sci. __124__, No. 5, 2004, [pdf](http://www.springerlink.com/content/h42h3vk6w59q0820/fulltext.pdf)

* T. Aoki, T. Kawai, Y. Takei, _On the exact steepest descent method: A new method for the description of Stokes curves_, J. Math. Phys. __42__ (2001), 3691-3713.

* R. Balian, G. Parisi, A. Voros, _Discrepancies from asymptotic series and their relation to complex classical trajectories_, Phys. Rev. Lett. __41__ (1978), 1141-1144. 

* R.B. Paris, A.D. Wood, _Stokes phenomenon demystified_, Bull. Inst. Math. Appl. __31__ (1995) 21-28.

* A R Its, A A Kapaev, _Quasi-linear Stokes phenomenon for the second
Painlevé transcendent_, Nonlinearity __16__ (2003) 363–386, [doi](http://dx.doi.org/10.1088/0951-7715/16/1/321)

* M. Hukuhara, _Sur les points singuliers des équations différentielles linéaires, II_, Jour.Fac. Sci. Hokkaido Univ. 5 (1937), 123-166; _Sur les points singuliers des équations différentielles linéaires, III_ , Jour. Fac. Sci. Kyushu Univ. 2 (1942), 125-137.

* D. G. Babbitt, V. S. Varadarajan, _Local moduli for meromorphic differential equations_,  Bull. Amer. Math. Soc. (N.S.) __12__, N. 1 (1985), 95-98.

* P. Boalch, _Symplectic manifolds and isomonodromic deformations_, [link](http://www.dma.ens.fr/~boalch/files/smid.pdf); _Geometry and braiding of Stokes data; fission and wild character varieties_, [arXiv:1111.6228](http://arxiv.org/abs/1111.6228); P. P. Boalch, _Stokes matrices, Poisson Lie groups and Frobenius manifolds_, 
Invent. Math. 146 (2001), no. 3, 479–506. [MR1869848](http://www.ams.org/mathscinet-getitem?mr=1869848) [doi](http://dx.doi.org/10.1007/s002220100170)
* A. A. Kapaev, _Quasi-linear Stokes phenomenon for the Painlevé first equation_, J. Phys. A: Math. Gen. __37__, 11149 (2004) [doi](http://dx.doi.org/10.1088/0305-4470/37/46/005)

* Kiran S. Kedlaya, _Good formal structures for flat meromorphic connections, I: Surfaces_, Duke Math. J. __154__, n. 2 (2010), 343-418, [MR2682186](http://www.ams.org/mathscinet-getitem?mr=2682186), [euclid](http://projecteuclid.org/euclid.dmj/1281963652) 

* Marco Gualtieri, Songhao Li, Brent Pym, _The Stokes groupoids_, [arxiv/1305.7288](http://arxiv.org/abs/1305.7288)

> We construct and describe a family of groupoids over complex curves which serve as the universal domains of definition for solutions to linear ordinary differential equations with singularities. As a consequence, we obtain a direct, functorial method for resumming formal solutions to such equations. 

Interconnection between exact WKB method, Stokes data and cluster algebras has been studied in

* Kohei Iwaki, Tomoki Nakanishi, _Exact WKB analysis and cluster algebras_, J. Phys. A 47 (2014) 474009 [arxiv/1401.7094](http://arxiv.org/abs/1401.7094)

Proceedings volumes:

* B L J Braaksma, G K Immink, M van der Put, eds, _The Stokes Phenomenon and Hilbert's 16th Problem_, World Sci. 1996

* B L J Braaksma, G K Immink, M van der Put, J Top, eds, _Differential equation and the Stokes phenomenon_, World Sci. 2002