
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Homological algebra
+--{: .hide}
[[!include homological algebra - contents]]
=--
#### Homotopy theory
+--{: .hide}
[[!include homotopy - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A _quasi-isomorphism_ is a [[chain map]] that induces [[isomorphisms]] on all [[homology groups]]. These are the natural choice of [[weak equivalences]] between [[chain complexes]] in the context of ([[stable homotopy theory|stable]]) [[homotopy theory]]. 

The [[localization]] of a [[category of chain complexes]] at the quasi-isomorphisms is called the _[[derived category]]_ of the underlying [[abelian category]]. 

Under the relation between [[topological spaces]] and [[chain complexes]] established by forming [[singular simplicial complexes]], quasi-isomorphism can be understod as the [[abelianization]] of [[weak homotopy equivalences]] (see the [[Hurewicz theorem]] for more on this).

## Definition

Let $\mathcal{A}$ be an [[abelian category]] and write 
$Ch_\bullet(\mathcal{A})$ for its [[category of chain complexes]].

+-- {: .num_defn #QuasiIsos}
###### Definition

A [[chain map]] $f_\bullet : C_\bullet \to D_\bullet$ in $Ch_\bullet(\mathcal{A})$ is called a  **quasi-isomorphism** if for each $n \in \mathbb{N}$ the induced morphisms on [[chain homology]] groups

$$
  H_n(f) \colon H_n(C) \to H_n(D)
$$

is an [[isomorphism]].

=--

+-- {: .num_remark}
###### Remark

Quasi-isomorphisms are also called, more descriptively, **homology isomorphisms** or **$H_\bullet$-isomorphisms**.  See at _[[homology localization]]_ for more on this.

=--

## Properties

### Relation to chain homology type
 {#RelationToChainHomologyType}

+-- {: .num_prop #ReflexiveAndTransitiveButNotSymmetric}
###### Proposition

The [[relation]] "There exists a quasi-isomorphism from $C_\bullet$ to $D_\bullet$." is a [[reflexive relation|reflexive]] and [[transitive relation]], but it is not a [[symmetric relation]].

=--

+-- {: .proof}
###### Proof

Reflexivity and transitivity are evident. An explicit counter-example 
showing the non-symmetry is the [[chain map]]

$$
  \array{
     \cdots &\to& 0 &\to& \mathbb{Z} &\stackrel{\cdot 2}{\to}& \mathbb{Z} &\to& 0 &\to& \cdots
     \\
     \cdots && \downarrow && \downarrow && \downarrow && \downarrow && \cdots
     \\
     \cdots &\to& 0 &\to& 0 &\to& \mathbb{Z}/2\mathbb{Z} &\to& 0 &\to& \cdots
  }
$$

from the chain complex concentrated on the morphism of multiplication by 2 on integers, to the chain complex concentrated on the [[cyclic group of order 2]].

This clearly induces an isomorphism on all homology groups. But there is not even a non-zero chain map in the other direction, since there is no non-zero group homomorphism $\mathbb{Z}/2\mathbb{Z} \to \mathbb{Z}$.


=--

+-- {: .num_remark }
###### Remark

This is as for [[weak homotopy equivalences]], see the discussion at _[Relation to homotopy types](weak+homotopy+equivalence#RelationToHomotopyTypes)_ there.

=--

### Relation to mapping cones and homotopy (co)fibers
 {#RelationToMappingCone}

+-- {: .num_prop }
###### Proposition

A [[chain map]] is a quasi-isomorphism precisely if its [[homotopy cofiber]] in the [[(∞,1)-category of chain complexes]] has trivial [[homology groups]].

=--

By basic properties discussed at _[[truncated object in an (∞,1)-category]]_.

Concretely this means in particular the following.

+-- {: .num_prop }
###### Proposition

A [[chain map]] $f_\bullet : C_\bullet \to D_\bullet$ is a quasi-isomorphism precisely if its [[mapping cone]] $cone(f)_\bullet \in Ch_\bullet(\mathcal{A})$ has all trivial [[chain homology]] groups.

=--

+-- {: .proof}
###### Proof

This follows for instance from the [[homology long exact sequence]]

$$
  \cdots
  \to
   H_{n+1}(c)\to H_{n+1}(D) \to H_{n+1}(cone(f))
  \to 
  H_n(C) \to H_n(D) \to H_n(cone(f))
  \to
  H_{n-1}(C) \to H_{n-1}(D) \to H_{n-1}(cone(f))  
  \to
  \cdots
  \,.
$$

If here by assumption $H_n(cone(f)) = 0$ for all $n$, then this involves [[exact sequences]] of the form

$$
  0 \to H_n(C) \stackrel{H_n(f)}{\to} H_n(D) \to 0
$$

for all $n$. But this says that the [[kernel]] and [[cokernel]] of $H_n(f)$ are trivial for all $n$, hence that $H_n(f)$ is an [[isomorphism]] for all $n$, hence that $f_\bullet$ is a quasi-isomorphism.

=--


## In homotopy theory

Quasi-isomorphisms are the [[weak equivalences]] in the most common [[model category|model category structures]] on the [[category of chain complexes]]. See at _[[model structure on chain complexes]]_ and _[[derived category]]_.

## Related concepts

* [[weak homotopy equivalence]]

* [[injective resolution]], [[projective resolution]]

* [[category of chain complexes]]

  * [[chain complex]]

  * [[chain map]]

  * [[chain homotopy]]

## References

A basic introduction is around definition 1.1.2 in 

* [[Charles Weibel]], _[[An Introduction to Homological Algebra]]_

A more systematic discussion is in section 12 of

* [[Masaki Kashiwara]], [[Pierre Schapira]], _[[Categories and Sheaves]]_ 
  

[[!redirects quasi-isomorphisms]]
[[!redirects quasiisomorphism]]
[[!redirects quasiisomorphisms]]
[[!redirects quasi-isomorphism of chain complexes]]
[[!redirects quasi-isomorphisms of chain complexes]]
[[!redirects quasiisomorphism of chain complexes]]
[[!redirects quasiisomorphisms of chain complexes]]

[[!redirects homology isomorphism]]
[[!redirects H-*-isomorphism]]
[[!redirects H*-isomorphism]]