
Given a [[set]] $A$, the __empty subset__ of $A$, denoted $\empty_A$, is the [[subset]] of $A$ defined by the property that, for every [[element]] $x$ of $A$, it is [[false]] that $x$ belongs to $\empty_A$.

The underlying set (or _shadow_) of any empty subset is [[the]] [[empty set]].  That is, if we interpret $\empty_A$ as an [[injective function]] $S \hookrightarrow A$, then the [[source]] $S$ of this function is the empty set.

In the usual framework of [[material set theory]], every empty subset is identical to the empty set.  For this reason, it is common to write simply $\empty$ instead of $\empty_A$.  Even from a [[structural set theory|structural]] perspective, this is an abuse of language that is unlikely to cause any confusion.

In the context of [[topology]], we often speak of the __empty subspace__.  In point-set topology, this is indeed an empty subset of the set of points, but in point-free topology, a space is not necessarily the [[empty space]] just because it has no points, and the empty subspace is similarly subtle.


[[!redirects empty subset]]
[[!redirects empty subsets]]

[[!redirects empty subspace]]
[[!redirects empty subspaces]]
