
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### $\infty$-Chern-Weil theory
+--{: .hide}
[[!include infinity-Chern-Weil theory - contents]]
=--
#### Homotopy theory
+--{: .hide}
[[!include homotopy - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Overview

Given an [[ordinary differential equation]] (ODE) with [[meromorphic function|meromorphic]] [[coefficients]], solutions will also in general be multivalued functions; thus associated [[monodromies]] around poles are of importance. 

The **21st of [[Hilbert's problems]]** states: _Given a series of points in a complex plane and prescribed monodromies around these points, is there a [[Fuchsian equation|Fuchsian ODE]] with these singularities and monodromies?_

In general the answer is negative as it follows by the counterexample provided by Bolibruh (or Bolibruch, see [wikipedia: Hilbert 21](http://en.wikipedia.org/wiki/Hilbert%27s_twenty-first_problem)).

Nowdays generalizations and refinements of this problem are called the **Riemann-Hilbert problem**. For example techniques of finding the corresponding ODE when it is possible, the closely related [[Riemann-Birkhoff factorization]] (realization of a holomorphic matrix function of a circle as a product of a matrix holomorphic on a neighborhood of closed disk and a function of a matrix holomorphic on a neighborhood of an exterior of the disk including infinity and the circle itself). The correspondence between differential equations and monodromies can in fact be established and is true in general if we understand the data much more generally, using sheaf theory. Namely, that is a rough meaning of so-called **Riemann-Hilbert correspondence** ([wikipedia](http://en.wikipedia.org/wiki/Riemann%E2%80%93Hilbert_correspondence)) in sheaf theory on complex manifolds.

In integrable systems theory (and study of special functions) one often says *Riemann-Hilbert method*.

## Related concepts

* [[Riemann-Hilbert correspondence]]

## References and links

While the short wikipedia article on 21st Hilbert problem is discussing in [nice](http://en.wikipedia.org/wiki/Hilbert%27s_twenty-first_problem) generality, the page titled [Riemann-Hilbert problem](http://en.wikipedia.org/wiki/Riemann%E2%80%93Hilbert_problem), which has more formulas, is in fact explaining only the variants of the Riemann-Birkhoff factorization aspect; it has however a nice list of application areas. 

* N. Katz, _An overview of Deligne's work on Hilbert's twenty-first problem_, Proc. of Symp. in Pure Math. __28__, 537-557 (1976).

* O. Babelon, D. Bernard, M. Talon, _Introduction to classical integrable systems_, Cambridge Univ. Press 2003.

* G. D. Birkhoff, _The generalized Riemann problem for linear differential equations and the allied problems for linear difference and q-difference equations_, Proc. Amer. Acad. Arts and Sci. __49__ (1913), 531-568.

* D. V. Anosov, A. A. Bolibruch, _The Riemann-Hilbert problem_, Aspects of Math. E22. Friedr. Vieweg & Sohn, Braunschweig, 1994. x+190 pp.

* Alexander R. Its, _The Riemann-Hilbert problem and integrable systems_,   Notices Amer. Math. Soc.  __50__  (2003),  no. 11, 1389--1400, (survey) [pdf](http://www.ams.org/notices/200311/fea-its.pdf)

* E. Corel, E. Compoint, _Stable flags and the Riemann-Hilbert Problem_, [arxiv/1003.5021](http://arxiv.org/abs/1003.5021)

* R. R. Gontsov, V. A. Poberezhnyi, _Various versions of the Riemann–Hilbert problem for linear differential equations
Russian Mathematical Surveys 63:4 (2008), 603–639 (English bibliography free here: [pdf](http://www.turpion.org/php/reference.phtml/ref_rm4547.pdf?journal_id=rm&paper_id=4547&volume=63&issue=4&type=pdf))

* A.A. Bolibrukh, _The Riemann–Hilbert problem_,
Russian Math. Surveys 45:2 (1990), 1–58; Rus. original А. А. Болибрух, “Проблема Римана–Гильберта”, УМН 45:2 (1990), 3–47 ([pdf](http://www.mathnet.ru/php/getFT.phtml?jrnid=rm&paperid=4714&volume=45&year=1990&issue=2&fpage=3&what=fullt&option_lang=eng))

* António F. dos Santos, Pedro F. dos Santos, _[[Lax equation]]s, singularities and Riemann-Hilbert problems_, [arxiv/1010.2933](http://arxiv.org/abs/1010.2933)

* Henryk Żołądek, _The monodromy group_, Monografie Matematyczne 67, Birkhäuser 2006

* Alexander I. Bobenko, Alexander Its, _The asymptotic behaviour of the discrete holomorphic map $Z^a$ via the Riemann-Hilbert method_, [arxiv/1409.2667](http://arxiv.org/abs/1409.2667) 

The [[AGT correspondence]] is treated with the help of a Riemann-Hilbert problem in 

* G. Vartanov, J. Teschner, _Supersymmetric gauge theories, quantization of moduli spaces of flat connections, and conformal field theory_, [arxiv/1302.3778](http://arxiv.org/abs/1302.3778)

[[!redirects Riemann-Hilbert problem]]
[[!redirects Riemann–Hilbert problem]]
[[!redirects Riemann--Hilbert problem]]
[[!redirects Riemann Hilbert problem]]
[[!redirects Riemann-Hilbert method]]
[[!redirects Hilbert's 21st problem]]
