

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### $\infty$-Chern-Weil theory
+--{: .hide}
[[!include infinity-Chern-Weil theory - contents]]
=--
#### Differential cohomology
+--{: .hide}
[[!include differential cohomology - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Definition 

A [[connection on a bundle|connection]] on a [[fibre bundle]] is **flat** if its [[curvature]] is zero. 

The same definition of flatness holds for connections in various algebraic setups and for connections on [[quasicoherent sheaves]]. 

The condition of flatness is usually expressed via the [[Maurer-Cartan equation]]. Flat connections on bundles are also referred to as [[local systems]] (by the _Riemann-Hilbert correspondence_ discussed [below](#RiemannHilbertCorrespondence)).

## Properties

### Riemann-Hilbert correspondence
 {#RiemannHilbertCorrespondence}

That flat connections are equivalently [[representations]] of the [[fundamental groupoid]] of the base space/[[local systems]] is known as the _[[Riemann-Hilbert correspondence]]_.

### Flatness as integrability

In geometry one says instead of flat connection, **integrable connection**. The reason is roughly the following: in the theory of systems of differential equations the flatness of the corresponding connection is the condition of the integrability of the system. 

(...elaborate on this with equations)

The condition of flatness is usually expressed via the [[Maurer-Cartan equation]], which is in integrable systems theory often called *zero curvature equation*. For example, the Lax equations can always be written in the form of the zero curvature equation. 

### Over a complex manifold

Over a [[complex manifold]]/[[complex variety]] the [[Koszul-Malgrange theorem]] identifies holomorphic flat connections on [[complex vector bundles]] with [[holomorphic vector bundles]]. See there for more

### Over a Riemann surface

#### Existence

In ([Milnor](#Milnor)) it is shown that a [[vector bundle]] over a [[surface]] of [[genus]] $g$ admits flat connections iff its [[Euler class]] is less than $g$ by an [[absolute value]] (see also Wood, Bundles with totally disconnected structure group). [Sullivan](#Sullivan) gives a refinement.

#### Narasimhan–Seshadri theorem

The _[[Narasimhan–Seshadri theorem]]_ identifies [[moduli spaces of flat connections]] over a [[Riemann surface]] with that of certain [[stable vector bundles]]. 

### Isometric embeddings

Maurer-Cartan equation is called also structure equation when used to treat the conditions for isometric embeddings of Riemannian submanifolds in an Euclidean space. 

...

## Related concepts

* [[projectively flat connection]]

* [[moduli space of flat connections]], [[Narasimhan–Seshadri theorem]]

* [[flat ∞-connection]]

* [[flat section]]

## References

* [[John Milnor]], _On the existence of a connection with curvature zero, Comm. Math. Helv. v 32
  {#Milnor}

* {#Sullivan} [[Dennis Sullivan]], _A generalization of Milnor's inequality_ Comm. Math. Helv. v. 51
  

* [[Hélène Esnault]], _Algebraic Differential Characters of Flat
Connections with Nilpotent Residues_, in [[Nils Baas]] et al., The Abel Symposium 2007 ([pdf](bib.tiera.ru/b/91797))

[[!redirects integrable connection]]

[[!redirects flat connections]]

[[!redirects projectively flat connection]]
[[!redirects projectively flat connections]]