
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Homological algebra
+--{: .hide}
[[!include homological algebra - contents]]
=--
=--
=--

This entry provides a hyperlinked index for the textbook

* [[Charles Weibel]], 

  _An Introduction to Homological Algebra_

  Cambridge University Press (1994)

which gives a first exposition to central concepts in _[[homological algebra]]_.

For a more comprehensive account of the theory see also chapters 8 and 12-18 of 

* [[Masaki Kashiwara]], [[Pierre Schapira]], _[[Categories and Sheaves]]_, Grundlehren der Mathematischen Wissenschaften __332__, Springer (2006)

and see the $n$Lab lecture notes

* _[[schreiber:Introduction to Homological Algebra]]_ ([[IntroductionToHomologicalAlgebra-170509.pdf:file]])

#Contents#
* table of contents
{:toc}

## 1 Chain complexes

### 1.1 Complexes of $R$-modules

* [[abelian group]], [[commutative ring]], [[module]] 

* [[exact sequence]]

**Definition 1.1.1** [[chain complex]]

* [[chain map]], [[chain homotopy]]

* [[category of chain complexes]]

**Exercise 1.1.2** [homology is functorial](chain+map#OnHomology)

**Exercise 1.1.3** [exact sequences of chain complexes are split](split+exact+sequence#OfVectorSpaces)

**Exercise 1.1.4** [[internal hom of chain complexes]]

**Definition 1.1.2** [[quasi-isomorphism]]


[[cochain complex]], [[bounded chain complex]]

**Exercise 1.1.5** [exactness and weak nullity](exact+sequence#ExactnessAndQuasiIsomorphisms)

**Application 1.1.3** [[chain on a simplicial set]], [[simplicial homology]]

**Exercise 1.17** [simplicial homology of the tetrahedron](simplicial+homology#OfTetrahedon)

**Application 1.1.4** [[singular homology]]



### 1.2 Operations on chain complexes

* [[additive and abelian categories]]

* [[Ab-enriched category]]

  * [[pre-additive category]]

  * [[additive category]], 

    * [[additive functor]]

**Exercise 1.2.1** [homology respects direct product](chain+homology+and+cohomology#ChainHomologyRespectsDirectProduct)

**Definition 1.2.1** [[kernel]], [[cokernel]]

* [[quotient]]

**Exercise 1.2.2** [in an abelian category kernels/cokernels are the monos/epis](Mod#RModIsAbelian)

**Exercise 1.2.3** [(co)kernels of chain maps are degreewise (co)kernels](category+of+chain+complexes#KernelsOfChainComplexes)

**Definition 1.2.2** [[abelian category]], [[abelian subcategory]]

**Theorem 1.2.3** [a category of chain complexes is itself abelian](category+of+chain+complexes#IsAbelian)

**Exercise 1.2.4** [exact sequence of chain complexes is degreewise exact](category+of+chain+complexes#ShortExactSequencesDegreewise)

$R$[[Mod]]

**Example 1.2.4** [[double complex]]

**Sing trick 1.2.5** [double complex with commuting/anti-commuting differentials](double+complex#EquivalenceOfTheTwoDefinitions)

**Total complex 1.2.6** [[total complex]]

**Exercise 1.2.5** [total complex of a bounded degreewise exact double complex is itself exact](total+complex#TotOfBoundedDegreewiseExactIsExact)

**Example 1.2.4** [[double complex]]

**Truncations 1.2.7** [[truncation of a chain complex]]

**Translation 1.2.8** [[suspension of a chain complex]]

**Exercise 1.2.8** [[mapping cone]]

### 1.3 Long exact sequences

**Theorem 1.3.1** [[connecting homomorphism]], [[long exact sequences in homology]]

**Exercise 1.3.1** [[3x3 lemma]], 

**Snake lemma 1.3.2** [[snake lemma]]

**Exercise 1.3.3** [[5 lemma]]

**Remark 1.3.5** [[exact triangle]]


### 1.4 Chain homotopies

* [[homotopy theory]]

**Definition 1.4.1** [[split exact sequence]]

**Exercise 1.4.1** [splitness of exact sequences of free modules](split+exact+sequence#OfVectorSpaces)

**Definition 1.4.3** [[null homotopy]]

**Exercise 1.4.3** [split exact means identity is null homotopic](split+exact+sequence#RelationToChainHomotopy)

**Definition 1.4.4** [[chain homotopy]]

**Lemma 1.4.5** [chain homotopy respects homology](chain%20map#OnHomology)

**Exercise 1.4.5** [[homotopy category of chain complexes]]

### 1.5 Mapping cones and cyclinders

**1.5.1** [[mapping cone]]

**1.5.5** [[mapping cylinder]]

**1.5.8** [[fiber sequence]]

### 1.6 More on abelian categories

**Theorem 1.6.1** [[Freyd-Mitchell embedding theorem]]

**Functor categories 1.6.4** [[functor category]]

[[presheaf]]

**Definition 1.6.5** [[abelian sheaf]]

**Definition 1.6.6** left/right [[exact functor]]

**Yoneda embedding 1.6.10** [[Yoneda embedding]]

**Yoneda lemma 1.6.11** [[Yoneda lemma]]

[proof of the Freyd-Mitchell embedding theorem](http://ncatlab.org/nlab/show/Freyd-Mitchell+embedding+theorem#Proof)

## 2 Derived functors

[[derived functor in homological algebra]]

### 2.1 $\delta$-Functor

**Definition 2.1.1** [[delta-functor]]

### 2.2 Projective resolutions

[[projective module]] ([[cofibrant object]] in the [[model structure on chain complexes]])

**Definition 2.2.4**  [[projective resolution]] ([[cofibrant replacement]])

**Horseshoe lemma 2.2.8** [[horseshoe lemma]]

### 2.3 Injective resolutions

[[injective module]] ([[fibrant object]] in the other [[model structure on chain complexes]])

**Baer's criterion 2.3.1** [[Baer's criterion]]

**Definition 2.3.5** [[injective resolution]] ([[fibrant replacement]])

**Definition 2.3.9** [[adjoint functor]]

### 2.4 Left derived functors

[[left derived functor]]

### 2.5 Right derived functors

[[right derived functor]]

**Application 2.5.4** [[global section functor]], [[abelian sheaf cohomology]]

### 2.6 Adjoint functors and left/right exactness

[[adjoint functor]]

**Definition 2.6.4** [[Tor]]

**Application 2.6.5** [[sheafification]]

**Application 2.6.6** [[direct image]], [[inverse image]]

**Application 2.6.7** [[colimit]]

**Variation 2.6.9** [[limit]]

**Definition 2.6.13** [[filtered category]], [[filtered colimit]]

### 2.7 Balancing $Tor$ and $Ext$

**Tensor product of complexes 2.7.1** [[tensor product of chain complexes]]

**Lemma 2.7.3** [[acyclic assembly lemma]]

## 3 Tor and Ext

[[Tor]] and [[Ext]]

### 3.1 $Tor$ for abelian groups

**Proposition 3.1.2-3.1.3** [relation to torsion subgroups](Tor#RelationToTorsionGroups)



### 3.2 $Tor$ and flatness

**Definition 3.2.1** [[flat module]]

**Definition 3.2.3** [[Pontrjagin duality]]

**Flat resolution lemma 3.2.8** [[flat resolution lemma]]

**Corollary 3.2.13** [Localization for Tor](Tor#Localization)

### 3.3 $Ext$ for nice rings

**Corollary 3.3.11** [Localization for Ext](Ext#Localization)


### 3.4 $Ext$ and extensions

[[extension]]

[[group extension]]

**Vista 3.4.6** [[Yoneda extension group]]

### 3.5 Derived functors of the inverse limit

[[tower]]

[[additive and abelian categories|(AB4)-category]]

[[directed limit]]

**Definition 3.5.1** [[lim^1]]

**Definition 3.5.6** [[Mittag-Leffler condition]]

**Exercise 3.5.5** [[pullback]]

### 3.6 Universal coefficient theorem

**Theorem 2.6.1** [[Künneth formula]]

**Universal cofficient theorem for homology 3.6.2** [universal coefficient theorem in homology](universal+coefficient+theorem#InHomology)

**Theorem 3.6.3** [[Künneth formula for complexes]]

**Application 3.6.4** [universal coefficient theorem in topology](universal+coefficient+theorem#InTopology)

**Universal coefficient theorem in cohomology 3.6.5** [universal coefficient theorem in cohomology](universal+coefficient+theorem#InCohomology)

[[Eilenberg-Zilber theorem]]

**Exercise 3.6.2** [[hereditary ring]]

## 4 Homological dimension

### 4.1 Dimensions

* [[dimension]]

* [[global dimension theorem]]

* [[homological dimension]]

### 4.2 Rings of Small Dimension

### 4.3 Change of Rings Theorem

### 4.4 Local rings

* [[local ring]]

### 4.5 Koszul Complexes

* [[Koszul complex]]

### 4.6 Local Cohomology

## 5 Spectral sequences

### 5.1 Introduction

### 5.2 Terminology

* [[spectral sequence]]

### 5.3 Leray-Serre Spectral Sequence

* [[Leray-Serre spectral sequence]]

### 5.4 Spectral sequence of a filtration

* [[spectral sequence of a filtration]]

### 5.5 Convergence

### 5.6 Spectral sequence of a double complex

* [[spectral sequence of a double complex]]

### 5.7 Hypercohomology

* [[hypercohomology]]

### 5.8 Grothendieck spectral sequence

* [[Grothendieck spectral sequence]]

### 5.9 Exact couples

* [[exact couple]]

* [[Bockstein spectral sequence]]

## 6 Group homology and cohomology

* [[group cohomology]]

## 7 Lie algebra homology and cohomology

* [[Lie algebra homology]], [[Lie algebra cohomology]]

## 8 Simplicial methods in homological algebra

### 8.1 Simplicial object

* [[simplicial object]] 

### 8.2 Operations on simplicial objects 

### 8.3 Simplicial homotopy groups

* [[simplicial homotopy group]]

### 8.4 The Dold-Kan correspondence

* [[Dold-Kan correspondence]]

### 8.5 The Eilenberg-Zilber theorem

* [[Eilenberg-Zilber theorem]]

### 8.6 Canonical resolutions

* [[monad]](=triple) [[comonad]]

  [[bar construction]], 

  [[classifying space]]


### 8.7 Cotriple homology 

* [[bar construction]]

* [[monadic descent]]

### 8.8 Andre-Quillen Homology and Cohomology

* [[Kähler differential]]

* [[cotangent complex]]


## 9 Hochschild and cyclic homology

### 9.1 Hochschild Homology and Cohomology of Algebras

* [[Hochschild cohomology]]


### 9.2 Derivations, Differentials and Separable Algebra

* [[derivation]]

* [[differential]]

* [[separable algebra]]

### 9.3 $H^2$, Extensions, Smooth Algebras

* [[smooth algebra]]

### 9.4 Hochschild products

* [[Hochschild-Kostant-Rosenberg theorem]]

### 9.5 Morita Invariance

### 9.6 Cyclic Homology

* [[cyclic cohomology]]

### 9.7 Group Rings

### 9.8 Mixed Complexes

### 9.9 Graded Algebras

### 9.10 Lie Algebras of Matrices


## 10 The derived category

* [[derived category]]

## A Category Theory Language

* [[category theory]]


### A.1 Categories

* [[category]]

### A.2 Functors

* [[functor]]

### A.3 Natural transformations

* [[natural transformation]]

### A.4 Abelian categories

* [[abelian category]]

### A.5 Limits and colimits

* [[limit]], [[colimit]]

### A.6 Adjoint functors

* [[adjoint functor]]

category: reference

[[!redirects An introduction to homological algebra]]