**Pierre Deligne** is a Belgian mathematician who was a student of [[Grothendieck]], then worked at [l'IHÉS](http://www.ihes.fr) and now is emeritus at [IAS](http://www.ihes.fr). His main interests include algebraic geometry especially cohomology of algebraic varieties, Hodge theory, L-functions and automorphic forms, [[Tannaka duality|Tannakian theory]], representations of algebraic groups, and [[motives]], where he extended the conjectural picture from pure to mixed motives (Grothendieck was much earlier aware and pushing toward that extension, though not publishing about it, according to Serre and others). Deligne has obtained the Fields medal in 1978 for a famous 1973 proof of [[Weil conjecture]]s. For the sake of preparatory/foundational steps he wrote a quick amendement for the unfinished volumes of [[SGA]] in a form of practical and short (but controversial to Grothendieck) SGA $4\frac{1}{2}$. This work uses a powerful and deep yoga of Hodge filtrations discovered also by Deligne. 

* [[Luc Illusie]], _From Pierre Deligne’s secret garden :
looking back at some of his letters_ ([pdf](http://www.math.u-psud.fr/~illusie/Illusie-Deligne-NYC.pdf))

## Writings

Deligne lead a seminar on differential systems corresponding to meromorphic connections, whose basic results were explained in a classic in this are:

* _Équations différentielles à points singuliers réguliers_, Lect. Notes in Math. __163__, Springer-Verlag (1970)

Related to this is the survey 

* N. Katz, _An overview of Deligne's work on [[Riemann-Hilbert problem|Hilbert's twenty-first problem]]_, Proc. of Symp. in Pure Math., vol.28, pp. 537-557 (1976).

With [[David Mumford]], he wrote the historical article on Deligne-Mumford stacks at the principal example of the moduli space of curves. 

* P. Deligne, D. Mumford, _The irreducibility of the space of curves of a given genus_ Publ. Math. de l'IHÉS __36__ (1969) pp. 75–109, [numdam](http://www.numdam.org/item?id=PMIHES_1969__36__75_0).

* [[A. A. Beilinson]], J. Bernstein, P. Deligne, _Faisceaux pervers_,  Astérisque __100__ (1983).

* _La conjecture de Weil : I_, Publications Mathématiques de l'IHÉS __43__ (1974), p. 273-307 [numdam](http://www.numdam.org/item?id=PMIHES_1974__43__273_0)

See also article entry [[Catégories Tannakiennes]].

* [wikipedia](http://en.wikipedia.org/wiki/Pierre_Deligne), IAS [page](http://www.math.ias.edu/~phares/deligne/Deligne.html), publication list in [pdf](http://www.math.ias.edu/~phares/deligne/publications.pdf), and the [links](http://www.numdam.org/numdam-bin/recherche?au=Deligne,+Pierre&format=short) to the Deligne's numdam scanned articles.

## Related $n$Lab entries

* [[Deligne completeness theorem]]

* [[Deligne conjecture]]

* [[Tannaka duality]]

* [[Deligne's theorem on tensor categories]]

category: people

[[!redirects Deligne]] [[!redirects P. Deligne]]