
#Contents#
* table of contents
{:toc}

## Idea

The most basic form of the Riemann--Hilbert correspondence states that the [[category]] of [[flat connection|flat]] [[vector bundles]] on a suitable [[space]] is equivalent to the category of [[local systems]].


While [[Riemann-Hilbert problem|Hilbert's 21st problem]] has a negative solution, there is a generalized sheaf-theoretical formulation which leads to an equivalence of categories discovered by Mebkhout and a bit later also by [[Kashiwara]].

## Related entries

* [[Hilbert's problems]]

* [[flat infinity-connection]]

* [[infinity-local system]]

## References

* [[Alain Connes]], [[Matilde Marcolli]] _[[Noncommutative Geometry, Quantum Fields and Motives]]_

* Wikipedia, _[Riemann-Hilbert correspondence](http://en.wikipedia.org/wiki/Riemann%E2%80%93Hilbert_correspondence)_

* Z. Mebkhout, _Le formalisme des six opérations de Grothendieck pour les $\mathcal{D}_X$-modules cohérents_, Travaux en Cours __35__. Hermann, Paris, 1989. x+254 pp. [MR90m:32026](http://www.ams.org/mathscinet-getitem?mr=1008245)

* [[Andrea D'Agnolo]], [[Masaki Kashiwara]], _Riemann-Hilbert correspondence for holonomic D-modules_, [arxiv/1311.2374](http://arxiv.org/abs/1311.2374)

> The classical Riemann-Hilbert correspondence establishes an equivalence between the triangulated category of _regular_ holonomic D-modules and that of constructible sheaves. In this paper, we prove a Riemann-Hilbert correspondence for holonomic D-modules which are not necessarily regular. The construction of our target category is based on the theory of ind-sheaves by Kashiwara-Schapira and influenced by Tamarkin's work. Among the main ingredients of our proof is the description of the structure of flat meromorphic connections due to Mochizuki and Kedlaya. 

Generalization to [[flat infinity-connections]] via the [[dg-nerve]] and [[iterated integrals]] is discussed in 

* [[Jonathan Block]], Aaron Smith, _A Riemann--Hilbert correspondence for infinity local systems_, [arXiv:0908.2843](http://arxiv.org/abs/0908.2843)

[[!redirects Riemann-Hilbert correspondence]]
[[!redirects Riemann–Hilbert correspondence]]
[[!redirects Riemann--Hilbert correspondence]]
