## Overview

There are many examples that the objects of additive categories (abelian, abelian tensor categories, triangulated etc.) are equipped with **slope filtrations**, which are labelled by **real** numbers. Slope is here related to stability. Stokes phenomenon in the study of asymptotics of differential equations can be viewed as a similar structure on the [[D-module]]s (or by the [[Riemann-Hilbert correspondence]], on the object in certain category  of monodromy data), which correspond to the solutions of differential equations. 

See also [[wall crossing]], [[Stokes phenomenon]], [[Newton polygon]]. 

## Survey by Andre

For the slopes in algebraic and arithmetic geometry there is a recent survey

* Yves Andre, _Slope filtrations_, [arxiv/0812.3921](http://arxiv.org/abs/0812.3921)

Here is an introductory passage:

> Slope filtrations occur in algebraic and analytic geometry, in asymptotic analysis, in ramification theory, in p-adic theories, in geometry of numbers...Five basic examples are the Harder-Narasimhan filtration of vector bundles over a smooth projective curve, the Dieudonne-Manin filtration of F-isocrystals over the p-adic point, the Turrittin-Levelt filtration of formal differential modules, the Hasse-Arf filtration of finite Galois representations of local fields, and the Grayson-Stuhler filtration of euclidean lattices. Despite the variety of their origins, these filtrations share a lot of similar features.

## Other aspects and references

The story of slope filtrations is important for the construction of various moduli spaces (esp. in [[algebraic geometry]] and in mathematical physics), for [[Hodge theory]], theory of [[motive]]s, study of motivic properties of Feynman integrals... 

* L. Katzarkov, [[Maxim Kontsevich|M. Kontsevich]], T. Pantev, _Hodge theoretic aspects of mirror symmetry_, [arxiv/0806.0107](http://arxiv.org/abs/0806.0107)

* M. Kontsevich, Y. Soibelman, _Motivic Donaldson-Thomas invariants: summary of results_, [0910.4315](http://arxiv.org/abs/0910.4315)

[[!redirects slope]]