Let a [[meromorphic map|meromorphic]] linear [[ordinary differential equation]]  

$$
  y^{(n)}+h_1 y^{(n-1)}+ \ldots + h_n y = 0\,\,\,\,\,\,\,\,\,\, (E)
$$

defined everywhere in the complex plane (in dimension 1) outside of a finite set of singular points (where some of the meromorphic coefficients have singularity), is given. Equivalently, we can instead of equation (E) of higher order, look at a system 

$$
\frac{\mathrm{d}u}{\mathrm{d}z} = A u \,\,\,\,\,\,\,\,\,\,(S) 
$$

of meromorphic first order differential equations where $A$ is the matrix of coefficients and $z\in\mathbb{C}^n$ is a column vector. 

A singular point $z_0$ is **regular singular** if the module of solutions of the equation in a neighborhood of that point the solutions make a module over the algebra of (convergent) meromorphic functions possibly with pole at $z_0$ which is generated by functions of the form $z^a (log z)^b$ where $a\in \mathbb{C}$ and $b\in \mathbb{N}_0$. If a singular point is not regular it is called **irregular singular point**. 

It can be shown that $z_0$ is regular singular if a formal Laurent power expansion of a formal solution around $z_0$ every small sector around $z_0$ has a branch bounded by $|z|^{-N}$ for some $N\geq 0$ as $z\to 0$. 

Fuchs criterium: (E) has a regular singular point at $0$ iff $ord(h_i)\geq -i$ for $1\leq i\leq n$ where $ord$ is the order function at $0$. There is no similar iff criterium for the coefficients of the linear system. However there is a sufficient condition due Savage: (S) has a regular singular point at $0$ if $)$ is a simple singularity of all entries of the connection matrix. This condition is clearly not invariant under the meromorphic changes of coordinates. 

This notion goes back to Riemann and Fuchs. Equations whose all singular points are regular singular are called [[Fuchsian equation|Fuchsian]]. 

* wikipedia: [regular singular point](http://en.wikipedia.org/wiki/Regular_singular_point)

* Yu. S. Il'yashenko, _[Regular singular point](http://eom.springer.de/r/r080870.htm)_, Springer Enc. of Math. 2001

* V.S. Varadarajan, _Linear meromorphic differential equation: a modern point of view_, Bull. AMS __33__, n. 1, 1996, [pdf](http://www.ams.org/bull/1996-33-01/S0273-0979-96-00624-6/S0273-0979-96-00624-6.pdf)

* P. [[Deligne]], _Équations différentielles à points singuliers réguliers_, Lect. Notes in Math. __163__, Springer-Verlag (1970)

[[!redirects irregular singular point]]