
# Proper subsets
* table of contents
{: toc}

## Idea

A [[subset]] $A$ of a [[set]] $S$ is __proper__ if it is not the [[improper subset]] of $S$ ($S$ as a subset of itself).  We may also say (in the context of [[concrete sets]]) that $S$ is a proper [[superset]] of $A$ or that $S$ properly [[containment|contains]] $A$.


## Definition

We may state that $A$ is proper in any of these equivalent ways:

1.  $A$ is not equal (as a subset) to $S$;
2.  There exists an element $x$ of $S$ such that $x \notin A$;
3.  Given any way of expressing $A$ as the [[intersection]] of a [[family of subsets]] of $S$, this family is [[inhabited set|inhabited]]. 

Actually, these three definitions are equivalent only if we accept the principle of [[excluded middle]]; in [[constructive mathematics]], we usually prefer (3).  (For example, consider the notion of [[proper filter]] on a set $X$, thought of as a subset of the [[power set]] of $X$.)  However, (3) is not [[predicative mathematics|predicative]]; see [[positive element]] for discussion of this in the dual context.  Also, (2) may be strengthened using an [[inequality relation]] other than the [[denial inequality]].


[[!redirects proper subset]]
[[!redirects proper subsets]]
[[!redirects proper superset]]
[[!redirects proper superset]]
[[!redirects proper containment]]
