
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Langlands correspondence
+--{: .hide}
[[!include Langlands correspondence -- contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Overview

Liouville [[integrable systems]] can always be phrased in the form of a [[Lax pair]] depending on a spectral parameter belonging to what is called a _[[spectral curve]]_. This way the [[analytic geometry|complex analytic]] theory of [[Riemann surfaces]] comes into play. 

In a landmark article in 1987, [[Nigel Hitchin]] introduced more refined viewpoint to a rather general class of [[integrable systems]]. The spectral curve is a [[hyperelliptic curve]] (genus 2 or more) for Sp(m,C)-Higgs bundles. This system is defined on the [[cotangent bundle]] of [[moduli space]] of [[stable bundles]] studied by Ramanan, Narasimhan, Hitchin, Nitsure, [[Gerd Faltings|Faltings]], [[Carlos Simpson|Simpson]] (introduction of Higgs bundles!) and others. 

Some of the features of that system are more readily seen from consideration of a canonical map from the cotangent bundle of the moduli space to the so-called [[Hitchin base]], and the map is called the 
_Hitchin fibration_. 

The [[elliptic Calogero-Moser system]] is an example of a Hitchin system. 

For other purposes than integrable systems, e.g. in [[representation theory]], one can consider Hitchin fibration over other ground fields. [[Alexander Beilinson]] and [[Vladimir Drinfeld]] have shown the importance of Hitchin fibration in the 
[[geometric Langlands program]]. Ngô Bảo Châu (with Laumon) has studied a Hitchin fibration to prove an important step in Langlands program, so called Fundamental Lemma, which was conjectural from 1970s and is one of the main mathematical discoveries in last decade. For this achievement, Ngô  was awarded the Fields medal at ICM 2010 in Hyderabad ([link](http://www.icm2010.org.in/imu-prizes/prize-winners-2010/fields-medal-ngo-bao-chau)). 

## References and links

See also [[moduli space of bundles]].

* [[Nigel Hitchin|N.J. Hitchin]], _Stable bundles and integrable systems_,  Duke Math. J. , 54  (1987)  pp. 91–114 [MR89a:32021](http://www.ams.org/mathscinet-getitem?mr=89a:32021) [doi](http://dx.doi.org/10.1215/S0012-7094-87-05408-1) [euclid](http://projecteuclid.org/euclid.dmj/1077305506)

* N.J. Hitchin, _Flat connections and geometric quantization_, Comm. Math. Phys. __131__, n 2 (1990), 347-380, [euclid](http://projecteuclid.org/euclid.cmp/1104200841)

* Emma Previato, _Hitchin system_, Springer Online [Enc. of Math.](http://eom.springer.de/H/h120090.htm)

* A. Beilinson, V. Drinfeld, _Quantization of Hitchin's integrable system and Hecke eigensheaves_, [pdf](http://www.math.uchicago.edu/~mitya/langlands/hitchin/BD-hitchin.pdf)

* Ngô Bảo Châu, _Le lemme fondamental pour les algebres de Lie_, [arxiv/0806.4566](http://arxiv4.library.cornell.edu/abs/0806.4566)

* [[Carlos Simpson|Carlos T. Simpson]], _Higgs bundles and local systems_, Publ. Mathématiques de l'IHÉS, 75 (1992), p. 5-95, [numdam](http://www.numdam.org/item?id=PMIHES_1992__75__5_0)

* R. Donagi, _Spectral covers_, MSRI series 28, [pdf](http://www.msri.org/publications/books/Book28/files/donagi.pdf)

* Tamas Hausel, _Global topology of the Hitchin system_, [arxiv/1102.1717](http://arxiv.org/abs/1102.1717)

* David Nadler, _Springer theory via the Hitchin fibration_, [arxiv/0806.4566](http://arxiv.org/abs/0806.4566) ($n$POV emphasis to an example in representation theory) 

* James Arthur, _The Work of Ngô Bảo Châu_, Proc. ICM Hyderabad 2010, [pdf](http://www.icm2010.org.in/wp-content/icmfiles/laudaions/fields2.pdf)

* Ken-ichi Sugiyama, _A quantization of the Hitchin hamiltonian system and the Beilinson-Drinfeld isomorphism_, [arxiv/0708.2957](http://arxiv.org/abs/0708.2957)

[[!redirects Hitchin system]]
[[!redirects Hitchin integrable system]]
[[!redirects Hitchin fibrations]]
