+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Riemannian geometry
+--{: .hide}
[[!include Riemannian geometry - contents]]
=--
#### Gravity
+-- {: .hide}
[[!include gravity contents]]
=--
=--
=--


#Contents#
* table of contents 
{:toc}


##Idea

### General

A _spacetime_ is a [[manifold]] that models [[space]] and [[time]] in [[physics]].

This is formalized by saying that a **spacetime** is a [[smooth Lorentzian space]] $(X,\mu)$ equipped with a [[time orientation]] (see there).

Hence a point in a spacetime is called an _[[event]]_.

In the context of classical [[general relativity]] a **spacetime** is usually in addition assumed to be connected and four-dimensional. A connected Lorentzian manifold is either time orientable or it has a two-sheeted covering which
is time orientable.

In [[classical physics]], notably in [[special relativity]] and [[general relativity]] points in $X$ model coordinates where _events_ can take place from the viewpoint of an observer ("points in space and time") while the metric $\mu$ models the field of [[gravity]] in [[general relativity]].


### Intermingling of space and time
The noun "spacetime" is used in both [[special relativity]] and [[general relativity]], but is best motivated from the viewpoint of [[general relativity]]. [[special relativity|Special relativity]] deals with the [[Minkowski spacetime]] only. The [[Minkowski spacetime]] allows a _canonical_ choice of _global_ coordinates such that the metric tensor has in every point the form diag(-1, 1, 1, 1), which identifies the first coordinate as representing the time coordinate and the others as representing space coordinates.

Given a general spacetime, there is not necessarily a globally defined coordinate system, and therefore not necessarily a globally defined _canonical_ time coordinate. More specifically, there are spacetimes that admit coordinates defined on subsets where the _physical_ interpretation of the coordinates as modelling time and space coordinates _changes_ over the domain of definition.

(TODO: references and explanations).

## Examples

* [[Minkowski spacetime]]

[[!include charged and rotating black holes -- table]]

* [[asymptotically flat spacetime]]

* [[gravitational wave]]

* [[anti de Sitter spacetime]]

* [[FRW spacetime]]

* [[Taub-NUT spacetime]]

* [[Einstein manifold]]

* [[pp-wave spacetime]]

* [[KK-monopole]]

* [[Malament–Hogarth spacetime]]

* [[super spacetime]]

  * [[super Minkowski spacetime]]

* [[black brane]]

## Related concepts 

* [[universal spacetime]]

* [[general covariance]]

* [[gravity]], [[cosmology]], [[black hole]]

* [[particle physics]], [[matter]], [[sigma-model]]

* [[force]], [[gauge theory]]

* [[mass]]

## References

### Books

* S. W. Hawking, G. F. R. Ellis, _The large scale structure of space-time_, Cambridge Univ. Press
* John Beem, Paul Ehrlich, _Global Lorentzian geometry_, Marcel Dekker 1981 (and Russian, updated translation, Mir 1985)

### Articles

* L. Markus, _Line element fields and Lorentz structures on differentiable manifolds_, Ann. of Math. (2) 62 (1955), 411–417, [MR0073169](http://www.ams.org/mathscinet-getitem?mr=0073169) [jstor](http://www.jstor.org/stable/1970071)

* [[Roger Penrose]], _Gravitational collapse and space-time singularities_, Phys. Rev. Lett. __14__, 57--59

category: physics, geometry

[[!redirects space-time]]
[[!redirects space time]]
[[!redirects spacetimes]]

[[!redirects spacetime manifold]]
[[!redirects spacetime manifolds]]
