
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher geometry
+--{: .hide}
[[!include higher geometry - contents]]
=--
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A **Grothendieck's existence problem** is a question of [[representable functor|representability]] of a [[presheaf]] of sets (or sometimes of groups) on the [[category]] of [[affine schemes]] (or some variant of it) as a [[scheme]] (or as an [[algebraic space]], [[Deligne-Mumford stack]] or some other algebraic variant of a space making the representability problem nontrivial...). In early days of [[scheme]] theory, at the end of 1950-s Grothendieck proved several major positive results of this sort, like the constructions of Hilbert, [[Quot scheme|Quot]] and Picard schemes, and the **Grothendieck's existence theorem** in [[formal geometry]] with major applications in [[deformation theory]]. Another major result of that sort is the [[Artin's representability theorem]] (and its refined version in [[higher geometry]], the [[Artin-Lurie representability theorem]]). 

## Related concepts

* [[Artin representability theorem]]

* [[Artin-Lurie representability theorem]]

## References

Articles on the original theorem include

* [[Luc Illusie]], _Grothendieck's existence theorem in formal geometry_, [[FGA explained]], 179--233, MR2223409; (draft version [pdf](http://cdsagenda5.ictp.it//askArchive.php?categ=a0255&id=a0255s3t3&ifd=15021&down=1&type=lecture_notes))

* [[Michael Artin]], _Algebraization of formal moduli. I_, Global Analysis (Papers in Honor of K. Kodaira), Princeton Univ. Press, Princeton, N.J., 1969, pp. 21-71. [MR0260746](http://www.ams.org/mathscinet-getitem?mr=0260746) (41:5369)

* Siegmund Kosarew, _Grothendieck's existence theorem in [[analytic geometry]] and related results_,  Trans. Amer. Math. Soc. 328 (1991), 259-306, [pdf](http://www.ams.org/journals/tran/1991-328-01/S0002-9947-1991-1014252-X/S0002-9947-1991-1014252-X.pdf)

Discussion in [[E-∞ geometry]] is in 

* [[Jacob Lurie]], section 5.3 of _[[Proper Morphisms, Completions, and the Grothendieck Existence Theorem]]_

* [[Jacob Lurie]], _[[Representability theorems]]_

[[!redirects Grothendieck's existence theorem]]
[[!redirects Grothendieck's existence problem]]
[[!redirects Grothendieck existence theorem]]
[[!redirects Grothendieck existence problem]]
[[!redirects Grothendieck's existence]]