**Algebraic analysis** is a program introduced by [[Mikio Sato]] from around 1958, based on the idea that the study of differential equations should be done in a coordinate-free manner, and operations should follow general nonsense geometric and algebraic constructions. One of the first steps was the introduction of the concept of [[D-module]], and of a [[holonomic D-module]], [[hyperfunction]]s (as a sheaf theoretic approach to distribution theory), then relying on homological algebra in [[derived categories]] (it seems that Sato introduced them independently from Grothendieck-Verdier, without publication at the time). Study of nonlinear and nonholonomic system was supposed to reduce on study of holonomic systems on more complicated spaces, e.g. on the cartesian square of the original space and so on. This depends on subtle properties of the study of singularities and other aspects and works only in some generality, with ongoing progress. Singularity theory and the lagrangian geometry are very important aspects of the algebraic analysis. Later Sato introduced [[microlocal analysis|microlocalization]] and his program joined young [[Masaki Kashiwara]] around 1968. Numerous connections to mathematical physics (e.g. [[holonomic quantum field]]s, [[integrable systems]]) and [[Hodge theory]] gradually entered into the program.

It seems that the vision of this program fits well with [[nPOV]]. See also [[D-geometry]]. 

* interview with [[Mikio Sato]] in [Notices AMS](http://www.ams.org/notices/200702/fea-sato-2.pdf)

* [[Masaki Kashiwara]], Takahiro Kawai, Tatsuo Kimura, _Foundations of algebraic analysis_, Transl. from Japanese by Goro Kato. Princeton Mathematical Series __37__, 1986. xii+255 pp.
[MR87m:58156](http://www.ams.org/mathscinet-getitem?mr=855641); [[J.-L. Brylinski]], Book Review: Foundations of algebraic analysis. Bull. Amer. Math. Soc. (N.S.) __18__ (1988), no. 1, 104&#8211;108, [doi](http://dx.doi.org/10.1090/S0273-0979-1988-15622-4)

* Tadao Oda, _Introduction to algebraic analysis on complex manifolds_, Algebraic varieties and analytic varieties (Tokyo, 1981), 29&#8211;48, Adv. Stud. Pure Math., 1, North-Holland, Amsterdam, 1983, [MR85a:14010](http://www.ams.org/mathscinet-getitem?mr=715644)

A short but quite complete overview of algebraic analysis can be found in:

* [[Pierre Schapira]] Triangulated categories for the analysts. In "Triangulated categories" London Math. Soc. LNS 375 Cambridge University Press, pp 371-389 (2010) [pdf](http://people.math.jussieu.fr/~schapira/respapers/Tricat.pdf);