
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Geometry
+--{: .hide}
[[!include higher geometry - contents]]
=--
#### Differential geometry
+--{: .hide}
[[!include synthetic differential geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

Klein 2-geometry is an attempt to [[vertical categorification|categorify]] Klein's [[Erlangen program]] by replacing groups with [[2-group|2-groups]], which are like groups but categories instead of sets.  

The idea of Klein's original Erlangen program is to study geometries that have some group of symmetries, $G$.  If this group acts transitively on some kind of geometrical figure - e.g. points, lines, etc. - the space of figures of this kind is $G/H$, where $H \subseteq G$ is the stabilizer of such a figure: that is, the subgroup of symmetries that preserve it.

To [[vertical categorification|categorify]] this we'd like to replace $G$ with a [[2-group]], and replace $H$ with a "sub-2-group".  We then need to define the suitable analogue of the [[quotient]] $G/H$, and see in what sense $G$ acts transitively on this.

A suitable notion of sub-2-group is a [[faithful functor|faithful]], but not necessarily full, functor into $G$. Quotients may be thought of as homogeneous [[orbifold|orbifolds]].

## Related concepts

[[!include local and global geometry - table]]


## Discussion

Blog entries: [I](http://math.ucr.edu/home/baez/corfield/2006/05/klein-2-geometry.html), [II](http://math.ucr.edu/home/baez/corfield/2006/06/klein-2-geometry-ii.html), [III](http://math.ucr.edu/home/baez/corfield/2006/07/klein-2-geometry-iii.html), [IV](http://math.ucr.edu/home/baez/corfield/2006/08/klein-2-geometry-iv.html), [V](http://golem.ph.utexas.edu/category/2006/09/klein_2geometry_v.html), [VI](http://golem.ph.utexas.edu/category/2006/10/klein_2geometry_vi.html), [VII](http://golem.ph.utexas.edu/category/2006/11/klein_2geometry_vii.html), [VIII](http://golem.ph.utexas.edu/category/2006/12/klein_2geometry_viii.html), [VIIIS](http://golem.ph.utexas.edu/category/2007/05/klein_2geometry_viiis.html), [IX](http://golem.ph.utexas.edu/category/2007/10/klein_2geometry_ix.html), [X](http://golem.ph.utexas.edu/category/2008/04/klein_2geometry_x.html), [XI](http://golem.ph.utexas.edu/category/2008/06/klein_2geometry_xi.html), [XII](http://golem.ph.utexas.edu/category/2011/08/klein_2geometry_xii.html), and [stabilizer](http://golem.ph.utexas.edu/category/2009/03/the_stabilizer_of_a_subcategor.html).