The notion of **algebrad** is due to 

* [[Nikolai Durov]], _Classifying vectoids and generalisations of operads_, [arxiv/1105.3114](http://arxiv.org/abs/1105.3114), the translation of "Классифицирующие вектоиды и классы операд", Trudy MIAN, vol. 273

based on the earlier conference talk:

* _Classifying vectoids and generalizations of operads_ , The International Conference "Contemporary Mathematics", June 12, 2009, [link](http://www.mathnet.ru/php/person.phtml?option_lang=eng&personid=34084)

A **vectoid** is a finitely complete and [[cocomplete category]] $C$ with a [[small set]] of [[generators]], where all [[epimorphisms]] are universally [[effective epimorphism|effective]] and where the following "completeness/totality" axiom holds: every [[functor]]  $F : C^{op} \to Set$ commuting with all [[colimit]]s is [[representable functor|representable]]. 

The concept of vectoid simultaneously generalizes  [[topoi]] and [[abelian categories]] of $O$-[[module]]s for [[ringed topos|ringed topoi]]: intuitively it is roughly to the category of $O$-modules for a ringed topos $(X,O)$ what a [[generalized ring]] (algebraic monad in Set) is to a ring.
There are monoidal, symmetric monoidal and usual variant of vectoids; for monoidal versions one needs to impose a cocontinuity of the tensor product in each argument, 
Vectoids are organized in a 2-category $Vectoid$ of vectoids. The name vectoid because of some analogies of that 2-category with the category of vector spaces, including a universal property of an external tensor product between vectoids which is similar to the universal property of the tensor product for vector spaces; where (bi)cocontinuous functors are analogous to (bi)cocontinuous maps. A monad in the 2-category of vectoids, that is a monoid with respect to the composition product, is called an **algebrad**.

A main source of algebrads are classifying vectoids; classifying vectoid  come from the problem of representing $Cat$-valued 2-presheaves on $Vectoid$. One looks at algebrads whose underlying 1-cell is an endomorphism of a classifying vectoid. Examples of the algebrads of that kind are symmetric [[operad]]s (which come from the classifier of objects), algebraic [[monad]]s (from the classifier of (cocommutative) [[coalgebra]]s) and a new type from the classifier of algebras. While the moduli spaces of algebras are hard to construct, the classifying vectoids are in these examples constructed with relatively little pain. 

Abstract (in Russian, from [link](http://www.pdmi.ras.ru/EIMI/2009/cm/abs.html)): 

Н. В. Дуров Классифицирующие вектоиды и обобщения операд

Первая треть доклада посвящена изложению основ теории вектоидов, представляющих собой совместное обобщение понятия топоса, окольцованного топологического пространства и обобщенного кольца. Далее будет обсуждаться задача построения "классифицирующего вектоида" или "пространства модулей" для различных алгебраических структур, и будет приведена простая комбинаторная конструкция таких вектоидов в простейших случаях (классификатор объектов, алгебр и коалгебр). Оказывается, что моноиды в категории эндоморфизмов классифицирующего вектоида представляют собой естественное обобщение понятие операды, зависящее от выбора классифицирующего вектоида. Например, классические операды получаются из классификатора объектов, а алгебраические монады - из классификатора коалгебр. Случай классификатора алгебр представляется не менее естественным, хотя соответствующее обобщение операды, по всей видимости, является новым. Изложению его основных свойств и будет посвящена заключительная часть доклада. 

English: We start with a brief discussion of "vectoids", which are a common generalization of topoi, ringed spaces and generalized rings. After that we list several "classifying vectoid" or "moduli space" construction problems for different algebraic structures, and present a straightforward combinatorial construction of such classifying vectoids for the simplest cases (such as the classification of objects, algebras and coalgebras). Once a classifying vectoid is constructed, one can study monoids with respect to the composition in the category of its endomorphisms; such monoids turn out to be a natural generalization of the notion of an operad. Each choice of a classifying vectoid leads to its own kind of generalization, for example, the classifying vectoid of objects leads to (classical) operads, and that of coalgebras - to algebraic monads. The case of classifying vectoid of algebras seems to be as natural as these two other cases; however, corresponding generalization of operads, which we call "algebrads", appears to be new. Therefore, an elementary description of algebrads will be given.   

(ZS: it seems that the time constraint unfortunately caused some cuts in the last part of the plan of the abstract) 

(for now this entry also redirects vectoid)

+--{.query} 
[[Todd Trimble|Todd]]: "Commutes with colimits" must really mean: $F: A^{op} \to Set$ takes colimits in $A$ to limits in $Set$, and the axiom is that such continuous functors are representable. This reminds me of notions of totality in category theory. 

[[Mike Shulman]]: Yes, that exact condition has been studied by category theorists under the name of a "compact" category.  That's a terrible name, of course, so even the odd-sounding (to me) "vectoid" is better.  I think the original reference is Isbell's paper [Small subcategories and completeness](http://www.ams.org/mathscinet-getitem?mr=0224670), and one later one is [Compact and hypercomplete categories](http://www.ams.org/mathscinet-getitem?mr=614376) by Börger, Tholen, Wischnewsky, and Wolff.  The property is implied by totality (= the Yoneda embedding has a left adjoint), and implies hypercompleteness (= admits every limit which it could conceivably admit, subject to local smallness).
=--

## Related entries

* [[2-ring]]

[[!redirects vectoid]]
[[!redirects vectoids]]
