
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Arithmetic
+--{: .hide}
[[!include arithmetic geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

**Number theory** (or **[[arithmetic]]**) studies [[numbers]], especially the [[natural numbers]] and the [[integers]]. Typical questions are the distribution of [[prime numbers]] and the study of integer (or rational) [[solutions]] of [[algebraic equations]] with [[integer]] [[coefficients]], also called **[[Diophantine equations]]**. 

(Notice that by a theorem of [[Matiyasevich]] (spelled also Matijasevich), for every statement in [[mathematics]] (say ZF [[set theory]]) there is [[Diophantine equation]] whose [[solution|solvability]] is equivalent to the validity of the statement. Of course, that does not mean that addressing a problem as a Diophantine equation helps in solving it. )

The analytic study of the asymptotic behaviour of the distribution of prime numbers on the positive integer line is the main subject of [[analytic number theory]]; it also studies the distribution of rational numbers with small denominators. 

A root of an algebraic equation with integral (or equivalently, with rational) coefficients is called an [[algebraic number]]. Extending the field $\mathbb{Q}$ of rational numbers by abstract solutions of such an algebraic equation in a minimal way leads to an algebraic extensions of rationals, a so called [[number field]]. There are a number of algebraic structures related to the study of algebraic integers and number fields in particular; these questions comprise [[algebraic number theory]] including its central part, [[class field theory]]. [[Galois theory]] is one of the principal ways of studying such questions. [[algebraic geometry|Algebraic geometry]] is very effective in the investigation of more elaborate questions in this area, and through its historical development it has given rise to many major concepts, such as [[group]], [[ideal]], and Grothendieck [[motive]].

It is one of the oldest branches of mathematics and very popular as many difficult problems can be stated in a rather elementary and simple manner, e.g. Fermat's Last Theorem and the [[Riemann hypothesis]]. 

## Related concepts

* [[analytic number theory]]

* [[elementary function arithmetic]]

* [[second order arithmetic]]

* [[arithmetic geometry]]

* [[Weil conjecture]], [[Fermat's last problem]], [[abc conjecture]]

* [[exact real computer arithmetic]]

* [[number theory and physics]]

* [[arithmetic pretopos]]

## References

* [[Carl Gauss]], _[[Disquisitiones Arithmeticae]]_, 1801

* wikipedia en:[number theory](http://en.wikipedia.org/wiki/Number_theory), fr:l'[arithmétique modulaire](http://fr.wikipedia.org/wiki/Arithm%C3%A9tique_modulaire) 
* A. Fröhlich, J. W. S. Cassels (editors), _Algebraic number theory_, Acad. Press 1967, with many reprints; Fröhlich, Cassels, Birch, Atiyah, Wall, Gruenberg, Serre, Tate, Heilbronn, Rouqette, Kneser, Hasse, Swinerton-Dyer, Hoechsmann, systematic lecture notes from the instructional conference at Univ. of Sussex, Brighton, Sep. 1-17, 1965. 
* Albrecht Fröhlich, Martin J. Taylor, _Algebraic number theory_, Cambridge Studies in Advanced Mathematics **27**, 1993

Lecture notes include

* [[Andrew Sutherland]], _[Number theory I](https://ocw.mit.edu/courses/mathematics/18-785-number-theory-i-fall-2016/index.htm)_, 2016

Further collection of lecture notes is [here](http://www.math.caltech.edu/~jimlb/coursenotes.html).

The following survey of Connes-Marcolli work has an accessible quick introduction to algebraic number theory

* P. Almeida, _Noncommutative geometry and arithmetics_, Russian Journal of Mathematical Physics __16__, No. 3, 2009, pp. 350–362, [doi](http://dx.doi.org/10.1134/S1061920809030030), see also $n$Lab:[[arithmetic and noncommutative geometry]]

[[!redirects number theory]]
