**Combinatorics** is a subfield of [[discrete mathematics]] whose main subject (defining its central subfield of [[enumerative combinatorics]]) is the study of cardinality of finite sets of data, which are described by elementary rules, and reducing the question of cardinality of more complicated data to simpler such "combinatorial" problems. The basic method of combinatorics is to find bijections between two sets of data defined in manifestly different way, and in particular to find the bijections between the sets of more complicated and less explicit origin, with the sets whose definition and structure is more explicit, and considered more manageable (by already known "combinatorial" means). For example, a typical bijection the isomorphisms classes of [[representation]]s of some object (e.g. of a group) and "combinatorial" data like [[Young tableaux]], graphs of some kind and so on (this comprises [[combinatorial representation theory]]).

More widely, combinatorics is also studying various *deterministic* algorithms on finite sets with structure, involving counting, coloring and simple-minded elementary steps/decisions. When studying some other structure, which is not necessarily a finite structure, one can use "combinatorial arguments' at some step, or develop a construction which is partly combinatorial. Some subclasses of examples of structures in mathematics are fully combinatorial in their nature. For example, there are so called **combinatorial games** in [[game theory]].

Some of the questions in [[set theory|set]] and [[model theory]] concerning the fine questions on cardinality of infinite sets (and their independence from various axioms in [[set theory]]) are often called the "infinitary combinatorics". 

A person doing combinatorics is usually called a __combinatorialist__. See also [wikipedia](http://en.wikipedia.org/wiki/Combinatorics).

Entries on combinatorics and on various combinatorial objects in $n$Lab include:

* [[graph]], [[quiver]]
* [[matroid]], [[oriented matroid]]
* [[permutation]]
* [[symmetric function]], [[noncommutative symmetric function]]
* [[Schur functor]], [[Schur function]], [[plethysm]]
* (combinatorial) [[species]]
* [[game theory]]
* [[combinatorial representation theory]]

[[!redirects combinatorial]]
[[!redirects combinatorialist]]

## References

* Richard P. Stanley, _Enumerative combinatorics_, vol.1 ([pdf](http://www-math.mit.edu/~rstan/ec/ec1.pdf))

category: combinatorics