<div class="rightHandSide toc">
[[!include physicscontents]]
</div>

# Clossed time-like curves
* automatic table of contents goes here
{:toc}

## Idea

Physical [[observer]]s in [[spacetime]] seem to travel only slower than the [[speed of light]].  Mathematically, when we represent [[spacetime]] by a [[Lorentzian manifold]], the paths of physical observers must be _timelike_.  Our intuition is that travel along a timelike curve will always move either forwards or backwards in time (and it is the former that matches our subjective experience).  Naïvely, we may think that travelling along timelike curves prevents observers from engaging in time travel.

However, in principle it is quite possible for a time-like curve to be closed!  Locally, we are always travelling into the future when following such a curve (in the future-oriented direction), but after some time we find ourselves back where we started, in the past.  This is not possible in [[Minkowski space]], or indeed in any spacetime with a global time coordinate, but it is allowed under certain circumstances in [[general relativity]].

In science-fiction descriptions of time travel through wormholes, the time travelling follow a portion of a closed time-like curves (CTC) through the wormhole.  (However, this really only works for the you-can't-change-the-past sort of time travel, and science fiction rarely limits itself to that.)

See [[Lorentzian manifold]] for a precise mathematical definition.


## Physicality

As with any time travel, there are numerous paradoxes that arise when considering such curves and many physicists doubt their existence.

Here are some references on the Deutsch--Bacon consistency condition for CTCs:

* Dave Bacon, _Quantum Computational Complexity in the Presence of Closed Timelike Curves_ ([pdf](http://arxiv.org/pdf/quant-ph/0309189v3))

* Charles H. Bennett, Debbie Leung, Graeme Smith, John A. Smolin, _Can closed timelike curves or nonlinear quantum mechanics improve quantum state discrimination or help solve hard problems?_ ([pdf](http://arxiv.org/pdf/0908.3023))

* Ian T. Durham, _Quantum communication on closed time-like curves_ ([pdf](http://arxiv.org/pdf/0803.3287v3))

* T.C. Ralph, _Unitary Solution to a Quantum Gravity Information Paradox_ ([pdf](http://arxiv.org/pdf/0708.0449v1))


[[!redirects closed time-like curve]]
[[!redirects closed time-like curves]]
[[!redirects closed timelike curve]]
[[!redirects closed time like curve]]
[[!redirects closed timelike curves]]
[[!redirects closed time like curves]]
