
#Contents#
* table of contents
{:toc}

## Idea

The term _soliton_ comes from an abbreviation of "solitary wave".

A **soliton solution** of a nonlinear [[wave equation]] is a solution whose large amplitude part is **localized in space** and is **asymptotically stable in time**. This asymptotic stability (more precisely non-damping and asymptotic preservation of shape, up to translation) is typically a feature of an infinite number of [[conservation law]]s, and many models of equations allowing soliton solutions are in fact integrable systems (with infinitely many degrees of freedom). Soliton solution often combine to multisoliton solutions in a nonlinear way, with a period of interaction when they "meet", but after a passage of some time, the waves gradually uncouple and regain their original shape when outgoing to infinity.  A typical example of a nonlinear wave equation exhibiting soliton solutions is the exactly solvable "nonlinear Schroedinger equation" appearing in [[optics]]. 

## Related concepts

* [[vortex]]

* [[black hole]], [[black brane]]

## Refereneces


* M. Jimbo, T. Miwa, E. Date, _Solitons: differential equations, symmetries and infinite dimensional algebras_,  Camb. tracts is math. __135__ (transl. from Japanese by [[Miles Reid|M. Reid]])

* A. Newell, _Solitons in mathematics and physics_

* [[Ludwig Fadeev|Ludwig D. Faddeev]], Leon Takhtajan, _Hamiltonian methods in the theory of solitons_, Springer, (transl. from Russian Гамильтонов подход в теории солитонов. — М.: Наука. 1986.)

* [[Ludwig Fadeev|L. D. Faddeev]], V. E. Korepin, _Quantum theory of solitons_, 1987

* [[David Tong]], _TASI Lectures on Solitons_ ([web](http://www.damtp.cam.ac.uk/user/tong/tasi.html)), 


[[!redirects solitons]]