
#Contents#
* table of contents
{:toc}

## Idea

Given a [[dynamical system]], a **conservation law** is the statement that some observable is time independent *in every solution*. Thus it is the same as an [[observable]] whose value is time-independent in each solution. Of course, in some particular solution there can be a conserved quantity which is not coming from a conservation law, but is an incidental feature of just that particular solution of equations of motion. Thus a conservation law is the same as a "universally" **conserved observable**.

In [[quantum mechanics]] an observable is conserved in time if it commutes with the [[Hamiltonian operator]]. In [[classical mechanics]], there is a famous theorem of [[Emmy Noether]] -- [[Noether's theorem]] -- which assigns a conservation law to any smooth symmetry of system. For example the isotropy of a space is related to the conservation of angular momentum, and the homogeneity of the space to the conservation of usual momentum. 

## Related concepts

* [[conserved current]]

## References

For 1-parameter groups of symmetries in classical mechanics, the formulation and the proof of [[Noether's theorem]] can be found in the monograph 

* [[Vladimir Arnold]], _Mathematical methods of classical mechanics_

For more general case see the books by Peter Olver.


[[!redirects conservation law]]
[[!redirects conservation laws]]
