
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--



# Contents
* table of contents
{:toc}

## Idea

In [[physics]] and in the theory of [[dynamical system]]s (deterministic, stochastic, quantum, autonomous, nonautonomous, open, closed, discrete, continuous, with finite or infinite number of degrees of freedom...), an **observable** is a quantity in some theoretical framework whose value can be measured and observed in principle. Any good theoretical framework of physical phenomena should come with carefully established notion of an observable. 

## In classical physics

In [[classical mechanics]] an **observable** is any smooth function on the [[phase space]] of the system, and of time. The value of the observable is just the value of the function for fixed argument. 

## In quantum physics

In [[quantum mechanics]] an **observable** is a Hermitean operator on the physical [[Hilbert space]] of the theory. See [[quantum observable]] for more details.

In this case, one distinguishes the concepts of the expectation value of the observable and the concept of the measured value; they are evaluated in some state of the system. The expectation value can be taken in any state of the system, while the measured value is always in some eigenstate of the observable operator. The process of measurement results in the quantum mechanical collapse or reduction, in which the system passes to an eigenstate of the measured operator. The probability of taking a given eigenstate depends on the the transition matrix element from the previously prepared state to the given eigenstate.

## In quantum field theory

In relativistic quantum mechanics and relativistic [[quantum field theory]] the question of observables is more complicated: issues like causality and superselection sectors are involved. 


In the [[AQFT]] approach to [[quantum field theory]] the system of [[quantum observables]] localized in given spacetime regions are the very foundation of the theory, called a _[[local net of observables]]_ (the [[Haag-Kastler axioms]] for QFT).

In [[non-perturbative quantum field theory]] the [[algebras of observables]] are meant to be [[C*-algebras]], while in [[perturbative quantum field theory]] ([[perturbative AQFT]]) they are [[formal power series algebras]].


[[!include perturbative observables -- table]]


## Related concepts

* [[local observable]]

* [[polynomial observable]]

  * [[linear observable]]
  
    * [[field observable]]

  * [[regular observable]]

  * [[microcausal observable]]

* [[quantum observable]]

* [[space of states (in geometric quantization)]]

* [[Wick algebra]], [[interacting field algebra of observables]]

* [[beable]]

[[!include Isbell duality - table]]


## References

Careful discussion of local gauge invariant observables in [[gravity]]/[[general relativity]] is in 


* {#Khavkine14} [[Igor Khavkine]],  _Local and gauge invariant observables in gravity_, Class. Quantum Grav. 32 185019, 2015 ([arXiv:1503.03754](https://arxiv.org/abs/1503.03754), [CQG+](http://cqgplus.com/2015/09/16/local-and-gauge-invariant-observables-in-gravity/), [pdf slides](http://www.science.unitn.it/~moretti/convegno/khavkine.pdf) for talk at [Operator and Geometric Analysis on Quantum Theory](http://www.science.unitn.it/~moretti/convegno/convegno.html)
Levico Terme, Italy, September 2014)

showing that, while there are no globally defined local gauge invariant observables, they do exist on an [[open cover]] of the space of field configuration and form something like a [[sheaf]] of observables (but, hence, one without [[global sections]]).

Careful discussion of observables in abelian [[gauge theory]] ([[electromagnetism]]) is in 

* {#BeniniSchenkelSzabo15} [[Marco Benini]], [[Alexander Schenkel]], [[Richard Szabo]], _Homotopy colimits and global observables in Abelian gauge theory_ ([arXiv:1503.08839](http://arxiv.org/abs/1503.08839))


[[!redirects observable]]
[[!redirects observables]]
[[!redirects algebra of observables]]
[[!redirects algebras of observables]]

[[!redirects algebra of quantum observables]]
[[!redirects algebras of quantum observables]]

