<div class="rightHandSide toc">
[[!include category theory - contents]]
***
[[!include homotopy - contents]]
</div>


_Homotopy coherent category theory_ or [[enriched homotopy theory]] is the attempt to understand those situations that arise in [[homotopy theory]], [[homotopical algebra]], and non-Abelian [[homological algebra]], in which quite naturally occuring diagrams are not commutative, yet are commutative 'up-to-homotopy'.

If the diagram is just commutative in the [[homotopy category]], that is not much use and one can do little with it.  Surprisingly often however, the homotopies involved in such a diagram's 'almost commutative' nature can be specified, but then the question arises as to whether those homotopies form some sort of diagram, so homotopies between composite homotopies become involoved. This begins to look like parts of 2-category theory, or rather '[[higher category theory|higher weak category theory]]' and the development of homotopy coherent category theory was initiated in an attempt to merge homotopy theory with categorical tools for handling higher categories.

In particular:

* [[homotopy theory]] using [[model category|model categories]] and similar structures;
* [[enriched category theory]].

In the case that the category $V$ one is [[enriched category|enriching over]] is itself a [[model category]] or at least a [[category with weak equivalences]] one wishes to generalize [[limit]]s and in particular the [[weighted limit]]s such as as [[end]]s and coends in [[enriched category theory]] to constructions which satisfy the familiar universal properties only _up to coherent [[homotopy]]_.

## References

These articles deal with the theory of homotopy coherent diagrams:

*  R. Vogt, Homotopy limits and colimits , Math. Z., 134, (1973), 11 – 52.

* J.-M. Cordier and T. Porter, Vogt’s theorems on categories of homotopy coherent diagrams, Math. Proc. Camb. Phil. Soc. 100 (1986), 65–90.



* J.-M. Cordier and T. Porter,  Maps between homotopy coherent diagrams, Top. and its Applications, 28 (1988) 255-275.

* J.-M. Cordier and T. Porter, Fibrant diagrams, rectifications and a construction of Loday, J. Pure Appl. Alg 67 (1990), 111–124.



A discussion of homotopy limits is in

* D. Bourn and J.-M. Cordier, A general formulation of homotopy limits , J. Pure Appl. Algebra, 29, (1983), 129–141,

* J.-M. Cordier, Sur les limites homotopiques de diagrammes homotopiquement  cohérents, Comp. Math. 62 (1987), 367–388.


In 

* J-M Cordier and T. Porter, _Homotopy coherent category theory_, Trans. Amer. Math. Soc. 349 (1997) 1-54. ([web](http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.32.3273))

a main point is the definition and discussion of a [[homotopy coherent end]] for the case of enrichment over the [[model structure on simplicial sets|model category of simplicial sets]].



In 

* Mike Shulman, _Homotopy limits and colimits and enriched homotopy theory_ ([arXiv](http://arxiv.org/abs/math.AT/0610194v1))

the general issue of [[enriched homotopy theory]] is addressed and  [[enriched homotopical category|enriched homotopical categories]] are introduced, which are a coherent combination of the notion of [[enriched category]] with that of [[homotopical category]]