
#Contents#
* automatic table of contents goes here
{:toc}

## Idea/Definition

A **Gaudin integrable model** is a special case of [[Hitchin integrable system]] where the [[spectral curve]] is [[elliptic curve|elliptic]]. 

## References

* O. Babelon, D. Bernard, M. Talon, _Introduction to classical integrable systems_, Cambridge Univ. Press 2003.
* [[Boris Feigin]], [[Edward Frenkel]], [[Valerio Toledano Laredo]], _Gaudin models with irregular singularities_, [math.QA/0612798](http://arxiv.org/abs/math/0612798)
* L. Aguirre, G. Felder, A. P. Veselov, _Gaudin subalgebras and stable rational curves_, [arxiv/1004.3253](http://arxiv.org/abs/1004.3253)
* E. K. Sklyanin, _Separation of variables in the Gaudin model_, J. Math. Sci. __47__, 2 (1989) 2473-2488, [doi](http://dx.doi.org/10.1007/BF01840429)
* [[Branislav Jurčo]], _Classical Yang-Baxter equations and quantum integrable systems (Gaudin models)_, pp. 1616-6361 in Springer Lect. Notes in Physics __370__ (1990) [doi](http://dx.doi.org/10.1007/3-540-53503-9)
* [[Boris Feigin|B. Feigin]], E. Frenkel, N. Reshetikhin, _Gaudin model, Bethe Ansatz and critical level_, Commun. Math. Phys __166__ (1994), pp. 27–62, [euclid](http://projecteuclid.org/euclid.cmp/1104271502), [MR1309540](http://www.ams.org/mathscinet-getitem?mr=1309540)
* L.G. Rybnikov, _Uniqueness of higher Gaudin Hamiltonians_, <a href="http://dx.doi.org/10.1016/S0034-4877(08)80013-4">doi</a>, Reports on Math. Phys. __61__, 2 (2008) 247-252 
* B. Enriquez, V. Rubtsov, _Hitchin systems, higher Gaudin Hamiltonians and r-matrices_, Math. Res. Letters __3__ (1996) n° 3, 343-357,  [alg-geom/9503010](http://arxiv.org/abs/alg-geom/9503010)
* K. Takesaki, _Gaudin model, KZ equation and an isomonodromic problem on the torus_, 	__44__, 2 (1998) 143-156, [doi](http://dx.doi.org/10.1023/A:1007417518021), [hep-th/9711058](http://arxiv.org/abs/hep-th/9711058)
* M. Gaudin, _La fonction d’onde de Bethe_, Paris: Masson 1983, xvi+331.
* M. Gaudin, _Diagonalisation d'une classe d'hamiltoniens de spin_, J. Physique __37__, 1087–1098 (1976).
* (physics applications:) G. Ortiz, R. Somma, J. Dukelsky, S. Rombouts, _Exactly-solvable models derived from a generalized Gaudin algebra_, [cond-mat/0407429](http://arxiv.org/abs/cond-mat/0407429)

Quantization of the Gaudin model:

* V. Talalaev, _The quantum Gaudin system_, Funct. Anal. Appl. __40__, 73–77 (2006) ( _Квантовая система Годена_, Функц. анализ и его прил. __40__, вып. 1, 2006, с. 86–91, [pdf](http://www.mathnet.ru/php/getFT.phtml?jrnid=faa&paperid=25&what=fullt&option_lang=rus))
[[!redirects Gaudin model]]
[[!redirects Gaudin models]]
[[!redirects Gaudin integrable models]]