
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

> This disappearance and regeneration of space in time and of time in space is motion;– a becoming, which, however, is itself just as much immediately the identically existing unity of both, or matter. ([PdN§261](Science+of+Logic#PN261))

### General

The term _geometrodynamics_ has been coined, or at least promoted, by [[John Wheeler]] as a description for the dynamics of [[gravity]] according to [[general relativity]]. Since the field of [[gravity]] is entirely encoded in the [[spacetime]] [[pseudo-Riemannian metric|metric geometry]], there is some justification for thinking of the dynamics of the gravitational field as being "the dynamics of geometry" itself. Hence the term.

More specifically the term _geometrodynamics_ is associated with Wheeler's speculation that all of physics might fundamentally be described by configurations of gravity coupled to other fields, notably the field of [[electromagnetism]], but without any matter: one can see that certain [[spacetimes]] without any matter content but with certain nontrivial [[topology]] may locally effectively look as if they contained massive and possibly charged bodies. 

For instance on a spacetime that is obtained from two copies of [[Minkowski space]] connected by a thin (as measured by the metric) throat -- often called a _wormhole_ -- an electric field configuration whose field lines all converge to the throat's mouth in one of the two Minkowski sheets, pass through the throat and then emerge concentrically in the other Minkowski sheet may have no divergence anywhere, hence according to [[electromagnetism|Maxwell's equations]] have no charge sources anywhere, and still effectively look to an observer constrained to one of the two Minkowski sheets but relatively far away from the throat's mouth as if they were the field lines of a positively or negatively charged point source located where the mouth of the throat is.

These kinds of ideas Wheeler liked to describe by phrases such as _charge without charge_ and *mass without mass*. Later these basic ideas have continued a life notably in the context of attempts to describe gravity by a [[topological quantum field theory]], for instance in approaches to describe [[gravity as a BF-theory]].

### Similarity to KK-compactifications of pure super-gravity

A rather similar perspective arises in [[Kaluza-Klein compactification]] of systems of pure [[gravity]] to [[effective field theories]]. In the case of [[supergravity]] these reductions give rise to [[effective field theories]] which contain not just extra [[force]] field (such as the [[electromagnetic field]] in the original KK-mechanism) but also [[fermion|fermionic]] [[matter]].
For instance models such as the [[G2-MSSM]] consist entirely of pure [[11d supergravity]] [[KK-compactification|KK-compactified]] on [[G2-manifold]] [[fiber bundles]] and the resulting [[effective field theory]] contains all of the [[standard model of particle physics]].

## Geometric description of physical phenomena

### Mass without Mass

...

###Momenta without Momenta

...

###Charge without Charge

...

###Spin without Spin

...

+-- {: .query}
[[Eric]: Of the four "X without X"s above, the one that is not in Wheeler's "Classical Physics from Geometry" is "Spin without Spin". This is described in Section 3.4 of [Matter from Space](http://philsci-archive.pitt.edu/archive/00004950/01/MatterFromSpace.pdf). It would be great to expand on that here.
=--

+-- {: .query}
[[Bruce Bartlett]]: Another example of this phenomenon seems to be the fact that Maxwell's equations in _matter_ are the same as Maxwell's equations in _curved space_ without matter! This is the basis of cloaking technology, see [article by Leonhardt and Philbin](http://arxiv.org/abs/cond-mat/0607418). You can read this equivalence both ways. Either you can conclude that _there is no such thing as curved space_: it's just a piece of dielectric material causing the light rays to bend which gives the illusion of curved space. Or you can conclude even more radically that _there is no such thing as matter_: what we think of as a block of wood is just a radically curved region of space (Maxwell's equations can't tell the difference). Or you can just think of it as a formal equivalence :-)
=--



## Related concepts

* [[Wheeler superspace]]


## References

* [Geometrodynamics (Wikipedia)](http://en.wikipedia.org/wiki/Geometrodynamics)
* The Algebraic Rainich Conditions [pdf](http://www.ptep-online.com/index_files/2007/PP-10-08.PDF)
* Return of the Wheeler wormhole [pdf](http://www.gravityresearchfoundation.org/pdf/awarded/1990/vissar.pdf)
* Matter from Space [pdf](http://philsci-archive.pitt.edu/archive/00004950/01/MatterFromSpace.pdf)
* [Spin 1/2 from gravity](http://prl.aps.org/abstract/PRL/v44/i17/p1100_1), John Friedman and Rafael Sorkin