
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Geometry
+--{: .hide}
[[!include higher geometry - contents]]
=--
#### Differential geometry
+--{: .hide}
[[!include synthetic differential geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The notion of  _Klein geometry_ is essentially that of _[[homogeneous space]]_ ([[coset space]]) $G/H$ in the context of [[differential geometry]]. This is named "Klein geometry" due to its central role in [[Felix Klein]]'s [[Erlangen program]], see below at _[History](#History)_.

Klein geometries form the _local models_ for [[Cartan geometries]].

For the generalization of Klein geometry to [[higher category theory]] see [[higher Klein geometry]].




## Definition

A **Klein geometry** is a pair $(G, H)$ where $G$ is a 
[[Lie group]] and $H$ is a closed Lie subgroup of $G$ such that the (left) [[coset space]] 

$$
   X \coloneqq G/H
$$ 

is [[connected space|connected]]. $G$ [[action|acts]] [[transitive action|transitively]] on the homogeneous space $X$. We may think of $H\hookrightarrow G$ as the [[stabilizer subgroup]] of a point in $X$.

See there at _[Examples -- Stabilizers of shapes / Klein geometry](stabilizer+group#KleinGeometry)_.

## History
 {#History}

In ([Klein 1872](#Klein1872)) (the "[[Erlangen program]]") is first of all, in section 1, considered the general idea of (what in modern language one would call) the [[action]] of a [[Lie group]] "of transformations" on a [[smooth manifold]]. The group of all such transformations 

> by which the geometric properties of configurations in space remain entirely unchanged

is called the _Hauptgruppe_,  _principal group_.

Then in ([Klein 1872, end of section 5](#Klein1872)) it says:

> Suppose in space some group or other, the principal group for instance, be given. Let us then select a single configuration, say a point, or a straight line, or even an ellipsoid, etc., and apply to it all the transformations of the principal group. We thus obtain an infinite manifoldness with a number of dimensions in general equal to the number of arbitrary parameters contained in the group, but reducing in special cases, namely, when the configuration originally selected has the property of being transformed into itself by an infinite number of the transformations of the group. Every manifoldness generated in this way may be called, with reference to the generating group, a body. 

This means in modern language, that if $G$ is the given group acting on a given space $X$, and if $S \hookrightarrow X$ is a given subspace (a configuration), then the "body" generated by this is the [[coset]] $G/Stab_G(S)$ of $G$ by the [[stabilizer subgroup]] $Stab_G(X)$ of that configuration. See also there at _[Stabilizer of shapes -- Klein geometry](stabilizer%20group#KleinGeometry)_.

The text goes on to argue that spaces of this form $G/Stab_G(S)$ are of fundamental importance:

> If now we desire to base our investigations upon the group, selecting at the same time certain definite configurations as space-elements, and if we wish to represent uniformly things which are of like characteristics, we must evidently choose our space-elements in such a way that their manifoldness either is itself a body or can be decomposed into bodies.



## Examples

* For $G = E(n)$, the [[Euclidean group]] in $n$-dimensions; $H = O(n)$, the [[orthogonal group]]; then, $X$ is $n$-dimensional [[Cartesian space]].

* Analogously, for $G = Iso(d,1)$ the [[Poincare group]] of $(d+1)$-dimensional [[Minkowski space]], and $H = SO(d,1)$ the [[special orthogonal group]] of rotations and [[Lorentz boosts]], then $X = \mathbb{R}^{d+1}$ is [[Minkowski space]] itself.

  Passing to the corresponding [[Cartan geometry]] -- by what physicists call _gauging_ -- yields the [[first order formulation of gravity]].

## Related concepts

[[!include local and global geometry - table]]


## References

The notion of _Klein geometry_ goes back to 

* {#Klein1872} [[Felix Klein]], _Vergleichende Betrachtungen über neuere geometrische Forschungen_ (1872)

  translation by M. W. Haskell, _A comparative review of recent researches in geometry_ , trans. M. W. Haskell, Bull. New York Math. Soc. 2, (1892-1893), 215-249. ([retyped pdf](http://math.ucr.edu/home/baez/erlangen/erlangen_tex.pdf), [[KleinRetyped.pdf:file]], [scan of original](http://math.ucr.edu/home/baez/erlangen/erlangen.pdf))


in the context of what came to be known as the [[Erlangen program]].

A review is for instance in 

* Vladimir Kisil, _Erlangen Programme at Large: An Overview_ ([arXiv:1106.1686](http://arxiv.org/abs/1106.1686))

[[!redirects Klein geometries]]