
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Differential geometry
+--{: .hide}
[[!include synthetic differential geometry - contents]]
=--
#### Riemannian geometry
+--{: .hide}
[[!include Riemannian geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

**Cartan geometry** is [[geometry]] of [[spaces]] that are locally (infinitesimally, tangentially) like [[coset spaces]] $G/H$, i.e. like [[Klein geometries]].  Intuitively, Cartan geometry studies the geometry of a [[manifold]] by 'rolling without sliding' the 'model geometry' $G/H$ along it. Hence Cartan geometry may be thought of as the globalization of the program of [[Klein geometry]] initiated in the [[Erlangen program]].


Cartan geometry subsumes many types of geometry, such as notably [[Riemannian geometry]], [[conformal geometry]], [[parabolic geometry]] and many more. As a Cartan geometry is defined by [[principal connection]] data (hence by [[cocycles]] in [[nonabelian cohomology|nonabelian]] [[differential cohomology]]) this means that it serves to express all these kinds of geometries in connection data. 

This is used notably in the [[first order formulation of gravity]], which was the motivating example in the original text ([Cartan 22](#Cartan23)). The [[physics]] literature tends to use the term "Cartan moving frame method" instead of "Cartan geometry".



## Definition

A _Cartan geometry_ is a space equipped with a _[[Cartan connection]]_. See there for more.

## Examples

[[!include local and global geometry - table]]


## Related entries

* [[super-Cartan geometry]]

* [[Cartan geometry, Supergravity and Branes]]

* [[G-structure]], [[homothety]]

* [[first-order formulation of supergravity]]

* [[torsion constraints in supergravity]]

* [[parabolic geometry]]

* [[tractor bundle]]

* [[higher Cartan geometry]]

## References

The original articles are

* {#Cartan22} [[Élie Cartan]], _Sur une généralisation de la notion de courbure de Riemann et les espaces á torsion, C. R. Acad. Sci. 174
, 593-595 (1922).

* [[Élie Cartan]], Comptes rendus hebdomadaires des séances de l’Académie des sciences, 174, 437-439, 593-595, 734-737, 857-860, 1104-1107 (January 1922).

* {#Cartan23} [[Élie Cartan]], _Sur les variétés à connexion affine et la théorie de la relativité généralisée (première partie)_. Annales scientifiques de l'École Normale Supérieure, Sér. 3, 40 (1923), p. 325-412  ([NUMDAM](http://www.numdam.org/item?id=ASENS_1923_3_40__325_0))

Textbook accounts are in 

* R. Sharpe, _Differential Geometry -- Cartan's Generalization of Klein's Erlangen program_ Springer (1997)

* {#CapSlovak09} [[Andreas Cap]], [[Jan Slovák]], chapter 1 of _Parabolic Geometries I -- Background and General Theory_, AMS 2009 ([publisher](http://bookstore.ams.org/surv-154))

* [ps](http://www.math.muni.cz/~slovak/Vyuka/gs2.ps)

For more see at _[Cartan connection -- References](Cartan+connection#References)_.

Discussion in [[homotopy type theory]] is in

* {#Wellen17} [[Felix Wellen]], _[[schreiber:thesis Wellen|Formalizing Cartan Geometry in Modal Homotopy Type Theory]]_, 2017


See also

* wikipedia: [Cartan connection](http://en.wikipedia.org/wiki/Cartan_connection)

* The blog [discussion](http://golem.ph.utexas.edu/category/2007/07/derek_wise_on_cartan_geometry.html) of [[Derek Wise]], [MacDowell-Mansouri gravity and Cartan geometry](http://arxiv.org/abs/gr-qc/0611154).

[[!redirects Cartan geometries]]