
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Topology
+--{: .hide}
[[!include topology - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}


## Definition

The __Scott topology__ on a [[preordered set]] is the [[topological space|topology]] in which the [[open subsets]] (called __Scott-open__) are precisely those whose [[characteristic functions]] (from the given preorder into the preorder of [[truth values]]) preserve [[directed joins]] (and this makes them necessarily [[monotone function|monotonic]]). 

This in fact ensures that, in general, the [[continuous functions]] between preorders with Scott topologies are precisely those (necessarily monotonic) functions between them which preserve directed joins (called __Scott-continuous__). The [[poset of truth values]] itself, therefore, when equipped with the Scott topology, becomes the open-set [[classifying space|classifier]], [[Sierpinski space]].

## Properties

### As injective objects in $T_0$-spaces

In the category of $T_0$ [[topological spaces]] (see at _[[separation axiom]]_), the [[injective objects]] are precisely those given by Scott topologies on [[continuous lattices]]; as [[locales]] these are [[local compactum|locally compact]] and [[spatial locale|spatial]]. 

## Related entries

* [[domain theory]]

* [[specialization topology]]

* [[order topology]]

* [[Scott topos]]

* [[Dana Scott]]

[[!redirects Scott topology]]
[[!redirects Scott topologies]]

[[!redirects Scott open]]
[[!redirects Scott-open]]
[[!redirects Scott open subset]]
[[!redirects Scott open subsets]]
[[!redirects Scott-open subset]]
[[!redirects Scott-open subsets]]
[[!redirects Scott open set]]
[[!redirects Scott open sets]]
[[!redirects Scott-open set]]
[[!redirects Scott-open sets]]
[[!redirects Scott open subspace]]
[[!redirects Scott open subspaces]]
[[!redirects Scott-open subspace]]
[[!redirects Scott-open subspaces]]

[[!redirects Scott continuous]]
[[!redirects Scott-continuous]]
[[!redirects Scott continuous function]]
[[!redirects Scott continuous functions]]
[[!redirects Scott-continuous function]]
[[!redirects Scott-continuous functions]]
[[!redirects Scott continuous map]]
[[!redirects Scott continuous maps]]
[[!redirects Scott-continuous map]]
[[!redirects Scott-continuous maps]]
[[!redirects Scott continuous mapping]]
[[!redirects Scott continuous mappings]]
[[!redirects Scott-continuous mapping]]
[[!redirects Scott-continuous mappings]]
