
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### AQFT
+--{: .hide}
[[!include AQFT and operator algebra contents]]
=--
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

Where the [[Haag-Kastler axioms]] formulate [[quantum field theory]] on [[Minkowski spacetime]], known as _[[algebraic quantum field theory]]_ (AQFT) there is a generalization of these axioms to [[curved spacetimes]] ([Brunetti-Fredenhagen 01](#BrunettiFredenhagen01)), also known as _locally covariant algebraic quantum field theory_. For the case of [[perturbative quantum field theory]] this is _[[locally covariant perturbative quantum field theory]]_, see there for more. 

(This falls short of being a theory of [[quantum gravity]], instead it describes [[quantum field theory]] on classical [[background field]] configurations of [[gravity]].)

This is the mathematically rigorous framework for studying subjects such as the [[cosmological constant]] (see [there](cosmological+constant#InPerturbativeQuantumGravity)), [[Hawking raditation]] or the [[cosmic microwave background]] ([Fredenhagen-Hack 13](#FredenhagenHack13)).


## Applications

### Vacuum energy and Cosmological constant

The [[renormalization]] freedom in [[perturbative QFT|perturbative]] [[quantization]] of [[gravity]] ([[perturbative quantum gravity]]) induces freedom in the choice of [[vacuum expectation value]] of the [[stress-energy tensor]] and hence in the [[cosmological constant]]. 

Review includes ([Hack 15, section 3.2.1](#Hack15)).

For more see at _[[cosmological constant]]_ [here](cosmological+constant#InPerturbativeQuantumGravity).


## Related concepts

* [[general covariance]]

* [[causal structure]]

## References

To some extent the problem of AQFT on curved spacetime was formulated in 

* {#Dyson72} [[Freeman Dyson]] _Missed opportunities_, Bulletin of the AMS, Volume 78, Number 5, September 1972 ([pdf](https://www.math.uh.edu/~tomforde/Articles/Missed-Opportunities-Dyson.pdf))

  > $[$ the [[Haag-Kastler axioms]] $]$  taken  together  with  the  axioms  defining  a  C*-algebra  are  a  distillation  into  abstract  mathematical  language  of  all  the   general  truths  that  we  have  learned  about  the  physics  of  microscopic   systems  during  the  last  50 years. They  describe a  mathematical  structure of  great  elegance  whose  properties  correspond  in  many  respects  to  the facts  of  experimental  physics.  In  some  sense,  the  axioms  represent  the most  serious  attempt  that  has  yet  been  made  to  define  precisely  what physicists mean by the words "observability, causality, locality, relativistic invariance," which  they are constantly  using  or  abusing  in their  everyday speech. $[$...$]$ I  therefore  propose  as  an  outstanding  opportunity  still  open  to  the  pure mathematicians, to  create a mathematical structure preserving the  main   features of the Haag-Kastler axioms but possessing E-invariance instead of P-invariance. 

$P$ here denotes the [[Poincaré group]], while $E$ denotes what Dyson calls the 'Einstein group', which is now called the [[diffeomorphism group]].

General accounts of (perturbative, algebraic) quantum field theory on curved spacetimes include

* N. Birrell, P.  Davies, _Quantum  Fields in Curved Space_, Cambridge:  Cambridge University Press, 1982

* [[Robert Wald]], _Quantum field theory in curved spacetime and black hole thermodynamics_. Univ. of Chicago Press 1994 ([ZMATH entry] (http://www.zentralblatt-math.org/zmath/en/advanced/?q=an:0842.53052&format=complete)).

* {#HollandsWald14} [[Stefan Hollands]], [[Robert Wald]], _Quantum fields in curved spacetime_, Physics Reports Volume 574, 16 April 2015, Pages 1-35 ([arXiv:1401.2026](https://arxiv.org/abs/1401.2026))

* [[Christopher Fewster]], [[Rainer Verch]], _Algebraic quantum field theory in curved spacetimes_ ([arXiv:1504.00586](https://arxiv.org/abs/1504.00586))

Foundations for [[perturbative quantum field theory]] on curved spacetimes in terms of [[causal perturbation theory]] were laid in 

* {#BrunettiFredenhagen00} [[Romeo Brunetti]], [[Klaus Fredenhagen]], _Microlocal Analysis and Interacting Quantum Field Theories: Renormalization on Physical Backgrounds_, Commun. Math. Phys. 208 : 623-661, 2000 ([math-ph/9903028](https://arxiv.org/abs/math-ph/9903028))

* {#HollandsWald01} [[Stefan Hollands]], [[Robert Wald]], _Local Wick Polynomials and Time Ordered Products of Quantum Fields in Curved Spacetime_, Commun. Math. Phys. 223:289-326,2001 ([arXiv:gr-qc/0103074](https://arxiv.org/abs/gr-qc/0103074))

* {#HollandsWald02} [[Stefan Hollands]], [[Robert Wald]], _On the Renormalization Group in Curved Spacetime_, Commun. Math. Phys. 237 (2003) 123-160 ([arXiv:gr-qc/0209029](https://arxiv.org/abs/gr-qc/0209029))

* {#HollandsWald04} [[Stefan Hollands]], [[Robert Wald]], _Conservation of the stress tensor in perturbative interacting quantum field theory in curved spacetimes_, Rev.Math.Phys. 17 (2005) 227-312 ([arXiv:gr-qc/0404074](https://arxiv.org/abs/gr-qc/0404074))

The [[AQFT]]-style axiomatization via [[local nets]] on a category of [[Lorentzian manifolds]] ([[locally covariant perturbative quantum field theory]]) is due to

* {#BrunettiFredenhagen01} [[Romeo Brunetti]], [[Klaus Fredenhagen]], [[Rainer Verch]], _The generally covariant locality principle -- A new paradigm for local quantum physics_, Commun. Math. Phys. 237:31-68 (2003) ([arXiv:math-ph/0112041](http://arxiv.org/abs/math-ph/0112041))

* [[Romeo Brunetti]], [[Klaus Fredenhagen]], _Quantum Field Theory on Curved Backgrounds_ , Proceedings of the Kompaktkurs "Quantenfeldtheorie auf gekruemmten Raumzeiten" held at Universitaet Potsdam, Germany, in 8.-12.10.2007, organized by C. Baer and K. Fredenhagen ([arXiv:0901.2063](http://arxiv.org/abs/0901.2063))


Reviews with emphasis on this AQFT-point of view include

* [[Robert Wald]], _The Formulation of Quantum Field Theory in Curved Spacetime_ ([arXiv:0907.0416](https://arxiv.org/abs/0907.0416))

* [[Robert  Wald]], _The History and Present Status of Quantum Field Theory in Curved Spacetime_ ([arXiv:gr-qc/0608018](https://arxiv.org/abs/gr-qc/0608018))

* [[Klaus Fredenhagen]], [[Katarzyna Rejzner]], _QFT on curved spacetimes: axiomatic framework and examples_ ([arXiv:1412.5125](http://arxiv.org/abs/1412.5125))



Papers about the application of [[microlocal analysis]] include

* Alexander Strohmaier, [[Rainer Verch]], Manfred Wollenberg: _Microlocal analysis of quantum fields on curved spacetimes: Analytic wavefront sets and Reeh-Schlieder theorems_ ([arXiv] (http://xxx.uni-augsburg.de/abs/math-ph/0202003)).

Discussion of [[renormalization]] in AQFT on curved spacetimes includes

* {#KhavkineMoretti16} [[Igor Khavkine]], [[Valter Moretti]], _Analytic Dependence is an Unnecessary Requirement in Renormalization of Locally Covariant QFT_, Communications in Mathematical Physics, March 2016 ([arXiv:1411.1302](http://arxiv.org/abs/1411.1302), [publisher](http://link.springer.com/article/10.1007%2Fs00220-016-2618-7))



Discussion of the [[cosmology]] in the context of AQFT on curved spacetimes includes 

* {#FredenhagenHack13} [[Klaus Fredenhagen]], [[Thomas-Paul Hack]], _Quantum field theory on curved spacetime and the standard cosmological model_ ([arXiv:1308.6773](http://arxiv.org/abs/1308.6773))

* {#BrunettiFredenhagenHackPinamontoRejzner16} [[Romeo Brunetti]], [[Klaus Fredenhagen]], [[Thomas-Paul Hack]], [[Nicola Pinamonti]], [[Katarzyna Rejzner]], _Cosmological perturbation theory and quantum gravity_ ([arXiv:1605.02573](https://arxiv.org/abs/1605.02573))

* {#Hack15} [[Thomas-Paul Hack]], _Cosmological Applications of Algebraic Quantum Field Theory in Curved Spacetimes_, Springer 2016 ([arXiv:1506.01869](https://arxiv.org/abs/1506.01869), [doi:10.1007/978-3-319-21894-6](https://doi.org/10.1007/978-3-319-21894-6))


[[!redirects AQFT on curved spacetime]]

[[!redirects quantum field theory on curved spacetime]]

[[!redirects AQFT on curved backgrounds]]

[[!redirects locally covariant algebraic quantum field theory]]
[[!redirects locally covariant AQFT]]

[[!redirects quantum field theory on curved spacetime]]
[[!redirects quantum field theory on curved spacetimes]]


[[!redirects quantum field theories on curved spacetime]]
[[!redirects quantum field theories on curved spacetimes]]

[[!redirects QFT on curved spacetime]]
[[!redirects QFT on curved spacetimes]]

[[!redirects QFTs on curved spacetime]]
[[!redirects QFTs on curved spacetimes]]


