

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Integration theory
+--{: .hide}
[[!include integration theory - contents]]
=--
#### Functional analysis
+-- {: .hide}
[[!include functional analysis - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}


## Idea ##

The _Cauchy principal value_ of a [[function]] which is [[integrable function|integrable]] on the [[complement]] of one point is, if it exists, the [[limit of a sequence|limit]] of the [[integrals]] of the function over subsets in the [[complement]] of this point as these integration [[domains]] tend to that point _symmetrically_ from all sides.

One also subsumes the case that the "point" is "at infinity", hence that the function is [[integrable function|integrable]] over every [[bounded subsets|bounded]] [[domain]]. In this case the Cauchy principal value is the [[limit of a sequence|limit]], if it exists, of the [[integrals]] of the function over bounded domains, as their bounds tend _symmetrically_ to infinity.

The operation of sending a [[compactly supported function|compactly supported]] [[smooth function]] ([[bump function]]) to Cauchy principal value of its pointwise product with a function $f$ that may be singular at the origin defines a [[distribution]], usually denoted $PV(f)$.  

When the Cauchy principal value exists but the full [[integral]] does not (hence when the full integral "diverges") one may think of the Cauchy principal value as "exracting a finite value from a diverging quantity". This is similar to the _intuition_ of the early days of [[renormalization]] in [[perturbative quantum field theory]] ([[Schwinger-Tomonaga-Feynman-Dyson]]), but one has to be careful not to carry this analogy too far.

One point where the Cauchy principal value really does play a key role in [[perturbative quantum field theory]] is in the computation of [[Green functions]] ([[propagators]]) for the [[Klein-Gordon operator]] and the [[Dirac operator]]. See remark \ref{FeynmanPropagator} below and see at _[[Feynman propagator]]_ for more on this.



## Definition 


### As an integral

+-- {: .num_defn #CauchyIntegralValueOfIntegralOverRealline}
###### Definition
**(Cauchy principal value of an integral over the real line)**

Let $f \colon \mathbb{R} \to \mathbb{R}$ be a [[function]] on the [[real line]] such that for every [[positive real number]] $\epsilon$ its [[restriction]] to $\mathbb{R}\setminus (-\epsilon, \epsilon)$ is [[integrable function|integrable]]. Then the _Cauchy principal value_ of $f$ is, if it exists, the [[limit of a sequence|limit]]

$$
  PV(f) \coloneqq \underset{\epsilon \to 0}{\lim} 
  \underset{\mathbb{R} \setminus (-\epsilon, \epsilon)}{\int} f(x) \, d x
  \,.
$$

=--


### As a distribution


+-- {: .num_defn #CauchyPrincipalValueAsDistributionOnRealLine}
###### Definition
**(Cauchy principal value as distribution on the real line)**

Let $f \colon \mathbb{R} \to \mathbb{R}$ be a [[function]] on the [[real line]] such that for all [[bump functions]] $b \in C^\infty_{cp}(\mathbb{R})$ the Cauchy principal value of the pointwise product function $f b$ exists, in the sense of def. \ref{CauchyIntegralValueOfIntegralOverRealline}. Then this assignment

$$
  PV(f)
  \;\colon\;
  b \mapsto PV(f b)
$$

defines a [[distribution]] $PV(f) \in \mathcal{D}'(\mathbb{R})$.

=--

## Examples

### The principal value of $1/x$

+-- {: .num_example }
###### Example

Let $f \colon \mathbb{R} \to \mathbb{R}$ be an [[integrable function]] which is symmetric, in that $f(-x) = f(x)$ for all $x \in \mathbb{R}$. Then the principal value integral (def. \ref{CauchyIntegralValueOfIntegralOverRealline}) of $x \mapsto \frac{f(x)}{x}$ exists and is zero:

$$
  \underset{\epsilon \to 0}{\lim}
  \underset{\mathbb{R}\setminus (-\epsilon, \epsilon)}{\int}
  \frac{f(x)}{x} d x
  \; = \; 0
$$


This is because, by the symmetry of $f$ and the skew-symmetry of $x \mapsto 1/x$, the the two contributions to the integral are equal up to a sign:

$$
  \int_{-\infty}^{-\epsilon} \frac{f(x)}{x} d x
  \;=\;
  -
  \int_{\epsilon}^\infty \frac{f(x)}{x} d x
  \,.
$$

=--



+-- {: .num_example #PrincipalValueOfInverseFunctionCharacteristicEquation}
###### Example

The principal value distribution $PV\left( \frac{1}{x}\right)$ (def. \ref{CauchyPrincipalValueAsDistributionOnRealLine}) solves the distributional equation

$$
  \label{DistributionalEquationxfOfxEqualsOne}
  x PV\left(\frac{1}{x}\right) = 1
  \phantom{AAA}
  \in \mathcal{D}'(\mathbb{R}^1)
  \,.
$$

Since the [[delta distribution]] $\delta \in \mathcal{D}'(\mathbb{R}^1)$ solves the equation

$$
  x \delta(x) = 0
  \phantom{AAA}
  \in \mathcal{D}'(\mathbb{r}^1)
$$

we have that more generally every [[linear combination]] of the form

$$
  \label{GeneralDistributionalSolutionToxfEqualsOne}
  F(x)
  \coloneqq
  PV(1/x) + c \delta(x)   
  \phantom{AAA}
  \in \mathcal{D}'(\mathbb{R}^1)
$$

for $c \in \mathbb{C}$, is a distributional solution to $x F(x) =  1$.

The [[wave front set]] of all these solutions is

$$
  WF\left(
    PV(1/x) + c \delta(x)
  \right)
  \;=\;
  \left\{
    (0,k) \;\vert\; k \in \mathbb{R}^\ast \setminus \{0\}
  \right\}
  \,.
$$

=--


+-- {: .proof}
###### Proof

The first statement is immediate from the definition: For $b \in C^\infty_c(\mathbb{R}^1)$ any [[bump function]] we have that 

$$
  \begin{aligned}
    \left\langle x PV\left(\frac{1}{x}\right), b \right\rangle
    & \coloneqq
    \underset{\epsilon \to 0}{\lim}
    \underset{\mathbb{R}^1 \setminus (-\epsilon, \epsilon)}{\int}
    \frac{x}{x}b(x) \, d x
    \\
    & =
    \int b(x)  d x
    \\
    & =
    \langle 1,b\rangle 
  \end{aligned}
$$

Regarding the second statement: It is clear that the wave front set is concentrated at the origin. By symmetry of the distribution around the origin, it must contain both [[direction of a vector|directions]].

=--

+-- {: .num_prop}
###### Proposition

In fact (eq:GeneralDistributionalSolutionToxfEqualsOne) is the most general distributional solution to (eq:DistributionalEquationxfOfxEqualsOne).

=--

This follows by the characterization of [[extension of distributions]] to a point, see there at [this prop.](extension+of+distributions#SpaceOfPointExtensions) ([Hörmander 90, thm. 3.2.4](#HoermanderLPDO1))

+-- {: .num_defn #IntegrationAgainstInverseOfxWithImaginaryOffset}
###### Definition
**(integration against inverse variable with imaginary offset)**


Write 

$$
  \tfrac{1}{x + i0^\pm}
  \;\in\;
  \mathcal{D}'(\mathbb{R})
$$

for the [[distribution]] which is the [[limit]] in $\mathcal{D}'(\mathbb{R})$ of the [[non-singular distributions]] which are given by the [[smooth functions]] $x \mapsto \tfrac{1}{x \pm i \epsilon}$ as the [[positive real number]] $\epsilon$ tends to zero:

$$
  \frac{1}{
     x + i 0^\pm
  }
  \;\coloneqq\;
  \underset{ { \epsilon \in (0,\infty) } \atop { \epsilon \to 0 }  }{\lim}
  \tfrac{1}{x \pm i \epsilon}
$$

hence the distribution which sends $b \in C^\infty(\mathbb{R}^1)$ to 

$$
  b \mapsto
  \underset{\mathbb{R}}{\int}
    \frac{b(x)}{x \pm i \epsilon} \, d x
  \,.
$$

=--


+-- {: .num_prop #CauchyPrincipalValueEqualsIntegrationWithImaginaryOffsetPlusDelta}
###### Proposition
**([[Cauchy principal value]] equals integration with [[imaginary number|imaginary]] offset plus [[delta distribution]])**

The Cauchy principal value distribution $PV\left( \tfrac{1}{x}\right) \in \mathcal{D}'(\mathbb{R})$ (def. \ref{CauchyPrincipalValueAsDistributionOnRealLine}) is equal to the sum of the integration over $1/x$ with imaginary offset (def. \ref{IntegrationAgainstInverseOfxWithImaginaryOffset}) and a [[delta distribution]].

$$
 PV\left(\frac{1}{x}\right)
  \;=\;
 \frac{1}{x + i 0^\pm}
  \pm i \pi \delta
  \,.
$$

In particular, by prop. \ref{PrincipalValueOfInverseFunctionCharacteristicEquation} this means that $\tfrac{1}{x + i 0^\pm}$ solves the distributional equation

$$
  x \frac{1}{x + i 0^\pm}
  \;=\;
  1
  \phantom{AA}
  \in \mathcal{D}'(\mathbb{R}^1)
  \,.
$$

=--


+-- {: .proof}
###### Proof


Using that

$$
  \begin{aligned}
    \frac{1}{x \pm i \epsilon}
    & =
    \frac{
       x \mp i \epsilon
    }{
      (x + i \epsilon)(x - i \epsilon)
    }
    \\
    & =
    \frac{ x \mp i \epsilon }{(x^2 + \epsilon^2)}
  \end{aligned}
$$

we have for every [[bump function]] $b \in C^\infty_{cp}(\mathbb{R}^1)$
 
$$
  \begin{aligned}
    \underset{\epsilon \to 0}{\lim}
    \underset{\mathbb{R}^1}{\int}
    \frac{b(x)}{x \pm i \epsilon}
    d x
    & \;=\; 
    \underset{
      (A)
    }{
    \underbrace{
    \underset{\epsilon \to 0}{\lim}
    \underset{\mathbb{R}^1}{\int}
    \frac{x^2}{x^2 + \epsilon^2} \frac{b(x)}{x}   
    d x
    }
    }
    \mp i \pi
    \underset{(B)}{ 
    \underbrace{
    \underset{\epsilon \to 0}{\lim}
    \underset{\mathbb{R}^1}{\int}
    \frac{1}{\pi}
    \frac{\epsilon}{x^2 + \epsilon^2} b(x)
    \,
    d x
    }}
  \end{aligned}
$$

Since 

$$
  \array{
     && \frac{x^2}{x^2 + \epsilon^2}
     \\
     & {}^{\mathllap{ { {\vert x \vert} \lt \epsilon } \atop { \epsilon \to 0 }  }}\swarrow 
     && 
     \searrow^{\mathrlap{ {{\vert x\vert} \gt \epsilon} \atop { \epsilon \to 0 }  }}
     \\
     0 && && 1
  }
$$

it is plausible that $(A) = PV\left( \frac{b(x)}{x} \right)$, and similarly that $(B) = b(0)$. In detail:

$$
  \begin{aligned}
    (A)
    & =
    \underset{\epsilon \to 0}{\lim}
    \underset{\mathbb{R}^1}{\int}
    \frac{x}{x^2 + \epsilon^2} b(x)   
    d x
    \\
    & =
    \underset{\epsilon \to 0}{\lim}
    \underset{\mathbb{R}^1}{\int}
     \frac{d}{d x}
     \left(
        \tfrac{1}{2}
        \ln(x^2 + \epsilon^2)
     \right)
      b(x)
    d x
    \\
    & =
    -\tfrac{1}{2}
    \underset{\epsilon \to 0}{\lim}
    \underset{\mathbb{R}^1}{\int}
     \ln(x^2 + \epsilon^2)
     \frac{d b}{d x}(x)
    d x
    \\
    & =
    -\tfrac{1}{2}
    \underset{\mathbb{R}^1}{\int}
     \ln(x^2)
     \frac{d b}{d x}(x)
    d x
    \\
    & =
    -
    \underset{\mathbb{R}^1}{\int}
     \ln({\vert x \vert})
     \frac{d b}{d x}(x)
    d x    
    \\
    & =
    -
    \underset{\epsilon \to 0}{\lim}
    \underset{\mathbb{R}^1\setminus (-\epsilon, \epsilon)}{\int}
     \ln( {\vert x \vert} )
     \frac{d b}{d x}(x)
    d x    
    \\
    & =
    \underset{\epsilon \to 0}{\lim}
    \underset{\mathbb{R}^1\setminus (-\epsilon, \epsilon)}{\int}
     \frac{1}{x}
     b(x)
    d x    
    \\
    & =
    PV\left( \frac{b(x)}{x} \right)
  \end{aligned}
$$

and

$$
  \begin{aligned}
    (B)
    & =
    \tfrac{1}{\pi}
    \underset{\epsilon \to 0}{\lim}
    \underset{\mathbb{R}^1}{\int}
    \frac{\epsilon}{x^2 + \epsilon^2} 
    b(x)
    \,
    d x
    \\
    & =
    \tfrac{1}{\pi}
    \underset{\epsilon \to 0}{\lim}
    \underset{\mathbb{R}^1}{\int}
    \left(
      \frac{d}{d x}
      \arctan\left( \frac{x}{\epsilon} \right)
    \right)
    b(x)
    \,
    d x    
    \\
    & =
    -
    \tfrac{1}{\pi}
    \underset{\epsilon \to 0}{\lim}
    \underset{\mathbb{R}^1}{\int}
      \arctan\left( \frac{x}{\epsilon} \right)
    \frac{d b}{d x}(x)
    \,
    d x    
    \\
    & =
    -
    \frac{1}{2}
    \underset{\mathbb{R}^1}{\int}
      sgn(x)
    \frac{d b}{d x}(x)
    \,
    d x    
    \\
    & = 
    b(0)
  \end{aligned}
$$

where we used that the [[derivative]] of the [[arctan]] function is $\frac{d}{ d x} \arctan(x) = 1/(1 + x^2)$ and that $\underset{\epsilon \to + \infty}{\lim} \arctan(x/\epsilon) = \tfrac{\pi}{2}sgn(x)$ is proportional to the [[sign function]].

=--


+-- {: .num_exmaple #FourierIntegralFormulaForStepFunction}
###### Example
**([[Fourier integral]] formula for [[step function]])**


The [[Heaviside distribution]] $\Theta \in \mathcal{D}'(\mathbb{R})$ is equivalently the following Cauchy principal value:

$$
  \begin{aligned}
    \Theta(x)
    & =
    \frac{1}{2\pi i} \int_{-\infty}^\infty \frac{e^{i \omega x}}{\omega - i 0^+}
    \\
    & \coloneqq
    \underset{ \epsilon \to 0^+}{\lim} 
    \frac{1}{2 \pi i}
    \int_{-\infty}^\infty \frac{e^{i \omega x}}{\omega - i \epsilon} d\omega
    \,,
  \end{aligned}
$$

where the limit is taken over [[sequences]] of [[positive numbers|positive]] [[real numbers]] $\epsilon \in (-\infty,0)$ tending to zero.

=--


+-- {: .proof}
###### Proof

We may think of the [[integrand]] $\frac{e^{i \omega x}}{\omega - i \epsilon}$ uniquely extended to a [[holomorphic function]] on the [[complex plane]] and consider computing the given real [[line integral]] for fixed $\epsilon$ as a [[contour integral]] in the [[complex plane]].

If $x \in (0,\infty)$ is [[positive number|positive]], then the exponent 

$$
  i \omega x = - Im(\omega) x + i Re(\omega) x
$$ 

<div style="float:right;margin:0 10px 10px 0;"><img src="https://ncatlab.org/nlab/files/ContoursForHeavisideFourierTransform.png" width="300">
</div>


has negative [[real part]] for _positive_ [[imaginary part]] of $\omega$. This means that the [[line integral]] equals the complex [[contour integral]] over a contour $C_+ \subset \mathbb{C}$ closing in the [[upper half plane]]. Since $i \epsilon$ has positive [[imaginary part]] by construction, this contour does encircle the [[pole]] of the [[integrand]] $\frac{e^{i \omega x}}{\omega - i \epsilon}$ at $\omega = i \epsilon$. Hence by the [[Cauchy integral formula]] in the case $x \gt 0$ one gets


$$
  \begin{aligned}
    \underset{\epsilon \to 0^+}{\lim}
    \frac{1}{2 \pi i}
    \int_{-\infty}^\infty \frac{e^{i \omega x}}{\omega - i \epsilon} d\omega
    & =
    \underset{\epsilon \to 0^+}{\lim}
    \frac{1}{2 \pi i}
    \oint_{C_+} \frac{e^{i \omega x}}{\omega - i \epsilon} d \omega
    \\
    &
    =
    \underset{\epsilon \to 0^+}{\lim}
    \left(e^{i \omega x}\vert_{\omega = i \epsilon}\right)
    \\
    & =
    \underset{\epsilon \to 0^+}{\lim}
    e^{- \epsilon x}
    \\
    & =
    e^0 = 1
  \end{aligned}
  \,.
$$

Conversely, for $x \lt 0$ the real part of the integrand decays as the _[[negative number|negative]]_ imaginary part increases, and hence in this case the given line integral equals the contour integral for a contour $C_- \subset \mathbb{C}$ closing in the lower half plane. Since the integrand has no pole in the lower half plane, in this case the [[Cauchy integral formula]] says that this integral is zero.

=--

Conversely, by the [[Fourier inversion theorem]], the [[Fourier transform]] of the [[Heaviside distribution]] is the Cauchy principal value as in prop. \ref{CauchyPrincipalValueEqualsIntegrationWithImaginaryOffsetPlusDelta}:


+-- {: .num_example #RelationToFourierTransformOfHeavisideDistribution}
###### Example
**(relation to [[Fourier transform]] of [[Heaviside distribution]] / [[Schwinger parameter|Schwinger parameterization]])**

$$
  \begin{aligned}
    \widehat \Theta(x)
    & =
    \int_0^\infty e^{i k x} \,  dk
    \\
    & =
    i \frac{1}{x + i 0^+}
  \end{aligned}
$$

Here the second equality is also known as _complex [[Schwinger parameter|Schwinger parameterization]]_.

=--

+-- {: .proof}
###### Proof

As [[generalized functions]] consider the [[limit of a sequence|limit]] with a decaying component:

$$
  \begin{aligned}
    \int_0^\infty e^{i k x} \,  dk  
    & =
    \underset{\epsilon \to 0^+}{\lim} 
    \int_0^\infty e^{i k x - \epsilon k} \,  dk
    \\
    & =
    -
    \underset{\epsilon \to 0^+}{\lim} 
    \frac{1}{ i x - \epsilon}
    \\
    & = 
    i \frac{1}{x + i 0^+}
  \end{aligned}  
$$


=--

### The principal value of $1/(q(x) + m^2)$
 {#PrincipalValueOfPowerOfAQuadraticForm}


Let $q \colon \mathbb{R}^{n} \to \mathbb{R}$ be a non-degenerate real [[quadratic form]]
[[analytic continuation|analytically continued]] to a real quadratic form 

$$
  q \;\colon\; \mathbb{C}^n \longrightarrow \mathbb{C}
  \,.
$$

Write $\Delta$ for the [[determinant]] of $q$

Write $q^\ast$ for the induced quadratic form on [[dual vector space]]. Notice that $q$ (and hence $a^\ast$) are assumed non-degenerate but need not necessarily be positive or negative definite.

+-- {: .num_prop #FourierTransformOfPrincipalValueOfPowerOfQuadraticForm}
###### Proposition
**([[Fourier transform of distributions|Fourier transform]] of principal value of power of [[quadratic form]])**

Let $m \in \mathbb{R}$ be any [[real number]], and $\kappa \in \mathbb{C}$ any [[complex]] number. Then the [[Fourier transform of distributions]] of $1/(q + m^2 + i 0^+)^\kappa$ is

$$
  \widehat
  {
    \left(
      \frac{1}{q + m^2 + i0^+} 
    \right)
  }
  \;=\;
  \frac{
    2^{1- \kappa} (\sqrt{2\pi})^{n} m^{n/2-\kappa}
  }
  {
    \Gamma(\kappa) \sqrt{\Delta}
  }
  \frac{
    K_{n/2 - \kappa}\left( m \sqrt{q^\ast - i 0^+} \right)
  }
  {
    \left(\sqrt{q^\ast - i0^+ }\right)^{n/2 - \kappa}
  }
  \,,
$$

where 

1. $\Gamma$ deotes the [[Gamma function]] 

1. $K_{\nu}$ denotes the [[modified Bessel function]].

Notice that $K_\nu(a)$ diverges for $a \to 0$ as $a^{-\nu}$ ([DLMF 10.30.2](http://dlmf.nist.gov/10.30#E2)).

=--

([Gel'fand-Shilov 66, III 2.8 (8) and (9), p 289](#GelfandShilov66))

+-- {: .num_example #FeynmanPropagator}
###### Example
**([[Feynman propagator]])**

Let $q \coloneqq \eta^{-1}$ be the dual [[Minkowski metric]] in [[dimension]] $p+1$. Then 

$$
  \Delta_F(x)
  \;\propto\;
  \widehat{
    \frac{1}{
      -\eta^{-1}(k,k) - m^2 + i0^+ 
    }
  }
$$

is the [[Feynman propagator]] for the [[Klein-Gordon equation]] on [[Minkowski spacetime]]. In this case prop. \ref{FourierTransformOfPrincipalValueOfPowerOfQuadraticForm} implies that its [[singular support]] is the [[light cone]] $\{x \in \mathbb{R}^{p,1} \;\vert\; \eta(x,x) = 0\}$.

=--


### The Fourier transform of $\delta(q + m^2)$
 {#FourierTransformOfDeltaOfTheMassShell}

Let $q \colon \mathbb{R}^{n} \to \mathbb{R}$ be a non-degenerate real [[quadratic form]]
[[analytic continuation|analytically continued]] to a real quadratic form 

$$
  q \;\colon\; \mathbb{C}^n \longrightarrow \mathbb{C}
  \,.
$$

Write $\Delta$ for the [[determinant]] of $q$. Write $t \in \mathbb{N}$ for the number of negative eigenvalues. 

Write $q^\ast$ for the induced quadratic form on [[dual vector space]]. Notice that $q$ (and hence $a^\ast$) are assumed non-degenerate but need not necessarily be positive or negative definite.


+-- {: .num_prop #FourierTransformOfDeltaDistributionappliedToMassShell}
###### Proposition
**([[Fourier transform]] of [[delta distribution]] applied to [[mass shell]])**

Let $m \in \mathbb{R}$, then the [[Fourier transform of distributions]] of the [[delta distribution]] $\delta$ applied to the "mass shell" $q + m^2$ is 

$$
  \widehat{
    \delta(q + m^2)
  }
  \;=\;
  - \frac{i}{\sqrt{{\vert\Delta\vert}}}
  \left(
    e^{i \pi t /2 }
    \frac{
      K_{n/2-1}
      \left(
        m \sqrt{ q^\ast + i0^+ }
      \right)
    }{
      \left(\sqrt{q^\ast + i0^+}\right)^{n/2 - 1}
    }
    \;-\;
    e^{-i \pi t /2 }
    \frac{
      K_{n/2-1}
      \left(
        m \sqrt{ q^\ast - i0^+ }
      \right)
    }{
      \left(\sqrt{q^\ast - i0^+}\right)^{n/2 - 1}
    }
  \right)
  \,,
$$

where $K_\nu$ denotes the [[modified Bessel function]] of order $\nu$.

Notice that $K_\nu(a)$ diverges for $a \to 0$ as $a^{-\nu}$ ([DLMF 10.30.2](http://dlmf.nist.gov/10.30#E2)).


=--

([Gel'fand-Shilov 66, III 2.11 (7), p 294](#GelfandShilov66))


+-- {: .num_example #CausalPropagator}
###### Example
**([[causal propagator]])**

Let $q \coloneqq \eta^{-1}$ be the dual [[Minkowski metric]] in [[dimension]] $p+1$. Then 

$$
  \Delta_S(x)
  \;\propto\;
  \widehat{
     \delta(-\eta(k,k) - m^2)
     \,
     sgn(k_0)
  }
$$

is the [[causal propagator]] for the [[Klein-Gordon equation]] on [[Minkowski spacetime]]. In this case prop. \ref{FourierTransformOfDeltaDistributionappliedToMassShell} implies that its [[singular support]] is the [[light cone]] $\{x \in \mathbb{R}^{p,1} \;\vert\; \eta(x,x) = 0\}$.

=--


## Related concepts

* [[zeta function regularization]]

## References ##

Named after [[Augustin Cauchy]]

* [[Ram Kanwal]], section 8.3 of _Linear Integral Equations_ Birkhäuser 1997

Detailed discussion of relation to [[Bessel functions]] is in

* {#GelfandShilov66} [[I. M. Gel'fand]], G. E. Shilov, _Generalized functions_, 1–5 , Acad. Press  (1966–1968) transl. from И. М. Гельфанд, Г. Е. Шилов Обобщенные функции, вып. 1-3, М.:Физматгиз, 1958; 1: Обобщенные функции и действия над ними, 2: Пространства основных обобщенных функций, 3: Некоторые вопросы теории дифференциальных уравнений


References on homogeneous distributions

* {#HoermanderLPDO1} [[Lars Hörmander]], _The Analysis of Linear Partial Differential Operators I_ (Springer, 1990, 2nd ed.)

See also

* Wikipedia, _[Cauchy principal value](http://en.wikipedia.org/wiki/Cauchy_principal_value)_

* Wikipedia, _[Hadamard principal value](http://en.wikipedia.org/wiki/Hadamard_finite_part_integral)_


[[!redirects Cauchy principal values]]

[[!redirects principal value]]
[[!redirects principal vaues]]
