
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Category theory
+-- {: .hide}
[[!include category theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Definition

An **absolute coequalizer** in a [[category]] $C$ is a [[coequalizer]] which is preserved by *any* [[functor]] $F\colon C \to D$.  This is a special case of an [[absolute colimit]].

## Characterization

Intuitively, an absolute coequalizer is a diagram that is a coequalizer "purely for diagrammatic reasons."  The most common example is a [[split coequalizer]].  A trivial example of an absolute coequalizer that is not split is a diagram of the form
$$ X \; \underoverset{f}{f}{\rightrightarrows}\; Y \overset{1_Y}{\to} Y $$
whenever $f$ is not a [[split epimorphism]].

In fact, split coequalizers and "trivial" absolute coequalizers are the cases $n=1$ and $0$ of a general characterization of absolute coequalizers, which we now describe.  Suppose that
$$ X\; \underoverset{f_1}{f_0}{\rightrightarrows}\; Y \overset{e}{\to} Z $$
is an absolute coequalizer.  Then it must be preserved, in particular, by the hom-functor $hom(Z,-)\colon C \to Set$; that is, we have a coequalizer diagram
$$ hom(Z,X)\; \underoverset{f_1\circ -}{f_0\circ -}{\rightrightarrows}\; hom(Z,Y) \overset{e\circ -}{\to} hom(Z,Z)$$
in $Set$.  In particular, that means that $e\circ -$ is surjective, and so in particular there exists some $s\colon Z\to Y$ such that $e s = 1_Z$.  In other words, $e$ is [[split epimorphism|split epic]].

Now the given coequalizer must also be preserved by the hom-functor $hom(Y,-)$, so we have another coequalizer diagram
$$ hom(Y,X)\; \underoverset{f_1\circ -}{f_0\circ -}{\rightrightarrows}\; hom(Y,Y) \overset{e\circ -}{\to} hom(Y,Z)$$
in $Set$.  We also have two elements $1_Y$ and $s e$ in $hom(Y,Y)$ with the property that $e \circ 1_Y = e = e \circ s e$ (since $e s = 1_Z$).

However, a coequalizer of two functions $h_0,h_1\colon P\to Q$ in $Set$ is constructed as the [[quotient set]] of $Q$ by the [[equivalence relation]] generated by the image of $(h_0,h_1)\colon P\to Q\times Q$.  That means that we set
$q\sim q'$ iff there is a finite sequence $p_1,\dots, p_n$ of elements of $P$ and a finite sequence $\varepsilon_0,\dots,\varepsilon_n$ with $\varepsilon_i\in\{0,1\}$, such that $h_{\varepsilon_1}(p_1)=q$,
$h_{1-\varepsilon_i}(p_i)=h_{\varepsilon_{i+1}}(p_{i+1})$, and $h_{1-\varepsilon_n}(p_n)=q'$.  We consider $q=q'$ as the case $n=0$.

Therefore, since $1_Y$ and $s e$ are in the same class of the equivalence relation on $hom(Y,Y)$ generated by $f_0$ and $f_1$, they must be related by such a finite chain of elements of $hom(Y,X)$.  That is, we must have morphisms $t_1,\dots, t_n\colon Y\to X$ and a sequence of binary digits $\varepsilon_1,\dots,\varepsilon_n$ such that $f_{\varepsilon_1} t_1=1_B$, $f_{1-\varepsilon_i} t_i = f_{\varepsilon_i} t_{i+1}$, and $f_{1-\varepsilon_n}t_n=s e$.  (Note that if $n=1$ then this says precisely that we have a split coequalizer, and if $n=0$ it is the trivial case above.)  Conversely, it is easy to check that given $s$ and $t_1,\dots, t_n$ satisfying these equations, the given fork must be a coequalizer, for essentially the same reason that any split coequalizer is a coequalizer.  Thus we have a complete characterization of absolute coequalizers.

This characterization is essentially a special case of the characterization of [[absolute colimits]] (in unenriched categories).

## Examples

* [[Beck coequalizer]]

## References

* [[Robert Pare]], *Absolute coequalizers*, Lecture Notes in Math. 86 (1969), 132-145.

[[!redirects absolute coequalizers]]
