
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Mapping space
+--{: .hide}
[[!include mapping space - contents]]
=--
=--
=--


1. [Introduction](#intro)
3. Manifold Structure
  2. [[linear mapping spaces|Linear Mapping Spaces]]
  3. [[manifold structure of mapping spaces|Manifold Structure of Mapping Spaces]]
  4. [[tangent spaces of mapping spaces|Tangent Spaces]]
  5. [[topology of mapping spaces|The Topology of the Loop Space]]
  6. [[smooth maps of mapping spaces|Some Useful Smooth Maps]]
4. Bundles
  1. [[tangent bundle of mapping spaces|The Tangent Bundle]]
  2. [[vector bundles on mapping spaces|Vector Bundles]]
  3. [[Principal and Gauge Bundles]]
  4. [[Connections]]
  5. [[The Enemy of my Enemy is not my Friend]]
5. Submanifolds and Tubular Neighbourhoods
  1. [[evaluation fibration of mapping spaces|The Fundamental Fibration]]
  2. [[tubular neighbourhood of a mapping space|Tubular Neighbourhoods]]
  3. [[equivariant tubular neighbourhoods|Equivariant Tubular Neighbourhoods]]
  4. [[A Not-So-Nice Submanifold]]
6. [[A Miscellany]]
  1. [[Weak Riemannian Manifolds]]
  2. [[More Fun with Based Loops]]
7. [References](#refs)

## Introduction {#intro}

This series of pages started out as an accompaniment to a series of seminars given at NTNU, and subsequently at Sheffield University, entitled: 

* "The [[differential topology|Differential Topology]] of the [[loop space|Loop Space]]". 

The original purpose of those seminars was to present an introduction to this topic leading up to the work contained in [[Andrew Stacey|my]] preprint on the construction of a [[Dirac operator]] on [[loop space]]s, [Sta](#Sta).

This was intended to be accessible to anyone with knowledge of basic finite
dimensional [[differential topology]]. Thus there was a reasonable amount of
background material to be explained before the subject of Dirac operators was
broached.  This could be divided into three broad areas: differential topology of loop spaces, [[spinors]] in arbitrary dimension, and the [[Atiyah-Singer index theorem]] (in finite dimensions).

The latter two of these topics are already superbly covered by books accessible to any
differential topologist, perhaps with a little [[functional analysis]]. The book [LM89](#LM89) is an excellent introduction to both topics in finite dimensions whilst [PR94](#PR94) deals with spinors in arbitrary dimension. A [[group]]-centric viewpoint is presented in [PS86](#PS86), which is required reading for anyone seriously thinking about loop spaces.

The main reference for the first topic is [KM97](#KM97) in which is developed a theory of analysis in infinite dimensions in arbitrary [[topological vector space]]s.  However, this means that whilst being an excellent book, its subject matter is perhaps too broad and too deep for someone who just wants to know about the differential topology of loop spaces.

This led to the writing of [arXiv:math.DG/0510097](#0510097) with the intention was to provide a more gentle
introduction than [KM97](#KM97) but still including the required detail to understand the differential topology of the space of smooth loops. It subsequently grew
beyond that remit as more topics were added.

That article is now in the process of being imported in to the nLab.  In the transfer, its scope is being extended to more general mapping spaces as many of the basic structure of loop spaces holds in this more general setting.

## References ## {#refs}

* [[Andreas Kriegl]], [[Peter Michor]], _The convenient setting of global analysis_ ,   1997 [MR1471480](http://www.ams.org/mathscinet-getitem?mr=1471480)
{#KM97}

* Spinors in Hilbert space, Plymen, R. J.  and Robinson, P. L., 1994 [MR1312612](http://www.ams.org/mathscinet-getitem?mr=1312612)
{#PR94}

* Andrew Pressley, [[Graeme Segal]], _Loop groups_   1986 [MR900587](http://www.ams.org/mathscinet-getitem?mr=900587)
{#PS86}

* Spin geometry, Lawson, H. Blaine, Jr. and Michelsohn, Marie-Louise, 1989, [MR1031992](http://www.ams.org/mathscinet-getitem?mr=1031992)
{#LM89}
