
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Mapping space
+--{: .hide}
[[!include mapping space - contents]]
=--
=--
=--


{:myproof: .proof style="margin-left:2em;"}
{:mynumdef: .num_defn style="border:solid #cccccc;border-width:2px 1px;padding:0 1em;margin:0 1em;"}
{:goal: .un_remark style="border:solid #0000cc;background: #add8e6;border-width:2px 1px;padding:0 1em;margin:0 1em;"}

#Contents#
* table of contents
{:toc}

## Introduction ##

This page is part of the collections of pages relating to the [[differential topology of mapping spaces]].  Here, we consider the linear situation.  That is, we consider mapping spaces of the form $C^\infty(N, E)$ where $N$ is a [[sequentially compact]] [[Frölicher space]] and $E$ is a [[convenient vector space]].  The reason for studying these is that such spaces are the model spaces for the more general mapping spaces.

The properties that we need to prove for these spaces are, essentially, inheritance properties.  These are:

1. $C^\infty(N,E)$ is a [[convenient vector space]].
2. If $U \subseteq E$ is a $0$-neighbourhood then $C^\infty(N,U)$ is a $0$-neighbourhood.
3. If $\phi \colon U \to V$ is a diffeomorphism of open subsets of $E$ then $C^\infty(N,\phi)$ is a diffeomorphism $C^\infty(N,U) \to C^\infty(N,V)$.

These properties are what is needed to propogate the manifold structure of the target to the mapping space.

## Smooth Structure ##

Let $E$ be a [[convenient vector space]] and let $N$ be a [[Frölicher space]] whose [[curvaceous topology]] is [[sequentially compact]].  As a convenient vector space is a special Frölicher space, and the category of Frölicher spaces is [[cartesian closed]], the mapping space $C^\infty(N,E)$ is again a Frölicher space and is characterised by the fact that smooth maps $X \to C^\infty(N,E)$ correspond to smooth maps $X \times N \to E$ in the obvious way.
In particular, the smooth curves in $C^\infty(N,E)$ correspond to the smooth maps $\mathbb{R} \times N \to E$.

## Linear Structure ##

The space $C^\infty(N,E)$ is a Frölicher space and a vector space.  We want to know that these two structures are compatible.  What we want to be able to say is that $C^\infty(N,E)$ is a [[convenient vector space]].  To do this, we need to find a [[locally convex topological vector space|locally convex]] structure on $C^\infty(N,E)$ which is [[locally complete]] and such that the corresponding smooth structure has smooth curves given as above.

Before looking for a suitable locally convex structure, it is worth making two remarks:

1. It is possible that the [[curvaceous topology]] is not locally convex; this is not a problem except in that it means we must devise a possibly new topology.
2. There may be several different topologies that all give the same smooth structure; indeed, the smooth structure only depends on the [[bornology]] of the lctvs.

Although the first point seems to say that there is not a natural topology to check, in fact if there is a suitable locally convex topology on $C^\infty(N,E)$ then its [[bornologification]] will be the same as the topology achieved by starting with the curvaceous topology and forcing it to be locally convex.  However, to do this we would need a complete and accessible description of the curvaceous topology on $C^\infty(N,E)$ and this is more than we need elsewhere.  Instead, we shall look for the _weakest_ suitable topology.  For this, we use the fact that if we take a lctvs, say $F$, and replace the topology with the weak topology, let us write this as $w F$, then $F$ and $w F$ have the same bounded sets and thus the same bornologification and the same smooth structures.

Thus we are searching for a suitable family of linear functions $C^\infty(N,E) \to \mathbb{R}$.  From the characterisation of [[convenient vector spaces]], we want this family to satisfy the condition:

> If $c \colon \mathbb{R} \to C^\infty(N,E)$ is a curve such that $l \circ c \colon \mathbb{R} \to \mathbb{R}$ is smooth for all $l$ in our family, then $c \in C^\infty(\mathbb{R}, C^\infty(N,E))$.

This leads us to the definition of the family.

+-- {: mynumdef #DefDual}
###### Definition
We define a **smooth functional** on $C^\infty(N,E)$ to be a linear functional $C^\infty(N,E) \to \mathbb{R}$ constructed in the following way.  We start with $\phi \in E^*$ and $\alpha \in C^\infty(\mathbb{R},N)$.  These define a linear function $C^\infty(N,E) \to C^\infty(\mathbb{R},\mathbb{R})$ by composition: $g \mapsto \phi \circ g \circ \alpha$.  Then we add in $\psi \in C^\infty(\mathbb{R},\mathbb{R})^*$ to get a linear functional on $C^\infty(N,E)$ defined by

$$
g \mapsto  \psi(\phi \circ g \circ \alpha).
$$

We define the **smooth dual** of $C^\infty(N,E)$ to be the vector space generated by the smooth functionals.
We write this dual as $C^\infty(N,E)^{*\infty}$.

We define the **weak smooth topology** on $C^\infty(N,E)$ to be the  weakest topology such that all linear functionals in $C^\infty(N,E)^{*,\infty}$ are continuous.
=--

An immediate consequence of the construction is the following result.

+-- {: .num_lemma #LemSmthLine}
###### Lemma
For $\phi \in E^*$ and $\alpha \in C^\infty(\mathbb{R},N)$, the map $g \mapsto \phi \circ g \circ \alpha$ is a bounded linear map from $C^\infty(\mathbb{R},N)$ to $C^\infty(\mathbb{R},\mathbb{R})$.
=--

Note that we say **bounded** and not **continuous**.  It would be continuous if we put the weak topology on $C^\infty(\mathbb{R},\mathbb{R})$ or if we took the bornologification of $C^\infty(\mathbb{R},N)$.  Neither of these is necessary for what we want to do, though.

+-- {: .num_proposition #SmDualVsp}
###### Proposition
With the weak smooth topology, $C^\infty(N,E)$ is a convenient vector space.  Its associated Frölicher space is $C^\infty(N,E)$.
=--

We have to be careful here with where things are happening.  In categorical language, we have constructed a functor from the some subcategory of Frölicher spaces to that of locally convex topological vector spaces.  There is a functor in the opposite direction which takes a locally convex topological vector space and defines a family of smooth curves using differentiability.  We wish to show that going back and forth takes us back to where we began.

To avoid confusion, we shall use the nomenclature $C^\infty$ for a function that is infinitely differentiable and "smooth" for the property of taking smooth curves to smooth curves.  For functions $\mathbb{R}^n \to \mathbb{R}$, $C^\infty$ and "smooth" mean the same thing by [[Boman's theorem]].

+-- {: myproof}
###### Proof
We consider a curve $c \colon \mathbb{R} \to C^\infty(N,E)$.   This curve defines a map $\check{c} \colon \mathbb{R} \times N \to E$ by $\check{c}(r,x) = c(r)(x)$.  We recall that by the exponential law for Frölicher spaces, $c$ is smooth if and only if $\check{c}$ is smooth.  
Let us start by assuming that $c$ is $C^\infty$.  Then for $\phi \in E^*$ and $\alpha \in C^\infty(\mathbb{R},N)$, the map $g \mapsto \phi \circ g \circ \alpha$ is a bounded linear function from $C^\infty(N,E)$ to $C^\infty(\mathbb{R},\mathbb{R})$ and so takes $C^\infty$-curves to $C^\infty$-curves.  Hence the curve

$$
s \mapsto (\phi \circ c(s) \circ \alpha)
$$

is a $C^\infty$-map $\mathbb{R} \to C^\infty(\mathbb{R},\mathbb{R})$. 

By the exponential law for convenient vector spaces, this means that the map $(s,t) \mapsto (\phi \circ c(s) \circ \alpha)(t)$ is a $C^\infty$-map, $\mathbb{R}^2 \to \mathbb{R}$.  We can rewrite that in terms of $\check{c}$ as $(s,t) \mapsto \phi(\check{c}(s,\alpha(t)))$.

Now let $a \colon \mathbb{R} \to \mathbb{R} \times N$ be a smooth curve.  By characterisation of the product, $a = (a_{\mathbb{R}}, a_N)$ where $a_{\mathbb{R}} \in C^\infty(\mathbb{R},\mathbb{R})$ and $a_N \in C^\infty(\mathbb{R},N)$.  Putting $\alpha = a_N$, we see that the map $r \mapsto (\phi \circ \check{c} \circ a)(r)$ is $C^\infty$ because it is $r \mapsto \phi(\check{c}(a_{\mathbb{R}}(r), a_N(r)))$.

As $E$ is a [[convenient vector space]], and this holds for all $\phi \in E^*$, we conclude that the map $\check{c} \circ a$ is a smooth curve in $E$.  As this holds for all $a \in C^\infty(\mathbb{R} \times N)$, $\check{c} \colon \mathbb{R} \times N \to E$ is smooth.  Thus $c$ is a smooth map $\mathbb{R} \to C^\infty(N,E)$.

Now let us assume that $c$ is smooth.  Then the associated function $\check{c} \colon \mathbb{R} \times N \to E$ is smooth.  We can switch the order to define a function $\hat{c} \colon N \to C^\infty(\mathbb{R},E)$, where $\hat{c}(x)(t) = \check{c}(t,x) = c(t)(x)$.  This is again smooth.  As $E$ is a convenient vector space, the differentiation operator, $C^\infty(\mathbb{R},E) \to C^\infty(\mathbb{R},E)$ is smooth.  Thus there is a smooth map $\hat{b} \colon N \to C^\infty(\mathbb{R},E)$ such that for each $x \in N$, $\hat{c}(x)' = \hat{b}(x)$ (note the order).  Now we transfer $\hat{b}$ to a smooth map $b \colon \mathbb{R} \to C^\infty(N,E)$.  It then follows that $c' = b$.  This shows that $c$ is $C^\infty$.

To show that $C^\infty(N,E)$ is convenient, we use almost the same argument as in the previous paragraph except that instead of differentiating $\hat{c}$ we integrate it (from some fixed point).  This produces a curve, say $a \colon \mathbb{R} \to C^\infty(N,E)$ such that $a' = c$ and hence shows that $C^\infty(N,E)$ is convenient.
=--

Although we have introduced the weak smooth topology to show that $C^\infty(N,E)$ is a convenient, we shall not be very interested in it in the following.  In the linear situation, we prefer to work with the [[bornological topological vector space|bornologification]] of this topology.  In the smooth situation, we work with the [[curvaceous topology]].  Note that the bornological topology is the finest locally convex topology that is weaker than the curvaceous topology.

## Open Sets ##

The key property on the source is that it be [[sequentially compact]] (with the curvaceous topology).  The reason for this is to do with relating open sets in the target to open sets in the mapping space.

+-- {: .num_prop #PropLin}
###### Proposition ######
Let $N = (N, C_N, F_N)$ be a [[Frölicher space]] whose [[curvaceous topology]] is [[sequentially compact]].  Let $E$ be a [[convenient vector space]].  Let $U$ be a $0$-neighbourhood in $E$ in the $c^\infty$-topology.  Then the set

$$
C^\infty(N,U) \coloneqq \{f \colon N \to E : f(N) \subseteq U\}
$$

is a $0$-neighbourhood of $C^\infty(N,E)$ in the $c^\infty$-topology.
=--

+-- {: .proof}
###### Proof ######
The Fr&ouml;licher space structure on $C^\infty(N,E)$ is such that  smooth maps $X \to C^\infty(N,E)$ correspond to smooth maps $X \times N \to E$.  Therefore, a smooth curve $c \colon \mathbb{R} \to C^\infty(N,E)$ corresponds to a smooth map $\hat{c} \colon \mathbb{R} \times N \to E$.

The $c^\infty$-topology is the [[curvaceous topology]].  In this topology, a set is open if its preimage under all smooth curves is open.  So to determine whether or not $C^\infty(N,U)$ is a $0$-neighbourhood, we need to examine $c^{-1}(C^\infty(N,U))$.  This is the set

$$
\{t \in \mathbb{R} : c(t)(N) \subseteq U\} = \{t \in \mathbb{R} : \hat{c}(t,x) \in U \forall x \in N\}
$$

Now $\hat{c} \colon \mathbb{R} \times N \to E$ is smooth and so $\hat{c}^{-1}(U)$ is open in $\mathbb{R} \times N$.  The relationship between $\hat{c}^{-1}(U)$ and $c^{-1}(C^\infty(N,U))$ is that $t \in c^{-1}(C^\infty(N,U))$ if and only if $\{t\} \times N \subseteq \hat{c}^{-1}(U)$.

Now we apply the sequential compactness of $N$ to deduce that as $\hat{c}^{-1}(U)$ is open, it contains a subset of the form $(-\epsilon,\epsilon) \times N$ for some $\epsilon \gt 0$.  Then $(-\epsilon,\epsilon) \subseteq c^{-1}(C^\infty(N,U))$ and so $c^{-1}(C^\infty(N,U))$ is a neighbourhood of $0$.

Thus as $c$ was a generic smooth curve, $C^\infty(N,U)$ is a $0$-neighbourhood in $C^\infty(N,E)$.
=--

This result can fail if $N$ is not sequentially compact, as shown by the simplest example: $N = E = \mathbb{R}$.  For this example, the topologies involved are all the "standard" ones.  In particular, the $0$-neighbourhoods in $C^\infty(\mathbb{R},\mathbb{R})$ are defined by uniform convergence on compact subsets of $\mathbb{R}$.  Hence the set $\{f \colon \mathbb{R} \to \mathbb{R} : \lvert f(t)\rvert \lt 1\}$ is not a $0$-neighbourhood.

## Diffeomorphisms ##

The last thing that we wish to note is that diffeomorphisms in $E$ extend to diffeomorphisms in $C^\infty(N,E)$.  That is, for $U, V \subseteq E$ open subsets (in the $c^\infty$-topology) and a diffeomorphism $\phi \colon U \to V$, we want to show that the induced map $C^\infty(N, U) \to C^\infty(N,V)$ is a diffeomorphism.  This follows from the functorality of the $C^\infty(N,-)$-construction.
