
# Contents
* table of contents
{: toc}

## Idea

Borel sets are certain [[subsets]] of a [[topological space]].  They form the Borel $\sigma$-[[sigma-algebra|algebra]] of the space, and they play an important role in [[measure theory]].


## Definition

Let $X$ be a [[topological space]].  Then there is a $\sigma$-[[sigma-algebra|algebra]] $\mathcal{B}$ on $X$ generated by the [[open subsets]] of $X$. Elements of $\mathcal{B}$ are called the __Borel sets__ (or __Borel subsets__, or __Borel-measurable sets__, etc) of $X$, and $\mathcal{B}$ itself is called the __Borel $\sigma$-algebra__ on $X$.


## The Borel hierarchy

The preceding abstract definition can be made concrete (and [[predicative mathematics|predicative]], at least over $\omega_1$, although most predicative mathematicians don\'t accept $\omega_1$) as follows:

*  Start with the collection $\Sigma_0$ of open sets, and let $\Pi_0$ be the collection of the complements of the members of $\Sigma_0$ (the [[closed sets]]).
*  Let $\Sigma_1$ be the collection of countably infinitary unions of sets in $\Pi_0$ (the __$F_\sigma$-[[F-sigma subspace|sets]]__), and let $\Pi_1$ be the collection of their complements (the __$G_\delta$-[[G-delta subspace|sets]]__, the countably infinitary intersections of sets in $\Sigma_0$); even $\Sigma_1 \cup \Pi_1$ is not in general a $\sigma$-algebra.
*  Let $\Sigma_2$ be the collection of countably infinitary unions of sets in $\Pi_1$ (the __$G_{\delta\sigma}$-sets__), and let $\Pi_2$ be the collection of their complements (the __$F_{\sigma\delta}$-sets__, the countably infinitary intersections of sets in $\Sigma_1$).
*  Continue, defining $\Sigma_n$ for all [[natural numbers]] $n$.
*  Let $\Sigma_\omega$ be the union of the various $\Sigma_n$; although this is closed under complement, it is still not in general a $\sigma$-algebra.
*  Continue, defining $\Sigma_\alpha$ for all countable [[ordinal numbers]] $\alpha$.
*  Let $\Sigma_{\omega_1}$ be the union of the various $\Sigma_\alpha$; this is finally a $\sigma$-algebra.

So we need an [[uncountable set|uncountable]] number of steps, not just two.

This is only the beginning of [[descriptive set theory]]; our $\Sigma_\alpha$ are their $\Sigma^0_\alpha$ ---except that for some reason they start with $\Sigma^0_1$ instead of $\Sigma^0_0$---, and the subject continues to higher values of the superscript.

(To remember the other symbols, you need to know two languages: French and German.  The ‘$F$’ comes from French 'fermé' for 'closed', while ‘$G$’ is simply the next letter; the ‘$\sigma$’ and ‘$\delta$’ are from German 'Summe' for 'union' and 'Durchschnitt' for 'intersection' and are commonly used for countable such.)

Note that [[countable choice]] is essential here and elsewhere in measure theory, to show that a countable union of a countable union is a countable union.  But the full [[axiom of choice]] is not; in fact, much of descriptive set theory (although this is irrelevant to the small portion above) works better with the [[axiom of determinacy]] instead.


## The Borel $\delta$-ring and $\sigma$-ring

Sometimes one does measure theory with $\sigma$-rings or even $\delta$-rings, which are more general than $\sigma$-algebras.  However, even the $\delta$-ring generated by a topology is in fact a $\sigma$-algebra.

Nevertheless, on a [[locally compact Hausdorff space]], we may define the __Borel $\delta$-ring__ and the __Borel $\sigma$-ring__ to be the $\delta$-ring or $\sigma$-ring generated by the [[compact space|compact]] subsets of $X$.  When $X$ is [[compact Hausdorff space|compact]] (such as the [[unit interval]]), then these both agree with the Borel $\sigma$-algebra; when $X$ is $\sigma$-compact (a countable union of compact subsets, such as the [[real line]]), then the Borel $\sigma$-ring still agrees with the Borel $\sigma$-algebra.


## Related concepts

* [[projective set]]

[[!redirects Borel subset]]
[[!redirects Borel subsets]]
[[!redirects Borel set]]
[[!redirects Borel sets]]
[[!redirects Borel-measurable subset]]
[[!redirects Borel-measurable subsets]]
[[!redirects Borel-measurable set]]
[[!redirects Borel-measurable sets]]

[[!redirects Borel sigma-algebra]]
[[!redirects Borel sigma-algebras]]
[[!redirects Borel σ-algebra]]
[[!redirects Borel σ-algebras]]

[[!redirects Borel hierarchy]]
[[!redirects Borel hierarchies]]

[[!redirects Borel sigma-ring]]
[[!redirects Borel sigma-rings]]
[[!redirects Borel σ-ring]]
[[!redirects Borel σ-ring]]

[[!redirects Borel delta-ring]]
[[!redirects Borel delta-rings]]
[[!redirects Borel δ-ring]]
[[!redirects Borel δ-ring]]
