+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Functional analysis
+--{: .hide}
[[!include functional analysis - contents]]
=--
=--
=--

# Contents
* the following line creates the automatic table of contents
{:toc}

## Idea

Barreled spaces are [[topological vector spaces]] for which the theorem of [[Banach-Steinhaus theorem|Banach–Steinhaus]] is valid. This theorem says, roughly, that for a set of continuous linear maps $L(E, F)$ from a barreled space $E$ to a [[locally convex space|locally convex]] [[TVS]] boundedness in the topology of pointwise convergence implies boundedness in the topology of bounded convergence.


## Definition

A subset $T \subset E$ of a [[TVS]] E is a **barrel** if it is

* absorbing

* balanced

* closed

* convex

A [[TVS]] $E$ is **barreled** (or __barrelled__) if every barrel is a neighborhood of zero. 

Sometimes [[locally convex]] is included in the definition, this is not implied by barreled as defined above, i.e. there are barreled spaces that are not locally convex.

In the definition of **quasibarreled** or **infrabarreled** the barrels are replaced by sets that are barrels and which absorb all bounded sets (sets with the latter property are also called **bornivorous**).


## Properties

+-- {: .un_prop}
###### Proposition

A [[locally convex space|locally convex]] [[TVS]] which is a [[Baire space]] is barreled.
=--

+-- {: .un_prop}
###### Proposition

A [[locally convex space|locally convex]] [[TVS]] is barreled iff its topology is the [[strong topology]].
=--


## Examples

Since all [[locally convex space|locally convex]] [[TVS]]es that are [[Baire space|Baire spaces]] are barreled, the examples naturally include [[Fréchet spaces]], [[Banach spaces]] and [[Hilbert spaces]].


## References

See the [[functional analysis bibliography]].

The definition of quasibarreled is from

* S.M. Khaleelulla: _Counterexamples in Topological Vector Spaces_.

It is called _infrabarreled_ in

* H.H. Schaefer: _Topological vector spaces_.
 

[[!redirects barreled]]
[[!redirects barrelled]]
[[!redirects barreled space]]
[[!redirects Barreled space]]
[[!redirects barreled spaces]]
[[!redirects Barreled spaces]]
[[!redirects barrelled space]]
[[!redirects Barrelled space]]
[[!redirects barrelled spaces]]
[[!redirects Barrelled spaces]]

[[!redirects barreled topological vector space]]
[[!redirects Barreled topological vector space]]
[[!redirects barreled topological vector spaces]]
[[!redirects Barreled topological vector spaces]]
[[!redirects barrelled topological vector space]]
[[!redirects Barrelled topological vector space]]
[[!redirects barrelled topological vector spaces]]
[[!redirects Barrelled topological vector spaces]]

[[!redirects quasibarreled space]]
[[!redirects Quasibarreled space]]
[[!redirects quasibarreled spaces]]
[[!redirects Quasibarreled spaces]]
[[!redirects quasibarrelled space]]
[[!redirects Quasibarrelled space]]
[[!redirects quasibarrelled spaces]]
[[!redirects Quasibarrelled spaces]]

[[!redirects quasibarreled topological vector space]]
[[!redirects Quasibarreled topological vector space]]
[[!redirects quasibarreled topological vector spaces]]
[[!redirects Quasibarreled topological vector spaces]]
[[!redirects quasibarrelled topological vector space]]
[[!redirects Quasibarrelled topological vector space]]
[[!redirects quasibarrelled topological vector spaces]]
[[!redirects Quasibarrelled topological vector spaces]]

[[!redirects infrabarreled space]]
[[!redirects Infrabarreled space]]
[[!redirects infrabarreled spaces]]
[[!redirects Infrabarreled spaces]]
[[!redirects infrabarrelled space]]
[[!redirects Infrabarrelled space]]
[[!redirects infrabarrelled spaces]]
[[!redirects Infrabarrelled spaces]]

[[!redirects infrabarreled topological vector space]]
[[!redirects Infrabarreled topological vector space]]
[[!redirects infrabarreled topological vector spaces]]
[[!redirects Infrabarreled topological vector spaces]]
[[!redirects infrabarrelled topological vector space]]
[[!redirects Infrabarrelled topological vector space]]
[[!redirects infrabarrelled topological vector spaces]]
[[!redirects Infrabarrelled topological vector spaces]]
