
# Contents
* automatic table of contents goes here
{:toc}

## Idea

A Montel space is a [[topological vector space]] such that the [[strong dual]] has a compactness property that infinite dimensional [[normed spaces]] cannot have: The weak and strong topologies coincide.

Important examples are the spaces of [[distributions]].

As a counterexample take an infinite [[Hilbert space]] and a sequence of orthonormal vectors, this will converge to zero in the [[weak topology]] but does not converge in the [[strong topology]]. 


## Definition

A Montel space is a [[topological vector space]] that is [[Hausdorff space|Hausdorff]], [[locally convex space|locally convex]], [[barreled topological vector space|barreled]] and where every [[closed subset|closed]] [[bounded subset|bounded]] subset is [[compact space|compact]].


## Properties

+-- {: .un_prop}
###### Proposition
The [[strong dual]] $E^'_b$ of a Montel space is a Montel space. Furthermore, on the bounded subsets of $E^'_b$, the strong and weak topologies coincide. 
=--


## Examples

A normed space is a Montel space iff it is finite dimensional, because only then the closed unit ball is compact.

For an open subset $U \subset \mathbb{R}^n$ the spaces $C^{\infty}(U)$ and $C_0^{\infty}(U)$ are Montel spaces.

[[Montel's theorem]] of classical complex analysis states that the space $\mathcal{O}(U)$ of holomorphic functions on an open set $U \subset \mathbb{C}$ is a Montel space.

## References ##



[[!redirects Montel spaces]]
[[!redirects Montel space]]
[[!redirects Montel topological vector spaces]]