

**[[topology]]** ([[point-set topology]], [[point-free topology]]) 

see also _[[differential topology]]_, _[[algebraic topology]]_, _[[functional analysis]]_ and _[[topological homotopy theory|topological]] [[homotopy theory]]_

[[Introduction to Topology|Introduction]]

**Basic concepts**

* [[open subset]], [[closed subset]], [[neighbourhood]]

* [[topological space]], [[locale]]

* [[base for the topology]], [[neighbourhood base]]

* [[finer topology|finer/coarser topology]]

* [[topological closure|closure]], [[topological interior|interior]], [[topological boundary|boundary]]

* [[separation axiom|separation]], [[sober topological space|sobriety]]
  
* [[continuous function]], [[homeomorphism]]

* [[uniformly continuous function]]

* [[topological embedding|embedding]]

* [[open map]], [[closed map]]

* [[sequence]], [[net]], [[sub-net]], [[filter]]

* [[convergence]]

* [[category]] [[Top]]

  * [[convenient category of topological spaces]]

**[Universal constructions](Top#UniversalConstructions)**

* [[initial topology]], [[final topology]]

* [[subspace]], [[quotient space]], 

* fiber space, [[space attachment]]

* [[product space]], [[disjoint union space]]

* [[mapping cylinder]], [[mapping cocylinder]]

* [[mapping cone]], [[mapping cocone]]

* [[mapping telescope]]

* [[colimits of normal spaces]]

**[[stuff, structure, property|Extra stuff, structure, properties]]**

* [[nice topological space]]

* [[metric space]], [[metric topology]], [[metrisable space]]

* [[Kolmogorov space]], [[Hausdorff space]], [[regular space]], [[normal space]] 

* [[sober space]]

* [[compact space]], [[proper map]] 

  [[sequentially compact topological space|sequentially compact]], [[countably compact topological space|countably compact]], [[locally compact topological space|locally compact]], [[sigma-compact topological space|sigma-compact]], [[paracompact space|paracompact]], [[countably paracompact topological space|countably paracompact]], [[strongly compact topological space|strongly compact]]

* [[compactly generated space]]

* [[second-countable space]], [[first-countable space]]

* [[contractible space]], [[locally contractible space]]

* [[connected space]], [[locally connected space]]

* [[simply-connected space]], [[locally simply-connected space]]

* [[cell complex]], [[CW-complex]]

* [[pointed topological space|pointed space]]

* [[topological vector space]], [[Banach space]], [[Hilbert space]]

* [[topological group]]

* [[topological vector bundle]], [[topological K-theory]]

* [[topological manifold]]


**Examples**

* [[empty space]], [[point space]]

* [[discrete space]], [[codiscrete space]]

* [[Sierpinski space]]

* [[order topology]], [[specialization topology]], [[Scott topology]]

* [[Euclidean space]]

  * [[real line]], [[plane]]

*  [[cylinder]], [[cone]]

* [[sphere]], [[ball]]

* [[circle]], [[torus]], [[annulus]], [[Moebius strip]]

* [[polytope]], [[polyhedron]]

* [[projective space]] ([[real projective space|real]], [[complex projective space|complex]])

* [[classifying space]]

* [[configuration space (mathematics)|configuration space]]

* [[path]], [[loop]]

* [[mapping spaces]]: [[compact-open topology]], [[topology of uniform convergence]]

  * [[loop space]], [[path space]]

* [[Zariski topology]]

* [[Cantor space]], [[Mandelbrot space]]

* [[Peano curve]]

* [[line with two origins]], [[long line]], [[Sorgenfrey line]]

* [[K-topology]], [[Dowker space]]

* [[Warsaw circle]], [[Hawaiian earring space]]



**Basic statements**

* [[Hausdorff spaces are sober]]

* [[schemes are sober]]

* [[continuous images of compact spaces are compact]]

* [[closed subspaces of compact Hausdorff spaces are equivalently compact subspaces]]

* [[open subspaces of compact Hausdorff spaces are locally compact]]

* [[quotient projections out of compact Hausdorff spaces are closed precisely if the codomain is Hausdorff]]

* [[compact spaces equivalently have converging subnet of every net]]

  * [[Lebesgue number lemma]]

  * [[sequentially compact metric spaces are equivalently compact metric spaces]]

  * [[compact spaces equivalently have converging subnet of every net]]

  * [[sequentially compact metric spaces are totally bounded]]

* [[continuous metric space valued function on compact metric space is uniformly continuous]]

* [[paracompact Hausdorff spaces are normal]]

* [[paracompact Hausdorff spaces equivalently admit subordinate partitions of unity]]

* [[closed injections are embeddings]]

* [[proper maps to locally compact spaces are closed]]

* [[injective proper maps to locally compact spaces are equivalently the closed embeddings]]

* [[locally compact and sigma-compact spaces are paracompact]]

* [[locally compact and second-countable spaces are sigma-compact]]

* [[second-countable regular spaces are paracompact]]

* [[CW-complexes are paracompact Hausdorff spaces]]


**Theorems**

* [[Urysohn's lemma]]

* [[Tietze extension theorem]]

* [[Tychonoff theorem]]

* [[tube lemma]]

* [[Michael's theorem]]

* [[Brouwer's fixed point theorem]]

* [[topological invariance of dimension]]

* [[Jordan curve theorem]]

**Analysis Theorems**

* [[Heine-Borel theorem]]

* [[intermediate value theorem]]

* [[extreme value theorem]]
 

**[[topological homotopy theory]]**

* [[left homotopy]], [[right homotopy]]

* [[homotopy equivalence]], [[deformation retract]]

* [[fundamental group]], [[covering space]]

* [[fundamental theorem of covering spaces]]

* [[homotopy group]]

* [[weak homotopy equivalence]]

* [[Whitehead's theorem]]

* [[Freudenthal suspension theorem]]

* [[nerve theorem]]

* [[homotopy extension property]], [[Hurewicz cofibration]]

* [[topological cofiber sequence|cofiber sequence]]

* [[Strøm model category]]

* [[classical model structure on topological spaces]]



