
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--



The intention of this page is to list a wide choice of main books and comprehensive reviews in [[mathematical physics]]. The irrelevant repetitions and minor, too specialized and obsolete books in any major respect should be avoided. We avoid references for quantum groups as they are many and the main ones can be found at the [[quantum group]] entry; similarly we avoided the relevant books on Kac-Moody algebras and groups but included the books on related VOAs and the Pressley-Segal book. 

#Contents#
* table of contents
{:toc}


## Classical mathematical physics

Here PDEs, [[differential equation|ODE]]s, and integral equation of mathematical physics, special functions, [[generalized function]]s, analytic functions, basic [[functional analysis]], potential theory:

* R. Courant, [[David Hilbert]], _Methods of mathematical physics_, 2 vols. 

* P. M. Morse, H. Feshbach, _Methods of theoretical physics I, II, [publisher](http://www.feshbachpublishing.com)

* Michael Reed, Barry Simon, _Methods of modern mathematical physics_, 4 vols. (emphasis on functional analysis)

* V. Vladimirov, _Equations of mathematical physics_, Moscow, Izdatel'stvo Nauka, (1976. 528 p. Russian;  English edition, Mir 198x); _Generalized functions in mathematical physics_, Moscow

* Yvonne Choquet-Bruhat, Cecile Dewitt-Morette, *Analysis, manifolds and physics*, 1982 and 2001


## Classical mechanics 

* [[Vladimir Arnold]], *[[Mathematical methods of classical mechanics]]*, Springer (1989).

* [[Michael Spivak]], *Physics for Mathematicians, Mechanics I*, xvi + 733 pages, Publish or Perish 2010 [contents](http://olivier.thill.perso.neuf.fr/books/bospphma.htm), [amazon](http://www.amazon.com/Physics-Mathematicians-Mechanics-Michael-Spivak/dp/0914098322); _Elementary mechanics from a mathematician's viewpoint_, [pdf](http://www.math.uga.edu/~shifrin/Spivak_physics.pdf)

* R. Abraham, J. Marsden, _The Foundations of Mechanics_, Benjamin Press, 1967, Addison-Wesley, 1978; large pdf 86 Mb free at [CaltechAuthors](http://resolver.caltech.edu/CaltechBOOK:1987.001)

* [[William Lawvere]], [[Stephen Schanuel]] (eds.), _[[Categories in Continuum Physics]]_, Lectures given at a Workshop held at SUNY, Buffalo 1982, Lecture Notes in Mathematics 1174, 1986

* [[Vicente Cortés]], Alexander S. Haupt, _Lecture Notes on Mathematical Methods of Classical Physics_, ([arXiv:1612.03100](https://arxiv.org/abs/1612.03100))

## Mathematical introduction to quantum mechanics

On [[quantum mechanics]]:

* Anthony Sudbery, _Quantum mechanics and the particles of nature: An outline for mathematicians_

* [[Leon A. Takhtajan]], *[[Quantum mechanics for mathematicians]]*, Graduate Studies in Mathematics __95__, Amer. Math. Soc. 2008.

* Brian C. Hall, _Quantum theory for mathematicians_, Springer GTM __267__ (has also a big chapter on geometric quantization)

## Geometry and symmetries in classical and QM, quantization (but no QFT) 

In addition to the geometrically written titles under classical mechanics above, 

* Bernard F. Schutz, *Geometrical methods of mathematical physics* (elementary intro) [amazon](http://www.amazon.com/Geometrical-Methods-Mathematical-Physics-Bernard/dp/0521298873), [google](http://books.google.hr/books?id=HAPMB2e643kC&lpg=PP1&dq=schutz%20geometrical%20methods&pg=PP1#v=onepage&q&f=false)

* [[Peter Olver]], *Equivalence, invariants, and symmetry*, Cambridge Univ. Press 1995; *Applications of Lie groups to differential equations*, Springer.  

* [[Shlomo Sternberg]], *Group theory and physics*, Cambridge University Press 1994. 

* [[Victor Guillemin]], [[Shlomo Sternberg]], *Symplectic techniques in physics*, Cambridge University Press (1990)

* [[Theodore Frankel]], _[[The Geometry of Physics - An Introduction]]_, Cambridge Univ. Press

* [[Chris Isham]], _[[Modern Differential Geometry for Physicists]]_

* [[Klaas Landsman]], _Mathematical topics between classical and quantum mechanics_, Springer Monographs in Mathematics 1998. xx+529 pp.

* Sean Bates, [[Alan Weinstein]], _Lectures on the geometry of quantization_, [pdf](http://www.math.berkeley.edu/~alanw/GofQ.pdf)

* A. Cannas da Silva, A. Weinstein, _Geometric models for noncommutative algebras_, 1999, [pdf](http://math.berkeley.edu/%7Ealanw/Models.pdf)

* [[Nikolai Reshetikhin]], _Lectures on quantization of gauge systems_, [arxiv/1008.1411](http://arxiv.org/abs/1008.1411)

## Lorentzian geometry and general relativity

Global aspects of the geometry of spacetimes:

* John K. Beem, Paul E. Ehrlich, Kevin L. Easley, _Global Lorentzian geometry_ ([ZMATH](http://www.zentralblatt-math.org/zmath/en/advanced/?q=an:0846.53001&format=complete)) (global aspects)

* Arthur L. Besse, _Einstein manifolds_, Ergebnisse der Mathematik und ihrer Grenzgebiete, Band 10, Springer-Verlag, Berlin, Heidelberg, New York, London, Paris, Tokyo, 1987, xii + 510 pp. (differential geometry of solutions to Einstein equations, constant negative curvature, classification results, encyclopaedic; for a review see [Bull. AMS](http://projecteuclid.org/euclid.bams/1183554925)

After the introduction emphasis on asymptotics of spacetimes far from gravitation objects:

* John Stewart, _Advanced general relativity_ ([ZMATH entry] (http://www.zentralblatt-math.org/zmath/en/advanced/?q=an:0752.53048&format=complete))

Despite its title the next monograph does not just present the Kerr spacetime, it illustrates many core features of GR with the Kerr spacetime as the prominent example:

* Barrett O'Neill, _The geometry of Kerr black holes._ ([ZMATH](http://www.zentralblatt-math.org/zmath/en/advanced/?q=an:0828.53078&format=complete)) 

Here is an introduction to spinors in GR: 

* Peter O'Donnell, _Introduction to 2-spinors in general relativity._  ([ZMATH] (http://www.zentralblatt-math.org/zmath/en/advanced/?q=an:1021.83001&format=complete)) 

while the classic reference for this is:

* Roger Penrose, Wolfgang Rindler, _Spinors and spacetimes_ (2 vols, [vol 1, ZMATH](http://www.zentralblatt-math.org/zmath/en/advanced/?q=an:0538.53024&format=complete))

* Eric Poisson, _A relativist's toolkit. The mathematics of black-hole mechanics._ ([ZMATH](http://www.zentralblatt-math.org/zmath/en/advanced/?q=an:1058.83002&format=complete)) (computationally oriented)

See also the above book by Ward and Wells; and mainstream theoretical physics gravity textbooks by Misner, Thorne and Wheeler; Schutz; Landau-Lifschitz vol. 2; Wald; [[Chandrasekhar]] etc. For the [[supergravity]] see the appropriate chapters in the above listed collection by Deligne et al. or the references listed at [[supergravity]]. 

## Integrable systems and solitons

On [[integrable system]]s and [[soliton]]s:


* O. Babelon, D. Bernard, M. Talon, *Introduction to classical integrable systems*, Cambridge Univ. Press 2003.

* T. Miwa, M. Jimbo, E. Date, _Solitons: Differential equations, symmetries and infinite dimensional algebras_, Cambridge Tracts in Mathematics __135__, translated from Japanese by Miles Reid 

* V.E. Korepin, N. M. Bogoliubov, A. G. Izergin, _Quantum inverse scattering method and correlation functions_, Cambridge Univ. Press 1997.

* Ludwig D. Faddeev, Leon Takhtajan, _Hamiltonian methods in the theory of solitons_, Springer


## Modern mathematical approaches to QFT and strings

On [[quantum field theory]] and [[string theory]]:

* Yvonne Choquet-Bruhat, Cecile Dewitt-Morette, *Analysis, manifolds and physics*, 1982 and 2001

* Albert Schwartz, *Quantum field theory and topology*, Grundlehren der Math. Wissen. __307__, Springer 1993. (translated from Russian original)

* Howard Georgi: _Lie Algebras in Particle Physics. From isospin to unified theories._ ([ZMATH entry] (http://www.zentralblatt-math.org/zmath/en/advanced/?q=an:0505.00036&format=complete))

* [[Eberhard Zeidler]], *Quantum field theory. A bridge between mathematicians and physicists*. I: Basics in mathematics and physics. , II: Quantum electrodynamics

* {#HenneauxTeitelboim} [[Marc Henneaux]], [[Claudio Teitelboim]], _[[Quantization of Gauge Systems]]_, Princeton University Press 1992. 

* Charles Nash, *Differential topology and quantum field theory*, Acad. Press 1991.

* P. Deligne, P. Etingof, D.S. Freed, L. Jeffrey, D. Kazhdan, J. Morgan, D.R. Morrison and E. Witten, eds.  _Quantum fields and strings, A course for mathematicians_, 2 vols. Amer. Math. Soc. Providence 1999. ([web version](http://www.math.ias.edu/qft))

* Gregory L. Naber, *Topology, geometry, and gauge fields: interactions*

* Mikio Nakahara, *Geometry, topology and physics*

* Marian Fecko, *Differential geometry and Lie groups for physicists*

* V. S. Varadarajan, *Supersymmetry for mathematicians: an introduction*, AMS and Courant Institute, 2004.

* R. S. Ward, R. O. Wells, *Twistor geometry and field theory* (CUP, 1990)

* R. E. Borcherds, A. Barnard, *Lectures on QFT*, [arxiv:math-ph/0204014](http://arxiv.org/abs/math-ph/0204014)

* [[Anton Kapustin]], _Topological field theory, higher categories, and their applications_, survey for ICM 2010, [arxiv/1004.2307](http://arxiv.org/abs/1004.2307)

* Siddhartha Sen, [[zoranskoda:Kumar Gupta|Kumar Sankar Gupta]], [[zoranskoda:Gupta-Sen book|Many-body physics, topology and geometry]]

### Branes (mathematical aspects)

* Paul Aspinwall, Tom Bridgeland, Alastair Craw, Michael R. Douglas, Mark Gross, _Dirichlet branes and mirror symmetry_, Amer. Math. Soc. Clay Math. Institute 2009.

* Hisham Sati, [[Geometric and topological structures related to M-branes]], part I ([arXiv:1001.5020](http://arXiv.org/abs/1001.5020)), part _II: Twisted $String$ and $String^c$ structures_ ([arxiv/1007.5419](http://arxiv.org/abs/1007.5419)); part _III: Twisted higher structures_ ([http://arxiv.org/abs/1008.1755](http://arxiv.org/abs/1008.1755))

* A. N. Kapustin, [[Dmitri Orlov|D. O. Orlov]], _Lectures on mirror symmetry, derived categories, and $D$-branes_, Russian Mathematical Surveys, 2004, 59:5, 907&#8211;940 (Russian version: [pdf](http://www.mathnet.ru/php/getFT.phtml?jrnid=rm&paperid=772&volume=59&year=2004&issue=5&fpage=101&what=fullt&option_lang=eng), [arxiv version: [arxiv:math.AG/0308173](http://arxiv.org/abs/math.AG/0308173)).  

## Conformal field theory and vertex algebras

On [[conformal field theory]] and its chiral part ([[vertex operator algebras]], [[chiral algebras]]):

* Edward Frenkel, David Ben-Zvi: _Vertex algebras and algebraic curves_, Math. Surveys and Monographs __88__, AMS 2001,
xii+348 pp. (Bull. AMS. [review](http://www.ams.org/journals/bull/2002-39-04/S0273-0979-02-00955-2/S0273-0979-02-00955-2.pdf), [ZMATH entry](http://www.zentralblatt-math.org/zmath/en/advanced/?q=an:1106.17035&format=complete))

* Martin Schottenloher, *A mathematical introduction to conformal field theory* (CFT on the plane)

* Philippe Di Francesco, Pierre Mathieu, David S&#233;n&#233;chal, _Conformal field theory_, Springer 1997 (comprehensive textbook for theoretical physicists)

* Ralph Blumenhagen, Erik Plauschinn, _Introduction to conformal field theory: with applications to string theory_, Springer Lecture Notes in Physics (2011)

* V. Kac, _Vertex algebras for beginners_, Amer. Math. Soc. 

* B. Bakalov, A. Kirillov, _Lectures on tensor categories and modular functors_, AMS, University Lecture Series, (2000) ([web](http://www.math.sunysb.edu/~kirillov/tensor/tensor.html))

* [[Alexander Beilinson]], [[Vladimir Drinfeld]], __Chiral algebras__, Colloqium Publications __51__,  Amer. Math. Soc. 2004, [gbooks](http://books.google.hr/books?id=yHZh3p-kFqQC&lpg=PP1&vq=%22Two-dimensional%20conformal%20geometry%20and%20vertex%20operator%20algebras%22&dq=isbn%3A0817638296&pg=PP1#v=onepage&q=%22Two-dimensional%20conformal%20geometry%20and%20vertex%20operator%20algebras%22&f=false)

The related subject of positive energy representations for loop groups is represented in unavoidable reference

* A. Pressley, G. Segal, _Loop groups_, Oxford Math. Monographs, 1986.

## Axiomatic quantum/statistical field theory and rigorous approaches to path integral

* N. N. Bogoliubov, A. A. Logunov, I. T. Todorov, *Introduction to axiomatic quantum field theory*, 1975

* R. Haag, _Local quantum physics: fields, particles, algebras_, Springer 1992 [MR94d:81001](http://www.ams.org/mathscinet-getitem?mr=94d:81001), 1996 [MR98b:81001](http://www.ams.org/mathscinet-getitem?mr=98b:81001)

* Huzihiro Araki: _Mathematical theory of quantum fields._ Oxford University Press 1999 [ZMATH entry] (http://www.zentralblatt-math.org/zmath/en/advanced/?q=an:0998.81501&format=complete). 

* James Glimm, Arthur Jaffe, *Quantum physics: a functional integral point of view*, Springer

* Sergio Albeverio, Jens Erik Fenstad, Raphael Hoegh-Krohn, _Nonstandard methods in stochastic analysis and mathematical physics_, Acad. Press 1986 (there is also a Dover 2009 edition, and a 1990 Russian translation)

## Other reference lists

* [http://en.wikibooks.org/wiki/Introduction_to_Mathematical_Physics/References](http://en.wikibooks.org/wiki/Introduction_to_Mathematical_Physics/References) (that list has mostly references in the area of theoretical physics and just a minority with rigor of mainstream mathematical physics)

* [www.stringwiki.org](http://www.stringwiki.org/w/index.php?title=String_Theory_Wiki)
-- wiki contains entries on several dozens of string theory related topics, where each entry has several references, mainly papers available online

* [[schreiber:Mathematical Foundations of Quantum Field and Perturbative String Theory]], Proceedings of Symposia in Pure Mathematics __83__, Amer. Math. Soc. (2011)

* MathOverflow discussion: _[Companion to theoretical physics for working mathematicians](http://mathoverflow.net/questions/191609/companion-to-theoretical-physics-for-working-mathematicians)_

* reference list of Movshev's sunysb [course on QM](http://www.math.sunysb.edu/~mmovshev/MAT570Spring2008/syllabusfinal.html)

* geometrical background for [[Anton Kapustin]]'s course at Caltech: [list](http://theory.caltech.edu/~kapustin/Ph229/recbooks.html)

* John Baez: _How to Learn Math and Physics_  ([here] (http://math.ucr.edu/home/baez/books.html))

* [[Frédéric Paugam]], _Towards the mathematics of quantum field theory_,  Ergebnisse der Mathematik und ihrer Grenzgebiete, Volume 59, Springer (2014), (a draft formerly available [here](http://people.math.jussieu.fr/~fpaugam/documents/enseignement/master-mathematical-physics.pdf)).

* [[books about string theory]]
* various lectures notes in mathematical physics, Ulrich Theis' list at [Jena](http://www.personal.uni-jena.de/~p5thul2/notes/math.html)

category: reference
[[!redirects books in mathematical physics]]