
# Haar measure
* table of contents
{: toc}

## Idea 

If $G$ is a [[topological group]], a _Haar measure_ is a translation-invariant measure on the [[Borel set]]s of $G$. The archetypal example of Haar measure is the [[Lebesgue measure]] on the (additive group underlying) [[cartesian space]] $\mathbb{R}^n$. 


## Definition 

The proper generality in which to discuss Haar measure is where the topological group $G$ is assumed to be [[locally compact space|locally compact]] [[Hausdorff space|Hausdorff]], and from here on we assume this. (For [[topological group]]s, the Hausdorff assumption is rather mild; it is equivalent to the $T_0$ separation condition. See the discussion at [[uniform space]].) 

Let $C_c(G)$ denote the vector space of continuous real-valued functionals with compact support on $G$. This is a [[locally convex topological vector space]] where the locally convex structure is specified by the family of seminorms 

$$\rho_K(f) = \sup_{x \in K} |f(x)|,$$ 

$K$ ranging over compact subsets of $G$. Recall that a [[Radon measure]] on $G$ may be described as a continuous linear functional 

$$\mu: C_c(G) \to \mathbb{R}$$ 

which is _positive_ in the sense that $\mu(f) \geq 0$ whenever $f \geq 0$. This defines a measure $\hat{\mu}$ on the $\sigma$-algebra of Borel sets in the usual sense of [[measure theory]], where 

$$\hat{\mu}(B) = sup \{\mu(f): supp(f) = K \subseteq B, \rho_K(f) = 1\}$$ 

By abuse of notation, we generally conflate $\mu$ and $\hat{\mu}$. 

A **left Haar measure** on $G$ is a nonzero Radon measure $\mu$ such that 

$$\mu(g B) = \mu(B)$$ 

for all $g \in G$ and all Borel sets $B$. 


## Existence and Uniqueness 

Any locally compact Hausdorff topological group $G$ admits a Haar mesaure that is unique up to scalar multiple. This result was first proven by Weil. A proof by be found in these online [notes](http://simonrs.com/HaarMeasure.pdf) by Rubinstein-Salzedo. 


### Left and Right Haar Measures that Differ

The left and the right Haar measure may or may not coincide, groups for which they coincide are called **unimodular**.
Consider the matrix subgroup
$$
G := \left\{ \left.\, \begin{pmatrix} y & x \\ 0 & 1 \end{pmatrix}\,\right|\, x, y \in \mathbb{R}, y \gt 0  \right\}
$$
The left and right invariant measures are, respectively,
$$
  \mu_L = y^{-2} \,\mathrm{d}x \,\mathrm{d}y,\quad   \mu_R = y^{-1} \,\mathrm{d}x \,\mathrm{d}y
$$
and so G is not unimodular.

[[Abelian groups]] are obviously unimodular; so are [[compactum|compact]] groups and [[discrete topology|discrete]] groups.


[[!redirects Haar measure]]
[[!redirects Haar measures]]
[[!redirects haar measure]]
[[!redirects haar measures]]
