
#Contents#
* table of contents
{:toc}

## Idea

The **Poincar&eacute; sphere** is a "fake" 3-dimensional sphere: it is a smooth 3-dimensional [[manifold]] which has the same [[homology]] as the usual [[3-sphere]], but which is not [[homeomorphism|homeomorphic]] to it. 

Specifically, it is obtained as $SO(3)/I$ where $I$ is the [[icosahedral group]] of rotations (the subgroup of rotations which [[stabilizer subgroup|stabilize]] an [[icosahedron]]). 

The [[universal cover]] of the Poincar&eacute; sphere $S$ is the standard 3-sphere. This is exhibited in the following diagram: 

$$\array{
B & \hookrightarrow & SU(2) \cong S^3 & \stackrel{p}{\to} & S \\
\downarrow & & \downarrow \pi & & \downarrow \cong \\
I & \hookrightarrow & SO(3) & \to & SO(3)/I
}$$

where the double cover $\pi$ is the universal cover of $SO(3)$, and the double cover $B$ of $I$ is called the _binary icosahedral group_. It follows that $\pi_1(S) \cong B$, and since $B$ is a [[perfect group]], its abelianization is trivial, and therefore $p$ induces an isomorphism in first homology. It induces an isomorphism in homotopy groups $\pi_i$ for $i \geq 2$ by an easy computation involving the long exact homotopy sequence applied to the top row. 

## Related concepts

* [[ADE classification]]

## References

* _[The Poincare sphere](http://sites.psu.edu/surgeryforamateurs/2013/09/03/the-poincare-sphere/)_

[[!redirects Poincare sphere]]