
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Riemannian geometry
+--{: .hide}
[[!include Riemannian geometry - contents]]
=--
#### Differential geometry
+--{: .hide}
[[!include synthetic differential geometry - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

Given a finite dimensional (pseudo)-[[Riemannian manifold]] $(X,g)$, the _Hodge star operator_ "completes" a $k$-[[differential form]] to the [[volume form]] of $(X,g)$. 


## Definition

Let $(X,g)$ be an [[orientation|oriented]] $n$-[[dimension]]al [[smooth manifold]] $X$ endowed with a ([[pseudo-Riemannian metric|pseudo]])-[[Riemannian metric]] $g$.  For $0 \leq k \leq n$, write $\Omega^k(X)$ for the [[vector space]] of $k$-[[differential forms|forms]] on $X$.

### Hodge inner product

The metric $g$ naturally induces a nondegenerate symmetric [[bilinear form]]  

$$
  (-\mid-) 
   \;\colon\;
  \Omega^k(X) \otimes \Omega^k(X)
    \to 
  \Omega^0(X)
  \,.
$$

If $X$ is [[compact space|compact]] then the [[integral]] of this against the [[volume form]] $vol_g$ exists. This is the _Hodge inner product_ 

$$
  \langle - , - \rangle 
  \;\colon\;
  \Omega^k(X)\otimes \Omega^k(X)
  \to 
  \mathbb{R}
$$

$$
  \langle \alpha, \beta \rangle
  :=
  \int_X (\alpha\mid \beta) vol
 \,.
$$

### Hodge star operator

The **Hodge star operator** is the unique 
[[linear function]] 

$$
  {\star}\colon \Omega^k (X) \to \Omega^{n-k} (X)
$$ 

defined by the identity

$$
  \alpha \wedge \star\beta 
  = 
  (\alpha \mid \beta) vol_g, 
  \qquad 
  \forall \alpha,\beta \in \bigwedge^k X
  \,,
$$

where $vol_g \in \Omega^n X$ is the [[volume form]] induced by $g$.

Therefore in terms of the Hodge operator the [[Hodge inner product]] reads

$$
  \langle \alpha , \beta\rangle
  = 
  \int_X \alpha \wedge \star \beta
  \,.
$$

## Properties

### Component formulas

If $e_1,\dots,e_n$ is a [[local frame|local basis]] on $X$ and $e^1,\dots,e^n$ is the [[dual basis]], so that $\alpha = \frac{1}{k!} \alpha_{i_1,\dots,i_k} e^{i_1} \wedge \cdots \wedge e^{i_k}$, then

$$
\star \alpha = \frac{1}{k!(n-k)!} \epsilon_{i_1,\dots,i_n} \sqrt{|det(g)|} \alpha_{j_1,\dots,j_k} g^{i_1,j_1} \cdots g^{i_k,j_k} e^{i_{k+1}} \wedge \cdots \wedge e^{i_n},
$$

where $\epsilon_{i_1,\dots,i_n}$ is the [[signature of a permutation|sign]] of the [[permutation]] $(1,2,\dots,n)\mapsto (i_1,i_2,\dots,i_n)$ and $det(g)$ is the [[determinant]] of $g$ in the local basis.


### Basic properties (Basis-independent formulas)
 {#BasicProperties}

Let $(X,g)$ be a [[Riemannian manifold]] of [[dimension]] $n$ and let $\omega,\lambda \in \Omega^k(X)$. Then

* $\star(\star\omega) = (-1)^{k(n+1)} \omega = (-1)^{k(n-k)} \omega$;

* $\langle\star\omega , \star\lambda\rangle = \langle\omega | \lambda\rangle$;

* $\star 1 = vol$.

### On a K&#228;hler manifold
 {#OnAKahlerManifold}

On a [[Kähler manifold]] $\Sigma$ of [[dimension]] $dim_{\mathbb{C}}(\Sigma) = n$ the Hodge star operator acts on the [[Dolbeault complex]] as

$$
  \star \;\colon\; \Omega^{p,q}(X) \longrightarrow \Omega^{n-q,n-p}(X)
  \,.
$$

(notice the exchange of the role of $p$ and $q$). See e.g. ([Biquerd-H&#246;ring 08, p. 79](#BiquerdHoering08)). See also at _[[Serre duality]]_.

## Generalisations

The [[Riemannian metric|metric]] $g$ is used in two places in the specification of the Hodge operator: in the inner product on forms and in the volume form.  If $X$ is equipped only with a [[volume form]] (not necessarily coming from a metric), then the Hodge operator still takes $k$-forms to $(n-k)$-[[multivector field|vector fields]].  If the manifold is not oriented, then the metric only gives a [[volume pseudoform]], but the Hodge operator still takes $k$-forms to $(n-k)$-[[pseudoforms]].  Finally, if $X$ is equipped with only a volume pseudoform (which is equivalent to an [[absolutely continuous measure|absolutely continuous]] [[Radon measure]] on $X$), then the Hodge operator takes $k$-forms to $(n-k)$-pseudovector fields.  (Of course, in every case, one might apply the operator to pseudoforms or multivector fields to begin with.)


## References

Some useful basic formulas are listed in 

* _Hodge theory on Riemannian manifolds_ , lecture notes ([pdf](http://math.uh.edu/~minru/Riemann08/hodgetheory.pdf))

Discussion in [[complex geometry]] includes


* {#BiquerdHoering08} O. Biquard, A. H&#246;ring, _K&#228;hler geometry and Hodge theory_, 2008 ([pdf](http://math.unice.fr/~hoering/hodge/hodge.pdf))

[[!redirects Hodge star]]
[[!redirects Hodge star operator]]
[[!redirects Hodge star operators]]

[[!redirects Hodge inner product]]

[[!redirects Hodge dual]]
[[!redirects Hodge duals]]

[[!redirects Hodge duality]]
