
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Enriched category theory
+--{: .hide}
[[!include enriched category theory contents]]
=--
#### Limits and colimits
+--{: .hide}
[[!include infinity-limits - contents]]
=--
=--
=--



#Contents#
* automatic table of contents goes here
{:toc}

## Idea

In a [[closed monoidal category]] $C$ the [[tensor product]] $a \otimes b$ and [[internal hom]] $[b,c]$ are related by the defining [[natural isomorphism]]

$$
  C(a \otimes b, c) \simeq C(a, [b,c])
  \,.
$$

The notion of **copowering** generalizes this to the situation where a category $C$ does not act on itself by tensors, but where another category $V$ acts on $C$.

The dual notion is that of [[power]]ing.

## Definition 

+-- {: .un_defn}
###### Definition

Let $V$ be a [[closed monoidal category|closed]] [[monoidal category]].  In a $V$-[[enriched category]] $C$, the **copower** of an object $x\in C$ by an object $k\in V$ is an object $k\odot x \in C$ with a [[natural isomorphism]]

$$
  C(k\odot x, y) \cong V(k, C(x,y))
$$

where $C(-,-)$ is the $V$-valued [[hom-functor]] of $C$ and $V(-,-)$ is the [[internal hom]] of $V$.

=--

+-- {: .un_remark}
###### Remark


Copowers are frequently called _tensors_ and a $V$-category having all copowers is called _tensored_, while the word "copower" is reserved for the case $V=Set$.  However, there seems to be no good reason for making this distinction.  Moreover, the word "tensor" is fairly overused, and unfortunate since a tensor (= a copower) is a colimit, while a cotensor (= [[power]]) is a limit.


=--
## Properties

* In the $V$-category $V$, the copower is just the [[tensor product]] of $V$.

* Copowers are a special sort of [[weighted limit|weighted colimit]].  Conversely, all weighted colimits can be constructed from copowers together with [[conical colimit]]s (i.e., ordinary $Set$-based colimits), assuming these exist.  The dual limit notion of a copower is a [[power]].


## Examples

* Every [[locally small category]] $C$ with all [[coproduct]]s is canonically copowered over [[Set]]: the copowering functor

  $$
    \otimes : Set \times C \to C
  $$

  sends $(S,b)$ to $|S|$-many copies of $b \in C$:

  $$
    S \otimes b := \coprod_{s \in S} b
    \,.
  $$

  The defining natural isomorphism in this situation is then just the fact that the [[hom functor]] sends colimits in its first argument to limits:

  $$
    C(\coprod_{s \in S} b , c)
    \simeq
    \prod_{s \in S} C(b,c)
    \simeq
    Set(S, C(b,c))
    \,.
  $$

The next two classes of examples are covered in Kelly's book (see references). 

* If $B$ is $V$-copowered and $A$ is $V$-small, then the $V$-functor category $B^A$ is $V$-copowered. 

* If $C$ is $V$-copowered and $B \to C$ is a $V$-reflective full embedding, then $B$ is also copowered. 


## Related concepts

* **copower**, [[(∞,1)-copower]]

* [[power]]

* [[bitensoring]]

## References

Section 3.7 of

* [[Max Kelly]], _Basic concepts of enriched category theory_ ([tac](http://www.tac.mta.ca/tac/reprints/articles/10/tr10abs.html) ,[pdf](http://www.tac.mta.ca/tac/reprints/articles/10/tr10.pdf))

Section 6.5 of

* [[Francis Borceux]], _Handbook of categorical algebra, vol. 2_

[[!redirects copowers]]

[[!redirects tensoring]]
[[!redirects copowering]]