
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Quantum field theory
+--{: .hide}
[[!include functorial quantum field theory - contents]]
=--
#### AQFT
+--{: .hide}
[[!include AQFT and operator algebra contents]]
=--
=--
=--

#Contents#
* the following line creates the automatic table of contents
{:toc}


## Idea ##
This page is about PCT theorems in [[quantum field theory]]. PCT stands for parity, charge and time (warning: the order of the letters P, C and T varies, some authors use CPT, for example). The laws of nature as described by [[quantum field theory]]s are believed to be invariant if one simultaneously reverses the arrow of time, conjugates all charges and reverses all chiral properties. PCT theorems try to make this believe precise by defining the appropriate operators and showing that certain expressions remain constant. Both the statements and the proofs depend on the framework for [[quantum field theory]] one uses.

Being "invariant" means that every process that can be observerd in our universe can be observed identically in the "mirror" universe, that is there is no experiment in our universe that cannot be duplicated in the mirror universe. 

For some time physicists believed that subsets of the PCT symmetry are respected by nature, but today there are counterexamples known for every subset, for example:

* The [[weak force]] violates parity symmetry.

* Charge symmetry would violate the observation that the universe consists mostly of matter and not of matter and antimatter.

* For CP symmetry violation see Wikipedia: [CP violation](http://en.wikipedia.org/wiki/CP_violation)

* All known physical laws are time symmetric, but since PCT symmetry is believed to hold and CP symmetry does not hold, there has to be a process that breaks T symmetry. As of today there is no consenus about what that process may be (there are good reasons to believe that it has nothing to do with the second law of thermodynamics).  

## Abstract ##
...

## Definition ##

### Definition in the Wightman approach ###

The PCT theorem for Wightman fields (see [[Wightman axioms]]) was proved by Res Jost, see references.

This proof clarified the different conditions one has to impose, these are:

1. Covariance of the theory under the (connected part of the) [[Poincare group]].

2. Positivity of the energy.

3. There are only fields, which transform with respect to finite dimensional representations of the [[Lorentz group]]. (Transformation of the index space.)

4. Locality, which means that for spacelike distances the Bose fields commute with all other fields and the Fermi fields anticommute with each other.

5. The [[Minkowski space]] has even dimensions.

6. To every field in the theory appears its conjugate complex partner.

### Definition in the Haag-Kastler approach ###

Let $\mathcal{M}(\mathcal{J})$ be a [[AQFT|Haag-Kastler net]] on [[Minkowski spacetime]].

+-- {: .un_defn}
###### Definition

A **PCT operator** $\Theta$ on the local net is an anti-linear [[automorphism]], that is for every local algebra $\mathcal{M}(\mathcal{O})$, elements $A, B \in \mathcal{M}(\mathcal{O})$ and $\lambda \in \mathbb{C}$ we have the relations

1. $\Theta(A B) = \Theta(A) \Theta(B)$;

1. $\Theta(\lambda A) = \overline \lambda \Theta(A)$;

1. $\Theta(\mathcal{M}(\mathcal{O})) = \mathcal{M}(-\mathcal{O})$;

such that for $(\Lambda,a) \mapsto U(\Lambda, a)$ the given [[representation]] of the [[Poincare group]] on $\mathcal{M}$ we have 

1. $\Theta U(\Lambda, a) A = U(\Lambda, -a) \Theta A$;

1. $\Theta$ transforms every [[charge sector]] into its conjugate sector.

=--

A **PCT theorem** in this context is a theorem that states sufficient conditions such that a PCT operator $\Theta$ exists.

## Properties ##
...

## Examples ##
...

## Related concepts

* [[antiparticle]], 

* [[charge sector]], [[DHR category]]

## References ##

* Wikipedia: [CPT symmetry](http://en.wikipedia.org/wiki/CPT_symmetry)

Proof for Wightman fields:

* Res Jost: _Eine Bemerkung zum CPT Theorem_ Helv. Phys. Acta 30 (1957), p.409-416

See also

* Borchers, Yngvason: _On the PCT--Theorem in the Theory of Local Observables_ ([arXiv:math-ph/0012020](http://arxiv.org/abs/math-ph/0012020))

Proof for [[Lagrangian]] field theory (not falling back to the [[AQFT]] axiomatics) is in 

* Hilary Greaves, [[Teruji Thomas]], _The CPT theorem_, Studies in History and Philosophy of Modern Physics 45 (2014) 46-66 ([arXiv:1204.4674](http://arxiv.org/abs/1204.4674))

[[!redirects PCT]]
[[!redirects PCT symmetry]]
[[!redirects CPT]]
[[!redirects CPT symmetry]]
[[!redirects CPT theorem]]