
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The theory called _the theory of general relativity_ is the [[classical field theory]] that in [[physics]] describes the field of [[gravity]].

In general relativity physical [[spacetime]] is modeled in terms of [[differential geometry]] as a [[Lorentzian manifold]] whose [[pseudo-Riemannian metric]] -- or rather the [[Levi-Civita connection]] that corresponds to it -- encodes the field of [[gravity]].

The [[action functional]] describing the dynamics of this field is the [[Einstein-Hilbert action]], in which the field of gravity enters in terms the integral of the [[scalar curvature]] of the [[Levi-Civita connection]] over spacetime.

As usual in [[classical field theory]], the physically realized configurations -- here: Levi-Civita connections -- are those that extremize this functional. The [[Euler-Lagrange equation]]s characterizing these extrema are the [[Einstein equations]].

Historically the theory of general relativity was developed by [[Albert Einstein]] based on the theory known as [[special relativity]]. Given the conceptual simplicity of the [[Einstein-Hilbert action]], there are several variations of his original version of the theory that are immediately obtained by adding certain terms to the action functional. One of these generalization is [[supergravity]], which extends the theory from ordinary [[differential geometry]] to [[supergeometry]].

## Related concepts

* [[general covariance]]

* [[equivalence principle (physics)]]

* [[relativistic field theory]]

## References

* [[Matthias Blau]], _Lecture notes on general relativity_ ([web](http://www.blau.itp.unibe.ch/GRLecturenotes.html))

* Emil T. Akhmedov, _Lectures on General Theory of Relativity_ ([arXiv:1601.04996](https://arxiv.org/abs/1601.04996))

* Pietro Menotti, _Lectures on gravitation_ ([arXiv:1703.05155](https://arxiv.org/abs/1703.05155))

For some introductory exposition, see 

* [[John Baez]], [The General Relativity Tutorial](http://math.ucr.edu/home/baez/gr/gr.html)

[[!redirects General Relativity]]

[[!redirects theory of general relativity]]
