
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### AQFT
+--{: .hide}
[[!include AQFT and operator algebra contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A _conformal net_ is a [[local net]] of observables that describes (2-dimensional) [[conformal field theory]] in the framework of [[AQFT]].

## Definition



(...)

## Properties

### 3-Category of conformal nets

(...)

* [[3-category of fermionic conformal nets]]

### Relation to vertex operator algebras

Subject to some conditions a [[vertex operator algebra]] may be turned into a conformal net and vice versa ([Carpi-Kawahigahshi-Longo-Weiner 15](#CarpiKawahigahshiLongoWeiner15)).

### Relation to spectral triples

Superconformal nets encoding [[2d SCFTs]] may be related to [[local nets]] of [[spectral triples]] ([#CHKL 09](#CHKL09)) (an incarnation of "[[2-spectral triples]]", see there for more).

## Examples

### Free fermion



([DH, section 4](#DouglasHenriquesGeometric))

$$
  Fer_n(I) 
    \coloneqq
  Cl(L^2(I, \mathbb{R}^n \otimes S))
$$

## Related concepts

* [[conformal structure]], [[CFT]]

* [[conformal bootstrap]]

## References

### Fundamentals

Standard [[AQFT]] references on conformal nets include

* [[Roberto Longo]], _Conformal Subnets and Intermediate Subfactors_ ([arXiv:0102196](http://arxiv.org/abs/math/0102196))

and lots of others...

A somewhat novel take on conformal nets is presented and studied in 

* [[Arthur Bartels]], [[Chris Douglas]], [[Andre Henriques]], _Conformal nets and local field theory_ ([arXiv:0912.5307](http://arxiv.org/abs/0912.5307))

* [[Arthur Bartels]], [[Chris Douglas]], [[Andre Henriques]], _Conformal nets I: coordinate-free nets_ ([arXiv:1302.2604](http://arxiv.org/abs/1302.2604))

where conformal nets are arranged into a [[tricategory]]  with [[symmetric monoidal category|symmetric monoidal structure]] that is a [[delooping]] of the [[bicategory]] of [[von Neumann algebra]]s and [[bimodule]]s between these. Among other things, this work connects the [[AQFT]] notion of conformal nets with the [[FQFT]] notion of [[cobordism]] representations.

More on this in

* [[Chris Douglas]], [[André Henriques]], _Topological modular forms and conformal nets_ , in [[Branislav Jurčo]], [[Hisham Sati]], [[Urs Schreiber]] (eds.), _[[schreiber:Mathematical Foundations of Quantum Field and Perturbative String Theory]]_

* [[Chris Douglas]], [[André Henriques]], _Geometric string structures_ ([pdf](http://www.staff.science.uu.nl/~henri105/PDF/TringWP.pdf))
 {#DouglasHenriquesGeometric}

Relation to [[vertex operator algebras]] is discussed in

* {#CarpiKawahigahshiLongoWeiner15} [[Sebastiano Carpi]], [[Yasuyuki Kawahigashi]], [[Roberto Longo]], Mihály Weiner, _From vertex operator algebras to conformal nets and back_ ([arXiv:1503.01260](http://arxiv.org/abs/1503.01260))

* {#Carpi16} [[Sebastiano Carpi]], _Operator algebras and vertex operator algebras_, Contribution to the Proceedings of the 14th Marcel Grossmann Meeting - MG14 (Rome, 2015) ([arXiv:1603.06742](http://arxiv.org/abs/1603.06742))


Relation to [[2-spectral triples]] is discussed in terms of [[vertex operator algebras]]

* [[Yan Soibelman]], _Collapsing CFTs, spaces with non-negative Ricci curvature and nc-geometry_ , in [[Branislav Jurčo]], [[Hisham Sati]], [[Urs Schreiber]] (eds.), _[[schreiber:Mathematical Foundations of Quantum Field and Perturbative String Theory]]_

and in terms of actual [[local nets]] in

* {#CHKL09} [[Sebastiano Carpi]], Robin Hillier, [[Yasuyuki Kawahigashi]], [[Roberto Longo]], _Spectral triples and the super-Virasoro algebra_, Commun.Math.Phys.295:71-97 (2010) ([arXiv:0811.4128](http://arxiv.org/abs/0811.4128))

### Classification
 {#ReferencesClassification}


* [[Yasuyuki Kawahigashi]], _Classification of operator algebraic conformal field theories in dimensions one and two_ ([arXiv:math-ph/0308029](http://arxiv.org/abs/math-ph/0308029))

* [[Yasuyuki Kawahigashi]], [[Roberto Longo]], _Classification of Two-dimensional Local Conformal Nets with $c \lt 1$ and 2-cohomology Vanishing for Tensor Categories_ ([arXiv](http://arxiv.org/abs/math-ph/0304022))

* [[Yasuyuki Kawahigashi]], [[Roberto Longo]], _Classification of Local Conformal Nets. Case $c \lt 1$ _ ([arXiv](http://arxiv.org/abs/math-ph/0201015))

### Representation theory

Articles that discuss the [[representation theory]] of conformal nets include

* [[Sebastiano Carpi]], [[Roberto Conti]], Robin Hillier, Mihaly Weiner, _Representations of Conformal Nets, Universal $C^\ast$-Algebras and K-Theory_ ([arXiv:1202.2543](http://arxiv.org/abs/1202.2543))




[[!redirects conformal nets]]

[[!redirects local conformal net]]
[[!redirects local conformal nets]]