
#Contents#
* automatic table of contents goes here
{:toc}

## Idea

The _Fenchel-Nielson coordinates_ are certain [[coordinates]] on [[Teichmüller space]].


They parameterize Teichmüller space by cutting surfaces into pieces with 
[[geodesic]] boundaries and [[Euler characteristic]] $\xi = -1$. These building blocks  (of hyperbolic 2d geometry) are precisely

* the 3-holed sphere;

* the 2-holed cusp;

* the 1-holed 2-cusp;

* the 3-cusp

Each surface of [[genus]] $g$ with $n$ marked points will have

* $2g - 2 + n$ generalized pants;

* $3 g - 3 + n$ closed curves.


The boundary lengths $\ell_i \in \mathbb{R}_+$ and twists 
$t_i \in \mathbb{R}$  of these pieces 
for 

$$
  1 \leq i \leq 3g-3+n
$$

constitute the [[Fenchel-Nielsen coordinates]] on 
[[Teichmüller space]] $\Tau$.

Also use $\theta_i := t_i/\ell_i \in \mathbb{R}/\mathbb{Z}$

This constitutes is a real analytic [[atlas]] of Teichmüller space. On $M$ this  reduces to coordinates $t_i \in \mathbb{R}/{\ell_i \mathbb{Z}}$, 
and these constitute a real analytic atlas of moduli space.

## References

* Kathy Paur, _The Fenchel-Nielson coordinates of Teichmüller spaces_ ([pdf](http://www-math.mit.edu/phase2/UJM/vol1/PAUR-F.PDF))
* Werner Fenchel, [[Jakob Nielsen]], reprinted in _Discontinuous groups of isometries in the hyperbolic plane_, edited by Asmus L. Schmidt; De Gruyter Studies in Math. __29__, 2003.

[[!redirects Fenchel-Nielsen coordinates]] 
[[!redirects Fenchel-Nielsen coordinate]] 