
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Integration theory
+--{: .hide}
[[!include integration theory - contents]]
=--
#### Motivic cohomology
+--{: .hide}
[[!include motivic cohomology - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## History

Motivic integration has been introduced in the talk of [[Maxim Kontsevich]] at Orsay in 1995. This talk also dealt with [[orbifold cohomology]] as well as 2 related papers of  [[Lev Borisov]]. The orbifold cohomology has been continued by Weimin Chen, [[Yongbin Ruan]] and collaborators, and later also by algebraic geometers Abramovich, Vistoli, and others. From physical side a pioneer of both subjects is also Batyrev. 

Later, more general framework of motivic integration in model theory has been put forward by Denef and Loeser, partly based on Denef's work on $p$-adic integration. More recent work using model theoretical approach is by Hrushovski and Kazhdan. 

## Related concepts

* [[p-adic integration]]

## References

* Jan Denef, [[François  Loeser]], _Definable sets, motives and $p$-adic integrals_,  J. Amer. Math. Soc. __14__ (2001),  no. 2, 429--469, [doi](http://dx.doi.org/10.1090/S0894-0347-00-00360-X)

* Jan Denef, François  Loeser, _Motivic integration and the Grothendieck group of pseudo-finite fields_ Proc. ICM, Vol. II (Beijing, 2002), 13--23, Higher Ed. Press, Beijing, 2002. 

* R. Cluckers, F. Loeser, _Constructible motivic functions and motivic integration_, Invent. Math. __173__ (2008), 23--121 [math.AG/0410203](http://arxiv.org/abs/math/0410203)

* Jan Denef, François  Loeser, _Germs of arcs on singular algebraic varieties and motivic integration_,  Invent. Math. __135__  (1999),  no. 1, 201--232.

* D. Abramovich, M. Mariño, M. Thaddeus, R. Vakil, _Enumerative invariants in algebraic geometry and string theory_, Lectures from the C.I.M.E. Summer School, Cetraro, June 6--11, 2005. Edited by Kai Behrend and Marco Manetti. LNIM 1947, Springer 2008. x+201 pp.

* Manuel Blickle, _A short course on geometric motivic integration_, [math.AG/0507404](http://arxiv.org/abs/math/0507404)

* [[Ehud Hrushovski]], [[David Kazhdan]], _Motivic Poisson summation_, [arxiv/0902.0845](http://arxiv.org/abs/0902.0845)

* [[Ehud Hrushovski]], [[David Kazhdan]], _The value ring of geometric motivic integration and the Iwahori Hecke algebra of $SL_2$_, [math.LO/0609115](http://arxiv.org/abs/math/0609115); _Integration in valued fields_, in Algebraic geometry and number theory, 261–405, Progress. Math. __253__, Birkhäuser Boston, [pdf](http://math.huji.ac.il/~ehud/papers/intv-060428.pdf)

* Julia Gordon, Yoav Yaffe, _An overview of arithmetic motivic integration_, [arxiv/0811.2160](http://arxiv.org/abs/0811.2160)

* Thomas C. Hales, _What is motivic measure?_, [math.LO/0312229](http://arxiv.org/abs/math/0312229)

* [[David Kazhdan]], _Lecture notes in motivic integration_, with intro to logic and model theory, [pdf](http://www.ma.huji.ac.il/~kazhdan/Notes/motivic/b.pdf)
* R. Cluckers, J. Nicaise, J. Sebag (Editors), _Motivic Integration and its Interactions with Model Theory and Non-Archimedean Geometry_, 2 vols.
London Mathematical Society Lecture Note Series __383__, __384__ 
* [[Raf Cluckers]], _Motivic integration for dummies_, [pdf](http://wis.kuleuven.be/algebra/Raf/MForD.pdf), A course on motivic integration [I](http://wis.kuleuven.be/algebra/Raf/LaRoche3Cluckers.pdf), [II](http://wis.kuleuven.be/algebra/Raf/LaRoche3Cluckers.pdf), [III](http://wis.kuleuven.be/algebra/Raf/LaRoche3Cluckers.pdf)
* Raf Cluckers, Julia Gordon, Immanuel Halupczok, _Motivic functions, integrability, and uniform in p bounds for orbital integrals_, [arxiv/1309.0594](http://arxiv.org/abs/1309.0594)

* [[Lou van den Dries]], _Lectures on Motivic Integration_ , Ms. University of Illinois at Urbana-Champaign. ([dvi](http://www.math.uiuc.edu/~vddries/mo.dvi))

* Julien Sebag, _Intégration motivique sur les schémas formels_,  Bull. Soc. Math. France 132 (2004), no. 1, 1–54, [MR2005e:14017](http://www.ams.org/mathscinet-getitem?mr=2075915) 

* Takehiko Yasuda, _Motivic Integration over Deligne-Mumford Stacks_ , arXiv.0312115 (2004). ([pdf](http://arxiv.org/pdf/math/0312115v5.pdf))

* M. Larsen, [[Valery Lunts]], _Motivic measures and stable birational geometry_, 
Mosc. Math. J. 3 (2003), no. 1, 85–95, 259, [math.AG/0110255](http://arxiv.org/abs/math/0110255), [MR2005a:14026](http://www.ams.org/mathscinet-getitem?mr=1996804), [journal](http://www.ams.org/distribution/mmj/vol3-1-2003/abst3-1-2003.html#larsen-lunts_abstract); _Rationality criteria for motivic zeta functions_, Compos. Math. __140__ (2004), no. 6, 1537–1560, [math.AG/0212158](http://arxiv.org/abs/math/0212158)
* [[Alexei Bondal]]. M. Larsen, [[Valery Lunts]], _Grothendieck ring of pretriangulated categories_, Int. Math. Res. Not. 2004, no. 29, 1461–1495, [math.AG/0401009](http://arxiv.org/abs/math/0401009)

* Emmanuel Bultot, _Motivic integration and logarithmic geometry_, PhD thesis [arxiv/1505.05688](http://arxiv.org/abs/1505.05688)
 
[[!redirects motivic measure]]