## Idea

__Quasinormal modes__ are analogues of normal modes for physical systems in the presence of dissipation. In other words, these are the eigenstates of linearized equations of motion, e.g. of nonlinear wave equations. The eigenvalues become complex, signifying nonconservation of energy. This notion is especially prevalent recently in [[black hole]] physics.

## References

* [wikipedia](http://en.wikipedia.org/wiki/Quasinormal_mode)

* [[Frederik Denef]], Sean A. Hartnoll, Subir Sachdev, _Black hole determinants and quasinormal modes_, Class.Quant.Grav. __27__, 125001 (2010), [arxiv/0908.2657](http://arxiv.org/abs/0908.2657); _Quantum oscillations and black hole ringing_, Physical Review D __80__, 126016 (2009), [arxiv/0908.1788](http://arxiv.org/abs/0908.1788), [journal](http://link.aps.org/doi/10.1103/PhysRevD.80.126016)

* Sayan K. Chakrabarti, Kumar S. Gupta, _Asymptotic quasinormal modes of d-dimensional Schwarzschild black hole with Gauss-Bonnet correction_, Int.J.Mod.Phys. A21 (2006) 3565-3574, [hep-th/0506133](http://arxiv.org/abs/hep-th/0506133), [doi](http://dx.doi.org/10.1142/S0217751X06031612)

* Shouvik Datta, Justin R. David, _Higher spin quasinormal modes and one-loop determinants in the BTZ black hole_, JHEP 2012:79 [arxiv/1112.4619](http://arxiv.org/abs/1112.4619)
    
[[!redirects quasinormal modes]]