## Motivation

By the Gabriel-Rosenberg reconstruction theorem a scheme $X$ can be reconstructed from the category $Qcoh_X$ of quasicoherent sheaves on $X$. If $i : Y\hookrightarrow X$ is a subscheme of $X$ then we can identify the category quasicoherent sheaves on $Y$ with certain abelian subcategory of quasicoherent sheaves on $X$. One attempts to abstractly deefine the properties of such a subcategory which guarantee that it corresponds to a subcategory of that kind.

## Definition

([[Alexander Rosenberg]] in his 1996 book and MPI preprints with Lunts from 1996)

A **subscheme** of an abelian category $A$ is a [[coreflective subcategory|coreflective]] [[topologizing subcategory]] of $A$. 

If a subscheme is also reflective then we call it Zariski closed.  

## Properties

If an abelian category $A$ has the Gabriel's property (sup) then every 

(a) The intersection of any set of subschemes of $A$ is a subscheme.

(b) The intersection of any set of Zariski closcd suhschemes of $A$ is a Zariski closed subscheme.

## Literature

* V. A. Lunts, A. L. Rosenberg, _Differential calculus in noncommutative algebraic geometry I. D-calculus on noncommutative rings_, MPI 1996-53 [pdf](http://www.mpim-bonn.mpg.de/preprints/send?bid=3894), II. D-Calculus in the braided case. The localization of quantized enveloping algebras, MPI 1996-76 [pdf](http://www.mpim-bonn.mpg.de/preprints/send?bid=3916)

[[!redirects subschemes of an abelian category]]
[[!redirects subscheme of an abelian category]]