
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Symplectic geometry
+--{: .hide}
[[!include symplectic geometry - contents]]
=--
#### $(\infty,1)$-Category theory
+-- {: .hide}
[[!include quasi-category theory contents]]
=--
#### Stable Homotopy theory
+-- {: .hide}
[[!include stable homotopy theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The _Fukaya category_ of a [[symplectic manifold]] $X$ is an
[[A-∞ category]] having [[Lagrangian submanifold]]s of $X$ as objects. 
When two Lagrangian submanifolds $L_1$ and $L_2$ of $X$ meet
transversally, their [[hom-object|hom-space]] in the Fukaya category can be roughly
defined as the free vector space generated by the intersection points
$x\in L_1\cap L_2$; one of the main difficulties in giving a rigorous
definition of the Fukaya category in general relies precisely in the
problem of correctly defining the hom-spaces for nontransversal
intersections. As one could expect, the same difficulty carries on to the
definition of the multilinear operations in the Fukaya category: when
Lagrangians $L_1, L_2,\dots,L_{k+1}$ intersect transversally one has
a clear geometric intuition of the multiplication
$$
m_k\colon Hom(L_1,L_2)\otimes\cdots\otimes Hom(L_k,L_{k+1})\to
Hom(L_1,L_{k+1})
$$
in terms of counting pseudo-holomorphic disks into $X$ whose boundaries
lie on the given Lagrangian submanifolds, but when intersections are
nontransverse, the definition of $m_k$ becomes more evasive.

## In quantum field theory and string theory

In [[string theory]], the Fukaya category of a [[symplectic manifold]] $X$ represents the category of [[D-branes]] in the [[A-model]] -- the [[A-branes]] -- with [[target space]] $X$. For [[Landau-Ginzburg models]], the category of [[A-branes]] is described by [[Fukaya-Seidel categories]].

The assignment that sends a [[symplectic manifold]] to its Fukaya category extends to a [[functor]] on a variant of the [[symplectic category]] with [[Lagrangian correspondences]] as morphisms. This is supposed to be the [[FQFT]] incarnation of [[Donaldson theory]]. See at _[[Lagrangian correspondences and category-valued TFT]]_ for more on this.

## Related concepts

* [[Weinstein symplectic category]]

## References

Fukaya categories have first been introduced in

* [[Kenji Fukaya]], _Morse homotopy,
   $A_\infty$-category, and Floer homologies_. Proceedings of GARC Workshop
   on Geometry and Topology '93 (Seoul, 1993). ([link](http://www.math.kyoto-u.ac.jp/~fukaya/mfikki.pdf))

The definitive reference is the book

* Fukaya-Oh-Ohta-Ono, _Lagrangian intersection Floer theory - anomaly and obstruction_

See also

* [[Paul Seidel]], _Fukaya categories and Picard-Lefschetz theory_.

A beginners introduction is given by Denis Auroux, see [link](http://arxiv.org/abs/1301.7056), a text (available as ArXiv  1301.7056), based on a series of lectures given at a Summer School on Contact and Symplectic Topology at Université de Nantes in June 2011.

Discussion of the relation to [[Lagrangian cobordism]] is in

* [[David Nadler]], [[Hiro Tannaka]], _A stable infinity-category of Lagrangian cobordisms_ ([arXiv:1109.4835](http://arxiv.org/abs/1109.4835))
  {#NadlerTannaka11}

[[!redirects Fukaya categories]]
