**Joel W. Robbin** is a mathematician at the University of Wisconsin at Madison. His thesis was in mathematical logics, under A. Church of Princeton; he also authored a textbook on logics and coauthored _Mathematical logic and computability_ with [Jerome Kiestler](http://www.math.wisc.edu/~keisler). 

From soon after his thesis, Robbin switches his main interests to [[dynamical system|dynamical systems]] of Morse--Smale type where he found several foundational results. He also worked in related questions of rigorous approaches to [[quantization]], [[symplectic geometry]] and [[symplectic topology]]; several of his articles are coauthored with [[Dietmar Salamon]]. 

At the time when MatLab was expensive for students, Robbin programmed an interpreter for a small subset MINI MatLab free for student's use and accompanying his undergraduate textbook on algebra; more recently he translated that subset to a java version. 

* [homepage](http://www.math.wisc.edu/~robbin)

* J. W. Robbin, _Mathematical logic. A first course._ W. A. Benjamin, Inc., New York-Amsterdam 1969 xii+212 pp. 
[MR0250846 (40 #4078)](http://www.ams.org/mathscinet-getitem?mr=0250846)

* R. Abraham, J. Robbin, _Transversal mappings and flows_, Benjamin, 1967

* Joel W. Robbin, _On structural stability._ Bull. Amer. Math. Soc. __76__  1970 723--726, [MR0261622 (41 #6235)](http://www.ams.org/mathscinet-getitem?mr=0261622)

* J. W. Robbin, D. Salamon, _[[Maslov index]] for paths_, Topology __32__  (1993), no. 4, 827--844, [doi](http://dx.doi.org/10.1016/0040-9383(93)90052-W), [pdf](http://www.math.ethz.ch/~salamon/PREPRINTS/maslov.pdf), [MR94i:58071](http://www.ams.org/mathscinet-getitem?mr=94i:58071)

* Joel W. Robbin, [[Dietmar Salamon]], _A construction of the Deligne--Mumford [[orbifold]]_, J. Eur. Math. Society, ISSN 1435-9855, Vol. 8, Nº 4, 2006, 611-699, [arXiv:math/0407090](http://arxiv.org/abs/math/0407090) [MR2009d:32012](http://www.ams.org/mathscinet-getitem?mr=2009d:32012), _Corrigendum_, J. Eur. Math. Soc. (JEMS)  __9__  (2007),  no. 4, 901--905, [doi](http://dx.doi.org/10.4171/JEMS/101)

* Joel W. Robbin, [[Dietmar A. Salamon]],  _Lyapunov maps, simplicial complexes and the Stone functor_, Ergodic Theory Dynam. Systems __12__ (1992), no. 1, 153--183, [doi](http://dx.doi.org/10.1017/S0143385700006647), [MR93h:58091](http://www.ams.org/mathscinet-getitem?mr=93h:58091)

* Joel W. Robbin, [[Yongbin Ruan]], [[Dietmar A. Salamon]],  _The moduli space of regular stable maps_,  Math. Z.  __259__  (2008),  no. 3, 525--574, [doi](http://dx.doi.org/10.1007/s00209-007-0237-x), [MR2010a:58014](http://www.ams.org/mathscinet-getitem?mr=2010a:58014) 

* Vin de Silva, Joel Robbin, Dietmar Salamon, _Combinatorial Floer homology_, [arXiv/1205.0533](http://arxiv.org/abs/1205.0533)

* Joel W. Robbin, Dietmar A. Salamon, _Feynman path integrals and the metaplectic representation_, Math. Z. __221__ (1996), no. 2, 307–-335, [MR98f:58051](http://www.ams.org/mathscinet-getitem?mr=98f:58051), [doi](http://dx.doi.org/10.1007/BF02622118)

* Joel W. Robbin, Dietmar A. Salamon, _Phase functions and path integrals_, Symplectic geometry (Proc., ed. D. Salamon), 203–-226, London Math. Soc. Lecture Note Ser. __192__, Cambridge Univ. Press 1993, [[RobbinSalamonPhaseFunctionsPathIntegrals.djvu:file]].

category: people
[[!redirects Joel W. Robbin]]
[[!redirects J. W. Robbin]]