**[[algebraic quantum field theory]]** ([[perturbative AQFT|perturbative]], [[AQFT on curved spacetime|on curved spacetimes]], [[homotopical algebraic quantum field theory|homotopical]])

[[A first idea of quantum field theory|Introduction]]

## Concepts

**[[field theory]]**: [[classical field theory|classical]], [[prequantum field theory|pre-quantum]], [[quantum field theory|quantum]], [[perturbative quantum field theory|perturbative quantum]]

**[[Lagrangian field theory]]** 

* [[field (physics)]]

  * [[field bundle]]

  * [[field history]]

  * [[space of field histories]]

* [[Lagrangian density]]

  * [[Euler-Lagrange form]], [[presymplectic current]]

  * [[Euler-Lagrange equations|Euler-Lagrange]] [[equations of motion]]

* [[locally variational field theory]]

* [[covariant phase space]]
  
  * [[Peierls-Poisson bracket]] 

    * [[advanced and retarded propagator]], 

    * [[causal propagator]]

**[[quantization]]**

* [[geometric quantization]] [[geometric quantization of symplectic groupoids|of symplectic groupoids]]

* [[algebraic deformation quantization]], [[star algebra]]

**[[quantum mechanical system]]**, **[[quantum probability]]**

* [[subsystem]]

* [[observables]]

  * [[field observables]]

  * [[local observables]]

  * [[polynomial observables]]

  * [[microcausal observables]]

  * [[operator algebra]], [[C*-algebra]], [[von Neumann algebra]]

* [[local net of observables]]

  * [[causal locality]]

  * [[Haag-Kastler axioms]]

  * [[Wightman axioms]]
  
  * [[field net]]

  * [[conformal net]]

* [[state on a star-algebra]], [[expectation value]]

  * [[pure state]]

    [[wave function]]

    [[collapse of the wave function]]/[[conditional expectation value]]

  * [[mixed state]], [[density matrix]]

  * [[space of quantum states]]

  * [[vacuum state]]

    * [[quasi-free state]], 

    * [[Hadamard state]]

    * [[Wightman propagator]]


* [[picture of quantum mechanics]]


**[[free field]] [[quantization]]**

* [[star algebra]], [[Moyal deformation quantization]]

* [[Wick algebra]]

  * [[canonical commutation relations]], [[Weyl relations]]

  * [[normal ordered product]]

* [[Fock space]]

**[[gauge theories]]**

* [[gauge symmetry]]

* [[BRST complex]], [[BV-BRST formalism]]

* [[local BV-BRST complex]]

* [[BV-operator]]

* [[quantum master equation]]

* [[master Ward identity]]

* [[gauge anomaly]]

**[[interacting field theory|interacting field]] [[quantization]]**

* [[causal perturbation theory]], [[perturbative AQFT]]

* [[interaction]]

* [[S-matrix]], [[scattering amplitude]]

  * [[causal additivity]]

  * [[time-ordered product]], [[Feynman propagator]]

  * [[Feynman diagram]], [[Feynman perturbation series]]

  * [[effective action]]

  * [[vacuum stability]]

* [[interacting field algebra]]

  * [[Bogoliubov's formula]]

  * [[quantum Møller operator]]

* [[adiabatic limit]]

  * [[infrared divergence]]

  * [[interacting vacuum]]


**[[renormalization]]**

* [[renormalization scheme|("re-")normalization scheme]]

  * [[extension of distributions]]

  * [[renormalization condition|("re"-)normalization condition]]

  * [[quantum anomaly]]

* [[renormalization group]]

  * [[interaction vertex redefinition]]

  * [[Stückelberg-Petermann renormalization group]]

  * [[renormalization group flow]]/[[running coupling constants]]

* [[effective quantum field theory]]

  * [[UV cutoff]]

  * [[counterterms]]

  * [[relative effective action]]

  * [[Wilsonian RG]], [[Polchinski flow equation]]


## Theorems

### States and observables

* [[order-theoretic structure in quantum mechanics]]

  * [[Alfsen-Shultz theorem]]

  * [[Harding-Döring-Hamhalter theorem]]

* [[Kochen-Specker theorem]]

* [[Bell's theorem]]

* [[Fell's theorem]]

* [[Gleason's theorem]]

* [[Wigner theorem]]

* [[Bub-Clifton theorem]]

* [[Kadison-Singer problem]]


### Operator algebra

* [[Wick's theorem]]

* [[GNS construction]]

  * [[cyclic vector]], [[separating vector]]

* [[modular theory]]

* [[Fell's theorem]]

* [[Stone-von Neumann theorem]]

* [[Haag's theorem]]

### Local QFT

* [[Reeh-Schlieder theorem]]     

* [[Bisognano-Wichmann theorem]]

* [[PCT theorem]]

* [[spin-statistics theorem]]

* [[DHR superselection theory]]

* [[Osterwalder-Schrader theorem]] ([[Wick rotation]])

### Perturbative QFT

* [[Schwinger-Dyson equation]]

* [[main theorem of perturbative renormalization]]




