
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Higher algebra
+-- {: .hide}
[[!include higher algebra - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

A __$*$-algebra__ is an [[associative algebra]] (or even a [[nonassociative algebra]]) $A$ equipped with an [[anti-involution]].


## Definition

In more detail, begin with a [[commutative ring]] (often a [[field]], or possibly just a [[rig]]) $K$ equipped with an [[involution]] (a [[homomorphism]] whose square is the [[identity morphism|identity]]), written $x \mapsto \bar{x}$.  (The usual example for $K$ is the field of [[complex numbers]] with involution given by [[complex conjugation]], but the concept of $*$-algebra makes sense in more general contexts.  Note that we can take *any* commutative ring $K$ and simply define $\bar{x} \coloneqq x$.)

a __$K$-$*$-algebra__ (a $*$-algebra over $K$) is a $K$-[[module]] $A$ equipped with a $K$-[[bilinear map]] $A\times A \to A$, written as multiplication (and often assumed to be [[associativity|associative]]) and a $K$-antilinear map $A \to A$, written as $x \mapsto x^*$, such that

* $x^{**} = x$ for all $x$ in $A$ (so we have an [[involution]] on the underlying $K$-module), and
* $(x y)^* = y^* x^*$ for all $x,y$ in $A$ (so it is an anti-involution on $A$ itself).

The claim that the anti-involution is $K$-antilinear means that $(r x)^* = \overline{r} x^*$ for all $r$ in $K$ and all $x$ in $A$ (as well as $(x + y)^* = x^* + y^*$).

If a $K$-$*$-algebra $A$ is itself commutative, then it is in particular a commutative ring with involution, and one can consider $A$-$*$-algebras as well.  On the other hand, a commutative ring with involution is simply a commutative $*$-algebra over the ring of [[integers]] (with trivial involution), and similarly for rigs and [[natural numbers]].


### $*$-Rings

A __$*$-ring__ is simply a $*$-algebra over the ring of [[integers]] (with trivial involution).  Similarly, a __$*$-rig__ is a $*$-algebra over the rig of [[natural numbers]].

Arguably, when we began this article with a commutative ring $K$ equipped with involution, we should have begun it with a ring with *anti*-involution instead.  However, since the ring (or rig) is commutative, there is no difference.


### Banach $*$-algebras

When $K$ is the field $\mathbb{C}$ of [[complex numbers]] (or the field $\mathbb{R}$ of [[real numbers]], with trivial involution), we can additionally ask that the $*$-algebra be a [[Banach algebra]]; then it is a __Banach $*$-algebra__.  Special cases of this are 

* $C^*$-[[C-star-algebra|algebras]] (aka $B^*$-algebras)

* and [[von Neumann algebras]] (aka $W^*$-algebras)

Arguably, one should require that the map $*$ be an [[isometry]] (which follows already if it is required to be [[short map|short]]); some authors require this and some don\'t.  However, this is automatic in the case of $C^*$-algebras (and hence also von Neumann algebras).


## Examples

* A _[[C-star algebra]]_ is in particular a star-algebra.

* A [[groupoid convolution algebra]] is naturally a $*$-algebra, with the [[involution]] given by pullback along the [[inverse|inversion]] operation of the groupoid.

* More generally the [[category convolution algebra]] of a [[dagger-category]] is a $*$-algebra, with the involution being the pullback along the $\dagger$ operation.


## Related concepts

* [[real part]], [[imaginary part]]

* [[state on a star-algebra]]

* [[star-representation]]

## References

See also 

* Wikipedia, _[star-algebra](https://en.wikipedia.org/wiki/*-algebra)_

[[!redirects star-algebra]]
[[!redirects star-algebras]]
[[!redirects star algebra]]
[[!redirects star algebras]]
[[!redirects *-algebra]]
[[!redirects *-algebras]]
[[!redirects * algebra]]
[[!redirects * algebras]]

[[!redirects star-ring]]
[[!redirects star-rings]]
[[!redirects star ring]]
[[!redirects star rings]]
[[!redirects *-ring]]
[[!redirects *-rings]]
[[!redirects * ring]]
[[!redirects * rings]]

[[!redirects star-rig]]
[[!redirects star-rigs]]
[[!redirects star rig]]
[[!redirects star rigs]]
[[!redirects *-rig]]
[[!redirects *-rigs]]
[[!redirects * rig]]
[[!redirects * rigs]]

[[!redirects Banach star-algebra]]
[[!redirects Banach star-algebras]]
[[!redirects Banach star algebra]]
[[!redirects Banach star algebras]]
[[!redirects Banach *-algebra]]
[[!redirects Banach *-algebras]]
[[!redirects Banach * algebra]]
[[!redirects Banach * algebras]]
