
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A _black hole_ is a [[spacetime]] that solves [[Einstein equations]] of [[general relativity]] characterized by the fact that it posseses an __[[event horizon]]__ hypersurface (or several of them) which has a number of special characteristics; for example the light can not escape from the space confined by the horizon hypersurface due to [[gravity|gravitational]] effects. Much of the theoretical considerations are about the entropy of black holes (cf. [[Bekenstein-Hawking entropy]]) and the information paradox.

Black holes are considered theoretically for [[gravity|gravitational theories]] in various number $d$ of dimension. For $d \geq 5$ a black hole [[spacetime]] may have nontrivial [[topology]], e.g. _[[black rings]]_ are possible. 

## Examples

* In usual asymptotically 3+1-dimensional [[Minkowski spacetime]], the first black hole solution that was found is the [[Schwarzschild black hole]] solution; such a black hole posses a single horizon hypersurface and seems to be stable under various perturbations. 

* Another solution with finite angular momentum is called the [[Kerr spacetime]], and there is a simple generalization having also the electric charge, the Newman solution or the Kerr-Newman black hole. This solution differs pretty much from the Schwarzschild solution and its structure is unstable under various physical mechanisms and perturbations; it possesses two horizons, inner and outer. 


## Properties

### Topology


Hawking's _Theorem of Black Hole topology_ asserts that the in case of $d = 4$ asymptotically flat stationary black holes satisfying the suitable [[dominant energy condition]], the cross sections of the [[event horizon]] are spherical.

[Galloway and Schoen](#GallowaySchoen) extended this theorem to higher dimensions; they showed that the cross sections of event horizon (stationary case) and the outer (apparent) horizon (general case) are of Yamabe type.

### Entropy

* [[Bekenstein-Hawking entropy]]

* [[generalized second law of thermodynamics]]

## Empirical observation

See

* [[observing black holes]].


Some candidate [[astrophysics|astrophysical]] objects which seem to point to black hole have been observed. 

## Examples

[[!include charged and rotating black holes -- table]]

## Related concepts

* [[Schwarzschild radius]]

* [[Kruskal–Szekeres coordinates]]

* [[Bekenstein-Hawking entropy]], [[black hole radiation]]

* [[Penrose-Hawking singularity theorem]], [[cosmic censorship hypothesis]]

* [[generalized second law of thermodynamics]]

* [[black hole information paradox]]

* [[black ring]]

* [[black brane]], [[black holes in string theory]]

* [[firewall problem]]


## References

### General

* wikipedia: [black hole](http://en.wikipedia.org/wiki/Black_hole)

* [[Croatian black hole school]], 2010

* Barrett O'Neill, _The geometry of Kerr black holes_

* S. Chandrasekhar, _The mathematical theory of black holes_

* G. T. Horowitz, A. Strominger, _Counting states of near-extremal black holes_, Phys. Rev. Lett. 77 (1996) 2368–2371, [hep-th/9602051](http://arxiv.org/abs/hep-th/9602051).

* R. D'Auria, P. Fre', _BPS black holes in [[supergravity]]_, [hep-th/9812160](http://arxiv.org/abs/hep-th/9812160)

* Gregory Galloway, Richard Schoen, _A Generalization of Hawking's Black Hole Topology Theorem to Higher Dimensions_ Commun. Math. Phys. (2006) ([pdf](http://www.math.miami.edu/~galloway/papers/220_2006_19_OnlinePDF.pdf))
{#GallowaySchoen}
* R. M. Wald, _Quantum Field Theory in Curved Spacetime and Black Hole Thermodynamics_, University of Chicago Press 1994; _The back reaction effect in particle creation in curved spacetime_, Commun. Math. Phys. __54__, 1 (1977)

* Ahmed Almheiri, Donald Marolf, Joseph Polchinski, James Sully, _Black holes: complementarity or firewalls?_, [http://arxiv.org/abs/arXiv:1207.3123](http://arxiv.org/abs/arXiv:1207.3123)


### Holographic description

Discussion of black holes in the context of the [[holographic principle]] and the [[AdS-CFT correspondence]] is in

* Monica Guica, Thomas Hartman, Wei Song, [[Andrew Strominger]], _The Kerr/CFT Correspondence_ ([arXiv:0809.4266](http://arxiv.org/abs/0809.4266))

* Alejandra Castro, Alexander Maloney, [[Andrew Strominger]], _Hidden Conformal Symmetry of the Kerr Black Hole_ ([arXiv:1004.0996](http://arxiv.org/abs/1004.0996))

The nature of the [[event horizon]], specifically, is discussed in

* Kyriakos Papadodimas, Suvrat Raju, _An Infalling Observer in AdS/CFT_ ([arXiv:1211.6767](http://arxiv.org/abs/1211.6767))


[[!redirects black holes]]

[[!redirects black hole spacetime]]
[[!redirects black hole spacetimes]]


