
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

Universal algebra (also _[[categorical algebra]]_) is the study of [[algebraic theories]] and their models or algebras.  Whereas abstract algebra studies groups, rings, modules and so on --- that is, models of particular theories --- universal algebra is about algebraic or __equational__ theories in general.

Traditionally, the subject studies models of algebraic theories in the [[category]] of [[Set|sets]].  The category-theoretic approach abstracts the traditional notions, to study models in more general categories.  There are several ways of doing this, such as by using [[monads]], [[Lawvere theories]], or [[type theory]].

As with the category-theoretic understanding of many other branches of mathematics, the advantage of doing things this way is not so much the obtaining of new results as the __unification__ of many previously disparate points of view.  Examples might include how a [[Hopf algebra]] is the same thing as a model in a category of vector spaces of the theory of groups, or how computational side-effects in the theory of programming languages may be understood in terms of [[free algebras]].


## Related entries

* [[algebraic theory]] 

* [[Lawvere theory]] 

* [[monad]] 

* [[operad]]

* [[algebra over a Lawvere theory]] 

* [[algebra over a monad]] 

* [[algebra over an operad]]

* [[Eilenberg-Moore category]]

* [[universal algebra in a monoidal category]]

* [[bar construction]]

* [[generalized ring]]

* [[Omega-group]]

* [[PRO]], 

## References

* [[Martin Hyland]] and [[John Power]], _The category theoretic understanding of universal algebra: Lawvere theories and monads_ ([pdf](http://www.dpmms.cam.ac.uk/~martin/Research/Publications/2007/hp07.pdf)).

* Anthony Voutas, _The basic theory of monads and their connection to
universal algebra_ ([pdf](http://cs.anu.edu.au/student/projects/12S1/Reports/Anthony_Voutas_Report.pdf))

* [[Fred Linton]], _An outline of functorial semantics_, LNM 80 ([TAC Reprints](http://www.tac.mta.ca/tac/reprints/articles/18/tr18abs.html)).

* [[Max Kelly]] and [[John Power]], _Adjunctions whose counits are coequalizers, and presentations of finitary enriched monads_, JPAA 89, 1993.