
#Contents#
* automatic table of contents goes here
{:toc}

## Idea

The typical ways of -- indirectly -- observing [[black holes]] in Nature -- are

* <nowiki>1.</nowiki> via X-ray emission. The nearby gas or nearby stars get acreted about a black hole and accelerate in the vicinity producing radiation emission;
* <nowiki>2.</nowiki> in star clusters with no gas, such as globular clusters, the only way is to see how the black hole affects the motion of nearby stars. 

## X-ray emission

Consider first stars. Radiation pressure outwards, gravity inwards. If the radiation stronger the star dissolves. __Eddington's luminosity limit__

$$L_{Edd} = \frac{G M m_0 4\pi c}{\sigma}$$

In astrophysical units $L_{Edd} = \frac{M}{M_{sun}}\cdot 1.26 \cdot 10^38 erg/s$. For about ten solar masses this is about $10^{39} erg/s$. So something radiating above this limit is heavier of ten solar masses, under the assumption that the emission is isotropic and there are no other mechanisms which can violate the Eddington's limit (e.g. no beaming). 
So the sources above $10^{39} erg/s$ (and under the assmptions above) are called the ultraluminous X-ray sources. Candidates for IMBH. 

Spectrum observation in the acretion disk. Get temperature as a function of $R$ by various means, this now into black body radiation formulas, and then model the spectrum. Hoter toward the inside, fit to the mass of the black hole supposed around a center. 

This method for fitting with the spectrum is called **multicolor** disk model.  


## Effects on nearby stars

Effects of a [[black hole]] on the motion of nearby stars can be observed directly via black hole influence sphere or as global evidence (the whole cluster is affected). If the black hole has mass $M$, we can look at the escape velocity $\sqrt{\frac{2GM}{R}_{inf}}\sim \langle v \rangle$. 

$R_{inf}$ -- is the influence sphere radius. $GM_{BH}/R_{inf} = GM_{GC}/R_{GC}$. Thus

Typically, for $R_{GC} = 1 pc$, $M_{BH} \sim 1 \% M_{GC}$, $R_{inf}\sim 1/100 pc\sim 1 arc sec$. $D_{sun GC} \sim Kpc$. 

Very good estimates of black hole mass. But there is a problem here. The number of stars which is in the black hole influence region, it depends on the volume of the black hole influence region. The ratio of volumes 

$$\frac{V_{inf}}{V_{GC}} \cong 10^{-6}$$ 

while the number of stars in the globular cluster is $10^4 - 10^6$. 


so even less than one star in the influence sphere unless there is much bigger density of stars. In the center of the globular cluster there is $10^2$-factor of higher density. That is the place where the black holes would typically occur (heavier than the average star, they tend in the thermalization limit to be found about in the center of the star). 

Crowding is the issue here, sometimes lucky to see the individual star. 
How angularly distant from the center you find the star. At least 100 solar masses black hole. Size around square root of the mass. Another problem is low completeness -- we will observe at least two stars, usually $02-0.5$ sun masses each star in the cluster. All this is about the observation of globular clusters in our galaxy (more difficult for other galaxies of course) -- about 200 globular clusters in the [[halo of a galaxy|halo]] of Milky Way. 

It is important to compare the properties like density and velocity dispersion in the cluster (the corresponding graphs are in the [[Croatian black hole school|school]] notes, versus $log R$). Velocity dispersion bigger in the center; actually a peak is near the center: Cusp phenomenon in the presence of [[intermediate mass black hole]]. 

* see Noyola and Gebherdt 2006, 2007, 2008 for observations 

For example in the cluster $\Omega$-centauri.

Small number of stars then also lots of fluctuations. So one needs to be careful about the statistics. The presence of the cusp has been predicted by Bahcall and Wolf in 1970-s (analytic calculation, gives the shape of the density cusp as well; later simulations have been found). 

More recently it has been shown by Trenti, Vesperini, Pasquato 2010, even if you do not put a black hole in the cluster after a while when the relaxation takes place the cusp cn appear anyway. So other phenomena possible. 


 If we look outside of the black hole influence sphere, it has been shown by simulations that if you take the ratio between the radius $R_c$ at which the projected density declines and compare with $R_h$, then we can see the energy loss in the cluster. It can be supported by the presence of energy sources in the cluster  like binary stars or by a black hole. This can be seen on the profile of the projected density -- the larger density when energy source. 

IMBH --  hosting GCs has a large core. 

Another signature of the presence of black hole, acceleration of the  global shrinking the cluster puff the core and mass segregation accelerates in the cluster (infall of heavy stars). 

Heavier main sequence stars (0.8 solar mass) compare with smaller ones (0.2 solar masses). Distribution tells if there is an energy source near the core. If you know how many binary stars there in principle one could be able to tell if there is a black hole there or not. 

## References

In parts taken from [[Mario Pasquato|Mario]]'s 3rd lecture at the [[Croatian black hole school]], 2010. 
