
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Manifolds and cobordisms
+--{: .hide}
[[!include manifolds and cobordisms - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A _3-manifold_ is a [[manifold]] of [[dimension]] 3. (Our default meaning of "manifold" is [[topological manifold]], unless a qualifier is added, e.g., *smooth* manifold.) 

## Properties

### Triangulability and smoothing 

The following is taken from [Hatcher](#Hatcher): 

> A pleasant feature of 3-manifolds, in contrast to higher dimensions, is that there is no essential difference between smooth, piecewise linear, and topological manifolds. It was shown by Bing and Moise in the 1950s that every topological 3-manifold can be triangulated as a simplicial complex whose combinatorial type is unique up to subdivision. And every triangulation of a 3-manifold can be taken to be a smooth triangulation in some differential structure on the manifold, unique up to diffeomorphism.  Thus every topological  3-manifold has a unique smooth structure, and the classifications up to diffeomorphism and homeomorphism coincide. 

Thus it makes no essential difference if we consider 3-manifolds as mere topological manifolds, or as PL or [[smooth manifolds]]. It's often technically convenient to work in the smooth category. 

### Poincar&eacute; conjecture

+-- {: .num_theorem}
###### Theorem
**([[Poincaré conjecture]])**

Every [[simply connected]] [[compact space|compact]] 3-manifold without boundary is [[homeomorphism|homeomorphic]] to the 3-sphere.

=--

+-- {: .proof}
###### Proof


A proof strategy was given by [[Richard Hamilton]]: imagine the manifold is equipped with a [[metric]]. Follow the [[Ricci flow]] of that metric through the space of metrics. As the flow proceeds along parameter time, it will from time to time pass through metrics that describe singular geometries where the compact metric manifold pinches off into seperate manifolds. Follow the flow through these singularities and then continue the flow on each of the resulting components. If this process terminates in finite parameter time with the metric on each component stabilizing to that of the round 3-sphere, then the original manifold was a 3-sphere.

The hard technical part of this program is to show that the passage through the  singularities can be controlled. This was finally shown by [[Grigori Perelman]].

=--

### Geometrization conjecture

The _[[geometrization conjecture]]_ says that every closed 3-manifold can be decomposed in a canonical way into pieces that each have one of eight types of geometric structure.

### Virtually fibered conjecture

The _[[virtually fibered conjecture]]_ says that every closed, irreducible, atoroidal 3-manifold with infinite fundamental group has a finite cover which is a surface bundle over the circle.

## Related concepts

* [[irreducible 3-manifold]]

* [[atoroidal 3-manifold]]

* [[Seifert 3-manifold]]

* [[Dehn surgery]]

* [[knot theory]]

* [[arithmetic topology]]

* [[Chern-Simons theory]]

* [[Atiyah 2-framing]]

* [[associative submanifold]]

## References

The quote of Hatcher is from 

* {#Hatcher}  [[Allen Hatcher]], _The classification of 3-manifolds -- a brief overview_, ([pdf](https://www.math.cornell.edu/~hatcher/Papers/3Msurvey.pdf)). 
 

A classic set of notes that was later typed up is

* {#Thurston80} [[William Thurston]], _Geometry and topology of three-manifolds_ (1980), electronic version 1.1 (2002) available from MSRI ([web](http://library.msri.org/books/gt3m/))

See also

* {#Martelli16} Bruno Martelli, _An Introduction to Geometric Topology_ ([arXiv:1610.02592](https://arxiv.org/abs/1610.02592))



[[!redirects 3-manifolds]]
