

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### Fields and quanta
+--{: .hide}
[[!include fields and quanta - table]]
=--
#### Higher spin geometry
+-- {: .hide}
[[!include higher spin geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A __fermion__ is a [[particle]]/[[quantum field]] that obeys [[Fermi-Dirac statistics]] ([[Pauli exclusion principle]]).  By the [[spin-statistics theorem]], this is the same thing as a particle whose [[spin]] is half an [[integer]] but not itself an integer.  

In the [[standard model of particle physics]] and the [[standard model of cosmology]] fermions are the [[matter]] constituents of the [[observable universe]], as opposed to [[bosons]], which are the [[quanta]] of [[force]] [[gauge fields]].

The formalization of fermions is in [[supergeometry]]: fermion fields are [[sections]] of [[spinor bundles]] with odd-degree fibers in [[supergeometry]]. This is exhibited by what is called _[[Fermi-Dirac statistics]]_ and the [[Pauli exclusion principle]].

## Examples

* [[electron]], [[quark]]

## Related entries

* [[Pauli exclusion principle]], [[degeneracy pressure]]

* [[chiral fermion]]

* [[particle]], [[matter]]

* [[boson]], **fermion**, [[anyon]]

* [[fermionic modality]]

* [[Pauli exclusion principle]], [[fermion sea]]

* [[spin-statistics theorem]]

* [[spinors in Yang-Mills theory]]

* [[generation of fermions]]

* [[fermionic path integral]], [[Pfaffian line bundle]]

* [[quantum anomaly|fermion anomaly]]

## References

Fermions are named after [[Enrico Fermi]].

For accounts in [[mathematical physics]] see for instance

* [[Daniel Freed]], _Lecture 1 of [[Five lectures on supersymmetry]]_

[[!redirects fermions]]

[[!redirects fermion field]]
[[!redirects fermion fields]]

[[!redirects fermionic field]]
[[!redirects fermionic fields]]



[[!redirects Fermion]]
[[!redirects Fermions]]

[[!redirects Fermion field]]
[[!redirects Fermion fields]]

[[!redirects Fermionic field]]
[[!redirects Fermionic fields]]

[[!redirects fermionic particle]]
[[!redirects fermionic particles]]
