

# Matrix factorizations
* table of contents
{: toc}

There are two different meanings of phrase "matrix factorization" which are closely related, one generic for various [[matrix decomposition]]s, like Gauss, LU etc. decompositions of matrices into products, and another rather specific, in the sense of Eisenbud and followers. This entry is dedicated to the latter as it concerns appearance of certain categories in mathematical physics. 


## Overview

Matrix factorizations were introduced by [[David Eisenbud]], and they were originally studied in the context of [[commutative algebra]].

Matrix factorizations arise in [[string theory]] as categories of [[D-branes]] for [[Landau-Ginzburg model|Landau-Ginzburg]] [[B-model]]s. This was proposed by Kontsevich and elaborated in the paper of Kapustin-Li.

Matrix factorizations have also been used by Khovanov-Rozansky in knot theory [math/0401268](http://arxiv.org/abs/math/0401268).

__Matrix factorization categories__ are examples of [[Calabi-Yau categories]], hence correspond to [[TCFT]]s by the Costello/Kontsevich/Hopkins-Lurie theorem. The Calabi-Yau structure is elucidated in recent work of Dyckerhoff-Murfet and Polishchuk-Vaintrob.

Dyckerhoff has proved that the [[Hochschild homology]] of the matrix factorizations category of an isolated singularity is the [[Jacobian ring]] of the singularity. See also the work of E. Segal and Caldararu-Tu. In light of the Costello/Kontsevich/Hopkins-Lurie theorem, this result has been anticipated for some time, as the closed state space of a Landau-Ginzburg B-model is the Jacobian ring.

There is also the Calabi-Yau/Landau-Ginzburg correspondence. In some cases, categories of matrix factorizations turn out to be equivalent to categories of coherent sheaves.

For general theory and properties of matrix factorizations, see work of Orlov. For example, matrix factorization categories are related to derived categories of singularities.


## Literature

* [[David Eisenbud]], _Homological algebra on a complete intersection, with
an application to group representations_, Trans. Amer. Math. Soc.,
260:3564, 1980.

* T. Dyckerhoff, _Compact generators in the categories of matrix factorizations_, [arxiv/0904.4713](http://arxiv.org/abs/0904.4713)

The definition of a [[triangulated category]] of B-branes for the [[Landau-Ginzburg model]] via [[matrix factorization]] was proposed by [[Maxim Kontsevich]] and is written out in

* [[Anton Kapustin]], Yi Li, _D-Branes in Landau-Ginzburg Models and Algebraic Geometry_ ([arXiv:hep-th/0210296](http://arxiv.org/abs/hep-th/0210296))

* {#Orlov} [[Dmitri Orlov]], _Triangulated categories of singularities and D-branes in Landau-Ginzburg models_, Proc. Steklov Inst. Math. 2004, no. 3 (246), 227--248 ([arXiv:math/0302304](http://arxiv.org/abs/math/0302304))

* [[Dmitri Orlov]], _Derived categories of coherent sheaves and triangulated categories of singularities_, Algebra, arithmetic, and geometry: in honor of Yu. I. Manin. Vol. II, 503–531, Progr. Math., 270, Birkhäuser Boston,
Inc., Boston, MA, 2009 ([arXiv:math.ag/0503632](http://arxiv.org/abs/math.ag/0503632))


See also

* Junwu Tu, _Matrix factorizations via Koszul duality_, [arxiv/1009.4151](http://arxiv.org/abs/1009.4151)

* J. Burke, M. E. Walker, _Matrix factorizations over projective schemes_, [arxiv/1110.2918](http://arxiv.org/abs/1110.2918)
* Matthew Ballard, David Favero, [[Ludmil Katzarkov]], _A category of kernels for graded matrix factorizations and its implications for Hodge theory_, [arxiv/1105.3177](http://arxiv.org/abs/1105.3177)
* Nils Carqueville, [[Daniel Murfet]], _Adjunctions and defects in Landau-Ginzburg models_, [arxiv/1208.1481](http://arxiv.org/abs/1208.1481)
* [[Alexander I. Efimov]], _Cyclic homology of categories of matrix factorizations_, [arxiv/1212.2859](http://arxiv.org/abs/1212.2859)
* Alexander Polishchuk, _Homogeneity of cohomology classes associated with Koszul matrix factorizations_, [arxiv/1409.7115](http://arxiv.org/abs/1409.7115)

A formulation in terms of [[linear logic]] and the [[geometry of interactions]] is in

* {#Murfet14} [[Daniel Murfet]], _Computing with cut systems_ ([arXiv:1402.4541](http://arxiv.org/abs/1402.4541))

A connection to the representation theory of loop groups and families of Dirac operators (and the [[string 2-group]]) is in 

* {#FreedTeleman14} [[Daniel S. Freed]], [[Constantin Teleman]], _Dirac families for loop groups as matrix factorizations_, [arxiv/1409.6051](http://arxiv.org/abs/1409.6051)



[[!redirects matrix factorization]]
[[!redirects matrix factorizations]]
[[!redirects matrix factorisation]]
[[!redirects matrix factorisations]]

[[!redirects matrix factorization category]]
[[!redirects matrix factorisation category]]
