The additive identity in the [[natural numbers]], [[integers]], [[real numbers]] and [[complex numbers]] is called **zero** and written as $0$.  

More generally, in any [[abelian group]], or even any [[commutative monoid]], the group operation is often called 'addition' and written as $+$, and then the identity element is called **zero** and written as $0$.  As a consequence, in any [[ring]], or more generally any [[rig]], the two binary operations are called 'multiplication' and 'addition', and the identity for addition is called **zero**.

Categorifying this idea, in any [[2-rig]] the additive identity may be called **zero**.  This is especially true in the case of a [[distributive category]], that is a category with (at least finitary) [[products]] and [[coproducts]], the former distributing over the latter.  In this case the [[initial object]], which serves as the identity for coproducts, is often called **zero**: 

$$x + 0 \cong x$$

For example, in the category [[Set]], the [[empty set]] is often written $0$ in the category-theoretic literature.  

In an [[abelian category]], the initial object is also [[terminal object|terminal]], and denoted $0$.  More generally, any object with this property is called a [[zero object]]. 

Categorifying [[horizontal categorification|horizontally]] instead, we get the notion of [[zero morphism]].

All these ideas can be, and have been, categorified further.


[[!redirects zero]]
[[!redirects 0]]
