Given a [[set]] $X$ and a [[subset]] $A$ of $X$, the __inclusion function__ of $A$ in $X$ is the [[function]] $i_A\colon A \to X$ given by
$$ i_A(n) = n $$
for every [[element]] $n$ of $X$ that belongs to $A$.

Every inclusion function is an [[injection]], and every injection is [[isomorphism|isomorphic]] (in the [[slice category]] $Set/X$) to an inclusion function.  In appropriate categories, it is common to analogously interpret [[monomorphisms]] or [[regular monomorphisms]] as inclusions of [[subobjects]].  One then speaks of __inclusion morphisms__.

The inclusion function of $A$ in $X$ is the [[restriction]] to $A$ of the [[identity function]] on $X$.  Conversely, the restriction to $A$ of any function $f\colon X \to Y$ is the [[composite]] of $f$ after the inclusion function:
$$ i_A = {{\id_X}|_A} ,$$
$$ {{f}|_A} = f \circ i_A .$$


[[!redirects inclusion function]]
[[!redirects inclusion functions]]
[[!redirects inclusion map]]
[[!redirects inclusion maps]]
[[!redirects inclusion morphism]]
[[!redirects inclusion morphisms]]
