I was until 2006 a professor of mathematics at the University of Wales Bangor (aka University of Bangor). The University closed down the Mathematics degree and I was 'retired'! Since then I have been on various interesting visiting positions, whilst being Emeritus, until recently retaining an office in the Computer Science section of the university and continuing to work at least as hard as before (so I claim). I am also an emeritus member of [WIMCS](http://www.wimcs.ac.uk/), the Wales Institute of Mathematical and Computational Sciences and a Fellow of the [Learned Society of Wales](https://www.learnedsociety.wales/), a recently formed  society that seeks to act as an Academy of learning of the kind that has long existed elsewhere in the United Kingdom and worldwide, but not in Wales. 



+--{.query}
Not offering a maths degree is one thing, but it seems that they don\'t even have a maths *department*! Who teaches basic maths courses to the CS (and chemistry, biology, electronics, ...) majors? —[[Toby Bartels|Toby]]

In the UK, there are several universities that do not have mathematics departments and in which engineers, computer scientists, physicists and chemists do not get any theoretically based mathematics to speak of. Biologists have traditionally received no mathematics training after the age of 16. (Sometimes it shows and is the bane of the statisticians detailed to teach biology students statistics, and don't mention psychology students! Note also that quite a few of the so called 'financial  experts' in the UK have little or no maths. Some do, and I am not saying that they were any better in the causes of the recent crisis!) 

In Bangor, it is even worse. Not only is there no mathematics department. There are very few mathematicians _per se_, employed as full time members of staff and they are not employed as mathematicians as such.  There are some mathematically competent people in some departments who do teach their undergraduates some mathematics.  I, of course, do not think that is as good.

-[[Tim Porter|Tim]]

At least a couple of the top ten CS departments in the USA teach all of their own Maths classes.  The actual Math department at most schools is too focused on calculus and analysis (at the undergraduate level).  I think it has to be this way -- it would be obscene for the CS department to dictate curriculum to the Math department.

Don Knuth proposed that every professor should be required to have both a "major" and "minor" department, just like undergraduates must at most universities.  That might be one step towards improving the situation -- a way to influence the curriculum without compromising autonomy.


=--




##What you can find here and on my personal pages##

I have given a summary in my [private $n$Lab area](http://ncatlab.org/timporter/show/HomePage) of some of the research area that I have worked in with references for further 'enlightenment'. Some of these are in areas that continue to interest me, and I have various 'projects' and lists of 'work in progress' there as well, some of which are mentioned below.


I am writing a series of notes on the theory and application of crossed gadgetry in algebra and topology, and some parts of these notes (approximately first 10 chapters) have been made available on the web at various times. I am currently trying to write new sections on the links between homotopy quantum field theory and non-Abelian cohomology.


I am also very interested in directed homotopy theory and the application of ideas from the general area of the infinity category/homotopy toolkit in topological data analysis, artificial intelligence, and computer science. Some material can be found on those personal pages.



See also my [private $n$Lab area](http://ncatlab.org/timporter/show/HomePage), where I have put a link to a recent version of the first 10 chapters of the Menagerie.

Other goodies there include parts of a draft monograph on [profinite algebraic homotopy](https://ncatlab.org/timporter/show/profinite+algebraic+homotopy), and a (slightly reformatted) version of a research proposal from 2002, that did not get funded, but may be useful as it does have some ideas in it (or related to it) that are worth pursuing especially since the recent progress on the cobordism and TQFT problems. There are links to notes for the Lisbon school and workshop on Higher Gauge Theory etc.,  (Feb. 2011). There are also some lecture notes from lectures in Hagen and La Laguna, and a survey article that grew out of talks in 1991 in Italy. 

I have also put the start of a brief discussion of the relationships between the Cech and Vietoris methods and the newly developed methods of Topological Data Analysis.

###List of Goodies!!###
Please go to [private $n$Lab area](http://ncatlab.org/timporter/show/HomePage) for downloads and more details.

* _The [[Menagerie]]_: a set of notes on crossed modules, higher dimensional analogues, simplicial techniques, homotopy coherence, and non-Abelian cohomology of various sorts. This version consists of 10 chapter. It will be updated periodically.

Several 'cut down' versions of these notes have been prepared for various workshops and as they are less long may be of use.  For instance in February, 2011, there was a Workshop and School on Higher Gauge Theory, TQFT and Quantum Gravity in the IST, Lisbon, (7-13 February, 2011).  A set of notes was prepared using the Menagerie as a 'mine' from which to extract the sections relevant to the theme of the workshop, which were then edited slightly. The result was entitled: **Homotopy Quantum Field Theories meets the Crossed Menagerie: an introduction to HQFTs and their relationship with things simplicial and with lots of crossed gadgetry.** A copy can be found [[HQFT-XMenagerie.pdf|here:file]], whilst a table of contents and some more introductory material can be found via the other pages.


*  The 'Luminy notes': A cut down version of the Menagerie has been prepared for the LI2012 week on Algebra and computation (27 February – 2 March, 2012). A copy can be obtained by contacting me by e-mail or [[nLab:Rewriting-and-homotopy.pdf|here:file]].

* _Abstract Homotopy Theory: The Interaction of Category Theory and Homotopy 
theory_ This article is an expanded version of notes for a series of lectures given at the _Corso estivo Categorie e Topologia_ in 1991. They appeared in more or less this form in Cubo, 5 (2003) 115-165, 2003.


* _$\mathcal{S}$-categories, $\mathcal{S}$-groupoids, Segal categories and quasicategories_ The notes were prepared for a series of talks that I gave in Hagen in late June and early July 2003, and, with some changes, in the University of La Laguna, the Canary Islands, in September, 2003.

*  _Profinite Algebraic Homotopy_.   There is a link to  eight chapters of a draft monograph.  Hopefully, this is likely to be published, so this is an incomplete version. (At present count the full version will probably have more than 1000 pages.) I have added new sections and even chapters to the earlier part, so the first 8 chapters of the current version do not correspond to these here.

* Grothendieck's letters. Thirty years ago I was involved in a brief exchange of letters with Alexander Grothendieck. I will be putting up some excerpts. It may happen that commented versions of these will be made available by the _Documents mathématiques_ project. 

##More Information

You may also find me on: [MathOverflow](http://mathoverflow.net/users/3502/tim-porter) | [ORCiD](http://orcid.org/0000-0001-7962-8471)

and on Linkedin. (I have a gmail account and you can also contact me via Google+.  The e-mail is initial\dot familyname\dot maths and then the normal ending for a gmail account.)

category: people


[[!redirects Tim Porter]]
[[!redirects  ++Tim Porter]]
[[!redirects Timothy Porter]]
[[!redirects Tim]]
[[!redirects Tim Porrter]]
[[!redirects Tim Portr]]
[[!redirects Tim  Porter]]
[[!redirects Tim porter]]
[[!redirects  Tim Porter]]
[[!redirects T. Porter]]
[[!redirects TIm Porter]]
[[!redirects  Tim_Porter]]
