
# Bitopological space
* table of contents
{: toc}

## Definitions

Recall that a [[topological space]] is a [[set]] equipped with a [[topological structure]].  Well, a __bitopological space__ is simply a set equipped with *two* topological structures.  Unlike with [[bialgebras]], no compatibility condition is required between these structures.

A __bicontinous map__ is a [[function]] between bitopological spaces that is [[continuous map|continuous]] with respect to each topological structure.

Bitopological spaces and bicontinuous maps form a [[category]] $BiTop$.


## Remarks

It is interesting and perhaps surprising that many advanced topological notions can be described using bitopological spaces, even when you would not naïvely think that there are two topologies around.  (At least, that\'s my vague memory of what they were good for.  I think that this was in some article by Isbell.)



## References

* [Wikipedia entry](http://en.wikipedia.org/wiki/Bitopological_space)

* [[Jiri Adamek]], [[Horst Herrlich]], and [[George Strecker]], _Abstract and Concrete Categories: The Joy of Cats_ , Dover New York 2009. ([pdf](http://katmat.math.uni-bremen.de/acc/acc.pdf)) pp.59-60,278

* B. Dvalishvili, _Bitopological Spaces: Theory, Relations with Generalized Algebraic Structures and Applications_ , Elsevier Amsterdam 2005.

* [[Peter Johnstone]], _Collapsed Toposes as Bitopological Spaces_ , pp.19-35 in _Categorical Topology_ , World Scientific Singapore 1989.

* J. C. Kelly, _Bitopological spaces_ , Proc. London Math. Soc. **13** no.3 (1963) pp.71-89.

* O. K. Klinke, A. Jung, A. Moshier, _A bitopological point-free approach to compactications_ (2011). ([preprint](http://www.cs.bham.ac.uk/~axj/pub/papers/compactifications.pdf))

* R. Kopperman, _Asymmetry and duality in topology_ , Topology Appl. **66** no.1 (1995) pp.1-39.

[[!redirects bitopological space]]
[[!redirects bitopological spaces]]
[[!redirects Bitop]]
[[!redirects BiTop]]
[[!redirects Bi Top]]
