
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Analysis
+-- {: .hide}
[[!include analysis - contents]]
=--
#### Analytic geometry
+--{: .hide}
[[!include analytic geometry -- contents]]
=--
=--
=--



# Bornological spaces
* table of contents
{: toc}

## Idea

Much as a [[topological structure]] on a [[set]] is a notion of which [[subsets]] are 'open', so a bornological structure, or bornology, on a set is a notion of which subsets are 'bounded'.


## Definitions

So far, we only discuss [[bornological topological vector spaces]].  See [[bornological set]] for the general notion of bornological space.

However, we can tell that bornological spaces and certain [[morphisms]] between them form a [[category]] $Born$.

## Properties

### Relation to Banach spaces
 {#RelationToBanachSpaces}

Every [[inductive limit]] of [[Banach spaces]] is bornological. ([Alpay-Salomon 13, prop. 2.3](#AlpaySalomon13))

Conversely, every bornological space is an inductive limit of [[normed spaces]], and of [[Banach spaces]] if it is quasi-complete ([Schaefer-Wolff 99](#SchaeferWolff99)).

## References


* Wikipedia about [bornological spaces] (http://en.wikipedia.org/wiki/Bornological_space)

* [[Jiri Adamek]], [[Horst Herrlich]], and [[George Strecker]], _Abstract and concrete categories: the joy of cats_. [free online](http://katmat.math.uni-bremen.de/acc/acc.pdf)


* {#AlpaySalomon13} Daniel Alpay, Guy Salomon, _On algebras which are inductive limits of Banach spaces_ ([arXiv:1302.3372](http://arxiv.org/abs/1302.3372))

* {#SchaeferWolff99} H. H. Schaefer with M. P. Wolff, _Topological vector spaces_, Springer 1999

[[!redirects bornological space]]
[[!redirects bornological spaces]]
[[!redirects bornalogical space]]

[[!redirects Bor]]
[[!redirects Born]]
