
In _[[Categories for the Working Mathematician]]_, [[Saunders Mac Lane]] uses the term 'metacategory' to mean any [[model theory|model]] of the [[first-order logic|first-order]] [[theory]] of [[categories]], and reserves the word '[[category]]' for a metacategory whose [[objects]] and [[morphisms]] form [[sets]].  He then assumes the existence of one [[Grothendieck universe]] $U$ and calls sets and categories in $U$ [[small category|small]] and categories not in $U$ [[large category|large]].  Thus, for him, there is:

* the large category [[Cat]] of all small categories, and
* the metacategory [[CAT]] of all (possibly large) categories.


However, this usage has largely fallen out of favor among modern authors.  Most category theorists nowadays are happy to either use 'category' in the more general sense for which Mac Lane used 'metacategory', and/or to assume the existence of enough universes that any (meta)category has sets of objects and morphisms.  For instance, if we assume the existence of two universes $U \in U'$, we may call:

* sets and categories in $U$ 'small',
* those not in $U$ 'large',
* those in $U'$ '[[moderate category|moderate]]',
* and those (still with a set of objects and morphisms but) not in $U'$ 'very large',

then we have:

* the large but moderate category [[Cat]] of all small categories, and
* the very large category [[CAT]] of all moderate categories.


The authors of _[[The Joy of Cats]]_ use the term 'quasicategory' similarly to how Mac Lane uses 'metacategory', but this usage is even more strongly to be avoided, since it conflicts with the more common modern usage (following Joyal) of '[[quasicategory]]' for a particular model for [[(∞,1)-categories]].


[[!redirects metacategory]]
[[!redirects metacategories]]
