
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Topos Theory
+-- {: .hide}
[[!include topos theory - contents]]
=--
=--
=--

# Posites
* table of contents
{: toc}

## Idea

The notion of  _posite_ (or _$(0,1)$-site_, less properly _$0$-site_) is a [[decategorification]] of the notion of _[[site]]_ (which may also be called an $1$-site or $(1,1)$-site). For [[categorifications]] thereof, see [[(∞,1)-site]] and [[2-site]].

Just as a site is a [[category]] with a [[coverage]], whose ([[set]]-valued) [[sheaves]] form a [[Grothendieck topos]], so a posite is a [[poset]] with a coverage, whose $(0,1)$-sheaves ([[truth value]]-valued sheaves) form a [[locale]].  On the other hand, we can also consider a posite as a site in its own right, in which case the $1$-sheaves on it form a [[localic topos]].

As locale theory serves as an approach to [[topology]] in which locales take the role traditionally held by [[topological spaces]], so posites take the role traditionally held by [[topological bases]].

A [[formal topology]] may be generated by a posite equipped with a [[positivity predicate]].


## Definitions

+-- {: .un_defn}
###### Definition (posite)

A __posite__ is a [[site]] whose underlying category is [[thin category|thin]].
=--

In other words, a posite is a [[poset]] (or more generally a [[preordered set]]) equipped with a [[Grothendieck topology]] or a [[coverage]].  (The name is a portmanteau/pun on 'poset' and 'site'.)

The definition of coverage may be simplified a little in this case.

+-- {: .un_defn}
###### Definition (coverage on a poset)

Let $S$ be a poset (or proset).  A __coverage__ on $S$ is a [[binary relation]] $\lhd$ between $S$ and its [[power set]] that satisfies these conditions:

*  If $u \lhd V$ and $v \in V$, then $v \leq u$;
*  If $u \lhd V$ and $u' \leq u$, then $u' \lhd V'$ for some $V'$ such that, for every $v' \in V'$, there is a $v \in V$ such that $v' \leq v$.

Then a __posite__ is precisely a poset (or proset) equipped with a coverage.
=--

If $S$ is a [[meet-semilattice]], then there is another alternative defintion.  (Actually, it is not necessary that the [[poset]] $S$ have *all* finitary [[meets]] but only *[[bounded meet|bounded]]* ones.  That is, if $v, w \leq u$ for some fixed $u$, then $v \wedge w$ must exist, but not otherwise.  Such a poset $S$ is a semilattice if and only if it has a [[top element]].  Compare the notion of [[locally cartesian category]].)

+-- {: .un_defn}
###### Definition (cartesian coverage on a locally cartesian posite)

Let $S$ be a poset (or proset) with all bounded binary meets.  A __cartesian coverage__ on $S$ is a [[binary relation]] $\lhd$ between $S$ and its [[power set]] that satisfies these conditions:

*  If $u \lhd V$ and $v \in V$, then $v \leq u$;
*  If $u \lhd V$ and $u' \leq u$, then $u' \lhd \{ v \wedge u' \;|\; v \in V \}$.

Then a __locally cartesian posite__ is such a poset (or proset) equipped with such a coverage.
=--

It is a theorem that every posite whose underlying poset has all bounded binary meets is equivalent (in the sense that there is an isomorphism of sites as defined below) to a locally cartesian posite.

In any case, given an element $u$ of $S$ and a [[subset]] $V$ of $S$, if
$$ u \lhd V ,$$
then we say that $V$ is a __basic [[cover]]__ of $u$.

+-- {: .un_defn}
###### Definition (morphism of posites)

Given two posites $S$ and $T$, a __morphism of posites__ from $S$ to $T$ is a [[function]] $f\colon S \to T$ such that:

*  If $u \leq v$ in $S$, then $f(u) \leq f(v)$ in $T$;
*  Given any $u$ in $T$, for some $v$ in $S$, we have $u \leq f(v)$;
*  If $w \leq f(u), f(v)$ in $T$, then for some $x \leq u, v$ in $S$, we have $w \leq f(x)$; and
*  If $u \lhd V$, then $f(u) \lhd \{ f(v) \;|\; v \in V \}$.
=--

Clauses (1--3) simply state that $f$ is a [[flat functor]]; when $S$ and $T$ are semilattices, we can replace this with the requirement that $f$ preserves meets (including the top element).  Clause (4) requires $f$ to respect covers.


## Ideals and sheaves

One often looks at [[sheaves]] on [[sites]].  On posites, one can either look at sheaves or at ideals.

+-- {: .un_defn}
###### Definition (ideal)

Given a posite $S$, an __ideal__ on $S$ (also called a __$(0,1)$-sheaf__; compare $(\infty,1)$-[[(infinity,1)-sheaf|sheaf]]) is a [[subset]] $I$ of $S$ satisfying these conditions:

1.  If $u \leq v$ and $v \in I$, then $u \in I$; and
2.  If $u \lhd V$ and $V \subseteq I$, then $u \in I$.
=--

In other words, it is a [[sheaf]] valued in [[truth values]] (rather than in [[sets]] as is the default).

A subset $I$ that satisfies condition (1) alone states that $I$ is a __[[lower subset]]__ (a $(0,1)$-[[presheaf]]).

The ideals on a posite form a [[frame]] $Id(S)$ (or $Sh_{0,1}(S)$) under inclusion, which may alternately be interpreted as a [[locale]].

Every element of $S$ may be interpreted as an ideal on $S$; given two elements $u,v$ of $S$, $u$ belongs to the __ideal [[represented functor|represented]]__ by $v$ if and only if $u \leq v$; that is, $v$ represents its [[down set]].

The frame of ideals is given by a [[universal property]].  If $L$ is a frame, we make $L$ into a posite using its canonical coverage (see the examples below).  Then the operation from elements of $S$ to ideals on $S$ is a morphism of posites; furthermore, given any morphism of posites from $S$ to a frame $L$ (with its canonical coverage), there exists a unique frame [[homomorphism]] from $Id(S)$ to $L$ that makes the obvious triangle commute.

If instead we treat a posite as a special kind of site and look at its $1$-sheaves, we have this result:

+-- {: .un_prop}
###### Proposition

The [[topos of sheaves]] on any posite $P$ is a [[localic topos]].  
=--

+-- {: .proof}
###### Proof

This is obvious if we use the definition of "localic topos" which says that it is generated by [[subterminal objects]], since the (sheafifications of) representable functors always generate a topos of sheaves, and for a posite these are subterminal.
=--

The relevant locale is precisely the locale of ideals.


## Interpretations

Given a posite $S$, we may think of the elements of $S$ as __basic opens__ of a space which is generated from $S$ using its coverage, to produce a [[locale]].  Thus a posite is precisely a __base__ for a locale.  See the example coming from a topological space below to see how this can work precisely for a [[topological locale]].

A coverage can be seen as a [[sequent]] calculus; the interpretation of
$$ u \lhd V $$
in topology is analogous to the interpretation of
$$ p \lhd Q $$
in [[logic]].  Note that we have a single proposition on the left but a set of propositions (interpreted [[disjunction|disjunctively]]) on the right, the reverse of an [[intuitionistic logic|intuitionistic]] sequent.


## Examples

### Using ideals

Any poset (or proset) $S$ has a __[[canonical coverage]]__, in which

*  $u \lhd V$ if and only if, for any $u' \leq u$, $u'$ is a [[join]] of some $V'$ such that, for every $v' \in V'$, there is a $v \in V$ such that $v' \leq v$.

If $S$ is a [[frame]], then we can simplify this condition:

*  $u \lhd V$ if and only if $u$ is a join of $V$;

and then the canonical coverage is cartesian.  In this case, $Id(S)$ is [[natural isomorphism|naturally isomorphic]] to $S$ itself.  (Analogously, if $E$ is a [[Grothendieck topos]] with its canonical coverage, then $Sh(E)$, the [[topos of sheaves]] on $E$, is naturally [[equivalence of categories|equivalent]] to $E$.)

Let $X$ be a [[topological space]], and let $S$ be a [[topological base]] of $X$.  Then $S$ is a semilattice under [[intersection]]; we make $S$ into a posite by defining

*  $u \lhd V$ if and only if $u$ is the [[union]] of $V$ in $X$ (which is not necessarily the same as a join in $S$).

The frame generated by this posite is [[natural isomorphism|naturally isomorphic]] to the [[frame of opens]] of $X$.  If $X$ is a [[sober space]], then this frame, interpreted as a [[locale]], may be identified with $X$.

The [[locale of real numbers]] is generated from the locally cartesian poset $S \coloneqq \mathbb{Q}^op \times \mathbb{Q}$, where $\mathbb{Q}$ is the usual poset of [[rational numbers]], equipped with the cartesian coverage given by

*  $(x,y) \lhd \empty$ whenever $x \geq y$;
*  $(w,z) \lhd \{(w,x),(y,z)\}$ whenever $w \leq y \lt x \leq z$; and
*  $(w,z) \lhd \{ (x,y) \;|\; w \lt x \lt y \lt z \}$.

Often you will see $\pm\infty$ added to $\mathbb{Q}$ in a description of this locale, which adds a [[top element]] to $S$ and so makes it into a semilattice, but that makes no difference to the generated locale in this case.


### Using sheaves

The [[double negation topology]] used in the sheaf-theoretic approach to [[forcing]] is a posite.  More generally, [[classical mathematics|Classical]] [[set theory|set-theoretic]] [[forcing]] is done exclusively on posites.  One "reason" for this (in the sense of a reason why set-theorists have not been forced to look beyond such models) is explained in [the paper by Freyd](#Freyd) below.

The [[semilattice of commutative subalgebras]] of a $C^*$-[[C-star algebra|algebra]] $A$ is a posite (with trivial topology) internal to whose sheaf topos we have a [[constructive Gelfand duality theorem]] for $A$, even if $A$ was externally non-commutative.

The [[classifying topos]] of any [[propositional logic|propositional]] [[geometric theory]] is localic, and can be presented as sheaves on a posite of [[propositions]].


## Use in predicative mathematics

We call a frame (or locale) $L$ __accessible__ if it is [[isomorphism|isomorphic]] to $Id(S)$ for some [[small category|small]] posite $S$.  (Compare the concept of [[accessible category]], in the case of a [[cocomplete category|cocomplete]] [[pretopos]].)

In [[classical mathematics]], an accessible frame must be small, but this fails in [[predicative mathematics]].  (Conversely, any small frame is trivially accessible; take $S$ to be $L$ with its canonical coverage.)  Since many predicativists have philosophical objections to working with large objects at all, they may prefer to work with small posites directly.  Whatever the philosophy, we may use small posites in place of accessible locales, or at any rate use this to prove that the category of the latter is [[essentially moderate category|essentially moderate]].

[[formal topology|Formal topology]] is a programme for [[topology]] which is based on using small posites.  However, formal topologists also require a positivity predicate on their posites; the intended interpretation is that $u$ is positive iff its corresponding [[open subspace]] is [[inhabited space|inhabited]].  This seems to be needed for a good theory of [[compact spaces]] (and related notions) in a predicative constructive framework.


## References

*  Most of this article is based on _[[Stone Spaces]]_, but with a different presentation.

On [[forcing]], see:

*  [[Peter Freyd]], _All topoi are localic or why permutation models prevail_, Journal of Pure and Applied Algebra 46 (1987) pp 49--58.
{#Freyd}

*  [This MO question](http://mathoverflow.net/questions/13480/set-theoretic-forcing-over-sites) and its answer.


[[!redirects posite]]
[[!redirects posites]]
[[!redirects 0-site]]
[[!redirects 0-sites]]
[[!redirects (0,1)-site]]
[[!redirects (0,1)-sites]]

[[!redirects 0-coverage]]
[[!redirects 0-coverages]]
[[!redirects (0,1)-coverage]]
[[!redirects (0,1)-coverages]]

[[!redirects morphism of posites]]
[[!redirects morphisms of posites]]
[[!redirects morphism of 0-sites]]
[[!redirects morphisms of 0-sites]]
[[!redirects morphism of (0,1)-sites]]
[[!redirects morphisms of (0,1)-sites]]
[[!redirects posite morphism]]
[[!redirects posite morphisms]]
[[!redirects 0-site morphism]]
[[!redirects 0-site morphisms]]
[[!redirects (0,1)-site morphism]]
[[!redirects (0,1)-site morphisms]]

[[!redirects 0-sheaf]]
[[!redirects 0-sheaves]]
[[!redirects (0,1)-sheaf]]
[[!redirects (0,1)-sheaves]]
[[!redirects ideal in a posite]]
[[!redirects ideals in a posite]]
[[!redirects ideal in a 0-site]]
[[!redirects ideals in a 0-site]]
[[!redirects ideal in a (0,1)-site]]
[[!redirects ideals in a (0,1)-site]]

[[!redirects frame of ideals]]
[[!redirects frames of ideals]]
[[!redirects frame of 0-sheaves]]
[[!redirects frames of 0-sheaves]]
[[!redirects frame of (0,1)-sheaves]]
[[!redirects frames of (0,1)-sheaves]]
[[!redirects frame of sheaves]]
[[!redirects frames of sheaves]]
[[!redirects locale of ideals]]
[[!redirects locales of ideals]]
[[!redirects locale of 0-sheaves]]
[[!redirects locales of 0-sheaves]]
[[!redirects locale of (0,1)-sheaves]]
[[!redirects locales of (0,1)-sheaves]]
[[!redirects locale of sheaves]]
[[!redirects locales of sheaves]]

[[!redirects localic base]]
[[!redirects localic bases]]
[[!redirects base of a locale]]
[[!redirects bases of a locale]]
[[!redirects bases of locales]]

[[!redirects accessible frame]]
[[!redirects accessible frames]]
[[!redirects accessible locale]]
[[!redirects accessible locales]]
