
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A _planar algebra_ $\mathcal{P}$ consists of vector spaces $P_n$ together with multilinear operations between them indexed by planar tangles -- large discs
with internal ("input") discs all connected up by non-intersecting curves
called strings. Thus a planar algebra may be thought of as made up
from generators $R_i \in P_n$ to which linear combinations of planar tangles
may be applied to obtain all elements of $\mathcal{P}$.


## References

Details are given in 

* [[Vaughan Jones]], _Quadratic Tangles in Planar Algebras_ ([arXiv:1007.1158](http://arxiv.org/abs/1007.1158)), 

where the author remarks

> The definition of a planar algebra has evolved a bit since the original one in [Planar algebras I](http://arxiv.org/abs/math/9909027) so we give a detailed definition which is, we hope, the ultimate one, at least for shaded planar algebras.

* [[Vaughan Jones]], _[Planar Algebra Master Class](http://www.ctqm.au.dk/events/2008/MasterClassAug/)_

> Relations will appear with [[knot theory]], [[statistical mechanics]], combinatorial [[group theory]], [[quantum groups]] and most of all, [[subfactors]]. They lead to many different algebraic structures according to the particular planar tangles chosen. Of particular interest recently have been graded algebra structures which give connections with the large $N$ limit of random matrices and free probability. 

The relation to [[von Neumann algebra factors|subfactors]] and [[fusion categories]] is discussed in 

* [[Scott Morrison]], _Small index subfactors, planar algebras, and fusion categories_, lectures at CT2013 ([pdf](http://tqft.net/math/2013-07-03-Macquarie.pdf))
 {#Morrison}

Plenty of discussion of planar algebras is at

* Secret Blogging Seminar, _[Planar algebra entries](http://en.wordpress.com/tag/planar-algebras/)_

[[!redirects planar algebras]]