
#Contents#
* table of contents
{:toc}

## Idea

The __Gabriel-Rosenberg reconstruction theorem__ says: an [[algebraic scheme]] can be reconstructed up to an isomorphism from the abelian category of quasicoherent sheaves over that scheme. If a scheme is quasicompact quasiseparated, then $X$ is the 'geometric center' of the category of quasicoherent sheaves $Qcoh_X$.  The geometric center is a construction obtained as a composition of two functors: first Rosenberg's [[spectrum of an abelian category]] as a topological space with a stack of local categories and then a certain construction of a center, which will yield a topological space with a sheaf of local commutative unital rings. 

## History and versions

This theorem has been, under some restrictions proved, in [[Pierre Gabriel]]'s thesis and subsequent article [[Des catégories abéliennes]] using the notion of indecomposable spectrum (or [[Gabriel's spectrum of indecomposables]]). The case of general [[quasicompact schemes]] is proved in Max Planck 1996 preprint ([pdf](http://www.mpim-bonn.mpg.de/preprints/send?bid=3948)) of [[Alexander Rosenberg]] published in 1998 (a short sketch is also in the 1998 paper _Noncommutative schemes_ of Rosenberg) using his construction of a [[spectrum of an abelian category]] generalizing straightforwardly his 1982 construction of a left spectrum of a ring). The quasicompactness condition has been noted in this construction after a counterexample exhibited by [[Ofer Gabber]]. Few years later (see 2003 MPI preprint), Rosenberg got rid of quasicompactness condition inventing yet another notion of a spectrum.  Another proof, using a slightly modified version of Rosenberg's spectrum due to [[Ofer Gabber]], has been written down in [Brandenburg 2013](#Brandenburg13).

A [[moduli]]-theoretic proof, and an extension to [[algebraic spaces]], has been proved in [Calabrese-Groechenig 13](#CalabreseGroechenig13).

## Literature

* [[Pierre Gabriel]], __[[Des catégories abéliennes]]__, Bulletin de la Société Mathématique de France, 90 (1962), p. 323-448 ([numdam](http://www.numdam.org/item?id=BSMF_1962__90__323_0))

* A. L. Rosenberg, _The spectrum of abelian categories and reconstructions of schemes_, in Rings, Hopf Algebras, and Brauer groups, Lectures Notes in Pure and Appl. Math. __197__, Marcel Dekker, New York, 257--274, 1998; MR99d:18011; and Max Planck Bonn preprint _Reconstruction of Schemes_, MPIM1996-108, [pdf](http://www.mpim-bonn.mpg.de/preprints/send?bid=3948) (1996). 

* A. L. Rosenberg, _Spectra of noncommutative spaces_, MPIM2003-110 [ps](http://www.mpim-bonn.mpg.de/preprints/send?bid=1946) [dvi](http://www.mpim-bonn.mpg.de/preprints/send?bid=1945) (2003)

* A. L. Rosenberg, _Noncommutative schemes_, Compos. Math. __112__ (1998) 93--125 ([doi](http://dx.doi.org/10.1023/A:1000479824211))

* A. L. Rosenberg, _The left spectrum, the Levitzki radical, and noncommutative schemes_, Proc. Nat. Acad. Sci. U.S.A. __87__  (1990),  no. 21, 8583--8586.

* A. L.  Rosenberg, _Noncommutative algebraic geometry and representations of quantized algebras_, MIA __330__, Kluwer Academic Publishers Group, Dordrecht, 1995. xii+315 pp. ISBN: 0-7923-3575-9 

* [[Martin Brandenburg]], _Rosenberg's reconstruction theorem (after Gabber)_, 2013, ([arXiv:1310.5978](http://arxiv.org/abs/1310.5978)).
 {#Brandenburg13}

* John Calabrese, Michael Groechenig.  _Moduli problems in abelian categories and the reconstruction theorem._  2013.  ([arXiv:1310.6600](http://arxiv.org/abs/1310.6600)).
 {#CalabreseGroechenig13}

* related MO question: [what is the center of QCohX](http://mathoverflow.net/questions/41789/what-is-the-center-of-qcohx)

category: algebraic geometry, noncommutative geometry
[[!redirects Gabriel-Rosenberg reconstruction theorem]]
[[!redirects Gabriel-Rosenberg's theorem]]
[[!redirects Gabriel-Rosenberg reconstruction]]
[[!redirects Gabriel-Rosenberg's reconstruction]]