
#Contents#
* table of contents
{:toc}

## Idea

The __spectrum of an abelian category__ (or Rosenberg's spectrum) is a set attached to a svelte (equivalent to small) [[abelian category]] generalizing the left spectrum of a noncommutative ring. It can be equipped with natural Zariski topology and a stack of [[local abelian category|local abelian categories]], similar to the picture of locally ringed spaces. It has been invented by A. L. Rosenberg in 1980-s. 

## Definition

Let $A$ be a svelte abelian category. 
One first defines a preorder $\succ$ on the class of nonzero objects in $A$ by setting $M\succ N$ if $N$ is a [[subquotient]] of finitely many copies of $M$. In other words, $M\succ N$ if there exists a positive number $k$ and a subobject $U$ of a direct sum $\oplus_{i = 1}^k M$ of $k$ copies of $M$ and an epimorphism from $U$ to $N$.   

As a set, spectrum $\mathbf{Spec}\,A$ of an abelian category $A$, can be described as a set of equivalence classes of [[topologizing subcategories]] $[M]$ generated by objects $M$ in $A$ such that $L\succ M$ for any nonzero subobject $L$ of $M$, equipped with a specialization preorder.  

If $A = Qcoh(X)$ where $X$ is the abelian category of quasicoherent sheaves of $\mathcal{O}_X$ modules on a [[quasiseparated]] [[quasicompact]] scheme, then the scheme $X$ can be reconstructed up to isomorphisms in two steps. First one constructs the spectrum $\mathbf{Spec} Qcoh(X)$ as a topological space with a stack of local abelian categories. Then one does fibrewise the construction of a [[center of an abelian category]], that is replacing each fibre (which is an abelian category) by the commutative ring of endotransformations of the identity functor and sheafifies. 
The Rosenberg's version of the [[Gabriel-Rosenberg reconstruction]] of commutative schemes states that the result is isomorphic to the original scheme. One can generalize to arbitrary schemes possessing a cover by affines whose inclusions have a direct image functor, but then one needs to use a different spectrum.

## Related concepts

* [[spectrum of a tensor triangulated category]]

## References

* [[Alexander Rosenberg]], _Geometry of Noncommutative ’Spaces’ and Schemes_, MPIM 2011-68, [pdf](http://www.mpim-bonn.mpg.de/preblob/5148)

* [[A. L. Rosenberg]], _Underlying spaces of noncommutative spaces_, [dvi](http://www.mpim-bonn.mpg.de/preblob/1947), [ps](http://www.mpim-bonn.mpg.de/preblob/1948)

* [[A. L. Rosenberg]], _Topics in noncommutative algebraic geometry, homological algebra and K-theory_, preprint MPIM Bonn 2008-57 [pdf](http://www.mpim-bonn.mpg.de/preblob/3589)

* [[A. L. Rosenberg]], _The spectrum of abelian categories and reconstructions of schemes_, in Rings, Hopf Algebras, and Brauer groups, Lectures Notes in Pure and Appl. Math. __197__, Marcel Dekker, New York, 257--274, 1998; MR99d:18011; and Max Planck Bonn preprint _Reconstruction of Schemes_, MPIM1996-108, [pdf](http://www.mpim-bonn.mpg.de/preblob/3948) (1996). 

* [[A. L. Rosenberg]], _Spectra of noncommutative spaces_, MPIM2003-110 [ps](http://www.mpim-bonn.mpg.de/preblob/1946) [dvi](http://www.mpim-bonn.mpg.de/preblob/1945) (2003)

* [[A. L. Rosenberg]], _Noncommutative schemes_, Compos. Math. __112__ (1998) 93--125 ([doi](http://dx.doi.org/10.1023/A:1000479824211))

* [[A. L. Rosenberg]], _The left spectrum, the Levitzki radical, and noncommutative schemes_, Proc. Nat. Acad. Sci. U.S.A. __87__  (1990),  no. 21, 8583--8586.

* [[A. L. Rosenberg]], _Noncommutative local algebra_,  Geom. Funct. Anal. __4__  (1994),  no. 5, 545--585.

* [[A. L.  Rosenberg]], _Noncommutative algebraic geometry and representations of quantized algebras_, MIA __330__, Kluwer Academic Publishers Group, Dordrecht, 1995. xii+315 pp. ISBN: 0-7923-3575-9 

category: algebraic geometry, noncommutative geometry