
This entry is about the notion of [[site]] in [[2-category]] theory. For the notion "bisite" of a 1-categorical site equipped with two coverages see instead [[separated presheaf]].

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### $(\infty,2)$-Topos theory
+--{: .hide}
[[!include (infinity,2)-topos theory - contents]]
=--
#### 2-Category theory
+--{: .hide}
[[!include 2-category theory - contents]]
=--
=--
=--

#Contents#
* automatic table of contents goes here
{:toc}

## Idea

The notion of [[2-site]] is the generalization of the notion of [[site]] to the [[higher category theory]] of [[2-categories]] ([[bicategories]]).

Over a 2-site one has a [[2-topos]] of [[2-sheaves]].

## Definition

A **[[coverage]]** on a [[2-category]] $C$ consists of, for each object $U\in C$, a collection of families $(f_i: U_i\to U)_i$ of morphisms with codomain $U$, called _covering families_, such that

* If $(f_i:U_i\to U)_i$ is a covering family and $g:V\to U$ is a morphism, then there exists a covering family $(h_j:V_j\to V)_j$ such that each composite $g h_j$ factors through some $f_i$, up to isomorphism.

This is the 2-categorical analogue of the 1-categorical notion of [[nlab:coverage|coverage]] introduced in the [[nlab:Elephant|Elephant]].

A 2-category equipped with a coverage is called a **2-site**.


## Examples

* If $C$ is a [[michaelshulman:regular 2-category]], then the collection of all singleton families $(f:V\to U)$, where $f$ is eso, forms a coverage called the _regular coverage_.

* Likewise, if $C$ is a [[michaelshulman:coherent 2-category]], the collection of all finite jointly-eso families forms a coverage called the _coherent coverage_.

* On $Cat$, the _canonical coverage_ consists of all families that are jointly essentially surjective on objects.

## Saturation conditions

A **pre-Grothendieck coverage** on a 2-category is a coverage satisfying the following additional conditions:

* If $f:V\to U$ is an equivalence, then the one-element family $(f:V\to U)$ is a covering family.

* If $(f_i:U_i\to U)_{i\in I}$ is a covering family and for each $i$, so is $(h_{i j}:U_{i j} \to U_i)_{j\in J_i}$, then $(f_i h_{i j}:U_{i j}\to U)_{i\in I, j\in U_i}$ is also a covering family.

This is the 2-categorical version of a [[Grothendieck pretopology]] (minus the common condition of having actual [[pullbacks]]).

Now, a **sieve** on an object $U\in C$ is defined to be a functor $R:C^{op}\to Cat$ with a transformation $R\to C(-,U)$ which is objectwise fully faithful (equivalently, it is a [[fully faithful morphism]] in $[C^{op},Cat]$).  Equivalently, it may be defined as a subcategory of the [[slice 2-category]] $C/U$ which is closed under precomposition with all morphisms of $C$.

Every family $(f_i\colon U_i\to U)_i$ generates a sieve by defining $R(V)$ to be the full subcategory of $C(V,U)$ on those $g:V\to U$ such that $g \cong f_i h$ for some $i$ and some $h:V\to U_i$.  The following observation is due to [StreetCBS](#StreetCBS).

+--{: .num_lemma}
###### Lemma
A 2-presheaf $X:C^{op}\to Cat$ is a 2-sheaf for a covering family $(f_i:U_i\to U)_i$ if and only if
$$X(U) \simeq[C^{op},Cat](C(-,U),X) \to [C^{op},Cat](R,X)$$
is an equivalence, where $R$ is the sieve on $U$ generated by $(f_i:U_i\to U)_i$.
=--

Therefore, just as in the 1-categorical case, it is natural to restrict attention to covering _sieves_.  We define a **Grothendieck coverage** on a 2-category $C$ to consist of, for each object $U$, a collection of sieves on $U$ called covering sieves, such that

* If $R$ is a covering sieve on $U$ and $g:V\to U$ is any morphism, then $g^*(R)$ is a covering sieve on $V$.

* For each $U$ the sieve $M_U$ consisting of _all_ morphisms into $U$ (the sieve generated by the singleton family $(1_U)$) is a covering sieve.

* If $R$ is a covering sieve on $U$ and $S$ is an arbitrary sieve on $U$ such that for each $f:V\to U$ in $R$, $f^*(S)$  is a covering sieve on $V$, then $S$ is also a covering sieve on $U$.

Here if $R$ is a sieve on $U$ and $g:V\to U$ is a morphism, $g^*(R)$ denotes the sieve on $V$ consisting of all morphisms $h$ into $V$ such that $g h$ factors, up to isomorphism, through some morphism in $R$.

As in the 1-categorical case, one can then show that every coverage generates a unique Grothendieck coverage having the same 2-sheaves.


## Properties

* The [[2-category]] of [[2-sheaf|2-sheaves]] on a 2-site is a [[Grothendieck 2-topos]].

* If $C$ is a [[1-category]] regarded as a 2-category with only [[identity morphism|identity]] [[2-morphisms]], then a coverage (pretopology, topology) on $C$ reduces to the usual notion of [[coverage]], [[Grothendieck pretopology]], or [[Grothendieck topology]].


## Related concepts

* [[(n,r)-site]]

* [[1-site]]

* **2-site**, [[(2,1)-site]]

* [[(∞,1)-site]]

  * [[model site]], [[simplicial site]]

## References

Strict 2-sites were considered in

* [[Ross Street]], _Two-dimensional sheaf theory_ J. Pure Appl. Algebra __23__ (1982), no. 3, 251-270, [MR83d:18014](http://www.ams.org/mathscinet-getitem?mr=644277), <a href="http://dx.doi.org/10.1016/0022-4049(82)90101-3">doi</a>

Bicategorical 2-sites in

* [[Ross Street]], [[zoranskoda:Characterization of Bicategories of Stacks]], [MR84d:18006](http://www.ams.org/mathscinet-getitem?mr=682967), p. 282-291 in: Category theory (Gummersbach 1981) Springer LNM __962__, 1982 
{: #StreetCBS }

See also _[[StreetCBS]]_.

More discussion is in 

* [[Michael Shulman]], _[[michaelshulamn:2-site]]_


[[!redirects 2-sites]]

[[!redirects (2,2)-site]]
[[!redirects (2,2)-sites]]

[[!redirects bisite]]
[[!redirects bisites]]
[[!redirects Grothendieck 2-topology]]
[[!redirects 2-Grothendieck topology]]
[[!redirects Grothendieck 2-topologies]]
[[!redirects 2-Grothendieck topologies]]
[[!redirects Grothendieck 2-pretopology]]
[[!redirects 2-Grothendieck pretopology]]
[[!redirects Grothendieck 2-pretopologies]]
[[!redirects 2-Grothendieck pretopologies]]
[[!redirects 2-coverage]]
[[!redirects 2-coverages]]
[[!redirects topology on a 2-category]]
[[!redirects topologies on 2-categories]]
[[!redirects Grothendieck topology on a 2-category]]
[[!redirects Grothendieck topologies on 2-categories]]
[[!redirects coverage on a 2-category]]
[[!redirects coverages on 2-categories]]
[[!redirects topology on a bicategory]]
[[!redirects topologies on bicategories]]
[[!redirects Grothendieck topology on a bicategory]]
[[!redirects Grothendieck topologies on bicategories]]
[[!redirects coverage on a bicategory]]
[[!redirects coverages on bicategories]]
