
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--

This page lists literature on _[[string theory]]_.

(See also at _[[string theory FAQ]]_.)

# Contents
* table of contents 
{: toc}

## Mathematically inclined monographs about string theory

There is to date no textbook on string theory genuinely digestible by the standard pure mathematician. Even those that claim to be are not, as experience shows. But here are some books that make a strong effort to go beyond the vagueness of the "mainstream" books, which are listed further below.

* {#Cheng13} Miranda Cheng, _Mathematical tools for string theorists_, lecture notes 2013 ([pdf](http://www.math.jussieu.fr/~chengm/lecture_notes/Thalys_School.pdf))

  This is an elementary set of lecture notes introducing the required basics of [[differential geometry]] ending with [[2d CFT]], the [[Witten genus]] and [[orbifolds]].


* [[Pierre Deligne]], [[Pavel Etingof]], [[Dan Freed]], L. Jeffrey, [[David Kazhdan]], [[John Morgan]], D.R. Morrison and [[Edward Witten]] (eds).  _[[Quantum Fields and Strings]], A course for mathematicians_, 2 vols. Amer. Math. Soc. Providence 1999. ([web version](http://www.math.ias.edu/qft))

  This is a long collection of (in parts) long lectures by many top string theorists and also by some genuine top mathematicians. Correspondingly it covers a lot of ground, while still being introductory. Especially towards the beginning there is a strong effort towards trying to formalize or at least systematize much of the standard lore. But one can see that eventually the task of doing that throughout had been overwhelming. Nevertheless, this is probably the best source that there is out there. If you only ever touch a single book on string theory, touch this one.

* [[Leonardo Castellani]], [[Riccardo D'Auria]], [[Pietro Fre]], _[[Supergravity and Superstrings - A Geometric Perspective]]_

  This focuses on the discussion of 
  [[supergravity]]-aspects of string theory from the point of view of the [[D'Auria-Fre formulation of supergravity]]. Therefore, while far, far from being written in the style of a mathematical treatise, this book stands out as making a consistent proposal for what the central ingredients of a mathematical formalization might be: as explained at the above link, secretly this book is all about describing supergravity in terms of [[connection on an infinity-bundle|infinity-connections]] with values in [[super L-infinity algebra]]s such as the [[supergravity Lie 3-algebra]].

* [[Hisham Sati]], [[Urs Schreiber]], _[[schreiber:Mathematical Foundations of Quantum Field and Perturbative String Theory]]_, Proceedings of Symposia in Pure Mathematics, AMS (2011)

  This volume tries to give an impression of the rather recent massive progress that has happened in the mathematical understanding of fundamental ingredients of perturbative string theory, revolving around the proof of the [[cobordism hypothesis]] and related topics of [[higher category theory and physics]]. This is not an introductory textbook, even though some contributions do contain introductory material. Rather, this is meant to be read by people who already understand the basic idea of string theory and would like to see what the mathematical picture behind it all is going to be.

* Igor V. Dolgachev, [Introduction to string theory](http://www.math.lsa.umich.edu/~idolga/lecturenotes.html)

* [[Paul Aspinwall]], [[Tom Bridgeland]], Alastair Craw, [[Michael Douglas]], Mark Gross, _Dirichlet branes and mirror symmetry_, Amer. Math. Soc. Clay Math. Institute 2009.


## Mainstream physics monographs
 {#MainstreamPhysicsMonographs}

### More elementary

* [[Jan Troost]], _[Beyond String Theory](http://www.phys.ens.fr/~troost/beyondstringtheory/index2.html)_ 

  (rough survey for laymen)

* [[Barton Zwiebach]], _A first course in string theory_, Cambridge University Press (2009)

  (meant to be a course for undergraduates)

* [[Katrin Becker]], [[Melanie Becker]], [[John Schwarz]], _String theory and M-theory: a modern introduction_,  Cambridge University Press (2006)

* [[Elias Kiritsis]], _String theory in a nutshell_, Princeton UP 2007, 608 pp. ([description](http://press.princeton.edu/titles/8456.html)); 1998 early version _Introduction to superstring theory_ (244 pp) is available as [hep-th/9709062](http://xxx.lanl.gov/abs/hep-th/9709062)

* [[Michael Dine]], _Supersymmetry and string theory: beyond the standard model_, Cambridge University Press 2006, 2007


### More advanced

* [[Michael Green]], [[John Schwarz]], [[Edward Witten]], _Superstring theory_, 3 vols. Cambridge Monographs on Mathematical Physics

* [[Joseph Polchinski]], _[[String theory]]_, 2 vols. 

* [[Joseph Polchinski]], _Joe's Little Book of String_, class notes, UCSB Phys 230A, String Theory, Winter 2010, [pdf](http://www.kitp.ucsb.edu/sites/default/files/users/joep/JLBS.pdf)


* {#West12} [[Peter West]], _[[Introduction to Strings and Branes]]_, Cambridge University Press 2012

* [[Alexander Polyakov]], _Gauge fields and strings_, 


* Brian Hatfield, _Quantum field theory of point particles and strings_,  Frontiers in Physics, 752 pages, Westview Press 1998

* [[Clifford Johnson]], _D-branes_ 

* [[Richard Szabo]], _An introduction to string theory and D-brane dynamics_

* &#1050;&#1077;&#1090;&#1086;&#1074; &#1057;.&#1042;. "&#1042;&#1074;&#1077;&#1076;&#1077;&#1085;&#1080;&#1077; &#1074; &#1082;&#1074;&#1072;&#1085;&#1090;&#1086;&#1074;&#1091;&#1102; &#1090;&#1077;&#1086;&#1088;&#1080;&#1102; &#1089;&#1090;&#1088;&#1091;&#1085; &#1080; &#1089;&#1091;&#1087;&#1077;&#1088;&#1089;&#1090;&#1088;&#1091;&#1085;" [djvu](http://www.stringworld.ru/files/Ketov_S.V._Vvedenie_v_kvantovuju_teoriju_strun_i_superstrun.djvu)

* {#IbanezUranga12} [[Luis Ibáñez]], [[Angel Uranga]], _[[String Theory and Particle Physics -- An Introduction to String Phenomenology]]_, Cambridge University Press 2012



## Physics lecture notes

* E. Alvarez, P. Meessen, _String primer_ ([hep-th/9810240](http://arxiv.org/abs/hep-th/9810240))

* David Tong, _Lectures on string theory_ ([arxiv/0908.0333](http://front.math.ucdavis.edu/0908.0333))

* [[Clifford Johnson]], _D-Brane primer_ ([arXiv:hep-th/0007170](http://arxiv.org/abs/hep-th/0007170))

* [[Michael Douglas]], [[Elias Kiritsis]] et. al. (eds.), _[[String theory and the real world]]_, Les Houches  Session LXXXVII 2007

## Popular level books and string propaganda

* [[Brian Greene]], _The elegant universe: superstrings, hidden dimensions, and the quest for the ultimate theory_

* Michio Kaku, various volumes

* video and slides of Witten's KITP overview [Future of String Theory](http://online.itp.ucsb.edu/online/kitp25/witten)


## Big mathematically inclined surveys

* [[Hisham Sati]], _[[Geometric and topological structures related to M-branes]]_, comprehensive survey

* [[Anton Kapustin]], [[Dmitri Orlov|D. O. Orlov]], _Lectures on mirror symmetry, derived categories, and $D$-branes_, Russian Mathematical Surveys, 2004, 59:5, 907&#8211;940 (Russian version: [pdf](http://www.mathnet.ru/php/getFT.phtml?jrnid=rm&paperid=772&volume=59&year=2004&issue=5&fpage=101&what=fullt&option_lang=eng), [arxiv version: [arxiv:math.AG/0308173](http://arxiv.org/abs/math.AG/0308173)).


## History

* [[Mike Duff]], _[[The World in Eleven Dimensions]]: Supergravity, Supermembranes and M-theory_ IoP 1999

* {#TheBirthOfStringTheory} Andrea Cappelli, Elena Castellani, Filippo Colomo, Paolo Di Vecchia (eds.), _The Birth of String Theory_
Cambridge University Press (2012). ([additional material](http://theory.fi.infn.it/colomo/string-book/), [publisher webpage](http://www.cambridge.org/gb/knowledge/isbn/item5979248/?site_locale=en_GB))
 

## Other lists of bibliography

* [String Theory Wiki](http://www.stringwiki.org/w/index.php?title=String_Theory_Wiki)

* [[books and reviews in mathematical physics]]

* AdS/CFT [list](http://www.personal.uni-jena.de/~p5thul2/notes/adscft.html) in Jena (see also nlab page [[AdS-CFT]]).


category: reference

[[!redirects books about string theory]]
[[!redirects books on string theory]]