# Diamonds
* table of contents
{: toc}

## Definition

A __diamond__ is a finite [[directed graph]] without oriented cycles which is a union of two (directed) chains with common minimum and common maximum (some other intermediate points and even edges may be in common as well). 


## Completing spans to diamonds

It is often interesting wheather a given [[span]] in some partial ordered set can be completed into a diamond. The property of a collection of spans to consist of spans which are expandable into diamonds is very useful in the theory of [[rewriting]] systems and producing normal forms in algebra. There are classical results e.g. Newman's diamond lemma, Širšov-Bergman's diamond lemma (Širšov is also sometimes spelled as Shirshov), and [[Church-Rosser theorem]] (and the corresponding Church-Rosser [[confluent category|confluence property]]).

* [[Alonzo Church]], J. Barkley Rosser, _Some properties of conversion_,  Trans. AMS __39__, No. 3. (May 1936), pp. 472–482, ([jstor](http://www.jstor.org/stable/1989762))

* [[Anatoly Shirshov|A. I. Širšov]], _Some algorithm problems for Lie algebras_ (Russian)
Sibirsk. Mat. Ž. __3__ 1962, 292--296, [MR0183753](http://www.ams.org/mathscinet-getitem?mr=0183753)

* [[George M. Bergman]], Adam O. Hausknecht, _The diamond lemma for ring theory_, Advances in Mathematics __29__ (1978) 178-218, (<a href="http://dx.doi.org/10.1016/0001-8708(78)90010-5">doi</a>) 

* L. A. Bokutʹ, I. P. Shestakov, _Some results by A. I. Shirshov and his school_,  Second International Conference on Algebra (Barnaul, 1991),  1--12, Contemp. Math. __184__, Amer. Math. Soc. 1995. 

* L. A. Bokut', _Unsolvability of the word problem and subalgebras of finitely presented Lie algebras_, Izv. Akad. Nauk S.S.S.R. Ser. Mat. __36__ (1972), 1173-1219 (Russian).

See [[zoranskoda:diamond lemma]] and the discussion starting [here](http://www.math.ntnu.no/~stacey/Mathforge/nForum/comments.php?DiscussionID=1538&Focus=13776#Comment_13776).

* L. A. Bokut, Y. Fong, W-F. Ke, _Composition-diamond lemma for associative conformal algebras_, J. Algebra __272__  (2004),  no. 2, 739--774.


## Other notion of a diamond

Distinguish from the 5-edge 4-point [undirected diamond graph](http://en.wikipedia.org/wiki/Diamond_graph).


[[!redirects diamond]]
[[!redirects diamonds]]
