+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

In [[gravity]],  __Bekenstein-Hawking entropy__ is an [[entropy]] assigned to [[black hole]], on the basis of laws of thermodynamics and observers outside black hole.  It striking property is that it is proportional to the surface area of the balck hole's [[horizon]].

## Properties

### Interpretation in AdS/CFT correspondence

In the context of [[string theory]] BH entropy is explained by a version of the [[AdS/CFT correspondence]]. Here every [[black brane]] solution in [[supergravity]] is the strong-coupling limit of a [[D-brane]] [[worldvolume]] [[QFT]]. After [[Kaluza-Klein mechanism|KK-reduction]] these black brane configurations become ordinary [[black hole]]s.  The [[entropy]] of the [[D-brane]] worldvolume theories on the [[event horizon]] turns out to coincide with the BH entropy of the corresponding black hole. 

Detailed computations exist in particular for [[D1-brane]]/[[D5-brane]] systems. This is parts of the [[AdS/CFT correspondence]]. See ([AGMOO, chapter 5](#AGMOO)).

See also 

* [[holographic entanglement entropy]]

* _[[string theory results applied elsewhere]]_.

### Interpretation by strong coupling limit of D-branes

Another way to derive Bekenstein-Hawking entropy in [[string theory]] is by computing the entropy of weakly coupled open strings on D-brane configurations in flat [[Minkowski space]] which transmute as the coupling constant is increased to given (supersymmetric) black hole configurations. More on this is at _[[black holes in string theory]]_.

## Related concepts

* gravitational entropy

  * [[black hole radiation]]

  * **Bekenstein-Hawking entropy**

  * [[generalized second law of thermodynamics]]

  * [[black holes in string theory]]

  * [[holographic entanglement entropy]]

## References
 {#References}

### General
 {#ReferencesGeneral}

Basic introductory accounts include

* [[Robert Wald]], _The Thermodynamics of Black Holes_ ([arXiv:gr-qc/9912119](http://arxiv.org/abs/gr-qc/9912119))

* [[Jacob Bekenstein]], _[Bekenstein-Hawking entropy](http://www.scholarpedia.org/article/Bekenstein-Hawking_entropy)_, (2008), Scholarpedia, 3(10):7375

A more general discussion which identifies thermodynamic properties of all [[horizons]] appearing on gravity (not just [[black hole]] horizons) was given in 

* {#Jacobson95} [[Ted Jacobson]], _Thermodynamics of Spacetime: The Einstein Equation of State_, Phys.Rev.Lett.75:1260-1263, 1995 ([arXiv:gr-qc/9504004](http://arxiv.org/abs/gr-qc/9504004))
 

This article showed that under some assumptions the [[Einstein equations]] can even be _derived_ from identifying gravitational horizon area with [[entropy]] and them imposing laws of [[thermodynamics]]. 

For more comments and more references on this observation see 

* [[Thanu Padmanabhan]], _Thermodynamical Aspects of Gravity: New insights_, Rep. Prog. Phys. 73 (2010) 046901 ([arXiv:0911.5004](http://arxiv.org/abs/0911.5004))

(Later authors tried to argue that derivations like this show that gravity is not a fundamental force of nature such as [[electromagnetism]] or the [[strong nuclear force]], but rather an [[entropic force]] that arises only from more fundamental forces in a [[thermodynamic limit]]. This however remains at best unclear.)

Discussion of black hole entropy from entropy of [[conformal field theory]] associated with the horizon has been given in 

* [[Steve Carlip]], _Entropy from Conformal Field Theory at Killing Horizons_, Class.Quant.Grav.16:3327-3348,1999 ([arXiv:gr-qc/9906126](http://xxx.lanl.gov/abs/gr-qc/9906126))

* [[Steve Carlip]], _Horizon Constraints and Black Hole Entropy_, Class.Quant.Grav.22:1303-1312, 2005 ([arXiv:hep-th/0408123](http://arxiv.org/abs/hep-th/0408123))

and reviewed in

* {#Carlip05} [[Steve Carlip]], _Horizon constraints and black hole entropy_ ([arXiv:gr-qc/0508071](http://arxiv.org/abs/gr-qc/0508071))

* {#Carlip07} [[Steve Carlip]], _Symmetries, Horizons, and Black Hole Entropy_, Gen.Rel.Grav.39:1519-1523,2007; Int.J.Mod.Phys.D17:659-664,2008 ([arXiv:0705.3024](http://arxiv.org/abs/0705.3024))

Further developments on black hole entropy are in

* [[Ashoke Sen]], _Logarithmic Corrections to Schwarzschild and Other Non-extremal Black Hole Entropy in Different Dimensions_, JHEP04(2013)156 ([arXiv:arXiv:1205.0971](http://arxiv.org/abs/arXiv:1205.0971))

* Aitor Lewkowycz, [[Juan Maldacena]], _Generalized gravitational entropy_ ([arXiv:1304.4926](http://arxiv.org/abs/1304.4926))


A related controversial article that spawned a lot of discussion is

* Ahmed Almheiri, [[Donald Marolf]], [[Joseph Polchinski]], James Sully, _Black holes: complementarity or firewalls?_, ([arXiv:1207.3123](http://arxiv.org/abs/arXiv:1207.3123))
  
### Interpretation in string theory

A survey of interpretation of [[black holes in string theory]] is in Chapter 5 of 

* [[Ofer Aharony]], S.S. Gubser, [[Juan Maldacena]], H. Ooguri, Y. Oz, _Large N field theories, string theory and gravity_, [arXiv:hep-th/9905111](http://arxiv.org/abs/hep-th/9905111)
 {#AGMOO}

Discussion in view of [[higher curvature corrections]] includes

* [[Thomas Mohaupt]], _Strings, higher curvature corrections, and black holes_ ([arXiv:hep-th/0512048](http://arxiv.org/abs/hep-th/0512048))

See also

* MO question, [statistical-physics-of-string-theory](http://mathoverflow.net/questions/31789/statistical-physics-of-string-theory)


### Interpretation as entanglement entropy

Discussions of the interpreation of BH entropy as [[holographic entanglement entropy]] include

* Alejandro Satz, [[Ted Jacobson]], _Black hole entropy and the renormalization group_ ([arXiv:1301.3171](http://arxiv.org/abs/1301.3171))


Computation of [[black hole entropy]] in 4d via [[AdS4-CFT3 duality]] from [[holographic entanglement entropy]] in the [[ABJM theory]] for the [[M2-brane]] is discussed in

* Jun Nian, Xinyu Zhang, _Entanglement Entropy of ABJM Theory and Entropy of Topological Black Hole_ ([arXiv:1705.01896](https://arxiv.org/abs/1705.01896))

[[!redirects black hole entropy]]
[[!redirects BH entropy]]