
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

If a [[subset]] $k$ of a [[field]] $K$ is a [[subalgebra|subfield]], then we call the larger field $K$ an **extension** of the smaller field $k$. 

More generally, if $k \to K$ is *any* [[ring]] [[homomorphism]] between fields, then it must be an [[injection]], so we may treat it as a field extension. 

## Properties

* [[Galois theory]]

* [[class field theory]]

## Factorization system

Every field extension can be factorized as a [[purely transcendental extension]] followed by an [[algebraic extension]]. Indeed, by [[Zorn's lemma]], we may construct a transcendence basis (i.e. maximal algebraically independent set) $B$, and the purely transcendental part is the subfield generated by $B$.

Unfortunately, this does not yield an [[orthogonal factorization system]]: given a field $K$, we may form the field $K (x)$ of [[rational functions]] over $K$, which is a purely transcendental extension of $K$, and we may form the [[algebraic closure]] $\overline{K (x)}$, which is an algebraic extension of $K (x)$; but we have the following commutative diagram,
$$\array{
K & \to & K (x^2) \\
\downarrow & & \downarrow \\
K (x) & \to & \overline{K (x)}
}$$
where $K (x^2)$ is the subfield of $K (x)$ generated by $x^2$, and $K (x^2) \to \overline{K (x)}$ is algebraic, yet there is no homomorphism $K (x) \to K (x^2)$ making both evident triangles commute.

## Examples

* [[cyclotomic field extension]]

* [[anti-cyclotomic field extension]]

## Related concepts

* [[transcendence degree]]

* [[separable field extension]]

* [[regular field extension]]

* [[ramified extension]]

* [[group extension]]

* [[algebraic extension]]




[[!redirects field extension]]
[[!redirects field extensions]]


[[!redirects extension of fields]]
[[!redirects extensions of fields]]
