
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Complex geometry
+--{: .hide}
[[!include complex geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

_GAGA_ is short for the title _Géométrie algébrique et géométrie analytique_ of the article  ([Serre 56](#Serre56)), and more generally has come to stand for the kind of results initated in this article, establishing the close relationship between [[algebraic geometry]] over the [[complex numbers]] and [[complex geometry|complex]] [[analytic geometry]], hence between [[algebraic spaces]] ([[algebraic varieties]], [[schemes]]) over the [[complex numbers]] and [[complex analytic spaces]]. 

For example, often one can compute [[sheaf cohomology]] either in the algebraic category or in the analytic category, obtaining the same result. This can be useful because one has more tools in the analytic category, such as [[Dolbeault cohomology|Dolbeault resolutions]]. Typically GAGA-type theorems hold for proper (compact) varieties, but not for non-proper varieties.

## Theorems

* [analytification -- Existence and fully faithfulness](analytification#Existence) (this is often referred to as "the GAGA theorem")

* [[Chow's theorem]]

* [relation between algebraic and analytic vector bundles](algebraic+vector+bundle#RelationToAnalyticVectorBundles)

* [[comparison theorem (étale cohomology)]]


## References

The original article is

* {#Serre56} [[Jean-Pierre Serre]], _Géométrie algébrique et géométrie analytique_ Université de Grenoble. Annales de l'Institut Fourier 6: 1–42, (1956) doi:10.5802/aif.59, ISSN 0373-0956, MR 0082175

which compares the categories of projective integral $\mathbb{C}$-schemes of finite type with that of projective complex manifolds possibly with singularities. In

* [[Alexander Grothendieck]], [[SGA]] I, Exposé XII

this was generalized to acomparison of proper $\mathbb{C}$-schemes locally of finite type and complex analytic spaces.

A good modern textbook account is in

* {#Neeman07} [[Amnon Neeman]], _Algebraic and analytic geometry_, London Math. Soc. Lec. Note Series __345__, 2007 ([publisher](http://www.cambridge.org/us/academic/subjects/mathematics/geometry-and-topology/algebraic-and-analytic-geometry))


Reviews and surveys include

* Wikipedia, _[Algebraic geometry and analytic geometry](http://en.wikipedia.org/wiki/Algebraic_geometry_and_analytic_geometry)_

* Yan Zhao, _Géométrie algébrique et géométrie analytique_, 2013 ([pdf](http://pub.math.leidenuniv.nl/~jinj/2013/efg/gaga.pdf))

* {#Demailly09} [[Jean-Pierre Demailly]], _Analytic methods in algebraic geometry_, lecture notes 2009  ([pdf](http://www-fourier.ujf-grenoble.fr/~demailly/manuscripts/analmeth.pdf))

Discussion for [[real analytic spaces]] includes

* {#Huisman02} [[Johannes Huisman]], section 2 of _The exponential sequence in real algebraic geometry and Harnack's Inequality for proper reduced real schemes_, Communications in Algebra, Volume 30, Issue 10, 2002 ([pdf](http://pageperso.univ-brest.fr/~huisman/rech/publications/exphi.pdf))


Generalization to more general [[analytic geometry]] includes

* {#ConradTemkin09} [[Brian Conrad]], M. Temkin, _Non-Archimedean analytification of algebraic spaces_, J. Algebraic Geom. 18 (2009), no. 4, 731–788 ([arXiv:0706.3441](http://arxiv.org/abs/0706.3441))

Generalization to  [[higher geometry]] ([[stacks]]) includes

* {#Lurie04} [[Jacob Lurie]], _[[Tannaka duality for geometric stacks]]_, ([arXiv:math.AG/0412266](http://arxiv.org/abs/math/0412266))

* {#Hall11} [[Jack Hall]], _Generalizing the GAGA Principle_ ([arXiv:1101.5123](http://arxiv.org/abs/1101.5123))

* {#GeraschenkoZureickBrown12} [[Anton Geraschenko]], David Zureick-Brown, _Formal GAGA for good moduli spaces_ ([arXiv:1208.2882](http://arxiv.org/abs/1208.2882))

Discussion in the context of [[moduli spaces]] includes

* Kai-Wen Lan, _Comparison between analytic and algebraic constructions of toroidal compactifications of PEL-type Shimura varieties_ [pdf](http://math.umn.edu/~kwlan/articles/cpt-ana-alg.pdf)

[[!redirects GAGA principle]]

catgeory: reference