
> This entry is about resolutions in the sense of [[homotopy theory]]. For resolutions of [[singularities]] see at _[[resolution of singularities]]_.

***

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Model category theory
+--{: .hide}
[[!include model category theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

In a [[homotopical category]] $C$, a _resolution_ of an object $X$ is another object $\hat X$ equipped with a weak equivalence $\hat X \to X$ or $X \to \hat X$ such that $\hat X$ has certain nice properties that $X$ lacks.

See also [[simplicial resolution]].

## In a model category

If $C$ is a [[model category]] then the most important resolutions are _cofibrant resolutions_ and _fibrant resolutions_.

A **fibrant resolution** (or *fibrant approximation*) of $X$ is a [[fibrant object]] $\hat X$ equipped with a weak equivalence into it

$$
  X \stackrel{\simeq}{\to} \hat X \to *
  \,.
$$

If the weak equivalence is also a [[cofibration]], the fibrant resolution is a *good fibrant resolution.*

A **cofibrant resolution** (or *cofibrant approximation*) of $X$ is a [[cofibrant object]] $\hat X$ equipped with a weak equivalence out of it

$$
  \emptyset \hookrightarrow \hat X \stackrel{\simeq}{\to} X
  \,.
$$

If the weak equivalence is also a [[fibration]] the cofibrant resolution is a *good cofibrant resolution.* 

Notice that the factorization axioms of a [[model category]] ensure that such resolutions always exist. 

Of course for the notion of fibrant resolution to make sense, also the ambient structure of a [[category of fibrant objects]] works. For cofibrant resolutions a [[Waldhausen category]] does the job, etc.

In the context of [[cofibration categories]], the  term used is *fibrant model*. (One also finds the term *fibrant replacement* used.)

## Examples

### In chain complexes

We consider the case of the one of the standard [[model structure on chain complexes]].

If $C$ is a category of [[chain complex]]es in a suitable (possibly structured) [[abelian category]] or [[semiabelian category]] $A$ then one can in particular consider resolutions of ordinary objects of $A$ -- regarded as a chain complex concentrated in degree 0 - by chain complexes of $A$.

A _resolution_ is an acyclic nonpositive complex $P_\cdot$ which coaugments $M$ or an acyclic nonnegative complex $I^\cdot$ which augments $M$, i.e. it is equipped with a map of complexes $P_\cdot \to M$ or a map of complexes $M\to I^\cdot$.
 
If each object $P_n$ is a [[projective object]] then  $P_\cdot \to M$ is a **[[projective resolution]]** , and if each $I^n$ is an [[injective object]] then $M\to I^\cdot$ is an **[[injective resolution]]** . These are fibrant and cofibrant resolutions in the suitable [[model structure on chain complexes]].

There are further generalizations like unbounded resolutions etc.

### In (co)simplicial objects in a model category

(...)

## Related concepts

* [[fibrant object]]

* [[canonical resolution]], [[bar construction]]

* [[homological resolution]]

* [[minimal fibration]]

[[!redirects resolutions]]

[[!redirects fibrant resolution]]
[[!redirects cofibrant resolution]]
[[!redirects fibrant resolutions]]
[[!redirects cofibrant resolutions]]


[[!redirects cofibrant replacement functor]]
[[!redirects fibrant replacement functor]]

[[!redirects cosimplicial resolution functor]]
[[!redirects simplicial resolution functor]]
