
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher category theory
+--{: .hide}
[[!include higher category theory - contents]]
=--
#### Homological algebra
+--{: .hide}
[[!include homological algebra - contents]]
=--
=--
=--



#Content#
* automatic table of contents goes here
{:toc}

## Idea

A _crossed module_  (of groups) is:

* from the [[nPOV]]: a convenient way to encode a [[strict 2-group]] $G$ in terms of a morphism of two ordinary [[group]]s $\partial : G_2 \to G_1$.

From other points of view it is:

*  like the inclusion of a [[normal subgroup]], but isn\'t an inclusion in general;
*  like a [[module]] with a twisted 'multiplication';
*  like the action of automorphisms on a group;
*  a [[crossed complex]] concentrated in degrees $1$ and $2$;
*  a nonabelian [[chain complex|chain-complex]];
*  a [[Moore complex]] of certain [[simplicial group]]s.

Historically they were the first example of [[higher dimensional algebra]] to be studied.

## Definition

### Diagrammatic definition

A **crossed module** is

* a pair of [[group]]s $G_2, G_1$,

* morphisms of groups
  $$
    G_2 \stackrel{\delta }{\to}{G_1}
  $$ 
  and 
  $$
    G_1 \stackrel{\alpha}{\to} Aut(G_2)
  $$ 
  (which below we will conceive of as a map $\alpha : G_1 \times G_2 \to G_2$ analogously to  the adjoint action $Ad : G \times G \to G$ of a group on itself)

* such that 
$$
  \array{
    G_2 \times G_2
    &&\stackrel{\delta \times Id}{\to}&&
    G_1 \times G_2
    \\
    & {}_{Ad}\searrow && \swarrow_\alpha
    \\
    &&
    G_2
  }
$$
and
$$
  \array{
    G_1 \times G_2 &\stackrel{\alpha}{\to}& G_2
    \\
    \downarrow^{Id \times \delta} && \downarrow^{\delta}
    \\
    G_1 \times G_1 &\stackrel{Ad}{\to}& G_1    
  }
$$
commute.

We may use the notation $(G_2,G_1,\delta)$, for this if the action is fairly obvious, including an explicit [[action]], $(G_2,G_1,\delta,\alpha)$, if there is a risk of confusion.
 
If one unwraps the definitions in terms of automorphism groups to use merely finite products (for instance, writing the actions as $G_1 \times G_2 \to G_2$, together with commuting diagrams encoding the necessary properties), then crossed modules can be defined internal to any [[cartesian monoidal category]] $C$, namely as a structure involving internal groups in $C$. For instance, one might consider Lie crossed modules, which are crossed modules of [[Lie groups]]. These are relevant for certain models of the [[String group]].


Alternatively, one can take another tack, and define crossed module objects in categories that support enough structure without using internal groups, the most general case of which, in practice, are [[semiabelian categories]]. There one considers the objects to behave 'like groups' in the sense that the category they form looks very much like the category of groups. Janelidze ([Janelidze 2003](#Janelidze_03)) defined the notion of internal crossed module in a semiabelian category (so that in the prototypical example of the category of groups, they reduce to the above notion). 

A key result, also due to ([Janelidze 2003](#Janelidze_03)) and generalising the Brown-Spencer theorem from the case of ordinary crossed modules, is the following:

+-- {: .num_theorem}
###### Theorem
**(Janelidze's Brown-Spencer theorem).**
Let $C$ be a semiabelian category. Then the category $XMod(C)$ of crossed modules in $C$ is equivalent to the category $Gpd(C)$ of internal groupoids in $C$.
=--

Here the notion of [[internal groupoid]] is the usual diagrammatic notion.

### Definition in terms of equations

The two [[diagram]]s can be translated into equations, which may often be helpful.

*   If we write the effect of acting with $g_1\in G_1$ on $g_2\in G_2$ as ${}^{g_1}g_2$, then the second diagram translates as the equation:
    $$\delta({}^{g_1}g_2) = g_1\delta(g_2)g_1^{-1}.$$
In other words, $\delta$ is equivariant for the action of $G_1$. 

*   The first diagram is slightly more subtle.  The group $G_2$ can act on itself in two different ways, (i) by the usual conjugation action, ${}^{g_2}g^\prime_2=g_2g^\prime_2g_2^{-1} $ and (ii) by first mapping $g_2$ down to $G_1$ and then using the action of that group back on $G_2$.  The first diagram says that the two actions coincide. Equationally this gives:
$${}^{\delta(g_2)}g^\prime_2 = g_2g^\prime_2g_2^{-1}.$$
This equation is known as the **Peiffer rule** in the literature.
Another way to interpret it is to rewrite it slightly:
$${}^{\delta(g_2)}g^\prime_2 g_2 = g_2g^\prime_2$$
The Peiffer rule can thus be seen as a 'twisted commutativity law' for $G_2$.

### Morphisms {#Morphisms} 

For $G$ and $H$ two [[strict 2-group]]s coming from crossed modules $[G]$ and $[H]$, a morphism of strict 2-groups $f : G \to H$, and hence a morphism of crossed modules $[f] : [G] \to [H]$ is a [[2-functor]]

$$
  \mathbf{B}f : \mathbf{B}G \to \mathbf{B}H
$$

between the corresponding [[delooping|delooped]] [[2-groupoid]]s. Expressing this in terms of a diagram of the ordinary groups appearing in $[G]$ and $[H]$ yields a diagram called a [[butterfly]]. See there for more details.



## Examples

* For $H$ any group, its [[automorphism]] crossed module is 

  $$
    AUT(H) := (G_2 = H, G_1 = Aut(H), \delta = Ad, \alpha = Id)
   \,.
  $$ 

  Under the equivalence of crossed modules with [[strict 2-group]]s this corresponds to the [[automorphism 2-group]] 
 
  $$
    Aut_{Grpd}(\mathbf{B}H)
  $$ 

  of [[automorphism]]s in the category [[Grpd]] of [[groupoid]]s on the one-object [[delooping]] [[groupoid]] $\mathbf{B}H$ of $H$.

*  Almost the canonical example of a crossed module is given by a group $G$ and a normal subgroup $N$ of $G$.  We take $G_2 = N$, and $G_1 = G$ with the action given by conjugation, whilst $\delta$ is the inclusion, $inc : N \to G$. This is 'almost canonical', since if we replace the groups by simplicial groups $G_.$ and $N_.$, then $(\pi_0(G_.),\pi_0(N_.),\pi_0(inc))$ is a crossed module, and given any crossed module, $(C,P,\delta)$, there is a simplicial group $G_.$ and a normal subgroup $N_.$, such that the construction above gives the given crossed module up to isomorphism.

* Another standard example of a crossed module is $M \to ^0 P$ where $P$ is a group and $M$ is a $P$-module. Thus the category of modules over groups embeds in the category of crossed modules. 

* If $\mu: M \to P$ is a crossed module with cokernel $G$, and $M$ is abelian, then the operation of $P$ on $M$ factors through $G$. In fact such crossed modules in which both $M$ and $P$ are abelian should not be sneezed at! A good example is $\mu: C_2 \times C_2 \to C_4$ where $C_n$ denotes the cyclic group of order $n$, $\mu$ is injective on each factor, and $C_4$ acts on the product by the twist.  This crossed module has a [[classifying space]] $X$ with fundamental and second homotopy groups $C_2$ and non trivial $k$-invariant in $H^3(C_2, C_2)$, so $X$ is not a product of [[Eilenberg-MacLane space]]s.  However the crossed module is an algebraic model and so one one can do algebraic constructions with it. It  gives in some ways a better feel for the space than the $k$-invariant. The [[higher homotopy van Kampen theorem]] implies that   the above $X$ gives the 2-type of the [[mapping cone]] of the map of 
[[classifying space]]s $BC_2 \to BC_4$. 


* Suppose $F\stackrel{i}{\to}E\stackrel{p}{\to}B$ is a [[fibration sequence]]

  of [[pointed object|pointed spaces]], thus $p$ is a [[fibration]] in the [[model structure on topological spaces|topological sense]] (lifting of paths and homotopies of paths will suffice), $F = p^{-1}(b_0)$, where $b_0$
  is the basepoint of $B$.  The fibre $F$ is pointed at $f_0$, say, and $f_0$
  is taken as the basepoint of $E$ as well.

    There is an induced map on [[homotopy group]]s

    $$\pi_1(F) \stackrel{\pi_1(i)}{\longrightarrow} \pi_1(E)$$ 

    and if $a$ is a loop in $E$ based at $f_0$, and $b$ a loop in $F$ based at $f_0$, then the composite path corresponding to $a b a^{-1}$ is [[homotopy|homotopic]] to one wholly within $F$.  To see this, note that $p(a b a^{-1})$ is [[null homotopic loop|null homotopic]].  Pick a [[homotopy]] in $B$ between it and the constant map, then lift that homotopy back up to $E$ to one starting at $a b a^{-1}$.  This homotopy is the required one and its other end gives a well defined element ${}^a b \in \pi_1(F)$ (abusing notation by confusing paths and their homotopy classes).  With this action $(\pi_1(F), \pi(E), \pi_1(i))$ is a crossed module.  This will not be proved here, but is not that difficult.  (Of course,  secretly, this example is 'really' the same as the previous one since a fibration of [[simplicial group]]s is just morphism that is an [[epimorphism]] in each degree, and the [[fibration sequence|fibre]] is thus just a [[simplicial group|normal simplicial subgroup]]. What is fun is that this generalises to 'higher dimensions'.)  

* A particular case of this last example can be obtained from the inclusion of a subspace $A\to X$ into a pointed space $(X,x_0)$, (where we assume $x_0\in A$).  We can replace this inclusion by  a homotopic fibration, $\overline{A}\to X$ in 'the standard way', and then find that the fundamental group of its fibre is $\pi_2(X,A,x_0)$. 

A deep theorem of J.H.C. Whitehead is that the crossed module 

 $$\delta: \pi_2(A \cup \{e^2_\lambda\}_{\lambda \in \Lambda},A,x) \to \pi_1(A,x)$$

 is the [[free crossed module]]  on the characteristic maps of the $2$-cells. One utility of this is that it enables the  expression of  nonabelian chains and boundaries ideas in dimensions $1$ and $2$: thus for the standard picture of a Klein Bottle formed by identifications from a square $\sigma$ the formula 

$$\delta \sigma = a+b-a +b $$

makes sense with $\sigma$ a generator of a free crossed module; in the usual abelian chain theory we can write only $\partial \sigma =2b$, thus losing information. 

Whitehead's proof of this theorem used knot theory and transversality. The theorem is also a consequence of the $2$-dimensional Seifert-van Kampen Theorem, proved by Brown and Higgins, which states that the functor
 
$\Pi_2$: (pairs of pointed spaces) $\to$ (crossed modules) 

preserves certain colimits (see reference below).  


This last example was one of the first investigated by Whitehead and his proof appears also in a little book by [[Hilton]]; see also [[Nonabelian algebraic topology]], however the more general result of Brown and Higgins determines also the group $\pi_2(X \cup CA,X,x)$ as a crossed $\pi_1(X,x)$ module, and then Whitehead's result is the case with A$ is a wedge of circles. 



## Related concepts 

* [[group]]

* [[2-group]], **crossed module**, [[differential crossed module]]

* [[3-group]], [[2-crossed module]] / [[crossed square]], [[differential 2-crossed module]]

* [[n-group]]

* [[∞-group]], [[simplicial group]], [[crossed complex]], [[hypercrossed complex]]


## References
 {#References}

The concept was introduced in

*  [[J. H. C. Whitehead]],  _Combinatorial Homotopy II_, Bull.
Amer. Math. Soc., 55 (1949), 453--496.

see also

* [[Peter J. Hilton]], _An Introduction to Homotopy Theory_, Cambridge University Press 1953

Further discussion is in

* [[Ronnie Brown]], Peter Higgins, _On the connections between the second relative homotopy groups of some related spaces_,  _Proc. London Math.  Soc._ (3) 36 (1978) 193-212.

* [[Ronnie Brown]], _Groupoids and crossed objects in algebraic topology_,  _Homology, Homotopy and Applications_, 1 (1999) 1-78.

* {#Janelidze_03} [[George Janelidze]], _Internal crossed modules_, Georgian Mathematical Journal **10** (2003) pp 99-114. ([EuDML](https://eudml.org/doc/51553))

* [[Ronnie Brown]], Peter Higgins, and R. Sivera, _[[Nonabelian Algebraic Topology]]: Filtered spaces, Crossed Complexes, Cubical Homotopy Groupoids_, EMS Tracts in Mathematics, Vol. 15, (Autumn 2010).



[[!redirects crossed modules]]
