
**[[homological algebra]]**

(also [[nonabelian homological algebra]])

_[[schreiber:HAI|Introduction]]_

### Context

* [[additive and abelian categories]]

  * [[Ab-enriched category]]

  * [[pre-additive category]]

  * [[additive category]]

  * [[pre-abelian category]]

  * [[abelian category]]

  * [[Grothendieck category]]

* [[abelian sheaves]]

* [[semi-abelian category]]

### Basic definitions

* [[kernel]], [[cokernel]]

* [[complex]] 

  * [[differential]]

  * [[homology]] 

* [[category of chain complexes]]

  * [[chain complex]]

  * [[chain map]]

  * [[chain homotopy]]

* [[chain homology and cohomology]]

  * [[quasi-isomorphism]]

  * [[homological resolution]]

  * [[cochain on a simplicial set|simplicial homology]]

  * [[generalized homology]]

* [[exact sequence]], 

   * [[short exact sequence]], [[long exact sequence]], [[split exact sequence]]

* [[injective object]], [[projective object]]

  * [[injective resolution]], [[projective resolution]]

  * [[flat resolution]]


### Stable homotopy theory notions

* [[derived category]]

* [[triangulated category]], [[enhanced triangulated category]]

* [[stable (∞,1)-category]]

  * [[stable model category]]

  * [[pretriangulated dg-category]]

  * [[A-∞-category]]

* [[(∞,1)-category of chain complexes]]

* [[derived functor]], [[derived functor in homological algebra]]

  * [[Tor]], [[Ext]]

  * [[homotopy limit]], [[homotopy colimit]]

* [[abelian sheaf cohomology]]


### Constructions

* [[double complex]]

* [[Koszul-Tate resolution]], [[BRST-BV complex]]

* [[spectral sequence]]

  * [[spectral sequence of a filtered complex]]

  * [[spectral sequence of a double complex]]

  * [[Grothendieck spectral sequence]]

    * [[Leray spectral sequence]]

    * [[Serre spectral sequence]]

    * [[Hochschild-Serre spectral sequence]]

### Lemmas

[[diagram chasing]]

* [[3x3 lemma]]

* [[four lemma]], [[five lemma]]

* [[snake lemma]], [[connecting homomorphism]]

* [[horseshoe lemma]]

* [[Baer's criterion]]

### Homology theories

* [[singular homology]]

* [[cyclic homology]]

### Theorems

* [[Dold-Kan correspondence]] / [[monoidal Dold-Kan correspondence|monoidal]], [[operadic Dold-Kan correspondence|operadic]]

  * [[Moore complex]], [[Alexander-Whitney map]], [[Eilenberg-Zilber map]]

* [[Eilenberg-Zilber theorem]]
 
  * [[cochain on a simplicial set]]

* [[universal coefficient theorem]]

* [[Künneth theorem]]


<div markdown="1">[Edit this sidebar](/nlab/edit/homological+algebra+-+contents)</div>