
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Differential cohomology
+--{: .hide}
[[!include differential cohomology - contents]]
=--
=--
=--

#Contents#
* automatic table of contents goes here
{:toc}

## Idea

The notion of _differential character_ as introduced by [CheegerSimons](#CheegerSimons) is one geometric model for the [[differential cohomology]]-refinement of ordinary integral cohomology -- i.e. of the [[cohomology theory]] represented by the [[Eilenberg-MacLane spectrum]] $K(-,\mathbb{Z})$.

Accordingly, Cheeger-Simons differential characters model [[connection on a bundle|connection]]s on <a href="http://ncatlab.org/nlab/show/Lie+infinity-groupoid#BnU1">circle n-group</a>-[[principal ∞-bundle]]s ( $U(1)$-$(n-1)$-[[gerbe]]s)  and as such are equivalent to other models for these structures, such as [[Deligne cohomology]]. For $n=1$ these are ordinary [[connection on a bundle|connections]] on ordinary [[circle group]]-[[principal bundle]]s.

The definition of CS-differential characters encodes rather directly the higher dimensional notion of [[parallel transport]] of such higher connections: a CS-character is a rule that assigns values in the [[circle group]] $U(1)$ (whence "[[character]]") to $n$-dimensional  surfaces $\Sigma_n \to X$ in a manifold $X$, such that whenever $\Sigma_n = \partial \Sigma_{n+1}$ is the boundary of a $\phi : \Sigma_{n+1} \to X$, this assignment coincides with the integral $\int_{\Sigma_{n+1}} \phi^* F$ of a smooth [[curvature]] $(n+1)$-form $F \in \Omega^{n+1}_{cl}(X)$.


## As secondary characteristic classes

Since Cheeger-Simons characters enocde information beyond the [[curvature characteristic form]] which represents the underlying [[characteristic class]] in de Rham cohomology, they are frequently called [[secondary characteristic class]]es, in particular if the curvature characteristic form vanishes so that the corresponding [[Chern-Simons form]] becomes exact.

## Related concepts

* [[Chern-Simons form]]

* [[circle n-bundle with connection]]

* [[Chern-Weil homomorphism]]

## References

The original article is

* [[Jeff Cheeger]],  [[James Simons]], _Differential characters and geometric invariants_ ,  LNM 1167, pages 50–80. Springer Verlag, (1985)  ([pdf](http://numr.wdfiles.com/local--files/differential-cohomology/cheeger-simons.pdf))
 {#CheegerSimons}

building on 

* [[Shiing-shen Chern]], [[James Simons]], _[[Characteristic forms and geometric invariants]]_     The Annals of Mathematics, Second Series, Vol. 99, No. 1 (1974) ([jstor](http://www.jstor.org/stable/1971013)).

Further developments are in 

* [[James Simons]], [[Dennis Sullivan]], _Axiomatic characterization of ordinary differential cohomology_,  J Topology (2008) 1 (1): 45-56 ([web pdf](http://jtopol.oxfordjournals.org/content/1/1/45.full.pdf+html))

* Mark Brightwell, Paul Turner, _Relative differential characters_ ([arXiv:math.AT/0408333](http://arxiv.org/abs/math.AT/0408333))

For a review in the broader context of [[differential cohomology]] see also 

* [[Mike Hopkins]], [[Isadore Singer]], _[[Quadratic Functions in Geometry, Topology, and M-Theory]]_ (2005)

[[!redirects differential character]]
[[!redirects differential characters]]
[[!redirects Cheeger-Simons differential characters]]
