__Berry's geometric phase__ is a correction to the wave function arising in the study of adiabatic quantum systems; it has been discovered by M. V. Berry. There are analogous effects for other [[wave]] phenomena; there has been also much earlier work of Pancharatnam on the related phenomenon in optics. The origin of the Berry's phase is in nonflatness of a [[parallel transport]] which appears in the corresponding phase factors.  

* M. V. Berry, _Quantal phase factors accompanying adiabatic changes_, Proc. Roy. Soc. London Ser. A 392 (1984), no. 1802, 45--57, [doi](http://dx.doi.org/10.1098/rspa.1984.0023)

* M. V. Berry, _The quantum phase, five years after_, in: Geometric phases in physics,  7--28, Adv. Ser. Math. Phys., 5, World Sci. Publ., Teaneck, NJ, 1989.

* Barry Simon, _Holonomy, the quantum adiabatic theorem, and Berry's phase_, Phys. Rev. Lett. __51__ (1983), no. 24, 2167--2170, [MR85e:81024](http://www.ams.org/mathscinet-getitem?mr85e:81024)

* J. M. Robbins, M. V. Berry, _The geometric phase for chaotic systems_,  Proc. Roy. Soc. London Ser. A  436  (1992),  no. 1898, 631--661, [doi](http://dx.doi.org/10.1098/rspa.1992.0039), [94a:81036](http://www.ams.org/mathscinet-getitem?mr=94a:81036)

* [[V. I. Arnold]], _Remarks on eigenvalues and eigenvectors of Hermitian matrices, Berry phase,
adiabatic connections and quantum Hall effect_, 
Selecta Mathematica __1__:1, 1--19 (1995) [doi](http://dx.doi.org/10.1007/BF01614072)

* Dariusz Chruściński, Andrzej Jamioƚkowski, _Geometric phases in classical and quantum mechanics_, Progress in Math. Physics __36__, Birkhäuser 2004. xiv+333 pp. ISBN: 0-8176-4282-X

* D. Rohrlich, _Berry's phase_, entry in _Compendium of Quantum Physics: Concepts, Experiments, History and Philosophy_, ed. F. Weinert, K. Hentschel, D. Greenberger and B. Falkenburg (Springer), to appear; [arxiv/0708.3749](http://arxiv.org/abs/0708.3749)

* wikipedia: [geometric phase](http://en.wikipedia.org/wiki/Geometric_phase)

* <http://www.mi.infm.it/manini/berryphase.html>

* Frank Wilczek, Alfred Shapere, _Geometric phases in physics_, World Scientific, 1989
* M. O. Katanaev, _On geometric interpretation of the Berry phase_, Rus. Phys. J. 54(2012)1082--1092, Izv. VUZov. Fizika 10(2011) 26--35 [arxiv/1212.1782](http://arxiv.org/abs/1212.1782)

* Maxim Braverman, _The Berry phase and the phase of the determinant_, [arxiv/1310.6332](http://arxiv.org/abs/1310.6332)

category: physics
[[!redirects Berry phase]] 
[[!redirects Berry's geometric phase]]