
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea


The _Pontryagin classes_ are [[characteristic class]]es on the [[classifying space]] $\mathcal{B}O(n)$ of the [[orthogonal group]]
and, by pullback, on the base of any bundle with structural group the
[[orthogonal group]]. The latter is where they were originally defined.

The analogs for the [[unitary group]] are the [[Chern class]]es.

## Definition

The universal Pontryagin [[characteristic classes]] $P_k$ on the [[classifying space]] $B O(n)$ are, up to a sign, the pullbacks of the [[Chern classes]] $c_{2k}$ along the [[complexification]] inclusion 

$$
  B O(n) \to B U(n)
  \,.
$$

## Properties

### As generating universal characteristic classes

The torsion-free quotient of the [[cohomology ring]] $H^\bullet(B SO(2n+1), \mathbb{Z})$
is the [[polynomial ring]] on  all Pontryagin classes
$\{P_i\}_{i = 1}^n$. The torsion is generated by [[Bockstein homomorphism | Bockstein]] images of $H^\bullet(BSO(2n+1);\mathbb{F}_2)$, which is generated by the [[Stiefel-Whitney classes]].

The torsion-free quotient of the [[cohomology ring]] $H^\bullet(B SO(2n), \mathbb{Z})$
is the [[quotient]] of the [[polynomial ring]] on  Pontryagin classes
$P_i$ and the [[Euler class]] $\chi$ by the relation $\chi^2 = P_n$; again the torsion is generated by Bocksteins of monomials in the Stiefel&ndash;Whitney classes.

### Further relation to Chern classes
 {#FurtherRelationToChernClasses}

Under the other canonical map

$$
  j \;\colon\; B U(n) \to BO(2n)
$$

one has 

$$
  j^\ast(P_k) = \sum_{a + b = 2 k} (-1)^{a+k} c_a c_b
$$

and

$$
  j^\ast(\chi) = c_n
  \,.
$$

### Splitting principle and Chern roots
 {#SplittingPrincipleAndChernRoots}

Under the inclusion

$$
  i \;\colon\; U(1)^n \hookrightarrow U(n) \to O(2n)
$$

of the [[maximal torus]] one has that 

$$
  (B i)^\ast(P_k) = \sigma_k(x_1, \cdots, x_n)^2
$$

and

$$
  (B i)^\ast(\chi) = \sigma_n(x_1, \cdots, x_n)
$$

where the $x_i \in H^\bullet(B U(1)^n, \mathbb{Z})$ are the "[[Chern roots]]". 

See at _[Chern class - Properties -- Splitting principle and Chern roots](Chern%20class#SplittingPrinciple)_ and at _[splitting principle - Examples - Real vector bundles](splitting+principle#RealVectorBundles)_ for more.

## Trivializations and structures

The [[twisted differential c-structures]] corresponding to Pontryagin class include

* [[twisted differential string structure]] for the first fractional Pontryagin class $\frac{p_1}{2} : B Spin \to B^3 U(1)$;

* [[twisted differential fivebrane structure]] for the second fractional Pontryagin class $\frac{1}{6}p_2 : B String \to B^7 U(1)$.

## Related concepts

* **Pontryagin class**

* [[p1-structure]], [[string structure]], [[fivebrane structure]]

* [[Wu class]]

* [[Chern class]]

* [[Stiefel-Whitney class]]

* [[Chern character]]

* [[orthogonal calculus]]

## References


Classical textbook references are

* [[John Milnor]], [[Jim Stasheff]], _Characteristic classes_, Princeton Univ. Press


* [[Werner Greub]], [[Stephen Halperin]], [[Ray Vanstone]], _[[Connections, Curvature, and Cohomology]]_ Academic Press (1973)

See also

* Paul Bressler, _The first Pontryagin class_, [math.AT/0509563](http://arxiv.org/abs/math/0509563)

* Ivan Panin, Charles Walter, _Quaternionic Grassmannians and Pontryagin classes in algebraic geometry_, [arxiv/1011.0649](http://arxiv.org/abs/1011.0649)

A brief introduction is in chapter 23, section 7 

* [[Peter May]], _A concise course in algebraic topology_ ([pdf](http://www.math.uchicago.edu/~may/CONCISE/ConciseRevised.pdf))


[[!redirects Pontryagin classes]]

[[!redirects Pontrjagin class]]
[[!redirects Pontrjagin classes]]

[[!redirects first Pontryagin class]]
[[!redirects second Pontryagin class]]
[[!redirects first Pontrjagin class]]
[[!redirects second Pontrjagin class]]


[[!redirects first fractional Pontryagin class]]
[[!redirects second fractional Pontryagin class]]

[[!redirects fractional first Pontryagin class]]
[[!redirects fractional second Pontryagin class]]

