
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Differential cohomology
+--{: .hide}
[[!include differential cohomology - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

Ordinary differential cohomology is the [[differential cohomology]]-refinement of [[ordinary cohomology]], for instance realized as [[singular cohomology]].

Every [[generalized (Eilenberg-Steenrod) cohomology]]-theory has a refinement to [[differential cohomology]]. By _ordinary differential cohomology_ one refers, for emphasis, to the differential refinement of _ordinary [[integral cohomology]]_ , hence of the [[cohomology theory]] represented by the [[Eilenberg-MacLane spectrum]] $K(-,\mathbb{Z})$. To the extent that [[integral cohomology]] is often just called _cohomology_ if the context is clear, _ordinary differential cohomology_ is often called just _differential cohomology_ .

Ordinary differential cohomology classifies [[circle n-bundles with connection]]. In low degree this are ordinary [[circle bundle]]s with [[connection on a bundle|connection]]. In the next degree this are [[circle 2-group]] [[principal 2-bundles]] / [[bundle gerbes]] with [[connection on a 2-bundle|2-connection]].




## Properties

Here we write $H_{diff}^\bullet(X)$ for the ordinary differential cohomology groups of a [[smooth manifold]] $X$. 


### Curvature and characteristic class
 {#CurvatureAndCharClass}
 {#AbstractProperties}

There are two [[natural transformation|natural]] morphism

1. underlying [[characteristic class]] 

   $$
     c : H_{diff}^\bullet(X) \to H^\bullet(X,\mathbb{Z})
   $$ 

   produces the class in [[integral cohomology]] that underlies a differential cocycle;

   * for $H^2_{diff}(X)$ this is called the first [[Chern class]] of a [[line bundle]];

   * for $H^3_{diff}(X)$ this is called the [[Dixmier-Douady class]] of the corresponding [[bundle gerbe]].

1. [[curvature]] 

   $$
    F : H_{diff}^\bullet(X) \to \Omega^\bullet_{cl}(X)
   $$ 

   produces a closed [[differential form]] of degree $n$. This happens to land in closed differential forms with integral [[period]]s (see [below](#AbstractProperties)).



The following is either a definition, if regarded as an axiomatic characterization of ordinary differential cohomology, or it is an proposition, if regarded as a property of one of the [models](#Models).

Let $X$ be a [[smooth manifold]] and $n \in \mathbb{N}$ with $n \geq 1$ Write

* $H_{diff}^n(X)$ for the ordinary differential cohomology of $X$ in degree $n$;

* $\Omega^{n-1}(X)$ for the collection of [[differential form]]s of degree $n-1$;

* $\Omega^{n-1}_{int}(X)$ for the collection of [[differential form]]s $\omega$ of degree $n-1$ that are closed and whose [[period]]s are integral: for every $\gamma : S^{n-1} \to X$ we have the [[integral]] $\int_{S^{n-1}} \gamma^* \omega \in \mathbb{Z} \hookrightarrow \mathbb{R}$. Similarly for $\Omega^n_{int}(X)$.

* $H^n(X, \mathbb{Z})$ and $H^n(X, U(1))$ for the ordinary cohomology (for instance modeled as [[singular cohomology]]) of $X$ with coefficients in the [[integer]]s or the [[circle group]] (regarded as a [[discrete group]]), respectively.

All of these sets are [[abelian group]]s: the forms under addition of forms, and the differential cohomology classes are defined or proven (depending on the approach, see above) to have abelian group structure such that  the maps to curvatures and characteristic classes, from [above](#CurvatureAndCharClass) are [[homomorphism]]s of [[abelian group]]s.

+-- {: .num_prop #ExactSequencesForOrdDiffCohomology}
###### Proposition

The differential cohomology $H_{diff}^n(X)$ of $X$ fits into [[short exact sequence]]s of abelian groups

1. **curvature exact sequence**

   \[
     \label{CurvatureSequence}
     0 \to H^{n-1}(X, U(1)) \to H^n_{diff}(X) \stackrel{F}{\to} \Omega_{int}^n(X) \to 0
   \]

1. **characteristic class exact sequence**

   \[
      \label{CharacteristicClassSequence}
      0 
       \to 
      \Omega^{n-1}(X)/\Omega^{n-1}_{int}(X)
       \to
      H_{diff}^n(X)
       \stackrel{c}{\to} 
      H^n(X, \mathbb{Z})
       \to
      0 
      \,.
   \]

=--

The first sequence (eq:CurvatureSequence) says in words: two circle $(n-1)$-bundles $n$ whose [[curvature]] coincides differ by a _flat_ circle (n-1)-bundle.

The second sequence (eq:CharacteristicClassSequence) says in words: two connections on the same circle $(n-1)$-bundle differ by a globally defined connection $(n-1)$-form, well defined up to addition of a form with integral periods. 

More is true: both these sequences interlock to form the hexagonal _[[differential cohomology diagram]]_ of ordinary differential cohomology. For more see at _[differential cohomology diagram -- Examples -- Deligne coefficients](differential+cohomology+diagram#DeligneCoefficients)_.

### Models
  {#Models}

There are various equivalent [[cocycle]]-models for ordinary differential cohomology. They include

* [[Cheeger-Simons differential character]]s;

* [[Deligne cohomology]];

* [[circle n-bundles with connection]].

The last of these are often known as $U(1)$-[[gerbe]]s or [[bundle gerbe]]s with connection.

Cocycles $\nabla \in H_{diff}^2(X)$ in degree 2 ordinary differential cohomology are represented by ordinary [[circle group]]-[[principal bundle]]s with [[connection on a bundle|connection]] on $X$.  The class $c(\nabla) \in H^2(X,\mathbb{Z})$ is the [[Chern class]] of the underlying circle bundle and the form $F_\nabla \in \Omega^2_{cl}(X)$ is the [[curvature]] 2-form of the connection $\nabla$.

## Fiber integration

see

* [[fiber integration in ordinary differential cohomology]]


## Applications

### In Chern-Weil theory

For $X$ a [[smooth manifold]], $G$ a [[Lie group]] with [[Lie algebra]] $\mathfrak{g}$ and [[invariant polynomial]] $\langle -\rangle$ of degree $2n$, the [[Chern-Weil homomorphism]] may be refined to a morphism

$$
  H^1(X,G) \to H_{diff}^{2n}(X)
$$

from the first [[nonabelian cohomology]] of $X$ classifying $G$-[[principal bundle]]s to degree $2n$ ordinary differential cohomology.

The projection

$$
  H^1(X,G) \to H_{diff}^{2n}(X) \stackrel{c}{\to} H^{2n}(X,\mathbb{Z})
$$

is the integral [[characteristic class]] corresponding to the invariant polynomial and the projection

$$
  H^1(X,G) \to H_{diff}^{2n}(X) \stackrel{F}{\to} \Omega^{2n}_{cl}(X)
$$

is a differential form which represents the image of this class under $H^{2n}(X,\mathbb{Z}) \to H^{2n}(X,\mathbb{R})$ in [[de Rham cohomology]] (under the [[de Rham theorem]]).

### In physics

In [[physics]]

* the [[electromagnetic field]] is a cocycle in degree 2 ordinary differential cohomology 

* the [[Kalb-Ramond field]] is a cocycle in degree 3;

* the [[supergravity C-field]] is a cocyce in degree 4.

In abelian [[higher dimensional Chern-Simons theory]] in dimension $(4k+3)$ a field configuration is a cocycle in ordinary differential geometry of degree $(2k+2)$, for $k \in \mathbb{N}$.

## In a general abstract context

Ordinary differential cohomology (and indeed a [[cocycle]] model thereof) is defined generally [[internalization|internal]] to any [[cohesive (∞,1)-topos]] $\mathbf{H}$. This is discussed at 

* [cohesive (∞,1)-topos -- structures -- differential cohomology](http://ncatlab.org/nlab/show/cohesive%20%28infinity,1%29-topos%20--%20structures#DifferentialCohomology).

For the case $\mathbf{H} = $ [[Smooth∞Grpd]] this intrinsic definition reproduces the [[Deligne complex]] model. This is discussed at

* [Smooth∞Grpd -- structures -- differential cohomology](http://ncatlab.org/nlab/show/smooth%20infinity-groupoid%20--%20structures#StrucDifferentialCohomology)

## Related concepts

* [[arithmetic Chow group]]

## References

A good discussion is in 

* [[Mike Hopkins]], [[Isadore Singer]], _[[Quadratic Functions in Geometry, Topology,and M-Theory]]_ ([arXiv](http://arxiv.org/abs/math.AT/0211216))

  * A pedestrian introduction of ordinary differential cocycles is in section 2.3 there. 

  * The systematic construction and definition via a [[homotopy pullback]] is in section 3.2.

  * The relation to Chern-Weil theory is in section 3.3.

A characterization by the two characteristic exact sequences is discussed in 

* [[James Simons]], [[Dennis Sullivan]], _Axiomatic Characterization of Ordinary Differential Cohomology_ ([arXiv:math/0701077](http://arxiv.org/abs/math/0701077))

In the general abstract context of [[cohesive (∞,1)-toposes]] differential cohomology is discussed in 

* [[Urs Schreiber]], _[[schreiber:differential cohomology in a cohesive topos]]_ 