
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Higher linear algebra
+-- {: .hide}
[[!include homotopy - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

__Linear algebra__ over a [[skewfield]] $K$ is the study of the [[category]] $K$-[[Vect]], that is the study of [[vector spaces]] over $K$.  Sometimes one uses the term ‘$K$-linear algebra’ to mean an [[associative algebra]] (or similar) over $K$ (compare ‘$K$-[[linear map]]’).

Classical linear algebra is done over a [[real-closed field]] or an [[algebraically closed field]] of [[characteristic]] $0$; the latter is the simplest context, which is now pretty thoroughly understood.  Traditionally, we take these fields to be the field of [[real numbers]] and the field of [[complex numbers]], although arguably we only really use [[algebraic number|algebraic numbers]].  (From a [[constructive mathematics|constructive]] point of view, some of the classical material is valid only over [[discrete fields]], so we *must* restrict attention to algebraic numbers, or to some discrete extension, for these results to hold in their classical form.)

Fancier linear algebra is done over incomplete fields and fields with positive characteristic (and constructively over nondiscrete fields). Sometimes a generalization to categories of finitely generated projectives over a ring is considered. In infinite dimensions one rarely studies purely algebraic version, which is considered as a linear algebra, but more often one equips them with topological structure, what enters the subject of [[functional analysis]]. 

If one is interested in tensor products as well, then one gets a generalization called [[multilinear algebra]]: tensor algebra, tensors, exterior and symmetric algebras are some of the main characters in that theory. Study of [[determinant]]s is important in the usual linear algebra but it is also closely related to the study of exterior algebras. 


## Related entries

* [[matrix]], [[matrix calculus]],

* [[linear map]], [[linear equation]]

* [[higher linear algebra]]

* [[linear type theory]]


## References

* [[Hermann Grassmann]], _[[Ausdehnungslehre]]_, 1844

* wikipedia [linear algebra](http://en.wikipedia.org/wiki/Linear_algebra)

* [[Jean Dieudonné]], _Linear algebra and geometry_, Translated from the French Houghton Mifflin Co., Boston, Mass. 1969, 207 pp

* I. M. Gelʹfand, _Lekcii po lineĭnoĭ algebre_ [2d ed.] Gosudarstv. Izdat. Tehn.-Teor. Lit., Moscow-Leningrad, 1951; Eng. transl: _Lectures on linear algebra_, Interscience Tracts in Pure and Applied Mathematics __9__, 1961 ix+185 pp

* A. I. Kostrikin, Ju. I. Manin, _Lineĭnaya algebra i geometriya_, Moskov. Gos. Univ., Moscow, 1980. 320 pp. [MR82i:00008](http://www.ams.org/mathscinet-getitem?mr=610246); _Linear algebra and geometry_, Translated from the second Russian edition by M. E. Alferieff. Algebra, Logic and Applications, 1. Gordon and Breach Science Publishers, New York, 1989. x+309 pp. [MR91h:00008](http://www.ams.org/mathscinet-getitem?mr=1057342)

* Joel W. Robbin, _Matrix algebra using MINImal MATlab_

* N.J. Higham, _Functions of matrices. Theory and computation,  Philadelphia, PA: SIAM. 425p., 2008


[[!redirects linear algebra]]
[[!redirects linear-algebra]]
[[!redirects linear algebras]]
[[!redirects linear-algebras]]
[[!redirects linear algebraic]]
[[!redirects linear-algebraic]]
