
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
#### Differential geometry
+--{: .hide}
[[!include synthetic differential geometry - contents]]
=--
=--
=--




#Contents#
* table of contents
{:toc}


## Idea

A _bundle 2-gerbe_ is a special presentation of the total space of a $\mathbf{B}^2 U(1)$-[[principal 3-bundle]], where $\mathbf{B}^2 U(1)$ is the <a href="http://ncatlab.org/nlab/show/Lie+infinity-groupoid#BnU1">circle Lie 3-group</a>.

A [[connection on a bundle 2-gerbe]] is a special cocycle representative for [[circle n-bundles with connection]], hence for degree 4 [[Deligne cohomology]], hence for degree 4 [[Cheeger-Simons differential character]]s.

The definition is built by iteration on the definition of [[bundle gerbe]]:

a bundle 2-gerbe over a manifold $X$ is

* a surjective [[submersion]] $Y \to X$;

* on the [[fiber product]] $Y \times_X Y$ a [[bundle gerbe]] $\mathcal{L} \to Y\times_X Y$;

* a morphims of bundle gerbes $\pi_1^* \mathcal{L} \otimes\pi_2^* \mathcal{L} \to \pi_1^* \mathcal{L}$;

* which is associative up to a choice of coherent [[2-morphism]]s.

## Examples

* [[Chern-Simons 2-gerbe]]

## Related concepts

* [[principal bundle]] / [[torsor]] / [[associated bundle]]

* [[principal 2-bundle]] / [[gerbe]] / [[bundle gerbe]]

* [[principal 3-bundle]] / [[2-gerbe]] / **bundle 2-gerbe**

* [[principal ∞-bundle]] / [[associated ∞-bundle]] / [[∞-gerbe]]



## References

Bundle 2-gerbes were briefly introduced in

* [[Alan Carey]], [[Michael Murray]], B.L. Wang, _Higher bundle gerbes and cohomology classes in gauge theories_ ([arXiv:hep-th/9511169](http://arxiv.org/abs/hep-th/9511169))

and further developed in

* [[Danny Stevenson]], _Bundle 2-gerbes_ ([arXiv:math/0106018](http://arxiv.org/abs/math/0106018)),

drawing on ideas from Stevenson's PhD thesis ([arXiv:math/0004117](http://arxiv.org/abs/math/0004117)).

A general picture of bundle $n$-gerbes (with connection) as [[circle n-bundle with connection|circle (n+1)-bundles with connection]] classified by [[Deligne cohomology]] is in 

* Pawel Gajer, _Geometry of Deligne cohomology_ Invent. Math., 127(1):155--207 (1997) ([arXiv](http://arxiv.org/abs/alg-geom/9601025))


[[!redirects bundle 2-gerbes]]
