
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--

In macroscopic [[thermodynamics|thermodynamic]] systems one deals with a large number of microscopic particles. The number of particles is, for 'human sized' systems (e.g. engines, rooms), roughly on the order of the _Avogadro constant_ (or 'Avogadro\'s number' in historical usage). This constant is used as a scaling factor between macroscopic and microscopic observations.

More precisely, **Avogadro's number** is defined as the number of [[atom]]s in $0.012$ [[kg]] of the [[carbon]] [[isotope]] $\mathrm{C}^12$. This is roughly the [[real number]]

$$
  6.02214179(30) \times 10^{23} \in \mathbb{R}
  \,.
$$

An amount of any chemical substance which contains precisely this number of [[molecule]]s is called a **mole** of substance. So in particular, by definition, a mole of $\mathrm{C}^{12}$ is precisely of weight $12 \,\mathrm{g}$.

Attempts to define the SI unit of mass, i.e. the kilogram, in terms of invariant and basic physical concepts generally involve trying to measure Avogadro's number at increasing levels of accuracy. As with the speed of light, once the measurement of this derived quantity (taking the kilogram as the mass of certain reference kilogram cylinders) reaches a certain threshold of accuracy, it will make sense to specify Avogadro's number exactly and then derive the units of mass.

Of course the choice of $12 \,\mathrm{g}$ of $\mathrm{C}^{12}$ is entirely arbitrary and just serves as some example of a typical laboratory-scale macroscopic quantity.

Accordingly, later it was found useful to have different such macroscopic reference quantities, for instance the _pound mole_ in addition to the (standard) gram mole. For exchanging between these it was found useful to introduce [[unit]]s and treat 'amount of substance' as a [[dimensional analysis|dimension]].

Then the **Avogadro constant** is taken to be

$$
  N_A = 6.02214179(30) \times 10^{23} \,mol^{-1}
  \,.
$$

(Strictly speaking this is $N_A = 1 \in \mathbb{R}$ in [[natural unit]]s.)


[[!redirects Avogadro constant]]
[[!redirects Avogadro's constant]]

[[!redirects Avogadro number]]
[[!redirects Avogadro's number]]

[[!redirects mole]]
[[!redirects moles]]
