
#Contents#
* table of contents
{:toc}


This entry will be (for now) both about graph homology and about graph cohomology, which were originally introduced by [[Maxim Kontsevich]]; 
once the material grows, it can be separated into two entries. Kontsevich produced few version of the graph complex, the basic one attached to the operad of 3-valent ribbon graphs. A graph complex can be produced as an output from the [[Feynman transform]] of a modular operad.

## Graph homology

__Graph homology__ $H\mathcal{G}_{\bullet\bullet}$ is the cohomology of the graph complex $(\mathcal{G}_{\bullet\bullet}, \partial)$ which is the free $\mathbf{C}$-vector space generated by isomorphism classes of oriented [[ribbon graph]]s modulo relation $(\Gamma,-\sigma) = - (\Gamma, \sigma)$ where $\Gamma$ is a ribbon graph with orientation $\sigma$. The differential is given by

$$
\partial(\Gamma) := \sum_{e\in E(\Gamma)\backslash Loop(\Gamma)} \Gamma/e
$$

where the sum is over edges $e$ which are not loops and $\Gamma/e$ is obtained from $\Gamma$ by contraction at edge $e$ (cf. [[ribbon graph]]). The map $\partial$ is really a differential ($\partial^2 = 0$) because two contractions in different order produce a different orientation. There is a canonical bigrading on the graph complex, where $\mathcal{G}_{ij}$ is generated by those graphs which have $i$ vertices and $j$ edges; the differential has bidegree $(-1,-1)$; each $\mathcal{G}_{ij}$ is finite-dimensional, while the whole complex is infinte-dimensional. Graph splits into a direct sum of subcomplexes labelled by the Euler characteristics of the underlying graph. The structure of a graph complex reflects a structure in the Chevalley-Eilenberg complex of a certain Lie algebra; and the graph homology to the relative Lie homology of that Lie algebra as shown by Kontsevich. 



...

## Graph cohomology

...

## Properties

### $L_\infty$-algebra structure

The Graph complex carries the structure of a [[dg-Lie algebra]] ([[L-infinity algebra]]) which acts on the space of choices of [[formal deformation quantization]] of [[Poisson manifolds]]. Its degree-0 [[chain homology]] is the [[Lie algebra]] of the [[Grothendieck-Teichmüller group]]. 

The homology in negative degree vanishes and that in positive degree is still unknown, but computer experiements show that at least the third cohomology contains nontrivial elements.

The degree-0 homology is also isomorphic, up to one "scaling class", to the 0th cohomology of the [[derivations]] of the [[Ek-operad|E2 operad]].

([Willwacher 10](#Willwacher10))

### Relation to Grothendieck-Teichmüller group and deformation quantization

See at _[deformation quantization -- Motivic Galois group action on the space of quantizations](deformation+quantization#MotivicGaloisGroup)_.

See at _[Grothendieck-Teichmüller group -- relation to the graph complex](Grothendieck-Teichm%C3%BCller+tower#RelationToTheGraphComplex)_.



## Applications

...moduli spaces

...deformation theory

...Rozansky-Witten theory

...Vassiliev invariants

...description of the classifying space $BOut(F_n)$ of the group of outer automorphisms of a free group with $n$ generators

Graph complex controls the universal $L_\infty$-deformations of the space of polyvector fields. 

## Generalizations

There are generalizations for $d$-algebras (algebras over little disc operad in higher dimension). The cohomological graph complex is then the case for $d=2$. There is also a "directed" version. On the other hand, graph complex 

## Related concepts

* [[Kontsevich formality]]

## Literature

Cf. also [[Rozansky-Witten theory]], [[formal noncommutative symplectic geometry]] 

* [[Maxim Kontsevich]], _Feynman diagrams and low-dimensional topology_, First European Congress of Mathematics, 1992, Paris, vol. II, Progress in Mathematics __120__, Birkhäuser (1994), 97–121, [pdf](http://www.ihes.fr/~maxim/TEXTS/Feynman%20%20diagrams%20and%20low-dimensional%20topology.pdf)

* [[Maxim Kontsevich]], _Rozansky–Witten invariants via formal geometry_, Compositio Mathematica __115__: 115–127, 1999, [doi](http://dx.doi.org/10.1023/A:1000619911308), [arXiv:dg-ga/9704009](http://arxiv.org/abs/dg-ga/9704009)

* [[Martin Markl]], Steve Shnider, [[Jim Stasheff|James D. Stasheff]], _Operads in algebra, topology and physics_, Math. Surveys and Monographs __96__, Amer. Math. Soc. 2002.

* [[Andrey Lazarev]], _Operads and topological conformal field theories_, [pdf](http://www.maths.lancs.ac.uk/~lazarev/1-10.pdf); and older versio: _Graduate lectures on operads and topological field theories_, zip file with 11 pdfs, [over 5 Mb](http://www2.le.ac.uk/departments/mathematics/extranet/staff-material/staff-profiles/al179/New%20Folder.zip)

* [[Alastair Hamilton]], [[Andrey Lazarev]], _Graph cohomology classes in the [[BV-BRST formalism|Batalin-Vilkovisky formalism]]_, J.Geom.Phys. __59__:555-575, 2009, [arxiv/0701825](http://arxiv.org/abs/math/0701825)

* [[Alastair Hamilton]], _A super-analogue of Kontsevich's theorem on graph homology_, Lett. Math. Phys. __76__ (2006), no. 1, 37--55, [math.QA/0510390](http://arxiv.org/abs/math/0510390)

* A. Lazarev, A. A. Voronov, _Graph homology: Koszul and Verdier duality_, [math.QA/0702313](http://arxiv.org/abs/math/0702313)

* M. V. Movshev, _A definition of graph homology and graph K-theory of algebras_, [math.KT/9911111](http://arxiv.org/abs/math/9911111)

* [[Alberto S. Cattaneo]], Paolo Cotta-Ramusino, Riccardo Longoni, _Algebraic structures on graph cohomology_, Journal of Knot Theory and Its Ramifications, Vol. 14, No. 5 (2005) 627-640, [doi](http://dx.doi.org/10.1142/S0218216505004019), [math.GT/0307218](http://arxiv.org/abs/math/0307218)
[[!redirects graph cohomology]], [MR2006g:58021](http://www.ams.org/mathscinet-getitem?mr=2006g:58021))

* K. Igusa, _Graph cohomology and Kontsevich cycles_, Topology __43__ (2004), n. 6, p. 1469-1510, [MR2005d:57028](http://www.ams.org/mathscinet-getitem?mr=2005d:57028), [doi](http://dx.doi.org/10.1016/j.top.2004.03.004)

* [[Thomas Willwacher]], _M. Kontsevich's graph complex and the Grothendieck-Teichmueller Lie algebra_, [arxiv/1009.1654](http://arxiv.org/abs/1009.1654)
{#Willwacher10}

* Vasily Dolgushev, Christopher L. Rogers, Thomas Willwacher, _Kontsevich's graph complex, GRT, and the deformation complex of the sheaf of polyvector fields_, [arxiv/1211.4230](http://arxiv.org/abs/1211.4230)

* Damien Calaque, Carlo A. Rossi, _Lectures on [[Duflo isomorphism]]s in Lie algebra and complex geometry_, European Math. Soc. 2011

* [[S. A. Merkulov]], _Graph complexes with loops and wheels_, in (Manin's Festschrift:) Algebra, Arithmetic, and Geometry, Progress in Mathematics __270__ (2009) 311-354, [doi](http://dx,doi.org/10.1007/978-0-8176-4747-6_10), [pdf](http://www2.math.su.se/~sm/Papers/graph_complexes.pdf)

The following survey has discussion of context between the graph complex and [[Batalin-Vilkovisky formalism]]:

* Jian Qiu, Maxim Zabzine, _Introduction to graded geometry, Batalin-Vilkovisky formalism and their applications_, [arxiv/1105.2680](http://arxiv.org/abs/1105.2680) 
* Jian Qiu, Maxim Zabzine, _Knot weight systems from graded symplectic geometry_, [arxiv/1110.5234](http://arxiv.org/abs/1110.5234) 
[[!redirects graph cohomology]]
[[!redirects graph complex]]