
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Manifolds and cobordisms
+--{: .hide}
[[!include manifolds and cobordisms - contents]]
=--
#### Group Theory
+-- {: .hide}
[[!include group theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}


## Idea


Given a (oriented) [[topological manifold]] $X$, its __mapping class group__ $MCG(X)$ is the [[group]] of [[isotopy]] classes of (orientation preserving) [[homeomorphisms]] $X\to X$. 

Often this is considered specifically for $X$ a [[Riemann surface]] with punctures in which case
a central role is played by [[Dehn twists]]. 

The mapping class group is of importance in many areas of geometry including study of [[Teichmüller spaces]], of [[moduli spaces]] of surfaces, of [[automorphisms]] of [[free groups]] and in geometric and [[combinatorial group theory]], hyperbolic geometry and so on. Some of the key contributors were [[Max Dehn]], [[Jakob Nielsen]], [[William Thurston]], [[David Mumford]]. Recent proof of the related Mumford conjecture has been accomplished by Madsen and Weiss.

## Definition


For $\mathbf{Aut}(X)$ the [[automorphism group]] of the [[manifold]] formed in [[Euclidean-topological infinity-groupoids|Euclidean topological geometry]], hence equipped with its canonical structure of a [[topological group]]. Let furthermore $\mathbf{Aut}_0(X) \hookrightarrow \mathbf{Aut}(X)$ be the inclusion of the connected component of the identity.

Then

$$
  \mathbf{MCG}(X) \coloneqq \mathbf{Aut}(X)/\mathbf{Aut}_0(X)
$$

is the corresponding [[coset space]]/[[quotient group]]. In other words, the mapping class group is the group of [[homeomorphism]] of $X$ onto itself, modulo [[isotopy]]. 

This is a [[discrete group]]. Equivalently it is the group of [[connected components]] of $\mathbf{Aut}(X)$. If $X$ is a [[smooth manifold]], then the mapping class group is the group of connected components of the [[diffeomorphism group]]

$$
  MCG(X) = \pi_0(Diff(X))
 \,.
$$

If $X$ is a manifold with boundary $\partial X$, then it is usual to consider automorphisms which restrict to the identity on the boundary. 


## Properties

### For 2-dimensional surfaces

The mapping class group for 2-dimensional manifolds controls the [[moduli stack of complex curves]]. 

The [[classifying spaces]] of mapping class groups for 2-[[dimension]]al [[manifolds]] may also be encoded combinatorially in the [[geometric realization]] of a [[category]] of [[ribbon graphs]]. See there for details. 

One of the classical results is that the (oriented) mapping class group of the torus $\mathbb{R}^2/\mathbb{Z}^2 \cong (S^1)^2$ is isomorphic to the [[special linear group]] $SL_2(\mathbb{Z})$ (more generally, $MCG(\mathbb{R}^n/\mathbb{Z}^n) \cong SL_n(\mathbb{Z})$). Certain generators called Dehn twists may be visualized as cutting a torus along a circle $\{a\} \times S^1$ (or $S^1 \times \{b\}$), thus producing a cylinder, then twisting one of the ends of the cylinder through $2\pi$ and reattaching the two ends. 

Another example is a 2-disk with $n$ punctures. The group of diffeomorphisms (fixing the boundary pointwise) modulo isotopy is the [[braid group]] $B_n$. 

The relation to the [[homotopy type]] of the [[diffeomorphism group]] is as follows:

+-- {: .num_prop}
###### Proposition


For $\Sigma$ a [[closed manifold|closed]] [[orientation|orientable]] [[surface]], then the [[fundamental ∞-groupoid|bare homotopy type]] of its diffeomorphism group is

1. if $\Sigma$ is the [[sphere]] then
 
   $$
     \begin{aligned} 
        \Pi(Diff(S^2)) & \simeq \Pi(O(3))
        \\
        & \simeq MCG(S^2)\times \Pi(SO(3))
        \\
        & \simeq \mathbb{Z}_2 \times \Pi(SO(3))
     \end{aligned}
   $$

1. if $\Sigma$ is the [[torus]] then

   $$
     \begin{aligned}
       \Pi(Diff(S^1 \times S^1)) 
       & \simeq 
       MCG(S^1 \times S^1)\times \Pi(S^1 \times S^1 )
       \\
       & \simeq GL_2(\mathbb{Z}) \times B(\mathbb{Z} \times\mathbb{Z})
     \end{aligned}
   $$ 

1. in all other cases all higher [[homotopy groups]] vanish:

   $$
     \Pi(Diff(\Sigma)) \simeq MCG(\Sigma)
   $$

=--

The first statement is due to ([Smale 58](#Smale58)), see also at _[[sphere eversion]]_. The second and third are due to ([Earle-Eells 67](#EarleEells67), [Gramain 73](#Gramain73)).

See ([Hatcher 12](#Hatcher12)) for review.



### Rational cohomology

The [[ordinary cohomology]] with rational coefficients of the [[delooping]] of the stable mapping class group of 2-dimensional manifolds (hence essentially the [[orbifold cohomology]] of the [[moduli stack of complex curves]]) is the content of [[Mumford's conjecture]], proven in ([Madsen-Weiss 02](#MadsenWeiss02)).

## Related concepts

* [[diffeomorphism group]]

## References

Surveys include

* Massyuyeau, _A short introduction to mapping class groups_ ([pdf](http://www-irma.u-strasbg.fr/~massuyea/talks/MCG.pdf))

* Benson Farb, Dan Margalit, _A primer on mapping class
groups_, draft, [web]()

* Nikolai V. Ivanov. Mapping class groups. In Handbook of geometric
topology, pages 523–633. North-Holland, Amsterdam, 2002; 1998 draft: [ps](http://www.mth.msu.edu/~ivanov/m99.ps)

* {#BakalovKirillov} [[Bojko Bakalov]], [[Alexander Kirillov]], chapter 5 of _Lectures on tensor categories and modular functor_ ([web](http://www.math.sunysb.edu/~kirillov/tensor/tensor.html), [[BakalovKirillovChapter5.pdf:file]])

See also

* wikipedia: [mapping class group](http://en.wikipedia.org/wiki/Mapping_class_group)

* {#MadsenWeiss02} [[Ib Madsen]], [[Michael Weiss]], _The stable moduli space of Riemann surfaces: [[Mumford's conjecture]]_,  Ann. of Math. (2) __165__ (2007), no. 3, 843--941, [MR2009b:14051](http://www.ams.org/mathscinet-getitem?mr=2009b:14051), [doi](http://dx.doi.org/10.4007/annals.2007.165.843), [math.AT/0212321](http://arxiv.org/abs/math.AT/0212321)

* John Harer, _The second homology group of the mapping class group
of an orientable surface_, Invent. Math., 72(2):221–239, 1983; _The cohomology of the moduli space of curves_ in: Theory of moduli (Montecatini Terme, 1985), Lecture Notes in Math. __1337__, p. 138–221. Springer, Berlin, 1988.

* Robert C. Penner, _The decorated Teichmüller space of punctured surfaces_, Commun. Math. Phys. __113__ (2) (1987) 299--339. [MR89h:32044](http://www.ams.org/mathscinet-getitem?mr=89h:32044); _A construction of pseudo-Anosov homeomorphisms_, Trans. Amer. Math. Soc. __310__ (1):179–197, 1988.

{#EarleEells67} C.J. Earle,  J. Eells, _The diffeomorphism group of a compact Riemann surface,
Bulletin of the American Mathematical Society 73(4) 557--559, 1967


* [[Allen Hatcher]], [[William Thurston]], _A presentation for the mapping class group of a closed orientable surface_, Topology, 19(3):221–237, 1980.

* {#Hatcher12} [[Allen Hatcher]], _A 50-Year View of Diffeomorphism Groups_, talk at the 50th Cornell Topology Festival in May 2012 ([pdf](http://www.math.cornell.edu/~hatcher/Papers/Diff%28M%292012.pdf))

* [[Max Dehn]], Papers on group theory and topology. Springer-Verlag,
New York, 1987. Transl. from German with intro. and appendix by John Stillwell, and appendix by [[Otto Schreier]].

* [[Jakob Nielsen]], _Untersuchungen zur Topologie der geschlossenen zweiseitigen Flächen. I-III_, Acta Math. 50 (1927), no. 1, 189--358, MR1555256, [doi](http://dx.doi.org/10.1007/BF02547775); Acta Math. 53 (1929), no. 1, 1--76, MR1555290, [doi](http://dx.doi.org/10.1007/BF02547566);  Acta Math. 58 (1932), no. 1, 87--167, MR1555345, [doi](http://dx.doi.org/10.1007/BF02547775)


* [[David Mumford]], _Abelian quotients of the Teichmüller modular
group_, J. Analyse Math., 18:227–244, 1967.
* [[David Mumford]], _Towards an enumerative geometry of the moduli space of curves_, Arithmetic and geometry, Vol. II, Birkhäuser Boston, Boston, MA, 1983, pp. 271–328, [MR85j:14046](http://www.ams.org/mathscinet-getitem?mr=85j:14046)
* Ulrike Tillmann, _On the homotopy of the stable mapping class group_,  Invent. Math. __130__ (1997), no. 2, 257--275, [MR99k:57036](http://www.ams.org/mathscinet-getitem?mr=99k:57036), [doi](http://dx.doi.org/10.1007/BF02421324)
* S. Morita, _Introduction to mapping class groups of surfaces and related groups_, in: Handbook of Teichmüller theory (A. Papadopoulos, editor), vol. I, EMS Publishing House, Zürich, 2007, 353–386.
* E. Y. Miller, _The homology of the mapping class group_, J. Differential Geom. __24__ (1986), no. 1, 1–14, [MR88b:32051](http://www.ams.org/mathscinet-getitem?mr=88b:32051), [euclid](http://projecteuclid.org/euclid.jdg/1214440254)

[[!redirects mapping class groups]]