
#Contents#
* table of contents
{:toc}

## Idea

There are many [[conjectures]] due to [[Edward Witten]]; but by _the Witten conjecture_  one usually refers to the statement proven in ([Kontsevich 92](#Kontsevich92)) with new proofs due to [Mirzakhani 07a](#Mirzakhani07a), [Mirzakhani 07b](#Mirzakhani07b) and others.

This is about a [[generating function]] for [[intersection pairing]] numbers of Mumford-Morita-Miller stable classes on the compactification of a [[moduli space of punctured curves]]. The conjecture relates them to the [[Korteweg-de Vries integrable hierarchy]]. The conjectured was formulated by [[Edward Witten]] based on the conjectured equivalence of the [[partition function]] of two models of 2-dimensional [[quantum gravity]] (i.e. [[string]] [[worldsheet]] [[field theories]]), which are not manifestly equivalent. 

## References


Reviews include 

* Claude Itzykson in [MR93e:32027](http://www.ams.org/mathscinet-getitem?mr=93e:32027) 

* Ali Ulas Ozgur Kisisel,  _Integrable systems and Gromov-Witten theory_,   p. 135--161 in: Topics in cohomological studies of algebraic varieties, 
Impanga lecture notes. Edited by Piotr Pragacz. Trends Math., Birkh&#228;user, Basel, 2005, [MR2006d:14066](http://www.ams.org/mathscinet-getitem?mr=2006d:14066)

* {#DijkgraafWitten18} [[Robbert Dijkgraaf]], [[Edward Witten]], _Developments in Topological Gravity_ ([arXiv:1804.03275](https://arxiv.org/abs/1804.03275))

The original proof is due to 

* {#Kontsevich92} [[Maxim Kontsevich]], _Intersection theory on the moduli space of curves and the matrix Airy function_, Comm. Math. Phys. __147__ (1992), no. 1, 1--23, [euclid](http://projecteuclid.org/euclid.cmp/1104250524), [author's pdf](http://193.51.104.7/~maxim/TEXTS/intersection_theory_6.pdf)

A celebrated new proof is due to 

* {#Mirzakhani07a} [[Maryam Mirzakhani]], _Simple Geodesics and Weil-Petersson Volumes Of Moduli Spaces of Bordered Riemann Surfaces_, Invent. Math. 167 (2007) 179-222

* {#Mirzakhani07b} [[Maryam Mirzakhani]], _Weil-Petersson Volumes And Intersection Theory On The Moduli Space Of Curves_, Journal of the American Mathematical Society 20 (2007) 1-23

Some of the other newer approaches to the proof:


* M. E. Kazarian, S. K. Lando, _An algebro-geometric proof of Witten's conjecture_

and also versions for higher spin

* Tyler J.Jarvis, Takashi Kimura, Arkady Vaintrob, _Moduli spaces of higher spin curves and integrable hierarchies_, Compositio Math. __126__ (2001),  no. 2, 157--212.

Gregory Naber's lectures on Witten conjecture (this is another Witten conjecture, about Seiberg-Witten invariants) can be found at his [homepage](http://www.pages.drexel.edu/~gln22).

See also 

* Wikipedia, _[Witten conjecture](https://en.wikipedia.org/wiki/Witten_conjecture)_

[[!redirects Witten's conjecture]]
