There is a very beautiful story on several families of stable classes of the compactification $\mathcal{M}_{g,n}$ of the moduli space of algebraic genus $g$ curves with $n$ marked points, playing major role in geometry (especially intersection theory), Gromov-Witten theory, etc. They are sometimes referred by standard notation and sometimes by their names; one has families of Mumford-Miller classes and of Morita classes. 

Kontsevich associates to any cyclic/symplectic $A_\infty$-algebra certain partition function which is a inhomogeneous class in [[graph homology]]. 
Igusa and Mondello have substantiated Kontsevich's claim that the Mumford-Miller-Morita classes are induced from certain family of $A_\infty$-algebras; 

Related entries [[Witten conjecture]], [[mapping class group]].

* [[David Mumford]], _Towards an enumerative geometry of the moduli space of curves_, Arithmetic and geometry, Vol. II, Birkhäuser Boston, Boston, MA, 1983, pp. 271–328, [MR85j:14046](http://www.ams.org/mathscinet-getitem?mr=85j:14046)
* E. Y. Miller, _The homology of the mapping class group_, J. Differential Geom. __24__ (1986), no. 1, 1–14.
* John Harer, _The cohomology of the moduli space of curves_, Lec. Notes in Math. 1337, p. 138–221. Springer, Berlin, 1988.
* Ib Madsen, Michael Weiss, _The stable moduli space of Riemann surfaces: [[Mumford's conjecture]]_,  Ann. of Math. (2) __165__ (2007), no. 3, 843--941, [MR2009b:14051](http://www.ams.org/mathscinet-getitem?mr=2009b:14051), [doi](http://dx.doi.org/10.4007/annals.2007.165.843), [math.AT/0212321](http://arxiv.org/abs/math.AT/0212321)
* Shigeyuki Morita, _Characteristic classes of surface bundles_, Invent. Math. __90__ (1987),  no. 3, 551--577, [doi](http://dx.doi.org/10.1007/BF01389178), [MR89e:57022](http://www.ams.org/mathscinet-getitem?mr=89e:57022)
* Sh. Morita, _Introduction to mapping class groups of surfaces and related groups_, in: Handbook of Teichmüller theory (A. Papadopoulos, editor), vol. I, EMS Publishing House, Zürich, 2007, 353–386.
* C. Faber, R. Pandharipande, _Logarithmic series and Hodge integrals in the tautological ring_, With an appendix by Don Zagier. Dedicated to William Fulton on the occasion of his 60th birthday.  Michigan Math. J. __48__ (2000), 215--252, [MR2002e:14041](http://www.ams.org/mathscinet-getitem?mr=2002e:14041), [doi](http://dx.doi.org/10.1307/mmj/1030132716)
* Carel Faber, _Hodge integrals, tautological classes and Gromov-Witten theory_, Proc. Workshop _Algebraic Geometry and Integrable Systems related to String Theory_ (Kyoto, 2000).  Sūrikaisekikenkyūsho Kōkyūroku __1232__ (2001), 78--87, [MR1905884](http://www.ams.org/mathscinet-getitem?mr=1905884)
* K. Igusa, _Graph cohomology and Kontsevich cycles_, Topology __43__ (2004), n. 6, p. 1469-1510, [MR2005d:57028](http://www.ams.org/mathscinet-getitem?mr=2005d:57028), [doi](http://dx.doi.org/10.1016/j.top.2004.03.004)
* Gabriele Mondello, _Riemann surfaces, ribbon graphs and combinatorial classes_, in: Handbook of Teichmüller theory. Vol. II,  151--215, IRMA Lect. Math. Theor. Phys., 13, Eur. Math. Soc., Zürich, 2009; draft with index: [pdf](http://www.mat.uniroma1.it/~mondello/me/papers/ober-definitive.pdf), arxiv version [math.AG/0705.1792](http://arxiv.org/abs/0705.1792), [MR2010f:32012](http://www.ams.org/mathscinet-getitem?mr=2010f:32012)
* G. Mondello, _Combinatorial classes on $\mathcal{M}_{g,n}$ are tautological_, Int. Math. Res. Not. __44__ (2004), 2329-–2390, [MR2005g:14056](http://www.ams.org/mathscinet-getitem?mr=2005g:14056), [doi](http://dx.doi.org/10.1155/S1073792804131462), [math.AG/0303207](http://arxiv.org/abs/math/0303207)

[[!redirects Mumford classes]]
[[!redirects Mumford's class]]
[[!redirects Mumford's classes]]
[[!redirects Mumford-Morita-Miller classes]]