
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Functorial quantum field theory
+--{: .hide}
[[!include functorial quantum field theory - contents]]
=--
=--
=--


The _generalized tangle hypothesis_ is a refinement of the [[cobordism hypothesis]].

#History#

The original _tangle hypothesis_ was formulated in

* [[John Baez]] and [[James Dolan]], _Higher-dimensional Algebra and Topological Quantum Field Theory_ 1995 ([arXiv](http://arxiv.org/abs/q-alg/9503002)) 

as follows:
+-- {: .un_prop}
###### Tangle Hypothesis

The $n$-category of framed $n$-tangles in $n+k$ dimensions is $(n+k)$-equivalent
to the free weak $k$-tuply monoidal $n$-category with duals on one object.
=--

In the limit $k \to \infty$, this gives the [[cobordism hypothesis]]:
+-- {: .un_prop}
###### [[cobordism hypothesis|Cobordism Hypothesis]]

The $n$-category $n Cob$ of cobordisms is the free stable $n$-category with duals on one object (the point).
=--

In [[FQFT|extended toplogical quantum field theory]], which is really the [[representation theory]] of these cobordism $n$-categories, we expect:
+-- {: .un_prop}
###### Extended TQFT Hypothesis

An $n$-dimensional unitary extended TQFT is a weak $n$-[[n-functor|functor]], preserving all levels of duality, from the $n$-category $n Cob$ of cobordisms to $n Hilb$, the $n$-category of $n$-[[n-Hilbert space|Hilbert spaces]].
=--

Putting the extended TQFT hypothesis and the cobordism hypothesis together, we obtain:
+-- {: .un_prop}
###### The primacy of the point

An $n$-dimensional unitary extended TQFT is completely described by the $n$-Hilbert space it assigns to a point.
=--

Further discussion can be found here: 

* [[Bruce Bartlett]], _On unitary 2-representations of finite groups and topological quantum field theory_. PhD thesis, Sheffield (2008) ([arXiv](http://arxiv.org/abs/0901.3975))

More recently Mike Hopkins and Jacob Lurie have claimed 
(see [Hopkins-Lurie on Baez-Dolan](http://golem.ph.utexas.edu/category/2008/05/hopkinslurie_on_baezdolan.html))
to have formalized and proven this hypothesis in the context of [[(n,r)-category|(infinity,n)-categories]] modeled on [[complete Segal space]]s. See:

* [[Jacob Lurie]], _On the classification of topological field theories_ ([pdf](http://www.math.harvard.edu/~lurie/papers/cobordism.pdf))

where an [[(infinity,n)-category of cobordisms]] is defined and shown to lead to a formalization and proof of the _cobordism hypothesis_.  Lurie explains his work here:

* [[Jacob Lurie]], _TQFT and the cobordism hypothesis_, [videos of 4 lectures](http://lab54.ma.utexas.edu:8080/video/lurie.html) at the [Geometry Research Group](http://www.ma.utexas.edu/users/plowrey/dev/rtg/perspectives.html), Mathematics Department, University of Texas Austin.

While the tangle hypothesis and its generalizations are refinements of the cobordism hypothesis and its generalizations, Lurie shows ([Sec 4.4. of TQFT](#LurieTQFT)) that the former may be deduced from the latter when expressed in a sufficiently general form. 

Lecture notes for Lurie's talks should eventually appear at the [Geometry Research Group website](http://www.ma.utexas.edu/users/plowrey/dev/rtg/perspectives.html).

#Statement of the generalized tangle hypothesis#

The $k$-tuply monoidal $n$-category of $G$-structured $n$-tangles in the $(n + k)$-cube is the [[fundamental category|fundamental]] $(n + k)$-category with duals of $(M G,Z)$.

* $M G$ is the Thom space of group $G$.
* $G$ can be any group equipped with a homomorphism to $O(k)$. ([comment](http://golem.ph.utexas.edu/category/2006/11/this_weeks_finds_in_mathematic_2.html#c006471))

#Further resources#

* {#LurieTQFT}[[Jacob Lurie]], _TQFT and the Cobordism Hypothesis_ ([video](http://www.ma.utexas.edu/video/dafr/lurie/), [notes](http://www.ma.utexas.edu/users/plowrey/dev/rtg/notes/perspectives_TQFT_notes.html))


##Discussion##

* [Caf&eacute;](http://golem.ph.utexas.edu/category/2006/11/this_weeks_finds_in_mathematic_2.html#c006381)

