
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### $\infty$-Chern-Weil theory
+--{: .hide}
[[!include infinity-Chern-Weil theory - contents]]
=--
#### Differential cohomology
+--{: .hide}
[[!include differential cohomology - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Definition

For $G$ a [[Lie 3-group]], a _connection_ on a $G$-[[principal 3-bundle]] coming from a [[cocycle]] $g : X \to \mathbf{B}G$ is a lift of the cocycle to the  [[3-groupoid of Lie 3-algebra valued forms]] $\mathbf{B}G_{conn}$

$$
  \array{
     && \mathbf{B}G_{conn}
     \\
     & {}^{\mathllap{\nabla}}\nearrow & \downarrow
     \\
     X &\stackrel{g}{\to}& \mathbf{B}G
  }
$$

## Examples

* [[11-dimensional supergravity]] can be understood as the theory of 3-connections with coefficients in the [[super L-infinity algebra]] called the [[supergravity Lie 3-algebra]]. See [[D'Auria-Fre formulation of supergravity]].

## Related concepts

* [[connection on a bundle]]

* [[connection on a 2-bundle]] / [[connection on a gerbe]] / [[connection on a bundle gerbe]]

* **connection on a 3-bundle** / [[connection on a bundle 2-gerbe]]

  * [[chiral anomaly]], [[baryogenesis]]

  * [[supergravity C-field]]

* [[connection on an ∞-bundle]]


## References

The [[higher parallel transport]] of local 3-connections is considered in

* [[Joao Faria Martins]], [[Roger Picken]], _The fundamental Gray 3-groupoid of a smooth manifold and local 3-dimensional holonomy based on a 2-crossed module_ ([arXiv:abs/0907.2566](http://arxiv.org/abs/0907.2566))

Discussion in terms of [[Gray-categories]] is in 

* Wei Wang, _On 3-gauge transformations, 3-curvature and Gray-categories_ ([arXiv:1311.3796](https://arxiv.org/abs/1311.3796))

Examples of 3-connections obtained from fibrations of [[Courant algebroid]]s are discussed in

* Olivier Brahic, _On the infinitesimal Gauge Symmetries of closed forms_ ([arXiv](http://arxiv.org/abs/1010.2189))

A discussion of fully general local 3-connections is in 

* [[Hisham Sati]], [[Urs Schreiber]], [[Jim Stasheff]], _$L_\infty$-connections_ ([arXiv:0801.3480](http://arxiv.org/abs/0801.3480))

and the globalization is in

* [[Domenico Fiorenza]], [[Urs Schreiber]], [[Jim Stasheff]], _[[schreiber:Cech cocycles for differential characteristic classes]]_

For a discussion of all this in a more comprehensive context see section xy of

* [[Urs Schreiber]], _[[schreiber:differential cohomology in a cohesive topos]]_
 {#SchreiberCohesive}

See also [[connection on an infinity-bundle]] for the general theory.


[[!redirects connections on a 3-bundle]]

[[!redirects connections on 3-bundles]]

[[!redirects 3-connection]]
[[!redirects 3-connections]]
