[[!redirects Geometric nerve of a bicategory]]
[[!redirects Duskin nerve]]
[[!redirects Duskin nerve]]
[[!redirects Duskin nerve]]
[[!redirects Duskin nerve]]
[[!redirects Duskin nerve]]
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher category theory
+--{: .hide}
[[!include higher category theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The (unitary) _geometric nerve_ is a natural  [[nerve]] operation on [[bicategories]]. It is a [[functor]] from [[BiCat]] to [[sSet]]. This is also sometimes called the _Duskin nerve_. The  notion is implicit in work by R. Street (1987). The direct approach was used by Duskin in work at about the same time, as explained in both articles. (Duskin's article directly on the idea was published in 2002.) 

The construction, thus, yields a functor:

$$
  N : BiCat_{NLax} \to sSet
  \,.
$$

extending the ordinary nerve construction on the category of small categories, where morphisms of BiCat are _normal lax 2-functors_: these are the lax 2-functors which strictly preserve identities. 

Special cases of the construction relate to earlier constructions relating to the [[homotopy coherent nerve]], see below for more detail.


## Definition

We may think of the [[simplex category]] $\Delta$ as the [[full subcategory]] of [[Cat]] on the categories free on non-empty finite linear graphs. This gives the canonical inclusion $\Delta \hookrightarrow Cat$ that defines the ordinary nerve of categories. 

There is also the canonical embedding of categories into bicategories. Combined this gives the inclusion 

$$
  \Delta \hookrightarrow Cat \hookrightarrow BiCat
  \,.
$$

The bicategorical nerve is the nerve induced from that. So for $C$ a bicategory we have

$$
  N(C) : [k] \mapsto BiCat_{NLax}(\Delta[k], C)
  \,.
$$

There are also an oplax version and two non-normalized versions.
 
## Properties

* The [[simplicial set]]s in the image of the geometric nerve are 3-[[coskeletal]].

* The geometric nerve identifies precisely [[bigroupoid]]s with 2-[[hypergroupoid]]s: those [[Kan complexes]] for which the horn fillers in dimension $\geq 3$ are _unique_ . (Theorem 8.6 in ([Duskin](#Duskin)))  

(This shows in particular that bigroupoids model all [[homotopy 2-type]]s.)

* The nerve is a full and faithful functor $BiCat_{NLax}\to sSet$.

## Example

Any [[strict 2-category]] determines both a 'bicategory' in the above sense (since a 'strict' thing is also a 'weak' one)  and a simplicially enriched category.  The latter is found by taking the nerve of each 'hom-category'.  The Duskin nerve of a 2-category is the same as the [[homotopy coherent nerve]] of the corresponding $sSet$-category.  This can also be applied to [[2-groupoid]]s and, thus, results in a classifying space construction for [[crossed module]]s. 

## Related concepts

* [[nerve]]

* **geometric nerve**

* [[ω-nerve]]

* [[homotopy coherent nerve]]




## References

* [[Ross Street]], _The algebra of oriented simplexes_, Journal of Pure and Applied Algebra, Volume 49, Issue 3, December 1987, Pages 283–335

* [[John Duskin]], _Simplicial matrices and the nerves of weak n-categories I: nerves of bicategories_ ([tac](http://www.tac.mta.ca/tac/volumes/9/n10/9-10abs.html)), Theory and Applications of Categories, Vol. 9, No. 10, 2002, pp. 198–308.
{#Duskin}

* V. Blanco, M. Bullejos, E. Faro, _A Full and faithful Nerve for 2-categories_, Applied 
Categorical Structures, Vol 13-3, 223-233, 2005. (see also [arxiv](http://arxiv.org/abs/math/0406615)

[[!redirects bicategory nerve]]
[[!redirects nerve of bicategories]]
[[!redirects nerve of a bicategory]]