
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher category theory
+--{: .hide}
[[!include higher category theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea 


An _$n$-hypergroupoid_ is a model for an [[n-groupoid]]: it is an [[Kan complex]] that is like the [[nerve]] of a [[groupoid]] ($n= 1$), [[bigroupoid]] ($n = 2$) etc.

## Definition

+-- {: .num_defn }
###### Definition

An **$n$-hypergroupoid** is a [[Kan complex]] $K$ in which the [[horn]]-fillers are _unique_ in dimension greater than $n$:

$$
  (k \gt n) \Rightarrow
  \left(
     \array{
       \Lambda^i[k] &\to&  K
       \\
       \downarrow & \nearrow_{\exists !}
       \\
       \Delta[k]
     }
  \right)
  \,.
$$

=--

(The lower dimensional horn fillers of course also exist, but are not in general unique.)

This is due to ([Duskin 79](#Duskin79), [Glenn 82](#Glenn82)), however their definition does not ask $K$ has lower dimensional horn fillers. In [Beke 04](#Beke04) these are called _exact $n$-types_ instead. For a review on the definition see ([Pridham 09, section 2](#Pridham09)).

Equivalently, this are those [[Kan complex]]es which are $(n+1)$-[[coskeletal]] and such that the $(n+1)$-horns and $(n+2)$-horns have unique fillers.

+-- {: .num_remark }
###### Remark

=--


## Properties

* 1-hypergroupoids are precisely the [[nerve]]s of [[groupoid]]s.

* 2-hypergroupoids are precisely the [[Duskin nerve]]s of [[bigroupoids]].

## References

The term _hypergroupoid_ is due to [[Duskin]]

* [[John Duskin]] _Higher-dimensional torsors and the cohomology of topoi: the abelian 
theory_ in _Applications of sheaves_, number 753 in Lecture Notes in Mathematics, 
pages 255–279. Springer-Verlag, 1979. 
 {#Duskin79}

 and his student, [[Paul Glenn]]:

* Paul G. Glenn, Realization of cohomology classes in arbitrary exact categories, J. Pure Appl. Algebra 25, 1982, no. 1, 33-105, [MR83j:18016](http://www.ams.org/mathscinet-getitem?mr=83j:18016)
 {#Glenn82}

The term _exact $n$-type_ is used in

* [[Tibor Beke]], _Higher &Ccaron;ech theory_ , K-Theory 32, 2004, 293-322.
 {#Beke04}

Presentation of [[infinity-stack|higher stacks]] (higher [[geometric stacks]]) by hypergroupoid objects is in 

* [[Jonathan Pridham]], _Presenting higher stacks as simplicial schemes_,  Adv. Math, ([arXiv:0905.4044](http://arxiv.org/abs/0905.4044))
 {#Pridham09}


[[!redirects hypergroupoids]]

[[!redirects n-hypergroupoid]]
[[!redirects 1-hypergroupoid]]
[[!redirects 2-hypergroupoid]]

[[!redirects n-hypergroupoids]]
[[!redirects 1-hypergroupoids]]
[[!redirects 2-hypergroupoids]]