
# The Feynman transform
* table of contents
{: toc}

## Overview

The _Feynman transform_ is an operation on the category of twisted [[modular operad]]s. It gives a way to parametrize various versions of the Kontsevich's [[graph complex]], by various [[modular operad]]s. Every modular operad is in particular [[cyclic operad|cyclic]] (some say "symplectic"). The Feynman transform, up to a shift, reduces to the [[cobar operad]] of the underlying cyclic operad. 

The name "Feynman transform" is due to [[Getzler]] and [[Kapranov]].


## Literature

* [[Ezra Getzler]], [[Mikhail Kapranov]], _Modular operads_,  Compositio Math.  110  (1998),  no. 1, 65--126, [doi](http://dx.doi.org/10.1023/A:1000245600345), [arXiv:dg-ga/9408003](http://arxiv.org/abs/dg-ga/9408003), [MR99f:18009](http://www.ams.org/mathscinet-getitem?mr=99f:18009)
* Serguei Barannikov, _Modular operads and Batalin-Vilkovisky geometry_, Int. Math. Res. Not. IMRN  2007,  no. 19, Art. ID rnm075, 31 pp. [arxiv/0912.5484](http://arxiv.org/abs/0912.5484)
* [[André Joyal]], [[Joachim Kock]], _Feynman graphs, and nerve theorem for compact symmetric multicategories_, proceedings "Quantum Physics and Logic VI", [arxiv/0908.2675](http://arxiv.org/abs/0908.2675)
* Joseph Chuang, Andrey Lazarev, _Dual Feynman transform for modular operads_, [arxiv/0704.2561](http://arxiv.org/abs/0704.2561)
* Martin Markl, Steve Shnider, Jim Stasheff, _Operads in algebra, topology and physics_, Mathematical Surveys and Monographs __96__, Amer. Math. Soc. 2002. x+349 pp. [MR2003f:18011](http://www.ams.org/mathscinet-getitem?mr=2003f:18011)(for Feynman transform see page 251)


[[!redirects Feynman transform]]
[[!redirects dual Feynman transform]]
