
# Cyclic operads
* table of contents
{: toc}

## Motivation in cyclic homology

[[Hochschild homology]] and cohomology have a natural meaning via [[Tor]] and [[Ext]] groups; and they also have an [[higher category theory|infinity-categorical]] interpretation. The [[Hochschild complex]] for associative algebras has a remarkable quotient, the [[cyclic complex]]; this construction is not as general as the mentioned construction, and it can not be generalized to algebras over an arbitrary [[operad]]. Instead there is an additional structure on an operad which enables one to produce an analogue of [[cyclic homology]]. However the long exact sequence of Connes which in the classical case involves cyclic homology and Hochschild homology, here involves the cyclic homology for the original cyclic operad but also the one for the [[Koszul dual operad]] and the Hochschild. In the classical, associative case of course the operad and its Koszul dual coincide. 


## Other motivations

Cyclic operads also appear in TQFT-related constructions, often with more structure. See [[modular operad]]s. 


## Literature

* [[Ezra Getzler]], [[M. M. Kapranov]], _Cyclic operads and cyclic homology, in "Geometry, topology and physics_," International Press, Cambridge, MA, 1995, pp. 167-201 ([pdf](http://www.math.northwestern.edu/~getzler/Papers/cyclic.pdf)) 

*  Jovana Obradovic, _Monoid-like definitions of cyclic operad_, [tac](http://tac.mta.ca/tac/volumes/32/12/32-12abs.html)

[[!redirects cyclic operad]]
[[!redirects cyclic operads]]
