
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--

# Homotopy algebras
* table of contents
{: toc}

## Idea 

For each of various classical types of [[algebras]], like [[associative algebra|associative]], [[Lie algebra|Lie]], [[Leibniz algebra|Leibniz]], [[commutative algebra|commutative]] and so on, one can form a version where the required identities hold only up to [[homotopy]]. The most important modification is that the required identities hold up to *coherent* homotopy; such were traditionally called _strong homotopy algebras_. If $P$ is an [[operad]] in some homotopical context then to obtain the homotopy generalization of $P$-[[algebra of an operad|algebras]], one needs to [[resolution|resolve]] the operad $P$ to an appropropriate replacement $P_\infty$ which is minimal or cofibrant in certain sense. 


## Terminology in the case of dg-operads

The classical case is in the setup of a [[dg-operad]]. 
Thus one had __strong homotopy associative__ algebras which are the same as $A_\infty$-[[A-infinity-algebra|algebras]], __strong homotopy commutative__ (associative) algebras which also called $C_\infty$-[[C-infinity-algebra|algebras]], __strong homotopy bialgebras__ or $B_\infty$-[[B-infinity algebra|algebras]], __strong homotopy Gerstenhaber__ or $G_\infty$-[[G-infinity-algebra|algebras]] and __strong homotopy Lie algebras__ or $L_\infty$-[[L-infinity-algebra|algebras]] and (strong) [[homotopy BV-algebra]]s or $BV_\infty$-[[BV-infinity-algebra|algebras]]. 

## Related concepts

* [[algebra over a monad]]

  [[∞-algebra over an (∞,1)-monad]] 

* [[algebra over an algebraic theory]] 

  [[∞-algebra over an (∞,1)-algebraic theory]] 

  * [[homotopy T-algebra]] / [[model structure on simplicial T-algebras]]

* [[algebra over an operad]] 

   * [[∞-algebra over an (∞,1)-operad]]

   * [[model structure on algebras over an operad]]


## References

The term _homotopy algebra_ appears explicitly for instance in the following references. But see the above pages and [[higher algebra]] for more general lists of references.

These two articles discuss the [[homotopy theory]] of [[dg-algebra]]s over a [[dg-operad]].

* [[Vladimir Hinich]], V. V. Schechtman, _On homotopy limit of homotopy algebras_, $K$-theory, arithmetic and geometry (Moscow, 1984--1986), 240--264, Lecture Notes in Math., 1289, Springer, Berlin, 1987.

* [[Vladimir Hinich]], _Homological algebra of homotopy algebras_, Comm. Algebra 25 (1997), no. 10, 3291--3323.

See also [[dg-geometry]].

This article discusses something like a model for [[∞-algebras over an (∞,1)-operad]]

* [[Tom Leinster]], _Homotopy algebras for operads_, [math.QA/0002180](http://arxiv.org/abs/math.QA/0002180), 101 pages, 2000


[[!redirects homotopy algebra]]
[[!redirects homotopy algebras]]
[[!redirects strong homotopy algebra]]
[[!redirects strong homotopy algebras]]
