
# Rota--Baxter algebras
* table of contents
{: toc}

## Definition

Given a [[commutative unital ring]] $k$, an [[associative unital algebra|associative unital]] $k$-algebra $A$ is a __Rota--Baxter algebra__ of weight $\lambda$ if it is equipped with a __Rota--Baxter operator__ $P\colon A \to A$, which is a $k$-linear endomorphism such that 

$$
P(x) P(y) = P(P(x) y) + P(x P(y)) + \lambda P(x y)
$$


## Historical sources and motivation

Rota--Baxter algebras came historically from several sources, including enumerative combinatorics problems ([[Gian-Carlo Rota]]), $q$-calculus (Jackson integral) and integrable systems (Baxter). More recently the application to the combinatorics of [[renormalization]] and Birkhoff decomposition have been found, showing that the essence of renormalization is not that crucially existing only in the presence of complex analysis. 


## References

A large bibliography on Rota--Baxter algebras can be found at Li Guo's Rota--Baxter algebra [page](http://andromeda.rutgers.edu/~liguo/rba.html).

* K. Ebrahimi-Fard, L. Guo, _Rota-Baxter algebras and dendriform dialgebras_, Jour. Pure Appl. Algebra __212__ (2008), 320-339, [arXiv:math/0503647](http://arxiv.org/abs/math/0503647)

* K. Ebrahimi-Fard, L. Guo,  _Rota--Baxter algebras in renormalization of perturbative quantum field theory_,  In  Universality and Renormalization, I. Binder and D. Kreimer, editors, Fields Institute Communicatins, v. 50, AMS 2007, 47-105, [arXiv:hep-th/0604116](http://arxiv.org/abs/hep-th/0604116). 

* K. Ebrahimi-Fard, L. Guo, D. Manchon, _Birkhoff type decompositions and the Baker--Campbell--Hausdorff recursion_, Comm. Math. Physics __267__ (2006) 821-845, [arXiv:math-ph/0602004](http://arxiv.org/abs/math-ph/0602004) 

* Jun Pei, Chengming Bai, Li Guo, _Rota-Baxter operators on $sl(2,C)$ and solutions of the classical Yang-Baxter equation_, [arxiv/1311.0612](http://arxiv.org/abs/1311.0612)

A generalization of Rota-Baxter operators to algebraic operads
is found in connection to certain splitting phenomenon for operads:

* Jun Pei, Chengming Bai, Li Guo, _Splitting of operads and Rota-Baxter operators on operads_, [arxiv/1306.3046](http://arxiv.org/abs/1306.3046)

There is also a [[categorification]] of the concept of Rota--Baxter algebra, namely the __Rota--Baxter category__, cf.

* Edmundo Castillo, Rafael Diaz, _Rota-Baxter categories_, [arxiv/0706.1068](http://arxiv.org/abs/0706.1068)

Among motivatring results, there are also Spitzer identities from

* F. Spitzer, _A combinatorial lemma and its application to probability theory_,  Trans. Amer. Math. Soc. __82__ (1956), 323--339, [MR0079851](http://www.ams.org/mathscinet-getitem?mr=0079851), [doi](http://dx.doi.org/10.2307/1993051)


[[!redirects Rota-Baxter algebra]]
[[!redirects Rota-Baxter algebras]]
[[!redirects Rota–Baxter algebra]]
[[!redirects Rota–Baxter algebras]]
[[!redirects Rota--Baxter algebra]]
[[!redirects Rota--Baxter algebras]]
