__Gian-Carlo Rota__ was a great [[combinatorialist]]; in addition to numerous concrete results he deserves much credit on systematizing many methods.   

* [wikipedia](http://en.wikipedia.org/wiki/Gian-Carlo_Rota)

Related entries in nlab include [[umbral calculus]], [[Möbius inversion]], and [[Rota-Baxter algebra]].



## Writings

A nice reading about appreciation of systematic/foundational work in mathematics is his preface ([pdf](http://bergeron.math.uqam.ca/Species/foreword.pdf), [ps.gz](http://bergeron.math.uqam.ca/Species/foreword.ps.gz), [bookpage](http://bergeron.math.uqam.ca/Species/especes.html)) to [[Combinatorial species and tree-like structures]] (Enc. Math. Appl., Camb. Univ. Press 1997) by F. Bergeron, G. Labelle and P. Leroux.

* Steven M. Roman, Gian-Carlo Rota, _Umbral calculus_,  Advances in Math. __27__ (1978), no. 2, 95--188, [pdf until p. 120](http://www.romanpress.com/MathArticles/Umbral1.pdf), [doi](http://dx.doi.org/10.1016/0001-8708(78)90087-7), [MR0485417](http://www.ams.org/mathscinet-getitem?mr=0485417)
* Daniel A. Klain, G-C. Rota, _Introduction to Geometric Probability_, Cambridge University Press 1997, xiv+178 pp. [gBooks](http://books.google.com/books?id=Q1ytkNM6BtAC); Book survey in Bull. AMS [pdf](http://www.ams.org/bull/2000-37-02/.../S0273-0979-99-00860-5.pdf) (from the survey:"these are notes based on Gian-Carlo Rota’s 1986 “Lezioni Lincee” lectures about geometric valuations, integral geometry and geometric probability, and they are superbly polished")
* Mathematical essays in honor of Gian-Carlo Rota (Cambridge, MA, 1996), Progr. Math. __161__, Birkhäuser 1998,

## Quotes

From  _Indiscrete thoughts_:

> Mathematicians can be subdivided into two types: problem solvers and theorizers.
Most mathematicians are a mixture of the two although it is easy to find extreme examples of both types. 

> To the problem solver, the supreme achievement in mathematics is the solution to a problem that has been given up as hopeless. It matters little that the solution may be clumsy; all that counts is that it should be the first and that the proof be correct. Once the problem solver finds the solution, he will permanently lose interest in it, and will listen to new simplified proofs with an air of condescension suffused with boredom. The problem solver is a conservative at heart. For him, mathematics consists of a sequence of challenges to be met, an obstacle course of problems. The mathematical concepts required to state mathematical problems are tacitly assumed to be eternal and immutable. Mathematical exposition is regarded as an inferior undertaking. New theories are viewed with deep suspicion, as intruders who must prove their worth by posing challenging problems before they can gain attention. The problem solver resents generalizations, especially those that may succeed in trivializing the solution of one of his problems. The problem solver is the role model for budding young mathematicians. When we describe to the public the conquests of mathematics, our shining heroes are the problem solvers.

> To the theorizer, the supreme achievement of mathematics is a theory that sheds sudden light on some incomprehensible phenomenon. Success in mathematics does not lie in solving problems but in their trivialization. The moment of glory comes with the discovery of a new theory that does not solve any of the old problems but renders them irrelevant. The theorizer is a revolutionary at heart. Mathematical concepts received from the past are regarded as imperfect instances of more general ones yet to be discovered. Mathematical exposition is considered a more difficult undertaking than mathematical research. To the theorizer, the only mathematics that will survive are the definitions. Great definitions are what mathematicians contribute to the world. Theorems are tolerated as a necessary evil since they play a supporting role — or rather, as the theorizer will reluctantly admit, an essential role — in the understanding of definitions. Theorizers often have trouble being recognized by the community of mathematicians. Their consolation is the certainty, which may or may not be borne out by history, that their theories will survive long after the problems of the day have been forgotten. 

> If I were a space engineer looking for a mathematician to help me send a rocket into
space, I would choose a problem solver. But if I were looking for a mathematician to give a good education to my child, I would unhesitatingly prefer a theorizer.

category: people

[[!redirects Gian Carlo Rota]]