
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Group Theory
+-- {: .hide}
[[!include group theory - contents]]
=--
#### $\infty$-Lie theory
+--{: .hide}
[[!include infinity-Lie theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The classification of [[simple Lie group]]s consists of four infinite series -- the [[classical Lie group]]s, and five exceptional Lie groups, called

* [[G2]], [[F4]], [[E6]], [[E7]], and [[E8]].

On the level of [[Kac-Moody Lie algebras]]/[[Kac-Moody groups]] the E-series continues as

* [[E9]], [[E10]], [[E11]], ...



## Related concepts

* [[exceptional Lie algebra]]

* [[exceptional geometry]], [[exceptional generalized geometry]]

* [[universal exceptionalism]]

* [[Freudenthal magic square]]

## References

### Lie groups

* Ichiro Yokota, _Exceptional Lie groups_ ([arXiv:0902.0431](http://arxiv.org/abs/0902.0431))

### Lie algebras

Original articles include

* {#Freudenthal65} [[Hans Freudenthal]], _Lie groups in the foundations of geometry_, Advances in Mathematics, volume 1, (1965) pp. 145 - 190 ([dspace](http://dspace.library.uu.nl/handle/1874/17442))


The following are references on the [[Lie algebras]] underlying exceptional Lie groups.

Surveys include

* wikipedia, _[En](http://en.wikipedia.org/wiki/En_%28Lie_algebra%29)_

* J. R. Faulkner, J. C. Ferrar, _Exceptional Lie algebras and related algebraic and geometric structures, ([[FaulknerFerrar.pdf:file]])

* [[John Baez]], _[Exceptional Lie algebras](http://math.ucr.edu/home/baez/octonions/node13.html)_, chapter 4 in _The Octonions_,  Bull. Amer. Math. Soc. 39 (2002), 145-205. ([web](http://math.ucr.edu/home/baez/octonions/octonions.html)) 

Geometric constructions of [[exceptional Lie algebras]] are discussed in

* [[José Figueroa-O'Farrill]], _A geometric construction of the exceptional Lie algebras F4 and E8_ ([arXiv:0706.2829](http://arxiv.org/abs/0706.2829))

* Andrei Moroianu, [[Uwe Semmelmann]], _Invariant four-forms and symmetric pairs_ ([arXiv:1202.3407](http://arxiv.org/abs/1202.3407))

Cohomological properties are discussed in

* [[Skip Garibaldi]], _Cohomological invariants: Exceptional groups and spin groups_ Memoirs of the AMS 937 (2009)

[[!redirects exceptional Lie group]]
[[!redirects exceptional Lie groups]]
