
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Group Theory
+-- {: .hide}
[[!include group theory - contents]]
=--
#### Symplectic geometry
+--{: .hide}
[[!include symplectic geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Definition 

For $n \in \mathbb{N}$, the **symplectic group** $Sp(2n, \mathbb{R})$ is one of the [[classical Lie groups]].

It is the subgroup of the [[general linear group]] $GL(2n, \mathbb{R})$ of elements preserving the canonical [[symplectic form]] $\Omega$ on the [[Cartesian space]] $\mathbb{R}^{2n}$, that is: the group consisting of those [[matrices]] $A$ such that

$$
  A^T \Omega A = \Omega
  \,.
$$

The symplectic group should not be confused with the [[compact symplectic group]] $Sp(n)$, which is the [[maximal compact subgroup]] of the _complex_ symplectic group $Sp(2n,\mathbb{C})$.

## Properties

### Maximal compact subgroup
 {#MaximalCompactSubgroup}

The [[maximal compact subgroup]] of the symplectic group $Sp(2n, \mathbb{R})$ is the [[unitary group]] $U(n)$.

### Homotopy groups
 {#HomotopyGroups}

By the [above](#MaximalCompactSubgroup) the [[homotopy groups]] of the symplectic group are those of the corresponding [[unitary group]].

In particular the first [[homotopy group]] of the symplectic group is the [[integers]]

$$
  \pi_1(Sp(2n,\mathbb{R})) \simeq \mathbb{Z}
  \,.
$$

The unique connected [[double cover]] obtained from this is the [[metaplectic group]] [[group extension|extension]] $Mp(2n) \to Sp(2n, \mathbb{R})$.

## Related concepts

* [[affine symplectic group]]

* [[metaplectic group]]

* [[extended affine symplectic group]]

* [[orthosymplectic supergroup]]

* A higher analog of the symplectic group in [[2-plectic geometry]] is the [[exceptional Lie group]] [[G2]] (see there for more details).

## References
	

The term "symplectic group" was suggested in 

* [[Hermann Weyl]], _The Classical Groups: their invariants and representations_ (1939, p. 165) 

by

> The name "complex group" formerly advocated by me in allusion to line complexes, as these are defined by the vanishing of antisymmetric bilinear forms, has become more and more embarrassing through collision with the word "complex" in the connotation of complex number. I therefore propose to replace it by the corresponding Greek adjective "symplectic." Dickson calls the group the "Abelian linear group" in homage to Abel who first studied it.


[[!redirects symplectic group]]
[[!redirects symplectic groups]]