
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Higher spin geometry
+-- {: .hide}
[[!include higher spin geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea


The [[differential geometry]] of [[manifolds]] with [[spin structure]] is called **spin geometry**. It studies [[spin group]]-[[principal bundles]], [[spin representations]], the [[associated bundle|associated]] [[spinor bundles]], and the [[Dirac operators]] acting on [[spaces of sections]] of these bundles, hence also their [[index theory]] and generally [[K-theory]].

## In physics

The relevance of spin geometry in [[physics]] rests on the fact that in [[quantum mechanics]] and [[quantum field theory]] in general and in the [[standard model of particle physics]] in particular, [[fermions]] such as the [[electron]] are mathematically modeled as [[sections]] of spin-bundles. The very term _spin_ originates in the fact that the quanta of these fields behave to some extent as if they had an intrinsic [[angular momentum]], as if they were _spinning_ about an axis as a classical top. 

Spin geometry also plays a central role in supersymmetric quantum field theory such as [[supergravity]].

## Related concepts

* [[spin group]]. [[spin representation]], [[spinor]], [[spin]]


* [[Fierz identity]]

## References

The classical monograph on spin geometry is

* [[H. Blaine Lawson]], [[Marie-Louise Michelsohn]], _[[Spin geometry]]_, Princeton University Press (1989)

Fundamentals of the relevant [[supergeometry]] are in

* [[Pierre Deligne]], [[Daniel Freed]], _Supersolutions_ ([arXiv:hep-th/9901094](http://arxiv.org/abs/hep-th/9901094))

  in [[Pierre Deligne|P. Deligne]], [[Pavel Etingof|P. Etingof]], [[Dan Freed|D.S. Freed]], L. Jeffrey, [[David Kazhdan|D. Kazhdan]], J. Morgan, D.R. Morrison, [[Edward Witten|E. Witten]] (eds.)  _[[Quantum Fields and Strings]], A course for mathematicians_, 2 vols. Amer. Math. Soc. Providence 1999. ([web version](http://www.math.ias.edu/qft))

Discussion in the context of [[conformal geometry]] is in 

* [[Pierre Anglès]], section 2.2.1.2 of _Conformal Groups in Geometry and Spin Structures_, Progress in Mathematical Physics 2008

