
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Regular and Exact categories
+-- {: .hide}
[[!include regular and exact categories - contents]]
=--
#### Category Theory
+-- {: .hide}
[[!include category theory - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Definition

A **coherent category** (also called a **pre-logos**) is a [[regular category]] in which the [[subobject posets]] $Sub(X)$ all have finite [[unions]] which are preserved by the [[base change]] functors $f^*:Sub(Y)\to Sub(X)$.

A [[coherent functor]] serves as a morphism between coherent categories.

The [[internal logic]] of a coherent category is [[coherent logic]].

An **infinitary coherent category** is a [[regular category]] in which the subobject posets $Sub(X)$ have all _[[small set|small]]_ unions which are [[pullback stability|stable under pullback]].  Infinitary coherent categories are also called __[[geometric category|geometric categories]]__.  (These are sometimes also required to be [[well-powered category|well-powered]]; see their page for details.)

See [[familial regularity and exactness]] for a general description of the spectrum from regular categories through finitary and infinitary coherent categories.


## Properties

### Extensivity

Any coherent category automatically has a strict [[initial object]].  Moreover, if an object $X$ is the [[union]] of two subobjects $A\hookrightarrow X$ and $B\hookrightarrow X$ such that $A\cap B = 0$, then $X = A\amalg B$ is their [[coproduct]].  Thus, if every pair of objects can be embedded [[disjoint coproduct|disjointly]] in some third object, then a coherent category has disjoint finite coproducts and is [[extensive category|extensive]] (or "positive").

Extensivity is the analogue for coherent categories of [[exact category|exactness]] for regular categories.  A coherent category which is both extensive and exact is called a [[pretopos]].


### The coherent topology

Any [[coherent category]] $C$ admits a [[subcanonical site|subcanonical]] [[Grothendieck topology]] in which the covering families are generated by finite, jointly [[regular epimorphism|regular-epimorphic]] families: the [[coherent coverage]].  Equivalently, they are generated by single [[regular epimorphisms]] and by finite unions of [[subobject]]s.  If $C$ is [[extensive category|extensive]], then its coherent topology is generated by the regular topology together with the extensive topology.  (In fact, the coherent topology is [[superextensive site|superextensive]].)

If $C$ is a pretopos, then its self-indexing is a [[stack]] for its coherent topology.  Exactness and extensivity are stronger than necessary, however; a pair of necessary and sufficient conditions for this to hold are that
1. If $R\;\rightrightarrows\; A$ is a kernel pair, then for any $f\colon B\to A$, the pullback $f^*R \;\rightrightarrows\; B$ is also a kernel pair (this is equivalent to the [[codomain fibration]] being a stack for the regular topology).
1. If $A,B \rightarrowtail C$ are a pair of subobjects, then for any $f\colon X\to A$ and $g\colon Y\to B$ and any isomorphism $f^*(A\cap B) \cong g^*(A\cap B)$, the pushout
  $$\array{f^*(A\cap B) & \overset{}{\to} & X\\
  \downarrow && \downarrow\\
  Y& \underset{}{\to} & Z}$$
  exists and is also a pullback.

Topoi of sheaves for coherent topologies on coherent categories are called [[coherent topos|coherent topoi]].  (The terminology is slightly confusing, though, because every topos is a coherent category.)


### Making categories coherent

Just like the [[reg/lex completion]], there is a "coh/lex completion" which makes an arbitrary [[finitely complete category]] into a coherent one in a universal way.

Similarly, there are "[[pretopos completion]]s" analogous to the [[ex/reg completion]] and the [[ex/lex completion]].


### Subobjects, slices and internal logic
 {#SlicesAndInternalLogic}

For any object $X$ in a coherent category $\mathcal{C}$, the [[poset of subobjects]] $Sub_{\mathcal{C}}(X)$ is a [[distributive lattice]]. For $f : X \to Y$ any [[morphism]], the [[base change]] $f^* : Sub(Y) \to Sub(X)$ has a [[left adjoint]] $\exists_f : Sub(X) \to Sub(Y)$: the [[dependent sum]]/[[existential quantifier]] along $f$.

The corresponding [[functor]]/[[indexed category]]

$$
  Sub : \mathcal{C}^{op} \to DistLat
$$

to the category of [[distributive lattices]] is the _[[coherent hyperdoctrine]]_ of the coherent category $\mathcal{C}$.


### Topos of types

See _[[topos of types]]_.


## Related concepts

* [[2-category]] version: [[coherent 2-category]]

* [[finitely complete category]], [[cartesian functor]], [[cartesian logic]], [[cartesian theory]]

* [[regular category]], [[regular functor]], [[regular logic]], [[regular theory]], [[regular coverage]], [[regular topos]]

* **coherent category**, [[coherent functor]], [[coherent logic]], [[coherent theory]], [[coherent coverage]], [[coherent topos]]

* [[geometric category]], [[geometric functor]], [[geometric logic]], [[geometric theory]]


## References

Section A1.4 of 

* [[Peter Johnstone]], _[[Sketches of an Elephant]]_


[[!redirects coherent category]]
[[!redirects coherent categories]]

[[!redirects pre-logos]]
[[!redirects pre-logoses]]
[[!redirects pre-logoi]]

[[!redirects prelogos]]
[[!redirects prelogoses]]
[[!redirects prelogoi]]
