## Idea

There are many variants of a generalization of the concept of [[homogeneous space]] to [[noncommutative geometry]]. Some of them are sometimes referred to as quantum homogeneous spaces. Variants of [[quantum flag manifold]]s, are here the main examples in several different frameworks. 


## Homogeneous spaces for coactions of Hopf algebras

Most often here one considers the homogeneous spaces for [[Hopf algebras]] (viewed as [[quantum group]]s). 

Given a Hopf algebra $H$ and a right $H$-comodule $(E,\rho)$ (where $\rho:E\to E\otimes H$ is a right coaction), a subspace $A\subset E$ is __coinvariant subspace__ foir coaction $\rho$ if $\rho(A)\subset A\otimes H$. If $(E,\rho)$ is a $H$-[[comodule algebra]], viewed as a (formal dual to) noncommutative $Spec H$-space, one can consider its coinvariant subalgebras. If $H = E$ and $\rho = \Delta$ then the coinvariant subalgebras represent (the formal duals of) quantum homogenous spaces of the (formal dual of) $H$.

For example, a [[quotient Hopf algebra]] $B$ of $H$, with quotient map $\pi: H\to B$, can be considered as representing a quantum subgroup. Then $B$ coacts on $H$ by map $(id\circ\pi)\circ\Delta: H\to H\otimes B$. The space of $B$-[[coinvariant]]s gives an example of a coinvariant subalgebra in $H$. 

## Literature

* [[Ulrich Krähmer]], _Dirac operators on quantum flag manifolds_, Lett. Math. Phys. 67/1 (2004) 49-59, [MR2005b:58009](http://www.ams.org/mathscinet-getitem?mr=2005b:58009), [doi](http://dx.doi.org/10.1023/B:MATH.0000027748.64886.23), [math.QA/0305071](http://arxiv.org/abs/math/0305071)
* [[Zoran Škoda]], _Localizations for construction of quantum coset spaces_, in "Noncommutative geometry and Quantum groups", W.Pusz,  P.M. Hajac, eds. Banach Center Publications __61__, pp. 265--298, Warszawa 2003, [math.QA/0301090](http://arxiv.org/abs/math.QA/0301090); _Some equivariant constructions in noncommutative algebraic geometry_, Georgian Mathematical Journal __16__ (2009), No. 1, 183–202, [arXiv:0811.4770](http://arxiv.org/abs/0811.4770) [MR2011b:14004](http://www.ams.org/mathscinet-getitem?mr=2527623)
* A. U. Klimyk, K. Schmuedgen, _Quantum groups and their representations_, Springer 1997.
* H-J. Schneider, _Principal homogeneous spaces for arbitrary Hopf algebras_, 
Israel J. Math. __72__ (1990), no. 1-2, 167–195 [MR92a:16047](http://www.ams.org/mathscinet-getitem?mr=1098988) [doi](http://dx.doi.org/10.1007/BF02764619)
* K. De Commer, M. Yamashita, _Tannaka-Krein duality for compact quantum homogeneous spaces. I. General theory_, [arxiv/1211.6552](http://arxiv.org/abs/1211.6552)
* Pawel Kasprzak, _On a certain approach to quantum homogeneous spaces_, Comm. Math. Phys., [arxiv/1007.2438](http://arxiv.org/abs/1007.2438)

category: noncommutative geometry
[[!redirects quantum homogeneous spaces]]
