# Quotient bialgebras
* table of contents
{: toc}

## Geometric motivation

Given a [[field]] $k$, the $k$-valued [[functions]] on a [[finite group]] form a [[Hopf algebra]]. Given a [[subgroup]] $B\subset G$, there is an induced map of Hopf algebras $k[G]\to k[B]$, which is a [[surjective]] [[homomorphism]] of [[commutative Hopf algebra]]s. Similarly, for Hopf algebras of [[regular function]]s on an [[algebraic group]] over a field.  

The generalization to noncommutative Hopf algebras hence may be viewed as describing the notion of a [[quantum subgroup]], or in the [[bialgebra]] version of a quantum sub[[semigroup]]. 

However there is also a weaker notion of a quantum subgroup, and also a dual notion (e.g. via [[coideal]] subalgebras). 


## Definition

Given a $k$-[[bialgebra]] $H$, a __quotient bialgebra__ is a bialgebra $Q$ equipped with an [[epimorphism]] of bialgebras $\pi: H\to Q$. 

If both bialgebras are [[Hopf algebras]] then the epimorphism will automatically preserve the [[antipode]]. 


## Quotient bialgebras from bialgebra ideals

A __[[bialgebra ideal]]__ is an [[ideal]] in the sense of [[associative unital algebras]] which is also a [[coideal]] of [[coassociative coalgebra]]s. 

A __[[Hopf ideal]]__ is a bialgebra ideal which is invariant under the [[antipode]] map. 

If $H$ is a bialgebra and $I\subset H$ a bialgebra ideal then the quotient associative algebra $H/I$ has a natural structure of a bialgebra. Moreover, if $H$ is a Hopf algebra and $I\subset H$ is a Hopf ideal then the projection $H\to H/I$ will be an epimorphism of Hopf algebras. 


[[!redirects quotient bialgebra]]
[[!redirects quotient bialgebras]]
[[!redirects quotient Hopf algebra]]
[[!redirects quotient Hopf algebras]]
