

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
#### Algebraic Quantum Field Theory
+--{: .hide}
[[!include AQFT and operator algebra contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

In theories of [[gravity]] and [[cosmology]] a _cosmological constant_ refers to an [[energy]] contribution associated with the [[vacuum]] itself.

This is called a _cosmological constant_ because the simplest way to see this effect in [[theory (physics)|theory]] is by a summand to the [[Einstein-Hilbert action]] which is proportional to the [[volume]] of [[spacetime]], with proportionality factor some "constant" $\lambda$, as in  (eq:EinsteinHilbertWithCosmologicalConstant) below.

See below 

* _[In classical gravity](#InClassicalGravity)_

More generally, almost-constant contributions to matter fields may effectively have the same kind of effect.

Specifically in [[perturbative quantum field theory]] [[AQFT on curved spacetimes|on curved spacetimes]] the [[vacuum expectation value]] of the [[stress-energy tensor]] of the various [[matter]]-fields receives constant or essentially constant contributions, notably from [[renormalization]] freedom (e.g. [Hack 15, section 3.2.1](#Hack15)). 

See below

* _[In perturbative quantum gravity](#InPerturbativeQuantumGravity)_

In [[perturbative string theory]] the [[string perturbation series]] associated with a [[2d SCFT]] is (supposedly) UV-finite and hence has "chosen its own [[renormalization]]" already, hence here the cosmological constant may in principle be read off from a choice of [[perturbative string theory vacuum]]. See below 

* _[In string theory](#ReferencesInStringTheory)_


Observation shows that the effective cosmological constant of the [[observable universe]] is comparatively small but [[positive real number|positive]], see 

* _[Observation](#Observation)_.


 
## Details

### In classical gravity
 {#InClassicalGravity}

In an [[action functional]] on a space of [[pseudo-Riemannian manifolds]] -- such as the [[Einstein-Hilbert action]] functional for [[gravity]] -- a **cosmological constant** is a term proportional to the [[volume]] 

$$
  S_{cc} \;\colon\;  (X,g) \mapsto \lambda \int_X dvol_g
  \,,
$$

where $\lambda \in \mathbb{R}$ is the _cosmological constant_ .

For instance, pure Einstein-Hilbert gravity with cosmological constant (and no other fields) is given by the functional

$$
  \label{EinsteinHilbertWithCosmologicalConstant}
  S_{EH} + S_{cos} :  (X,g) \mapsto \int_X R\, dvol + \lambda \int_X d vol_g
  \,,
$$

Generically it happens that one considers action functionals where $\lambda$ is in fact not a constant, but a function of other fields $\phi$ on $X$. 

$$
  S \;\colon\; (X,g,\phi) \mapsto \int_X \lambda(\phi) dvol_g
  \,.
$$

In this context those solutions to the [[Euler-Lagrange equation]]s are of interest in which $\lambda(\phi)$ happens to be exactly or approximately constant. Many such models of not-really-constant-but-effectively-constant terms proportional to the volume are being proposed and considered in attempts to explain observed or speculated dynamics of the cosmos.

See in particular at _[[FRW model]]_ for the role of the cosmological constant in homogeneous and isotropic models as in the [[standard model of cosmology]]. In that context the cosmological constant is also called the _dark energy_ (density), which makes up about 70% of the energy density of the [[observable universe]] (the rest being [[dark matter]]) and a comparatively little bit of [[baryon|baryonic]] [[matter]].


### In perturbative quantum gravity
 {#InPerturbativeQuantumGravity}

In [[perturbative quantum field theory]] [[QFT on curved spacetime|on curved spacetimes]] the cosmological constant receives contributions from the [[vacuum expectation value]] of the [[stress-energy tensor]] of the [[matter]] [[field (physics)|fields]]. There is [[renormalization]]-freedom in this contribution  ([Wald 78](#Wald78), [Tichy-Flanagan 98](#TichyFlanagan98) [Moretti 01](#Moretti01)). 

Explicitly for [[FRW models]] this is discussed in ([Dappiaggi-Fredenhagen-Pinamonti 08](#DappiaggiFredenhagenPinamonti08), [Dappiagi-Hack-Moeller-Pinamonti 10](#DappiagiHackMollerPinamonti10)).
Specifically for the [[standard model of cosmology]] see ([Hack 13, around (4)](#Hack13)).

A useful review is in ([Hack 15, section 3.2.1](#Hack15)).

This means that apart from the freedom of choosing a classical comsological constant in the [[Einstein-Hilbert action]] as above, its [perturbative quantization](A+first+idea+of+quantum+field+theory#InteractingQuantumFields) ([[perturbative quantum gravity]]) introduces [[renormalization]] freedom to the value of the cosmological constant.

The folklore discussion of the "cosmological constant problem" (see the references [below](#CCProblemReferences)) tends not to take this freedom in the theory into account.

### Observation
 {#Observation}

<img src="http://ncatlab.org/nlab/files/DarkEnergyConcordance.gif" width="500">

(e.g. [Einasto 09, fig 17](#Einasto09))


## Related concepts

* [[FRW model]]

* [[cosmology]]

* [[energy]]

  * [[matter]], [[radiation]], **cosmological constant**

## References


### In pAQFT
 {#ReferencedInpAQFT}

Discussion of the cosmological constant in the rigorous formulation of [[perturbative AQFT]] [[AQFT on curved spacetimes|on curved spacetimes]] includes the following.

The freedom of [[renormalization]] of the [[vacuum expectation value]] of any [[stress-energy tensor]], hence of the cosmological constant, was discussed in

* {#Wald78} [[Robert Wald]], _Trace anomaly of a conformally invariant quantum field in curved spacetime_, Phys. Rev. D 17, 1477 1978 ([doi:10.1103/PhysRevD.17.1477](https://doi.org/10.1103/PhysRevD.17.1477))

Notice that ([Wald 78](#Wald78)) is based on 

* {#Wald77} [[Robert Wald]], _The back reaction effect in particle creation in curved spacetime_, Commun. Math. Phys. (1977) 54: 1. ([doi:10.1007/BF01609833](https://doi.org/10.1007/BF01609833))

which claimed _no_ freedom of renormalization, but [Wald 78](#Wald78) explains that this was due to a mistake inherited from a citation.

Further development of this includes

* {#TichyFlanagan98} Wolfgang Tichy, Eanna E. Flanagan, _How unique is the expected stress-energy tensor of a massive scalar field?_, Phys.Rev. D58 (1998) 124007 ([arXiv:gr-qc/9807015](https://arxiv.org/abs/gr-qc/9807015))

* {#Moretti01} [[Valter Moretti]], _Comments on the Stress-Energy Tensor Operator in Curved Spacetime_, Commun. Math. Phys. 232 (2003) 189-221 ([arXiv:gr-qc/0109048](https://arxiv.org/abs/gr-qc/0109048))


A useful review is in 

* {#Hack15} [[Thomas-Paul Hack]], section 3.2.1, _Cosmological Applications of Algebraic Quantum Field Theory in Curved Spacetimes_, Springer 2016 ([arXiv:1506.01869](https://arxiv.org/abs/1506.01869), [doi:10.1007/978-3-319-21894-6](https://doi.org/10.1007/978-3-319-21894-6))

Realization of renormalization of stress-energy/cosmological constant in concrete [[FRW models]] is discussed in

* {#DappiaggiFredenhagenPinamonti08} [[Claudio Dappiaggi]], [[Klaus Fredenhagen]], [[Nicola Pinamonti]], _Stable cosmological models driven by a free quantum scalar field_, Phys. Rev. D77:104015, 2008 ([arXiv:0801.2850](https://arxiv.org/abs/0801.2850))

* {#DappiagiHackMollerPinamonti10} [[Claudio Dappiaggi]], [[Thomas-Paul Hack]], Jan Möller, [[Nicola Pinamonti]], _Dark Energy from Quantum Matter_ ([arXiv:1007.5009](https://arxiv.org/abs/1007.5009))

Discussion specifically for the [[standard model of cosmology]] is in

* {#Hack13} [[Thomas-Paul Hack]], _The Lambda CDM-model in quantum field theory on curved spacetime and Dark Radiation_ ([arXiv:1306.3074](https://arxiv.org/abs/1306.3074))


### The "cosmological constant problem"
 {#CCProblemReferences}

Discussion of the experimentally observed tiny cosmological constant and the folklore theoretical problem with that includes the following

* Subir Sarkar, _New results in cosmology_ ([arXiv:hep-ph/0201140](https://arxiv.org/abs/hep-ph/0201140))

* Stefanus Nobbenhuis, _The cosmological constant problem -- an inspiration for new physics_ PhD thesis (2006) ([web](http://igitur-archive.library.uu.nl/dissertations/2006-0615-200938/) [pdf](http://igitur-archive.library.uu.nl/dissertations/2006-0615-200938/c1.pdf))

* Joan Sola, _Cosmological constant and vacuum energy: old and new ideas_, J.Phys.Conf.Ser. 453 (2013) 012015 ([arXiv:1306.1527](https://arxiv.org/abs/1306.1527))
 
* {#Einasto09} Jaan Einasto, _Dark matter_ ([arXiv:0901.0632](https://arxiv.org/abs/0901.0632)) 2009


### In string theory
  {#ReferencesInStringTheory}

Discussion from the point of view of [[perturbative string theory]], where the cosmological constant is fixed by the choice of [[perturbative string theory vacuum]] includes

* {#Witten00} [[Edward Witten]], _The Cosmological Constant From The Viewpoint Of String Theory_ ([arXiv:hep-ph/0002297](https://arxiv.org/abs/hep-ph/0002297))

See also

* [[Edward Witten]], _Strong coupling and the cosmological constant_, Mod.Phys.Lett.A10:2153-2156,1995 ([arXiv:hep-th/9506101](https://arxiv.org/abs/hep-th/9506101))

for discussion in terms of the [[M-theory]]/[[type IIA string theory|type IIA]] relation [[KK-compactification|KK-compactified]] to a 4d/3d scenario, where the 3d physics is weakly coupled and the 4d physics strongly coupled. (Recall the [[super 2-brane in 4d]].)  

This discussion was later supplemented by 

* [[Edward Witten]], section 3 of _Some Comments On String Dynamics_ ([arXiv:hep-th/9507121](http://arxiv.org/abs/hep-th/9507121))


But a) there might be a large space of [[perturbative string theory vacua]]  and b) the [[de Sitter spacetime|de Sitter vacua]] that seem to correspond to observation tend to exist (only) as metastable vacua:

* {#KachruKalloshLindeTrivedi03} [[Shamit Kachru]], [[Renata Kallosh]], [[Andrei Linde]], [[Sandip Trivedi]], _de Sitter Vacua in String Theory_, Phys.Rev.D68:046005, 2003 ([arXiv:hep-th/0301240](https://arxiv.org/abs/hep-th/0301240))

This observation led to the discussion of the "[[landscape of string theory vacua]]".

For review see

* {#Kallosh05} [[Renata Kallosh]], section 3 of _de Sitter vacua and the landscape of string theory_, J. Phys. Conf. Ser. 24 (2005) 87-110 ([spire](http://inspirehep.net/record/701033/))


[[!redirects dark energy]]

