+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--




# Contents
* table of contents
{:toc}

## Idea

Ordinary [[heterotic string theory]] is the study of the perturbation series of correlators of a certain 2-dimensional [[SCFT]] over surfaces. The resulting [[S-matrix]] is interpreted as encoding the scattering amplitudes of strings propagating in some target space.

Among the [[gauge field]]s that these strings are charged under is the [[Kalb-Ramond field]], which is a [[circle n-bundle with connection|circle 2-bundle with connection]].

By general [[electric-magnetic duality]] (see [Freed](#Freed) for a formal treatment in [[differential cohomology]]) one expects there to be a dual theory theory where the $(p=1)$-dimensional strings are replaced by their magnetic duals, which are $10-(p+2)-2 = 5$-branes. 

The study of the corresponding perturbation series over correlators of the 6-dimensional fivebrane worldvolume [[SCFT]] over 6-volumes is far from tractable,  but a handful of consistency checks exist, that the corresponding _dual heterotic string theory_ makes sense.

Where the [[quantum anomaly]]-cancellation for the heterotic string involves the demand for (twisted) [[string structure]]s, that for the dual theory involves [[fivebrane structure]]s (which gives these their name).

## Related concepts

* [[string theory]]

* [[heterotic string theory]]

  * [[Green-Schwarz mechanism]]

* **dual heterotic string theory**


## References

The heterotic [[NS5-brane]] was found as a [[black brane]] in [[heterotic string theory]] in 

* {#Strominger91} [[Andrew Strominger]], _Heterotic solitons_, Nucl.Phys. B343 (1990) 167-184 Nucl.Phys. B353 (1991) 565 ([spire](http://inspirehep.net/record/27900))

Review of the history of the dual heterotic string conjecture is in

* [[Mike Duff]], chapter 6 of _[[The World in Eleven Dimensions]]: Supgergravity, Supermembranes and M-theory_ IoP 1999

The worldvolume fermion [[quantum anomaly]] of the super-fivebrane is discussed in

* [[Kurt Lechner]], M. Tonin, _Worldvolume and target space anomalies in the D=10 super--fivebrane sigma--model_ ([arXiv:hep-th/9603094](http://arxiv.org/abs/hep-th/9603094))

* J. A. Dixon, [[Mike Duff]], [[Jan Plefka]], _Putting the string/fivebrane duality to the test_ ([arXiv:hep-th/9208055](http://arxiv.org/abs/hep-th/9208055))
 
On p. 3 and 4 the latter reviews the worldsheet description of the relevant terms for the string and then look at the corresponding situation for the 5-brane on p. 6.

So this is the EM-dual analog of the Killingback-Witten-computation of the fermionic  anomaly that leads to [[string structure]]s in the heterotic string (see there). Where the former involves cancelling the first fractional [[Pontryagin class]], this involves the second.

For a description of the general mechanism in [[differential cohomology]] at work here, see

* [[Dan Freed]], _[[Dirac charge quantization and generalized differential cohomology]]_
{#Freed}


[[!redirects dual heterotic string theory]]
