# Equivariant derived categories
* table of contents
{: toc}

## Idea

Given a [[locally compact space|locally compact]] [[topological group|group]] $G$ and a $G$-[[G-space|space]] $X$, one can consider the category of $G$-[[equivariant sheaves]] on $X$. It has been understood by [[Joseph Bernstein]] and [[Valery Lunts]] that the [[derived category]] of the [[abelian category]] of equivariant sheaves (or of any other abelian category) is not the most sensible choice, when the [[action]] is not [[free action|free]] and $G$ is not discrete. Instead one needs to use $G$-[[resolutions]], i.e. to effectively consider resolutions of the space $X$ itself while defining the derived category. 


## References

* J. Bernstein, V. Lunts, Equivariant sheaves and functors, Springer Lecture Notes in Math. 1578 (1994). [MR95k:55012](http://www.ams.org/mathscinet-getitem?mr=95k:55012)
* notes by Zhiwei Yun, [pdf](http://stanford.edu/~zwyun/Bernstein-Lunts.pdf)
* [[Masaki Kashiwara]], _Equivariant derived category and
representation of real semisimple Lie groups_, [pdf](http://www.kurims.kyoto-u.ac.jp/~kenkyubu/kashiwara/sd.pdf)

[[!redirects equivariant derived category]]
[[!redirects equivariant derived categories]]
