+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### Quantum field theory
+--{: .hide}
[[!include functorial quantum field theory - contents]]
=--
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
#### Differential geometry
+--{: .hide}
[[!include synthetic differential geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The _Kaluza-Klein mechanism_, named after [[Theodor Kaluza]] and [[Oskar Klein]], is the observation that pure [[gravity]] on a [[Cartesian product|product]] [[spacetime]] $X \times F$ with fixed [[metric]] $g_F$ on $F$ looks on $X$, as an [[effective field theory]], like [[gravity]] coupled to [[Yang-Mills theory]] -- [[Einstein-Yang-Mills theory]] -- for [[gauge group]] $G$ the [[Lie group]] of [[isometries]] of $(F,g_F)$.  In particular for $F = S^1$ the [[circle]], it yields [[electromagnetism]] coupled to [[gravity]] (and a [[dilaton]]) -- [[Einstein-Maxwell theory]].

When applied to [[supergravity]] then this mechanism produces not just [[force]] fields but also [[fermion|fermionic]] [[matter]] in the resulting [[effective field theory]], hence yields [[Einstein-Yang-Mills-Dirac theory]], see the examples below at _[KK-reduction of 11d Supergravity](#KKReductionOf11dSupergravity)_. As such the KK-mechanism is not unlike the idea of [[geometrodynamics]], according to which fundamentally there is only [[dynamics|dynamical]] [[spacetime]] geometry in the form of [[gravity]] with all matter and other forces being special incarnations of this.

Since in [[general relativity]] also the size and shape of the fiber $F$ is dynamical, generically [[effective field theories]] arising from KK-compactification contain spurious fields parameterizing the geometry of $F$. In the simplest case this is just the [[dilaton]], encoding the total [[volume]] of $F$, more generally these fields are often called the _[[moduli]]_ fields. Since these moduli fields are not observed in [[experiment]], naive KK-models are generically [[phenomenology|phenomenologically]] unviable. However, in variants of gravity such as higher dimensional [[supergravity]] there are possibilities for the moduli to obtain masses and hence for the KK-models to become viable after all. This is the problem of _[[moduli stabilization]]_.

### The mechanism
 {#IdeaTheMechanism}

More precisely, the [[Einstein-Hilbert action]] functional on [[pseudo-Riemannian metrics]] on a [[Cartesian product|product]] [[spacetime]] $X \times F$ 

$$
  g_{X \times F}
   \;\mapsto\; 
   S_{EH}(g_{X \times F})
   \;\coloneqq\; 
   \int_{X \times F} R(g_{X \times F}) \, dvol(g_{X \times F})
$$

when restricted to [[pseudo-Riemannian metrics]] of the special form

$$
  \left(g^{KK}_{X \times F} \left(x,f\right) \right)
   \;\in \;
  Sym^2\left(\Gamma\left(T^* X \times F\right)\right) 
   \;=\;
   \left(
    \array{
      g_F(f) & A^a(x)k_a
      \\
      A^a(x) k_a & g_X(x)
    }
  \right)
  \,,
$$

where $\{k_a \in \Gamma(T F)\}$ are a [[basis]] for the [[Killing vector field]]s of $(F,g_F)$, is equivalently rewritten as

$$
  S_{EH}\left(g^KK_{X \times F}\right) 
   = 
  S_{EH}\left(g_X\right) + S_{YM}(A) + S_{mod}\left(g_F\right)
  \,,
$$

where 

* the first term is the [[Einstein-Hilbert action|EH action]] of $g_X$ on $X$

* and the second term is the [[action functional]] of [[Yang-Mills theory]] for the [[connection on a bundle|connection]] [[Lie algebra-valued 1-form]] $A$ with values in the [[Lie algebra]] of the [[isometry]] [[Lie group]] $G$ of $(F,g_F)$;

* and finally the last term is regarded as a [[functional]] on the [[moduli space]] of this ansatz: the [[moduli space of Riemannian metrics]] on the [[fiber]].

More generally, one observes that the [[infinitesimal object|infinitesimal]] transformation of [[Riemannian metric|metrics]] $g_{X \times F}$ of the above form under [[diffeomorphisms]] generated by a [[Killing vector field]] $ (x,f) \mapsto \lambda^a(x) k_a(f)$ is given on the $A$-component as follows:

$$
  \frac{d}{d \epsilon} A  = d_X \lambda^a + [\lambda,A]  
  \,.
$$

This is the infinitesimal form of a [[gauge transformation]]: an [[isomorphism]] in the [[groupoid of Lie algebra-valued forms]]. This means than _every_ functional $(g_{X \times F}) \mapsto S(g_{X\times F})$ that is invariant under [[diffeomorphisms]] will restrict on metrics of the above form to something that looks like an action functional for a [[gauge theory]] of the [[gauge field]] $A$.

Moreover, all this of course remains true if the [[Cartesian product|product]] $X \times F$ -- which we may think of as the trivial $F$-[[fiber bundle]] over $X$ -- is generalized to any [[associated bundle]] $E \to X$ with [[fiber]] $F$, associated to a $G$-[[principal bundle]] $P \to X$ (hence such that $E = P \times_G F$), in which case the above decomposition of the metric applies locally.

Then one finds that the KK-mechanics indeed not only reproduces [[gauge fields]] and their correct [[dynamics]] from pure [[gravity]] in higher dimensions, but also the [[forces]] which they excert on test particles. For instance the rajectory of a [[charged particle]] subject to the [[Lorentz force]] excerted by an [[electromagnetic field]] in $d$-dimensional [[spacetime]] is in fact a [[geodesic]] in the field of pure [[gravity]] of the total space of the corresponding KK-un-compactified [[circle principal bundle]]. See ([Bleecker 81](#Bleecker81)) or ([Bartlett 13](#Bartlett13)) for a pedagogical discussion of this effect.

A [[pseudo-Riemannian manifold]] of this form $\left(E, g^KK_{E}\right)$ for fixed _[[moduli]]_ $g_F$ is called a **Kaluza-Klein compactification** of the [[spacetime]] $E$. One also speaks of the effective spacetime $X$ as being obtained by **dimensional reduction** from the spacetime $E$.

(Beware that the term "compactification" here is vaguely related to but rather different from the use of the term in [[mathematics]], as in _[[one-point compactification]]_ etc.).

### Its application in theoretical physics

Various evident generalizations of this ansatz can and are being considered. 

Most notably for actual [[model building]] in [[physics]] it is of interest to consider the case where $g_{X}$ and $A$ are _not_ necessarily constant along the fiber $F$. Typically in applications these fields are expanded in terms of [[Fourier modes]] on $F$. The [[coefficients]] of the higher modes appear as _[[mass|massive]] [[field (physics)|fields]]_ in the [[effective QFT|effective]] KK-[[action functional]]. They are called the **higher Kaluza-Klein modes** . These masses are inversely proportional to the metric [[volume]] of $F$. For physical [[model building]] this volume is therefore chosen to be very small, such that it implies that the [[model (physics)|model]] does not predict the [[observation]] of the [[quanta]] of these massive modes in existing accelerator [[experiments]] (such as the [[LHC]]).

On the other hand, the extra [[moduli]] [[field (physics)|fields]] $g_F$ do not acquire effective [[masses]] on $X$ this way. Therefore [[model (physics)|models]] in _plain_ Kaluza-Klein theory are trivially ruled out by [[experiment]]: for any choice of $F$ they predicts the [[observation]] on $X$ of these massless [[moduli]] [[field (physics)|fields]], which however are not being seen in actual accelerator [[experiments]].

Therefore if in a [[model (physics)|model]] for fundamental physics the Kaluza-Klein mechanism is invoked as a way to explain the existence of the [[standard model of particle physics]] in [[Yang-Mills theory]] from pure [[gravity]], then the setup needs to be further generalized: other ingredients of the [[model (physics)|model]] need to be introduced that serve to equip the [[moduli]] [[field (physics)|fields]] with an effective [[potential]] with a [[positive number|positive]] [[minimum]], such that these [[field (physics)|fields]] to acquire an effective [[mass]] on $X$. 

In [[physics]] [[model building]] the problem of constructing such a more general KK-[[model (physics)|model]] is called the **[[moduli stabilization]] problem** . (See also at _[[landscape of string theory vacua]]_.)

### Formalization
 {#Formalization}

KK-compactification along trivial fibrations is closely related to forming [[mapping stacks]]: if $\mathbf{Fields}_n$ is the [[moduli stack]] of [[field (physics)|fields]]] for an $n$-dimensional field theory (see at _[[prequantum field theory]]_ for more on this), then for $\Sigma_{k}$ a  $k$-dimensional manifold with $k \lt n$ the [[mapping stack]] 

$$
  \mathbf{Fields}_{n-k} \coloneqq [\Sigma_k, \mathbf{Fields}]
$$

may be thought of as the [[moduli stack]] of fields for an $(n-k)$-dimensional field theory. By the definition [[universal property]] of the mapping stack, this lower dimensional field theory is then such that a field configiuration over an $(n-k)$-dimensional [[spacetime]] $X_{n-k}$

$$
  \phi \colon X_{n-k} \longrightarrow \mathbf{Fields}_{n-k}
$$

is equivalently a field configuration of the $n$-dimensional field theory

$$
  X_{n-k} \times \Sigma_k \longrightarrow \mathbf{Fields}_n
$$

on the [[product]] space $X_{n-k}\times \Sigma_k$ (the trivial $\Sigma_{k}$-[[fiber bundle]] over $X_{n-k}$).

Traditionally KK-reduction is understood as retaining only parts of $\mathbf{Fields}_{n-k}$ (the "0-modes" of fields on $\Sigma_k$ only) but of course one may consider arbitrary corrections to this picture and eventially retain the full information.

One example of KK-reduction where the full mapping stack appears is the reduction of [[topological twist|topologically twisted]] [[N=4 D=4 super Yang-Mills theory]] on a complex curve $C$ as it appears in the explanation of [[geometric Langlands duality]] as a special case of [[S-duality]] ([Witten 08, section 6](#Witten08)). Here $\mathbf{Fields}_4 = \mathbf{B}G_{\mathrm{conn}}$ is the universal moduli stack of $G$-[[principal connections]] (or rther that of $G$-[[Higgs bundles]]).



## Examples

### Reductions of pure gravity with realistic gauge groups

The [[gauge group]] of the [[experiment|experimentally]] verified [[standard model of particle physics]] is a [[quotient]] of the [[product]] of the [[special unitary groups]] $SU(3)$ and $SU(2)$ and the [[circle group]] $U(1)$.

In ([Witten 81](#Witten81)) it was observed that the minimal [[dimension]] of a [[fiber]] $F$ for the KK-reduction to yield the [[gauge group]] $SU(3) \times SU(2) \times U(1)$ is $d_F = 7$ . This may be a meaningless numerical coincidence, but might be -- and was regarded as being -- remarkable: because it means that the minimum total dimension of a KK-compactification $X \times F$ that could yield a realistic model of observed physics is $4 + 7 = 11$. This is the uniquely specified dimensional of the maximal [[supergravity]] model: [[11-dimensional supergravity]].

While there are many 7-[[dimension|dimensional]] [[manifolds]] $F$ that do yield the desired [[gauge group]] of the [[standard model of particle physics|standard model]], ([Witten 81](#Witten81)) also shows that for none of them does the remaining [[field (physics)|field]] content of the [[standard model of particle physics|standard model]] -- the [[fermions]] and the [[Higgs field]] -- come out correctly.

Largely due to this result, the original pure Kaluza-Klein ansatz that starts with just pure [[Einstein gravity]] with no other [[field (physics)|fields]]) is nowadays regarded as a non-viable to produce the [[standard model of particle physics]]. But one can further play with the idea and consider more flexible [[model (physics)|models]] that still exhibit the essence of KK-reduction in parts. 

Notably the [[11-dimensional supergravity]] mentioned above contains more [[field (physics)|fields]] than just the field of [[gravity]]. Specifically it contains the [[supergravity C-field]] which is a [[higher gauge theory|higher]] analog of the [[electromagnetic field]]. KK-reductions of [[11-dimensional supergravity]] and of its conjectured [[M-theory]] [[UV-completion]] for instance on [[G2-manifold]] fibers turn out to be able to yield [[model (physics)|models]] which come at least very close to the [[standard model of particle physics]]. This we come to [below](#KKReductionOf11dSupergravity).

### Reductions of type II supergravity
 {#ReductionsOfTypeIISupergravity}

Motivation for further variants of the KK-ansatz has to a large extent come from models in [[string theory]]. During the end of the 20th and the beginning of the 21st century, the widely dominant ansatz followed in the higher energy phyisics community is to study 10-dimensional [[type II supergravity]] models KK-reduced on 6-dimensional [[Calabi-Yau spaces]] $F$. (See also at _[[supersymmetry and Calabi-Yau manifolds]]_.)

The advantage of these type II models is that they naturally involve further [[higher gauge fields]], called the [[B-field]] and the [[RR-field]]. These are modeled by [[cocycles]] in [[ordinary differential cohomology]] and in [[differential K-theory]], respectively, which means that their [[field strength]] $\mathcal{F}$ is an inhomogenous closed [[differential form]] of even or of odd degree. Moreover, restricted to configurations $\mathcal{F}$ of these forms with specified [[cycles]] in the [[fiber]] $F$, the [[moduli]] part of the KK-reduced action functional

$$ 
  (g^KK, F) \mapsto S_{EH}(g_X) + S_{YM}(A) + S_{mod}(g_F, \mathcal{F})
$$

_does_ produce the previously missing [[positive number|positive]] [[potentials]] for $g_F$ proportional to these cycles of $\mathcal{F}$. So KK-reduction of 10-dimensional supergravities can -- for a suitable ansatz -- cure the old problem of [[moduli stabilization]] in KK-theory.

This means that physical model building using the specific ansatz of KK-reduction of type II supergravities on Calabi-Yau fibers reduces to a noteworthy enumerative problem in [[complex geometry]]: classify all real 6-dimensional [[Calabi-Yau manifolds]] with given [[isometries]] and given [[cycles]].

While interesting, there are few tools known for performing this classification. The only thing that seems to be clear is that the classification is not sparse: there are many points in this space of choices. Since all this is relevant in model building in [[string theory]], the space of these choices has been termed the _[[landscape of string theory vacua]]_. 

For more on this see also 

* _[[supergravity and Calabi-Yau manifolds]]_, 

* _[[string phenomenology]]_

* _[string theory FAQ -- What does it mean to say that string theory has a "landscape" of solutions?](string%20theory%20FAQ#WhatDoesItMeanToSayStringTheoryHasALandscapeOfSolutions)_.

### KK-Reduction of 11d supergravity
 {##KKReductionOf11dSupergravity}

The lift of the [above](#ReductionsOfTypeIISupergravity) reduction of [[type II supergravity|type IIA supergravity]] on [[Calabi-Yau manifolds]] to [[M-theory]] is the KK-reduction of [[11-dimensional supergravity]]/[[M-theory]] on [[G2-manifolds]] $X_7$. The role of the [[B-field]] and [[RR-field]] is now played by the [[supergravity C-field]], a [[higher gauge field]] in [[twisted cohomology|twisted]] [[ordinary differential cohomology]] of degree 3+1. For non-vanishing [[field strength]] ("flux") of the [[supergravity C-field]] in the 4d space this is the [[Freund-Rubin compactification]] yielding [[weak G2 holonomy]] on $X_7$.

Such KK-compactification of the form _[[M-theory on G2-manifolds]]_ turn out to yield very detailed and at least semi-realistic [[model (physics)|physics]], see for instance the _[[G2-MSSM]]_ [[model (physics)|model]].

The 1-form gauge field induced by KK-compactification of [[M-theory]] on a circle is the potential of the degree-2 part of the [[RR-field]] of [[type IIA string theory]] which couples to the [[D0-brane]].

Followed by a [[T-duality]] operations these compactifications yields [[type IIB superstring theory]] compactifications and this route is known as _[[F-theory]]_:

[[!include F-theory compactifications -- table]]


### High codimension compactification of $D=10$ super Yang-Mills

The KK-compactification of [[D=10 super Yang-Mills theory]] to $D=1$ is related to what is called the _[[BFSS matrix model]]_. Compactification even further down to $D = 0$ gives the [[IKKT matrix model]].

### Cascades of KK-reductions
 {#CascadedOfKKReductionsFromHolographicBoundaries}

Apart from possibly producing [[phenomenology|phenomenologically]]
interesting [[model (physics)|models]] from [[UV-completion|UV-complete]] fundamental [[theory (physics)|theories]] on higher dimensional [[spacetimes]], KK-reduction generally serves to connect a wide range of [[quantum field theories]] with each other in a way that serves to illuminate their general structure and to map the [[moduli space]] of all of them.

For instance various deep but rather mysterious properties of 4-dimensional [[Yang-Mills theory]] (the central theory of the [[standard model of particle physics]]), or at least of its [[supersymmetry|supersymmetric]] versions [[N=1 D=4 super Yang-Mills theory]]/[[N=2 D=4 sYM]]/[[N=4 D=4 sYM]], find their natural _geometric_ interpretation by understanding this 4d theory as the KK-compactification of the [[6d (2,0)-superconformal QFT]] on a [[torus]] [[fiber]]. Notably the [[Montonen-Olive duality]]/[[S-duality]] of [[N=2 D=4 super Yang-Mills theory]] is the [[conformal transformation]] remnant of the compactification torus remaining of the [[conformal field theory|conformal invariant]] of the [[6d (2,0)-superconformal QFT]] (see there for more on this).

At the same time, the [[6d (2,0)-superconformal QFT]] is itself related to a yet higher dimensional theory, namely to a [[7d Chern-Simons theory]], not by KK-reduction, but by [[AdS-CFT duality]]. But that 7d Chern-Simons theory in turn is the KK-reduction of the 11-dimensional Chern-Simons term in [[11-dimensional supergravity]]. Hence all this structure follows again from the maximal dimensional [[supergravity]] theory ([[M-theory]]) if in addition to KK-reduction one also considers [[AdS-CFT]]-boundary relations.

In an analogous way, the supersymmetric version of 4-dimensional Yang-Mills theory with twice that supersymmetry, namely [[N=4 D=4 sYM]], is itself directly related by [[AdS-CFT]] to [[type II supergravity]].

And this process continues further down in [[dimension]]: [[N=2 D=4 super Yang-Mills theory]] and [[N=4 D=4 sYM]] themselves have further KK-reductions to 2-dimensional field theories. 
For $N = 4$ and after passing to the [[topologically twisted D=4 super Yang-Mills theory|topologically twisted theory]], these are an [[A-model]] and a [[B-model]] [[topological string]] [[TCFT]], respectively. Now what used to be [[S-duality]]/[[Montonen-Olive duality]] in 4d and [[conformal field theory|conformal invariance]] in 6d and topological invariant in 7d and 11d here becomes [[geometric Langlands duality]] in 2d (see there for more on this) and produces [[Donaldson theory]].

Hence by iteratively applying KK-reductions and other [[dualities]] and [[topologically twisted D=4 super Yang-Mills theory|topological twists]], one finds long _cascades_ of different [[quantum field theories]] that all superficially look very different, but which thereby become closely related as different aspects of one single higher dimensional field theory. Not all of these lower dimensional theories can be [[phenomenology|phenomenological]] viable [[model (physics)|models]], but even the superficially "unrealistic" theories such as the  [[6d (2,0)-superconformal QFT]] serve, via KK-reduction, to explain and illuminate deep properties of (semi-)realistic theories such as [[super Yang-Mills theory]] in 4d. 

The following table displays parts of this cascade of field theories which are induced from [[11-dimensional supergravity]]/[[M-theory]] under iterative KK-reduction, [[AdS-CFT duality]] and topological twists. There is another such cascade which starts instead from [[AdS-CFT]] applied to [[type II supergravity]] and then proceeds downward in dimension. This is displayed further below.

[[!include gauge theory from AdS-CFT -- table]]


## Related concepts

* [[spontaneously broken symmetry]]

* **Kaluza-Klein mechanism**

  * [[Kaluza-Klein monopole]]

  * [[double dimensional reduction]]

  * [[moduli stabilization]]

  * [[landscape of string theory vacua]]

    * [[flux compactification]]

    * [[supersymmetry and Calabi-Yau manifolds]]

    * [string theory FAQ -- What does it mean to say that string theory has a "landscape" of solutions?](string%20theory%20FAQ#WhatDoesItMeanToSayStringTheoryHasALandscapeOfSolutions)

## References
 {#References}

Reviews include

* D. Bailin and A. Love, _Kaluza-Klein theories_, Rept. Prog. Phys. 50 (1987) 1087&#8211;1170.

* T. Applequist, A. Chodos and [[Peter Freund]], _Modern Kaluza-Klein
Theories_, Addison-Wesley Publ. Comp., (1987)

* [[Matthias Blau]], chapter 43 of _Lecture notes on general relativity_ ([web](http://www.blau.itp.unibe.ch/GRLecturenotes.html))

* {#IbanezUranga12} [[Luis Ibáñez]], [[Angel Uranga]], section 1.4 of _[[String Theory and Particle Physics -- An Introduction to String Phenomenology]]_, Cambridge University Press 2012


A survey of the history of the role of the KK-mechanism in theoretical physics is

* [[Michael Duff]], _Kaluza-Klein Theory in Perspective_ ([arXiv](http://arxiv.org/abs/hep-th/9410046))

The seminal analysis of the semi-realistic KK-reductions is in 

* {#Witten81} [[Edward Witten]], _Search for a realistic Kaluza-Klein theory_, Nuclear Physics B Volume 186, Issue 3, 10 August 1981, Pages 412-428 


A brief discussion aimed at mathematicians of the KK-reduction of [[gauge fields]] is in 

* [[Daniel Freed]], _Lecture 5 of [[Five lectures on supersymmetry]]_.

A textbook discussion in the context of [[supergravity]] is in 

* [[Andrew Strominger]] (notes by [[John Morgan]]), _Kaluza-Klein compactifications, Supersymmetry and Calabi-Yau spaces_ , volume II, starting on page 1091 in

  [[Pierre Deligne]], [[Pavel Etingof]], [[Dan Freed]], L. Jeffrey, [[David Kazhdan]], [[John Morgan]], D.R. Morrison and [[Edward Witten]], eds.  , _[[Quantum Fields and Strings]], A course for mathematicians_, 2 vols. Amer. Math. Soc. Providence 1999. ([web version](http://www.math.ias.edu/qft))


In

* [[Leonardo Castellani]], [[Riccardo D'Auria]], [[Pietro Fre]], _[[Supergravity and Superstrings - A Geometric Perspective]]_
  {#CastellaniDAuriaFre}

the mechanism is discussed around Section V.3.3., page 1186 in volume 2.

The discussion in the [[first order formulation of gravity]] is given in 

* Rodrigo Arosa, Mauricio Romob and Nelson Zamorano, _Compactification in first order gravity_ 	J.Phys.Conf.Ser.134:012013,2008 ([arXiv:0705.1162](http://arxiv.org/abs/0705.1162))

A formalization of Kaluza-Klein compactification in [[perturbation theory]] formalized by [[factorization algebras]] with values in [[BV-complexes]] is in section 19 of

* [[Kevin Costello]], _Notes on supersymmetric and holomorphic field theories in dimensions 2 and 4_ ([arXiv:1111.4234](http://arxiv.org/abs/1111.4234))
 {#Costello11}

A textbook account of the geometry behind the [[Lorentz force]] in the Kaluza-Klein mechanism (the idea that geodesics on the gauge bundle project to curved trajectories on the base manifold) can be found in the introduction of chapter 1 and in chapters 9 and 10 of:

* David Bleecker, _Gauge theory and variational principles_, Dover publications, 1981. 
  {#Bleecker81}

An expository talk of the above material from Bleecker can be found in this talk:

* [[Bruce Bartlett]], _The geometry of force_, Sept 2013 ([pdf](https://dl.dropboxusercontent.com/u/56141091/Lorentz.pdf)). 
 {#Bartlett13}

Some variant of KK is discussed in 

* [[Michael Atiyah]], Nicholas S. Manton, [[Bernd Schroers]], _Geometric Models of Matter_ ([arXiv:1108.5151](http://arxiv.org/abs/1108.5151))

[[!redirects Kaluza-Klein theory]]

[[!redirects dimensional reduction]]
[[!redirects moduli stabilization problem]]

[[!redirects Kaluza-Klein reduction]]
[[!redirects Kaluza-Klein reductions]]

[[!redirects Kaluza-Klein compactification]]
[[!redirects Kaluza-Klein compactifications]]

[[!redirects KK-reduction]]
[[!redirects KK-reductions]]

[[!redirects KK reduction]]
[[!redirects KK reductions]]


[[!redirects KK-compactification]]
[[!redirects KK-compactifications]]

[[!redirects KK-compactification]]
[[!redirects KK-compactifications]]

[[!redirects KK compactification]]
[[!redirects KK compactifications]]


[[!redirects KK-mechanism]]
[[!redirects KK-mechanisms]]

[[!redirects KK mechanism]]
[[!redirects KK mechanisms]]

