
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### 2-Category theory
+--{: .hide}
[[!include 2-category theory - contents]]
=--
=--
=--


# Whiskering
* table of contents
{: toc}

## Idea

In a [[2-category]], the [[horizontal composition]] of a [[2-morphism]] with [[1-morphisms]] is sometimes called _whiskering_.

Whiskering from the left with an [[equivalence]] and from the right with an inverse equivalence is a [[conjugation]] [[action]] of equivalences on [[2-morphisms]].
 
## Examples

An important use of whiskering is the usual definition of [[adjoint functor]]s via the [[triangle identities]]: in [[Cat]] whiskering is the [[composition]] of a [[functor]] with a [[natural transformation]] to produce a natural transformation.


If we identify a functor or 1-morphism with its [[identity natural transformation]] or [[identity 2-morphism]], then whiskering is a special case of [[horizontal composition]], and composition of 1-morphisms is a special case of whiskering.

In detail:

* If $F,G\colon C \to D$ and $H\colon D\to E$ are functors and $\eta\colon F \to G$ is a natural transformation whose coordinate at any object $A$ of $C$ is $\eta_A$, then __whiskering__ $H$ and $\eta$ yields the natural transformation $H \circ \eta\colon (H \circ F) \to (H \circ G)$ whose coordinate at $A$ is $H(\eta_A)$.
* If $F\colon C \to D$ and $G,H\colon D \to E$ are functors and $\eta\colon G\to H$ is a natural transformation whose coordinate at $A$ is $\eta_A$, then __whiskering__ $\eta$ and $F$ yields the natural transformation $\eta \circ F\colon (G \circ F) \to (H \circ F)$ whose coordinate at $A$ is $\eta_{F(A)}$.

## Related concepts

* [[pasting diagram]]

* [[digraph|plane digraphs]] 

## References

* [A MathOverflow question about whiskering](http://mathoverflow.net/questions/40813/what-is-the-name-for-the-composition-of-a-functor-with-a-natural-transformation/40814#40814)

* [[Peter Selinger]]: Introduction to categorical logic. [pdf](https://math.vanderbilt.edu/dept/conf/tacl2013/coursematerials/SelingerTACL20132.pdf), page 41


[[!redirects whiskering]]
[[!redirects whiskerings]]
[[!redirects whisker]]
[[!redirects whiskers]]
[[!redirects whiskered]]
