
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Topos Theory
+-- {: .hide}
[[!include topos theory - contents]]
=--
=--
=--


# Contents
* table of contents
{:toc}

## Definition

A **Boolean topos** is a [[topos]] that is also a [[Boolean category]].

There are several conditions on a topos that are necessary and sufficient to be Boolean:

* Every [[subobject]] has a complement (the general definition of Boolean category).
* Every [[subobject poset|subobject lattice]] is a [[Boolean algebra]].
* The [[subobject classifier]] $\Omega$ is an [[internalization|internal]] Boolean algebra.
* The maps $\top, \bot: 1 \to \Omega$ are a [[coproduct]] cone (so in particular, $\Omega \cong 1 + 1$, and in fact this is enough, because the map $[\top, \bot]: 1 + 1 \to \Omega$ is always a monomorphism, and any monic endomorphism of $\Omega$ is an automorphism).

## Properties

### As a context for foundations

The [[internal logic]] of a Boolean topos with [[natural numbers object]] can serve as [[foundations]] for "ordinary" mathematics, except for that which relies on the [[axiom of choice]].  If you add the axiom of choice, then you get (an internal version of) [[ETCS]]; conversely, if you use an arbitrary topos, then you get [[constructive mathematics]].  (For some high-powered work, you may also need to add a version of the [[axiom of replacement]] or an axiom of [[Grothendieck universe]]s.)

Every [[cartesian closed category|cartesian closed]] Boolean [[pretopos]] is in fact a topos.  This is why 'generalised [[predicative mathematics|predicativism]]' (with function types but not power types) is necessarily a feature of [[constructive mathematics]] only.

### Some characterisations

+-- {: .num_prop}
###### Proposition

For $\mathcal{E}$ a [[topos]], then the following are equivalent:

1. $\mathcal{E}$ is a Boolean topos;

1. Every [[subtopos]] of $\mathcal{E}$ is Boolean.

1. Every [[subtopos]] of $\mathcal{E}$ is an [[open subtopos]].

1. Every [[subtopos]] of $\mathcal{E}$ is a [[closed subtopos]].

=--

([Johnstone, prop. A 4.5.22](#Johnstone))


+--{: .num_prop}
###### Proposition
Let $j$ be a [[Lawvere-Tierney topology]] on $\mathcal{E}$. Then $\mathcal{E}_j$ is Boolean iff there exists a [[subterminal object]] $U$ such that $j$ is the largest topology such that $U\rightarrowtail 1$ is $j$-closed.
=--

[(Johnstone 2002, p.220)](#Johnstone)

+--{: .num_prop}
###### Proposition
$\mathcal{E}$ is Boolean iff the only dense subtopos of $\mathcal{E}$ is $\mathcal{E}$ itself.
=-- 

**Proof**.  Suppose $\mathcal{E}$ is Boolean. $\mathcal{E}_{\neg\neg}=\mathcal{E}$ is the smallest dense subtopos (cf. [[double negation]]{#boolean_subtopos}).
Conservely, suppose $\mathcal{E}$ is not Boolean then $\mathcal{E}_{\neg\neg}$ is a second dense subtopos.

+-- {: .num_prop}
###### Proposition

In a [[lattice of subtoposes]] the 2-valued Boolean toposes are the [[atoms]]. 

=--

See [this proposition](subtopos#BooleantoposesAreAtoms).

+-- {: .num_prop}
###### Proposition

Let $\mathcal{E}$ be a topos. Then automorphisms of $\Omega$ correspond bijectively to [[closed subtopos|closed]] Boolean subtoposes. The group operation on $Aut(\Omega)$ corresponds to symmetric difference of subtoposes.

=--

This result appears in [Johnstone (1979)](#Johnstone79). (See also [Johnstone (2002)](#Johnstone), A1.6.11 pp.66-67.)

## Examples

With [[excluded middle]] in the meta-logic, every [[well-pointed topos]] is a Boolean topos. This includes [[Set]] and models of [[ETCS]]. 

The topos of [[canonical topology|canonical]] sheaves on a [[Boolean algebra]] is Boolean. 

If $\mathcal{E}$ is any topos, the category of [[sheaf|sheaves]] for the [[double negation|double-negation topology]] is a Boolean [[subtopos]] of $\mathcal{E}$. 

Any topos satisfying the [[axiom of choice]] is Boolean. This result is due to R. Diaconescu ([1975](#Diaconescu75)); see [[excluded middle]] for a brief discussion. 

[[Barr's theorem]] implies that any topos $\mathcal{E}$ can be covered by a Boolean topos $\mathcal{F}$, in the sense of there being a [[surjective geometric morphism]] $f \colon \mathcal{F} \to \mathcal{E}$. 

## Relation to measure theory

Boolean toposes are closely related to [[measurable spaces]] (e.g [Jackson 06](#Jackson06), [Henry 14](#Henry14)).

## Related entries

* [[Boolean category]]
* [[axiom of choice]]
* [[double negation]]
* [[de Morgan topos]]

## References

* [[Andreas Blass]], Andrej Scedrov, _Boolean Classifying Topoi_ , JPAA **28** (1983) pp.15-30.

* {#Diaconescu75}Radu Diaconescu, _Axiom of Choice and Complementation_ , Trans. AMS **51** no.1 (1975) pp.176-178. ([pdf](http://www.ams.org/journals/proc/1975-051-01/S0002-9939-1975-0373893-X/S0002-9939-1975-0373893-X.pdf))


* {#Johnstone79}[[Peter Johnstone]], _Automorphisms of $\Omega$_ , Algebra Universalis **9** (1979) pp.1-7.

* {#Johnstone} [[Peter Johnstone]], _[[Sketches of an Elephant]] vols. I,II_, Oxford UP 2002. (A4.5.22, D3.4, D4.5)

Relation to [[measure theory]] is discussed in

* {#Jackson06} Matthew Jackson, _A sheaf-theoretic approach to measure theory_, 2006. ([pdf](http://www.andrew.cmu.edu/~awodey/students/jackson.pdf))

* {#Henry14} [[Simon Henry]], _Measure theory over boolean toposes_, Mathematical Proceedings of the Cambirdge Philosophical Society, 2016 ([arXiv:1411.1605](https://arxiv.org/abs/1411.1605))

 

[[!redirects Boolean topos]]
[[!redirects boolean topos]]
[[!redirects Boolean topoi]]
[[!redirects boolean topoi]]
[[!redirects Boolean toposes]]
[[!redirects boolean toposes]]