
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Topology
+--{: .hide}
[[!include topology - contents]]
=--
#### Manifolds and cobordisms
+--{: .hide}
[[!include manifolds and cobordisms - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Definition

### In topology and differential geometry

The **torus** is the [[manifold]] (a [[smooth manifold]], hence in particular also a [[topological manifold]]) obtained as the [[quotient]] 

$$
  T \coloneqq \mathbb{R}^2 / \mathbb{Z}^2
$$ 

of the [[Cartesian space|Cartesian plane]], regarded as an [[abelian group]], by the subgroup of pairs of [[integers]].

As a [[topological space]] this is the [[quotient topological space]] obained from the [[square]] by identifying opposite sides:

<img src="https://ncatlab.org/nlab/files/TorusAsQuotientOfSquare.png" width="400">

> graphics grabbed from [Lawson 03](#Lawson03)


More generally, for $n \in \mathbb{N}$ any [[natural number]], the $n$-torus is

$$
  T := \mathbb{R}^n / \mathbb{Z}^n
  \,.
$$ 

For $n = 1$ this is the [[circle]].

In this fashion each torus canonically carries the structure of an [[abelian group]], in fact of an abelian [[Lie group]]. Notice that regarded as a [[group]] the torus carries a [[pointed object|base point]] (the neutral element). 

### In algebraic geometry
 {#InAlgebraicGeometry}

According to [[SGA]]3, for $X$ a base [[scheme]] then a 1-dimensional torus (in the sense of tori-as-groups) over it is a [[group scheme]] over $X$ which becomes [[isomorphism|isomorphic]] to the [[multiplicative group]] over $X$ after a [[faithfully flat morphism|faithfully flat]] [[group extension]].

In ([Lawson-Naumann 12, def. A.1](#LawsonNaumann12))  this is called "a form of" the multiplicative group over $X$. 

By ([Lawson-Naumann 12, prop. A.4](#LawsonNaumann12)) the [[moduli stack of 1-dimensional tori]] $\mathcal{M}_{1dtori}$  in this sense is equivalent to the [[delooping]] of the [[group of order two]]:

$$
  \mathcal{M}_{1dtor}
  \simeq
  \mathbf{B}\mathbb{Z}/2\mathbb{Z}
  \,.
$$

The single nontrival [[automorphism]] of any 1-dimensional toris here is that induced by the canonical automorphism of the multiplicative group

$$
  Aut(\mathbb{G}_m) \simeq \mathbb{Z}/2\mathbb{Z}
$$

which is the [[inversion involution]] (given by sending any element to its [[inverse]] element).

## Properties


* The [[character group]] of a torus $T^n$ is isomorphic to its [[fundamental group]], which is $\mathbb{Z}^n$. See also at _[[Pontryagin duality]]_ and at _[[moduli space of flat connections]]_.


## Related concepts

* [[complex torus]]

* [[elliptic curve]]

* [[toric variety]]

* [[noncommutative torus]]


## References

* {#Lawson03} Terry Lawson, _Topology: A Geometric Approach_, Oxford University Press (2003) ([pdf](http://users.metu.edu.tr/serge/courses/422-2014/supplementary/TGeometric.pdf))


The [[moduli stack]] of 1-dimensional tori in [[algebraic geometry]] is discussed (as the cusp point inside the [[moduli stack of elliptic curves]]) in

* {#LawsonNaumann12} [[Tyler Lawson]], [[Niko Naumann]], Appendix A of _Strictly commutative realizations of diagrams over the Steenrod algebra and topological modular forms at the prime 2_ ([arXiv:1203.1696](http://arxiv.org/abs/1203.1696))

Discussion of the [[homotopy type]] of the torus in [[homotopy type theory]] is in

* [[Dan Licata]], [[Guillaume Brunerie]], _A cubical approach to synthetic homotopy theory_ ([pdf](http://dlicata.web.wesleyan.edu/pubs/lb15cubicalsynth/lb15cubicalsynth.pdf))


[[!redirects tori]]

