
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Geometric quantization
+--{: .hide}
[[!include geometric quantization - contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A method of [[quantization]] of [[mechanical systems]] represented by [[symplectic manifolds]] that produces the [[space of states]] of this system as the space of states of [[open strings]] in the [[A-model]].

More in detail, the [[symplectic manifold]] serves as the [[target space]] for the 2-dimensional [[sigma-model]] [[TQFT]] called the [[A-model]]. If the symplectic manifold arises as the [[complexification]] of a [[phase space]] of some [[physical system]], then one finds that the [[boundary]] [[path integral]] of the A-model on [[coisotropic submanifold|coisotropic]] [[branes]] computes the path integral and the [[geometric quantization]] of this physical system.

The setup is reminiscent of how the [[deformation quantization]] of the phase space is computed by the 2-dimensional [[Poisson sigma-model]]. See at _[[holographic principle]]_ for more on the general pattern.

> The goal is to get closer to a systematic theory of [[quantization]].
  
> ([Gukov-Witten 08, p.4](#GukovWitten08))

## Related concepts

* [[deformation quantization]]

* [[geometric quantization]]

## References

The main original article is

* {#GukovWitten08} [[Sergei Gukov]], [[Edward Witten]], _Branes and Quantization_, Adv. Theor. Math. Phys. 13 (2009) 1–73, ([arXiv:0809.0305](http://arxiv.org/abs/0809.0305), [euclid](http://projecteuclid.org/euclid.atmp/1282054099))
 
Review includes

* [[Constantin Teleman]], _[Branes and Representations](https://math.berkeley.edu/~teleman/classes/brepresentations)_,2016

Earlier, suggestions that the A-model is related to [[deformation quantization]] had been given in 

* [[Paul Bressler]], [[Yan Soibelman]], _Mirror symmetry and deformation quantization_ ([arXiv:hep-th/0202128](http://arxiv.org/abs/hep-th/0202128))

* [[Anton Kapustin]], _A-branes and Noncommutative Geometry_ ([arXiv:hep-th/0502212](http://arxiv.org/abs/hep-th/0502212))

which then have been extended and made more precise in

* Vasily Pestun, _Topological strings in generalized complex space_, Adv.Theor.Math.Phys.11:399-450,2007  ([arXiv:hep-th/0603145](http://arxiv.org/abs/hep-th/0603145))

and in 

* [[Marco Gualtieri]], _Branes on Poisson varieties_ ([arXiv:0710.2719](http://arxiv.org/abs/0710.2719))

in the context of [[generalized complex geometry]].

Tha the space of states of open strings in the A-model can be interpreted as a quantization of the corresponding symplectic manifold had first been noticed in examples in 

* Marco Aldi, [[Eric Zaslow]], _Coisotropic Branes, Noncommutativity, and the Mirror Correspondence_, JHEP 0506 (2005) 019 ([arXiv:hep-th/0501247](http://arxiv.org/abs/hep-th/0501247))

The canonical coisotropic brane was used to elucidate these matters further in

* [[Anton Kapustin]], [[Edward Witten]], _Electric-Magnetic Duality And The Geometric Langlands Program_ ([arXiv:hep-th/0604151](http://arxiv.org/abs/hep-th/0604151))

is the context of the [[Kapustin-Witten TQFT]].

A relation to the [[path integral]] is discussed in

* [[Edward Witten]], _A New Look At The Path Integral Of Quantum Mechanics_ ([arXiv:1009.6032](http://uk.arxiv.org/abs/1009.6032))

Relation to the [[B-model]] via [[mirror symmetry]] is discussed in 

* [[Sergei Gukov]], _Quantization via Mirror Symmetry_ ([arXiv:1011.2218](http://arxiv.org/abs/1011.2218))
