
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Mathematics
+-- {: .hide}
[[!include mathematicscontents]]
=--
=--
=--

For a separate list of math blogs and forums see [[math blogs]]. Main wikis should belong to both lists. For math societies and institutes see [[math institutions]]. There is also page of [[math resources by individuals]]. The level up is [[math resources]]. See also [[list of mathematical software]]. 

We list archives of **online** books and videos, not the catalogues of physical libraries. We shall not list commercial subscription lists (especially of current journals) except semi-commercial jstor and few publication sites by the main mathematical societies.  

#Contents#
* table of contents
{:toc}

## Archives of articles, books, proceedings, videos

#### Math and physics only (or mainly)

* [arXiv](http://arxiv.org) archive of free preprints (math, physics, computational linguistics)

   * [front](http://front.math.ucdavis.edu) alternative user interface for arXiv

* [spires](http://www.slac.stanford.edu/spires) high energy physics publication database

* The SAO/[NASA Astrophysics Data System](http://www.adsabs.harvard.edu)   (it also contains abstracts, scans, citations of many papers in mathematical physics)

* [numdam](http://numdam.org) old issues of many French math journals including [[Cahiers]]

* [math-net.ru](http://www.mathnet.ru), [English version](http://www.mathnet.ru/index.phtml?&option_lang=eng) -- past years of main Russian math journals; tracks citations within the system; searchable also by name of a mathematician

* [Hopf archive](http://hopf.math.purdue.edu) topology and K-theory

* [K-theory](http://www.math.uiuc.edu/K-theory) archive

* [ICM archive](http://www.mathunion.org/ICM) past ICM proceedings

* project [euclid](http://projecteuclid.org/DPubS?Service=UI&version=1.0&verb=Display&handle=euclid&page=browse) list of journals (colors denote levels of free access)

* [journal list](http://www.ams.org/dmr/JournalList.html) at Amer. Math. Soc. digital mathematical registry; and [source list](http://www.ams.org/dmr/SourceList.html) (publishers and organizations behind sci journals)

* [Matematicheskie Zametki](http://www.mathnet.ru/php/journal.phtml?jrnid=mzm&option_lang=eng): Mathematical Journal published by Russian Academy of Sciences containing research work discussing [vedic maths tricks] (http://mental-maths-trick.blogspot.com/2011/10/do-super-quick-maths-calculation-using.html) and [whitepaper] (http://magazine.amstat.org/blog/2011/05/01/white-paper/).

* Polish virtual [math library](http://matwbn.icm.edu.pl/index.php?jez=en) (cf. semi-commercial [impan journals](http://journals.impan.gov.pl)) -- Polish journals


* *huge* MPIM list of [electronic journals](http://rzblx1.uni-regensburg.de/ezeit/fl.phtml?bibid=MPIMA&colors=3&lang=en&notation=SA-SP) -- most are  available only locally, but many free ones listed as well


* [lib.mexmat.ru](http://lib.mexmat.ru) Moscow MexMat electronic library: most items available only locally, however some items and the indexes are available

* [ELibM](http://www.emis.de/ELibM.html) -- open access Electronic Library of Mathematics at [emis](http://www.emis.de) 

* [archive of category list](http://blog.gmane.org/gmane.science.mathematics.categories)
* [tac](http://www.tac.mta.ca/tac) -- Theory and Application of Categories, free journal and a category [reprint](http://www.tac.mta.ca/tac/reprints/index.html) collection
* [MSRI books](http://library.msri.org/books)
* [eprint network](http://www.osti.gov/eprints/pathways/mathematics.shtml)
* [Aarhus](http://math.au.dk/forskning/publikationer/instituttets-serier/year/2010/series/pp/) math institute, preprints and dissertations
* encyclopaedias in Russian online: [dic.academic.ru](http://dic.academic.ru)

#### General archives: not math/physics centered

* [JSTOR](http://www.jstor.org) -- a big repository of past issues of main, mainly American and English journals -- requires institution subscription
* [DigiZeitschrift](http://www.digizeitschriften.de), Das Deutsche Digitale Zeitschriftenarchiv; includes [39 math journals](http://www.digizeitschriften.de/main/searchcol/?tx_goobit3_search[extquery]=DOCSTRCT%3Aperiodical&DC=510.mathematics)
* [Gallica](http://gallica.bnf.fr) repository of free French books (in general area); includes old issues of Comptes Rendus
* [Goettingen digital library](http://gdz.sub.uni-goettingen.de) -- mainly German journals
* [Archive for Mathematical Sciences & Philosophy](http://www.archmathsci.org) -- video archive

## General lists of math resources
* [Math on the Web](http://www.mathontheweb.org/mathweb/index.html) links maintained by American Mathematical Society

* [fsu vmlib](http://www.math.fsu.edu/Virtual) Florida State University Virtual Math Library -- long list of resources

## Major individual handbooks and tables online

* [Abramowitz-Stegun](http://www.convertit.com/Go/ConvertIt/Reference/AMS55.ASP), Handbook of Mathematical Functions With Formulas, Graphs, and Mathematical Tables 
* [Handbook of K-theory](http://www.math.uiuc.edu/K-theory/handbook)

## Reviews and abstracts

* [mathscinet](http://www.ams.org/mathscinet/search)

* [Zentralblatt](http://www.zentralblatt-math.org/zmath/en/advanced)

* [MSC2010](http://msc2010.org/Default.html) classification

* [Referativnii Zhurnal Matematika](http://www.viniti.ru/pro_ref_el.html)

## Wikis and encyclopedia-like collections

* [eom.springer.de](http://eom.springer.de)  encyclopaedia of math articles with approximately 8000 entries

* [[HomePage|nlab]] this wiki on higher category theory and applications
* Joyal's CatLab: <http://www.ncatlab.org/joyalscatlab/published/HomePage>
[[!redirects math archive]]
[[!redirects math arxive]]
[[!redirects math arxives]]