[[!redirects star-shaped neighborhood]]

## Idea

A star-shaped domain is a subset $U$ of an appropriate ambient space for which there exists a basepoint that can be connected to every other point by a "straight line in $U$".
Such a subset is a [[contractible space]], using the contraction that travels each point back to the basepoint along the given lines.


## Definition

For $X$ a [[real number|real]] [[affine space]], a **star domain** about a point $x\in X$ is an inhabited subset $U \subset X$ such that with $y \in X$, the straight line segment connecting $x$ with $y$ in $X$ is also contained in $U$. 

For $V$ a [[vector space]], a star domain about the origin is an inhabited subset $U \subset V$ that is [[radial]].

These definitions can be modified in various obvious ways. For example, a **star shaped neighbourhood** of a point $x$ in an affine space $X$ is an open [[neighbourhood]] $U \subset X$ of $x$ that is a star domain about $x$. Or, a subset is a star domain if it is a star domain about one of its points. 

A useful special case pertains to a [[simplicial complex]] $K$, where if $v$ is a vertex of $K$, then the **open star** of $v$ is the union of the interiors in ${|K|}$ of all the simplices containing $v$. Open stars of vertices provide a [[good open cover]] of a simplicial complex. 

A [[convex set]] is the same as a set that is a star domain about each of its points. 

[[!redirects star-shaped]]
[[!redirects star shaped]]

[[!redirects star-shaped region]]
[[!redirects star shaped region]]

[[!redirects star-shaped neighborhood]]
[[!redirects star shaped neighborhood]]
[[!redirects star-shaped neighbourhood]]
[[!redirects star shaped neighbourhood]]

[[!redirects star domains]] 
[[!redirects star-shaped domain]] 
[[!redirects star-shaped domains]] 
