+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Category theory
+--{: .hide}
[[!include category theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Definition 

We say that two functors $L:C\to D$ and $R:D\to C$ are **adjoint** if they form an [[adjunction]] $L \dashv R$ in the [[2-category]] [[Cat]] of categories.  This means that they are equipped with [[natural transformations]] $\eta \colon 1_C \to R \circ L$ (the [[unit of an adjunction|unit]]) and $\epsilon \colon L \circ R \to 1_D$ (the [[counit of an adjunction|counit]]) satisfying the [[triangle identities]], that is the compositions
$L \stackrel{L\eta}\to L R L\stackrel{\epsilon L}\to L$
and 
$R\stackrel{\eta R}\to R L R \stackrel{R\epsilon}\to R$ 
are identities.
The left or right adjoint of any functor, if it exists, is [[generalized the|unique up to unique isomorphism]].

We say that $L$ is the __[[left adjoint]]__ of $R$ and that $R$ is the __[[right adjoint]]__ of $L$.

In the case of [[Cat]], there are a number of equivalent characterizations of an adjunction, some of which are given below.


### In terms of Hom isomorphism

An adjunction $L\dashv R$ is equivalently given by a [[natural transformation|natural isomorphism]] of [[hom-functors]] $C^{op} \times D \to Set$

$$
  Hom_D(L(-),-) \simeq Hom_C(-,R(-))
  \,.
$$

In other words, for all $c \in C$ and $d \in D$ there is a bijection of sets

$$
  Hom_D(L(c),d) \simeq Hom_C(c,R(d))
$$

naturally in $c$ and $d$.  This isomorphism is the **adjunction isomorphism** and the image of an element under this isomorphism is its [[adjunct]].

Naturality here means that for every morphism $g \colon c_2 \to c_1$ and for every morphisms $f\colon d_1\to d_2$, the resulting square

$$
  \array{
    Hom_{D}(L(c_1), d_1) 
      &\overset{\simeq}{\longrightarrow}&
    Hom_C(c_1, R(d_1))
    \\
    {}^{\mathllap{Hom_D(L(g), f)}}\downarrow
     &&
    \downarrow^{\mathrlap{Hom_C(g,R(f))}}
    \\
    Hom_D(L(c_2),d_2)
    &\overset{\simeq}{\longrightarrow}&
    Hom_C(c_2,R(d_2))
  }
$$ 

[[commuting square|commutes]] (see also at [[hom-functor]] for the definition of the vertical maps here).

Given such an adjunction isomorphism, the [[counit of an adjunction|counit]] $\eta$ and [[unit of an adjunction|unit]] $\epsilon$ are recovered as the [[adjuncts]] of identity morphisms.  The [[Yoneda lemma]] ensures that the entire adjunction isomorphism can be recovered from them by composition: the adjunct of $f:L(c)\to d$ is $R(f) \eta$, and the adjunct of $g:c \to R(d)$ is $\epsilon L(g)$.  The triangle identities are precisely what is necessary to ensure that this _is_ an isomorphism.


### In terms of representable functors

#### Global definition

A functor $L:C\to D$ has a right adjoint if and only if for all $d$, the [[presheaf]] $Hom_D(L(-),d):C^{op}\to Set$ is [[representable functor|representable]], i.e. there exists an object $R(d)$ and a natural isomorphism
$$Hom_D(L(-),d) \cong Hom_C(-,R(d)).$$
There is then a unique way to define $R$ on arrows so as to make these isomorphisms natural in $d$ as well.

In more fancy language, by precomposition $L$ defines a functor
$$
  L^* : [D^{op}, Set] \to [C^{op}, Set]
$$
of [[presheaf]] categories. By restriction along the [[Yoneda embedding]] $Y : D \to [D^{op}, Set]$ this yields the functor
$$
 \bar L : D \stackrel{Y}{\to}
  [D^{op}, Set] \stackrel{L^*}{\to}
  [C^{op}, Set]
 \,.
$$
such that
$$
  \bar L : d \mapsto Hom_D(L(-),d) \in [C^{op}, Set]
  \,.
$$
If for all $d \in D$ this presheaf $\bar L(d)$ is [[representable functor|representable]], then it is functorially so in that there exists a functor $R : D \to C$ such that
$$
  \bar L \simeq Y \circ R
  \,.
$$

#### Local definition 
 {#LocalDefinition}

This definition has the advantage that it yields useful information even if the adjoint functor $R$ does not exist globally, i.e. as a functor on all of $D$:

it may happen that
$$
  \bar L(d) := Hom_D(L(-),d) \in [C^{op}, Set]
$$
is [[representable functor|representable]] for _some_ $d$ but not for all $d$. The representing object may still usefully be thought of as $R(d)$, and in fact it can be viewed as a right adjoint to $L$ _relative to_ the inclusion of the full subcategory determined by those $d$s for which $\bar L(d)$ is representable; see [[relative adjoint functor]] for more.

This _global_ versus _local_ evaluation of adjoint functors induces the global/local pictures of the definitions

* [[limit]] / [[homotopy limit]]

* [[Kan extension]]

as discussed there.


### In terms of universal arrows / universal factorization through unit and counit {#UniversalArrows}

Given $R : D\to C$, and $c\in C$, a _universal arrow_ from $c$ to $R$ is an [[initial object]] of the [[comma category]] $(c/R)$.  That is, it consists of an object $L(c)\in D$ and a morphism $i_c : c\to R(L(c))$ -- the unit -- such that for any $d\in D$, any morphism $f : c\to R(d)$ factors through the unit $i_c$ as 

$$
  \array{
    && c 
    \\
    & {}^{\mathllap{i_c}}\swarrow && \searrow^{\mathrlap{f}}
    \\
    R L c &&\underset{R \tilde f}{\to}&& R d
    \\
    \\
    L c &&\underset{\tilde f}{\to}&& d
  }
$$

for a unique $\tilde f:L(c)\to d$ -- the [[adjunct]] of $f$.  

In particular, we have a bijection

$$
  Hom_C(c,R(d)) \cong Hom_D(L(c),d)
$$

which it is easy to see is [[natural isomorphism|natural]] in $d$.  Again, in this case there is a unique way to make $L$ into a functor so that this isomorphism is natural in $c$ as well.

Note that this definition is simply obtained by applying the [[Yoneda lemma]] to the definition in terms of representable functors.


To derive this characterization starting with a natural hom-isomorphism $Hom_{C}(L(-),-) \stackrel{\simeq}{\to} Hom_D(-,R(-))$ let $\tilde f : L c \to d$ be the image of $f : c \to R d$ under the bijection $Hom_C(c, R d) \stackrel{\simeq}{\to} Hom_D(L c, d)$ and consider the naturality square

$$
  \array{
    c , L c &&&& Hom_D(L c, L c) &\stackrel{\simeq}{\to}& Hom_C(c, R L c)
    \\
    \uparrow^{\mathrlap{Id}}, \downarrow^\mathrlap{\tilde f} 
    &&&&
    \downarrow && \downarrow^{\mathrlap{R (\tilde f)\circ(-) }}
    \\
    c, d
    &&&&
    Hom_D(L c, d) &\stackrel{\simeq}{\to}& Hom_C(c, R d)
  }
  \,.
$$

Let also the unit $i_c : c \to R L c$ be the image of the [[identity]] $Id_{L c}$ under the hom-isomorphism and chase this identity through the commuting diagram to obtain

$$
  \array{
    (L c \stackrel{Id_{L c}}{\to} L c) &\mapsto& 
     (c \stackrel{i_x}{\to} R L c)
    \\
    \downarrow && \downarrow
    \\
    (L c \stackrel{\tilde f}{\to} d) &\mapsto& 
    (f : c \stackrel{i_c}{\to} R L c \stackrel{R \tilde f}{\to} R d) 
  }
  \,.
$$

**Example** This definition in terms of universal factorizations through the unit and counit is of particular interest in the case that $R$ is a [[full and faithful functor]] exhibiting $D$ as a [[reflective subcategory]] of $C$. In this case we may think of $L$ as a [[localization]] and of objects in the essental image of $R$ as **local objects**. Then the above says that:

* every morphism $c \to R d$ from $c$ into a local object factors throught the localization of  $c$.




### In terms of cographs/correspondences/heteromorphisms
 {#InTermsOfCographsHeteromorphisms}

Every [[profunctor]]

$$
  k : C^{op} \times D \to S
$$

defines a category $C *^k D$ with $Obj(C *^k D) = Obj(C) \sqcup Obj(D)$ and with [[hom set]] given by

$$
  Hom_{C^{op} \times D}(X,Y)
  = 
  \left\{
    \array{
      Hom_C(X,Y) & if X, Y \in C
      \\
      Hom_{D}(X,Y) & if X,Y \in D
      \\
      k(X,Y) & if X \in C and Y \in D
      \\
      \emptyset & otherwise
    }
  \right.
$$

($k(X,Y)$ is also called the _[[heteromorphisms]]_).

This category naturally comes with a functor to the [[interval]] category

$$
  C *^k D \to \Delta^1
  \,.
$$

Now, every functor $L : C \to D$ induces a [[profunctor]]

$$
  k_L(X,Y) = Hom_D(L(X), Y)
$$

and every functor $R : D \to C$ induces a [[profunctor]]

$$
  k_R(X,Y) = Hom_C(X, R(Y))
  \,.
$$

The functors $L$ and $R$ are adjoint precisely if the [[profunctors]] that they define in the above way are equivalent. This in turn is the case if
$C \star^L D \simeq (D^{op} \star^{R^{op}} C^{op})^{op}$.

We say that $C \star^k D$ is the [[cograph of a functor|cograph of the functor]] $k$. See there for more on this.


### In terms of graphs/2-sided discrete fibrations

Functors $L : C \to D$ and $R : D \to C$ are adjoint precisely if we have a commutative diagram

$$
    \array{
       (L \downarrow Id_D) &&\stackrel{\cong}{\to}&& (Id_C \downarrow R)
       \\
       & \searrow && \swarrow
       \\   
       && C \times D
    }
$$

where the downwards arrows are the maps induced by the projections of the comma categories. This definition of adjoint functors was introduced by [[Lawvere]] in his [[Functorial Semantics of Algebraic Theories|Ph.D. thesis]], and was the original motivation for [[comma categories]].

This diagram can be recovered directly from the image under the equivalence $[C^{op} \times D, Set] \stackrel{\simeq}{\to} DFib(D,C) $ described at [[2-sided fibration]] of the isomorphism of induced [[profunctors]] $C^{op} \times D \to Set$ (see above at "In terms of Hom isomorphism"). Its relation to the hom-set definition of adjoint functors can thus be understood within the general paradigm of [[Grothendieck construction]]-like correspondences.


### For $(\infty,1)$-functors 


The above characterization of adjoint functors in terms of categories over the interval is used in section 5.2.2 of

* [[Jacob Lurie]], _[[Higher Topos Theory]]_

(motivated from the discussion of correspondences in section 2.3.1) 

to give a definition of adjunction between [[(infinity,1)-functors]]. 

+-- {: .un_defn}
###### Definition

Let $C$ and $D$ be [[quasi-category|quasi-categories]]. 
An **adjunction** between $C$ and $D$ is 

* a morphism of [[simplicial sets]] $K \to \Delta^1$

* which is

  * a [[Cartesian fibration]]

  * a [[coCartesian fibration]]

* such that $C \simeq K_{0}$ and $D\simeq K_{1}$.

=--

For more on this see 

* [[adjoint (∞,1)-functor]].


### in terms of Kan extensions/liftings

Given $L \colon C \to D$, we have that it has a [[right adjoint]] $R\colon D \to C$ precisely if the [[left Kan extension]] $Lan_L 1_C$ of the [[identity]] along $L$ exists and is [absolute](/nlab/show/Kan+extension#AbsoluteKanExtension), in which case

$$
  R \simeq \mathop{Lan}_L 1_C
  \,.
$$ 

In this case, the universal 2-cell $1_C \to R L$ corresponds to the 
[[unit of an adjunction|unit of the adjunction]]; the counit and the verification of the triangular identities can all be obtained through properties of Kan extensions and absoluteness.

It is also possible to express this in terms of Kan liftings: $L$ has a right adjoint $R$ if and only if:

- $R \simeq \mathop{Rift}_L 1_D$ and this [[Kan lift]] is [[Kan lift|absolute]]

In this case, we get the counit as given by the universal cell $L R \to 1_D$, while the rest of the data and properties can be derived from it through the absolute Kan lifting assumption.

Dually, we have that for $R\colon D \to C$, it has a left adjoint $L \colon C \to D$ precisely if 

- $L \simeq \mathop{Ran}_R 1_D$, and this Kan extension is [[Kan extension|absolute]]

or, in terms of left Kan liftings:

- $L \simeq \mathop{Lift}_R 1_C$, and this Kan lifting is [[Kan lift|absolute]]

The formulations in terms of liftings generalize to [[relative adjoint|relative adjoints]] by allowing an arbitrary functor $J$ in place of the identity; see there for more.

## Properties
 {#Properties}


### General

+-- {: .num_prop #UniquenessOfAdjoints}
###### Proposition

If a functor $R$ has a [[left adjoint]] $L$, then $L$ is unique up to unique [[isomorphism]]. 

If a functor $L$ has a [[right adjoint]] $R$, then $R$ is unique up to unique [[isomorphism]]. 


=--

+-- {: .num_prop #AdjointsPreserveCoLimits}
###### Proposition
**([[left adjoints preserve colimits and right adjoints preserve limits]])**

Let $(L \dashv R) : D \to C$ be a pair of adjoint functors. Then

* $L$ [[preserved limit|preserves]] all [[colimits]] that may exist in $C$, 

* $R$ preserves all [[limits]] in $D$.  

=--

+-- {: .proof}
###### Proof

Let $y : I \to D$ be a [[diagram]] whose [[limit]] $\lim_{\leftarrow_i} y_i$ exists. Then we have a sequence of [[natural isomorphism]]s, natural in $x \in C$

$$
  \begin{aligned}
    C(x, R {\lim_\leftarrow}_i y_i)
    &  \simeq
    D(L x, {\lim_\leftarrow}_i y_i)
    \\
    & \simeq
    {\lim_\leftarrow}_i D(L x, y_i)
    \\
    & \simeq
    {\lim_\leftarrow}_i C( x, R y_i)
    \\  
    & \simeq
    C( x, {\lim_\leftarrow}_i R y_i)
    \,,
  \end{aligned}
$$
where we used the adjunction isomorphism and the fact that any [[hom-functor]] preserves limits (see there). Because this is natural in $x$ the [[Yoneda lemma]] implies that we have an [[isomorphism]]

$$
  R {\lim_\leftarrow}_i y_i
  \simeq
  {\lim_\leftarrow}_i R y_i
  \,.
$$

The argument that shows the preservation of colimits by $L$ is analogous.

=--

+-- {: .num_note #AdjointFunctorTheorem}
###### Note

A partial converse to this fact is provided by the [[adjoint functor theorem]]. See also _[PointwiseExpression](#PointwiseExpression)_ below.

=--

+-- {: .num_prop #FullyFaithfulAndInvertibleAdjoints}
###### Proposition


Let $L \dashv R$ be a pair of adjoint functors. Then the following holds:

* $R$ is [[faithful functor|faithful]] precisely if the component of the [[unit of an adjunction|counit]] over every object $x$ is an [[epimorphism]] $L R x \stackrel{}{\to} x $;

* $R$ is [[full functor|full]] precisely if the component of the [[unit of an adjunction|counit]] over every object $x$ is a [[split monomorphism]] $L R x \stackrel{}{\to} x $;

* $L$ is [[faithful functor|faithful]] precisely if the component of the [[unit of an adjunction|unit]] over every object $x$ is a [[monomorphism]] $x \hookrightarrow R L x $;

* $L$ is [[full functor|full]] precisely if the component of the [[unit of an adjunction|unit]] over every object $x$ is a [[split epimorphism]] $x \to R L x $;

* $R$ is [[full and faithful functor|full and faithful]] 
  (exhibits a [[reflective subcategory]])
  precisely if
  the [[unit of an adjunction|counit]] is a [[natural isomorphism]] 
  $\epsilon : L \circ R \stackrel{\simeq}{\to} Id_D$

* $L$ is [[full and faithful functor|full and faithful]]
  (exhibits a [[coreflective subcategory]]) precisely if
  the [[unit of an adjunction|unit]] 
  is a natural isomorphism 
  $\eta : Id_C \stackrel{\simeq}{\to} R \circ L$.

* The following are equivalent:

  * $L$ and $R$ are both [[full and faithful functor|full and faithful]];

  * $L$ is an [[equivalence of categories|equivalence]];

  * $R$ is an [[equivalence of categories|equivalence]].


=--

+-- {: .proof}
###### Proof

For the characterization of faithful $R$ by epi counit components, notice (as discussed at _[[epimorphism]]_ ) that $L R x \to x$ being an epimorphism is equivalent to the induced [[function]]

$$
  Hom(x, a) \to Hom(L R x, a)
$$

being an [[injection]] for all objects $a$. Then use that, by adjointness, we have an isomorphism

$$
  Hom(L R x , a ) \stackrel{\simeq}{\to} Hom(R x, R a)
$$ 

and that, by the formula for [[adjunct]]s and the [[zig-zag identity]], this is  such that the composite

$$
 R_{x,a} :  Hom(x,a) \to Hom(L R x, a) \stackrel{\simeq}{\to}
    Hom(R x, R a)
$$

is the component map of the functor $R$:

$$
  \begin{aligned}
    (x \stackrel{f}{\to} a) & \mapsto 
    (L R x \to x \stackrel{f}{\to} a)
    \\
    & \mapsto 
    (R L R x \to R x \stackrel{R f}{\to} R a)
    \\
    & \mapsto 
    (R x \to R L R x \to R x \stackrel{R f}{\to} R a)     
    \\
    & = (R x \stackrel{R f}{\to} R a)
  \end{aligned}
  \,.
$$

Therefore $R_{x,a}$ is injective for all $x,a$, hence $R$ is faithful, precisely if $L R x \to x$ is an epimorphism for all $x$. The characterization of $R$ full is just the same reasoning applied to the fact that $\epsilon_x \colon L R x \to x$ is a [[split monomorphism]] iff for all objects $a$ the induced function
\[
  Hom(x, a) \to Hom(L R x, a)
\]
is a surjection.

For the characterization of faithful $L$ by monic units notice that analogously (as discussed at [[monomorphism]]) $x \to R L x$ is a monomorphism if for all objects $a$ the function

$$
  Hom(a,x ) \to Hom(a, R L x)
$$

is an injection. Analogously to the previous argument we find that this is equivalent to 

$$
  L_{a,x} : Hom(a,x ) \to Hom(a, R L x) \stackrel{\simeq}{\to} Hom(L a, L x)
$$

being an injection. So $L$ is faithful precisely if all $x \to R L x$ are monos. For $L$ full, it's just the same applied to $x \to R L x$ [[split epimorphism]] iff the induced function
$$
  Hom(a,x ) \to Hom(a, R L x)
$$
is a surjection, for all objects $a$.

The proof of the other statements proceeds analogously.

=--

Parts of this statement can be strenghened:

+-- {: .num_prop #ReflectionRecognizedByIdempotency}
###### Proposition

Let $(L \dashv R) : D \to C$ be a pair of [[adjoint functors]] such that there is _any_ [[natural isomorphism]] 

$$
  L R \simeq Id
  \,,
$$

then also the [[unit of an adjunction|counit]] $\epsilon : L R \to Id$ is an [[isomorphism]].

=--

This appears as ([Johnstone, lemma 1.1.1](#Johnstone)).

+-- {: .proof}
###### Proof

Using the given [[isomorphism]], we may transfer the [[comonad]] structure on $L R$ to a comonad structure on $Id_D$. By the [[Eckmann-Hilton argument]] the [[endomorphism monoid]] of $Id_D$ is commutative. Therefore,  since the coproduct on the comonad $Id_D$ is a [[left inverse]] to the counit (by the co-[[unitality]] property applied to this degenerate situation), it is in fact a two-sided [[inverse]] and hence the $Id_D$-counit is an [[isomorphism]]. Transferring this back one finds that also the counit of the comand $L R$, hence of the adjunction $(L \dashv R)$ is an isomorphism.

=--

### Pointwise expression
 {#PointwiseExpression}

Let $R : D \to C$ be a [[right adjoint]] [[functor]] such that

* $C$ is a [[locally small category]], 

* $D$ has all small [[limit]]s.

Then the value of the left adjoint $L : C \to D$ on any object $c$ may be computed by a [[limit]]:

$$
  L c \simeq \lim_{c\to R d} d
$$

over the [[comma category]] $c/R$ (whose objects are pairs $(d,f:c\to R d)$ and whose morphisms are arrows $d\to d'$ in $D$ making the obvious triangle commute in $C$) of the projection functor

$$
  L c = \lim_{\leftarrow} (c/R \to D )
  \,.
$$

Because with this there is for every $d$ an obvious morphism

$$
  L R d \stackrel{=}{\to} \lim_{R d \to R d'} d' \to d
$$

(the component map over $d$ of the limiting [[cone]]) while moreover because $R$ preserves limits, we have an [[isomorphism]]

$$
  R L c \simeq \lim_{c\to R d} R d
$$ 

and hence an obvious morphism of [[cone]] tips

$$
 c \to R L c
 \,.
$$  

It is easy to check that these would be the unit and counit of an [[adjunction]] $L\dashv R$.

See [[adjoint functor theorem]] for more.


### Relation to monads
 {#RelationToMonads}

Every [[adjunction]] $(L \dashv R)$ induces a [[monad]] $R \circ L$ and a [[comonad]] $L \circ R$. There is in general more than one adjunction which gives rise to a given monad this way, in fact there is a [[category]] of adjunctions for a given monad. The [[initial object]] in that category is the adjunction over the [[Kleisli category]] of the monad and the [[terminal object]] is that over the [[Eilenberg-Moore category]] of algebras. (e.g. [Borceux, vol 2. prop. 4.2.2](#Borceux)) The latter is called the _[[monadic adjunction]]_.

Moreover, passing from [[adjunctions]] to monads and back to their [[monadic adjunctions]] constitutes itself an [[adjunction]] between adjunctions and monads, called the _[[semantics-structure adjunction]]_.


## Examples 
 {#Examples}


The central point about examples of adjoint functors is:

_Adjoint functors are ubiquitous_ . 

To a fair extent, [[category theory]] is all about adjoint functors and the other [[universal construction]]s: [[Kan extension]]s, [[limit]]s, [[representable functor]]s, which are all special cases of adjoint functors -- and adjoint functors are special cases of these.

Listing examples of adjoint functors is much like listing examples of [[integral]]s in [[analysis]]: one can and does fill books with these. (In fact, that analogy has more to it than meets the casual eye: see [[coend]] for more).


Keeping that in mind, we do list some special cases and special classes of examples that are useful to know. But any list is necessarily wildly incomplete.


### General

* A pair of adjoint functors between [[posets]] is a _[[Galois correspondence]]_.

* A pair of adjoint functors $(L \dashv R)$ where $R$ is a [[full and faithful functor]] exhibits a [[reflective subcategory]]. 

  In this case $L$ may be regarded as a [[localization]]. The fact that the adjunction provides universal factorization through unit and counit in this case means that every morphism $f : c \to R d$ into a local object factors through the localization of $c$.

* A pair of adjoint functors that is also an [[equivalence of categories]] is called an [[adjoint equivalence]].

* A pair of adjoint functors where $C$ and $D$ have finite [[limit]]s and $L$ preserves these finite limits is a [[geometric morphism]]. These are one kind of morphisms between [[topos]]es. If in addition $R$ is full and faithful, then this is a [[geometric embedding]].

* The left and right adjoint functors $p_!$ and $p_*$ (if they exist) to a functor $p^* : [K',C] \to [K,C]$ between [[functor categories]] obtained by precomposition with a functor $p : K \to K'$ of [[diagram]] categories are called the left and right [[Kan extension]] functors along $p$

  $$
    (Lan_p \dashv p^* \dashv Ran_p)
    :=
    (p_! \dashv p^* \dashv p_*) : 
    [K,C]
     \stackrel{\overset{p_!}{\to}}{\stackrel{\overset{p^*}{\leftarrow}}{\underset{p_*}{\to}}}
    [K',C]
    \,.
  $$

  If $K' = {*}$ is the [[terminal category]] then this are the [[limit]] and [[colimit]] functors on $[K,C]$.

  If $C = $ [[Set]] then this is the [[direct image]] and [[inverse image]] operation on [[presheaves]].


* if $R$ is regarded as a [[forgetful functor]] then its left adjoint $L$ is a regarded as a [[free functor]].


* If $C$ is a category with small [[colimit]]s and $K$ is a [[small category]] (a [[diagram]] category)  and $Q : K \to C$ is any functor, then this induces a [[nerve and realization]] pair of adjoint functors

  $$
    (|-|_Q \dashv N_Q) : C \stackrel{\overset{|-|_Q}{\leftarrow}}{\underset{N_Q}{\to}}
    [K^{op}, Set]
  $$

  between $C$ and the [[category of presheaves]] on $K$, where

  * the [[nerve]] functor is given by

    $$
      N_Q(c) := Hom_C(Q(-),c) : k \mapsto Hom_C(Q(k),c)
    $$

  * and the realization functor is given by the [[coend]]

    $$
      |F|_Q := \int^{k \in K} Q(k)\cdot F(k)

      \,,
    $$

    where in the integrand we have the canonical [[copower|tensoring]] of
    $C$ over [[Set]] ($Q(k) \cdot F(k) = \coprod_{s \in F(k)} Q(k)$).

  A famous examples of this is obtained for $C = $ [[Top]], $K = \Delta$
  the [[simplex category]] and $Q : \Delta \to Top$ the functor that sends
  $[n]$ to the standard topological $n$-[[simplex]]. In this case
  the nerve functor is the 
  [[fundamental infinity-groupoid|singular simplicial complex]] functor
  and the realization is ordinary [[geometric realization]].


## Related concepts

* **adjoint functor**, [[adjunction]]

  * [[strong adjoint functor]]

  * [[adjoint triple]], [[adjoint quadruple]], [[recollement]]

  * [[ambidextrous adjunction]]

  * [[adjoint monad]]

  * [[fixed point of an adjunction]]

* [[proadjoint]], [[Hopf adjunction]]

* [[2-adjunction]]
  
  [[biadjunction]], [[lax 2-adjunction]], [[pseudoadjunction]]

* [[adjoint (infinity,1)-functor]]

* [[(∞,n)-category with adjoints]]


## References
 {#References}

Though the definition of an [[adjoint equivalence]] appears in [[Grothendieck|Grothendieck's]] [[Tohoku]] paper, the idea of adjoint functors in general goes back to 

* [[Daniel Kan]], _Adjoint functors_, Transactions of the American Mathematical Society Vol. 87, No. 2 (Mar., 1958), pp. 294-329 ([jstor](http://www.jstor.org/stable/1993102))

and was popularized by

* {#Freyd66} [[Peter Freyd]], _Abelian categories -- An introduction to the theory of functors_, 1966 ([pdf](http://www.maths.ed.ac.uk/~aar/papers/freydab.pdf)).

For other textbook reference see any of the references listed at _[[category theory]]_, for instance 

* {#Borceux} [[Francis Borceux]], _[[Handbook of Categorical Algebra]]_, vol 1. 

* {#Johnstone} [[Peter Johnstone]], first pages of _[[Elephant|Sketches of an Elephant]]_

A video of a pedagogical introduction to adjoint functors is provided by

* [[The Catsters]] ([list](http://www.youtube.com/view_play_list?p=54B49729E5102248))

The history of the idea that adjoint functors formalize aspects of [[dialectics]] is recounted in 

* {#Lambek82} [[Joachim Lambek]], _The Influence of Heraclitus on Modern Mathematics_, In _Scientific Philosophy Today: Essays in Honor of Mario Bunge_, edited by Joseph Agassi and Robert S Cohen, 111&#8211;21. Boston: D. Reidel Publishing Co. (1982)

For more on this see at _[[adjoint modality]]_.
  

[[!redirects adjoint functors]]
[[!redirects adjoint pair of functors]]
[[!redirects universal arrow]]

[[!redirects universal arrows]]