
# Coarse topology
* table of contents
{: toc}

## Idea

__Coarse topology__ (synonym: __coarse geometry__) is a branch of geometry/topology studying the asymptotic properties at large of metric spaces. While the topological 
structures describe the space's local properties, the coarse structure describes the properties at large distances. One usually studies coarse structure by defining a "coarse category" of proper metric spaces where the morphisms are so called coarse maps. 

## Coarse maps

....

## Terminology collision

Do not confuse the field of coarse topology with a comparative property of one topological structure on a set to be coarser than another which is then called finer. Finer or stronger topology has "more" open sets than coarser or weaker -- this is of course in the sense of the partial order with respect to inclusion of the topological structures considered as families of subsets.

## History

The field grew in part from the study of "wild" metric structures in study of Gromov hyperbolic groups, from attacks on [[Novikov conjecture]] and the
related [[Baum-Connes conjecture]]. Thus the operator algebras play a great role in the field.

## Literature

Related $n$Lab entries: [[asymptotic dimension]]

* _A short survey on coarse topology_, [pdf](http://www.kurims.kyoto-u.ac.jp/~kyodo/kokyuroku/contents/pdf/1126-9.pdf)

* J. Roe, _Index theory, coarse geometry, and topology of manifolds_, CBMS Regional Conference Series in Mathematics 90, Amer. Math. Soc. 1996.

* B. Hanke, D. Kotschick, J. Roe, T. Schick, _Coarse topology, enlargeability, and essentialness_, [arxiv:0707.1999](http://arxiv.org/abs/0707.1999)

* [[Mikhail Gromov]], _Hyperbolic groups_, Essays in group theory, Math. Sci. Res. Inst. Publ. __8__, Springer, New York, 1987, pp. 75–263. MR MR919829 (89e:20070) 61; _Asymptotic invariants of infinite groups_, in: Geometric group theory, vol. 2 (Sussex, 1991), London Math. Soc. Lecture Note Ser. __182__, Cambridge Univ. Press 1993, pp. 1–295. MR1253544 (95m:20041)

* B. Grave, _Asymptotic dimension of coarse spaces_, New York J. Math. 12 (2006) 249–256

category: topology
[[!redirects coarse topology]]
[[!redirects coarse geometry]]
