Let $K$ be a knot.  

+--{: .un_defn}
######Definition
The _crossing number_, $c(K)$, of $K$ is the minimum number of crossings in a diagram in the isotopy class of $K$. 
=--

The crossing number is thus the number of crossings in the simplest picture of a knot.  A diagram of a knot $K$ with exactly $c(K)$ crossings is called a _minimal_ diagram.

#####Examples

* $c(unknot) = 0$;

* $c(trefoil) = 3$;

* $c(figure-8) = 4$.

* if a diagram has $1$ or $2$ crossings it represents the unknot, so there are no knots with $c(K) = 1$ or $2$.

The crossing number is related to the [[unknotting number]], but in quite a subtle way.

In the books by Burde and Zeischang (1985) and Kauffman (1987), the tables of knots are arranged according to crossing number.  (Choices have been made of one [[mirror image]] or the other.)
Given some arbitrary diagram, the crossing number of the knot that it respresents may be hard to determine.