
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Topos Theory
+--{: .hide}
[[!include topos theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}


## Idea

A *locally connected site* is a [[site]] satisfying sufficient conditions to make its [[topos of sheaves]] into a [[locally connected topos]].


## Definition

+-- {: .num_defn}
###### Definition

Let $C$ be a small [[site]]; we say it is a **locally connected site** if all [[covering]] [[sieves]] of any object $U\in C$ are [[connected category|connected]], as [[full subcategories]] of the [[slice category]] $C_{/U}$.  

(In particular, this means that all [[covering families]] are [[inhabited set|inhabited]].)


=--



## Locally connected toposes from sites
 {#LocallyConnectedToposesFromLocallyConnectedSites}

We discuss that the [[sheaf toposes]] over locally connected sites are [[locally connected toposes]].


+-- {: .num_remark #ConstantPresheavesAreSheaves}
###### Remark

If $C$ is locally connected, then every [[constant presheaf]] on $C$ is a [[sheaf]].  

=--

The fact that all [[covering families]] are [[inhabited set|inhabited]] makes the constant presheaves be [[separated presheaves]] (see [this example](separated+presheaf#ConstantPresheafOnSiteWithAllInhabitedCoverings)) and then the connectedness condition further makes them be sheaves.


+-- {: .num_prop}
###### Proposition

If $C$ is a locally connected site, then the [[sheaf topos]] $Sh(C)$ is a [[locally connected topos]]. 

=--

This means that the [[inverse image functor]] $L Const\colon Set \to Sh(C)$ has a [[left adjoint]] $\Pi_0$.  


+-- {: .proof}
###### Proof


By remark \ref{ConstantPresheavesAreSheaves} it follows that the constant *[[presheaf]]* functor $Const \colon Set \to Psh(C)$ has a [[left adjoint]] given by taking [[colimits]] along $C^{op}$ (this is one of the equivalent _definitions_ of the colimit operatiion.) Since constant presheaves on $C$ are sheaves, $L Const$ is just a factorization of $Const$ through $Sh(C)$, and thus it also has a left adjoint given by the colimit operation.

=--

+-- {: .num_prop}
###### Proposition

The colimit over a [[representable functor]] is always the [[singleton set]]. 

So for $X \in Sh(C)$ any sheaf, we may write it, using the [[co-Yoneda lemma]] as a [[coend]] over representables

$$
  X = \int^{U \in C} X(U) \cdot U
  \,.
$$

The left adjoint functor $\Pi_0$ commutes with the coend and the [[tensoring]] in the integrand to produce

$$
  \Pi_0(X) = \int^{U \in C} X(U) \cdot {*} = colim_{U \to X} {*}
  \,.
$$

We may think of this as computing the set of _plot-connected components_ of $X$.

=--


+-- {: .num_prop}
###### Proposition


If $C$ furthermore has a [[terminal object]], then colimits along $C^{op}$ preserve the [[terminal object]], so that $Sh(C)$ is moreover a [[connected topos]].

=--

Note that a non-locally-connected site can still give rise to a locally connected topos of sheaves, but every locally connected topos can be defined by *some* locally connected site.

## Examples

* any small subcategory of [[Top]] on [[connected]] topological spaces (with the standard [[open cover]] [[coverage]]).

* [[CartSp]]

* Any site whose topology is generated by a [[singleton pretopology]], i.e. a [[Grothendieck pretopology]] in which all covering families consist of single arrows.  For if a covering sieve on $U$ is generated by a single arrow $p:V\to U$, then $p$ is a [[weakly terminal object]] of the sieve (*qua* full subcategory of $C/U$), so the sieve is connected.

## Related concepts

* [[locally connected topos]] / [[locally ∞-connected (∞,1)-topos]]

  * [[connected topos]] / [[∞-connected (∞,1)-topos]]

  * [[strongly connected topos]] / [[strongly ∞-connected (∞,1)-topos]]

  * [[totally connected topos]] / [[totally ∞-connected (∞,1)-topos]]

* [[local topos]] / [[local (∞,1)-topos]].

* [[cohesive topos]] / [[cohesive (∞,1)-topos]]

and

* **locally connected site** / [[locally ∞-connected site]]

  * [[connected site]] / [[∞-connected site]]

  * [[strongly connected site]] / [[strongly ∞-connected site]]

  * [[totally connected site]] / [[totally ∞-connected site]]

* [[local site]] / [[∞-local site]]

* [[cohesive site]] / [[∞-cohesive site]]


[[!redirects locally connected sites]]
