The __[[free object|free]] [[Lie algebra]] [[functor]]__ is the [[left adjoint]] functor $FreeLieAlg$ to the [[forgetful functor]] $LieAlg\to Set$. The proof that 
a left adjoint exists relies on a concrete construction. Let $X$ be a set, then
define recursively for $n\geq 1$ sets $X_n = \coprod_{p=1}^{n-1} X_p\times X_{n-p}$
with the basis of recursion $X_1 = X$. If $x\in X_p$ and $y\in X_q$ then denote
$x.y$ the element $(x,y)\in X_{p+q}$; this defines a binary operation on $\prod_{n=0}^\infty X_n$, which is therefore the free [[magma]] on the set $X$. 
Let $k$ be the ground ring (commutative and unital).
As a $k$-module define $Lib_k(X) = k[\prod_{n=0}^\infty X_n]$, the free $k$-module
with basis $\prod_{n=0}^\infty X_n$. It is a nonassociative $k$-algebra
with product $(\sum_i a_i x_i).(\sum_j b_j y_j) = \sum_{i,j} a_i b_j (x_i.y_j)$ where both sums are finite and $a_i, b_j\in k$, $x_i,y_i\in X_i$. Define a two-sided
ideal $I$ in this nonassociative $k$-algebra, generated by all elements of $Lib_k(X)$
of the form $a.a$ 
and all elements of the form $a.(b.c)+b.(c.a)+c.(a.b)$, where $a,b,c\in Lib_k(X)$.
Then $FreeLieAlg(X) = Lib_k(X)/I$.

The __free Lie algebra__ on the [[set]] $X$ is the result $FreeLieAlg(X)$ of evaluating the free Lie algebra functor on object $X$.

The subject of free Lie algebras is combinatorially rich with lots of open problems. By a 1953 theorem of A. I. Širšov (Shirshov) every Lie subalgebra of a free Lie subalgebra is free (an analogue of the [[Nielsen-Schreier theorem]] in combinatorial group theory). The study of bases of a free Lie algebra considered as a vector space is very nontrivial; special attention has been paid to so-called Hall bases.

* [[N. Bourbaki]], _Lie groups and Lie algebras_, Chap. II: Free Lie Algebras
* Christophe Reutenauer, _Free Lie algebras_, Oxford Univeristy Press 1993

* C. Reutanauer, _Free Lie algebras_, Handbook of Algebra, vol. 3, 2003, 887-903, <a href="http://dx.doi.org/10.1016/S1570-7954(03)80075-X">doi</a>


* C. Reutanauer, _Applications of a noncommutative jacobian matrix_, Journal of Pure and Applied Algebra __77__, n. 2, 1992, p. 169-181, <a href="http://dx.doi.org/10.1016/0022-4049(92)90083-R">doi</a>
 
* wikipedia: [free Lie algebra](http://en.wikipedia.org/wiki/Free_Lie_algebra)

* [[Mikhail Kapranov]], _Free Lie algebroids and space of paths_, [math,DG/0702584](http://arxiv.org/abs/math/0702584)

* sbseminar blog: [Tannakian construction of the fundamental group and Kapranov’s fundamental Lie algebra](http://sbseminar.wordpress.com/2008/03/17/tannakian-construction-of-the-fundamental-group-and-kapranovs-fundamental-lie-algebra)

* Nantel Bergeron, Muriel Livernet, _A combinatorial basis for the free Lie algebra of the labelled rooted trees_, Journal of Lie Theory __20__ (2010) 3–15, [pdf](www.math.univ-paris13.fr/~livernet/publications/BerLiv_JOLT.pdf)

* [[Leila Schneps]], _On the Poisson bracket on the free Lie algebra in two generators_, [pdf](http://www.math.jussieu.fr/~leila/Poisson.pdf)

* A. Murua, _The Hopf algebra of rooted trees, free Lie algebras, and
Lie series_, [pdf](www.ehu.es/ccwmuura/research/MS111rev.pdf)

* F. Chapoton, _Free pre-Lie algebras are free as Lie algebras_, 
[math.RA/0704.2153](http://arxiv.org/abs/math/0704.2153), Bulletin Canadien de Mathe'matiques


[[!redirects free Lie algebra]]
[[!redirects free Lie algebras]]
[[!redirects free Lie algebra functor]]
