
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Homotopy theory
+--{: .hide}
[[!include homotopy - contents]]=--
=--
=--



#Contents#
* table of contents
{:toc}

## Definition

A _cosimplicial simplicial set_ is a [[cosimplicial object]] in the category of [[simplicial set]]s, hence a [[functor]]

$$
  \Delta \to sSet
$$

which equivalently is a functor

$$
  \Delta \times \Delta^{op} \to Set
  \,.
$$

There is an eviden [[model category]] structure on $sSet^{\Delta}$ which models cosimplicial [[infinity groupoid]]s.

## Properties

### Model structure

There are several standard ways to equip $sSet^\Delta$ with the structure of a [[model category]]. See _[[model structure on cosimplicial simplicial sets]]_ for more.


### Homotopy and homology

The [[homotopy groups]] of the [[totalization]] of a cosimplicial homotopy type are computed by a [[Bousfield-Kan spectral sequence]]. The [[homology groups]] by an [[Eilenberg-Moore spectral sequence]].


## References

The standard reference is 

* [[Paul Goerss]], [[Rick Jardine]], _Simplicial homotopy theory_

Chapter X of 

* [[Aldridge Bousfield]] and [[Dan Kan]], _Homotopy limits, completions and localizations_ Springer-Verlag, Berlin, 1972. Lecture Notes in Mathematics, Vol. 304.
 {#BousfieldKan}


The homotopy [[spectral sequence]] for cosimplicial spaces is in chapter VIII.

* [[Rick Jardine]], _Cosimplicial spaces and cocycles_ ([pdf](http://www.math.uwo.ca/~jardine/papers/preprints/cosimp3.pdf))


* [[Thomas Goodwillie]], _A remark on the homology of cosimplicial spaces_ , Journal of Pure and Applied Algebra Volume 127, Issue 2, 15 May 1998, Pages 167-175 

[[!redirects cosimplicial simplicial sets]]

[[!redirects cosimplicial space]]
[[!redirects cosimplicial spaces]]

[[!redirects simplicial cosimplicial set]]
[[!redirects simplicial cosimplicial sets]]

[[!redirects cosimplicial homotopy type]]
[[!redirects cosimplicial homotopy types]]

