
# SVG images
* tic
{: toc}

## Introduction

Using the inbuilt SVG editor is a good way of creating SVG images, particularly when the desired image should mix both SVG and MathML.  However, there are many other ways of creating SVG images, either using other graphics editors or by generating them from some program.  This page is intended as a place to collect examples of SVGs together with instructions on how to generate them.

To avoid this page getting too big, the SVGs and instructions themselves should be on separate pages.  This page is to be simply a list of links.


## SVGs in the nLab

### Knot Theory

* [[trefoil knot - SVG]]
* [[trefoil knot (2 bridge) - SVG]]
* [[Hopf link - SVG]]
* [[Whitehead link - SVG]]
* [[Borromean link - SVG]] (also redirects from [[Borromean rings - SVG]])
* [[Reidemeister move 1 - SVG]]
* [[Reidemeister move 2 - SVG]]
* [[Reidemeister move 3 - SVG]]
* [[figure 8 knot - SVG]] (also redirects from [[figure eight knot - SVG]])
* [[SVG skein double crossing]]
* [[SVG skein positive crossing]]
* [[SVG skein negative crossing]]
* [[SVG skein no crossing]]

### Functional Analysis

* The [[diagram of LCTVS properties]] was created using [Graphviz](http://www.graphviz.org) from [[second lctvs diagram dot source]]
* The diagram [[TVS relationships]] was created using [Graphviz](http://www.graphviz.org) from [[lctvs dot source]].


category: meta
