

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Étale morphisms
+--{: .hide}
[[!include etale morphisms - contents]]
=--
#### Topology
+--{: .hide}
[[!include topology - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Definition

+-- {: .num_defn #PlainDefinition}
###### Definition

A [[topological groupoid]] or [[Lie groupoid]] $C$ is called an **étale groupoid** if the [[domain|source]]-map $s : Mor C \to Obj C$ is a [[local homeomorphism]] or [[local diffeomorphism]], respectively, and hence exhibits the space of morphisms as an [[étale space]] over the space of objects.

=--

+-- {: .num_remark}
###### Remark

In the situation of def. \ref{PlainDefinition} it follows that all the other structure maps ([[codomain|target]], [[identity]], [[composition]]) are also local homeomorphisms, resp. local diffeomorphisms.

This means that an étale groupoid is equivalently an [[internal groupoid]] in the [[category]] whose objects are [[topological spaces]]/[[smooth manifold]]s and whose [[morphisms]] are local homeomorphisms/diffeomorphisms.

=--

+-- {: .num_remark}
###### Remark

Definition \ref{PlainDefinition} is not invariant under the general notion of [[equivalence]] of Lie groupoids, the equivalence between them regarded as [[smooth groupoids]], specifically as [[differentiable stacks]] ("[[Morita equivalence]]"). 

But it does make sense to take an **étale smooth groupoid** to be a [[smooth groupoid]]/[[differentiable stack]] which is equivalent, as such, to, hence is presented by an étale Lie groupoid as in def. \ref{PlainDefinition}. 
This notion has been called **folitation groupoid** in ([Crainic-Moerdijk 00](#CrainicMoerdijk)).
    
=--

The following characterizes foliation groupoids

+-- {: .num_theorem}
###### Theorem

For a [[Lie groupoid]] $\mathcal{G}_\bullet$ the following are equivalent

1. $\mathcal{G}$ is a foliation groupoid, hence is equivalent, as a [[differentiable stack]] to an étale groupoid as in def. \ref{PlainDefinition};

1. The [[Lie algebroid]] $(\mathfrak{g},\mathcal{G}_0)$ which corresponds to $\mathcal{G}$ under [[Lie differentiation]] has an [[injection|injective]] [[anchor map]];

   hence the [[orbits]] of $\mathcal{G}$ form the [[leaves]] of a [[foliation]], the foliation whose leaves are tangent to the vectors in the image of this anchor map;

1. All [[isotropy groups]] of $\mathcal{G}_\bullet$ are [[discrete groups]].

=--

This is ([Crainic-Moerdijk 00, theorem 1](#CrainicMoerdijk)).

## Properties

### Cohomology and homology

In the literature one finds, roughly speaking, two different approaches to the study of étale groupoids. One approach is based on the construction of the convolution algebras associated to an étale groupoid, in the spirit of Connes' [[noncommutative geometry]], and involves the study of [[cyclic homology|cyclic]] and [[Hochschild homology]] and [[Hochschild cohomology|cohomology]] of these algebras. The other approach uses methods of algebraic topology such as the construction of the [[classifying space]] of an
étale groupoid and its [[abelian sheaf cohomology|(sheaf) cohomology groups]].

### Relation to Haefliger groupoids
 {#RelationToHaefligerGroupoids}

For $X_\bullet$ an étale groupoid, there is a canonical morphism

$$
  X_\bullet \longrightarrow \mathcal{H}(X_0) 
$$

to the [[Haefliger groupoid]], example \ref{HaefligerGroupoid}, of its manifold of objects. The [[kernel]] of this map is the _ineffective part_ of $X_\bullet$. If the kernel vanishes, then $X$ is called an [[effective Lie groupoid]].

(e.g. [Carchedi 12, section 2.2](Carchedi12))

### Characterization by convolution Hopf algebroids (Gelfand duality)
 {#GelfandDuality}

The [[groupoid convolution algebra]] $C^\ast(\mathcal{G}_\bullet)$ of a [[Lie groupoid]] with its canonical [[atlas]] remembered has the structure of a [[Hopf algebroid]]. 
In ([Mrčun 99](#Mrcun99), [Kališnik-Mrčun 07](#KalisnikMrcun07)) étale Lie groupoids are characterized dually by their Hopf algebroids  (a refinement of [[Gelfand duality]] to [[noncommutative topology]]).

### Characterization by site of manifolds and étale maps
 {#CharacterizationBySiteOfManifolds}

+-- {: .num_prop}
###### Proposition

The [[2-category]] of [[étale stacks]] with [[étale maps]] between them is equivalent to the [[2-topos]] over the [[site]] of [[smooth manifolds]] with [[local diffeomorphisms]] between them

=--

([Carchedi 12, theorem 3.4, corollary 3.3](Carchedi12))

+-- {: .num_prop #EtaleStackAsProlongations}
###### Proposition

A [[smooth stack]] is an étale stack precisely if it is in the [[essential image]] of the [[left Kan extension]] along the non-full inclusion of [[sites]]

$$
  SmthMfd^{et} \to SmthMfd
$$

of [[smooth manifolds]], with [[local diffeomorphisms]] on the left and all [[smooth functions]] on the right.

=--

([Carchedi 12, theorem 3.5, corollary 3.4](Carchedi12))

In particular:

+-- {: .num_prop}
###### Proposition

A [[smooth stack]] is an [[effective Lie groupoid|effective]] étale stack precisely if under the prolongation of prop. \ref{EtaleStackAsProlongations} it is equivalent to the image of a [[sheaf]] (i.e. of a [[0-truncated]] stack).

=--

([Carchedi 12, corollary 4.1, corollary 4.2](Carchedi12))

### Formalization in differential cohesion
 {#FormalizationInDifferentialCohesion}

See at _[[differential cohesion]]_ the section _[Etale objects](http://ncatlab.org/nlab/show/differential+cohesive+%28infinity%2C1%29-topos#EtaleObjects)_.

## Examples

&Eacute;tale groupoids arise naturally as models for [[leaf spaces]] of [[foliations]], for [[orbifold]]s, and for [[orbit spaces]] of [[discrete group]] [[actions]].


+-- {: .num_example}
###### Example

Every [[topological space]] may be regarded as an étale groupoid with only identity morphisms.

=--

+-- {: .num_example}
###### Example


For $X$ a [[topological space]] and $\Gamma$ a [[discrete group]] with a continuous [[action]] $X \times \Gamma \to X$ on $X$, the [[action groupoid]] $X//\Gamma$ is étale.

=--

+-- {: .num_example #HaefligerGroupoid}
###### Example


The [[Haefliger groupoid]] $\Gamma^q$ has the [[Cartesian space]] $\mathbb{R}^q$ as its space of objects. A [[morphism]] $x \to y$ is a [[germ]] of a [[diffeomorphism]] $(\mathbb{R}^q,x) \to (\mathbb{R}^q, y)$.

This groupoid, and its [[geometric realization]] play a central role in [[foliation theory]].

=--

+-- {: .num_example}
###### Example

Every [[orbifold]] is an étale [[Lie groupoid]].

=--
## Related concepts

* [[étale space]]

* [[orbifold]], [[Deligne-Mumford stack]]

* [[étale ∞-groupoid]]

* [[proper Lie groupoid]], [[effective Lie groupoid]]

## References

A standard textbook account is section 5.5. of 

* [[Ieke Moerdijk]], [[Janez Mrčun]], _[[Introduction to foliations and Lie groupoids]]_, Cambridge (2003)

The relation between étale groupoid and [[foliations]] is analyzed in detail in 

* [[Marius Crainic]], [[Ieke Moerdijk]], _Foliation groupoids and their cyclic homology_ ([arXiv:math/0003119](http://arxiv.org/abs/math/0003119))
 {#CrainicMoerdijk}
  

See also at _[[orbifold]]_ for basic and introductory literature. 

Further discussion of étale groupoids and their properties includes

* [[Marius Crainic]], [[Ieke Moerdijk]], _A Homology Theory for &Eacute;tale groupoids_ ([journal](http://www.math.uiuc.edu/K-theory/0284/))

* [[David Carchedi]], _Sheaf Theory for Étale Geometric Stacks_ ([arXiv:1011.6070](http://arxiv.org/abs/1011.6070))

* {#Carchedi12} [[David Carchedi]], section 2.2, section 3 of _Étale Stacks as Prolongations_ ([arXiv:1212.2282](http://arxiv.org/abs/1212.2282))

  

The [[groupoid convolution algebra|convolution]]-[[Hopf algebroids]] of &eacute;tale Lie groupoids have been characterized in

* [[Janez Mrčun]], _On spectral representation of coalgebras and Hopf algebroids_ ([arXiv:math/0208199](http://arxiv.org/abs/math/0208199))  
 {#Mrcun99}

* [[Jure Kališnik]], [[Janez Mrčun]], _Equivalence between the Morita categories of etale Lie groupoids and of locally grouplike Hopf algebroids_ ([arXiv:math/0703374](http://arxiv.org/abs/math/0703374))
 {#KalisnikMrcun07}



[[!redirects étale groupoids]]

[[!redirects etale groupoid]]
[[!redirects etale groupoids]]

[[!redirects étale Lie groupoid]]
[[!redirects étale Lie groupoids]]

[[!redirects etale Lie groupoid]]
[[!redirects etale Lie groupoids]]

[[!redirects foliation groupoid]]
[[!redirects foliation groupoids]]

[[!redirects étale stack]]
[[!redirects étale stacks]]

[[!redirects etale stack]]
[[!redirects etale stacks]]