


+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### $(\infty,1)$-Topos Theory
+--{: .hide}
[[!include (infinity,1)-topos - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

By **$(\infty,1)Topos$** is denoted the collection of all [[(∞,1)-topos]]es. This is the [[(∞,1)-category]]-theory analog of [[Topos]].

## Definition

**$(\infty,1)\,Topos$**  is the (non-full) [[sub-(∞,1)-category]] of [[(∞,1)Cat]] on [[(∞,1)-toposes]] and [[(∞,1)-geometric morphisms]] between them.

Morally, this should actually be an [[(∞,2)-category]], just as [[Topos]] is a [[2-category]], but since the technology of $(\infty,2)$-categories is not well developed, this point of view is not often taken yet.


## Properties

### Existence of sites of definition
  {#SitesOfDefinition}

(...)

### Existence of limits and colimits
 {#ExistenceOfLimitsAndColimits}

We discuss existence of [[(∞,1)-limit]]s and [[(∞,1)-colimit]]s in $(\infty,1)Topos$.

+-- {: .num_prop}
###### Proposition

The $(\infty,1)$-category $(\infty,1)Topos$ has all small $(\infty,1)$-colimits and functor

$$
  (\infty,1)Topos \to (\infty,1)Cat
$$

preserves these.

=--

This is [[Higher Topos Theory|HTT, prop. 6.3.2.3]].


+-- {: .num_prop}
###### Proposition

The $(\infty,1)$-category $(\infty,1)Topos$ has all small $(\infty,1)$-colimits and the inclusion

$$
  (\infty,1)Topos^{op} \to (\infty,1)Cat
$$

sends [[(∞,1)-limits]] to [[(∞,1)-limits]].

=--


+-- {: .num_prop}
###### Propoisition

The $(\infty,1)$-category $(\infty,1)Topos$ has [[filtered (infinity,1)-category|filtered]] [[(∞,1)-limit]]s and the inclusion

$$
  (\infty,1)Topos \to (\infty,1)Cat
$$

preserves these.

=--

This is [[Higher Topos Theory|HTT, prop. 6.3.3.1]].

+-- {: .num_prop}
###### Propoisition

The $(\infty,1)$-category $(\infty,1)Topos$ has all small [[(∞,1)-limit]]s.


=--

This is [[Higher Topos Theory|HTT, prop. 6.3.4.7]].

+-- {: .num_remark}
###### Remark

The $(\infty,1)$-limits in $(\infty,1)Topos$ coincide actually with the proper $(\infty,2)$-limits.

=--

This is [[Higher Topos Theory|HTT, remark 6.3.4.10]].


### Computation of limits and colimits
 {#ComputationOfLimitsAndColimits}

We discuss more or less explicit descriptions of 
[[(∞,1)-limits]] and [[(∞,1)-colimits]] in $(\infty,1)Topos$.

+-- {: .num_prop}
###### Proposition

Let 

$$
  \array{
    && \mathcal{X}
    \\
    && \downarrow^{\mathrlap{(g^* \dashv g_*)}}
    \\
    \mathcal{Y}
    &\stackrel{(f^* \dashv f_*)}{\to}&  
    \mathcal{Z}
  }
$$

be a [[diagram]] of [[(∞,1)-toposes]]. Then its [[(∞,1)-pullback]] is computed, roughly, by the [[(∞,1)-pushout]] of their [[(∞,1)-sites]] of definition (see [above](#SitesOfDefinition)).

More in detail: there exist [[(∞,1)-sites]] $\tilde \mathcal{D}$, $\mathcal{D}$, and $\mathcal{C}$ with [[finite limit|finite]] [[(∞,1)-limit]] and [[morphisms of sites]]  

$$
  \array{
    && \mathcal{D}
    \\
    && \uparrow^{\mathrlap{g}}
    \\
    \tilde \mathcal{D}
    &\stackrel{f}{\leftarrow}&  
    \mathcal{C}
  }
$$

such that

$$
  \left(
  \array{
    && \mathcal{X}
    \\
    && \downarrow^{\mathrlap{(g^* \dashv g_*)}}
    \\
    \mathcal{Y}
    &\stackrel{(f^* \dashv f_*)}{\to}&  
    \mathcal{Z}
  }
  \right) 
  \,\,\,
   \simeq
  \,\,\,
  \left(
  \array{
    && Sh_{(\infty,1)}(\mathcal{D})
    \\
    && \downarrow^{\mathrlap{(Lan_g \dashv (-)\circ g)}}
    \\
    Sh_{(\infty,1)}(\tilde \mathcal{D})
    &\stackrel{(Lan_f \dashv (-)\circ f)}{\to}&  
    Sh_{(\infty,1)}(\mathcal{C})
  }
  \right) 
  \,.
$$

Let then 

$$
  \array{
    \tilde \mathcal{D} \coprod_{\mathcal{C}} \mathcal{D} &\stackrel{f'}{\leftarrow}& \mathcal{D}
    \\
    {}^{\mathllap{g'}}\uparrow &\swArrow_{\simeq}& \uparrow^{\mathrlap{g}}
    \\
    \tilde \mathcal{D}
    &\stackrel{f}{\leftarrow}&  
    \mathcal{C}
  }
  \,\,\,\,\,
  \in
  (\infty,1)Cat^{lex}
$$

be the [[(∞,1)-pushout]] of the underlying [[(∞,1)-categories]] in the [[full sub-(∞,1)-category]] [[(∞,1)Cat]]${}^{lex} \subset (\infty,1)Cat$ of $(\infty,1)$-categories with finite $(\infty,1)$-limits.

Let moreover

$$
  Sh_{(\infty,1)}(\tilde \mathcal{D} \coprod_{\mathcal{C}} \mathcal{D})
  \hookrightarrow
  PSh_{(\infty,1)}(\tilde \mathcal{D} \coprod_{\mathcal{C}} \mathcal{D})
$$

be the [[reflective sub-(∞,1)-category]] obtained by [[localization]] at the class of morphisms generated by the inverse image $Lan_{f'}(-)$ of the [[covering]]s of $\mathcal{D}$ and the inverse image $Lan_{g'}(-)$ of the coverings of $\tilde \mathcal{D}$.

Then

$$
  \array{
    Sh_{(\infty,1)}(\tilde \mathcal{D} \coprod_{\mathcal{C}} \mathcal{D})
    &\to& \mathcal{X}
    \\
    \downarrow &\swArrow_{\simeq}& \downarrow^{\mathrlap{(g^* \dashv g_*)}}
    \\
    \mathcal{Y}
    &\stackrel{(f^* \dashv f_*)}{\to}&  
    \mathcal{Z}
  }
$$

is an [[(∞,1)-pullback]] square.


=--

This is [[Higher Topos Theory|HTT, prop. 6.3.4.6]].

## Related concepts

* [[Topos]]

* **$(\infty,1)$Topos**

## References

section 6.3 in 

* [[Jacob Lurie]], _[[Higher Topos Theory]]_
 {#Lurie}


category: category

[[!redirects (infinity,1)Topos]]
[[!redirects (infinity,1)Topoi]]
[[!redirects (infinity,1)Toposes]]
[[!redirects (infinity,1)-Topos]]
[[!redirects (infinity,1)-Topoi]]
[[!redirects (infinity,1)-Toposes]]
[[!redirects (∞,1)Topos]]
[[!redirects (∞,1)Topoi]]
[[!redirects (∞,1)Toposes]]
[[!redirects (∞,1)-Topos]]
[[!redirects (∞,1)-Topoi]]
[[!redirects (∞,1)-Toposes]]

[[!redirects (infinity,1)Toposes]]
