
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
#### $\infty$-Lie theory
+--{: .hide}
[[!include infinity-Lie theory - contents]]
=--
=--
=--


This entry provides some links concerning the notes

* {#Lurie} [[Jacob Lurie]], _Formal moduli problems_ ([pdf](http://www.math.harvard.edu/~lurie/papers/DAG-X.pdf))

#Contents#
* table of contents
{:toc}

## Idea

This text establishes a statement (theorem 5.3) that characterizes [[∞-stacks]] over an [[(∞,1)-site]] of formal duals of [[Artin ring|Artin]] [[E-infinity-ring|E-∞ algebras]] over a [[field]] (hence [[infinitesimally thickened points]] in [[derived geometry]]) such that

1. they have a contractible underlying [[∞-groupoid]]

   $$
    \Gamma X \simeq *
   $$

   (in the terminology and notation for [[cohesive (∞,1)-topos]]es) 

1. and are [[cohesive (∞,1)-presheaf on E-∞ rings|infinitesimally cohesive]] in that they respects [[homotopy fiber products]] of morphisms whose [[kernels]] are [[nilpotent ideals]]

with those associated to an [[∞-Lie algebra]] $\mathfrak{g}$ in the sense of ([Hinich](#Hinich)). This is ([Lurie, theorem 0.0.13, remark 0.0.15](#Lurie)).



The construction is then generalized to noncommutative geometry.

## Keywords

* [[deformation context]]

* [[formal moduli problem]]

* [[model structure for L-infinity algebras]]


## Related entries

A [[model category]]-[[presentable (infinity,1)-category|presentation]] of much of the theory exists, see the discussion at

* [[model structure for L-infinity algebras]] .

A indication of how to use the main theorem here in order to implement [[Lie differentiation]] of [[smooth ∞-groups]] is at

* _[synthetic differential infinity-groupoid -- Lie differentiation](synthetic%20differential%20infinity-groupoid#LieDifferentiation)_

## Related references

A similar result in less generality was discussed earlier in

* [[Vladimir Hinich]], _DG coalgebras as formal stacks_ ([arXiv:math/9812034](http://arxiv.org/abs/math/9812034))
 {#Hinich}

And further [[model category]] [[presentable (infinity,1)-category|presentations]] of much of the structure involved here are constructed and compared with each other in 

* {#Pridham} [[Jonathan Pridham]], _Unifying derived deformation theories_, Adv. Math. 224 (2010), no.3, 772-826 ([arXiv:0705.0344](http://arxiv.org/abs/0705.0344))
 

See at _[[model structure for L-infinity algebras]]_ for more along these lines.

For more related discussion see also

* [[Jacob Lurie]], _[[Higher Algebra]]_

A survey is in 

* [[Mauro Porta]], _Derived formal moduli problems_, master thesis 2013, [pdf](http://algant.eu/documents/theses/porta.pdf).


category: reference


[[!redirects Moduli Problems and DG-Lie Algebras]]
[[!redirects Formal Moduli Problems]]
[[!redirects Formal moduli problems]]