
# Spectral theory
* table of contents
{: toc}

## Idea


The point of a spectrum of an operator algebra should be thought as a common generalized eigenvalue of the corresponding family of operators. Thus the spectra of (operator) *algebras*, presenting the "points" of underlying space and spectra of (families of) *operators* have closely related origin in main examples. 

__Spectral theory__ concerns generalizations of the theory of the set of eigenvalues of a linear operator on a finite-dimensional vector space, and [[spectrum of a linear operator]], not necessarily bounded, on an infinite-dimensional _complex_ vector space. Most of such generalizations occur in functional analysis (spectral theory of bounded Hermitean operator on a Hilbert space, spectral theory of unbounded operators, spectral theory of families of operators, spectral theory of complex Banach algebras). Spectral theory is in the basis of Gel'fand-Neumark theorem. The points of the Gel'fand spectrum of a commutative $C^*$-algebra have spectral origin in the sense of [[functional analysis]]; the structure of an operator algebra reflects this -- the characters encode related information, and in more general cases, the ideal and even module structure. 

While spectra generalize eigenvalues, the generalized eigenmodes are studied in harmonic analysis, included noncommutative where irreducible representations generalize characters. It is traditional that by spectral theory in functional setup one subsumes only those "harmonic" issues which are closely  related to operator theoretic holomorphic calculus. As the operator is decomposed into an integral over a spectral measure, categories are often characterized by being generated by some special simple, smallest in some sense objects, which show some singular feature. Thus there are many spectra of categories. 


## In different contexts

### Spectral theory of Banach algebras

This is the main case of spectral theory studied in 20th century functional analysis. ...


### Spectra in algebraic geometry

Grothendieck has defined a prime spectrum of commutative unital ring having in mind Gel'fand's spectrum of a commutative $C^*$-algebra. In noncommutative ring theory, this was followed by a number of spectral constructions from  lattices of ideals, including prime and primitive spectrum, Gabriel's spectrum of indecomposable injectives and so on; some of these constructions were equipped with a structure sheaf. These construction are typically not faithful unlike Grothendieck's prime spectrum in commutative case and Gel'fand's spectrum. To get more information one needs to consider an entire category of modules, not only the ideals of the ring. Rosenberg has constructed a  richer spectrum of an abelian category involving a structure stack which is in heart of his reconstruction theorem for commutative [[scheme]]s (not necessarily [[affine scheme|affine]]) and in the ring case it reduces to his earlier construction of the left spectrum of a noncommutative ring. Later he noticed that there is an abundance of spectral constructions which all pass via an intermediate step of a construction of a preorder category, or of its relative analogue, and then applying the [[spectral cookbook]] to this datum.  

## Related notions

* [[spectral flow]] in geometry; related to study of [[index theorems]]

* Very recently, Gnang, Elgammal and Retakh proved some analogues of spectral theorems for tensors of higher rank, rather than for matrices. 

* _[[spectrum of an operator]]_, spectra of families, of a Banach algebra, _[[Gelfand spectrum]]_, prime (primitive etc.) spectrum of a commutative or noncommutative ring, _[[analytic spectrum]]_, _[[spectrum of an abelian category]]_, _[[spectrum of a triangulated category]]_, _[[Berkovich spectrum]]_, _[[Orlov spectrum]]_ etc.

* in algebraic geometry, especially in [[birational geometry]] and arithmetic algebraic geometry points are sometimes reconstructed by looking at [[valuation]]s on the field of rational functions. 

## Literature

* [[eom]]: [Spectral theory of linear operators](http://eom.springer.de/S/s086520.htm) (by Hazewinkel)
* wikipedia: [spectral theory](http://en.wikipedia.org/wiki/Spectral_theory)
* [[Tom Leinster]], _Spectra of operators and rings_, [nCafé](http://golem.ph.utexas.edu/category/2011/10/spectra_of_operators_and_rings.html)
* Gerald B. Folland, _A course in abstract harmonic analysis_, Studies in Advanced Mathematics. CRC Press, Boca Raton, FL, 1995. x+276 pp. [gBooks](http://books.google.com/books?hl=en&lr=&id=0VwYZI1DypUC)
* Nelson Dunford, Jacob T Schwartz, _Linear operators, spectral theory, self adjoint operators in Hilbert space_ (Part 2) (1967, paperback 1988). Wiley.
* Jean Dieudonné, _Fundamentals of modern analysis_, vol. I, chapter XI: Elementary spectral theory, 1969

* Jean Dieudonné, _Sur la théorie spectrale_,  J. Math. Pures Appl. (9) 35 (1956), 175–187, MR0077894

* [[Joel Robbin]], [[Dietmar Salamon]], _The spectral flow and the Maslov index_, Bull. London Math. Soc. __27__ (1995), no. 1, 1–33, [MR96d:58021](http://www.ams.org/mathscinet-getitem?mr=96d:58021), [doi](http://dx.doi.org/10.1112/blms/27.1.1)
* Edinah K. Gnang, Ahmed Elgammal, Vladimir Retakh, _A generalized spectral theory for tensors_, [arxiv/1008.2923](http://arxiv.org/abs/1008.2923)
 
* [[A. L. Rosenberg]], _The spectrum of abelian categories and reconstructions of schemes_, in Rings, Hopf Algebras, and Brauer groups, Lectures Notes in Pure and Appl. Math. __197__, Marcel Dekker, New York, 257--274, 1998; MR99d:18011; and Max Planck Bonn preprint _Reconstruction of Schemes_, [MPIM1996-108](http://www.mpim-bonn.mpg.de/preprints/send?bid=3948) (1996)

* [[A. L. Rosenberg]], _Spectra of noncommutative spaces_, MPIM2003-110 [ps](http://www.mpim-bonn.mpg.de/preprints/send?bid=1946) [dvi](http://www.mpim-bonn.mpg.de/preprints/send?bid=1945) (2003);
_Underlying spaces of noncommutative schemes_, MPIM2003-111, [dvi](http://www.mpim-bonn.mpg.de/preprints/send?bid=1947), [ps](http://www.mpim-bonn.mpg.de/preprints/send?bid=1948)

category: analysis, geometry, noncommutative geometry