
# Contents
* table of contents
{: toc}

## Definition

A [[morphism]] $f$ in a [[dagger-category]] is **self-adjoint** if

$$
  f^\dagger = f
  \,.
$$

For appropriate choices of dagger categories this restricts to various notions of self-adjointness:

* a **self-adjoint [[matrix]]** is a self-adjoint morphism in the $\dagger$-category whose objects are $\mathbb{C}^n$s and whose morphisms are [[linear map]]s and the dagger-operation is transposition followed by [[complex conjugation]];

* a *bounded* self-adjoint [[linear operator]] on a [[Hilbert space]] is defined everywhere and equals its own adjoint. The [[self-adjoint operator]] in general, unbounded case, is however not precisely equal to its adjoint as their domains may differ. As [[unbounded operator]]s do not form an algebra this notion is nevertheless not a special case of the above. See [[self-adjoint operator]].


## Related concepts

* **self-adjoint morphisms**

* [[unitary morphism]]

* [[compact self-adjoint operator]]


[[!redirects self-adjoint morphism]]
[[!redirects self-adjoint morphisms]]

[[!redirects self-adjoint matrix]]
[[!redirects self-adjoint matrices]]
[[!redirects self-adjoint]]
[[!redirects self-adjointness]]
