
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Model category theory
+--{: .hide}
[[!include model category theory - contents]]
=--
#### Stable homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

A [[model category]] structure on a category of [[spectra]] presents a [[stable (∞,1)-category]] of [[spectrum objects]].

Typically and naturally, a model structure on spectra forms a [[stable model category]]. In good cases it also forms a [[symmetric monoidal model category]] with respect to the [[smash product of spectra]], see at _[[symmetric monoidal smash product of spectra]]_.

## Examples

A classical 

* [[model structure on sequential spectra]] 

in [[simplicial sets]], not however with a symmetric monoidal smash product, is ([Bousfield-Friedlander 78](#BousfieldFriedlander78)) the 

* _[[Bousfield-Friedlander model structure]]_, 

with its analogue in [[topological spaces]], the

* [[model structure on topological sequential spectra]].

These are related by a [[zig-zag]] of [[Quillen equivalences]] to the 

* _[[model structure on combinatorial spectra]]_.

A [[Quillen equivalence|Quillen equivalent]] model structure to the model structures on sequential spectra that does carry a [[symmetric monoidal smash product of spectra]] is the

* _[[model structure for excisive functors]]_.

This models spectra as [[enriched functors]] on the site of [[pointed homotopy type|pointed]] [[finite homotopy types]]. Restricting that to smaller sub-sites, yields model structures for "[[highly structured spectra]]" with a [[symmetric monoidal smash product of spectra]]: the

* [[model structure on orthogonal spectra]],

* [[model structure on symmetric spectra]],

A unified treatment and comparison of these is in

* [[Model categories of diagram spectra]]

Then there is also the

* [[model structure on S-modules]].

## Related concepts

* [[model structure for connective spectra]]

* [[model structure on presheaves of spectra]]

* [[model structure for ring spectra]] 

* [[model structure for dendroidal left fibrations]]

* [[higher algebra]], [[brave new algebra]], [[higher linear algebra]]

* [[stable (infinity,1)-category]]

## References

The [[Bousfield-Friedlander model structure]] on [[sequential spectra]] in [[simplicial sets]] is due to

* {#BousfieldFriedlander78} [[Aldridge Bousfield]], [[Eric Friedlander]], _Homotopy theory of $\Gamma$-spaces, spectra, and bisimplicial sets_, Springer Lecture Notes in Math., Vol. 658, Springer, Berlin, 1978, pp. 80-130. ([pdf](https://www.math.rochester.edu/people/faculty/doug/otherpapers/bousfield-friedlander.pdf))

(a quick review of this is in [Lydakis 98, section 10](#Lydakis98)).

The Quillen equivalent [[model structure on excisive functors]] on pointed simplicial sets is due to

* {#Lydakis98} Lydakis, section 10 of _Simplicial functors and stable homotopy theory_ Preprint, available via Hopf archive, 1998 ([pdf](http://hopf.math.purdue.edu/Lydakis/s_functors.pdf))

and a similar model structure for functors on topological spaces has been given in 

* [[William Dwyer]], _Localizations_, In _Axiomatic, enriched and motivic homotopy theory_, volume 131 of NATO Sci. Ser. II Math. Phys. Chem., pages 3–28. Kluwer Acad. Publ., Dordrecht, 2004

See also

* [[Michael Mandell]], [[Peter May]], [[Stefan Schwede]], [[Brooke Shipley]], _[[Model categories of diagram spectra]]_, Proceedings of the London Mathematical Society, 82 (2001), 441-512 ([pdf](http://www.math.uchicago.edu/~may/PAPERS/mmssLMSDec30.pdf))

A discussion of model structures on spectra in general ambient model categories (general [[spectrum objects]], including e.g. [[motivic spectra]]) is in

* {#Hovey00} [[Mark Hovey]], _Spectra and symmetric spectra in general model categories_ ([arXiv:0004051](http://arxiv.org/abs/math/0004051))

and for the [[Bousfield-Friedlander model structure|Bousfield-Friedlander-type model structure]] in 

* {#Schwede97} [[Stefan Schwede]], _Spectra in model categories and applications to the algebraic cotangent complex_, Journal of Pure and Applied Algebra 120 (1997) 77-104 ([pdf](http://www.math.uni-bonn.de/people/schwede/modelspec.pdf))

and for the [[model structure for excisive functors|excisive-functor-type model structure]] in
 
* [[Bjørn Ian Dundas]], [[Oliver Röndigs]], [[Paul Arne Østvær]], _Enriched functors and stable homotopy theory_,  Doc. Math., 8:409–488, 2003 ([EuDML](https://eudml.org/doc/123650))

[[!redirects model structures on spectra]]

[[!redirects model category of spectra]]
[[!redirects model categories of spectra]]

[[!redirects model structures of spectra]]

[[!redirects model structure for spectra]]
[[!redirects model structures for spectra]]


