
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### $(0,1)$-Category theory
+--{: .hide}
[[!include (0,1)-category theory - contents]]
=--
#### Type theory
+-- {: .hide}
[[!include type theory - contents]]
=--
#### Modalities, Closure and Reflection
+-- {: .hide}
[[!include modalities - contents]]
=--
=--
=--


# The epistemic logics $S4$ and $S4_{(m)}$
* table of contents
{:toc}

## Idea

The flavor of _[[modal logic]]_ called $S4$ is [[propositional logic]] equipped with a single [[modality]] usually written "$\Box$" subject to the rules that for all [[propositions]] $p, q \colon Prop$ we have

1. $\Box K \colon \Box(p \to q) \to (\Box p \to \Box q)$ ([[K modal logic]])

1. $\Box T \colon \Box p \to p$ ([[T modal logic]])

1. $\Box 4 \colon \Box p \to \Box \Box p$. (S4 modal logic)

1. (in addition in [[S5 modal logic]] one adds: $\lozenge p \to \Box \lozenge p$).


Traditionally the canonical interpretation of the Box operator is that $\Box p$ is the statement that "$p$ is _[[necessity|necessarily]]_ true." (The [[de Morgan duality|de Morgan dual]] to the necessity modality is the "[[possibility]]" modality.) Then the interpretation of $\Box $ is that "If $p$ is necessarily true then it is necessarily necessarily true."
S4 modal logic appears in many [[temporal logics]].


If instead of a single Box operator one considers $n \in \mathbb{N}$ box operators $\Box_i$ of this form the resulting modal logic is denote $S4(n)$. Here $\Box_i p$ is sometimes interpreted as "the $i$th agent knows $p$."

## Properties

### Relation to Kripke frames

The [[models]] for [[T modal logic]] corresponded to [[Kripke frames]] where each [[relation]] $R_i$ is [[reflexive relation|reflexive]].  
For $S4$ modal logic they are furthermore [[transitive relation|transitive]].

+-- {: .un_theorem}
###### Theorem (Soundness of $S4_{(m)}$)

$S4_{(m)}\vdash \phi \Rightarrow \mathcal{S}4(m)\models \phi.$
=--

+-- {: .un_proof}
###### Proof

(We show this for $m = 1$.)

Suppose that $\mathfrak{M}= ((W,R),V)$ where $R$ is a reflexive transitive relation on $W$.  We have to check that $\mathfrak{M}\models (4)$.

Suppose $\mathfrak{M},w\models K p$, then, for every  $t$ with $R w t$, we have $\mathfrak{M},t\models p$.  Now suppose we seek to check that $\mathfrak{M},w\models K K p$ so we have $t$ with $R w t$ and want $\mathfrak{M},t\models K p$, so we look at all $u$ with $R t u$ and have to see if $\mathfrak{M},u\models p$, but as $R w t$ and $R t u$ hold then $R w u$ holds, since $R$ is transitive, and we then _know_ that $\mathfrak{M},u\models p$.
=--

## Related concepts

* [[K modal logic]]
  
* [[T modal logic]]

* [[Löb's axiom]]

## References

* {#Kripke80} [[Saul Kripke]], _[[Naming and Necessity]]_ (1980)


* Natasha Alechina, Michael Mendler, [[Valeria de Paiva]], and Eike Ritter, _Categorical and Kripke Semantics for Constructive S4 Modal Logic_ ([pdf](http://www.cs.nott.ac.uk/~nza/papers/Alechina++:01a.pdf))

More on $S4$, $S5_{(m)}$ and their applications in Artificial Intelligence can be found in

* J.- J. Ch. Meyer and W. Van der Hoek, _Epistemic logic for AI and Computer Science_, Cambridge Tracts in Theoretical Computer Science, vol. 41, 1995.


General books on modal logics which treat  these logics thoroughly in the general context include 

* [[Patrick Blackburn]], M. de Rijke and [[Yde Venema]], _Modal Logic_, Cambridge Tracts in Theoretical Computer Science, vol. 53, 2001.

* [[Marcus Kracht]], _Tools and Techniques in Modal Logic,_ Studies in Logic and the Foundation of Mathematics, 142, Elsevier, 1999.


[[!redirects the logic S4(m)]]
[[!redirects S4(m)]]
[[!redirects S4 modal logic]]

[[!redirects S4]]

