
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Homotopy theory
+--{: .hide}
[[!include homotopy - contents]]
=--
#### Model category theory
+--{: .hide}
[[!include model category theory - contents]]
=--
#### Noncommutative geometry
+--{: .hide}
[[!include noncommutative geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Overview

So far there are only few works on [[homotopy theory]] for [[operator algebras]]. One of the basic checks for good homotopy theory of operator algebras is that the [[KK-theory|Kasparov KK-groups]] should be obtained from Hom-s in the appropriate stable category of operator algebras. This subject is important in order to introduce more systematic homotopic methods in [[noncommutative geometry]] à la [[Alain Connes]]. 

## Related concepts

* [[homotopical structure on C*-algebras]]

## References

Quillen [[model category]] structures on various categories of operator algebras have been introduced and studied in

* Michael Joachim, Mark W. Johnson, _Realizing Kasparov’s KK-theory groups
as the homotopy classes of maps of a Quillen model category, An alpine anthology
of homotopy theory_, Contemp. Math. __399__, Amer. Math. Soc. 2006, pp. 163–197, [MR2007c:46070](http://www.ams.org/mathscinet-getitem?mr=2007c:46070)

* [[Paul Arne Østvær]], _Homotopy theory of $C^*$-algebras_, Frontiers in Mathematics, Springer Basel, 2010, ([arxiv/0812.0154](http://arxiv.org/abs/0812.0154), [pdf](http://folk.uio.no/paularne/file0.pdf))

and a [[category of fibrant objects]] approach in 

* [[Otgonbayar Uuye]], _Homotopy theory for $C^*$-algebras_, [arxiv/1011.2926](http://arxiv.org/abs/1011.2926)

In fact, Baues fibration category structure has been constructed in 1997, not only on the category of $C^\ast$-algebras but on a wider class of similar categories:

* Kasper K. S. Andersen, Jesper Grodal, _A Baues fibration category structure on Banach and $C^\ast$-algebras_, [pdf](http://www.math.ku.dk/~jg/papers/fibcat.pdf)

See at _[[homotopical structure on C*-algebras]]_.

The [[derived category]]/[[triangulated category]] approach to operator algebras is introduced in  

* Ralf Meyer, Ryszard Nest, _Homological algebra in bivariant K-theory and other triangulated categories_, [math.KT/0702146](http://arxiv.org/abs/math/0702146)

* Ralf Meyer, Ryszard Nest, _The Baum-Connes conjecture via localisation of
categories), Topology __45__ (2006), no. 2, 209–259, [math.KT/0312292](http://arxiv.org/abs/math/0312292), [MR2006k:19013](http://www.ams.org/mathscinet-getitem?mr=2006k:19013)

where a noncommutative analogue of the stable category of spectra is introduced. 

There is also a related survey

* Ralf Meyer, _Categorical aspects of bivariant K-theory, K-theory and noncommutative geometry_, European Math. Soc. Ser. Congr. Rep., [math.KT/0702145](http://arxiv.org/abs/math/0702145), [MR2010h:19008](http://www.ams.org/mathscinet-getitem?mr=2010h:19008)

[[!redirects model structures on operator algebras]]
[[!redirects homotopy theory for operator algebras]]
[[!redirects homotopy theories for opetator algebras]]
[[!redirects homotopy theory for C*-algebras]]
