


+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher symplectic geometry
+--{: .hide}
[[!include symplectic geometry - contents]]
=--
=--
=--

> under construction

#Contents#
* table of contents
{:toc}

## Idea

What is called _Nambu mechanics_ is a generalization of the formulation of [[classical mechanics]] ([[prequantum geometry]]) via [[Poisson manifold|Poisson brackets]] to bracket-operations of arity $(n+1)$ higher than 2 -- the Nambu brackets --, with an "[[n-Lie algebra|(n+1)-Lie algebra]]"-structure (see the discussion there for distinction with proper [[Lie n-algebras]]).

## Examples

### The membrane

One example that naturally gives rise to Nambu mechanics is the relativistic [[membrane]], see at _[[membrane matrix model]]_ and at _[[BLG model]]_.

## Related concepts

* [[higher Poisson structure]]

  * [[Poisson n-algebra]]

  * [[Poisson bracket Lie n-algebra]]

* [[membrane]]

## References

### General

Nambu mechanics and Nambu brackets were introduced in 

* [[Yoichiro Nambu]], _Generalized Hamiltonian dynamics_, Phys. Rev. D (3) 7 (1973), p. 2405-2412 [MR455611](http://www.ams.org/mathscinet-getitem?mr=455611) [doi](http://dx.doi.org/10.1103/PhysRevD.7.2405) [Zbl](http://www.zentralblatt-math.org/zmath/en/search/?q=an:1027.70503)

Detailed analysis is in

* [[Tamiaki Yoneya]], _Generalized Hamilton-Jacobi theory of Nambu Mechanics_ ([arXiv:1612.08509](https://arxiv.org/abs/1612.08509))

* [[Tamiaki Yoneya]], _Lectures on Higher-Gauge Symmetries from Nambu Brackets and Covariantized M(atrix) Theory_,  lectures delivered in the workshop "[Higher Structure in String Theory and M-theory](http://www.tfc.tohoku.ac.jp/event/4123.html)", TFC Thematic Program, Fundamental Problems on Quantum Physics, Tohoku University (March 7-11, 2016), ([arXiv:1612.08513](https://arxiv.org/abs/1612.08513))

Reviews include 

* Wikipedia, _[Nambu mechanics](http://en.wikipedia.org/wiki/Nambu_mechanics)_

* Thomas Curtright, Cosmas Zachos, _Classical and Quantum Nambu Mechanics_, Phys. Rev. D68:085001 (2003) ([arXiv:hep-th/0212267](http://arxiv.org/abs/hep-th/0212267))


### Interpretation in higher symplectic geometry
Comments on interpreting Nambu mechanics in [[2-plectic geometry]] (and in view of the [[IKKT matrix model]]) appear in

* [[Christian Saemann]], [[Patricia Ritter]], _Lie 2-algebra models_ ([arXiv:1308.4892](http://arxiv.org/abs/1308.4892))

For background on this see also the discussion at _[[3-Lie algebra]]_ on how these are given by [[Lie 2-algebras]] (as [metric Lie 2-algebras](#n-Lie+algebra#SaemannRitter13))

[[!redirects Nambu bracket]]
[[!redirects Nambu brackets]]