


+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Riemannian geometry
+--{: .hide}
[[!include Riemannian geometry - contents]]
=--
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
=--
=--


# The future cone
* table of contents
{: toc}

## Idea

The future cone of a point $x$ is the set consisting of all points in the [[future]] of $x$.  (We usually interpret this condition weakly, so that $x$ itself belongs to its own future cone.)

Perhaps the terms *forward cone* resp. *backward cone* might be used as synonyms for the concept.

The dual concept is the _past cone_.


## In relativity theory

Given a [[Lorentzian manifold]] $(X,x)$ equipped with a [[time orientation]] then

* the _future cone_ at $x \in X$ is the subspace $V_x^+ \subset T_x X$ of the [[tangent space]] of $X$ consisting of all those [[tangent vectors]] which are future pointing;

* the __future__ of $x$ consists of all points $y$ such that there exists a future-directed curve (which may be timelike, lightlike, or a mixture) from $x$ to $y$.

If we may put a global time coordinate $t$ on the manifold (which is a stronger condition), then the future cone of $x$ consists of all points $y$ such that $t(y) \geq t(x)$ and $x$ and $y$ are not space-like separated.

For more see at _[[causal cone]]_.


## In directed homotopy theory

In the context of [[directed homotopy theory]] the **future cone** of a point, $x$, in a [[directed topological space]] is, more-or-less, the directed subspace of those points $y$ which are greater than $x$. In case the space might not be that 'nice' or, for instance, we have a local partial order rather than a global one, it is preferable to say that it is the directed space of points, $y$, for which there is a distinguished path from $x$ to $y$.


## Related concepts

* [[light cone]]

* [[conal manifold]]

[[!redirects future cone]]
[[!redirects future cones]]

[[!redirects past cone]]
[[!redirects past cones]]
