
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Geometry
+--{: .hide}
[[!include higher geometry - contents]]
=--
#### Operator algebra
+--{: .hide}
[[!include AQFT and operator algebra contents]]
=--
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The _spectral action_ is a natural [[functional]] on the space of [[spectral triples]]. It is essentially a regularized [[heat kernel]] expansion of the [[Dirac operator]]-like operator in the spectral triple.

Since a spectral triple encodes [[Riemannian geometry]] in a generalized context of [[noncommutative geometry]], a functional on a space of spectral triples is comparable to the [[Einstein-Hilbert action]] functional on the space of ordinary Riemennian manifolds. And indeed, on spectral triples corresponding to ordinary Riemannian geometry the spectral action reduces to the Einstein-Hilbert action plus a series of integrals over higher [[curvature]] invariants. Moreover, by an incarnation of the [[Kaluza-Klein mechanism]], on spectral triples corresponding to a Riemannian manifold times a non-classical space of classical dimension 0, the spectral action to first order is an [[Einstein-Yang-Mills-Dirac theory]] and in fact [[Einstein-Maxwell-Yang-Mills-Dirac-Higgs theory]], hence also includes [[gauge theory]] ([[Yang-Mills theory]]).


## Application to particle phenomenology

The spectral action has been proposed as an [[action functional]] for describing fundamental [[physics]] (the [[standard model of particle physics]]). See at 

* [[higher category theory and physics]] the section _[The standard model and gravity](higher+category+theory+and+physics#SpecStandModAndGravity)_.

Notice that a [[spectral triple]] which describes the [[worldline]] [[quantum mechanics]] of a point [[particle]] may be regarded as the point-particle degeneration limit of a [[2d SCFT]] (a "[[2-spectral triple]]", [Roggenkamp-Wendland 03](#RoggenkampWendland03), [Soibelman 11](#Soibelman11)) which describes the [[worldsheet]] [[quantum field theory]] of a [[superstring]]. It has been argued ([Chamseddine 97](#Chamseddine97)) that the spectral action of the spectral triple correspondingly reproduces that of the [[effective field theories]] of these [[string theories]].

## Related concepts

* [[Connes-Lott-Chamseddine model]]

## References

### General On spectral triples

The notion of [[spectral triple]] and of spectral action was introduced in

* [[Alain Connes]], _Gravity coupled with matter and foundation of non-commutative geometry_ ([arXiv:hep-th/9603053](http://arxiv.org/abs/hep-th/9603053))

A discussion specifically of the spectral action is in

* [[Ali Chamseddine]], [[Alain Connes]], _The Spectral Action Principle_ [arXiv:hep-th/9606001](http://arxiv.org/abs/hep-th/9606001),

Earlier articles on this include

* [[Ali Chamseddine]], _Remarks on the Spectral Action Principle_ ([arxiv:hep-th/9806046](http://arxiv.org/abs/hep-th/9806046))


### Phenomenological models

In the article

* {#Connes08} [[Alain Connes]], _Noncommutative Geometry and the standard model with neutrino mixing_, JHEP0611:081,2006 ([arXiv:hep-th/0608226](http://arxiv.org/abs/hep-th/0608226))

a previous version of [[Connes-Lott-Chamseddine model]] was refined in some technical fine print, and it was found that the [[KO-dimension]] of the classically 0-dimensional compactification spaces has to be 6 (just as in [[superstring theory]]). Also a concise [[bimodule]]-characterization of the particle content of the standard model was claimed (prop. 2.2).

### Lift to 2-spectral triples

A claim that the spectral action for something like a [[2-spectral triple]] does reproduce the effective background action of [[string theory]] is in 

* {#Chamseddine97} [[Ali Chamseddine]], _An Effective Superstring Spectral Action_ ([arXiv:hep-th/9705153](http://arxiv.org/abs/hep-th/9705153))

A detailed derivation of how ordinary [[spectral triples]] arise as point particle limits of [[vertex operator algebra]]s for 2d [[SCFTs]] is in

* {#RoggenkampWendland03} [[Daniel Roggenkamp]], [[Katrin Wendland]], _Limits and Degenerations of Unitary Conformal Field Theories_ ([arXiv:hep-th/0308143](http://arxiv.org/abs/hep-th/0308143))

A summary of this is in

* [[Daniel Roggenkamp]], [[Katrin Wendland]], _Decoding the geometry of conformal field theories_ ([arXiv:0803.0657](http://arxiv.org/abs/0803.0657))

Also

* Sebastiano Carpi, Robin Hillier, [[Yasuyuki Kawahigashi]], [[Roberto Longo]], _Spectral Triples and the Super-Virasoro Algebra_ Communications in Mathematical Physics, Volume 295, Number 1 / April 2010 ([Springer pdf](http://www.springerlink.com/content/316wx4r4x885172w/fulltext.pdf))


A brief indication of some ideas of [[Yan Soibelman]] and [[Maxim Kontsevich]] on this matter is at

* [[Urs Schreiber]],  [_Spectral triples and graph field theory_](http://golem.ph.utexas.edu/category/2007/06/had_the_pleasure_of_talking.html)

Details are in

* {#Soibelman11} [[Yan Soibelman]], _Collapsing CFTs, spaces with non-negative Ricci curvature and nc-geometry_ , in [[Hisham Sati]], [[Urs Schreiber]] (eds.), _[[schreiber:Mathematical Foundations of Quantum Field and Perturbative String Theory]]_, Proceedings of Symposia in Pure Mathematics, AMS (2001)



[[!redirects spectral action principle]]