+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Homological algebra
+--{: .hide}
[[!include homological algebra - contents]]
=--
#### Model category theory
+--{: .hide}
[[!include model category theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

In the context of [[homological algebra]] [[derived functors]] are traditionally considered on a [[model structure on chain complexes]] and often they are evaluated only on chain complexes that are concentrated in a single degree. If instead they are evaluated on general chain complexes, one sometimes speaks of **hyper-derived functors** for emphasis.

For more see at _[[derived functor in homological algebra]]_.

## Examples

If [[abelian sheaf cohomology]] is considered in terms of the [[derived functor]] of the [[global section]] functor, then the corresponding hyper-derived functor is [[hypercohomology]]. This, too, is really just the basic definition of (abelian) [[cohomology]], but not restricted to [[Eilenberg-MacLane object]]s concentrated in a single degree.

## Properties

There is a certain [[spectral sequence]] that can help to compute values of hyper-derived functors. See the section <a href="http://ncatlab.org/nlab/show/spectral+sequence#HyperDerivedFunctors">Spectral sequences for hyper-derived functors</a>.

## Related concepts

* [[hypercohomology]]

[[!redirects hyper-derived functors]]

[[!redirects hyperderived functor]]
[[!redirects hyperderived functors]]