
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### Quantum field theory
+--{: .hide}
[[!include functorial quantum field theory - contents]]
=--
#### Super-Geometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The _superparticle_ is a [[sigma-model]] [[quantum field theory]] analogous to the ordinary [[relativistic particle]] but where either the worldline or the target space are taken to be [[supermanifolds]]. Described by [[supersymmetric quantum mechanics]].

## Definitions

One way to define what this means classically is to give an [[action functional]] on spaces of maps from the worldline into super target space. One such is the

* [[Green-Schwarz action functional]].

The [[quantization]] of this action functional to a 1-dimensional worldvolume [[QFT]] is still largely an open problem.

An axiomatic description of the worldvolume QFT of the superparticle can be given in terms of [[FQFT]] as a representation of a category of super-[[cobordisms]]. One such approach is described at

* [[(1,1)-dimensional Euclidean field theories and K-theory]].

The algebraic data encoded by such a representation is essentially that of a 

* [[spectral triple]].

See there for more details.

## Related concepts

* [[super p-brane]]

* [[kappa-symmetry]]

* [[sigma model]], [[brane]]

  * [[particle]], [[spinning particle]], [[fermion]], **superparticle**

  * [[string]]

  * [[membrane]]

* [string theory FQA -- Does string theory predict supersymmetry?](string+theory+FAQ#DoesSTPredictSupersymmetry)

## References

Analysis in [[classical field theory]] in terms of [[supergeometry]] is in

* {#Freed01} [[Daniel Freed]], lecture 4 of _Classical field theory and Supersymmetry_, IAS/Park City Mathematics Series Volume 11 (2001) ([pdf](https://www.ma.utexas.edu/users/dafr/pcmi.pdf))



[[!redirects superparticles]]

[[!redirects super-particle]]
[[!redirects super-particles]]

[[!redirects super particle]]
[[!redirects super particles]]
