
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Spin geometry
+-- {: .hide}
[[!include higher spin geometry - contents]]
=--
#### Bundles
+-- {: .hide}
[[!include bundles - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Definition

A _spinor bundle_ on a [[smooth manifold]] with [[spin structure]] is a $\rho$-[[associated bundle]] associated to the [[spin group]]-[[principal bundle]] lifting the [[tangent bundle]], for $\rho : \mathbf{B} Spin \to $ [[Vect]] a [[spin representation]].

A [[section]] of a spinor bundle is called a **spinor** (a [[fermion]] [[field (physics)|field]])

## Related concepts

* [[Clifford bundle]]

* [[fiber bundles in physics]]

* [[rotor]]

* [[spinor]], [[spin representation]]

* [[Dirac field]]

A [[Dirac operator]] acts on [[sections]] of a spinor bundle.

In [[physics]], sections of spinor bundles model matter [[relativistic particle|particle]]s: [[fermion]]. See [[spinors in Yang-Mills theory]].

* [[fermion]]

  * [[electron]], [[quark]]

  * [[gravitino]], [[gluon]]

* [[Velo-Zwanziger problem]]

* [[symplectic spinor]]

* [[twistor]]

[[!include standard model of fundamental physics - table]]

## References

The term "spinor" is due to [[Paul Ehrenfest]].

* {#Cartan66} [[Élie Cartan]], _Theory of Spinors_, Dover,  first edition 1966

* [[Roger Penrose]], [[Wolfgang Rindler]], _Spinors and space time_, in 2 vols. Cambridge Univ. Press 1984/1988.  

* [[H. Blaine Lawson]], [[Marie-Louise Michelsohn]], chapter II, section 3 _[[Spin geometry]]_, Princeton University Press (1989)

* [[Daniel Freed]], _[[Five lectures on supersymmetry]]_


* [pdf](http://verbit.ru/MATH/TALKS/Israel/kahler-3.pdf)

Spinors in [[classical field theory]] ([[fermions]]):

* {#DeligneFreed99} [[Pierre Deligne]], [[Daniel Freed]], §3.4 of _Classical field theory_ (1999) ([pdf](https://publications.ias.edu/sites/default/files/79_ClassicalFieldTheory.pdf))

  this is a chapter in

  [[Pierre Deligne|P. Deligne]], [[Pavel Etingof|P. Etingof]], [[Dan Freed|D.S. Freed]], L. Jeffrey, [[David Kazhdan|D. Kazhdan]], J. Morgan, D.R. Morrison, [[Edward Witten|E. Witten]] (eds.)  _[[Quantum Fields and Strings]], A course for mathematicians_, 2 vols. Amer. Math. Soc. Providence 1999. ([web version](http://www.math.ias.edu/qft))

* [[Radovan Dermisek]] _qft I-8_ ([pdf](http://www.physics.indiana.edu/~dermisek/QFT_09/qft-I-8-4p.pdf), [[DermisekSpinorField.pdf:file]])


Discussion relating manifolds with spinor bundles to [[supergeometry]] includes

* [[Dmitri Alekseevsky]], [[Vicente Cortés]], [[Chandrashekar Devchand]], [[Uwe Semmelmann]], _Killing spinors are Killing vector fields in Riemannian Supergeometry_ ([arXiv:dg-ga/9704002](http://arxiv.org/abs/dg-ga/9704002))

## History


* B. L.Van derWaerden, _Exclusion principle and spin_, in _Theoretical Physics in the Twentieth Century: A Memorial Volume to Wolfgang Pauli_, ed. M. Fierz and V. F. Weisskopf, New York: Interscience, 1960


[[!redirects spinor bundles]]

[[!redirects spinor]]
[[!redirects spinors]]

[[!redirects spin bundle]]
[[!redirects spin bundles]]