
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Definition

An **$E_n$-algebra** is an [[∞-algebra over an (∞,1)-operad|∞-algebra]] over the [[E-k operad]].


## Special cases

### $E_1$-algebras

$E_1$-algebras are often called [[A-∞ algebras]]. See also [[algebra in an (∞,1)-category]].

An $E_1$ algebra in the [[symmetric monoidal (∞,1)-category]] [[Spec]] of [[spectra]] is a [[ring spectrum]]. 

### $E_2$-algebras

The [[homology]] of an $E_2$-algebra in [[chain complex]]es is a [[Gerstenhaber algebra]].

### $E_\infty$-algebra

See [[E-∞ algebra]].


## Examples

* [[universal enveloping E-n algebra]]

## Properties

### Relation to Poisson $n$-algebras

The [[homology]] of an $E_n$-algebra for $n \geq 2$ is a 
[[Poisson n-algebra]]. 

Moreover, in [[chain complexes]] over a [[field]] of [[characteristic]] 0 the [[E-n operad]] is [[formal dg-algebra|formal]], hence equivalent to its homology, and so in this context $E_n$-algebras are equivalent to [[Poisson n-algebras]].

See there for more.


## Related concepts

[[!include k-monoidal table]]

* [[k-tuply monoidal (n,r)-category]]

* [[k-tuply groupal n-groupoid]]

* [[A-n algebra]]

* [[nonunital Ek-algebra]]

## References

Section 5 of

* [[Jacob Lurie]], _[[Higher Algebra]]_,

some summary of which is at _[[Ek-Algebras]]_.

Discussion of [[derived noncommutative geometry]] over [[formal duals]] of $E_n$-algebras is in 

* [[John Francis]], _Derived algebraic geometry over $\mathcal{E}_n$-Rings_ ([pdf](http://math.northwestern.edu/~jnkf/writ/thezrev.pdf))

* [[John Francis]], _The tangent complex and Hochschild cohomology of $\mathcal{E}_n$-rings_ ([pdf](http://math.northwestern.edu/~jnkf/writ/cotangentcomplex.pdf))




[[!redirects En-algebras]]

[[!redirects E1-algebra]]
[[!redirects E1-algebras]]


[[!redirects E2-algebra]]
[[!redirects E2-algebras]]

[[!redirects E3-algebra]]
[[!redirects E3-algebras]]

[[!redirects E4-algebra]]
[[!redirects E4-algebras]]

[[!redirects E5-algebra]]
[[!redirects E5-algebras]]


[[!redirects Ek-algebra]]

[[!redirects E-k algebra]]
[[!redirects E-k algebras]]

[[!redirects E-n algebra]]
[[!redirects E-n algebras]]

[[!redirects Ek-algebra]]
[[!redirects Ek-algebras]]





