
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Elliptic cohomology
+-- {: .hide}
[[!include elliptic cohomology -- contents]]
=--
#### Higher geometry
+--{: .hide}
[[!include higher geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A _moduli stack of elliptic curves_ is a [[moduli stack]] of [[elliptic curves]], hence a [[stack]] $\mathcal{M}_{ell}$ such that for $X$ any other suitable [[space]], the [[groupoid]] of maps $X \to \mathcal{M}_{ell}$ and [[homotopies]] between them is [[equivalence of groupoids|equivalent]] to that of $X$-parameterized [[elliptic curves]] with equivalences between these. (There are some variants of $\mathcal{M}_{ell}$ corresponding to the choice of which singularities and degeneracies of elliptic curves are taken into account.)

This is formalized in [[algebraic geometry]], hence $X$ here is a [[scheme]] over the [[integers]] in general. The moduli stack always has a tautological construction as a "[[sheaf]] of [[groupoids]]" (a [[stack]], whence the name) over the [[site]] of [[affine schemes]], given by sending any $Spec(R)$ to the groupoid of suitable [[elliptic curves]] over $Spec(R)$. For concrete computations it typically helps to know that the moduli stack of elliptic curbes is [[representable functor|represented]] by a [[geometric stack]], [[Isbell duality|dually]] given by a [[Hopf algebroid]]. 

The moduli stack $\mathcal{M}_{ell}$ has a [[Deligne-Mumford compactification|compactification]] $\mathcal{M}_{\overline{ell}}$ obtained by adding the [[nodal cubic curve]], and often (but not always) this compactified version is the default meaning of "moduli stack of elliptic curves". Adding also the [[cuspidal cubic curve]] and hence all [[cubic curves]] produces the full moduli stack $\mathcal{M}_{cub}$ of cubic curves, inside which $\mathcal{M}_{ell}$ sits as the locus of non-singular curves.

Since an [[elliptic curve]] is a [[arithmetic genus|genus-1]] [[algebraic curve]] with a marked point (the neutral element of the [[group]] structure), $\mathcal{M}_{ell}$ is equivalently the [[moduli stack of algebraic curves]] for genus $g = 1$ with $n = 1$ punctures, and as such is often equivalently written 

$$
  \mathcal{M}_{1,1} = \mathcal{M}_{ell}
  \,.
$$

A special class of cases which is much simpler than the general case but still of paramount interest is the moduli stack of elliptic curves over the [[complex numbers]], hence of maps $Spec(\mathbb{C}) \to \mathcal{M}_{ell}$. These are just [[complex manifold|complex]] [[tori]]/[[Riemannian manifolds]] of [[genus of a surface|genus]] 1 which may be identified with quotients of the [[complex plane]] by a framed [[lattice]] well-defined up to [[Möbius transformations]], and so in this case the moduli stack of elliptic curves is just the [[homotopy quotient]] (the [[orbifold]] quotient) of the [[upper half plane]] by the [[action]] of the [[modular group]]. (This is equivalently the [[moduli space of curves]] $\mathcal{M}_{(1,1)}$ which in turn is a quotient of the [[Teichmüller space]] $\mathcal{T}_{(1,1)}$.) This case is considered below in 

* _[Description over the complex numbers](#DescriptionOverTheComplexNumbers)_.

Below that is the

* _[Description over general schemes](#DescriptionOverGeneralSchemes)_.
 
as an [[algebraic stack]] $\mathcal{M}_{ell}$. This is still not the most refined description: by the [[Goerss-Hopkins-Miller theorem]] the assignment to an [[elliptic curve]] of its [[elliptic spectrum]] lifts the ordinary [[structure sheaf]] $\mathcal{O}$ of $\mathcal{M}_{ell}$ to a higher structure sheaf $\mathcal{O}^{top}$ of [[E-∞ rings]] in a way that makes $(\mathcal{M}_{ell}, \mathcal{O}^{op})$ a [[spectral Deligne-Mumford stack]]. The [[global sections]] of this structure sheaf yield the [[spectrum]] [[tmf]] of [[topological modular forms]]:

* _[As a derived scheme in E-infinity geometry](#InEInfinityGeometry)_

See also _[[A Survey of Elliptic Cohomology - elliptic curves]]_ for more.


## Description over the complex numbers
 {#DescriptionOverTheComplexNumbers}

An [[elliptic curve]] $E \to Spec(\mathbb{C})$ over the [[complex numbers]] is determined, up to non-canonical [[isomorphism]], by its [[j-invariant]]

$$
  j(E) \in \mathbb{C}
  \,.
$$

Here every [[complex number]] appears as a value, and therefore the moduli space of elliptic cuves a priori is not [[compact topological space|compact]].

A [[compactification]] of the moduli space is obtained by including also elliptic curves with [[nodal singularity]].


### Upper half plane

The [[upper half plane]] $\mathfrak{h}$ is in [[bijection]] with framed [[lattices]] in the [[complex plane]] $\mathbb{C}$, which in turn is in bijection with [[isomorphism]] classes of framed elliptic curves over $\mathbb{C}$

$$
  \mathfrak{h}
  \simeq
  \{framed\;lattices\;in\;\mathbb{C}\}
  \simeq
  \{framed\;elliptic\;curves\;over\;\mathbb{C}\}/_\sim
$$

and we have

$$
  \{elliptic\;curves\;over\;\mathbb{C}\}_\sim
  \simeq
  \mathfrak{h}/{SL_2(\mathbb{Z})}
$$

where the [[special linear group]] over the [[integers]] 

$$
  SL_2(\mathbb{Z}) = \left\{ \left(\array{a & b \\ c & d }\right)| a d - c d = 1\right\}$$ 

[[action|acts]] as the [[modular group]] by [[Möbius transformations]]

$$
  \tau \mapsto \frac{a \tau + b}{c \tau + d}
  \,.
$$

### The naive moduli space and its problems

+-- {: .num_defn}
###### Definition

Write 

$$
  M_{1,1} := \mathfrak{h}/SL_2(\mathbb{Z})
$$

for the plain [[quotient]] of the [[upper half plane]] by the above group action.

=--

+-- {: .num_defn}
###### Definition

A **homolorphic family of [[elliptic curves]]** over a [[complex manifold]] $T$ is 

* a [[holomorphic function]] $\pi : X \to T$ 

* together with a [[section]] $s : T \to X$ of $\pi$ such that for any $t \in T$ the pair $(X_t, s(t))$ is an [[elliptic curve]] (using the first definition above).

=--

For every family 

$$
  \array{
    X \\ \downarrow^{\mathrlap{\pi}} \\ T 
  }
$$

we would like to have $F \to M_{1,1}$ such that there is a [[pullback]]

$$
  \array{
    X \simeq \phi^* F &\longrightarrow& F
    \\
    \downarrow & & \downarrow
    \\
    T &\stackrel{\phi}{\longrightarrow}& M_{1,1}
  }
$$

where

$$
  \phi:   t \mapsto [X_t, s(t)]
$$

such that

* $\phi : T \to M_{1,1}$ is a [[holomorphic map]]

* every [[holomorphic map]] $T \to M_{1,1}$ corresponds to a family over $t$;

* there is a universal family over $M_{1,1}$

This is _impossible_ . One can construct explicit counterexamples. These counterexamples involve [[elliptic curves]] with nontrivial [[automorphism]]s. 

For instance

$$
  \{
    (x,y,z) \in \mathbb{P}^2 \times X : 
    y^2 = x(x-1)(x-\lambda)
  \}
  \to
  X := \mathbb{P}^1 - \{0,1,\infty\}
$$


> but see the discussion at [[moduli space]] for a discussion of the statement "it's the automorphisms that prevent the [[moduli space]] from existing"

### Moduli space of framed elliptic curves

consider

$$
  \mathbb{Z}^2 \hookrightarrow \mathbb{C} \times \mathfrak{h}
$$

given by

$$
  (m,n) : 
  (z,\tau)
  \mapsto
  (z + m \tau + n, \tau)
$$

Then consider the family

$$
  \array{
     E := \mathbb{C}/_{\mathbb{Z}^2} \times \mathfrak{h}
    \\ \downarrow \\ \mathfrak{h}
  }
$$

is a family of [[elliptic curve]]s over $\mathfrak{h}$

and $E_\tau = \mathbb{C}/{\Lambda_\tau}$ with

$$
  \Lambda_{\tau} := \mathbb{Z}\cdot 1 \oplus \mathbb{Z}\cdot \tau
$$

is a family of framed elliptic curves.

+-- {: .num_prop}
###### Proposition

The space $\mathfrak{h}$ with the family $E \to \mathfrak{h}$ is a [[fine moduli space]] for [[framed elliptic curves]].

=--

Consider any map $\phi : T \to \mathfrak{h}$

with pullback of the universal family

$$
  \array{
     X \stackrel{?}{\to} \phi^* E &\to & E
    \\
    \downarrow && \downarrow
    \\
    T &\stackrel{\phi}{\to}&
    \mathfrak{h} 
  }
$$

**claim** for every point $t \in T$ there is an open neighbourhood $t_0 \in U \hookrightarrow T$ such that one can choose [[differential form|1-forms]] $\omega_t$ on $X_\tau$ which vary holomorphically with respect to $t$.

Notice that _locally_ every family of elliptic curves is framed (since we can locally extend a choice of basis for $H_1$).  So 

$$
  \array{
    && \mathfrak{h}
    \\
    && \downarrow^{SL_2(\mathbb{Z})}
    \\
    M_{1,1} &\stackrel{Id}{\to}&
    M_{1,1}
  }
$$

at $i$ and $\rho = e^{2\pi i/6}$ , $C = \{\pm I\}$

isn't locally liftable at $i$ and $\rho$ so it is not a univresal family of unframed curves.

### Moduli stack/orbifold of elliptic curves

+-- {: .num_defn}
###### Definition

Consider the global [[quotient stack]] [[orbifold]]

$$
  \mathcal{M}_{1,1} := \mathfrak{h}//SL_2(\mathbb{Z})
$$

of the upper half plane by the [[action]] of the [[special linear group]]
over the [[integers]].

=--

This is the [[moduli stack]] of elliptic curves.

### Compactified moduli stack

Consider the complex analytic parameterization over the [[annulus]]

$$
  \{q \in \mathbb{C} | 0 \lt {\vert q \vert} \lt 1 \}
$$

of elliptic curves

$$
  E_q \coloneqq \mathbb{C}/q^{\mathbb{Z}}
  \,.
$$

This has an extension to the origin, where $E_0$ is a [[nodal curve]]. Algebraically, in a [[formal neighbourhood]] of the origin, hence over 
$Spec(\mathbb{Z}[ [q] ])$, this is the [[Tate curve]].

e.g. ([Lurie, section 4.3](#Lurie)).

## Description over general schemes
 {#DescriptionOverGeneralSchemes}

For $S$ a [[scheme]], a [[cubic curve]] over $S$ is a scheme $p \colon X \to S$ over $S$ equipped with a [[section]] $e \colon S \to X$ and such that [[Zariski topology|Zariski locally]] on $S$, $X$ is given by an [[equation]] in $\mathbb{P}_S^2$ of the form

$$
  y^2 + a_1 x y = x^3 + a_2 x^2 + a_4 x + a_6
$$

such that $e \colon S \to X$ is the line at infinity.

Euivalently this says that $p$ is a [[proper morphism|proper]] [[flat morphism]] with a section contained in the [[smooth locus]] whose [[fibers]] are geometrically integral curves of [[arithmetic genus]] one.

Write $\mathcal{M}_{cub}$ for the [[moduli stack]] of such [[cubic curves]]. Then the moduli stack of elliptic curves is the non-vanishing locus of the discriminant  $\Delta \in H^0(\mathcal{M}_{cub}, \omega^{12})$

$$
  \mathcal{M}_{ell} \hookrightarrow \mathcal{M}_{cub} 
  \longrightarrow \mathcal{M}_{FG}.
$$

See at _[[elliptic curve]]_ for details. (A textbook account is in [Silverman 09, III](#Silverman09), a review with an  eye towards [[tmf]] is in [Mathew, section 3](#Mathew)).

Two standard versions of [[Hopf algebroids]] representing $\mathcal{M}_{\overline{ell}}$ as a [[geometric stack]] are usefully reviewed in ([Mathew, section 4](#Mathew)).

## As a derived scheme in $E_\infty$-geometry
 {#InEInfinityGeometry}


By the [[Goerss-Hopkins-Miller theorem]] the [[structure sheaf]] $\mathcal{O}$ of the moduli stack of elliptic curves lifts to a sheaf $\mathcal{O}^{top}$ of [[E-∞ rings]] which over a given [[elliptic curve]] is the corresponding [[elliptic spectrum]].
 
By ([[A Survey of Elliptic Cohomology|Lurie (Survey), theorem 4.1]]), this yields a  [[spectral Deligne-Mumford stack]] refinement 

$$
  \mathcal{M}_{ell}^{der} \coloneqq  (\mathcal{M}_{ell}, \mathcal{O}^{top})
$$ 

which is the moduli stack of [[derived elliptic curves]], in that there is a [[natural equivalence]] in [[E-∞ rings]] $A$ of the form

$$
  Hom(Spec(A), \mathcal{M}_{ell}^{der})
  \simeq
  E(A)
  \,,
$$

where on the left we have maps of [[structured (∞,1)-toposes]] and on the right the [[∞-groupoid]] of [[derived elliptic curves]] over $A$.

This is based on the representability theorem ([[A Survey of Elliptic Cohomology|Lurie (Survey), prop. 4.1]], [[Representability Theorems|Lurie (Representability)]]).

In this derived picture the compactified dericed moduli space is obtained by gluing in the [[spectrum]] of [[Tate K-theory]] $KO[ [q] ] \simeq KU[ [q] ]/\mathbb{Z}_2$ by forming the [[homotopy pushout]]

$$
  \array{
    Spec(K((q))) &\longrightarrow& \mathcal{M}_{ell}^{der} 
    \\
    \downarrow && \downarrow
    \\
    Spec(K[ [q] ]) &\longrightarrow& \mathcal{M}_{\overline{ell}}^{der}
  }
  \,.
$$

([[A Survey of Elliptic Cohomology|Lurie(Survey), p. 33]]). Again, the underlying ordinary [[Deligne-Mumford stack]] is the ordinary $\mathcal{M}_{\overline{\ell}}$.


## Properties

### Finite covers

The [[moduli space]] $\mathcal{M}_{ell}[n]$ of [[elliptic curves with level-n structure]] (for some $n \in \mathbb{N}$) provides a finite [[covering]] of $\mathcal{M}_{ell}$ (similarly for the compactifications).

(Over the [[complex numbers]] this is the _[[modular curve]]_).


### Cohomology

+-- {: .num_prop}
###### Proposition

$$
  H_1(\mathcal{M}_{1,1}, \mathbb{Z})
  = \mathbb{Z}/12\mathbb{Z}
$$

$$
  H^1(\mathcal{M}_{1,1}, \mathbb{Z}) = 0
$$

$$
  H^2(\mathcal{M}_{1,1}, \mathbb{Z})
  = \mathbb{Z}/12 \mathbb{Z}
$$

$$
  H_\bullet(\mathcal{M}_{1,1}, \mathbb{Q})
  \simeq
  H_\bullet(M_{1,1}, \mathbb{Q})
$$

and similarly for [[integral cohomology]]

$$
  \chi(\mathcal{M}_{1,1}) = -\frac{1}{12}
$$

$$
  Pic(\mathcal{M}_{1,1}) \simeq \mathbb{Z}/12\mathbb{Z}
$$

=--


### Euler characteristic
 {#EulerCharacteristic}

The [[orbifold Euler characteristic]] of the moduli space of complex elliptic curves is given by the [[special values of L-functions|special value]] of the [[Riemann zeta function]] at $s= -1$

$$
  \chi(\mathcal{M}_{1,1}) = \zeta(-1) = - \frac{1}{12}
  \,.
$$

This is a special case of the result in ([Zagier-Harer 86](#ZagierHarer86)) discussed at _[[moduli space of curves]]_. See also the first page here: [[EulerCharacteristicOfSpaceOfCurves.pdf:file]].



## Related concepts

* [[modular form]]

* [[moduli space of curves]]

* [[elliptic cohomology]]

* [[moduli stack of tori]]

* [[moduli stack of formal groups]]


[[!include moduli stack of curves -- table]]

* [[moduli space of Calabi-Yau spaces]]

## References

Introductory lecture notes on the moduli space of elliptic curves over the [[complex numbers]] include

* {#Hain08} Richard Hain, _Lectures on Moduli Spaces of Elliptic Curves_ ([arXiv:0812.1803](http://arxiv.org/abs/0812.1803))

* {#IntroOrbifolds} section 4 of _Introduction to Orbifolds_ ([[IntroductionToOrbifolds.pdf:file]])

Accounts of the general case include

* Nicholas M. Katz, [[Barry Mazur]], _Arithmetic moduli of elliptic curves_, Annals of Mathematics Studies_, vol. 108, Princeton University Press, Princeton, NJ, 1985. MR MR772569 (86i:11024)

* {#Silverman09} [[Joseph Silverman]], _The arithmetic of elliptic curves_, second ed., Graduate Texts in Mathematics, vol. 106, Springer, Dordrecht, 2009. MR 2514094 (2010i:11005)


Lecture notes/talk notes reviewing this include

* James Parson, _Moduli of elliptic curves_  ([pdf](http://math.stanford.edu/~conrad/vigregroup/vigre03/moduli.pdf))

* {#Mathew} [[Akhil Mathew]], section 3 of _The homotopy groups of $TMF$_ ([pdf](http://math.mit.edu/~sglasman/tmfhomotopy.pdf))

* [[Andre Henriques]], _The moduli stack of elliptic curves_   ([pdf](http://math.mit.edu/conferences/talbot/2007/tmfproc/Chapter04/henriques.pdf)) in _Topological modular forms_ Talbot workshop 2007 ([web](http://math.mit.edu/conferences/talbot/2007/tmfproc/)) 

For more of the general picture in view of [[elliptic cohomology]] and [[tmf]] see also

* {#Lurie} [[Jacob Lurie]], _[[A Survey of Elliptic Cohomology]]_
 
The [[orbifold Euler characteristic]] of the moduli space of curves was originally computed in

* {#ZagierHarer86} [[Don Zagier]], John Harer, _The Euler characteristic of the moduli space of curves_, Inventiones mathematicae (1986) Volume: 85, page 457-486 ([EUDML](https://eudml.org/doc/143377))

Reviews of the orbifold Euler characteristic computation include

* _Mathematical ideas and notions in quantum field theory -- 5. The Euler characteristic of the moduli space of curves_ ([[EulerCharacteristicOfSpaceOfCurves.pdf:file]])

[[!redirects moduli space of elliptic curves]]