
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}


## Definition 

The **sphere spectrum** is the [[suspension spectrum]] of the point.

As a [[symmetric spectrum]], see [Schwede 12, example I.2.1](#Schwede12)

## Properties

### Homotopy type

The [[homotopy groups]] of the sphere spectrum are the [[stable homotopy groups of spheres]].

### Truncations

[[homotopy colimits]] of [[simplicial diagrams]] of $k$-[[truncated object in an (infinity,1)-category|truncated]] [[connective spectra]] for $k \in \mathbb{N}$  are [[module spectrum|modules]] over the $k$-truncation $\tau_{\leq k}\mathbb{S}$ of the sphere spectrum.

### As an $E_\infty$-ring

The sphere spectrum is naturally an [[E-∞ ring]] and in fact is the [[initial object]] in the [[(∞,1)-category]] of [[ring spectra]]. It is the higher version of the [[ring]] $\mathbb{Z}$ of [[integer]]s.

## Related concepts

* [[spherical fibration]]

* [[stable cohomotopy]]

* [[equivariant sphere spectrum]]

* [[superalgebra]]

* [[The Music of the Spheres]]

## References

Lecture notes include

* [[John Rognes]], _The sphere spectrum_ (4 pages) (2004) ([[RognesSphereSpectrum.pdf:file]])

* {#Schwede12} [[Stefan Schwede]], Example I.2.1 in _Symmetric spectra_, 2012 ([pdf](http://www.math.uni-bonn.de/~schwede/SymSpec.pdf))

The [[Postnikov tower]] of (localizations of) the sphere spectrum is discussed in

* [[Karol Szumiło]],  _Postnikov tower of the sphere spectrum_, Master thesis 2009 ([web](https://apd.uw.edu.pl/en/diplomas/bsc-msc/62580/))

* Katja Hutschenreuter, _On rigidity of the ring spectra $P_m \mathbb{S}_{(p)}$ and $k o$_, (2012) ([pdf](http://www.math.uni-bonn.de/people/grk1150/DISS/dissertation-hutschenreuter.pdf))

Specifically the 1-truncation of the sphere spectrum (the [[free construction|free]] [[abelian 2-group]] on a single element) is discussed in 

* Niles Johnson, Angélica M. Osorno, _Modeling Stable One-Types_, Theory and Applications of Categories, Vol. 26, 2012, No. 20, pp  ([TAC](http://www.tac.mta.ca/tac/volumes/26/20/26-20abs.html), [arXiv:1201.2686](http://arxiv.org/abs/1201.2686))

The 2-truncation appears for instance in section 3 of 

* Norio Iwase. _L-S categories of simply-connected compact simple Lie groups of low rank_ ([arXiv:math/0202122](http://arxiv.org/abs/math/0202122))

[[!redirects S]]
