
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--

# Contents 
* the following line creates the automatic table of contents
{: toc}

## Idea ##
The purpose of this summary is to show that the category $\langle
\Omega,E\rangle-\mathbf{Alg}$ (a [[variety of algebras]]) is cocomplete, using the general [[adjoint functor theorem]].  For a different proof in the context of Lawvere theories, see [[algebra over a Lawvere theory|here]].

## Notation ##
Let us first fix some notation and recall the required facts on
varieties of algebras. We assume the foundations of [[Categories Work]]
(ZFC plus one fixed universe).  Let $\Omega$ be a small signature
consisting only of function symbols (this set is assumed to be
equipped with an arity function $\Omega\to \mathbb{N}$), let $\Lambda$
be the set of $\Omega$-terms (also called derived operators), and let
$E\subset \Lambda^2$ be a set of identities. 

Recall that a $\langle\Omega,E\rangle$-algebra is just an
$\Omega$-structure (that is, a pair $\langle S,A\rangle$ where $S$ is
a set and $A$ is a function $A\colon \Omega\to\bigcup_n
S^{S^n}$ which assigns to each operator $\omega$ of arity $n$
a function $\omega_A\colon S^n\to S$) that is a model for
$\mu=\lambda$ for any possible interpretation of the variables, for
all $\langle\mu,\lambda \rangle\in E$.    

A morphism $f\colon\langle S,A\rangle\to \langle S',A'\rangle$ is
a function $f:S\to S'$ that satisfies $f\circ \omega_A = \omega_{A'}\circ f^n$
for all $n$ and all $\omega\in \Omega$ of arity $n$.  The category $\langle
\Omega,E\rangle-\mathbf{Alg}$ consists of all small
$\langle\Omega,E\rangle$-algebras with the above morphisms as arrows.

There is an obvious forgetful functor
$G:\langle\Omega,E\rangle-\mathbf{Alg}\to \mathbf{Set}$, and it can be
verified directly that this functor creates small limits (in fact,
this functor is monadic and hence creates _all_ limits). Consequently
$\langle \Omega,E\rangle-\mathbf{Alg}$ is small complete.   


## Cocompleteness of $\langle\Omega,E\rangle-\mathbf{Alg}$##

Before proving cocompleteness, some preparations are required.
Let us write $C:=\langle\Omega,E\rangle-\mathbf{Alg}$ for
short. Let $J$ be a small category.  To prove cocompleteness, we will
use the general [[adjoint functor theorem]] to construct a left adjoint
for the [[diagonal functor]] $\Delta\colon C\to C^J$.  
Since $C$ is locally small and small-complete and $\Delta$ is
continuous (as any diagonal functor), all that is required is a
solution set for each $F\in \operatorname{obj}(C^J)$.   

Recall that given a functor $T\colon C\to X$ and an
object $c$ of $C$, an arrow $f\colon x\to T c$ of $X$ is said to 
_span_ $c$ when, for all monic $i\colon c'\to c$, if $f$ factors through
$T i\colon T c'\to T c$, then $i$ is an isomorphism. 

In our current context, we will replace ''monic''
in the above definition by a stricter notion: the underlying function
in $\mathbf{Set}$ is injective. 

+-- {: .num_lemma #cwm}
###### Lemma
**(CWM, p. 127)**. In a category $C$, suppose that
every set of subobjects of an object $c\in C$ has a pullback. Then if
$T\colon C\to X$ preserves all these pullbacks, every arrow $h\colon
x\to Tc$ factors as $Tg\circ f$ for some arrow $f\colon x\to Tc'$
which spans $c'$ and some $g\colon c'\to c$. 
=--

It can be verified that this lemma still holds (in our context) if, in
the definition of subobject and spanning arrow, ''monic'' is replaced
by ''the underlying function is injective.'' 

+-- {: .num_lemma #spans}
###### Lemma
If a cone $\tau\colon F\stackrel{\cdot}{\to}\Delta\langle
S,A\rangle$ spans $\langle S,A\rangle$, then $\langle S,A\rangle$ is
generated by $\bigcup_j\tau_j(F_j)$.
=--

+-- {: .proof}
###### Proof
Let $\langle S',A'\rangle$ be the subalgebra of $\langle
S,A\rangle$ generated by $\bigcup_j\tau_j(F_j)$, and let $i:\langle
S',A'\rangle\to\langle S,A\rangle$ be the inclusion. Then we have the
cone $\tilde{\tau}\colon F\to\Delta\langle S',A'\rangle$ obtained by
restricting the codomains of the $\tau_j$, and $\tau$ splits as
$\Delta(i)\circ\tau'$. So $i$ is an isomorphism, and therefore must be
the identity.
=--

We can now finally prove 
+-- {: .un_prop}
###### Proposition
$\langle\Omega,E\rangle-\mathbf{Alg}$ is small cocomplete.
=--

+-- {: .proof}
###### Proof
Let us fix some $F\in C^J$.  Define 
$$
\mathcal{S}:= \{\langle S,A\rangle\in \operatorname{obj}(C)|\exists
\tau\colon F\stackrel{\cdot}{\to}\Delta\langle S,A\rangle(\tau \text{ spans
}\langle S,A\rangle)\}.
$$
We note that if $\langle S, A\rangle\in \mathcal{S}$, then by Lemma 2,
$|S|\leq|\mathbb{N}\cup X_{S,\tau}\cup \Omega|\leq |\mathbb{N}\cup
X\cup \Omega|$, where  
$X_{S,\tau}:=\bigcup_j\tau_j(F_j)$ for some
$\tau:F\stackrel{\cdot}{\to}\Delta\langle S,A\rangle$ that spans
$\langle S,A\rangle$, and $X:=\bigsqcup_j F_j$. Since $J$ is small and
each $F_j$ is small, so is $X$ (in detail, $X$ may be written as
$\cup\operatorname{Im}(j\mapsto\{j\}\times F_j)$, and the
image of a function from a $U$-small set into the universe $U$ is
$U$-small). Now, as $X$ and $\Omega$ are small, so is
$\mathbb{N}\cup X\cup \Omega$, and therefore we see that the
underlying sets of all members of $\mathcal{S}$ have cardinal numbers
smaller than that of some fixed small set $X'$.  

It follows that there exists a
_small_ set $\mathcal{S}'\subseteq \mathcal{S}$ including one
element from each isomorphism class of $\mathcal{S}$ (for example,
since $\mathcal{S}$ is closed under isomorphisms, each isomorphism
class includes an algebra whose underlying set is a subset of $X'$).  

Now define
$$
\mathcal{F}:=\left\{\tau\in\operatorname{arr}(C^J)|\operatorname{dom}(\tau)=F\text{
and }\exists\langle S,A\rangle\in
\mathcal{S}'(\operatorname{cod}(\tau)=\Delta\langle S,A\rangle)\right\}
$$
(the set of all arrows $\tau\colon F\stackrel{\cdot}{\to}\Delta\langle
S,A\rangle$ for some $\langle S,A\rangle\in\mathcal{S}'$).  To see
that $\mathcal{F}$ is small, note that each $\tau\in\mathcal{F}$ is in
particular a function
$\operatorname{obj}(J)\to\bigcup_{j\in J,\langle
S,A\rangle\in\mathcal{S}'}\operatorname{hom}(F_j,\langle S,A\rangle)$,
and the set of all such functions is small (as any set of functions
between two small sets). 

Clearly, if for all $\langle S,A\rangle\in C$ the set of subobjects is
small-indexed, then it follows from Lemma 1 that $\mathcal{F}$ is the
required solution set (since $C$ is small complete and $\Delta$ is
continuous), and we are done .  But two injections $f,g$ with codomain
$\langle S,A\rangle$ are equivalent iff they have the same image in
$S$, and hence there is a bijection between the subobjects of $\langle
S, A\rangle$ and the subalgebras of $\langle S, A\rangle$, as required
(recall that we replaced ''monic'' by ''injective as a function'' in
the definition of subobject).
=--

## Cocompleteness of algebras of monads over $Set$

First, the category of algebras of a monad $T$ on $Set$ has coequalizers; see the proof of proposition 3.4 (page 278 of 303) of [Toposes, Triples, and Theories](http://www.case.edu/artsci/math/wells/pub/pdf/ttt.pdf) by Barr and Wells. So we have only to prove the following. 

+-- {: .un_prop} 
######Proposition 
The algebra category $Set^T$ has coproducts. 
=--

+-- {: .proof}
######Proof 
Let $U: Alg_T \to Set$ be the underlying functor, with left adjoint $F$. Given a family of $T$-algebras $\{A_i\}$, there are canonical coequalizers 

$$F U F U A_i \stackrel{\overset{\varepsilon F U A_i}{\to}}{\underset{F U \varepsilon A_i}{\to}} F U A_i \to A_i$$ 

and since $F(\sum_i U A_i)$ is the coproduct $\sum_i F U A_i$ in the category of algebras, i.e., since coproducts of free algebras exist, the coproduct of the $A_i$ is constructed as a coequalizer of the pair

$$(\sum_i \varepsilon F U A_i, \sum_i F U \varepsilon A_i): \sum_i F U F U A_i \stackrel{\to}{\to} \sum_i F U A_i$$ 

obtained by summing over $i$ each of the parallel pairs. 
=--

## Over a cocomplete cartesian closed category 

If $T$ is a [[finitary monad]] defined on a cocomplete cartesian closed category $X$, then $T$ preserves [[reflexive coequalizer]]s (see the argument [here](http://nlab.mathforge.org/nlab/show/reflexive+coequalizer#applications_4)), and therefore the underlying functor 

$$U: X^T \to X$$ 

reflects reflexive coequalizers (since the underlying functor reflects classes of colimits preserved by the monad). Since the parallel pairs in the proof of the preceding proposition are reflexive, we see by adapting that proof that $X^T$ has coproducts. It remains only to prove the following. 

+-- {: .un_lem}
######Lemma
If a category has finite coproducts and reflexive coequalizers, then it has general coequalizers. 
=-- 

+-- {: .proof}
######Proof
Given a parallel pair $f, g: A \stackrel{\to}{\to} B$, there is a reflexive parallel pair 

$$(f, 1_B), (g, 1_B): A + B \stackrel{\to}{\to} B$$ 

whose coequalizer is the coequalizer of the pair $f, g$. 
=--

See also [[cocompleteness of categories of algebras]]. 
