

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Model category theory
+--{: .hide}
[[!include model category theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}



The term  _simplicial groupoid_ is often used for a [[simplicial object]] in the [[category]] [[Grpd]] of [[groupoids]] whose [[simplicial set]] of objects is simplicially constant. We will write $s Grpd$ for the category of such simplicial groupoids.

(BEWARE: perhaps a more accurate term for this concept is **simplicially enriched groupoid**, and conceptually it is often the enriched category structure that is useful. Because of this it is advisable to check the use being made of the term when consulting the literature. This is more fully discussed at [[simplicial category]].)


## Definition

There is a [[model category]] structure on $sGrpd$ whose

* fibrations are the morphisms $f : H \to K$ such that 

  1. for every [[object]] $x$ of $H$ and every morphism $\omega : f(x) \to y$ in $K_0$ there is a morphism $\hat \omega : x \to z$ of $H_0$ such that $f(\hat \omega) = \omega$;

  1. for every object $x$ in $H$ the induced morphism $f : H(x,x) \to K(f(x), f(x))$ is a [[Kan fibration]].

* weak equivalences are morphisms $f : H \to K$ such that

  1. $f$ induces in [[isomorphism]] on connected components $\pi_0 f : \pi_0 H \to \pi_0 K$;

  1. for each object $x$ of $H$ the induced morphism $H(x,x) \to K(f(x), f(x))$ is a weak equivalence in the [[model structure on simplicial groups]] or equivalently in the [[model structure on simplicial sets]].

## Properties


+-- {: .num_prop}
###### Proposition

We have a [[Quillen adjunction]]

$$
  (G \dashv \bar W) : 
  Grpd^\Delta
   \stackrel{\overset{G}{\leftarrow}}{\underset{\bar W}{\to}}
  sSet_{Quillen}  
$$

where both $G$ and $\bar W$ preserve all [[weak equivalence]]s.

=--

This appears for instance as 
([GoerssJardine, theorem 7.8](#GoerssJardine))

+-- {: .num_remark}
###### Remark

When restricted to simplicial groupoids of the form $(B G)_\bullet$ for $G_\bullet$ a [[simplicial group]] and $B G_n$ its [[delooping]] [[groupoid]] this produces a standard presentation of [[looping and delooping]] for [[infinity-group]]s. See there for more details.

=--

## Related concepts

* [[model structure on simplicial sets]]

* [[model structure on presheaves of simplicial groupoids]]

## References

The model structure is discussed after corollary 7.3 in chapter V of

* {#GoerssJardine} [[Paul Goerss]] and [[Frederick Jardine]], 1999, _Simplicial Homotopy Theory_, number 174 in Progress in Mathematics, Birkhauser. ([ps](http://www.maths.abdn.ac.uk/~bensondj/html/archive/goerss-jardine.html))
 
