

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Model category theory
+--{: .hide}
[[!include model category theory - contents]]
=--
#### Group Theory
+-- {: .hide}
[[!include group theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The _model structure on simplicial groups_ is a presentation of the [[∞-group]]s in [[∞Grpd]] $\simeq$ [[Top]]. See [[group object in an (∞,1)-category]].

## Definition

There is a [[model category]] structure on the [[category]] $sGrp$ of [[simplicial group]]s where a morphism is

* is a weak equivalence if the underlying morphism is a weak equivalence in the standard [[model structure on simplicial sets]];

* is a fibration if the underlying morphism is a [[Kan fibration]] of simplicial sets;

* is a cofibration if it has the [[left lifting property]] with respect to all trivial fibrations.

## Properties

Forming loop space objects and classifying spaces provides a [[Quillen equivalence]]

$$
  (\Omega \dashv \bar W) : sGrp \stackrel{\overset{}{\leftarrow}}{\to}
  sSet_0
$$

with the [[model structure on reduced simplicial sets]].


## Related concepts

* [[Borel model structure]] (presenting [[infinity-actions]] of simplicial groups)

## References

The general theory is in chapter V of

* [[Paul Goerss]] and J. F. Jardine, 1999, _Simplicial Homotopy Theory_, number 174 in Progress in Mathematics, Birkhauser. ([ps](http://www.maths.abdn.ac.uk/~bensondj/html/archive/goerss-jardine.html))

The Quillen equivalence is in proposition 6.3.