
A non-zero [[polynomial]] $f$ with coefficients in a [[field]] $k$ is **irreducible** if when written as the product $g h$ of two polynomials, one of $g$ or $h$ is a constant (and necessarily non-zero) polynomial. Equivalently, a polynomial $f$ is __irreducible__ if the [[ideal]] it generates is a [[maximal ideal]] of the polynomial ring $k[x]$. 

In other words, a polynomial $f$ is irreducible if it is an [[irreducible element]] of $k[x]$ as an [[integral domain]]. 

Notice that under this definition, the zero polynomial is not considered to be irreducible. An alternative definition, which applies to the case of coefficients in a [[commutative ring]] $R$, is that a polynomial $f$ is irreducible if, whenever $f$ divides $g h$, either $f$ divides $g$ or $f$ divides $h$. Under this definition, a polynomial is irreducible if it generates a [[prime ideal]] in $R[x]$, and the zero polynomial is irreducible if $R$ is an integral domain. 

If $L$ is a [[field extension]] of $k$ and $\alpha \in L$ is algebraic over $k$ (i.e., the smallest subextension containing $\alpha$, $k(\alpha)$, is finite-dimensional over $k$), then the $k$-algebra map $k[x] \to k(\alpha): x \mapsto \alpha$ has a non-trivial kernel which is a [[maximal ideal]], which being [[principal ideal|principal]] is generated by an irreducible polynomial $f$. The unique [[monic polynomial]] generator is called the *irreducible polynomial of $\alpha$*. 

[[!redirects irreducible polynomials]]
