
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Topos Theory
+-- {: .hide}
[[!include topos theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc} 

## Idea

The notion of _Galois topos_ formalizes the collection of [[locally constant sheaves]] that are classified by [[Galois theory]] in the connected and locally connected case.

## Definition

Let 

$$
  (\Delta \dashv \Gamma) : \mathcal{E} \stackrel{\overset{\Delta}{\leftarrow}}{\underset{\Gamma}{\to}} \mathcal{S}
$$

be a [[topos]] sitting by its [[global section]] [[geometric morphism]] over a base $\mathcal{S}$.

+-- {: .num_defn}
###### Definition

For $X$ an [[object]] in $\mathcal{E}$, let $Aut_{\mathcal{E}}(X)$ be its [[automorphism group]] (in $\mathcal{S}$). Then $\Delta Aut(X)$ is canonically a [[group object]] in $\mathcal{E}$.

An [[inhabited object|inhabited]] [[object]] $X$ (the [[terminal object|terminal]] morphism $X \to *$ is an [[epimorphism]]) in  $\mathcal{E}$ is called a **Galois object** if it is a $\Delta Aut(X)$-[[torsor]]/[[principal bundle]] in $\mathcal{E}$, in that the canonical morphism

$$
  (Id,\rho) :  X \times \Delta Aut(X) \stackrel{}{\to} X \times X
$$ 

is an [[isomorphism]].

=--


+-- {: .num_remark}
###### Remark

Any Galois object is  a [[locally constant object]]: since $X \to *$ is epi we may take it as a cover $U = X \to *$ and then then above principality condition says that pulled back to this cover $X$ becomes constant.

=--

+-- {: .num_defn}
###### Definition


A **Galois topos** is a [[topos]] that is

* [[locally connected topos|locally connected]];

* [[connected topos|connected]];

* [[separator|separated]] by its Galois objects.

=--

+-- {: .num_remark}
###### Remark

Often a Galois topos is in addition required to be pointed.

=--

## Examples

+-- {: .num_prop}
###### Proposition

For $\mathcal{E}$ [[connected topos|connected]] and 
[[locally connected topos|locally connected]], the full [[subcategory]] generated by [[locally constant object]]s is a Galois topos.

=--

This appears as ([Dubuc, theorem 5.2.4](#Dubuc)).

## References

The definition appears in

* [[Alexander Grothendieck]], _[[SGA]]_ 1 (1960-61), Springer Lecture Notes in Mathematics 224 (1971).

* [[Ieke Moerdijk]], _Prodiscrete groups and Galois toposes_ Proc. Kon. Nederl. Akad. van Wetens. Series A, 92-2 (1989)

* {#Dubuc} [[Eduardo Dubuc]], _On the representation theory of Galois and Atomic Topoi_ ([arXiv:0208222](http://arxiv.org/abs/math/0208222))


[[!redirects Galois object]]
