
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Geometry
+--{: .hide}
[[!include higher geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

In _anabelian geometry_ one studies how much information about a [[space]] $X$ (specifically: an [[algebraic variety]]) is contained already in its first [[étale homotopy group]] $\pi^{et}_1(X,x)$ (specifically: the [[algebraic fundamental group]]). 

The term "anabelian" is supposed to be alluding to the fact that "the _less_ [[abelian group|abelian]] $\pi^{et}_1(X,x)$ is, the more information it carries about $X$." Precisely: an [[anabelian group]] is a non-[[trivial group]] for which every [[finite index subgroup]] has trivial [[center]].

Accordingly, an algebraic variety whose [[isomorphism class]] is entirely determined by $\pi^{et}_1(X,x)$ is called an **anabelian variety**.

An early conjecture motivating the theory (in [Grothendieck 84](#Grothendieck)) was that all [[hyperbolic curves]] over [[number fields]] are anabelian varieties. This was eventually proven by various authors in various cases.  In ([Uchida](#Uchida)) and ([Neukirch](#Neukirch)) it was shown that an isomorphism between [[Galois groups]] of [[number fields]] implies the existence of an isomorphism between those number fields. For algebraic curves over [[finite fields]], over [[number fields]] and over [[p-adic field]] the statement was eventually completed by ([Mochizuki 96](#Mochizuki96)).

Grothendieck also conjectured the existence of higher-dimensional anabelian varieties, but these are still very mysterious.

## &#201;tale homotopy types

* [[Alexander Schmidt]], [[Jakob Stix]], _Anabelian geometry with &#233;tale homotopy types_, ([pdf](https://www.mathi.uni-heidelberg.de/~schmidt/papers/anab-hotype.pdf)).

##Related entries

* [[algebraic fundamental group]] also called the 'geometric fundamental 
group' by Grothendieck.

* [[child's drawing]]/ Dessins d'enfant.  

* [[inter-universal Teichmüller theory]]

* [[profinite completion]]

* [[Grothendieck-Teichmüller group]]

* [[section conjecture]]

* [[arithmetic geometry]]

## References

The notion of anabelian geometry originates in 

* [[Alexandre Grothendieck]], letter to Faltings (June 27, 1983) ([pdf](http://www.math.jussieu.fr/~leila/grothendieckcircle/GtoF.pdf)), 

written in response to [[Faltings]]' work on the [[Mordell Conjecture]].

There is some discussion of the area in 

* {#Grothendieck} [[Alexander Grothendieck]], _[[Esquisse d'un programme]]_
 (1984).

In [Grothendieck 84](#Grothendieck) one finds: "... C’est au cours de ce travail ("[[Long March]]") aussi (mais développé dans des notes distinctes) qu’apparaît le thème central de la géométrie algébrique anabélienne ..." there is a project to edit and transcribe this note: [Anabelian notes](https://github.com/gcarmonamateo/LaLongueMarcheAnabelian)

A relation with the theory of [[motive]]s is in

* [[Alexander Schmidt]], _Motivic aspects of Anabelian geometry_, Advanced studies in pure mathematics 63, 2012. Galois-Teichm&#252;ller theory and Arithmetic geometry. pp 503 - 517 [pdf](https://www.mathi.uni-heidelberg.de/~schmidt/papers/63117.pdf)

Surveys include 

* {#Tschinkel14} [[Yuri Tschinkel]], _Introduction to anabelian geometry_, talk at _[Symmetries and correspondences in number theory, geometry, algebra, physics: intra-disciplinary trends](https://www.maths.nottingham.ac.uk/personal/ibf/files/sc3.html)_, Oxford 2014 ([slides pdf](http://www.cims.nyu.edu/~tschinke/.talks/oxford14/oxford14.pdf))


* [[Leila Schneps]], page 60 (2) of _Grothendieck's "Long march through Galois theory"_ ([pdf](http://www.math.jussieu.fr/~leila/SchnepsLM.pdf))

A comprehensive introduction is in 

* Fedor Bogomolov, Yuri Tschinkel, _Introduction to birational anabelian geometry_ ([pdf](http://www.math.nyu.edu/~tschinke/papers/yuri/10msri/msri7.pdf))


Examples are discussed in

* Yasutaka Ihara, Hiroaki Nakamura, _Some illustrative examples for anabelian geometry in high dimensions_, in [[Leila Schneps]], P. Lochak (eds) _Geometric Galois Actions I_, London Math. Soc. Lect. Note Series 242 ([pdf](http://www.math.okayama-u.ac.jp/~h-naka/zoo/lion/INanabel.pdf))

The classification of anabelian varieties for [[number fields]] was shown in 

* J. Neukirch, _Kennzeichnung der $p$-adischen und der endlichen algebraischen Zahlk&#246;rper_, Invent. Math. 6 (1969), p. 296&#8211;314.
 {#Neukirch}

* J. Neukirch, _&#220;ber die absoluten Galoisgruppen algebraischer Zahlk&#246;rper_, Journ&#233;es Arithm&#233;tiques de Caen (Univ. Caen, Caen, 1976), pp. 67&#8211;79. Asterisque, No. 41-42, Soc. Math. France, Paris (1977)

* {#Uchida} K. Uchida. _Isomorphisms of Galois groups_, J. Math. Soc. Japan 28 (1976), no. 4, 617&#8211;620. 
  

* K. Uchida, _Isomorphisms of Galois groups of algebraic function fields_, Ann. Math. (2) 106 (1977), no. 3, p. 589&#8211;598.

and for [[algebraic curves]] in

* [[Shinichi Mochizuki]], _The profinite Grothendieck conjecture for hyperbolic curves over number fields_, J. Math. Sci. Univ. Tokyo 3 (1996), 571&#8211;627.
 {#Mochizuki96}

* [[Shinichi Mochizuki]], _The absolute anabelian geometry of canonical curves_ (2002) ([pdf](http://www.math.uiuc.edu/documenta/vol-kato/mochizuki.dm.pdf))

See also 

* Frans Oort, [Lecture notes](http://www.staff.science.uu.nl/~oort0109/IC.AnabelianWorkshop.ps). Informal notes (not for publication) made available for the Lorentz Center workshop 'Anabelian number theory and geometry', December 3-5, 2001

* [[Nikolai Durov|N. V. Durov]], _&#1058;&#1086;&#1087;&#1086;&#1083;&#1086;&#1075;&#1080;&#1095;&#1077;&#1089;&#1082;&#1080;&#1077; &#1088;&#1077;&#1072;&#1083;&#1080;&#1079;&#1072;&#1094;&#1080;&#1080; &#1072;&#1083;&#1075;&#1077;&#1073;&#1088;&#1072;&#1080;&#1095;&#1077;&#1089;&#1082;&#1080;&#1093; &#1084;&#1085;&#1086;&#1075;&#1086;&#1086;&#1073;&#1088;&#1072;&#1079;&#1080;&#1081; (Topological realizations of algebraic varieties)_, preprint POMI 13/2012 (in Russian) [abstract](http://www.pdmi.ras.ru/preprint/2012/12-13.html), [pdf.gz](ftp://ftp.pdmi.ras.ru/pub/publicat/preprint/2012/13-12_rus.pdf.gz)

* [[Taylor Duypuy]], _[Anabelian geometry](https://www.youtube.com/playlist?list=PLJmfLfPx1OedXBno8vlpGd89_3wsdfCEc)_

* {#Morrow17} [[Jackson Morrow]], _Kummer classes and Anabelian geometry_, notes from Super [QVNTS](http://www.dms.umontreal.ca/%7Eqvnts/): [Kummer Classes and Anabelian Geometry](http://www.uvm.edu/%7Etdupuy/anabelian.html) 2017 ([pdf](https://www.dropbox.com/s/kiszgkrrsjrqu4p/VermontNotes_Final.pdf?dl=0))


[[!redirects anabelian variety]]
[[!redirects anabelian varieties]]