
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### $(\infty,1)$-Category theory
+-- {: .hide}
[[!include quasi-category theory contents]]
=--
=--
=--

Work on $\infty$-[[infinity-category|category]] and $(\infty,1)$-[[(infinity,1)-category|category]] theory often uses the **implicit $\infty$-category theory convention**, leaving out the "$\infty$" or "$(\infty,1)$" symbol in notation and terminology.

In this convention

* _category_ means _[[(∞,1)-category]]_, and so $Cat$ means _[[(∞,1)Cat]]_

* _topos_ means _[[(∞,1)-topos]]_, and so $Topos$ means _[[(∞,1)Topos]]_

* _groupoid_ means _[[∞-groupoid]]_, and so $Gpd$ means _[[?Gpd]]_

* _$n$-category_ means _[[(∞,n)-category]]_

* _functor_ means _[[(∞,1)-functor]]_ or _[[(∞,n)-functor]]_ for some $n \in \mathbb{N}$, depending on the codomain;

* _presheaf_ means _[[(∞,1)-presheaf]]_, 

* _sheaf_ means _[[(∞,1)-sheaf]]_ , a.k.a. _[[∞-stack]]_   

* _limit_ means _[[(∞,1)-limit]]_

* _algebraic theory_ means _[[(∞,1)-algebraic theory]]_

* _algebra over an algebraic theory_ means _[[∞-algebra over an (∞,1)-algebraic theory]]_ .

Etc.

This convention is used for example by [[Jacob Lurie]] and often on [[nLab]] entries that discuss higher category theory.

(Note that this convention *never* applies to the *names* of pages in the Lab; see [Naming conventions](/nlab/show/HowTo#naming).  That also means that when writing pages using this convention, one must be sure to use the appropriate "pipelinks," such as `[[(infinity,1)-topos|topos]]`.)


[[!redirects implicit infinity-category theory convention]]
[[!redirects implicit ∞-category theory convention]]
[[!redirects implicit (infinity,1)-category theory convention]]
[[!redirects implicit (∞,1)-category theory convention]]
[[!redirects implicit infinity-category convention]]
[[!redirects implicit ∞-category convention]]
[[!redirects implicit (infinity,1)-category convention]]
[[!redirects implicit (∞,1)-category convention]]
