
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Notions of subcategory
+-- {: .hide}
[[!include notions of subcategory]]
=--
#### Homotopy theory
+--{: .hide}
[[!include homotopy - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}



## Definition

A [[subcategory]] $T$ of an [[abelian category]] $A$ is a __localizing subcategory__ (French: *sous-catégorie localisante*) if there exists an [[exact functor|exact]] [[localization]] functor $Q:A\to B$ having a [[right adjoint]] $B\hookrightarrow A$ (which is automatically then [[full and faithful functor|fully faithful]]) and for which $T = Ker Q$ i.e. the [[full subcategory]] of $A$ generated by objects $a\in Ob(A)$ such that $Q(a) = 0$. 

One sometimes says that $T$ is the localizing subcategory associated with quotient (or localized) category $B$ (which is then equivalent to the [[Serre quotient category]] $A/T$). 


## Properties

### In general abelian categories

A localizing subcategory $Ker Q$ determines $Q:A\to B$ up to an [[equivalence of categories]] commuting with the localization functors; it is the quotient functor $Q_T : A\to A/T$ to the Serre [[quotient category]] $A/T$. The right adjoint $S_T : A/T\to A$ to $Q_T$ is usually called the __section functor__. Denote the unit of the adjunction $\eta : Id_A\to S_T Q_T$. Then for $X\in Ob A$, $Ker \eta_X\subset X$ is the maximal subobject of $X$ contained in $X$, called the $T$-torsion part of $X$. An object $X$ is $T$-torsionfree if the $T$-torsion part of $X$ is $0$, i.e. $\eta_X$ is isomorphism, and $X$ is __$T$-closed__ ([[local object]] with respect to morphisms inverting under $Q$) if $\eta_X$ is an isomorphism. 
The section functor
$S_T$ realizes the equivalence of categories between $A/T$ and the full subcategory of $A$ generated by $T$-closed objects. 

A [[thick subcategory]] $T\subset A$ (in strong sense) is localizing iff every object $M$ in $A$ has the largest subobject among the subobjects from $T$ *and* if the only subobject from $T$ is a [[zero object]] then there is a monomorphism from $M$ to a $T$-closed object.

Localizing subcategories are precisely those which are [[topologizing subcategory|topologizing]], closed under extensions and closed under all colimits which exist in $A$. In other words, $A$ and $A''$ are in $T$ iff
any given extension $A'$ of $A$ by $A''$ is in $T$; and it is closed under colimits existing in $A$. 

A strictly [[full subcategory]] $T\subset A$ is localizing iff the class $\Sigma_T$ of all $f\in Mor A$ for which $Ker f\in Ob T$ and $Coker f\in Ob T$ is *precisely* the class of all morphisms inverted by some left exact localization admiting right adjoint. 

A [[reflective subcategory|reflective]] (strongly) [[thick subcategory]] $T$ is always localizing and the converse holds if $A$ has injective envelopes. 

If $A$ admit [[colimits]] and has a set of generators, then any localizing subcategory $T\subset A$,and the [[quotient category|Serre quotient]] $A/T$, admit colimits and has a set of generators (Gabriel, Prop. 9) and the quotient functor $Q_T : A\to A/T$ preserves colimits (in the same [[Grothendieck universe]] if we work with universes). The generators of $A/T$ are the images of the generators in $A$ under the quotient functor $Q_T$. If $A$ is [[locally noetherian category|locally noetherian]] abelian category then any localizing subcategory $T\subset A$ and the quotient category $A/T$ are locally noetherian (Gabriel, Cor. 1). (If $A$ is locally finitely presented, $A$ and $A/T$ are locally finitely presented.?) If $A$ is locally noetherian and $A_{Noether}\subset A$ is the full subcategory of noetherian objects in $A$, then the assignment which to any localizing subcategory $T\subset A$ assigns the full subcategory $T_{Noether}\subset T$ of noetherian objects in $T$ is the bijection between the localizing subcategories in $A$ and (strongly) thick subcategories in $A_{Noether}$ (Gabriel Prop. 10). 


### In locally finitely presentable abelian categories

In this setup, there is a bijective correspondence between hereditary torsion theories, localizing subcategories and exact localizations having right adjoint. 

### In Grothendieck categories


For a strongly [[thick subcategory]] (i.e. weakly [[Serre subcategory]]) $T$ in a [[Grothendieck category]] $A$ the following are equivalent:

(i) $T$ is localizing 

(ii) $T$ is closed under coproducts

(iii) $T$ is cocomplete (closed under arbitrary colimits)

(iv) any colimit of objects in $T$ in $A$ belongs to $T$

(v) the corresponding localizing functor $F: A\to A/T$ preserves colimits

### In $_R Mod$. 

There is a canonical correspondence between [[topologizing filter]]s of a unital ring and localizing subcategories in the category $R$[[Mod]] of (say left) unital [[modules]] of the ring.

## Related concepts

* [[anti-modal type]]

## Literature

The notion is introduced by Gabriel:

* [[Pierre Gabriel]], [[Des catégories abéliennes]], Bulletin de la Société Mathématique de France __90__ (1962), 323-448 ([numdam](http://www.numdam.org/item?id=BSMF_1962__90__323_0))
* [[Francis Borceux]], _Handbook of categorical algebra_, II.1
* [[Henning Krause]], _The spectrum of a locally coherent category_, J. Pure Appl. Algebra __114__ (1997), 259-271, [pdf](http://www2.math.uni-paderborn.de/fileadmin/Mathematik/AG-Krause/publications_krause/publications_krause_mathscinet/MR1426488.pdf)
* Ryo Takahashi, _On localizing subcategories of derived categories_ (2000) ([pdf](http://math.shinshu-u.ac.jp/~takahasi/pdf/hcls6.pdf))

A comprehensive (and very reliable) source is

* N. Popescu, _Abelian categories with applications to rings and modules_, London Math. Soc. Monographs 3, Academic Press 1973. xii+467 pp. [MR0340375](http://www.ams.org/mathscinet-getitem?mr=0340375)

[[!redirects localizing subcategories]]

