
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Topos Theory
+-- {: .hide}
[[!include topos theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

There is a statement and proof of [[Gelfand duality]] in [[constructive mathematics]]. This therefore makes sense in any [[topos]].

## Examples

* An application of constructive Gelfand duality in the [[presheaf topos]] over the [[semilattice of commutative subalgebras]] of a [[C-star algebra]] produces an internal [[locale]] from any noncommmutative $C^*$-algebra. See [[semilattice of commutative subalgebras]].

## References

A proof of Gelfand duality claimed to be constructive was given in.

* Bernhard Banaschewski; [[Christopher J. Mulvey]], _A globalisation of the Gelfand duality theorem_ Annals of Pure and Applied Logic, 137(1–3):62–103, 2006

This uses however [[Barr's theorem]] which requires itself non-constructive logic and requires the ambient topos to be a [[Grothendieck topos]]

A fully constructive proof is claimed in 

* [[Thierry Coquand]], [[Bas Spitters]], _Constructive Gelfand duality for $C^*$-algebras_ , Mathematical Proceedings of the Cambridge Philosophical society , Volume 147, Issue 02, September 2009, pp 323-337 ([arXiv:0808.1518](http://arxiv.org/abs/0808.1518))

A review of some aspects of constructive Gelfand duality (with an eye towards [[Bohr toposes]]) is in

* {#HeunenLandsmanSpitters} [[Chris Heunen]], [[Klaas Landsman]], [[Bas Spitters]], section 2 of _A topos for algebraic quantum theory_, Comm. Math. Phys. 291:63–110, 2009, free access [doi](http://dx.doi.org/10.1007/s00220-009-0865-6), [arXiv:0709.4364](http://arxiv.org/abs/0709.4364)

Further disussion includes

* [[Simon Henry]], _Constructive Gelfand duality for non-unital commutative $C^\ast$-algebras_ ([arXiv:1412.2009](https://arxiv.org/abs/1412.2009))

* [[Simon Henry]], _Localic Metric spaces and the localic Gelfand duality_ ([arXiv:1411.0898](https://arxiv.org/abs/1411.0898))


[[!redirects Stone-Gelfand-Naimark theorem]]
[[!redirects constructive Gelfand duality]]