
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
#### Functional analysis
+--{: .hide}
[[!include functional analysis - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Definition

For $A$ a [[von Neumann algebra]] write $A'$ for its [[commutant]] in the ambient algebra $B(\mathcal{H})$ of [[bounded operator]]s.

+-- {: .num_defn}
###### Definition

A von Neumann algebra $A$ is called a **factor** if its [[center]] is trivial

$$
  Z(A) := A \cap A' = \mathbb{C}1
  \,.
$$

Equivalently: if $A$ and its [[commutant]] $A'$ generate the full algebra of [[bounded operators]] $B(\mathcal{H})$.

=--

## Properties

Every von Neumann algebra may be written as a [[direct integral]] over factors. ([von Neumann 49](#vNeumann49))


## Classification


### Type I

(...)

### Type II

(...)

### Type III

(...)


## Related concepts

* [[C-star algebra]]

* [[uniformly hyperfinite algebra]]

## References

### General

The original sources are

* Murray, [[John von Neumann]], ...

* [[John von Neumann]], _On rings of operators, reduction theory_, Annals of Mathematics Second Series, Vol. 50, No. 2 (1949) ([jstor]( http://www.jstor.org/stable/1969463))
 {#vNeumann49}

* [[Alain Connes]], ...

Lecture notes include

* V.S. Sunder, _von Neumann algebras, $II_1$-factors, and their subfactors_ ([pdf](http://www.math.iitb.ac.in/seminar/archives/sunder_iitb3.pdf))

* Hideki Kosaki, _Type III factors and index theory_ (1993) ([pdf](http://pages.uoregon.edu/njp/lec-f.pdf))

### Subfactors

The mathematics of inclusions of _subfactors_ is giving deep structural insights. See also at _[[planar algebra]]_. 

* [[Vaughan Jones]], 

  _Index for subfactors_, Invent. Math. __72__, I (I983); 

  _A polynomial invariant for links via von Neumann algebras_, Bull. AMS __12__, 103 (1985); 

  _Hecke algebra representations of braid groups and link polynomials_, Ann. Math. __126__, 335 (1987)

* [[Vaughan Jones]], [[Scott Morrison]], [[Noah Snyder]], _The classification of subfactors of index at most 5_ ([arXiv:1304.6141](http://arxiv.org/abs/1304.6141))
* Vaughan F. R. Jones, David Penneys, _Infinite index subfactors and the GICAR categories_, [arxiv/1410.0856](http://arxiv.org/abs/1410.0856)

### Relation to quantum field theory

* [[Jakob Yngvason]], _The Role of Type III Factors in Quantum Field Theory_ ([arXiv:math-ph/0411058](https://arxiv.org/abs/math-ph/0411058))


[[!redirects von Neumann algebra factors]]

[[!redirects von Neumann algebra subfactor]]
[[!redirects von Neumann algebra subfactors]]

[[!redirects subfactor]]
[[!redirects subfactors]]

