

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohesive $\infty$-Toposes
+--{: .hide}
[[!include cohesive infinity-toposes - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## In solid state physics

In [[physics]] and [[chemistry]] ([[solid state physics]]), _cohesion_ refers to the tendency of certain types of [[matter]]/[[substance]] to hold together.

> In physics, the intermolecular attractive force acting between two adjacent portions of a substance, particularly of a solid or liquid. It is this force that holds a piece of matter together. ([Enc. Britannica](http://www.britannica.com/EBchecked/topic/124597/cohesion)).

* J. S. Rowlinson, _Cohesion A Scientific History of Intermolecular Forces_ ([web](http://www.cambridge.org/gb/academic/subjects/chemistry/physical-chemistry/cohesion-scientific-history-intermolecular-forces))

## Analogy with a quality of space

### In natural philosophy

In [[Georg Hegel]]'s _[[Encyclopedia of the Philosophical Sciences]]_ there is discussion of the cohesion of some substance. 

### In categorical logic / topos theory

[[William Lawvere]] argued that the "[[objective logic]]" of this discussion is to be formalized via [[categorical logic]] by the axiomatics of [[cohesive toposes]], i.e. by [[modal type theory]] equipped with [[shape modality]] and [[flat modality]].


Entries discussing aspects of _cohesion_ in this sense include the following

* [[motivation for cohesion]], [[geometry of physics]]

* [[cohesive topos]]

  * [[cohesive site]]

* [[cohesive (∞,1)-topos]], [[cohesive homotopy type theory]],
 
  * [[∞-cohesive site]]

 * [[differential cohesion]]


Hegel goes on to speak of cohesion being refined to _[[elasticity]]_:

> [PN§297Zusatz](Science+of+Logic#PN297Zusatz) Elasticity is the whole of cohesion.

Moreover, according to [PN§298](Science+of+Logic#PN298) this elasticity is related to the [[unity of opposites]] that constitute [[Zeno's paradox of motion]], hence to the modern concept of [[differentiation]] via a [[limit of a sequence]].  In terms of [[categorical logic]] this is precisely what is encoded in the [[infinitesimal shape modality]] and [[infinitesimal flat modality]] of 

* [[differential cohesion]]

[[!include cohesion - table]]


**Examples**

* [[discrete ∞-groupoids|discrete cohesion]]

* [[tangent cohesive (∞,1)-topos|stable cohesion]]

* [[global equivariant homotopy theory]]

* [[Euclidean-topological ∞-groupoids|continuous cohesions]]

* [[smooth ∞-groupoid|smooth cohesion]]

* [[synthetic differential ∞-groupoid|synthetic differential cohesion]]

* [[smooth super ∞-groupoid|supergeometric cohesion]]


**Applications**

* [differential calculus in cohesion](differential+calculus#InCohesiveHomotopyTheory)

* [[differential cohomology]]/[[differential cohomology diagram]]

* [[∞-Chern-Weil theory introduction]]

* [[local prequantum field theory]]

* [[motivic quantization]]

## Related concepts

* [[elasticity]], [[solidity]]

category: adjective

[[!redirects cohesion]]