+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### 2-Category theory
+--{: .hide}
[[!include 2-category theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A **2-adjunction** is a common name for various kinds of adjunctions in [[2-category theory]]; not only adjunctions between [[2-categories]] themselves, but more generally adjunctions within an arbitrary [[3-category]].  Since there are various different levels of strictness at which one works in 2-category theory, there are various different kinds of 2-adjunction, including:

* A [[strict 2-adjunction]], involving [[strict 2-categories]], [[strict 2-functors]], [[strict 2-natural transformations]], and on-the-nose [[triangle identities]].  This can be generalized to an arbitrary [[strict 3-category]].
* A [[biadjunction]], involving [[weak 2-categories]] ([[bicategories]]), weak 2-functors ([[pseudofunctors]]), [[pseudonatural transformations]], and triangle identities up to isomorphism.  This can be generalized to an arbitrary [[tricategory]].
* The word [[pseudoadjunction]] is sometimes used interchangeably with "biadjunction", but often it refers specifically to a notion definable internal to a [[Gray-category]].  When specialized to the canonical Gray-category $Gray$, this produces a notion involving strict 2-categories and strict 2-functors, but *pseudo* natural transformations, and triangle identities up to isomorphism.
* A [[lax 2-adjunction]] involves triangle identities only up to noninvertible transformation, and perhaps [[lax 2-functors]] and/or [[lax 2-natural transformations]] as well.  If only the triangle identities are lax, this can be defined at any of the above levels of strictness and internalized in any of the above ways; but if the functors or transformations are lax, then it doesn't fit very easily into a well-known abstract 3-categorical structure, since there is no 3-category (as usually understood) including lax functors or transformations.

There are also more specialized kinds of 2-adjunction, such as

* An [[idempotent 2-adjunction]] is a categorification of an [[idempotent adjunction]].
* A [[lax-idempotent 2-adjunction]] is a weaker sort of categorification, relevant to [[lax-idempotent 2-monads]].

 
## Related concepts

* [[adjoint functor]], [[adjoint triple]], [[adjoint quadruple]]

* [[proadjoint]], [[Hopf adjunction]]

* **2-adjunction**
  
  [[biadjunction]], [[pseudoadjunction]], [[lax 2-adjunction]]

  [[lax-idempotent 2-adjunction]]

* [[adjoint (infinity,1)-functor]]

* [[(∞,n)-category with adjoints]]

[[!redirects 2-adjointness]]
[[!redirects 2-adjunctions]]

[[!redirects adjoint 2-functor]]
[[!redirects 2-adjoint]]
[[!redirects 2-adjoints]]
[[!redirects left 2-adjoint]]
[[!redirects left 2-adjoints]]
[[!redirects right 2-adjoint]]
[[!redirects right 2-adjoints]]
