__Victor P. Snaith__ is an algebraist, algebraic topologist and algebraic geometer (born 1944), prof. emeritus at Sheffield [web](http://victor-snaith.staff.shef.ac.uk), [univ. record](http://maths.dept.shef.ac.uk/maths/staff_info.php?id=34). 

The "algebraic cobordism" which Snaith introduced studying stable homotopy theory is not closely related to the [[algebraic cobordism]] in the sense of Morel-Levine, touched upon in $n$Lab. Snaith's algebraic cobordism is in 1979 Memoirs article introduced as a special case of a variant of his general construction of a periodic mutliplicative cohomology theory $X(b)^*()$ out of a pair consisting of a homotopy commutative [[H-monoid]] $X$ and a class $b\in \pi_n(X)$. If $X = BS^1$ and $b$ is a generator of $\pi_2(BS^1)\cong\mathbb{Z}$ then $X(b)^*()$ is isomorphic with 2-periodic complex K-theory. For $X=BU$ and $b$ a ganerator of $\pi_2(BU)\cong\mathbb{Z}$ one obtains $MU^*[u_2,u_2^{-1}]$ where $MU^*$ is the (topological) complex cobordism and $u_2$ is the periodicity element. Then Snaith introduces a variant of such constructions with a more general ring $A$ replacing the complex numbers; and uses the Quillen's description of algebraic K-theory of a ring $A$ in terms of the classifying space $BGLA$; this way he obtains an algebraic cobordism theory. Snaith's algebraic cobordism is in a way too big. One of the main motivations was to understand better the algebraic K-theory and the characteristic classes in algebraic context, similar to the relations coming from the Conner-Floyd isomorphism

$$
K^*(X) = U^*(X)\otimes_{\Omega_U}\mathbb{Z}
$$

where $\Omega_U$ is the cobordism ring of almost complex manifolds and $\mathbb{Z}$ has a structure of $\Omega_U$-module via the Todd class. Recently, Gepner and Snaith returned to the question of algebraic cobordism this time using the motivic version of algebraic cobordism of Voevodsky, namely the [[motivic spectrum]] $MGL$ representing universal
oriented motivic cohomology theory (which is different from Morel-Voevodsky algebraic cobordism), and to the motivic version of Conner-Floyd isomorphism for which they give a comparably short proof.  

* Algebraic cobordism and $K$-theory. Mem. Amer. Math. Soc. __21__ (1979), no. 221, vii+152 pp.
* Algebraic $K$-theory and localised stable homotopy theory. Mem. Amer. Math. Soc. __43__ (1983), no. 280, xi+102 pp.
* Stable homotopy around the Arf-Kervaire invariant, Progress in Mathematics __273__, Birkhäuser Basel, 2009, ISBN10:3764399031
* _Infinite loop maps and the complex J-homomorphism_, Bull. Amer. Math. Soc. __82__, 3 (1976), 508-510 [MR0410741](http://www.ams.org/mathscinet-getitem?mr=0410741), [euclid](http://projecteuclid.org/euclid.bams/1183537922)
* _The complex J-homomorphism. I_, Proc. Lond. Math. Soc., III. Ser. 34, 269-302 (1977), (Zbl 0344.55016) 
* _Geometric dimension of complex vector bundles_, Serie
notas у simposia del Мех. Mat. Soc. 1 (1975) 199-227.
* _Towards algebraic cobordism_, Bull. A, M.. Soc. 83, 3
(1977).
* D. Gepner, V. Snaith, _On the motivic spectra representing algebraic cobordism and algebraic K-theory_, Doc. Math., 14:359–396 (electronic), 2009, [pdf](http://www.math.uni-bielefeld.de/documenta/vol-14/14.pdf)

Snaith's self-description of research is as follows:

> My research interests include algebraic K-theory, algebraic topology, algebraic geometry, number theory and representation theory of groups. These subjects are all closely linked together and I am inclined to use the techniques from one to solve problems in another. For example, the idea of cohomology runs through all these topics, even though cohomology and homology were first developed in the context of algebraic topology. Here is another example: stable homotopy theory is a part of algebraic topology but back in 1985/6 I used it to find a canonical, explicit form of an existence result in representation theory called Brauer's Induction Theorem. My formula, called Explicit Brauer Induction, solved a problem posed by Brauer when he discovered his famous result in 1946.

> Similarly algebraic K-theory, as developed by Quillen in 1973, is a powerful topological mathematical gadget for studying algebraic geometry which in turn is used in many of the recent advances in number theory such as Wiles's proof of Fermat's Last Theorem. Incidentally the application of algebraic geometry to number theory is called arithmetic-algebraic geometry. 

## Related pages

* [[Snaith's theorem]]

[[!redirects V. P. Snaith]]
[[!redirects Snaith]]