The area conventionally called _applied mathematics_ is not the central focus of the $n$Lab: our main focus is in (higher) category theory, [[sheaves]], [[stack]]s, [[homotopy theory|homotopy]] and (co)homological methods, foundations, [[topology]], [[algebra]] and modern geometry as well as mathematical physics and philosophical aspects. 

Unfortunately, there is a problem in defining what applied mathematics is, and many mathematicians disagree about the range. Some, including [[Henri Poincaré]] and [[Vladimir Arnol'd]], said that 

> there is no applied mathematics, there are only applications of mathematics.

Moreover, in many areas and departments the subdivision into pure and applied mathematics (or any similar variants) appears to be a social designation, belong to a group rather than an imperative to apply anything to real world. 

One can argue that what will be applied can not be nearly fully predicted by the area and intention of the creator of particular mathematical result, but by the internal power of the result and by the future of applications themselves. Hence it is a bit presumptuous that people working on some particular mathematics problems, who do not themselves apply mathematics to real-life problems, declare themselves applied just by the common opinion on classification of their result.

For instance it is common to assume that work on [[partial differential equation]]s (especially by analytic and numerical methods) is a subarea of applied mathematics, even if one studies completely unnatural and never applied differential equations, while it is not considered applied mathematics to prove theorems about the homology of spaces, even if they strongly influence [[index theorem]]s widely used in applications to other sciences and "real-life problems".

In any case, to well-spirited people who believe they do applied mathematics we may vaguely recommend our moderately developed pages relating 

* [[mathematical physics]],

which is important for us. Unfortunately, in the departments of the applied mathematics world, there is not really any interest in the foundations of [[quantum field theory]] (and siblings like [[superstring theory]], [[statistical field theory]], [[quantum gravity]], ...) which is our central interest in mathematical physics. We have stubs for some other areas intersecting with traditional "applied mathematics" but not many:

* [[hydrodynamics]]
* [[finite element method]]
* [[regular differential operator]]
* [[homological algebra in finite element method]]
* [[Runge-Kutta method]]
* [[symplectic integrator]]
* [[preconditioner]]

Wikipedia: [applied mathematics](http://en.wikipedia.org/wiki/Applied_mathematics)

category: applications
[[!redirects applied math]]
[[!redirects applied maths]]
[[!redirects applied mathematics]]
