
# Big classes
* table of contents
{: toc}

## Idea

A [[class]] $L$ in [[material set theory]] is __big__ if for any [[set]] $X \in L$ there exists a set $Y \in L$ such that $X \in Y$. 


## A metalanguage formulation

Consider a class $L$ as a formula $\phi(z)$ with a free variable $z$; intuitively $L$ is the collection of all sets such that $\phi(z)$ is true. Then, in the metalanguage, $L$ is big (i.e., the formula $\phi(x)$ exhibits a big class) if

$$
\phi(X) \implies (\exists Y)(\phi(Y) \wedge (X\in Y)) 
$$


## Examples and properties

Gödel's [[constructible universe]] is a [[transitive set|transitive]] big class. 


[[!redirects big class]]
[[!redirects big classes]]
[[!redirects big set]]
[[!redirects big sets]]
