
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Homotopy theory
+--{: .hide}
[[!include homotopy - contents]]=--
#### Model category theory
+--{: .hide}
[[!include model category theory - contents]]
=--
=--
=--


#Contents#
* automatic table of contents goes here
{:toc}

## Idea ##

Quillen's _small object argument_ is a transfinite functorial construction of a [[weak factorization system|weak factorization system]] (on some [[category]] $C$) that is **cofibrantly generated** by a set of [[morphisms]] $I \subset Mor(C)$. 

This construction is notably used in the theory of [[model category|model categories]] and in particular [[cofibrantly generated model category|cofibrantly generated model categories]] in order to demonstrate the existence of the  required factorization of morphisms into composites of (acyclic) cofibrations following by (acyclic) fibrations, and in order to find such factorization choices [[functorial factorization|functorially]].

## Statement ##

To say that a weak factorization system is cofibrantly generated by $I$ is to say that the right class $R$ of the system consists of precisely those maps  which have the right [[lifting property]] with respect to $I$ (the _$I$-[[injective morphisms]]_)

$$
  R = rlp(I)
  \,.
$$


The left class $L$ is then necessarily the class of maps who have the left [[lifting property]] with respect to the right class (the _$I$-cofibrations_)

$$
  L = llp(R) = llp(rlp(I))
  \,.
$$

When a weak factorization system is cofibrantly generated, another consequence of Quillen's small object argument is that the left class is the smallest [[saturated class of maps]] containing $I$.

Given that the classes of a cofibrantly generated weak factorization system are determined by lifting properties, the content of the small object argument is to produce the required factorizations. With care, this construction is _functorial_, so the result is a functorial weak factorization system.

If the category $C$ is just assumed to have all [[colimit]]s then the domains of the maps in $I$ are required to satisfy a smallness condition that says that any morphism from these objects to a sufficiently-large-directed colimit will factor through the base of the colimiting diagram. (See the reference by Hovey below.)
If the category is required to be a [[locally presentable category]] then no further condition is required (see the other references below).


+-- {: .un_theorem }
###### Theorem (small object argument)

Let  $I \subset Mor(C)$ be a [[set]] of [[morphism]]s in a [[category]] $C$.

Let $C$ be 

* a [[locally presentable category]] 

* or, more generally, such that it has all [[colimit]]s and each domain of morphisms in $I$ is a [[small object]].

* or, yet more generally, such that it has all [[colimit]]s and each domain of morphisms in $I$ is small relative to [[transfinite composition|transfinite composites]] of [[pushout]]s of maps in $I$.

Then 

every morphism $f$ has a [[weak factorization system|factorization]] of the form

$$
  f : \stackrel{g \in cell(I)}{\to} 
   \stackrel{h \in rlp(I) }{\to}
$$

where 
 
* $rlp(I)$ is the set of morphisms with 
[[weak factorization system|right lifting property]] with respect to $I$

* $cell(I)$ is the set of [[transfinite composition]]s of 
  [[pushout]]s of morphisms in $I$;

  
=--

+-- {: .un_remark }
###### Remark

One sometimes says (e.g. [Hirschhorn](#ModLoc)) that a collection $I$ of morphisms **admits a small object argument** if all domains are small relative to transfinite composites of pushouts of elements of $I$.

=--

+-- {: .un_remark }
###### Remark

Examples of categories where the argument applies that are _not_ [[presentable category|presentable]] include the category [[Top]] of [[topological space]]s.

=--


##The Construction##

Given a morphism $f: X \rightarrow Y$, we would like to factor $f$ as $a : X \rightarrow Z$ followed by $q : Z \rightarrow Y$, where $q$ has the right lifting property with respect to all arrows in $I$. The arrow $a$ will be constructed to be a [[transfinite composition|transfinite composite]] of [[pushout]]s of [[coproduct]]s of maps in $i$. The left class of a weak factorization system is closed under all of these constructions, so $a$ will be in the left class cofibrantly generated by $i$.

For convenience, suppose our category is [[locally small category|locally small]]. We can then consider the set $S_1$ of lifting problems between $f$ (on the right) and elements $i \in I$ (on the left), i.e. the set of commuting diagrams

$$
  S_1 =
  \left\{
  \array{
    K &\to& X
    \\
    \downarrow^{\mathrlap{i}} && \downarrow^{\mathrlap{f}}
    \\
    L &\to& Y
  }
  \;\;
  |
  \;\;
   i \in I
  \right\}
  \,.
$$


Form the [[coproduct]] morphism

$$
  (
  K_{(I/f)}
  \to
  L_{(I/f)} 
  )
  :=
  \coprod_{i \in S_1} (K \stackrel{i}{\to} L)
$$

over $S_1$ of the corresponding elements of $I$; the squares of $S_1$ then specify a canonical morphism 

$$
  K_{(I/f)} \to X =: Z_0
$$

from the domain of this morphism to $Z_0:=X$. The [[pushout]] 

$$
 \array{
  K_{(I/f)} &\to& Z_0
  \\
  \downarrow && \downarrow^{\mathrlap{a_1}}
  \\
  L_{(I/f)} &\to& Z_0 \coprod_{L_{(I/f)}} K_{(I/f)}
  =: Z_1
  \\
  &&& \searrow^{\mathrlap{q_1}}
  \\
  &&&& Y
 }
$$


of this diagram defines an object $Z_1$ and morphisms $a_1 : Z_0 \rightarrow Z_1$ and $q_1 : Z_1 \rightarrow Y$ factoring $f$. Intuitively (following the example of [[boundary of a simplex|simplicial boundary]] inclusions) if we think of the morphisms $i \in I$ as being inclusions of [[spheres]] into [[balls]], we have formed $Z_1$ by sphere attachments for every attaching map from a domain of $I$ into $X=Z_0$.

Now, we iterate this construction with $q_1 : Z_1 \rightarrow Y$ in place of $f$ and taking colimits to construct $Z_{\alpha}$ for limit [[ordinal number|ordinals]] $\alpha$.  

This construction does not converge. So we choose instead to stop at a sufficiently large ordinal $\beta$, chosen so that the domains of the maps in $I$ will satisfy the smallness property assumed in the theorem. Define $a$ to be the [[transfinite composition|transfinite composite]] of the $a_{\alpha}$ and $q$ to be the induced map from the colimit $Z_{\beta}$ to $Y$, so that

$$
  (X \stackrel{f}{\to} Y)
  =
  (X \stackrel{a}{\to} Z_\beta \stackrel{q}{\to} Y)
  \,.
$$

It is clear from the construction that $a$ is in the left class of the weak factorization system, so it remains to show that $q$ has the right lifting property with respect to each $i \in I$. Given a lifting problem, 

$$
  \array{
    K &\to& Z_\beta
    \\
    \downarrow^{\mathrlap{i}} && \downarrow^{\mathrlap{a}}
    \\
    L &\to& Y
  }
$$

the map from $K$ to $Z_\beta$ factors through some $Z_{\alpha}$, with $\alpha \lt \beta$, since $Z_\beta$ is a [[filtered colimit]] and using the assumed smallnes of $K$ (see _[[compact object]]_). Because $Z_{\alpha+1}$ was defined to be a pushout over squares including this one, we have a map $L \rightarrow Z_{\alpha +1} \rightarrow Z_{\beta} = colim_\alpha Z_{\alpha}$, which is the desired lift:

$$
  \array{
    K &\to& Z_\alpha &\to& Z_\beta
    \\
    \downarrow && \downarrow &\nearrow& \downarrow
    \\
    && Z_{\alpha+1}
    \\
    \downarrow^{\mathrlap{i}} & \nearrow & &&
    \downarrow
    \\
    L &\to& &\to& Y
  }
$$

##A note on Functoriality##

One of the important conclusions of the small object argument is that it is functorial, hence that it produces [[functorial factorizations]].  But since (in its ordinary form) the process does not "converge" (in the up-to-isomorphism sense) but rather is merely stopped when it has gone far enough along, for functoriality we have to take care to terminate the construction at the _same_ ordinal $\beta$ for every input.

Additionally, in an [[enriched category|enriched]] situation, ideally one would like the factorizations to be an _enriched_ functor.  The version of the small object argument given above does not produce an enriched functor, since it takes coproducts over maps in an ordinary category.  It can be modified to produce an enriched functor by replacing these coproducts by [[copower]]s, but the resulting factorizations are only rarely homotopically well-behaved (in a model category, for instance).  One important special case when they are well-behaved is when all objects of the enriching category are cofibrant, as is the case for [[simplicial set]]s and for the [[folk model structure]] on [[Cat]].

##A variant##

A modified version of Quillen's small object argument due to Richard Garner produces not just [[functorial factorization]] but those of an [[algebraic weak factorization system]]. Unlike Quillen's construction, his converges. Details are contained in _Understanding the small object argument_.

## Related concepts

* [[factorization system]], [[anodyne morphism]]

## References ##

Standard textbook references are for instance 

theorem 2.1.14 in 

* [[Mark Hovey]], _Model categories_,  volume 63 of Mathematical Surveys and Monographs, American Mathematical Society, (2007),

or section 10.5 in

* {#ModLoc} [[Philip Hirschhorn]], _Model categories and their localization_, volume 99 of Mathematical Surveys and Monographs, American Mathematical Society 

A reference with an eye towards [[combinatorial model category|combinatorial model categories]] and [[Smith's theorem]] is

* [[Tibor Beke]], _Sheafifiable homotopy model categories_ ([arXiv](http://arxiv.org/abs/math.CT/0102087))

Based on this a good quick reference is the first two pages of

* [[Clark Barwick]], _On (enriched) left Bousfield localization of model categories_ ([arXiv](http://arxiv.org/abs/0708.2067))

See also the appendix of [[Higher Topos Theory|HTT]].

For more conceptual background see

* [[Richard Garner]], _Understanding the small object argument_, Applied Categorical Structures, 17 (3):247–285, 2009 ([pdf](http://arxiv.org/pdf/0712.0724v2.pdf))
