
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### $\infty$-Lie theory
+--{: .hide}
[[!include infinity-Lie theory - contents]]
=--
=--
=--

#Contents#
* automatic table of contents goes here
{:toc}

## Definition ##


A _Lie algebroid_ is the [[horizontal categorification|many object version]] of a [[Lie algebra]]. It is the [[infinitesimal space|infinitesimal]] approximation to a [[Lie groupoid]].

There are various equivalent definitions:

### In terms of vector bundles with anchor ###


+-- {: .num_defn}
###### Definition in terms of vector bundles with anchor map

A Lie algebroid over a [[manifold]] $X$ is 

 * a [[vector bundle]] $E \to X$;

 * equipped with a Lie brackets $[\cdot,\cdot] : \Gamma(E)\otimes \Gamma(E) \to \Gamma(E)$ (over the ground field) on its space of sections;

 * a morphisms of vector bundles $\rho : E \to TX$, whose tangent map preserves the bracket: $(d\rho)([\xi,\zeta]_{\Gamma E}) = [d\rho(\xi),d\rho(\zeta)]_{\Gamma TX}$; (but this property of preserving brackets is implied by the next property, see Y. Kosmann-Shwarzbah and F. Magri. Poisson-Nijenhuis strutures. Ann. Inst.
H. Poinaré Phys. Théor., 53(1):3581, 1990.)

 * such that the _Leibniz rule_ holds: for all $X, Y \in \Gamma(E)$ and all $f \in C^\infty(X)$ we have
$$
  [X, f \cdot Y] = f\cdot [X,Y] + \rho(X)(f) \cdot Y
  \,.
$$
=--

### The CE-algebra of a vector bundle with anchor ###

Given this data of a vector bundle $E \to X$ with anchor map $\rho$ as above, one obtains the structure of a [[dg-algebra]] on the [[exterior algebra]] $\wedge^\bullet_{C^\infty(X)} \Gamma(E)^*$ of smooth sections of the dual bundle by the formula

$$
  (d\omega)(e_0, \cdots, e_n)
  = 
  \sum_{\sigma \in Shuff(1,n)} sgn(\sigma) \rho(e_{\sigma(0)})(\omega(e_{\sigma(1)}, \cdots, e_{\sigma(n)}))
  +
  \sum_{\sigma \in Shuff(2,n-1)} sign(\sigma) 
   \omega([e_{\sigma(0)},e_{\sigma(1)}],e_{\sigma(2)}, \cdots, e_{\sigma(n)} )
  \,,
$$

for all $\omega \in \wedge^n_{C^\infty(X)} \Gamma(E)^*$ and $(e_i \in \Gamma(E))$, where $Shuff(p,q)$ denotes the set of $(p,q)$-[[shuffle]]s $\sigma$ and $sgn(\sigma)$ the [[signature]] $\in \{\pm 1\}$ of the corresponding [[permutation]].

More details on this are at [[Chevalley-Eilenberg algebra]].

Conversely, one finds that every [[semi-free dga]] finitely generated in degree 1 over $C^\infty(X)$ arises this way, so that one may turn this around:

### Semi-free dg-algebras ###

+-- {: .num_defn}
###### Definition in terms of Chevalley--Eilenberg algebra

A Lie algebroid over a manifold $X$ is a vector bundle 
$E \to X$ equipped with a degree +1 derivation $d$ on the free (over $C^\infty(X)$) graded-commutative algebra $\wedge^\bullet_{C^\infty(X)} \Gamma(E)^*$ (where the dual is over $C^\infty$), such that $d^2 = 0$.
=--

This is for $\Gamma(E)$ satisfying suitable finiteness conditions.  In general, as the masters well knew, the correct definition is the algebra of alternating multilinear functions from  $\Gamma(E)$ to the ground field, assumed of characteristic 0. This can also be phrased in terms of
linear maps from the corresponding coalgebra cogenerated by 
$\Gamma(E)$, but the masters did not have coalgebras in those days.

The differential graded-commutative algebra 

$$
  CE(\mathfrak{g})
  :=
  (\wedge^\bullet_{C^\infty(X)} \Gamma(E)^*, d)
$$

is the [[Chevalley–Eilenberg algebra]] of the Lie algebroid (in that for $X = pt$ it reduces to the ordinary Chevally--Eilenberg algebra for Lie algebras). 

In the existing literature this is often addressed just as "the complex that computes Lie algebroid cohomology".

It is helpful to compare this definition to the general definition of [[Lie infinity-algebroid|Lie ∞-algebroids]], the [[vertical categorification]] of Lie algebras and Lie algebroids.

### Lie-Rinehart algebras ###

+-- {: .num_defn}
###### Definition in terms of commutative Lie--Rinehart pairs

A Lie algebroid over the manifold $X$ is 

 * a Lie algebra $\mathfrak{g}$;

 * the structure of a Lie module over $\mathfrak{g}$ on $C^\infty(X)$ (i.e. an action of $\mathfrak{g}$ on $X$);

 * the structure of a $C^\infty(X)$-module on $\mathfrak{g}$ (in fact: such that $\mathfrak{g}$ is a finitely generated projective module);

 * such that the two actions satisfy two compatibility conditions which are modeled on the standard relations obtained by setting $\mathfrak{g} = \Gamma(T X)$.
=--

This is the special case of a [[Lie-Rinehart pair]] $(A,\mathfrak{g})$ where the associative algebra $A$ is of the form $C^\infty(X)$.


## Examples ##

* A **[[Lie algebra]]** is a Lie algebroid over a point, $X = pt$.

* The **[[tangent Lie algebroid]]** is 

    1. in the vector bundle definition given by $E = T X$, $\rho = \mathrm{Id}$;

    2. in the [[Chevalley-Eilenberg algebra]] definition: $\mathrm{CE}(T X) = (\Omega^\bullet(X), d_{deRham})$;

* An [[action Lie algebroid]] is the Lie version of an [[action groupoid]].

*  **Bundles of Lie algebras** $E \to X$ with fiber $\mathfrak{g}$ are Lie algebroids with $\rho = 0$ and fiberwise bracket. In particular, for $G$ a Lie group with Lie algebra $\mathfrak{g}$ and $P \to X$ a $G$-principal bundle, the _adjoint bundle_ $ad P := P \times_G \mathfrak{g}$ (where $\mathfrak{g}$ is associated using the [[adjoint representation]] of $G$ on its Lie algebra) is a bundle of Lie algebras.

* Lie algebroids with injective anchor maps are equivalently [[integrable distributions]] in the [[tangent bundle]] of their base manifold and hence are equivalently [[foliations]] of their base manifold.

* The **[[Atiyah Lie algebroid]]** is the Lie algebroid of the  [[Atiyah Lie groupoid]] of a principal bundle: for $G$ a Lie group and $P \to X$ a $G$-principal bundle, the vector bundle $At(P):= T P/G$ naturally inherits the structure of a Lie algebroid. Moreover, it fits into a short exact sequence of Lie algebroids over $X$
$$
  0 \to ad P \to At(P) \to T X \to 0
$$
known as the **Atiyah sequence**. 

* The **vertical tangent Lie algebroid** $T_{vert}Y \hookrightarrow T Y$ of a smooth map $\pi : Y \to X$ of manifolds is the sub-Lie algebroid of the tangent Lie algebroid $T Y$ defined as follows:

   1. In the vector bundle perspective $E = ker(\pi_*)$ is the kernel bundle of the map $\pi_* : T Y \to T X$.

   2. In the dual picture we have $CE(T_{vert}Y) = \Omega^\bullet_{vert}(Y)$, the [[Lie infinity-algebroid|qDGCA]] of **vertical differential forms**. This is the quotient of $\Omega^\bullet(Y)$ by the ideal of those forms which vanish when restricted in all arguments to $ker(\pi_*)$.  

* Each [[Poisson manifold]] $(X,\pi)$ defines and is defined by a [[Poisson Lie algebroid]] $T^* X \stackrel{\pi}{\to} t X$. This is the degree-1 example of a more general structure described at [[n-symplectic manifold]].

* If $E\to X$ is a Lie algebroid with bracket $[,]$ and anchor $\rho:E\to TX$ then it induces a Lie algebroid structure on the $k$-th [[jet bundle|jet]] bundle $j^k E\to X$, called the **jet Lie algebroid**. More precisely, if $s\in\Gamma_X E$ then call by $j^k s$ the induced section in $\Gamma_X j^k E$. Then there is a unique Lie algebroid structure on the bundle $j^k E\to X$ such that the following two properties hold: $[j^k s, j^k t] = j^k [s,t]$ and $\rho(j^k s) = \rho(s)$ for all $s,t\in\Gamma_X E$ (see [pdf](http://www.math.ist.utl.pt/~rfern/Meus-papers/HTML/jets.pdf)).

* A [[BRST complex]] is a [[Chevalley-Eilenberg algebra]] of a Lie algebroid which corresponds to the [[action groupoid]] of a Lie group acting on a space.

## Properties

### Lie theory

The extent to which Lie algebroids are to [[Lie groupoid|Lie groupoids]] as Lie algebras are to Lie groups is the content of general [[Lie theory]], in which [[Lie's three theorems|Lie's theorems]] have been generalized to Lie algebroids.

### Poisson geometry

The fiberwiese linear dual of a Lie algebroid (regarded as a vector bundle) is naturally a [[Poisson manifold]]: the _[[Lie-Poisson structure]]_.

## Related concepts

* [[Lie algebra]], **Lie algebroid**

* [[double Lie algebroid]]

* [[L-∞ algebra]], [[L-∞ algebroid]]

* [[foliation of a Lie algebroid]]

* [[Lie algebroid cohomology]]

* [[super Lie algebroid]]

## References

The concept of Lie algebroid was introduced in

* [[Jean Pradines]], _Théorie de Lie pour les groupoïdes différentiables. Calcul différenetiel dans la catégorie des groupoïdes infinitésimaux_, C. R. Acad. Sci. Paris Sér. A-B 264 1967 A245--A248, [MR0216409](http://www.ams.org/mathscinet-getitem?mr=0216409)

In algebra a generalization of Lie algebroid, the Lie pseduoalgebra or Lie-Rinehart algebra/pair has been introduced more than a dozen of times under various names starting in early 1950-s. Atiyah's construction of Atiyah sequence is published in 1957 and Rinehart's paper in 1963. 

Historically important is also the reference

* [[Theodore Courant]], _Tangent Lie algebroid_ ([pdf](http://www.iop.org/EJ/article/0305-4470/27/13/026/ja941326.pdf))

on [[tangent Lie algebroid]]s. 

Contemporary textbooks include:

* K. C. H. Mackenzie, _General theory of Lie groupoids and Lie algebroids,_ Cambridge University Press, 2005, xxxviii + 501 pages 
([website](http://kchmackenzie.staff.shef.ac.uk/gt.html))

* K. C. H. Mackenzie, _Lie groupoids and Lie algebroids in differential geometry_, London Mathematical Society Lecture Note Series, 124. Cambridge University Press, Cambridge, 1987. xvi+327 pp ([MathSciNet](http://www.ams.org/mathscinet-getitem?mr=896907))

* [[Janez Mrčun]], [[Ieke Moerdijk]], _Introduction to foliations and Lie groupoids_, Cambridge Studies in Advanced Mathematics __91__, Cambridge University Press 2003. x+173 pp. ISBN: 0-521-83197-0

For an infinite-dimensional version used in stochastic analysis see

* Rémi Léandre, _A Lie algebroid on the Wiener space_, Adv. Math. Phys. 2010, Art. ID 146719, 17 pp. [MR2011j:58064](http://www.ams.org/mathscinet-getitem?mr=2594930) 

There is also a recent "hom-version"

* Camille Laurent-Gengoux, Joana Teles, _Hom-Lie algebroids_, [arxiv/1211.2263](http://arxiv.org/abs/1211.2263)
  
[[!redirects Lie algebroids]]

[[!redirects anchor map]]
[[!redirects anchor maps]]
