
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Homotopy theory
+-- {: .hide}
[[!include homotopy - contents]]
=--
=--
=--

# $n$-(simply) connected spaces
* table of contents
{: toc}

## Idea

An _$n$-connected space_ is a generalisation of the pattern:

*  [[space]],
*  [[inhabited space]],
*  [[path-connected space]],
*  [[simply connected space]],
*  etc.

For the general concept see at _[[n-connected object of an (infinity,1)-topos]]_.
## Definition

A [[topological space]] $X$ is __$n$-connected__ or __$n$-simply connected__ if its [[homotopy groups]] are trivial up to degree $n$.

More explicitly, $X$ is __precisely $k$-connected__ if every [[continuous map]] to $X$ from the $k$-[[sphere]] extends to a continuous map to $X$ from the $k+1$-[[disk]].  Then $X$ is __$n$-(simply) connected__ if $X$ is precisely $k$-connected for $-1 \leq k \leq n$.


## Special cases

*  Any space is $(-2)$-simply connected.

*  A space is $(-1)$-simply connected precisely if it has an element; that is if it is [[inhabited set|inhabited]].

*  A space is $0$-simply connected precisely if it is [[path-connected space|path-connected]].

*  A space is $1$-simply connected precisely if it is [[simply connected space|simply connected]].

*  A space is $\infty$-simply connected precisely if it is [[contractible space|weakly contractible]].


## Terminology

The traditional terminology is ‘$n$-connected’, but this violates the rule that ‘$1$-foo’ should mean the same as 'foo'.  This can be fixed by saying ‘$n$-simply connected’ instead, which also has the advantage of stressing that we are extending the change from connected to simply connected spaces.


## Properties

An $n$-connected topological space is precisely an [[n-connected object]] in the [[(∞,1)-topos]] [[∞Gpd]], presented by the [[model category]] [[Top]] of [[topological spaces]].

## Related concepts

* [[n-connected continuous function]]

[[!redirects n-connected space]]
[[!redirects n-connected spaces]]
[[!redirects n-simply connected space]]
[[!redirects n-simply connected spaces]]

[[!redirects n-connected topological space]]
[[!redirects n-connected topological spaces]]
[[!redirects n-simply connected topological space]]
[[!redirects n-simply connected topological spaces]]

[[!redirects n-unicoherent space]]
[[!redirects n-unicoherent spaces]]
