
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context###
#### Topos Theory
+-- {: .hide}
[[!include topos theory - contents]]
=--
#### Notions of subcategory
+-- {: .hide}
[[!include notions of subcategory]]
=--
=--
=--

# Contents
* table of contents
{:toc}

## Idea

A _dense sub-site_ is a [[subcategory]] of a [[site]] such that a natural [[functor]] between the corresponding [[categories of sheaves]] is an [[equivalence|equivalence of categories]].


## Definition

+-- {: .num_prop #InducedCoverage}
###### Definition

For $(C,J)$ a [[site]] with [[coverage]] $J$ and $D \to C$ any [[subcategory]], the **induced coverage** $J_D$ on $D$ has as [[covering]] [[sieve|sieves]] the intersections of the covering sieves of $C$ with the morphisms in $D$.

=--

+-- {: .num_prop #DenseSubSite}
###### Definition

Let $(C,J)$ be a [[site]] (possibly [[large site|large]]). A [[subcategory]] $D \to C$ (not necessarily [[full subcategory|full]]) is called a **dense sub-site** with the [induced coverage](#InducedCoverage) $J_D$ if

1. every object $U \in C$ has a [[covering]] [[sieve]] generated by maps $U_i \to U$ with $U_i \in D$.

2. for every morphism $f : U \to V$ in $C$ with $U, V \in D$ there is a [[covering]] [[sieve]] $\{f_i : U_i \to U\}$ of $U$ in $D$ such that the composites $f \circ f_i$ are in $D$.

=--

+-- {: .num_remark}
###### Remark

If $D$ is a [[full subcategory]] then the second condition is automatic.

=--

The following theorem is known as the **[[comparison lemma]]**.

+-- {: .num_theorem}
###### Theorem 

Let $(C,J)$ be a (possibly [[large site|large]]) [[site]] with $C$ a [[locally small category]] and let $f : D \to C$ be a [[small category|small]] [dense sub-site](#DenseSubSite). Then the pair of [[adjoint functor]]s

$$
  (f^* \dashv f_*) 
    : 
  PSh(D)
    \stackrel{\overset{f^*}{\leftarrow}}{\underset{f_*}{\to}}  
   PSh(C)
$$

with $f^*$ given by precomposition with $f$ and $f_*$ given by right [[Kan extension]] induces an [[equivalence of categories]] between the categories of sheaves

$$
  (f_* \dashv f^*) : 
  Sh_{J_D}(D)
  \underoverset
    {\underset{f_*}{\to}}{\overset{f^*}
    {\leftarrow}}
    {\simeq}
  Sh_J{C}
  \,.
$$
=--

This appears as ([Johnstone, theorem C2.2.3](#JTT02)).

## Problems with another definition

The nLab following Johnstone ([2002](#JTT02),p.546) had initially the following form of condition 2 in definition \ref{DenseSubSite}:

2'. For every morphism $f : U \to V$ in $C$ with  $V \in D$ there is a cover $S\in J(U)$ in $C$ generated by a family of morphisms $\{f_i : U_i \to U\}$ in $C$ such that the composites $f \circ f_i$ are in $D$.

But this is too weak to prove the comparison lemma as the following example shows:

Let $C$ be any groupoid, with the trivial topology (only maximal sieves cover), and let $D$ be the discrete category on the same objects.  Then for any morphism $f:U\to V$, its inverse $f^{-1}:V\to U$ generates the maximal sieve on $U$, and the composite $f f^{-1} = 1_V$ is in $D$, so the conditions 1 and 2' of the definition are satisfied.  But the restriction $Set^{C^{op}} \to Set^{D^{op}}$ is not generally an equivalence.

See the dicussion [here](https://nforum.ncatlab.org/discussion/7220/dense-subsite/#Item_0).

## Examples

* Let $X$ be a [[locale]] with [[frame]] $Op(X)$ regarded as a site with the canonical coverage ($\{U_i \to U\}$ covers if the [[join]] of the $U_i$ is $U$). Let $bOp(X)$ be a [[basis for the topology]] of $X$: a complete join-[[semilattice]] such that every object of $Op(X)$ is the [[join]] of objects of $bOp(X)$. Then $bOp(X)$ is a dense sub-site.

  * For $X$ a [[locally contractible space]], $Op(X)$ its [[category of open subsets]] and $cOp(X)$ the full subcategory of [[contractible]] open subsets, we have that $cOp(X)$ is a dense sub-site.

* For $C = TopManifold$  the category of all [[topological manifold]]s equipped with the [[open cover]] coverage, the category [[CartSp]]${}_{top}$ is a dense sub-site: every [[topological manifold]] has an [[open cover]] by [[open balls]] [[homeomorphic]] to a [[Cartesian space]].

  * For $C = PCompTopManifold$  the category of all [[paracompact topological space|paracompact]] [[topological manifold]]s equipped with the [[good open cover]] coverage, the category [[CartSp]]${}_{top}$ is a dense sub-site: every paracompact [[topological manifold]] has an [[good open cover]] by [[open balls]] [[homeomorphic]] to a [[Cartesian space]].

  * Similarly for $C = $ [[Diff]] the category of [[paracompact topological space|paracompact]] [[smooth manifold]]s equipped with the [[good open cover]] [[coverage]], the full subcategory [[CartSp]]${}_{smooth}$ is a dense sub-site: every such smooth manifold has a _differentiably_ [[good open cover]] (see there): a good cover by open balls each of which are [[diffeomorphic]] to a [[Cartesian space]].

## Remark

There is also the notion of _[[dense subcategory]]_, which is however only remotly related to the concept of a _dense sub-site_ by both vaguely invoking the topological concept of a [[dense subspace]].

## Related entries

* [[comparison lemma]]

* [[covering lifting property]]

## References

The comparison lemma originates with the exposé III by [[J. L. Verdier|Verdier]] in

* {#SGA4}[[M. Artin]], [[A. Grothendieck]], [[J. L. Verdier]], _Théorie des Topos et Cohomologie Etale des Schémas ([[SGA4]])_, LNM **269** Springer Heidelberg 1972.  (p.288)

A more general form is used to give a site characterization for [[étendue|étendue toposes]] in

* [[A. Kock]], [[I. Moerdijk]], _Presentations of Etendues_ , Cah. Top. Géom. Diff. Cat. **XXXII** 2 (1991) pp.145-164. ([numdam](http://www.numdam.org/numdam-bin/item?id=CTGDC_1991__32_2_145_0), pp.151f)

A proof of the comparison lemma together with a nice list of examples is in

* [[Saunders Mac Lane|S. Mac Lane]], [[I. Moerdijk]], _Sheaves in Geometry and Logic_ , Springer Heidelberg 1994. (Appendix 4, pp.590ff)

See also 

* {#JTT02}[[Peter Johnstone]], _[[Elephant|Sketches of an Elephant]] vol 2_ , Oxford UP 2002. (Section C2.2, p.546)

* {#Shulman12}[[Mike Shulman]], _Exact Completions and Small Sheaves_ , TAC **27** no.7 (2012) pp.97-173. ([abstract](http://www.tac.mta.ca/tac/volumes/27/7/27-07abs.html); Section 11)

[[!redirects induced coverage]]
[[!redirects dense sub-site]]
[[!redirects dense sub-sites]]
[[!redirects dense subsite]]
[[!redirects dense subsites]]