A __pseudocompact ring__ is a complete Hausdorff
[[topological ring]], $R$, which admits a base at $0$ of two-sided open ideals $I$ for each of which $R/I$ is an Artinian ring. Equivalently, it is a regular [[pro-object]] in Artinian rings. 

More generally let $R$ be a commutative pseudocompact ring. A complete Hausdorff topological ring $\Lambda$ will be called a __pseudocompact algebra__ over $R$ if

(i)  $\Lambda$ is an $R$ algebra in the usual sense, and 

(ii) $\Lambda$ admits a system of open neighbourhoods of 0 consisting of two-sided ideals $I$ such that $\Lambda/I$ has finite length as an $R$ module.

##Motivations and applications


1. Grothendieck developed the theory of [[formal group]]s over pseudocompact rings. 

1. The completed [[group algebra]]s of [[profinite group]]s are naturally pseudocompact algebras, usually considered over finite fields or the [[profinite completion]] of the ring of integers. 

##Related ideas

* [[linear topological ring]]

##References

The homological algebra of such rings and the corresponding modules are discussed in

* A. Brumer, _Pseudocompact algebras, profinite groups and class formations_,  J. Algebra __4__ (1966) 442-470, [MR202790](http://www.ams.org/mathscinet-getitem?mr=202790), <a href="http://dx.doi.org/10.1016/0021-8693(66)90034-2">doi</a> [pdf](http://deepblue.lib.umich.edu/bitstream/handle/2027.42/33410/0000811.pdf?sequence=1)

category: algebra
[[!redirects pseudocompact rings]]
[[!redirects pseudocompact algebra]]
[[!redirects pseudocompact algebras]]