

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Model category theory
+--{: .hide}
[[!include model category theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The [[canonical model structure]] on the 1-[[category]] of [[groupoids]] and [[functors]] is a presentation of the [[(2,1)-category]] of [[groupoids]], [[functor]]s and [[natural isomorphisms]].

This is one flavor of the various [[natural model structure]]s on categories and higher categories.

## Definition


+-- {: .num_defn}
###### Definition

Let [[Grpd]] be the 1-[[category]] of [[small category|small]] [[groupoid]]s and [[functor]]s between them. Say a morphism in $Grpd$ -- a [[functor]] $f : C \to D$ -- is 

* a _weak equivalence_ if it is an [[equivalence of categories]];

* a _fibrations_ if it is an [[isofibration]];

* a _cofibration_ if it is an injection on [[object]]s.

=--

+-- {: .num_prop}
###### Proposition

Equipped with this structure $Grpd_{nat}$ is a [[model category]] which is

* [[cofibrantly generated model category|cofibrantly generated]];

* [[left proper model category|left proper]]

* a [[simplicial model category]] with respect to the natural [[sSet]]-[[enriched category]] structure induced by the canonical enrichment over itself, under the [[nerve]].

=--

This is originally due to ([Anderson 78](#Anderson78)) and ([Bousfield 89](#Bousfield89)). A detailed discussion is in  ([Strickland 00, section 6](#Strickland00)). In the context of the [[model structure for (2,1)-sheaves]] it appears as ([Hollander 01, theorem 2.1](#Hollander01)).

## Properties

+-- {: .num_prop}
###### Observation

The model structure $Grpd_{nat}$ is the restriction of the
[[canonical model structure on Cat]] from [[categories]] to groupoids.

=--

See [[natural model structure]] for more.

+-- {: .num_defn}
###### Definition

Let

$$
  (\tau \dashv N) : Grpd \stackrel{\overset{\tau}{\leftarrow}}{\underset{N}{\to}}
   sSet
$$

be the pair of [[adjoint functor]]s, where $N$ is the [[nerve]] of [[groupoid]]s with values in [[sSet]].

=--

+-- {: .num_prop}
###### Proposition

With the natural model structure on $Grpd$ and the standard [[model structure on simplicial sets]] this is a [[Quillen adjunction]]

$$
  (\tau \dashv N) : Grpd_{nat} \stackrel{\overset{\tau}{\leftarrow}}{\underset{N}{\to}}
   sSet_{Quillen}
  \,.
$$

and $Grpd_{nat}$ is the [[transferred model structure]] obtained from $sSet_{Quillen}$ under this adjunction.

=--

## Related concepts

* [[canonical model structure]]

* [[canonical model structure on Cat]]

* **canonical model structure on $Grpd$**

  * [[model structure for n-groupoids]]

  * [[model structure for ∞-groupoids]]

* [[canonical model structure on Operad]]


## References

Some aspects (like the pullback stability of fibrations of groupoids in its prop. 2.8) appeared in 

* {#Brown70} [[Ronnie Brown]], _Fibrations of groupoids_, Journal of Algebra
Volume 15, Issue 1, May 1970, Pages 103-132

The full model category structure appears originally in

* {#Anderson78} D.W. Anderson, _Fibrations and Geometric Realizations_ , Bull. Am. Math Soc. 84, 765-786, (1978), 765-786.

and

* {#Bousfield89} [[Aldridge Bousfield]], _Homotopy Spectral Sequences and Obstructions_ , Israel Journal of Math., Vol.66, Nos.1-3, (1989), 54-105.


A detailed description is in section 6 of

* {#Strickland00} [[Neil Strickland]] _$K(n)$-local duality for finite groups and groupoids_ , Topology 39, (2000).


The model structure on functors with values in $Grpd_{nat}$ (a [[model structure for (2,1)-sheaves]]) is discussed in

* {#Hollander01} [[Sharon Hollander]], _A homotopy theory for stacks_ ([arXiv:math.AT/0110247](http://arxiv.org/abs/math.AT/0110247))


[[!redirects natural model structure on groupoids]]


[[!redirects canonical model structure on Grpd]]
