
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Category theory
+-- {: .hide}
[[!include category theory - contents]]
=--
=--
=--

# Contents
* the following line creates the automatic table of contents
{: toc}

## Definition

Given an [[adjunction]] $\langle F,G,\eta,\varepsilon\rangle\colon
X\to A$, the __canonical presentation__ of an object
$a\in\operatorname{obj}(A)$ is the [[fork]]
$$
F G F Ga\underoverset{F G\varepsilon_a}{\varepsilon_{F G a}}{\rightrightarrows}F G a
\overset{\varepsilon_a}{\rightarrow}a
$$
(this is indeed a fork, by the [[natural transformation|naturality]] of $\varepsilon$).


## Properties

* In general, this fork need not be a [[coequalizer]], but if $G$ is [[monadic functor|monadic]],
then we do get a coequalizer.  To see this, note that the above pair
is $G$-split:  When applying
$G$ to the fork, we get the [[split coequalizer]]
$$
T^2 x\underoverset{T h}{\mu_x}{\rightrightarrows}T x\overset{h}{\rightarrow}{x}
$$
for the [[monad]] $\mathbb{T} := \langle T = G F,\eta,\mu=G\varepsilon F
\rangle$ corresponding to the given adjunction and for the
$\mathbb{T}$-[[algebra of a monad|algebra]] $\langle x,h\rangle = \langle G a , G\varepsilon_a
\rangle$.  Hence, by the [[monadicity theorem]], $G$ (in particular) [[reflected colimit|reflects]]
coequalizers for our pair.


* The two [[parallel arrows]] $F G\varepsilon_a$ and $\varepsilon_{F G a}$
appearing in the canonical presentation have a common 
[[section]], namely, $F \eta_{G a}$ (by the [[triangle identities]]).  Hence,
whenever $G$ is monadic, the resulting coequalizer is a [[reflexive coequalizer]].  


## Example

If $A = \mathbf{Grp}$, $X = \mathbf{Set}$ and $G$ is the forgetful
functor, then for a group $a$, $F G a$ is just the [[free group]] on the
elements of $a$, and $\varepsilon$ is the projection, taking a
''formal product'' of elements of $a$ to the actual product in $a$
(since by a triangle identity we have $G\varepsilon_a(\langle
t\rangle)=t$ where $t\in Ga$ and $\langle t\rangle=\eta_{G a}(t)=$ the
reduced word with one letter $t$).

Since the coequalizer of
$\cdot\underoverset{f}{g}{\rightrightarrows}\cdot$ in $\mathbf{Grp}$ is
the familiar [[quotient group|quotient]] by the normal subgroup generated by elements like
$f(t) g(t)^{-1}$, the canonical presentation (a coequalizer in this
case) is indeed a [[group presentation|presentation]] of $a$ in terms of generators and
relations. 


## References

* _[[Categories Work]]_, p. 153.

* [[John Baez]], ''Universal algebra and diagrammatic reasoning,'' slides [available online](http://math.ucr.edu/home/baez/universal)


[[!redirects canonical presentation]]
[[!redirects canonical presentations]]
