
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Quantum field theory
+--{: .hide}
[[!include functorial quantum field theory - contents]]
=--
#### Super-Geometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc} 

## Idea

_Seiberg-Witten theory_ studies the [[moduli space]] of [[vacua]] in [[N=2 D=4 super Yang-Mills theory]], in particular the [[electric-magnetic duality]] ([[Montonen-Olive duality]]) of the theory.

## Related concepts

* [[N=2 D=4 super Yang-Mills theory]]

* [[Coulomb branch]], [[Higgs branch]]

* [[Donaldson theory]]

* [[Chern-Simons theory]], [[topological Yang-Mills theory]]

* [[topologically twisted D=4 super Yang-Mills theory]]

* [[AGT correspondence]]

## References

> For more and for general references see at _[[N=2 D=4 super Yang-Mills theory]]_.

The original article is

* [[Nathan Seiberg]], [[Edward Witten]], _Monopole Condensation, And Confinement In $N=2$ Supersymmetric Yang-Mills Theory_. Nucl.Phys.B426:19-52,1994; Erratum-ibid.B430:485-486,1994 ([arXiv:hep-th/9407087](arxiv.org/abs/hep-th/9407087))

Reviews include

* J&#252;rgen Einhorn, Thomas Friedrich, _Seiberg-Witten theory_ ([pdf](http://matwbn.icm.edu.pl/ksiazki/bcp/bcp39/bcp3925.pdf))

* [[Simon Donaldson]], _The Seiberg-Witten equations and 4-manifold topology_ ([pdf](http://www.ams.org/journals/bull/1996-33-01/S0273-0979-96-00625-8/S0273-0979-96-00625-8.pdf))

* [[Matilde Marcolli]], _Seiberg-Witten gauge theory_, [pdf](http://www.its.caltech.edu/~matilde/swcosi.pdf)

* piljin yi, _Seiberg-Witten theory -- with a view toward MQCD_ ([pdf](http://newton.kias.re.kr/~piljin/public_html/thesis/SW-MQCD.pdf&#8206;))


* Wikipedia, _[Seiberg-Witten invariants](https://en.wikipedia.org/wiki/Seiberg-Witten_invariant)_


A useful discussion of the physical origins of the Seiberg-Witten equations for mathematicians is in 

* Siye Wu, _The Geometry and Physics of the Seiberg-Witten Equations_, Progress in mathematics, volume 205 (2002)

Discussion of lifts of SW-invariants to [[M-theory]] includes

* [[Neil Lambert]], [[Peter West]], _Monopole Dynamics from the M-Fivebrane_, Nucl.Phys. B556 (1999) 177-196 ([arXiv:hep-th/9811025](http://arxiv.org/abs/hep-th/9811025))


A lift of Seiberg-Witten invariants to classes in [[circle group]]-[[equivariant stable cohomotopy]] is discussed in

* M. Furuta,  (2001), _Monopole Equation and the 11/8-Conjecture_ , Mathematical Research Letters 8: 279&#8211;291 ([doi](http://dx.doi.org/10.4310/MRL.2001.v8.n3.a5))

* _A stable cohomotopy refinement of Seiberg-Witten invariants: I_ ([arXiv:math/0204340](http://arxiv.org/abs/math/0204340))

* _A stable cohomotopy refinement of Seiberg-Witten invariants: II_ ([arXiv:math/0204267](http://arxiv.org/abs/math/0204267))




[[!redirects Seiberg-Witten duality]]
[[!redirects Seiberg-Witten dualities]]

[[!redirects Seiberg-Witten invariant]]
[[!redirects Seiberg-Witten invariants]]
