
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Knot theory
+--{: .hide}
[[!include knot theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The _Jones polynomial_ is a [[knot invariant]]. It is a special case of the [[HOMFLY-PT polynomial]]. See there for more details.

## Properties

### Relation to 3d Chern-Simons theory

In ([Witten 89](#Witten89)) it was shown that the Jones polynomial as a polynomial in $q$ is equivalently the [[partition function]] of $SU(2)$-[[Chern-Simons theory]] with a [[Wilson loop]] specified by the given [[knot]] as a function of the exponentiated [[level (Chern-Simons theory)|level]] of the Chern-Simons theory. Extensive lecture notes on this are in ([Witten 13a](#Witten13a)).

### Relation to 4d super Yang-Mills theory

Later in ([Witten 11](#Witten11)) this identification was further refined to a correspondence between [[Khovanov homology]] and observables in 4-dimensional [[super Yang-Mills theory]]. Extensive lectures notes on this are in ([Witten 13b](#Witten13b)).

## References

The identification of the Jones polynomial with the [[partition function]] of [[Chern-Simons theory]] with [[Wilson loops]] is due to

* [[Edward Witten]], _Quantum field theory and the Jones polynomial_, Commun. Math. Phys. 121,351-399 (1989) [pdf](www.maths.ed.ac.uk/~aar/papers/witten.pdf)
  {#Witten89}

The further identification of this with via the [[Khovanov homology]] induced by a 4-dimensional [[super Yang-Mills theory]] is due to

* [[Edward Witten]], _Khovanov homology and gauge theory_, [arxiv/1108.3103](http://arxiv.org/abs/1108.3103)

* [[Edward Witten]], _Fivebranes and Knots_ ([arXiv:1101.3216](http://arxiv.org/abs/1101.3216)) 
 {#Witten11}

Lecture notes on this are in

* [[Edward Witten]], _A New Look At The Jones Polynomial of a Knot_, Clay Conference, Oxford, October 1, 2013 ([[WittenOnJonesPolynomial2013.pdf:file]])
  {#Witten13a}

* [[Edward Witten]], _Khovanov Homology And Gauge Theory_, Clay Conference, Oxford, October 2, 2013 ([[WittenOnKhovanovHomology2013.pdf:file]])
  {#Witten13b}


See also

* [[Vaughan Jones]], _Index for subfactors_, Invent. Math. __72__, I (I983); _A polynomial invariant for links via yon Neumann algebras_, Bull. AMS __12__, 103 (1985); _Hecke algebra representations of braid groups and link polynomials_, Ann. Math. __126__, 335 (1987)

category: knot theory