+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--

This entry collects links related to the book

* [[Jacob Lurie]], _Higher Algebra_ ([pdf](http://www.math.harvard.edu/~lurie/papers/HA.pdf))

on [[higher algebra]].


This book lays the basis of [[categorical algebra]] -- the study of the trinity [[Lawvere theory|algebra]], [[monads]], [[operads]] -- in the context of [[(∞,1)-category theory]]: [[(∞,1)-algebraic theory|(∞,1)-algebras]], [[(∞,1)-monad]]s, [[(∞,1)-operad]]s.

In particular it discusses the analogs of [[abelian groups]] and [[commutative rings]], namely [[abelian ∞-groups]], [[spectra]] and [[E-∞ rings]].

#Contents#
* table of contents
{:toc}

The following is (or will eventually be) a linked list of keywords.

## 1. Stable $\infty$-categories

### 1.1 Foundations

#### 1.1.1 Stability

* [[stable (∞,1)-category]]

  * [[stabilization]]


#### 1.1.2 The homotopy category of a stable $\infty$-category

* [[triangulated category]]

#### 1.1.3 Closure properties of stable $\infty$-categories

#### 1.1.4 Exact functors

* [[exact (∞,1)-functor]]


### 1.2 Stable $\infty$-categories and homological algebra

* [[homological algebra]]

#### 1.2.1 t-Structures on stable $\infty$-categories

* [[t-structure]]

* [[t-structure on a stable (∞,1)-category]]

* [[heart of a stable (∞,1)-category]]


#### 1.2.2 Filtered objects and spectral sequences

* [[spectral sequence]]

* [[spectral sequence of a filtered stable homotopy type]]

  * [[Adams spectral sequence]]

#### 1.2.3 The Dold-Kan correspondence

* [[Dold-Kan correspondence]]


#### 1.2.4 The $\infty$-categorical Dold-Kan correspondence

* [[infinity-Dold-Kan correspondence]]

* [[spectral sequence of a simplicial stable homotopy type]]


### 1.3 Homological algebra and derived categories

#### 1.3.1 Nerves of differential graded categories

* [[dg-nerve]]

#### 1.3.2 Derived $\infty$-categories

* [[derived category]]

#### 1.3.3 The universal property of $\mathcal{D}^-(\mathcal{A})$

#### 1.3.4 Inverting Quasi-isomorphisms

#### 1.3.5 Grothendieck abelian categories

* [[Grothendieck category]]

#### 1.3.6 Complexes of injective objects

* [[injective object]]

* [[chain complex]]

### 1.4 Spectra and stabilization

#### 1.4.1 The Brown representability theorem

* [[Brown representability theorem]]

#### 1.4.2 Spectrum objects

* [[excisive (∞,1)-functor]]

* [[spectrum object]]

#### 1.4.3 The $\infty$-category of spectra

* [[(∞,1)-category of spectra]]

#### 1.4.4 Presentable stable $\infty$-categories

* [[presentable (∞,1)-category]]

* [[stable (∞,1)-category]]





## 2. $\infty$-Operads

### 2.1 Foundations

#### 2.1.1 From colored operads to $\infty$-operads

* [[Segal Gamma-category]]

* [[inert morphism]]

* [[category of operators]]

* [[(∞,1)-operad]]

#### 2.1.2 Maps of $\infty$-operads

* [[morphism of (∞,1)-operads]]

* [[fibration of (∞,1)-operads]]

#### 2.1.3 Algebra objects

* [[algebra over an (∞,1)-operad]]

* $\mathcal{O}$-[[monoidal (∞,1)-category]]

#### 2.1.4 $\infty$-Preoperads

### 2.2 Constructions of $\infty$-Operads

### 2.3 Disintegration and assembly

#### 2.3.1 Disintegration and assembly

#### 2.3.2 Generalized $\infty$-operads

* [[generalized (∞,1)-operad]]

* [[family of (∞,1)-operads]]

#### 2.3.3 Approximations to $\infty$-operads

#### 2.3.4 Disintegration of $\infty$-operads

### 2.4 Products and coproducts

#### 2.4.1 Cartesian symmetric monoidal structure

* [[cartesian monoidal (∞,1)-category]]

#### 2.4.2 Monoid objects

* [[monoid]]

* [[Gamma space]]

#### 2.4.3 CoCartesian Symmetric Monoidal Structure

* [[cocartesian monoidal (∞,1)-category]]

#### 2.4.4 Wreath Products




## 3. Algebras and modules over $\infty$-operads


### 3.1 Free algebras

### 3.2 Limits and colimits of algebras

### 3.3 Modules over $\infty$-operads

* [[module over an algebra over an (∞,1)-operad]]

#### 3.3.1 Coherent $\infty$-operads

* [[coherent (∞,1)-operad]]

### 3.4 General features of module $\infty$-categories


## 4. Associative algebras and their modules

### 4.1 Associative algebras

#### 4.1.1 The $\infty$-Operad $\mathcal{Ass}^\otimes$

* [[associative operad]]

* [[A-∞ operad]]

* [[planar (∞,1)-operad]]

#### 4.1.2 Simplicial models for associative algebras

* [[simplicial algebra]]

* [[model structure on simplicial T-algebras]]

#### 4.1.3 Monoidal Model Categories

* [[monoidal model category]]

#### 4.1.4 Rectification of Associative Algebras

* [[model structure on algebras over an operad]]

* [[homotopy T-algebras]]/[[model structure on simplicial T-algebras]]

### 4.2 Left and Right Modules

#### 4.2.1 The $\infty$-Operad $\mathcal{L M}^{\otimes}$

* [[(∞,1)-operad for (∞,1)-modules over an A-∞ algebra]]

* [[(∞,1)-module]]

#### 4.2.2 Simplicial models for algebras and modules

#### 4.2.3 Limits and colimits of algebras

#### 4.2.4 Free modules

#### 4.2.5 Duality in monoidal $\infty$-categories


### 4.3 Bimodules

#### 4.3.1 The $\infty$-Operad $\mathcal{BM}^{\otimes}$

* [[operad for bimodules over algebras]]

* [[∞-bimodule]]

* [[bitensoring]]

#### 4.3.2 Simplicial models for algebras and modules

* [[model structure on modules over an algebra over an operad]]

#### 4.3.3 Limits, Colimits, and Free Bimodules

(...)

#### 4.3.4 Multilinear maps

* [[multilinear map]]

* [[bilinear map in an (∞,1)-category]]

#### 4.3.5 Tensor Products and the Bar Construction

* [[tensor product of ∞-modules]]

* [[bar construction]]

#### 4.3.6 Associtivity of the Tensor Product

* [[associativity]]

#### 4.3.7 Duality of Bimodules

(...)

### 4.4 Modules over commutative algebras



## 5. Little cubes and factorizable sheaves

* [[little cubes operad]]

### 5.1 Definitions and basic properties

### 5.2 Little cubes and manifold topology

#### 5.2.1 Embeddings of topological manifolds

#### 5.2.2 Variations on the little cubes operad

#### 5.2.3 Nonunital $\mathbb{E}_k$-Algebras

* [[nonunital ring]]

* [[nonunital Ek-algebra]]

* [[unitalization]]

* [[augmented A-∞ algebra]]

#### 5.2.4 Little cubes in a manifold

### 5.3 Topological chiral homology

* [[topological chiral homology]]

## 6. Algebraic structures on $\infty$-categories

### 6.1 Endomorphism objects

### 6.2 Monads and Barr-Beck theorem

* [[(∞,1)-monad]]

* [[symmetric monoidal (∞,1)-category of presentable (∞,1)-categories]]

#### 6.2.1 Split simplicial objects

#### 6.2.2 The Barr-Beck theorem

* [[Barr-Beck theorem]]

#### 6.2.3 BiCartesian Fibrations

#### 6.2.4 Descent and the Beck-Chevalley condition

* [[higher monadic descent]]


## 7. The calculus of functors

* [[Goodwillie calculus]]

### 7.1 The calculus of functors

#### 7.1.1 $n$-Excisive Functors

* [[differentiable (∞,1)-category]]

* [[n-excisive (∞,1)-functor]]

* [[n-reduced (∞,1)-functor]]

* [[n-homogeneous (∞,1)-functor]]


#### 7.1.2 Taylor Tower

* [[Goodwillie-Taylor tower]]

#### 7.1.6 Norm maps

* [[norm map]]

* [[Tate construction]]




## 8. Algebra in stable homotopy theory

* [[stable homotopy category]]

* [[stable homotopy theory]]

### 8.1 Structured ring spectra

#### 8.1.1 $\mathbb{E}_1$-rings and their modules

* [[A-∞ ring]], [[ring spectrum]], [[algebra spectrum]]

* [[∞-module]]. [[module spectrum]]


#### 8.1.2 Recognition principle

#### 8.1.3 Change of ring

* [[connective cover]]

#### 8.1.4 Algebras over Commutative Rings

* [[A-∞ algebra]]

* [[stable Dold-Kan correspondence]]


### 8.2 Properties of rings and modules

#### 8.2.1 Free resolutions and Spectral Sequences

#### 8.2.2 Flat and projective modules

#### 8.2.3 Injective objects of stable $\infty$-categories

#### 8.2.4 Localization and Ore conditions

#### 8.2.5 Finiteness  properties of rings and modules

* [[perfect module]]

* [[compactly generated (∞,1)-category|compactly generated]] [[stable (∞,1)-category]]

* [[compactly generated triangulated category]]


### 8.3 The cotangent complex formalism

* [[tangent (∞,1)-category]]

  * [[cotangent complex]]

  * [[tangent complex]]

### 8.4 Deformation theory


* [[deformation theory]]



### 8.5 &Eacute;tale morphisms

* [[etale morphism]]

## A Constructible sheaves and exit paths

* [[higher homotopy van Kampen theorem]]

## B Categorical patterns

## References

The book is based on the series of articles

* [[Jacob Lurie]], 

  _[[Stable ∞-Categories]]_ ([arxiv](http://www.arxiv.org/abs/math.CT/0608228))

  _[[Noncommutative Algebra]]_ ([arXiv](http://arxiv.org/abs/math/0702299))

  _[[Commutative Algebra]]_ ([arXiv](http://arxiv.org/abs/math/0703204))

* _[[Deformation Theory]]_ ([arXiv](http://arxiv.org/abs/0709.3091))

* _$\mathbb{E}[k]$-[[Ek-Algebras|Algebras]]_ ([pdf](http://www.math.harvard.edu/~lurie/papers/DAG-VI.pdf))


category: reference