#Contents#
* table of contents
{:toc}

## Idea

It is often easier to study formal group schemes using the associated Dieudonne module.



## Definition

A *Dieudonné module* is defined to be a [[module]] over the [[Dieudonné ring]] $D_k$.

If $G$ is an [[affine scheme|affine]] [[commutative ring|commutative]] [[unitary]] [[group scheme]] over $k$ we construct (in [Proposition (codir)](#thmcodir)) a codirected diagram of Witt modules such that the codirected system $M(G)_n:= Hom(G, W_n(k))$ and its limit $M(G):=lim_n Hom(G, W_n(k))$ become Dieudonné modules.

This construction can be executed similarly in the [[ind-object|Ind category]] so we have Dieudonné modules for [[formal group]] schemes and [[p-divisible groups]]. 

## Properties

There is a contravariant equivalence $p.tor.for.Gr\simeq D_k .Mod.fin$ between the category of $p$-torsion formal groups and that of finitely generated $D_k$-modules.

## Examples

### Codirected diagrams of Witt modules

+-- {: .num_prop}
###### Proposition (codir){#thmcodir}
Let $k$ be a perfect field of prime characteristic $p$. Let $W_n(-):kRing\to Ring$ be the [[functor]]  assigning to a $k$-ring its (p-adic) [[Dieudonné ring]].

Let $\underline W$ be the codirected diagram

$$W_{1k}\stackrel{V}{\to}W_{2k}\stackrel{V}{\to}W_{3k}\stackrel{V}{\to}\dots\label{codir}$$

where $V:\begin{cases}W_{n} (k)\to W_{n+1} (k)
\\
(x_0,x_1,\dots,x_{n-1})\mapsto (0,x_0,x_1,\dots, x_{n-1})\end{cases}$ denotes the translation. $V$ is sometimes called [[Verschiebung morphism]] and satisfies $VF=id$ and $FV=p$ where $F$ is the [[Frobenius morphism]].

With the multiplication obtained by the algebra map $k\hookrightarrow A$ for $A\in kRing$ and the induced map $W(k)\to W_n(A)\hookrightarrow W(A)$ the above diagram (1) is *not* a diagram in the category of Dieudonné modules since $V$ is not $W(k)$-linear but satisfies $T(\lambda a)=\lambda^{1/p}T(a)$ hence we have to redefine the multiplication by scalars in $W(k)$ by

$$*:\begin{cases}
W (k)\times W_{n} (R)\to W_{n} (R)
\\
(a,w)\mapsto a^{p^{1-n}} R\cdot w
\end{cases}$$

with this (where we recall that $W_n:=coker( T^n:W_k\to W_k)$) we have $W(k)$-linear map since

$$\displaystyle V(\lambda\star a)=V(\overline{\lambda}^{p^{1-n}}a)=V(F(\overline{\lambda}^{p^{-n}})a)=\overline{\lambda}^{p^{-n}}V(a)=\lambda\star V(a)$$
=--

For an (affine commutative unipotent) group scheme the codirected systems of Witt modules endows the limit of the hom-spaces $hom(G,W_n(k))$ with the structure of a Dieudonné module:

+-- {: .num_theorem #thmAcu}
###### Theorem
([III.5](#Demazure), $Acu_k\simeq Tor_V D_kMod$)

(see also [[group scheme]] for more context concerning this theorem)

Let $k$ be a [[perfect field]] of prime characteristic $p$. Since $k$ is perfect Frobenius is an automorphism.

On the left we have the category of [[affine scheme|affine]] commutative [[unipotent group scheme|unipotent group schemes]]. On the right we have the category of all [[Dieudonné ring|D_k]][[Dieudonné module|-modules]] of $V$-torsion. The (contravariant) equivalence is given by

$$M:\begin{cases}
Acu_k&\to& Tor_V D_kMod
\\
G&\mapsto&colim_n Acu_k(G,W_{nk})
\end{cases}$$


=--

+-- {: .proof}
If we recall that the Dieudonné ring of $k$ is a $\mathbb{Z}$-[[graded ring]] where the degree $n$-part is the $1$-[[dimension|dimensional]] [[free object|free module]] generated by $V^{-n}$ if $n\lt 0$ and by $F^n$ if $n\gt 0$, we see that morphisms in $colim_n Acu_k(G,W_{nk})$ can be multiplied by powers of $V$ reps. powers of $F$ by postcomposition.
=--

## Properties

Since all the $V$ operators are are monomorphisms, we get that $Hom(G, W_n(k))\to Hom(G, W_{n+1}(k))$ are all injective and hence we can identify $Hom(G, W_n(k))$ with a submodule of $D(G)$ or explicitly we know that $Hom(G, W_n(k))=\{m \in D(G): V^n(m)=0\}$. Thus every element of $D(G)$ is killed by a power of $V$. 

If we introduce a bit of abstraction we can see the beauty of all this. Let $D=\Lambda\{F, V\}$ be the noncommutative polynomial ring over the Witt vectors on two indeterminates that satisfy the commutation laws $Fw=w^p F$, $w^p V=Vw$, and $FV=VF=p$. This is called the [[Dieudonne ring]]. We have a canonical way to consider $D(G)$ as a left $D$-module. Thus $G\mapsto D(G)$ is a [[contravariant functor]] from affine unitary group schemes to the category of $D$-[[module]]s with $V$ torsion. This turns out to be an [[equivalence of categories|anti-equivalence]] of categories.

## References

* Michel Demazure, Lectures on $p$-Divisible Groups

* Jesse Kass, notes on Dieudonné modules

* (expositional) Aaron Mazel-Gee, _Dieudonné modules and the classification of formal groups_, [pdf](https://math.berkeley.edu/~aaron/xkcd/dieudonne-modules.pdf)

[[!redirects Dieudonné module]][[!redirects Dieudonne modules]][[!redirects Dieudonné modules]]



