+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Higher category theory
+-- {: .hide}
[[!include higher category theory - contents]]
=--
#### Monoidal categories
+-- {: .hide}
[[!include monoidal categories - contents]]
=--
=--
=--

# Contents
* table of contents
{:toc}

## Idea

An [[(∞,n)-category with adjoints]] (see there for more) and a ([[fully dualizable object|fully]]) [[dual object]] for every [[object]].

## Definition

+-- {: .num_defn }
###### Definition

Let $C$ be an [[(∞,n)-category]]. We say that

* $C$ **has adjoints for morphisms** if in its [[homotopy 2-category]] every [[morphism]] has a [[left adjoint]] and a [[right adjoint]];

* for $1 \lt k \lt n$ that $C$ **has adjoints for [[k-morphism]]s** if for every pair $X,Y \in C$ of [[object]]s, the [[hom-set|hom-(∞,n-1)-category]] $C(X,Y)$ has adjoints for $(k-1)$-morphisms.

* $C$ is an **[[(∞,n)-category with adjoints]]** if it has adjoints for [[k-morphisms]] with $0 \lt k \lt n$.

If $C$ is in addition a [[symmetric monoidal (∞,n)-category]] we say that

* $C$ **has duals for objects** if its [[homotopy category]] is a [[rigid monoidal category]].

Finally we say that

* $C$ **has duals** if it has duals for objects and has adjoints.
=--

This is ([Lurie, def. 2.3.13, def. 2.3.16](#Lurie)). See at _[[fully dualizable object]]_

## Properties

### Internal language

The [[internal language]] of $(\infty,n)$-categories with duals seems plausible to be aximatized inside [[opetopic type theory]].

## Examples

* [[(∞,n)-category of cobordisms]]

* [[(∞,n)-category of n-fold correspondences]]


## Related concepts

* [[fundamental n-category]]

* [[rigid monoidal category]]

* [[category with duals]]

* [[dualizable object]], [[fully dualizable object]]

* [[blob n-category]]

## References

* {#Lurie} [[Jacob Lurie]], _[[On the Classification of Topological Field Theories]]_

For more see at _[[(infinity,n)-category with adjoints]]_.


[[!redirects (infinity,n)-category with duals]]
[[!redirects (infinity,n)-categories with duals]]
[[!redirects (infinity,n)-categories with duales]]
[[!redirects (∞,n)-category with duals]]
[[!redirects (∞,n)-categories with duals]]
[[!redirects (∞,n)-categories with duales]]

[[!redirects symmetric monoidal (infinity,n)-category with duals]]
[[!redirects symmetric monoidal (infinity,n)-categories with duals]]
[[!redirects symmetric monoidal (∞,n)-category with duals]]
[[!redirects symmetric monoidal (∞,n)-categories with duals]]

