
# Noncommutative vector bundles
* table of contents
{: toc}

## Scope 

There are at least 3 groups of ideas to define noncommutative vector bundles

* taking Serre--Swan theorem as a definition in the noncommutative case; i.e. a finite-dimensional bundle is simply a projective module over the algebra of functions. Of course, in the algebraic case, this is satisfactory at best for the affine case, when possibly some Noetherianess assumptions are needed, even in the commutative case. Not good for e.g. for (nonaffine) [[noncommutative scheme]]s.  

* as a locally free sheaf of vector spaces; this requires some notion of topology or covers on the noncommutative base space. There are candidates of noncommutative topologies, cf. [[descent in noncommutative algebraic geometry]]. Problem: In commutative case, SGA gives a construction which as an input takes a quasicoherent module and as an output its "underlying space". There is no satisfactory construction of this form in noncommutative algebraic geometry, so the locally free sheaves do not have naturally defined total space in the category of noncommutative spaces. 

* as an associated bundle to some sort of [[noncommutative principal bundle]]s, typically with a Hopf algebra in the place of a structure group. Typically, the associated bundle is defined as a dual to some cotensor product locally, and in the affine case this is pretty standard. This has a problem as the locally free sheaf: if one wants to make a total space a space, one does a cotensor product with an algebra of functions on the space, not with a vector space itself, as the latter will just give the global sections or sheaf of sections at best. In fact one wants consistently both: to get the global sections locally as a cotensor product and to get the bundle of noncommutative spaces from a cotensor product at algebra level. The sections (in some category of noncommutative space) of the inclusion of algebras should reproduce the space of global sections, but good theorems of that kind are not known. See [[noncommutative associated bundle]].


## References

* [[S. Majid]], [[T. Brzeziński]], _Quantum group gauge theory on quantum spaces_, Commun. Math. Phys. __157__, 591--638 (1993); Erratum 167, 235 (1995) [MR94g:58015](http://www.ams.org/mathscinet-getitem?mr=1243712), [euclid](http://projecteuclid.org/getRecord?id=euclid.cmp/1104254023)

* [[Tomasz Brzeziński]], _On synthetic interpretation of quantum principal bundles_, AJSE D - Mathematics 35(1D): 13-27, 2010 [arxiv:0912.0213](http://uk.arxiv.org/abs/0912.0213).

* T. Brzeziński, _On modules associated to coalgebra Galois extensions_, J. Algebra __215__, 290–317 (1999) [MR2000c:16047](http://www.ams.org/mathscinet-getitem?mr=1684158), [doi](http://dx.doi.org/10.1006/jabr.1998.7738)

* Zoran Škoda, _Localizations for construction of quantum coset spaces_, Banach Center Publications __61__, 265–298, Warszawa 2003, [math.QA/0301090](http://arxiv.org/abs/math.QA/0301090)

* Zoran Škoda, _Coherent states for Hopf algebras_, Letters in Mathematical Physics __81__, N.1, pp. 1-17, July 2007, [pdf](http://www.irb.hr/korisnici/zskoda/skodacohstates.pdf), (earlier different arXiv version: [math.QA/0303357](http://arxiv.org/abs/math.QA/0303357))

* José M. Gracia-Bondía, Joseph C. Várilly, Héctor Figueroa, _Elements of noncommutative geometry_, Birkhäuser 2001. xviii+685 pp. [gBooks](http://books.google.hr/books?id=2yJIwWbh1isC&lpg=PP1&ots=ex0Xfmh_UU&dq=Varilly%20noncommutative&hl=en&pg=PP1#v=onepage&q=Varilly%20noncommutative&f=false)

* R. Coquereaux, A. O. Garc&iacute;, R. Trinchero, _Associated quantum vector bundles and symplectic structure on a quantum plane_, [arXiv:math-ph/9908007](http://arxiv.org/pdf/math-ph/9908007)

* Guanglian Zhang, R.B. Zhang, _Equivariant vector bundles on quantum homogeneous space_, [pdf](http://www.maths.usyd.edu.au/u/rzhang/MathResLett.pdf); R. B. Zhang, _Quantum group equivariant homogeneous
vector bundles_, [pdf slides](http://www.newton.ac.uk/programmes/NCG/seminars/122114001.pdf)

The following article is working with local triviality in the sense of ideals instead of localizations, what unfortunately corresponds to the covers by closed sets, not open:

* Piotr M. Hajac, Rainer Matthes, Wojciech Szymanski, _A locally trivial quantum Hopf fibration_, Algebr. Represent. Theory __9__ (2006), no. 2, 121–146. 

category: noncommutative geometry
[[!redirects noncommutative vector bundle]]
[[!redirects noncommutative vector bundles]]
[[!redirects non-commutative vector bundle]]
[[!redirects non-commutative vector bundles]]
[[!redirects quantum vector bundle]]
[[!redirects quantum vector bundles]]
