
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Representation theory
+-- {: .hide}
[[!include representation theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}


## Beĭlinson-Bernstein localization theorem

Consider a complex [[reductive group]] $G$ with [[Lie algebra]] $\mathfrak{g}$, [[Borel subgroup]] $B \subset G$, and [[flag variety]] $\mathcal{B} = G/B$. The localization theory of Beilinson-Bernstein identifies [[representations]] of $\mathfrak{g}$ with [[global sections]] of (twisted) [[D-modules]] on $\mathcal{B}$. In particular, highest weight representations are realized by $B$-equivariant $\mathcal{D}$-modules on $\mathcal{B}$, or in other words, by $\mathcal{D}$-modules on the [[quotient stack]] $B\backslash \mathcal{B}$. 

Furthermore, given a [[subgroup]] $K \subset G$, it identifies [[modules]]
for the [[Harish-Chandra pair]] $(\mathfrak{g}, K)$ with global sections of $K$-equivariant twisted $\mathcal{D}$-modules on $\mathcal{B}$. 

The case $K = G$ gives the [[Borel-Weil theorem|Borel-Weil]] description of irreducible algebraic (equivalently, finite-dimensional) representations of $G$ as sections of equivariant [[line bundles]] on $\mathcal{B}$.

([Ben-Zvi&Nadler 07](#BenZviNadler07))


## References

* A. Beilinson, J. Bernstein, _Localization de $\mathfrak{g}$-modules_, C.R. Acad. Sci. Paris, 292 (1981), 15-18, [MR82k:14015](http://www.ams.org/mathscinet-getitem?mr=82k:14015),  Zbl 0476.14019

* [[A. Beilinson]], _Localization of representations of reductive Lie algebra_, Proc. of ICM 1982, (1983), 699-716.  Zbl 0571.20032

* [[Valery Lunts]], [[Alexander Rosenberg]], _Localization for quantum groups_, Selecta Math. (N.S.) __5__ (1999), no. 1, pp. 123--159, [MR2001f:17028](http://www.ams.org/mathscinet-getitem?mr=1694897), [doi](http://dx.doi.org/10.1007/s000290050044); _Differential calculus in noncommutative algebraic geometry I. D-calculus on noncommutative rings_, MPI 1996-53 [pdf](http://www.mpim-bonn.mpg.de/preprints/send?bid=3894), _II. D-Calculus in the braided case. The localization of quantized enveloping algebras_, MPI 1996-76 [pdf](http://www.mpim-bonn.mpg.de/preprints/send?bid=3916)

* [[Edward Frenkel]], [[Dennis Gaitsgory]], _Localization of $\mathfrak{g}$-modules on the affine Grassmannian_, Ann. of Math. (2) 170 (2009), no. 3, 1339–1381, [MR2600875](http://www.ams.org/mathscinet-getitem?mr=2600875), [doi](http://dx.doi.org/10.4007/annals.2009.170.1339) 

* Toshiyuki Tanisaki, _The Beilinson-Bernstein correspondence for quantized enveloping algebras_, Math. Z. __250__ (2005), no. 2, 299–361, [MR2006h:17025](http://www.ams.org/mathscinet-getitem?mr=2178788), [doi](http://dx.doi.org/10.1007/s00209-004-0754-9) [math.QA/0309349](http://front.math.ucdavis.edu/0309.5349); 

* H. Hecht, D. Miličić, W. Schmid, J. A. Wolf, _Localization and standard modules for real semisimple Lie groups, I: The Duality Theorem_
Zbl 0699.22022, [MR910203](http://www.ams.org/mathscinet-getitem?mr=910203), _II: Applications_, 

* Hendrik Orem, Lecture notes: The Beilinson-Bernstein Localization
Theorem, [pdf](http://www.ma.utexas.edu/users/horem/bb-notes.pdf)

* [[David Ben-Zvi]], [[David Nadler]], _Loop Spaces and Langlands Parameters_ ([arXiv:0706.0322](http://arxiv.org/abs/0706.0322)))
 {#BenZviNadler07}


[[!redirects Beĭlinson-Bernstein localization]]
[[!redirects Beĭlinson-Bernstein localization theorem]]
[[!redirects Beilinson-Bernstein localization theorem]]