
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Complex geometry
+--{: .hide}
[[!include complex geometry - contents]]
=--
#### Differential geometry
+--{: .hide}
[[!include synthetic differential geometry - contents]]
=--
#### Manifolds and cobordisms
+--{: .hide}
[[!include manifolds and cobordisms - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A **complex manifold** is a [[manifold]] holomorphically modeled on [[polydiscs]] $D$ in $\mathbb{C}^n$ ([[complexified]] $n$-dimensional [[cartesian space]]):

* a [[smooth manifold]] locally isomorphic to $D \hookrightarrow \mathbb{C}^n$ whose transition functions are [[holomorphic functions]];

* equivalently: a [[smooth manifold]] equipped with an integrable [[almost complex structure]];

* equivalently a smooth [[complex analytic space]].

## Properties

### Covers

+-- {: .num_prop}
###### Proposition

Every complex manifold admits a [[good open cover]] in $Disk_{cmpl}$.

=--

For instance ([Maddock, lemma 3.2.8](#Maddock)).

## Examples

### Complex 1-dimensional: Riemann surfaces

A complex manifold of complex [[dimension]] 1 is called a  _[[Riemann surface]]_.

### Calabi-Yau manifolds

A complex manifold whose [[canonical bundle]] is trivializable is a  _[[Calabi-Yau manifold]]_. In complex dimension 2 this is a _[[K3 surface]]_.

### Other examples

* [[Riemann sphere]]

* [[Stein manifolds]]

## Related concepts

* [[complex analytic space]]

* [[domain of holomorphy]], [[Stein manifold]], [[Oka manifold]]

* [[Dolbeault complex]]

* [[complex Lie group]]

* [[complex analytic stack]]

* [[complex analytic ∞-groupoid]]

## References

Textbook accounts include

* {#Voisin02} [[Claire Voisin]], section 2 of _[[Hodge theory and Complex algebraic geometry]] I,II_,  Cambridge Stud. in Adv. Math. __76, 77__, 2002/3


Lectures notes include

* Stefan Vandoren, _Lectures on Riemannian Geometry, Part II:
Complex Manifolds_ ([pdf](http://www.phys.uu.nl/~vandoren/MRIlectures.pdf))

* {#Maddock} Zachary Maddock, _Dobeault cohomology_ ([pdf](http://www.math.columbia.edu/~maddockz/notes/dolbeault.pdf))
 

[[!redirects complex manifolds]]

[[!redirects complex analytic manifold]]
[[!redirects complex analytic manifolds]]
