
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Representation theory
+-- {: .hide}
[[!include representation theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

Kazhdan-Lusztig theory is about special recursive combinatorics which appears in several setups in mathematics, most notably in representation theory where it concerns the Jordan-H&ouml;lder coefficients of certain modules. As a phenomenon it has been discovered by [[David Kazhdan]] and [[George Lusztig]], and some partial aspects independently by Deodhar. A central result is the Kazhdan-Lusztig conjecture, proved by Borho-Brylinski and by [[Masaki Kashiwara]] using [[D-module]]s and [[perverse sheaves]]. 

## References

* [[David Kazhdan]], [[George Lusztig]], _Representations of Coxeter groups and Hecke algebras_, Invent. Math. __53__ (1979), no. 2, 165–184, [MR81j:20066](http://www.ams.org/mathscinet-getitem?mr=560412), [doi](http://dx.doi.org/10.1007/BF01390031)

* D. Kazhdan, G. Lusztig, _Schubert varieties and Poincaré duality, in: Geometry of the Laplace operator, 185–203, Proc. Sympos. Pure Math., XXXVI, Amer. Math. Soc. 1980. 

* _Kazhdan-Lusztig theory_, chapter 8 in James E. Humphreys, _Representations of semisimple Lie algebras in the BGG category $\mathcal{O}$_, Graduate Studies in Mathematics __94__, Amer. Math. Soc. 2008. xvi+289 pp.

* [[Wolfgang Soergel]], _Kazhdan-Lusztig-Polynome und eine Kombinatorik für Kipp-Moduln_, Represent. Theory 1 (1997) 37-68, [pdf](http://www.ams.org/ert/1997-001-04/S1088-4165-97-00006-X/S1088-4165-97-00006-X.pdf); engl. version Kazhdan-Lusztig polynomials and a combinatoric for tilting modules. Represent. Theory 1 (1997) 83-114, [pdf](http://www.ams.org/ert/1997-001-06/S1088-4165-97-00021-6/S1088-4165-97-00021-6.pdf).  

* R. Hotta, K. Takeuchi, T. Tanisaki, _D-modules, perverse sheaves, and representation theory_, Progress in Mathematics __236__, Birkhäuser, Boston 2008.

* Jean-Luc Brylinski, [[Masaki Kashiwara]], _Démonstration de la conjecture de Kazhdan-Lusztig sur les modules de Verma_, C. R. Acad. Sci. Paris Sér. A-B __291__ (1980), no. 6, A373–A376, [MR81k:17004](http://www.ams.org/mathscinet-getitem?mr=596075)

* Walter Borho, Jean-Luc Brylinski, _Differential operators on homogeneous spaces. I. Irreducibility of the associated variety for annihilators of induced modules._
Invent. Math. __69__ (1982), no. 3, 437–476, [MR84b:17007](http://www.ams.org/mathscinet-getitem?mr=679767), [doi](http://ams.mpim-bonn.mpg.de/leavingmsn?url=http://dx.doi.org/10.1007/BF01389364); _II. Relative enveloping algebras._, Bull. Soc. Math. France __117__ (1989), no. 2, 167–210, [MR90j:17023](http://www.ams.org/mathscinet-getitem?mr=1015807), [numdam](http://www.numdam.org/item?id=BSMF_1989__117_2_167_0)

* N. Chriss, [[V. Ginzburg]], _Representation theory and complex geometry_, Birkhäuser 1997. x+495 pp.

* Vinay V. Deodhar, _On a construction of representations and a problem of Enright_,  Invent. Math. __57__ (1980), no. 2, 101–118, [MR81f:17004](http://www.ams.org/mathscinet-getitem?mr=567193), [doi](http://dx.doi.org/10.1007/BF01390091)

* Vinay V. Deodhar, _On some geometric aspects of Bruhat orderings. I. A finer decomposition of Bruhat cells_, Invent. Math. __79__ (1985), no. 3, 499–511, [MR86f:20045](http://www.ams.org/mathscinet-getitem?mr=782232), [doi](http://dx.doi.org/10.1007/BF01388520); _II. The parabolic analogue of Kazhdan-Lusztig polynomials_, [MR89a:20054](http://www.ams.org/mathscinet-getitem?mr=916182), [doi](http://dx.doi.org/10.1016/0021-8693(87)90232-8) 

* [[Anthony Joseph]], _The Enright functor on the Bernstein-Gelʹfand-Gelʹfand category $\mathcal{O}$_, Invent. Math. __67__ (1982), no. 3, 423–445, [MR84j:17005](http://www.ams.org/mathscinet-getitem?mr=664114), [doi](http://dx.doi.org/10.1007/BF01398930)

* _Kazhdan-Lusztig theory and related topics_, Proc. of the AMS Special Session at Loyola Univ., Chicago 1989. Edited by Vinay Deodhar. Contemporary Mathematics __139__, Amer. Math. Soc. 1992. 

* V. Deodhar, _A brief survey of Kazhdan-Lusztig theory and related topics_,  Algebraic groups and their generalizations: classical methods (University Park, PA, 1991),  105–124, Proc. Sympos. Pure Math. __56__, Part 1, Amer. Math. Soc. 1994. 

* Vinay V. Deodhar, [[Ofer Gabber]], [[Victor Kac]], _Structure of some categories of representations of infinite-dimensional Lie algebras_, Adv. in Math. __45__ (1982), no. 1, 92–116. [MR83i:17012](http://www.ams.org/mathscinet-getitem?mr=663417), [doi](http://dx.doi.org/10.1016/S0001-8708(82)80014-5)

* O. Gabber, A Joseph, _Towards the Kazhdan-Lusztig conjecture_, Ann. Sci. École Norm. Sup. (4) 14 (1981), no. 3, 261–302, [MR83e:17009](http://www.ams.org/mathscinet-getitem?mr=644519), [numdam](http://www.numdam.org/item?id=ASENS_1981_4_14_3_261_0) 

The following article proves a conjecture from above article of Deodhar, Gabber and Kac:

* Luis Casian, _Proof of the Kazhdan-Lusztig conjecture for Kac-Moody algebras (the characters_ $\mathrm{ch}\,L_{\omega\rho-\rho})$, Adv. Math. __119__ (1996), no. 2, 207–281,  [MR97k:17033](http://www.ams.org/mathscinet-getitem?mr=1390798), [doi](http://dx.doi.org/10.1006/aima.1996.0031],

* A. V. Zelevinskiĭ, _The $p$-adic analogue of the Kazhdan-Lusztig conjecture_,   Funktsional. Anal. i Prilozhen. __15__ (1981), no. 2, 9–21, 96.

* Luis G. Casian, David H. Collingwood, _The Kazhdan-Lusztig conjecture for generalized Verma modules_, Math. Z. __195__ (1987), no. 4, 581–600, [MR88i:17008](http://www.ams.org/mathscinet-getitem?mr=900346), [doi](http://dx.doi.org/10.1007/BF01166705)

[[!redirects Kazhdan-Lusztig polynomial]]