## Idea

In a 1949 paper devoted to the study of the coset spaces of nilpotent Lie groups, Mal'cev exhibited an equivalence between the category of torsion free radicable nilpotent finite rank groups and the category of finite dimensional, nilpotent rational Lie algebras. This involves a completion construction which is used also in the general formulation of Hausdorff series (cf. Bourbaki) which takes values in the Mal'cev completion of the universal enveloping algebra on two generators. 

## Definition

(There are several variants of the definition.)

Mal'cev completion is a left [[adjoint functor]] to the embedding of the category of uniquely divisible nilpotent groups into the category of nilpotent groups. 

## Applications

Hausdorff series, [[rational homotopy theory]], surgery, combinatorial group theory

## References

* A. Mal'cev, _On a class of homogeneous spaces_, Izvestiya Akad. Nauk. SSSR. Ser. Mat. __13__, (1949) 9–32, [MR28842](http://www.ams.org/mathscinet-getitem?mr=28842)
* [[Nicolas Bourbaki]], _Lie groups and Lie algebras_
* Jaume Amorós, _On the Malcev completion of Kähler groups_, 
Commentarii Mathematici Helvetici __71__, n. 1, 192-212, [doi](http://dx.doi.org/10.1007/BF02566416)
[alg-geom/9410013](http://arxiv.org/abs/alg-geom/9410013)
* Robert B. Warfield, _The Malcev correspondence_, Ch. 12 in __Nilpotent Groups__, Springer Lec. Notes in Math. __513__, 1976, 104-111, [doi](http://dx.doi.org/10.1007/BFb0080164)

* Bohumil Cenkl, Richard Porter, _Mal'cev's completion of a group and differential forms_, [MR628342](http://www.ams.org/mathscinet-getitem?mr=628342), [euclid](http://projecteuclid.org/euclid.jdg/1214435841)

* [[Benoit Fresse]], _Operads & Grothendieck-Teichmüller groups - draft document_, [pdf](https://hal.archives-ouvertes.fr/hal-00656333) 
[[!redirects Malcev completion]]