## Definition 

Let $\mathfrak{g}$ be a semisimple complex Lie algebra and $\mathfrak{h}\subset\mathfrak{g}$ a Cartan subalgebra. Given $\lambda,\mu\in\mathfrak{h}^*$ such that the difference is an integral weight $\mu-\lambda\in\Lambda$. The orbit of the difference $\mu-\lambda$ under the Weyl group contains a unique positive integral weight $\bar{nu}$. Given any weight $\tau$ denote by $\chi_\tau$ the central character corresponding to the weight $\tau$. The Bernstein-Gelfand-Gelfand category $\mathcal{O}$ is the internal direct sum of the subcategories $\mathcal{O}_{\chi}$ 
where $\chi$ runs through [[central character]]s of the form $\chi_\tau$ and where the full subcategory $\mathcal{O}_\chi\subset\mathcal{O}$ for a central character $\chi$ by the definition consists of all modules $M$ in $\mathcal{O}$ such that for each $z$, the action $(z-\chi(z))^n \cdot v = 0$ for some $n = n(z)\gt 0$. There are canonical functors of projection  $pr_\lambda:\mathcal{O}\to\mathcal{O}_{\chi_\lambda}$. The functors 

$$
T^\mu_\lambda : M\to pr_\mu (L_{\bar{nu}}\otimes pr_\lambda M), 
$$

$T^\mu_\lambda : \mathcal{O}\to\mathcal{O}_{\chi_\mu}$ and its restriction to $\mathcal{O}_{\chi_\lambda}$ is called the translation functor (because it changes the subcategories corresponding to different central characters). 

## Properties and applications

Translation functors are exact and preserve projective objects. 

Used also in categorification in Lie theory...

## Literature

Translation 

* J. C. Jantzen, _Moduln mit einem höchsten Gewicht_, (Modules with a highest weight)
Lecture Notes in Math. __750__, Springer 1979. ii+195 pp.

The translation functors are explained in detail in chapter 7 from

* James E. Humphreys, _Representations of semisimple Lie algebras in the BGG categry $\mathcal{O}$_, Grad. Studied in Math. __94__, AMS 2008

Zuckerman came independently from Jantzen to the idea of using the translation functors

* Greg Zuckerman, _Tensor products of finite and infinite dimensional representations of semisimple Lie groups_, Ann. of Math. __106__ (1977) 295-308 


[[!redirects translation functor]]