
# The tropical semiring
* table of contents
{: toc}


## Definitions

The __tropical rig__ is a [[rig]] $(\mathbb{R}\cup \{\infty\}, \oplus,\otimes)$ with addition $x\oplus y = min(x,y)$  and multiplication $x\otimes y = x+y$.

The __tropical semiring__ is a [[semiring]] $(\mathbb{R},\oplus,\otimes)$ with addition $x\oplus y = min(x,y)$  and multiplication $x\otimes y = x+y$.

[[tropical geometry|Tropical geometry]] is often thought as the algebraic geometry over the tropical semiring.


## Terminology

The tropical rig is also called the [[min-plus algebra]]. There is a related rig called the [[max-plus algebra]]. (Some authors use the term 'tropical algebra' for the max-plus rather than the min-plus algebra.  The theories, of course, run in parallel, as each is the negative of the other.)

## Elementary properties

The tropical semiring is an example of an [[idempotent semiring]], since for all elements $x$, we have $x\oplus x=x$.

## Elementary example

$$(5\oplus 6)\otimes 7 = 12$$


## Applications

Apart from applications in [[tropical geometry]], the min-plus and max-plus algebras have extensive use in providing algebraic models for simple [[discrete event system]]s related to timed [[Petri nets]].


## References

*  The use of the tropical algebra in [[discrete event system]]s is handled in many sources. A slightly old set of notes (in French) for an introductory  course by Stéphane Gaubert, of INRIA Rocquencourt.  They can be found [here](http://amadeus.inria.fr/gaubert/PAPERS/POLY12-02-1999.pdf).

* The book
 
    J. Gunawadena (Editor) : Idempotency, Cambridge University Press, 2001, 

contains many articles on idempotent semirings.


[[!redirects tropical rig]]
[[!redirects tropical semiring]]
