
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher geometry
+--{: .hide}
[[!include higher geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The _tangent complex_ of an algebro-geometric object is meant to behave as the (sheaf of) sections of the [[tangent bundle]]. 

{#TangentComplexAsInfinitesimalDiskBundleInIntroduction} At least in the generality of  [[derived stack|derived]] [[algebraic stacks]] $X$, the tangent complex is equivalently (up to a shift in degree) the module of sections of the [[infinitesimal disk bundle]] of $X$ (the [[formal completion]] of the [[diagonal]] $\Delta_X \colon X \to X \times X$) ([Hennion 13, theorem 1](#Hennion13)).

For $A$ an ordinary [[associative algebra]], its _tangent complex_ is its [[module]] of [[derivations]].

For $A$ a [[dg-algebra]], its _tangent complex_ is the essentially the value of the [[derived functor]] of the derivations-assigning functor on $A$. This is closely related to the [[automorphism ∞-Lie algebra]] of $A$.



## Related concepts

* [[deformation theory]]

* **tangent complex**, [[André-Quillen cohomology]], [[Hochschild cohomology]]

* [[cotangent complex]], [[André-Quillen homology]], [[Hochschild homology]]


## References

The concept goes back to

* M. Schlessinger, [[Jim Stasheff]], _The Lie algebra structure of tangent cohomology and deformation theory_, J. Pure Appl. Algebra, 38(1985), 313–322.

The tangent complex of an [[algebra over an operad]] in [[chain complex]]es is discussed in section 8 of

* {#Hinich} [[Vladimir Hinich]],  _Homological algebra of homotopy algebras_ Communications in algebra, 25(10). 3291-3323 (1997)([arXiv:q-alg/9702015](http://arxiv.org/abs/q-alg/9702015), _Erratum_ ([arXiv:math/0309453](http://arxiv.org/abs/math/0309453)))


See also

* [[Jonathan Block]], A. Lazarev, _André-Quillen cohomology and rational homotopy of function spaces_ , Advances in mathematics, 193 (2005) ([pdf](http://www.math.upenn.edu/~blockj/papers/BlockLazarevRat.pdf))

* {#Hennion13}  [[Benjamin Hennion]], _Tangent Lie algebra of derived Artin stacks_,  Journal für die reine und angewandte Mathematik (Crelles Journal), December 2015 ([arXiv:1312.3167](http://arxiv.org/abs/1312.3167), [DOI:10.1515/crelle-2015-0065](http://dx.doi.org/10.1515/crelle-2015-0065))

* Sam Raskin, p. 2,3 of _The cotangent stack_ (<a href="http://www.math.harvard.edu/~gaitsgde/grad_2009/SeminarNotes/Sept22(Dmodstack1).pdf">pdf</a>)

[[!redirects tangent complexes]]