
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Supergeometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A _superpoint_ is an [[infinitesimally thickened point]] whose infinitesimal extension is _odd_ in the sense of [[supergeometry]]. A [[super Cartesian space]] of vanishing ordinary [[dimension]].

## Definition

A _superpoint_ is a [[supermanifold]] of the form $\mathbb{R}^{0|q}$. 

For more see at _[[geometry of physics -- superalgebra]]_.

The object $\mathbb{R}^{0|1}$ is also called the [[odd line]].

The [[category]] of superpoints

$$
  SuperPoint \hookrightarrow SuperMfd
$$

is the [[full subcategory]] of the category of [[supermanifold]]s on the superpoints.

## Properties

### Formal duals

The algebra of functions on superpoints are precisely the [[Grassmann algebras]] (regarded as $\mathbb{Z}/2$ [[graded algebra]]s).

We have an [[equivalence of categories]]

$$
  SuperPoint \simeq GrAlg^{op}
$$

of the category of superpoints with the [[opposite category]] of [[Grassmann algebra]]s.

### The site of superpoints

Regard $SuperPoint$ as a [[site]] with trivial [[coverage]]. Much of [[superalgebra]] and [[supergeometry]] can be usefully understood as taking place over the [[base topos]] $Sh(SuperPoint)$ -- the [[sheaf topos]] over superpoints -- or rather the [[(∞,1)-sheaf (∞,1)-topos]]

$$
  Super\infty Grpd := Sh_{(\infty,1)}(SuperPoint)
$$

of [[super ∞-groupoid]]s. See there for more details.

### Relation to super-translations and super-Minkowski spacetime

A [[super translation Lie algebra]] and hence [[super Minkowski spacetime]], is a [[Lie algebra extension]] of a superpoint, with the latter regarded as an abelian [[super Lie algebra]]. See at _[[super translation Lie algebra]]_ for more on this.

## Related concepts

* [[infinitesimally thickened point]]

* [[super smooth infinity-groupoid]]

* [[super Cartan geometry]]

* [spectral superpoint](spectral+super-scheme#SpectralSuperpoint)

## References

For instance 


* Christoph Sachse, section 2.2.1 of _A Categorical Formulation of Superalgebra and Supergeometry_ ([arXiv:0802.4067](http://arxiv.org/abs/0802.4067))


[[!redirects super point]]
[[!redirects super points]]


[[!redirects superpoints]]