
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
#### Homotopy theory
+--{: .hide}
[[!include homotopy - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A _cohomology operation_ is a family of [[morphism]] between [[cohomology groups]], which is [[natural transformation|natural]] with respect to the base space. 

Equivalently, if the [[cohomology theory]] has a [[classifying space]] (as it does for all usual notions of [[cohomology]], in particular for all [[generalized (Eilenberg-Steenrod) cohomology theories]]) then, by the [[Yoneda lemma]], cohomology operations are in natural bijection with [[homotopy]]-classes of morphisms between classifying spaces.

(This statement is made fully explicit for instance below def. 12.3.22 in ([Aguilar-Gitler-Prieto](#AguilarGitlerPrieto)).

$$
  \{
    H^k(-, E)
    \to
    H^l(-, F)
  \}
  \simeq
  Ho(E_k, F_l)
  \,.
$$

## Examples

* every [[universal characteristic class]] is a cohomology operation.

* [[Bockstein homomorphism]]

* [[cup product]]

* [[Massey product]]

* [[power operation]]

  * [[Steenrod squares]] are the stable cohomology endo-operations on [[ordinary cohomology]] (mod 2)

  * [[Adams operations]] are the endo-cohomology operations on [[K-theory]]

* [[logarithmic cohomology operation]]

## References

Steenrod's original colloquium lectures were published as:

* [[Norman Steenrod]], _Cohomology operations, and obstructions to extending continuous functions_  Advances in Math. 8, 371–416. (1972).  ([scanned pdf](http://www.maths.ed.ac.uk/%7Eaar/papers/steen6.pdf))

Textbook accounts include the following.


* [[Robert Mosher]], [[Martin Tangora]], p. 38 of _Cohomology Operations and Application in Homotopy Theory_, Harper and Row (1968) ([pdf](www.maths.ed.ac.uk/~aar/papers/moshtang.pdf))

* {#Kochmann96} [[Stanley Kochmann]], section 2.5 and 3.5 of _[[Bordism, Stable Homotopy and Adams Spectral Sequences]]_, AMS 1996

* {#AguilarGitlerPrieto} Marcelo Aguilar, [[Samuel Gitler]], Carlos Prieto, _Algebraic topology from a homotopical viewpoint_, Springer (2002)
 

* {#May} [[Peter May]], chapter 22, section 5 of _A concise course in algebraic topology_ ([pdf](http://www.maths.ed.ac.uk/~aar/papers/maybook.pdf))

A treatment of the differential refinement of cohomology operations is in 

* Daniel Grady, [[Hisham Sati]], _Primary operations in differential cohomology_, ([arXiv:1604.05988](https://arxiv.org/abs/1604.05988))

[[!redirects cohomology operations]]