
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Knot theory
+--{: .hide}
[[!include knot theory - contents]]
=--
#### Integration theory
+--{: .hide}
[[!include integration theory - contents]]
=--
#### Topology
+--{: .hide}
[[!include topology - contents]]
=--
=--
=--


# The Kontsevich Integral
* tic
{: toc}

## Idea

The **Kontsevich integral** generalises the [[Gauss integral formula]] which computes the linking number of two embedded circles via integration.  The Kontsevich integral is a _universal_ [[Vassiliev invariant]] in that all Vassiliev invariants can be obtained by first applying the (final) Kontsevich integral to the knot and then applying an [[unframed weight system]] to the result.

## Definition

+-- {: .num_definition #kint}
###### Definition
Let $K$ be a [[strict Morse knot]].  Let $\widehat{\mathcal{A}}$ be the [[graded completion]] of the [[algebra of chord diagrams]] with $1$-term relations.  The **Kontsevich integral** of $K$ is given by:
$$
Z(K) = \sum_{m = 0}^\infty \frac{1}{(2 \pi i)^m} \int_{t_{\min} \lt t_m \lt \cdots \lt t_1 \lt t_{\max} \over t_j\; \text{non-critical}} \sum_{P = \{(z_j,z_j')\}} (-1)^{\downarrow P} D_p \bigwedge_{j=1}^m \frac{d z_j - d z_j'}{z_j - z_j'}
$$
=--

In this definition:

* $t_{\min}$ and $t_{\max}$ are the minimum and maximum of the $t$-coordinate in the [[Morse knot]] $K$.
* The integration is over the points in the simplex of $m$ points in the interval $[t_{\min},t_{\max}]$ where no coordinate is critical on $K$.
* Upon removing the critical values (note: _values_ not _points_, so we remove a point if it is on the same level as a critical point), the knot decomposes into a set of arcs which can be parametrised by height.  Each arc therefore defines a function $z \colon I \to \mathbb{C}$ where $I$ is the corresponding interval of height values.  In fact, $I$ must be the open interval between two successive critical values of the height function.  For a particular such interval, there must be an even number of arcs with that domain.  Given a point in the simplex (with no critical values), each coordinate in that point lies in an interval between critical values, and then for that interval we choose an unordered pair of arcs.  A choice of pair for each coordinate is called a **pairing**, and is written $P \coloneqq \{(z_j,z_j')\}$.
* For a pairing, $P$, the symbol $\downarrow P$ denotes the number of arcs that are oriented downwards when equipped with the inherited orientation from $K$.
* Putting the knot back together as a circle, we join the ends of the pairing to make a [[chord diagram]] with $m$ chords.  This defines an element in the [[algebra of chord diagrams]] which we denote by $D_P$.

## Invariance

The Kontsevich integral is an invariant of [[Morse knots]] but is not quite a knot invariant.  When a "hump" is introduced to the knot then it is multiplied by $Z(H)$ where $H$ is the "humped" unknot.  Therefore, it can be made in to a genuine knot invariant via the formula
$$
I(K) = \frac{Z(K)}{Z(H)^{c/2}}
$$
where $c$ is the number of critical points of $K$.  To distinguish this from the Kontsevich integral, it is sometimes called the **final** Kontsevich integral (and the other the **preliminary** one).

## References

* S. Chmutov, S. Duzhin and J. Mostovoy, _Introduction to Vassiliev Knot Invariants_, 
 Cambridge University Press  (2012)
