
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Limits and colimits
+--{: .hide}
[[!include infinity-limits - contents]]
=--
#### Category theory
+--{: .hide}
[[!include category theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

In [[category theory]], the _pasting law_ is a statement about (de-)composition of [[pullback]]/[[pushout]] [[diagrams]]. 

## Statement

+-- {: .num_prop}
###### Proposition

Let $\mathcal{C}$ be a [[category]] or more generally an [[(∞,1)-category]] or [[derivator]]. Consider a [[commuting diagram]] in $\mathcal{C}$ of the following shape:


$$
  \array{
    x & \longrightarrow & y & \longrightarrow & z
    \\
    \downarrow && \downarrow && \downarrow
    \\
    u & \longrightarrow & v & \longrightarrow & w
  }
$$

Then:

1. if the right square is a pullback, then the total rectangle is a pullback precisely if the left square is a pullback.

1. if the left square is a [[pushout]], then the total rectangle is a pushout precisely if the right square is a pushout.

=--

For **proof** see

* for [[category theory]]: at _[pullback -- pasting law](pullback#Pasting)_

* for [[(∞,1)-category theory]]: at _[(∞,1)-limit -- pushout pasting law](limit+in+a+quasi-category#PushoutPasting)_


## Related statements

In general, the implications in the above result do require the hypothesis (e.g. in the pullback case that the right square is a pullback).  However, in some cases this can be omitted.

+-- {: .num_prop}
###### Proposition
Suppose we have a diagram of the above shape

$$
  \array{
    x & \longrightarrow & y & \longrightarrow & z
    \\
    \downarrow && \downarrow && \downarrow
    \\
    u & \longrightarrow & v & \longrightarrow & w
  }
$$

in which the total rectangle (consisting of $x,z,u,w$) is a pullback, and moreover the induced map $y\to v\times z$ is a [[monomorphism]].  Then the left-hand square (consisting of $x,y,u,v$) is also a pullback.
=--

Another related statement involves a pair of rectangles and equalizers.

+-- {: .num_prop}
###### Proposition
Suppose $\mathcal{C}$ is any [[category]] with [[equalizers]] and that we have a diagram of the following shape:

$$
  \array{
    x & \longrightarrow & y & \rightrightarrows & z
    \\
    \downarrow && \downarrow && \downarrow
    \\
    u & \longrightarrow & v & \rightrightarrows & w
  }
$$

such that the vertical arrows are all monic, the squares on the right are serially commutative, and the lower row is an equalizer.  Then the upper row is an equalizer if and only if the left square is a pullback.
=--

[[!redirects pasting law for pullbacks]]
[[!redirects pasting law for pushouts]]
[[!redirects pasting law]]
