+-- {: .un_theorem}
###### Maschke's theorem
Given a [[finite group]] $G$ and a [[field]] $k$, the [[group algebra]] $k[G]$ is [[semisimple algebra|semisimple]] iff the [[characteristic]] of $k$ does not divide order of the group (that is, if $|G|$ is an invertible number in $k$, which is always in characteristic zero).
=--

If the base $k$ is just a [[commutative unital ring]], then there is the following statement:
+-- {: .un_theorem}
###### Theorem
If $|G|1_k$ is invertible in $k$, then an [[exact sequence]] of $k[G]$-[[modules]] [[split exact sequence|splits]] iff it splits after applying the [[forgetful functor]] from $k[G]$-modules to $k$-modules (and the splitting in ${}_{k[G]}Mod$ can be [[functor|functorially]] constructed from the splitting in ${}_{k}Mod$).
=--
If $k$ is a field, it follows that the $k[G]$ is [[semisimple algebra|semisimple]], so this statement can be understood as a generalization of Maschke's theorem. This is also one of the motivations for the concept of a [[separable functor]].

The importance of the classical Maschke's theorem is that much is known about the structure of [[semisimple ring]]s (starting with, e.g., [[Wedderburn's theorem]]).

* wikipedia [Maschke's theorem](http://en.wikipedia.org/wiki/Maschke%27s_theorem)


[[!redirects Maschke theorem]]
[[!redirects Maschke's theorem]]
[[!redirects Maschke\'s theorem]]
[[!redirects Maschke’s theorem]]
