
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
#### $\infty$-Chern-Simons theory
+--{: .hide}
[[!include infinity-Chern-Simons theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

### General

In the [[first order formulation of gravity]] ([[Cartan connection]]) the [[Einstein-Hilbert action]] in [[dimension]] 3 happens to be equivalent to the [[action functional]] of [[Chern-Simons theory]] for [[connection on a bundle|connections]] with values in the [[Poincare Lie algebra]] ([[spin connection]] and [[vielbein]], for a suitable quadratic [[invariant polynomial]]. Similarly for 3-dimensional [[supergravity]]. See [[3d quantum gravity]].

Generally, for every higher degree ($n$-ary) [[invariant polynomial]] on the Poincar&eacute; Lie algebra there is the corresponding [[higher dimensional Chern-Simons theory]] in dimension $2n-1$. These Chern-Simons type [[action functional]]s all include the [[Einstein-Hilbert action]] linear in the [[curvature]] as a summand, but generally contain higher degree curvature invariants. A theory of _Chern-Simons gravity_ is a field theory governed by such an [[action functional]].

While there is no experimental evidence for such higher curvature terms in the theory of [[gravity]], there exist parameter regions in which their predicted effects are smaller than could have been observed. Moreover, there are various suggestions that under [[Inönü-Wigner contraction]] of the [[AdS Lie algebra]] to the [[Poincare Lie algebra]], an $so(n,2)$-Chern-Simons gravity ([[anti de Sitter gravity]]) theory could be close to an ordinary Einstein-Hilbert theory. 

In view of this, the fact that Chern-Simons action functionals are singled out by their nice formal properties has led to various speculations that possibly the fundamental theory of gravity is secretly a theory of Chern-Simons gravity after all (see the [References](References)). Whether that is true or not, certainly in the general mathematical context of [[schreiber:infinity-Chern-Simons theory]] the study of Chern-Simons gravity is natural and interesting.

**Warning** In parts of the literature the term _Chern-Simons gravity_  is used for the modification of the [[Einstein-Hilbert action]] in  4-dimensions obtained by adding to the standard action the [[Pontryagin class]] term $\int_X \langle R \wedge R\rangle$ for $R$ the [[Riemann curvature]]. This is however not a Chern-Simons action functional in the strict sense of the term.

### Problems in the non-perturbative regime
 {#ProblemsInTheNonPerturbativeRegime}

The above discussion of the relation between 3-dimensional [[Einstein-Hilbert action|Einstein-Hilbert gravity]] and [[Chern-Simons theory]] certainly makes sense in [[perturbation theory]]. But [[non-perturbative quantum field theory|non-perturbatively]] the relation between the two theories is at best much more subtle and apparently in fact not existent. 

Citing from ([Witten 07, pages 4,5,6](#Witten07)):

> [[non-perturbative field theory|nonperturbatively]], the relation between [[3d quantum gravity|three-dimensional gravity]] and [[Chern-Simons theory|Chern-Simons gauge theory]] is unclear. For one thing, in Chern-Simons theory, nonperturbatively the [[vierbein]] may cease to be invertible. For example, there is a [[equations of motion|classical solution]] with $A = \omega = e = 0$. The viewpoint in ([Witten 88](#Witten88)) was that such non-geometrical configurations must be included to make sense of three-dimensional quantum gravity nonperturbatively. But it has has been pointed out (notably by [[Nathan Seiberg|N. Seiberg]]) that when we do know how to make sense of [[quantum gravity]], we take the invertibility of the vierbein seriously. For example, in [[perturbative string theory]], understood as a model of [[2d quantum gravity|quantum gravity in two spacetime dimensions]], the [[integration]] over [[moduli space]] of [[Riemann surfaces]] that leads to a sensible theory is derived assuming that the [[Riemannian metric|metric]] should be non-degenerate. There are other possible problems in the nonperturbative relation between threedimensional gravity and Chern-Simons theory. The equivalence between [[diffeomorphisms]] and [[gauge transformations]] is limited to diffeomorphisms that are continuously connected to the identity. However, in gravity, we believe that more general diffeomorphisms (such as [[modular transformations]] in [[perturbative string theory]]) play an important role. These are not naturally incorporated in the Chern-Simons description. One can by hand supplement the gauge theory description by imposing invariance under disconnected diffeomorphisms, but it is not clear how natural this is. Similarly, in quantum gravity, one expects that it is necessary to sum over the different topologies of spacetime. Nothing in the Chern-Simons description requires us to make such a sum. We can supplement the Chern-Simons action with an instruction to sum over threemanifolds, but it is not clear why we should do this. From the point of view of the Chern-Simons description, it seems natural to fix a particular [[Riemann surface]] $\Sigma$, say of [[genus]] $g$, and construct a [[space of quantum states|quantum Hilbert space]] by quantizing the Chern-Simons gauge fields on $\Sigma$. (Indeed, there has been remarkable progress in learning how to do this and to relate the results to [[Liouville theory]] [8-11].) In [[quantum gravity]], we expect topology-changing processes, such that it might not be possible to associate a Hilbert space with a particular spatial manifold. Regardless of one’s opinion of questions such as these, there is a more serious problem with the idea that gravity and gauge theory are equivalent nonperturbatively in three dimensions. Some years after the [[AdS/CFT|gauge/gravity relation]] was suggested, it was discovered by Ba&ntilde;ados, Teitelboim, and Zanelli [12] that in three-dimensional gravity with negative cosmological constant, there are black hole solutions. The existence of these objects, generally called [[BTZ black holes]], is surprising given that the classical theory is "trivial." Subsequent work [13,14] has made it clear that three-dimensional black holes should be taken seriously, particularly in the context of the AdS/CFT correspondence [15]. The BTZ black hole has a horizon of positive length and a corresponding [[Bekenstein-Hawking entropy]]. If, therefore, three dimensional gravity does correspond to a quantum theory, this theory should have a huge degeneracy of black hole states. It seems unlikely that this degeneracy can be understood in Chern-Simons gauge theory, because this essentially topological theory has too few degrees of freedom. 

See also at _[[AdS3-CFT2 and CS-WZW correspondence]]_ for (pointers to) discussion of how some variant of Chern-Simons theory appears as one "sector" of [[AdS/CFT]] in 3 dimensions/2-dimensions (and indeed not as the quantum gravity sector).


## Related concepts

* [[gravity]], [[supergravity]]

  [[first-order formulation of gravity]]

* [[higher dimensional Chern-Simons theory]]

* [[quantum gravity]]

  * [[3d quantum gravity]]

## References
 {#References}

### In 3 dimensions

The original articles that considered 3-dimensional gravity as a [[Chern-Simons theory]] ([[anti de Sitter gravity]]) are

* A. Ach&uacute;carro and [[Paul Townsend]], _A Chern-Simons Action for Three-Dimensional anti-De Sitter Supergravity Theories_ , Phys. Lett. B180 (1986) 89.

* {#Witten88} [[Edward Witten]], _(2+1)-Dimensional Gravity as an Exactly Soluble System_ Nucl. Phys. B311 (1988) 46. ([web](http://adsabs.harvard.edu/abs/1988NuPhB.311...46W))

Further developments are in

* {#Witten07} [[Edward Witten]], _Three-Dimensional Gravity Revisited_ ([arXiv:0706.3359](http://arxiv.org/abs/0706.3359))

A review of some aspects is in

* Bastian Wemmenhove, _Quantisation of 2+1 dimensional Gravity as a Chern-Simons theory_ thesis (2002) ([pdf](http://staff.science.uva.nl/~bais/scripties/wemmenhoven.pdf))

Boundaries in 3d Chern-Simons gravity and relation to the [[WZW model]] are discussed for instance in

* Giovanni Arcioni, [[Matthias Blau]], Martin O’Loughlin, _On the boundary dynamics of Chern-Simons gravity_ ([arXiv:0210089](http://arxiv.org/abs/hep-th/0210089))

See also [[3d quantum gravity]].

### General and higher dimensions

An introduction and survey is in 

* {#Zanelli05} [[Jorge Zanelli]], _Lecture notes on Chern-Simons (super-)gravities_ ([arXiv:hep-th/0502193](http://arxiv.org/abs/hep-th/0502193))

More along these lines is in

* [[Jorge Zanelli]], _Chern-Simons Forms in Gravitation Theories_, Class. & Quantum Grav. vol.29, 133001 (2012) ([arXiv:1208.3353](http://arxiv.org/abs/1208.3353))


Original articles include

* [[Ali Chamseddine]], _Topological gravity and supergravity in various dimensions_ Nuclear Physics B346 (1990) 213—234 ([web](http://adsabs.harvard.edu/abs/1990NuPhB.346..213C))



* Máximo Bañados, _Higher dimensional Chern-Simons theories and black holes_ ([pdf](http://worldscibooks.com/etextbook/4388/4388_chap01.pdf))

* Máximo Bañados, Ricardo Troncoso, Jorge Zanelli, _Higher dimensional Chern-Simons supergravity_ Phys. Rev. D 54, 2605–2611 (1996) 

* [[Jorge Zanelli]], _Chern–Simons forms and transgression actions or the universe as a subsystem_ Journal of Physics: Conference Series Volume 68 Volume 68 

* Hitoshi Nishino and Subhash Rajpoot, _Supersymmetric Lorentz Chern-Simons terms coupled to supergravity_ Phys. Rev. D 81, 085029 (2010) 

### In 11d

A speculation that [[11-dimensional supergravity]] is naturally to be understood as a contraction limit of a Chern-Simons supergravity theory was put forward in 

* [[Petr Hořava]], _M-Theory as a Holographic Field Theory_ ([arXiv:hep-th/9712130](http://arxiv.org/abs/hep-th/9712130))

with further developments in 

* [[Horatiu Nastase]], _Towards a Chern-Simons M theory of $OSp(1|32)\times OSp(1|32)$_ ([arXiv:hep-th/0306269](http://arxiv.org/abs/hep-th/0306269))

Other approaches to 11d Chern-Simons supergravity include

* Fernando Izaurieta, Eduardo Rodríguez, _On eleven-dimensional Supergravity and Chern-Simons theory_ ([arXiv:1103.2182](http://arxiv.org/abs/1103.2182))

There is an 6-ary [[invariant polynomial]] of degree $12 = 2 \cdot 6$ on the [[M-theory super Lie algebra]]. Using its [[Chern-Simons element]] as the [[Lagrangian]] for an [[schreiber:infinity-Chern-Simons theory]] yields an 11-dimensional supersymmetric field theory different from but maybe related to [[11-dimensional supergravity]]. This is discussed in 

* Mokhtar Hassaine, Ricardo Troncoso, [[Jorge Zanelli]], _Poincar&eacute; invariant gravity with local supersymmetry as a gauge theory for the M-algebra_ , Phys. Lett. B596 (2004) 132-137 ([arXiv:hep-th/0306258](http://arxiv.org/abs/hep-th/0306258))

* Mokhtar Hassaine, Ricardo Troncoso, [[Jorge Zanelli]], _11D Supergravity as a gauge theory for the M-algebra_ ([arXiv:hep-th/0503220](http://arxiv.org/abs/hep-th/0503220))

A discussion of [[Chern-Simons elements]] in higher [[supergravity]]  and their relation not quite to Chern-Simons forms but to their curvature-first-order-analog -- the _cosmo-cocycle condition_  -- is at

* _[[D'Auria-Fre formulation of supergravity]]_ .

### Boundary theories

Boundary [[higher dimensional WZW models]] for nonabelian [[higher dimensional Chern-Simons theory]] are discussed in

* J. Gegenberg , G. Kunstatter, _Boundary Dynamics of Higher Dimensional Chern-Simons Gravity_ ([arXiv:hep-th/0010020](http://arxiv.org/abs/hep-th/0010020))

* J. Gegenberg , G. Kunstatter, _Boundary Dynamics of Higher Dimensional AdS Spacetime_ ([arXiv:http://arxiv.org/abs/hep-th/9905228](http://arxiv.org/abs/hep-th/9905228))



[[!redirects Chern-Simons supergravity]]

[[!redirects higher dimensional Chern-Simons gravity]]
[[!redirects higher dimensional Chern-Simons supergravity]]