
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Homotopy theory
+--{: .hide}
[[!include homotopy - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

For $Y \to Z$ a morphism of [[pointed object|pointed]] [[∞-groupoid]]s and $X \to Y$ its [[homotopy fiber]], there is a [[long exact sequence]] of [[homotopy group]]s

$$
  \cdots \to \pi_{n+1}(Z) \to \pi_n(X) \to \pi_n(Y) \to \pi_n(Z) \to \pi_{n-1}(X) \to \cdots
  \,.
$$

In terms of [[presentable (infinity,1)-category|presentations]] this means:

for $Y \to Z$ a fibration in the ordinary [[model structure on topological spaces]] or in the [[model structure on simplicial sets]], and for $X \to Y$ the ordinary [[fiber]] of [[topological space]]s or [[simplicial set]]s, respectively, we have such a long exact sequence.

For background and details see [[fibration sequence]].

## Related concepts

* [[fiber sequence]]

* [[Gysin sequence]]

* [[Serre long exact sequence]]

* Given a [[tower of homotopy fibers]] such as a [[Whitehead tower]] or [[Adams resolution]], the long exact sequences of homotopy groups for each stage combine to yield an [[exact couple]]. The corresponding [[spectral sequence]] is the _[[Adams spectral sequence]]_.

## References

The observation of long exact sequences of homotopy groups for [[homotopy fiber sequences]] originates (according to [Switzer 75, p. 35](#Switzer75)) in 

* M. G. Barratt, _Track groups I, II_. Proc. London Math. Soc. 5, 71-106, 285-329 (1955). 

The first exhaustive study of these is due to 

* {#Puppe58} [[Dieter Puppe]], _Homotopiemengen und ihre induzierten Abbildungen I_, Math. Z. 69,  299-344 (1958). 

whence the terminology _Puppe sequences_.


Textbook accounts include

* {#Switzer75} [[Robert Switzer]], around 2.59 of _Algebraic Topology - Homotopy and Homology_, Die  Grundlehren der Mathematischen Wissenschaften in Einzeldarstellungen, Vol. 212, Springer-Verlag, New York, N. Y., 1975. 

* {#Kochmann96} [[Stanley Kochmann]], corollary 3.2.7 of _[[Bordism, Stable Homotopy and Adams Spectral Sequences]]_, AMS 1996

See also

* Wikipedia, _[Long exact sequence of a fibration](http://en.wikipedia.org/wiki/Homotopy_group#Long_exact_sequence_of_a_fibration)_

[[!redirects long exact sequences of homotopy groups]]

