+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Fields and quanta
+--{: .hide}
[[!include fields and quanta - table]]
=--
#### Super-Geometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

In [[quantum field theory]] the term _gaugino_ denotes a field that is a [[superpartner]] of a [[gauge boson]]. This appears in [[super Yang-Mills theory]]. For instance the partner of a [[gluon]] in the [[MSSM]] is called a [[gluino]], and so on.

In terms of [[Chern-Weil theory]]/[[differential cohomology]] we have that
 
* [[gauge bosons]] are (the [[quanta]] of) [[connection on a bundle|connections]] on [[principal bundle]] or more generally the even components of [[superconnections]];

* gauginos are the odd components of superconnections.

## Experiment

Experimental exclusion bounds of gluino [[rest masses]] due to the [[LHC]] [[experiment]] excludes gluinos/[[squarks]] of mass below about 3-4 [[TeV]] ([Particle Data Group Review 17, figure 113.2 and 113.9](#ParticleDataGroup17)):

<img src="https://ncatlab.org/nlab/files/SquarkGluinoMassExclusion2017.png" width="700"/>

[[LHCSuperpartnerMassExclusion2017.png:file]]

<img src="https://ncatlab.org/nlab/files/LHCSuperpartnerMassExclusion2017.png" width="1050"/>



## Related concepts

* in [[10d super Yang-Mills theory]]: see [there](D%3D10+super+Yang-Mills+theory#EquationsOfMotionFromTheBianchiIdentity)

* [[sfermions]]

  * [[squarks]]

* [[split supersymmetry]]

* [[gaugino condensation]]

## References

Theoretical discussion includes

* F. Gieres, _Geometry of Supersymmetric Gauge Theories: Including an Introduction to BRS Differential Algebras and Anomalies_  Springer Lecture Notes in Physics 302 (1998)

Experimental exclusion bounds are discussed iin

* {#ParticleDataGroup17} [Particle Data Group Review 2017](http://pdg.lbl.gov/), 113. _Supersymmetry , part II (experiment)_ ([pdf](http://pdg.lbl.gov/2017/reviews/rpp2017-rev-susy-2-experiment.pdf))

See also 

* Wikipedia, _[Gaugino](https://en.wikipedia.org/wiki/Gaugino)_

[[!redirects gauginos]]
