
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Geometry
+-- {: .hide}
[[!include higher geometry - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Definition

Given a [[topological group]] or [[algebraic group]] or [[Lie group]], etc.,  $G$, a __homogeneous $G$-space__ is a [[topological space]] or [[scheme]], or [[smooth manifold]] etc. with [[transitive action|transitive]] $G$-[[action]]. 

A __principal homogeneous $G$-space__ is the total space of a $G$-[[torsor]] over a point. 


There are generalizations, e.g. the [[quantum homogeneous space]] for the case of quantum groups. 

## Examples

* A special case of homogeneous spaces are [[coset spaces]] arising from the [[quotient]] $G/H$ of a [[group]] $G$ by a subgroup. For the case of [[Lie groups]] this is also called [[Klein geometry]].

* Specifically for $G$ a [[compact Lie group]] and $T\hookrightarrow G$ a [[maximal torus]], then the coset $G/T$ play a central role in [[representation theory]] and [[cohomology]], for instance in the [[splitting principle]].

* In [[analysis]] and [[number theory]], certain functions on certain coset spaces play a role as _[[automorphic forms]]_ (e.g. [[modular forms]]). See there for more.



## Properties

### Relation to coset spaces
 {#RelationToCosetSpaces}
 

Under weak topological conditions (cf. [Helgason](#Helgason)), every topological homogeneous space $M$ is isomorphic to a __[[coset]] space__ $G/H$ for a [[closed subspace|closed]] subgroup $H\subset G$ (the [[stabilizer]] of a fixed point in $X$).


## Related concepts

* [[Klein geometry]]

* [[conjugacy class]]

* [[orbit category]]

* [[Grassmannian]], [[flag variety]]

* [[Schubert calculus]]


## References

* {#Helgason} Sigurdur Helgason, _Differential geometry, Lie groups and symmetric spaces_

The following article has categorical analysis of relation between the total space of a principal bundle and of the corresponding quotient space both for the classical case and for noncommutative generalizations:

* [[Tomasz Brzeziński]], _On synthetic interpretation of quantum principal bundles_, AJSE D - Mathematics 35(1D): 13-27, 2010 [arxiv:0912.0213](http://uk.arxiv.org/abs/0912.0213); _Quantum group differentials, bundles and gauge theory_, Encyclopedia of Mathematical Physics, Acad. Press. 2006, pp. 236–244
[doi](http://dx.doi.org/10.1016/B0-12-512666-2/00050-X)

[[!redirects homogeneous spaces]]
