
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Functional analysis
+--{: .hide}
[[!include functional analysis - contents]]
=--
#### Operator algebra
+--{: .hide}
[[!include AQFT and operator algebra contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Statement

+-- {: .num_theorem}
###### Theorem
**(Kuiper's theorem)**

For $\mathcal{H}$ a [[separable Hilbert space|separable]] infinite-dimensional complex [[Hilbert space]], the [[group]] of bounded and invertible [[linear operators]] $GL(\mathcal{H})$, regarded as a [[topological group]] under the [[norm topology]] or [[strong operator topology]] or [[weak operator topology]], is [[contractible]]. 

The [[unitary group]] $U(\mathcal{H})$, being [[homotopy equivalence|homotopy equivalent]] to $GL(\mathcal{H})$ by the [[Gram-Schmidt process]], is also contractible. 

=--

The original paper of Kuiper proved this group to be contractible in the 
[[operator topology|norm topology]]; later Dixmier and Douady proved contractibility for the [[operator topology|strong operator topology]].  Atiyah and Segal note in their paper on twisted K-theory that there is an easy proof of contractibility in the [[weak operator topology]].  One major difference in the topologies is that with the operator topology then it is a [[CW-complex]] but with the weak topology then it isn't even an ANR. 

Note that on $U(\mathcal{H})$ the strong operator topology coincides with the [[compact open topology]] ([Schottenloher](#Schottenloher)), and with these topologies $U(\mathcal{H})$ is a topological group (the same is not true for $GL(\mathcal{H})$). In fact more is true: the compact open, strong and weak topologies *and* their $\ast$-counterparts all agree on $U(\mathcal{H})$, which in this topology is a [[Polish space|Polish]] group ([Espinoza-Uribe](#EspinozaUribe)).

## References 

* [Wikipedia article on Kuiper's theorem](http://en.wikipedia.org/wiki/Kuiper%27s_theorem) 

* {#Schottenloher} Martin Schottenloher, _The Unitary Group In Its Strong Topology_, [web](http://www.mathematik.uni-muenchen.de/~schotten/bas/unitary%201.1.pdf)

* {#EspinozaUribe} Jesus Espinoza, Bernardo Uribe, _Topological properties of the unitary group_, JP Journal of Geometry and Topology
**16** (2014) Issue 1, pp 45-55. [journal](http://www.pphmj.com/abstract/8730.htm), arXiv:[1407.1869](https://arxiv.org/abs/1407.1869v1)

[[!redirects Kuiper theorem]]

