
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Topos Theory
+-- {: .hide}
[[!include topos theory - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Definition

For $C$ a [[coherent category]] $C$ the **coherent coverage** on $C$ is the [[coverage]] in which the [[covering]] families are generated by finite, jointly [[regular epimorphism|regular-epimorphic]] families.  Similarly, on an [[infinitary-coherent category]] (a.k.a. a "geometric category"), the **infinitary-coherent coverage** (a.k.a. *geometric coverage*) is generated by all *small* jointly regular-epimorphic families.

The corresponding [[Grothendieck topology]] is called the **coherent topology**, making $C$ into a __coherent site__.

Equivalently, this coverage is generated by single [[regular epimorphisms]] and by finite [[union]]s of [[subobject]]s (resp. small unions in the infinitary case).

Topoi of sheaves for (finitary) coherent topologies on coherent categories are called [[coherent topos|coherent toposes]].  (The terminology is slightly confusing, though, because every topos is a coherent category.)  Note that every topos is equivalent to a topos of sheaves for the *infinitary* coherent topology on an infinitary-coherent site, namely itself.


## Properties

The coherent coverage is [[subcanonical site|subcanonical]]. 

* If $C$ is [[extensive category|extensive]], then its coherent topology is generated by the [[regular topology]] together with the [[extensive topology]].  (In fact, the coherent topology is [[superextensive site|superextensive]].)

* If $C$ is a [[pretopos]], then its self-indexing is a [[stack]] for its coherent topology.  Exactness and extensivity are stronger than necessary, however; a pair of necessary and sufficient conditions for this to hold are that

  1. If $R\;\rightrightarrows\; A$ is a kernel pair, then for any $f\colon B\to A$, the pullback $f^*R \;\rightrightarrows\; B$ is also a kernel pair (this is equivalent to the [[codomain fibration]] being a stack for the regular topology).
  2. If $A,B \rightarrowtail C$ are a pair of subobjects, then for any $f\colon X\to A$ and $g\colon Y\to B$ and any isomorphism $f^*(A\cap B) \cong g^*(A\cap B)$, the pushout
    $$\array{f^*(A\cap B) & \overset{}{\to} & X\\
    \downarrow && \downarrow\\
    Y& \underset{}{\to} & Z}$$
    exists and is also a pullback.


## Related concepts

* [[finitely complete category]], [[cartesian functor]], [[cartesian logic]], [[cartesian theory]]

* [[regular category]], [[regular functor]], [[regular logic]], [[regular theory]], [[regular coverage]], [[regular topos]]

* [[coherent category]], [[coherent functor]], [[coherent logic]], [[coherent theory]], **coherent coverage**, [[coherent topos]]

* [[geometric category]], [[geometric functor]], [[geometric logic]], [[geometric theory]]


## References

Section A1.4 and example C2.1.12 in 

* [[Peter Johnstone]], _[[Sketches of an Elephant]]_
 {#Johnstone}
 

[[!redirects coherent coverage]]
[[!redirects coherent coverages]]
[[!redirects coherent topology]]
[[!redirects coherent topologies]]
[[!redirects coherent Grothendieck topology]]
[[!redirects coherent Grothendieck topologies]]
[[!redirects coherent site]]
[[!redirects coherent sites]]

[[!redirects geometric coverage]]
[[!redirects geometric coverages]]
[[!redirects geometric topology]]
[[!redirects geometric topologies]]
[[!redirects geometric Grothendieck topology]]
[[!redirects geometric Grothendieck topologies]]
[[!redirects geometric site]]
[[!redirects geometric sites]]
