Entry [[characteristic class]] defines characteristic classes from [[nPOV]], within $(\infty,1)$-topos and relates the characteristic classes to $(\infty,1)$-principal bundles. Here we present an older axiomatics, where characteristic classes *characterize* any structure on spaces (example: characteristic classes of foliations, bundles, bundles with structure etc). 

Thus one considers a base category $\mathcal{T}$ of "spaces" and a category $\mathcal{S}$ of spaces with a structure (for example, space together with a vector bundle on it), this category should be a category over $\mathcal{T}$, i.e. equipped with a functor $U : \mathcal{S}\to\mathcal{T}$. A morphism of categories with structures is a morphism in the overcategory $Cat/\mathcal{T}$, i.e. a morphism $U\to U'$ is a functor $F: dom(U)\to dom(U')$ such that $U' F = U$. 

Suppose now the category $\mathcal{T}$ is equipped with a cohomology theory which is, for purposes of this definition, a functor of the form $H : \mathcal{T}\to A$ where $A$ is some concrete category, typically category of $T$-algebras for some algebraic theory in $Set$, e.g. the category of abelian groups. Define 
$\mathcal{H} = \mathcal{H}_H$ as a category whose objects are pairs $(X,a)$ where $X$ is a space (= object in $\mathcal{T}$) and $a\in H(X)$. This makes sense as $A$ is a concrete category. A morphism $(X,a)\to (Y,b)$ is a morphism $f: X\to Y$ such that $H(f)(b) = a$. We also denote $f^* = H(f)$, hence $f^*(b) = a$. 

A __characteristic class of structures of type $\mathcal{S}$ with values in__ $H$ is a morphism of structures $h: \mathcal{S}\to\mathcal{H}_H$ over $\mathcal{T}$. In other words, to each structure $S$ of the type $\mathcal{S}$ over a space $X$ in $\mathcal{T}$ it assigns an element $h(S)$ in $H(X)$ such that for a morphism $t: S\to T$ in $\mathcal{S}$ the homomorphism $(U(t))^* : H(Y)\to H(X)$, where $Y = U(T)$, sends $h(S)$ to $h(T)$. 

This axiomatics can be found e.g. in the section 7 of

* D. B. Fuks, Непреривные когомологии топологических групп и характеристические классы, appendix to the Russian translation of K. S. Brown, _Cohomology of groups_, Moskva, Mir 1987.