
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Category theory
+-- {: .hide}
[[!include category theory - contents]]
=--
#### Limits and colimits
+-- {: .hide}
[[!include infinity-limits - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Definition

An **intersection** is a [[meet]] of [[subset]]s or (more generally) [[subobject]]s.

The dual notion is that of [[union]]/[[join]].

This includes the traditional [[set theory|set-theoretic]] intersection of subsets of some ambient set, as well as intersections of completely arbitrary sets (which are subsets of the [[universe]]) in [[material set theory]].

In a [[finitely complete category]], the intersection of two [[monomorphism]]s $A\hookrightarrow X$ and $B\hookrightarrow X$ can be computed by a [[pullback]] of the [[cospan]] $A\to X \leftarrow B$.

The __nullary intersection__ of the subsets of $X$ is $X$ itself.  A __binary intersection__ is the intersection of two sets, and a __finitary intersection__ is the intersection of [[finite set|finitely]] many sets.  Finitary intersections may be built out of binary and nullary intersections.

## Properties

* [[interactions of images and pre-images with unions and intersections]]

  * [[the image of an intersection is contained in the intersection of the images]]

  * [[pre-images preserve intersections]], 

## Related concepts

* [[product]]

* [[union]]

* [[intersection product]], [[intersection theory]]

* [[brane intersection]]

[[!redirects intersection]]
[[!redirects intersections]]

[[!redirects nullary intersection]]
[[!redirects nullary intersections]]

[[!redirects binary intersection]]
[[!redirects binary intersections]]

[[!redirects finitary intersection]]
[[!redirects finitary intersections]]
