
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A _module spectrum_ is a [[module]] over a [[ring spectrum]]. As for [[ring spectra]], this has different interpretations according to how much [[coherence]] is considered:

A _homotopy module spectrum_ over a [[homotopy commutative ring spectrum]] is a [[module object]] in the [[stable homotopy category]] equipped with its derived [[smash product of spectra]].

On the other hand if "ring spectrum" means [[E-∞ ring]] (or [[A-∞ ring]]) then a module over a ring spectrum is  a [[module over an algebra over an (∞,1)-operad]] for the [[commutative operad]]:

for $R$ an [[E-∞ ring]] (an [[algebra over an (∞,1)-operad|∞-algebra]] over [[Comm]]), an $R$-module spectrum is a [[spectrum]] equipped with an $R$-[[action]].

## Properties

### General

By the discussion an [[tangent (∞,1)-category]] we may realize $E_\infty$-modules over $R$ as objects in the [[stabilization]] of the [[over-(∞,1)-category]] over $R$:

+-- {: .num_prop}
###### Proposition

Let $E_\infty := Alg^{Comm}(\infty Grpd)$ be the [[(∞,1)-category]] of [[E-∞ ring]]s and let $R \in E_\infty$. Then the [[stabilization]] of the [[over-(∞,1)-category]] over $R$ 

$$
  Stab(E_\infty/R) \simeq R Mod(Spec)
$$

is equivalent to the category of $R$-module spectra.

=--

This is ([Lurie, cor. 1.5.15](#Lurie)).


### Stable Dold-Kan correspondence
 {#StableDoldKanCorrespondence}

For $R$ an ordinary [[ring]], write $H R$ for the corresponding [[Eilenberg-MacLane spectrum]]. 

+-- {: .num_theorem #StableDoldKan}
###### Theorem

For $R$ any [[ring]] (or [[ringoid]], even) there is a [[Quillen equivalence]] 

$$
  H R Mod \simeq Ch_\bullet(R Mod)
$$

between model structure on  $H R$-module spectra and the [[model structure on chain complexes]] (unbounded) of ordinary $R$-[[module]]s.

This presents a corresponding [[equivalence of (∞,1)-categories]]. If $R$ is a commutative ring, then this is an equivalence of [[symmetric monoidal (∞,1)-categories]].

=--

This equivalence on the level of [[homotopy categories]] is due to ([Robinson](#Robinson)). The refinement to a Quillen equivalence is ([SchwedeShipley, theorem 5.1.6](#SchwedeShipley)). See also the discussion at _[[stable model categories]]_. A direct description as an equivalence of $(\infty,1)$-categories appears as ([Lurie, theorem 7.1.2.13](#Lurie)).



+-- {: .num_remark}
###### Remark

This is a stable version of the [[Dold-Kan correspondence]]. See at _[[stable Dold-Kan correspondence]]_ for more.

=--


See at __[[algebra spectrum]]_ for the corresponding statement for $H R$-algebra spectra and [[dg-algebras]].



+-- {: .num_example}
###### Example

For $X$ a [[topological space]] and $R$ a ring, let $C_\bullet(X, R)$ be the standard [[chain complex]] for [[singular homology]] $H_\bullet(X, R)$ of $X$ with coefficients in $R$.

Under the stable Dold-Kan correspondence, prop. \ref{StableDoldKan}, this ought to be identified with the [[smash product]] $(\Sigma^\infty_+ X) \wedge H R$ of the [[suspension spectrum]] of $X$ with the [[Eilenberg-MacLane spectrum]]. Notice that by the general theory of [[generalized homology]] the [[homotopy groups]] of the latter are again singular homology

$$
  \pi_\bullet( (\Sigma^\infty_+ X) \wedge H R) \simeq H_\bullet(X, R)
  \,.
$$

While the correspondence $(\Sigma^\infty_+ X) \wedge H R \sim C_\bullet(X,R)$ under the above equivalence is suggestive, maybe nobody has really checked it in detail. It is sort of stated as true for instance on <a href="http://arxiv.org/PS_cache/arxiv/pdf/0906/0906.5198v1.pdf#page=15">p. 15 </a> of ([BCT](#BCT)).

=--

### As fibers for $(\infty,1)$-vector bundles

An ordinary [[vector bundle]] is a [[bundle]] of $k$-[[module]]s for $k$ some [[ring]] (which should be a [[field]], or otherwise we'd rather say "module bundle"). Generalizing $k$ here from a ring to a [[ring spectrum]], we may hence regard $K$-module spectra as [[(∞,1)-vector space]]s, and [[associated ∞-bundle|∞-bundles]] of these as [[(∞,1)-vector bundle]]s. See there for more details.

## Related concepts

[[!include homological and higher algebra -- table]]

* [[comodule spectrum]]

* [[ring spectrum]], [[algebra spectrum]]

* [[(∞,1)-category of (∞,1)-modules]]

## References

An early account is

* {#Adams74} [[Frank Adams]], part III, section 10 of _[[Stable homotopy and generalised homology]]_, 1974

A comprehensive general discussion in terms of [[symmetric spectra]] is in

* {#Schwede12} [[Stefan Schwede]], chapter IV _[[Symmetric spectra]]_, 2012 ([pdf](http://www.math.uni-bonn.de/~schwede/SymSpec-v3.pdf))

and in terms of [[(infinity,1)-category theory]] in

* {#Lurie} [[Jacob Lurie]], chapter 7  of _[[Higher Algebra]]_.
 

The equivalence between the [[homotopy categories]] of  $H R$-module spectra and $Ch_\bullet(R Mod)$ is due to

* {#Robinson} Alan Robinson, _The extraordinary derived category_ , Math. Z. 196 (2) (1987) 231–238.
 

The refinement of this statement to a [[Quillen equivalence]] is due to

* {#SchwedeShipley} [[Stefan Schwede]], [[Brooke Shipley]], _Stable model categories are categories of modules_ , Topology 42 (2003), 103-153 ([pdf](http://www.math.uic.edu/~bshipley/classTopFinal.pdf))
 
Applications to [[string topology]] are discussed in

* {#BCT} [[Andrew Blumberg]], [[Ralph Cohen]], [[Constantin Teleman]], _Open-closed field theories, string topology and Hochschild homology_ ([arXiv:0906.5198](http://arxiv.org/abs/0906.5198))
 

See the section on string topology at [[sigma model]] for more on this.

[[!redirects module spectra]]
[[!redirects module-spectra]]
[[!redirects module-spectrum]]

[[!redirects homotopy module spectrum]]
[[!redirects homotopy module spectra]]
