
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Homotopy theory
+--{: .hide}
[[!include homotopy - contents]]
=--
=--
=--
#Contents#
* table of contents
{:toc}

##Idea

Pro-homotopy theory involves the study of [[model category]] and other abstract homotopy theoretic structure on pro-categories of spaces or simplicial sets. (The term can also be used for any extension of homotopical structures for a category $C$ to the corresponding $Pro(C)$.)

## Uses

* In [[strong shape theory]], 

* In [[etale homotopy theory|étale homotopy theory]] and motivic homotopy.

*  In [[proper homotopy theory]]

and is closely related to [[profinite homotopy theory]].

## Related concepts

* [[profinite space]]

* [[simplicial profinite space]]

* [[pro-left adjoint]]

The homotopy theory of simplicial profinite spaces has been explored by [[Fabien Morel]] and [[Gereon Quick]]. 

For Morel's theory see

* [[F. Morel]], _Ensembles profinis simpliciaux et interprétation géométrique du foncteur $T$_, Bull. Soc. Math. France, 124, (1996), 347–373, 



The initial reference to Quick's work is : 

 
* G. Quick, _Profinite homotopy theory_[pdf](http://www.math.uiuc.edu/documenta/vol-13/17.pdf)

but a correction to an error in the proof of the main result was included in

* G. Quick,  _Continuous group actions on profinite spaces_, J. Pure Appl. Algebra 215 (2011),
1024-1039.

##References


For one of the earliest model structures, namely the strict model structure on $Pro(C)$, see

* [[D.A. Edwards]] and [[H. M. Hastings]], (1976), _Čech and Steenrod homotopy theories with applications to geometric topology_, Lecture Notes in Maths. 542, Springer-Verlag, [pdf](http://www.math.uga.edu/~davide/Cech_and_Steenrod_Homotopy_Theories_with_Applications_to_Geometric_Topology.pdf) 


More recent contributions include:

* [[I. Barnea]] and [[T. M. Schlank]], 2011, _A Projective Model Structure on 
Pro Simplicial Sheaves, and the Relative Etale Homotopy Type_, [arXiv:1109.5477](http://arxiv.org/abs/1109.5477)


*  [[I. Barnea]] and [[T. M. Schlank]], 2013, _Functorial Factorizations in Pro 
Categories_, [arXiv:1305.4607](http://arxiv.org/abs/1305.4607). 


*  [[D. C. Isaksen]], _A model structure on the category of pro-simplicial sets_, 
Trans. Amer. Math. Soc., 353, (2001), 2805–2841.

* [[D. C. Isaksen]], _Calculating limits and colimits in pro-categories_, Fundamenta Mathematicae, 175, (2002), 175 – 194. 

* [[D. C. Isaksen]], 2004, Strict model structures for pro-categories , in Categorical decomposition techniques in algebraic topology (Isle of Skye, 2001) , volume 215 of Progr. Math., 179 – 198, Birkhauser, Basel. 


* [[D. C. Isaksen]], Completions of pro-spaces , Math. Z., 250, (2005), 113 
– 143. 

* {#FauskIsaksen07} [[Halvard Fausk]] [[D. C. Isaksen]], _Model structures on pro–categories_, Homology, Homotopy and Applications, Vol. 9 (2007), 367–398.

* Ilan Barnea, [[Yonatan Harpaz]], [[Geoffroy Horel]], _Pro-categories in homotopy theory_ ([arXiv:1507.01564](http://arxiv.org/abs/1507.01564))
