Differential endofunctors and differential monads appear in the treatment of differential calculus on noncommutative spaces/schemes represented by their abelian categories "of quasicoherent sheaves"; the formalism is due [[Valery Lunts]] and [[Alexander Rosenberg]].

#### Filtrations associated to topologizing subcategories

Below, a "subscheme" of an abelian category is in the sense of [[coreflective subcategory|coreflective]] [[topologizing subcategory]]. A "subscheme" is Zariski closed if it is also reflective.

Let $B$ be an abelian category $B$ satisfying the Gabriel's [[property sup]]. For any coreflective topologizing subcategory ("subscheme") $\mathbb{T}$ of $B$ one defines the notion of __$\mathbb{T}$-filtration__ on any object $M$ of $B$ as an increasing $M_\cdot = \{M_i \,|\, i\gt -1\}$ on $M$ such that $M_{-1} = 0$ and $M_i/M_{i-1} \in Ob \mathbb{T}$. By coreflectiveness of $\mathbb{T}$ there is a canonical choice of a $\mathbb{T}$-filtration given by $M_i = \mathbb{T}^{(i+1)}M$ (see [[n-th neighborhood of a topologizing subcategory]]); this is also called $\mathbb{T}^{i+1}$-torsion (part) of $M$. By the property (sup), there is a well-defined subobject $\mathbb{T}^{(\infty)}(M) := sup\{\mathbb{T}^{(i)}M\}$ which is calle the __$\mathbb{T}$-part__ of $M$. An object is a $\mathbb{T}$-object if it equals its own $\mathbb{T}$-part. Denote by $\mathbb{T}^\infty$ (note no brackets in the notation) the full subcategory of $B$ whose objects are $\mathbb{T}$-objects. 

__Proposition.__ (Lunts-Rosenberg MPI1996-53, Lemma 3.3.1) The subcategory $\mathbb{T}^\infty$ is a coreflective topologizing subcategory of $B$. 

#### The case of the diagonal "subscheme": differential filtration

Fix an abelian category $A$; let $B = End A$ be the category of additive endofunctors $A\to A$ (essential smallness or some sort of accessibility assumption may be required on $A$). If $A$ has the Gabriel's [[property sup]] then $End A$ also has the property sup). 

Let $\mathbb{T}$ be the diagonal subscheme of $B = End A$, i.e. the minimal "subscheme" of the $End A$ containing the identity functor $Id_A$.  For example, if $A$ is the category ${}_R Mod$ for $R$ a simple ring, then all "subschemes" of it are (Zariski) closed. 

__Definition.__ The $\Delta$-part of any object $M$ of $B = End A$ is called the __differential part__ of $M$, and $\Delta$-objects in $B$ are called __differential endofunctors__. Differential endofunctors are (Lunts-Rosenberg MPI 1996-53, 4.2) closed under composition. A __differential monad__ is a monad whose underlying endofunctor is differential. 

In these definitions it is often convenient to redefine $B$ as some other full subcategory $B \subset End A$ containing $Id_A$, and closed under composition and colimits in $End A$. 

#### The case of (noncommutative) rings

If $A$ is the category ${}_R Mod$ and $B = End_c A$ of endofunctors having right adjoint for a (possibly noncommutative associative) $k$-algebra $R$, then this modification leads to the (noncommutative generalization of the) notion of [[differential bimodule]]s. In other words, one looks at $\Delta_R$-part of bimodules where $\Delta_R$ is (basically, by the [[Eilenberg-Watts theorem]]) equivalent to the full subcategory of the category of $R\otimes_k R^{op}$-modules (i.e. $R$-bimodules) generated by all $M$, such that the kernel of the multiplication is an ideal in $R\otimes_k R^{op}$ contained in $Ann(m)$. 

### Literature

The general abstract nonsense is proposed in these 1996 MPI preprints:

* V. A. Lunts, [[Alexander Rosenberg|A. L. Rosenberg]], _Differential calculus in noncommutative algebraic geometry I. D-calculus on noncommutative rings_, MPI 1996-53 [pdf](http://www.mpim-bonn.mpg.de/preblob/3894), _II. D-Calculus in the braided case. The localization of quantized enveloping algebras_, MPI 1996-76 [pdf](http://www.mpim-bonn.mpg.de/preblob/3916)

This is applied (without mentioning differential monads) to the case of noncommutative rings in 

* V. A. Lunts, [[Alexander Rosenberg|A. L. Rosenberg]], _Differential operators on noncommutative rings_, Selecta Math. (N.S.)  __3__  (1997),  no. 3, 335--359 ([doi](http://dx.doi.org/10.1007/s000290050014)); sequel: _Localization for quantum groups_, Selecta Math. (N.S.) __5__ (1999), no. 1, pp. 123--159 ([doi](http://dx.doi.org/10.1007/s000290050044)).

[[!redirects differential endofunctor]]
