
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Motivic cohomology
+--{: .hide}
[[!include motivic cohomology - contents]]
=--
=--
=--


> under construction

#Contents#
* table of contents
{:toc}

## Idea

[[Madhav Nori]] invented an original approach to [[mixed motives]], in the spirit of Tannakian theory, but based on a specific [[Nori's Tannakian theorem]]. Unfortunately his original work, which has been lectured on some summer schools and conferences is not widely available in written form. [[Maxim Kontsevich]] based his approach to [[period]]s and their appearance in [[deformation quantization]] partly on Nori's insight. 

The construction of Nori [[motives]] themselves has been generalised to categories over a base S by Arapura and Ivorra. Arapura's approach
is based on [[constructible sheaves]]. His categories allow pull-back and push-
forward, the latter being a deep result. The same paper also constructs the
weight filtration on Nori motives and establishes the equivalence between
Nori motives and Andr&#233; pure motives. Ivorra's approach is based on [[perverse sheaves]]. Compatibility under the [[six functors formalism]] is open in his
setting [Huber-Stach]{#HS}

It is known that Nori's and Ayoub's Motivic galois groups agree.

The subcategory of 1-motives in Nori motives agrees with Deligne's 1-motives, and hence also with 1-motives in Voevodsky's category.

## References

* Annette Huber, [[Stefan Müller-Stach]], with contributions of Benjamin Friedrich and Jonas von Wangenheim, [Periods and Nori motives](http://home.mathematik.uni-freiburg.de/arithgeom/preprints/buch/mantel.html), (Book in preparation: first version, September 2015, 323 p. ){#HS}

* Annette Huber, [[Stefan Müller-Stach]], _On the relation between Nori motives and Kontsevich periods_, [1105.0865](http://arxiv.org/abs/1105.0865)

* Madhav Nori, TIFR notes on motives, unpublished, [pdf](http://www.arithgeo.ethz.ch/alpbach2011/Nori_TIFR) *link broken*

* MathOverflow: [kontsevichs-conjectures-on-the-grothendieck-teichmuller-group](http://mathoverflow.net/questions/42148/kontsevichs-conjectures-on-the-grothendieck-teichmuller-group)

* [Alain Bruguieres](http://www.math.univ-montp2.fr/~bruguieres/recherche.html), _On a [[Tannaka duality|tannakian]] result due to Nori_, [dvi](http://www.math.univ-montp2.fr/%7Ebruguieres/ntan.dvi), [ps](http://www.math.univ-montp2.fr/%7Ebruguieres/ntan.ps), [pdf](http://www.math.univ-montp2.fr/%7Ebruguieres/ntan.pdf), [djvu](http://www.math.univ-montp2.fr/%7Ebruguieres/ntan.djvu)

* Jonas von Wangenheim, _Nori-Motive und Tannaka-Theorie_, [arxiv/1111.5146](http://arxiv.org/abs/1111.5146)

* [[Isamu Iwanari]], _Tannakization in derived algebraic geometry_, [arxiv/1112.1761](http://arxiv.org/abs/1112.1761)

* [[Joseph Ayoub]], [[Luca Barbieri-Viale]], _Nori 1-motives_ ([arXiv:1206.5923](http://arxiv.org/abs/1206.5923))

* [[Utsav Choudhury]], [[Martin Gallauer de souza]], _An isomorphism of Motivic galois groups_ ([arXiv:1410.6104](http://arxiv.org/abs/1410.6104))

* [[Joseph Ayoub]], [[Luca Barbieri-Viale]], _Nori 1-motives_, [pdf](https://www.math.uzh.ch/fileadmin/user/ayoub/publikation/N_1_Mot.pdf)

Nori motives over a base S

* [[Florian Ivorra]], _Perverse Nori motives_ ([hal-00978893](https://hal.archives-ouvertes.fr/hal-00978893/document))

* [[Donu Arapura]], _An Abelian category of Motivic sheaves_ ([arXiv:0801.0261](http://arxiv.org/abs/0801.0261))

Characterization of the universality of Nori motives via Barr completion of the [[syntactic category]] of the [[theory]] (in the [[formal logic|formal logical]] sense) of [[singular cohomology]] of [[schemes]] is in

* {#BVCL15} [[Luca Barbieri-Viale]], [[Olivia Caramello]], [[Laurent Lafforgue]], _Syntactic categories for Nori motives_ ([arXiv:1506.06113](http://arxiv.org/abs/1506.06113))

For more on this [[topos theory]] perspective, see

* [[Luca Barbieri-Viale]], _T-Motives_ ([arXiv:1602.05053](http://arxiv.org/abs/1602.05053))

* [[Olivia Caramello]], _Motivic toposes_ ([arXiv:1507.06271](http://arxiv.org/abs/1507.06271))



[[!redirects Nori motives]]
[[!redirects Nori's motive]]
[[!redirects Nori's motives]]