### Idea

For a (commutative) scheme $X$, the sheaf $D(X)$ of regular differential operators is a
sheaf of noncommutative rings, more precisely a sheaf of noncommutative algebras in the monoidal category of $\mathcal{O}_X$-modules. Thus it may be considered as a case of noncommutative algebraic geometry, namely it is sort of a space $X$ with a *noncommutative* "structure ring" $D(X)$. In the usual algebraic geometry, if $X$ is affine, i.e. of the form $X = Spec A$, where $A$ is a commutative ring, the global sections $\Gamma O_X\cong A$, and this extends for quasicoherent modules (this is sometimes called the affine Serre's global sections theorem). This phenomenon that global sections determine the sheaf is hence an affine phenomenon. An analogues phenomenon in the world of $D$-modules holds for $D$-modules on some nonaffine varieties, for example the flag varieties. Such schemes are called __D-affine__. 

### Applications

[[Beilinson-Bernstein localization theorem]] and generalizations...

### Literature

D-affinity is studied in 

* A. Beilinson, I. N. Bernstein, _A proof of Jantzen conjecture_, Adv. in Soviet Math. __16__, Part 1 (1993), 1-50, MR95a:22022, [pdf](http://www.math.harvard.edu/~gaitsgde/grad_2009/BB%20-%20Jantzen.pdf)

The phenomenon has also its abstract counterpart in the language of [[differential monad]]s of Lunts and Rosenberg, see here especially part I:

* V. A. Lunts, [[Alexander Rosenberg|A. L. Rosenberg]], _Differential calculus in noncommutative algebraic geometry I. D-calculus on noncommutative rings_, MPI 1996-53 [pdf](http://www.mpim-bonn.mpg.de/preblob/3894), _II. D-Calculus in the braided case. The localization of quantized enveloping algebras_, MPI 1996-76 [pdf](http://www.mpim-bonn.mpg.de/preblob/3916)
