
# Ronnie Brown

* [website](http://www.groupoids.org.uk)

* [list of publications](http://groupoids.org.uk/publicfull.htm)


## Research Areas

My DPhil Thesis (submitted 1961) under Michael Barratt was on the algebraic topology of function spaces, more specifically to make some progress in computing the homotopy type oh the function space $X^Y$ by induction on the Postnikov system of $X$. In the following, numbers in round  brackets  refer to my publication list, with many downloadable as pdfs. 

* General Topology 

My first two papers were on the exponential law for topological spaces, and led to the notion of [[convenient category of topological spaces]].  

* Algebraic Topology 

* Group Theory 

* Seifert van Kampen Theorems 

This has been a major area of work, starting with the theorem for the fundamental groupoid on a _set_ of base points, instead of just the fundamental group, (8). This use of groupoids was publicised in a book published  in 1968 as "Elements of Modern Topology" and now in its third revised edition, published in 2006,  as [Topology and Groupoids](http://groupoids.org.uk/topgpds.html). 

The writing of this book led to the notion that all of 1-dimensional homotopy theory was better expressed in terms of groupoids rather than groups, and hence to the question of whether groupoids can be useful, or not, in higher dimensional homotopy theory.  A clue was that whereas group objects internal to groups were just abelian groups, this was not so for group objects internal to groupoids, or the equivalent groupoid objects internal to groups. So there was a possibility of realising the dreams of the algebraic topologists of the early 20th century of finding higher dimensional versions of the fundamental group, since it was recognised that the nonabelian nature of the fundamental group was of importance in problems of geometry and analysis. 

Part of this was founded on the idea that the proof of the Seifert-van Kampen Theorem for the fundamental group(oid) seemed to generalise to higher dimensions, if one had a homotopical double groupoid gadget which allowed multiple compositions and also for the notion of _commutative cube_, such that any compositions of commutative cubes was commutative. 

This programme was realised in dimension 2 in the paper with Philip Higgins, (25), based on crucial work with Chris Spencer, (20,21), and in all dimensions, again with Higgins,  in (32,33). 

This work gives an exposition of basic algebraic topology without using singular homology or simplicial approximation, and as a start gives proofs of: 

1.  the Brouwer Degree Theorem  (the $n$-sphere $ S^n $ is
$(n-1)$-connected and the homotopy classes of maps of $ S^n $ to
itself are classified by an integer called the _degree_ of the
map);

1. the Relative Hurewicz Theorem, which  is seen here as describing the
morphism $ \pi_n(X,A,x) \to \pi_n(X \cup CA,CA,x) \to^\cong
\pi_n(X \cup CA,x) $ when $(X,A)$  is $(n-1)$-connected,  and so this formulation does not require the usual involvement of  homology groups;

1.  Whitehead's theorem (1949) that $\pi _2(X \cup \{e^2_{\lambda}
\},X,x)$ is a free crossed $\pi_1(X,x)$-module - this is a theorem that is sometimes stated but rarely proved in books on algebraic topology;

1.  a generalisation of that theorem to describe the crossed module
$ \pi_2(X \cup_f CA,X,x)\to \pi_1(X,x) $ as induced by the morphism
 $f_*  \colon  \pi_1(A,a) \to \pi_1(X,x)$ from the identity crossed module $\pi_1(A,a) \to  \pi_1(A,a)$ - thus Whitehead's theorem is the special case when $A$ is a wedge of circles; and

1.  a coproduct description  of the crossed module $ \pi_2(K \cup
 L,M,x) \to \pi_1(M,x) $ when $M= K \cap L$ is connected and $(K,M),
 (L,M)$ are 1-connected and cofibred.

One of the aims of the theory is to find calculable invariants, and this explains the reliance on strict higher groupoids, and on colimit theorems, rather than homotopy colimit theorems. 

One intuition behind the results is that in homotopy theory, identifications in a space in low dimensions usually have an impact on high dimensional homotopy invariants. Thus to model algebraically the gluing of spaces, one requires homotopical invariants which have structure in a range of dimensions.  Thus groupoids have structure in dimensions $0$ and $1$. 

Another intuition that came out of the realisation of these dreams is that one needs to deal with structured spaces. So the first result with Higgins was for pairs of spaces; the next with Higgins was for filtered spaces; and then work with Loday was for $n$-cubes of spaces. 

One possible reason for this success is that a space needs to be specified in some kind of way for one to obtain information on various invariants of the space. The data which specifies the space  will some kind of structure, and so it is not unreasonable that our invariants should be defined in ways which reflect this structure. Thus a CW-complex defines a space filtered by the skeleta of the complex; other spaces, such as the free monoid on a space with base point,  also have a natural filtration. There is a classical homotopy theory of $n$-ads, and this generalises naturally to $n$-cubes of spaces. 

The history of homology theory in the 19th century was plagued by the difficulty of explaining the terms "cycle" and "boundary", and why every boundary was a cycle. Poincaré developed the key notion of the free abelian group on oriented simplices, and this led to our modern homology theory. But in some ways this is a trick, though a very good trick, since it does not, as in the theory of the fundamental group, also developed by Poincaré, involve actual "compositions" of simplices. and indeed that concept is even today hard to define in general. 

Thus it is notable that the theory of Higher order Seifert-van Kampen Theorems relies heavily on cubical methods, since the notion of strict $n$-fold category allows a convenient and direct notion of multiple composition, giving a kind of "algebraic inverse to subdivision". In this way we obtain  in homotopy theory higher dimensional nonabelian local-to-global theorems, whose expression using colimits allows some highly specific calculations. 



For more information, see the entry on [[nonabelian algebraic topology]]. 




* Category Theory 



## Related entries

* [[crossed complex]]

* [[omega-groupoid]]

* [[nonabelian algebraic topology]]


category: people

[[!redirects Ronnie Brown]]
[[!redirects RonnieBrown]]
[[!redirects R. Brown]]
[[!redirects Ronald Brown]]
[[!redirects Ronald null Brown]]