
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Quantum field theory
+--{: .hide}
[[!include functorial quantum field theory - contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--

In May 2011 [[Graeme Segal]] gave a series of lectures on the topic of [[quantum field theory]] at the Hausdorff Center for Mathematics in Bonn.

* [[Graeme Segal]], _Three Roles of Quantum Field Theory_ , Felix Klein Lectures 2011, Bonn ([website](http://www.mpim-bonn.mpg.de/node/3372/))

  **Abstract** [[quantum field theory|Quantum field theory]] has many roles, and the lectures will be about three of them. The primary role is to provide a description of all of fundamental [[physics]] when [[gravity]] is firmly excluded. A second, at first surprising, role has emerged from [[string theory]], which is a theory of gravitation: it turns out that a two-dimensional field theory can be regarded as a generalized manifold, and in particular can be a model for [[space-time]]. Thirdly, quite apart from physics, the concept of a field theory has taken on a new life as an organizing principle in other areas of mathematics - not only in [[geometry]] and [[representation theory]], but even in connection with [[quantum computing]].

The three roles can be seen together as aspects of [[noncommutative geometry]], and that will be a central theme of the lectures. The talks will aim to show how powerful the field theory idea is by jumping between a variety of contexts, beginning from the origins of the structure in particle physics, with a little about so-called "[[Wick rotation]]", and then moving towards more pure-mathematical applications to analysis, algebra, and the structure of [[manifold]]s.

* part I ([mp4](http://www.mpim-bonn.mpg.de/sites/default/files/videos/download/segal_qft_2011_part1.mp4))

  Basics of [[classical mechanics]] from an [[AQFT]]-point of view: [[symplectic manifold]], [[Hamiltonian]], [[deformation quantization]], [[C-star algebra]], [[state]], [[Lagrangian]], [[action functional]], [[covariant phase space]], [[correlator]], locality of the would-be [[path integral]] [[measure]]

* part II ([mp4](http://www.mpim-bonn.mpg.de/sites/default/files/videos/download/segal_qft_2011_part2.mp4))

* part III ([mp4](http://www.mpim-bonn.mpg.de/sites/default/files/videos/download/segal_qft_2011_part3.mp4))

* part IV ([mp4](http://www.mpim-bonn.mpg.de/sites/default/files/videos/download/segal_qft_2011_part4.mp4))

* part V ([mp4](http://www.mpim-bonn.mpg.de/sites/default/files/videos/download/segal_qft_2011_part5.mp4))

* part VI ([mp4](http://www.mpim-bonn.mpg.de/sites/default/files/videos/download/segal_qft_2011_part6.mp4))

category: reference