
#Contents#
* table of contents
{:toc}

## Idea

The _Pfaffian_ of a [[skew-symmetric matrix]] is a [[square root]] of its [[determinant]].

## Definition

Let $A = (A_{i,j})$ be a skew-symmetric $(2n \times 2n)$-[[matrix]]  with entries in some [[field]] (or [[ring]]) $k$.


+-- {: .num_defn}
###### Definition

The _Pfaffian_ $Pf(A) \in k$ is the element

$$
  \frac{1}{2^n n!}  \sum_{\sigma \in S_{2n}} sgn(\sigma) \prod_{i = 1}^n 
  A_{\sigma(2i -1), \sigma(2i)}
  \,,
$$

where 

* $\sigma$ runs over all [[permutation]]s of $2n$ elements;

* $sgn(\sigma)$ is the [[signature of a permutation]].

=--

## Properties

### In terms of Berezinian integrals

+-- {: .num_prop}
###### Proposition


Let $\Lambda_{2n}$ be the [[Grassmann algebra]] on $2n$ generators $\{\theta_i\}$, which we think of as a [[vector]] $\vec \theta$

Then the Pfaffian $Pf(A)$ is the [[Berezinian integral]]

$$
  Pf(A)
  =
  \int   
    \exp( \langle \vec \theta, A \cdot \vec \theta \rangle )
  d \theta_1 d \theta_2 \cdots d \theta_{2n}
  \,.
$$

=--

+-- {: .num_remark}
###### Remark

Compare this to the Berezinian integral representation of the [[determinant]], which is 

$$
  det(A)
  \propto
  \int   
    \exp( \langle \vec \theta, A \cdot \vec \psi \rangle )
  d \theta_1 d \theta_2 \cdots d \theta_{2n}
  d \psi_1 d \psi_2 \cdots d \psi_{2n}
  \,.
$$

=--

## Pfaffian state

Pfaffians appear in the expression of certain multiparticle wave functions. Most notable is the pfaffian state of $N$ spinless electrons

$$
\Psi_{Pf}(z_1,\ldots,z_N) = pfaff\left(\frac{1}{z_k-z_l}\right)\prod_{i\lt j}(z_i-z_j)^q
exp(-\frac{1}{4}\sum |z|^2)
$$
where $pfaff(M_{k l})$ denotes the Pfaffian of the matrix whose labels are $k,l$ and $q= 1/\nu$ is the filling fraction, which is an even integer. For Pfaffian state see

* [[Gregory Moore]], N. Read, _Nonabelions in the fractional quantum hall effect_, Nucl. Phys. 360B(1991)362 [pdf](http://www.physics.rutgers.edu/~gmoore/MooreReadNonabelions.pdf)

## Literature and related entries

* [[determinant]], [[Pfaffian line bundle]], [[hafnian]]

* J.-G. Luque, J.-Y. Thibon, _Pfaffian and hafnian identities in shuffle algebras_, [math.CO/0204026](http://arxiv.org/abs/math.CO/0204026)
* Claudiu Raicu, Jerzy Weyman, _Local cohomology with support in ideals of symmetric minors and Pfaffians_, [arxiv/1509.03954](http://arxiv.org/abs/1509.03954)
* Haber, _Notes on antisymmetric matrices and the pfaffian_, [pdf](http://scipp.ucsc.edu/~haber/webpage/pfaffian.pdf)

There is also a deformed noncommutative version of Pfaffian related to [[quantum linear group]]s:

* Naihuan Jing, Jian Zhang, _Quantum Pfaffians and hyper-Pfaffians_, Adv. Math. 265 (2014), 336--361, [arxiv/1309.5530](http://arxiv.org/abs/1309.5530)

Pfaffian variety is subject of 4.4 in

* Alexander Kuznetsov, _Semiorthogonal decompositions in algebraic geometry_, [arxiv/1404.3143](http://arxiv.org/abs/1404.3143)

Relation to $\tau$-functions is discussed in 

* J. W. van de Leur, A. Yu. Orlov, _Pfaffian and determinantal tau functions I_, [arxiv/1404.6076](http://arxiv.org/abs/1404.6076)

Other articles:

* András C. Lőrincz, Claudiu Raicu, Uli Walther, Jerzy Weyman, _Bernstein-Sato polynomials for maximal minors and sub-maximal Pfaffians_, [arxiv/1601.06688](http://arxiv.org/abs/1601.06688)

category: algebraic geometry, representation theory
[[!redirects Pfaffians]]
[[!redirects pfaffian]]
