
__Quotient category__ is an alternative name (used especially in 1960s and 1970s) for the result of a strict [[localization functor|localization]], that is, given a category $C$ and a class of morphisms $\Sigma\subset C$ the category $\Sigma^{-1} C$ equipped with a functor $Q_\Sigma: C\to \Sigma^{-1} C$ sending all morphisms in $\Sigma$ to [[isomorphism|isos]] and which has a strict universal property, that is, for every other functor $F: C\to A$ inverting all morphisms in $\Sigma$, there is a factorization $F = \tilde{F}\circ Q$. 

Note that some of the literature in topos theory and more generally in category theory uses the term 'localization' to mean  those (possibly non-[[strict localization functor|strict]]) localization functors, for which the localization functor is left exact and admits a right adjoint. The terminology then is to use 'quotient functor' for when the "admits right adjoint" and "left exact" conditions are removed.

Following extensions of earlier work of Serre by Grothendieck and Gabriel, the term [[Serre quotient category]] or simply a quotient category is used especially  when the input is a [[thick subcategory]] $T$ of an abelian category $A$, instead of the class $\Sigma$. A nonempty full subcategory of an abelian category is thick in the strong sense if it is closed under subquotients and extensions. The construction of a 'quotient category' proceeds by defining $A/T$ to have the same objects as $T$ and 

$$
(A/T)(X,Y) := colim A(X',Y/Y')
$$

where the colimit runs through all subobjects $X'\subset X$, $Y'\subset Y$ such that $X/X' \in Ob T$, $Y'\in Ob T$. The quotient functor $Q: A\to A/T$ is obvious. 

A basic example is the quotient of the category of abelian groups modulo the torsion groups. This category is equivalent to the category of $\mathbb{Q}$-vector spaces, by the functor which maps an abelian group $M$ to the scalar extension $M \otimes_{\mathbb{Z}} \mathbb{Q}$. (See the [Stacks Project, Tag 0B0J](http://stacks.math.columbia.edu/tag/0B0J) for a proof.)

A thick subcategory (here always in the strong sense) is said to be [[localizing subcategory|localizing]] if and $Q$ admits a right adjoint $A/T\to A$, often called the __section functor__. Every coreflective thick subcategory admits a section functor, and the converse holds if $A$ has injective envelopes. A thick subcategory $T\subset A$ is a coreflective iff $(T,F)$ is a [[torsion theory]], where

$$
F := \{X\in Ob A\,|\,A(T,X) = 0\}
$$

+-- {: .query}
Yaron:  The above definition of a quotient category appears to be different from that of CWM (p. 51 of the second edition), where a quotient category is obtained by identifying arrows.  Perhaps there is a need for disambiguation?

_Toby_:  See [discussion on the Forum](https://nforum.ncatlab.org/discussion/2728/torsion-theory-quotient-category/?Focus=24216#Comment_24216).
=--


[[!redirects quotient functor]]
[[!redirects quotient functors]]
