
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Measure and probability theory
+-- {: .hide}
[[!include measure theory - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

A _probability distribution_ is a [[measure]] used in [[probability theory]] whose [[integral]] over some subspace of a [[measurable space]] is regarded as assigning a _probability_ for some event to take values in this subset.

Often a _[[probability density]]_.

## Definition

A __probability distribution__ is a [[measure]] $\rho$ on a [[measurable space]] $X$ such that

* it is positive: $\forall U \subset X : \int_U d\rho \geq 0$;

* it is normalized: $\int_X d\rho = 1$.


## Properties

The collection of all probability distributions on a measurable space carries various [[metric]] structures that are studied in [[information geometry]]:

* [[information metric]]

* [[Wasserstein metric]]

## Examples

* [[Gaussian probability distribution]]


## Related concepts

* [[probability space]]

* [[expectation value]]

* [[moment]]

* [[entropy]]

* [[positive-operator valued probability measure]]

* [[density of a subset]]

[[!redirects probability distribution]]
[[!redirects probability distributions]]
[[!redirects probability measure]]
[[!redirects probability measures]]
