<div class="rightHandSide toc">
[[!include manifolds and cobordisms - contents]]
***
[[!include functorial quantum field theory - contents]]
</div>



#Contents#
* automatic table of contents goes here
{:toc}

#Idea#

In so far as a [[cobordism]] connects its boundary components with each other, the idea of an _extended cobordism_ is that its (pieces of) boundary components are themselves extended cobordisms between <em>their</em> (pieces of) boundary components.

The idea arose in the context of [[FQFT|extended quantum field theories]] -- which were originally thought of as representations of ordinary cobordism categories -- when it was realized that a decent description of these QFTs requires assigning data to pieces of arbitrary codimension to a manifold. In the context of QFT this is often thought of as an incarnation of the notion of _locality_ in physics, which says that every data assigned to a chunk of space must already be fixed by what is assigned to all pieces of any of its decomopositions.

Indeed, the idea of extended cobordisms led to the [[generalized tangle hypothesis]] which takes this localization concept to its extreme by asserting, roughly,  that the representation of fully extended cobordisms is already entirely determined by what is assigned to the _point_.

#Formalizations#

For a long time only partial progress was made with formalizing the idea of extended cobordisms, which are expected to form an [[infinity-category]] or [[omega-category]] of sorts. One approach using the notion of [[Trimble n-category]] as

* Eugenia Cheng and Nick Gurski, _Towards an $n$-category of cobordisms_ ([tac](http://www.tac.mta.ca/tac/volumes/18/10/18-10abs.html)) 

Another formalization is by Marco Grandis, using [[multi-cospans]], see

* [[Cospans in Algebraic Topology]]

This is in principle very general, indicating that a general extended cobordisms should be a  [[multispan|multi-cospan]] in [[Top]]. But details are worked out only in dimension up to 2.

In this dimension the resulting structure is closely related to the bicategory of cobordisms described in

* [[Jeffrey Morton]], _A Double Bicategory of Cobordisms With Corners_ ([arXiv](http://arxiv.org/abs/math.CT/0611930v1))

More recently 

* [[Jacob Lurie]] has presented a complete formalization in terms of an [[(infinity,n)-category of cobordisms]].

This generalizes an idea which for $n=2$ was for instance also applied by Chris Schommer-Prier, see

* [Schommer Pries on Classification of 2-Dimensional Extended TFTs](http://golem.ph.utexas.edu/category/2008/06/schommerpries.html)

[[!redirects extended cobordisms]]