
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Riemannian geometry
+--{: .hide}
[[!include Riemannian geometry - contents]]
=--
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Definition

The _Nambu-Goto action_ is an [[action functional]] for [[sigma-models]] with [[target space]] a ([[pseudo-Riemannian manifold|pseudo]]) [[Riemannian manifold]] $(X,g)$: it is the induced volume functional

$$
  S_{NG} : (\Sigma \stackrel{\gamma}{\to} X) \mapsto \int_\Sigma dvol(\gamma^* g)
  \,,
$$

where $dvol(\gamma^* g)$ is the [[volume form]] of the pullback $\gamma^* g$ of the metric tensor from $X$ to $\Sigma$.

## Definition

Let 

* $p \in \mathbb{N}$ (for [[p-brane]] dynamics);

* $(X,g)$ a [[pseudo-Riemannian manifold]] ([[target spacetime]]);

* $\Sigma$ a [[compact topological space|compact]] [[smooth manifold]] of dimension $(p+1)$ ([[worldvolume]]).

* $[\Sigma,X]$ the [[diffeological space]] of [[smooth functions]] $\Sigma \to X$.

For $\phi \colon \Sigma \longrightarrow X$ the induced "proper volume" or _Nambu-Goto action_of $\phi$ is the [[integral]] over $\phi$ of the [[volume form]] of the pullback of the target space metric $g$ to $\Sigma$.

$$
  S_{NG}(\phi) \coloneqq \int_{\Sigma} dvol(\phi^\ast(g))
  \,.
$$

Notice that the rank-2 [[tensor]] $\phi^\ast g\in \Gamma(T* \Sigma \oplus T* \Sigma)$ is in general not degenerate (unless $\phi$ is an [[embedding]]), hence is in general not, strictly speaking a [[pseudo-Riemannian metric]] on $\Sigma$, but nevertheless it induces a [[volume form]] by the standard formula, only that this allowed to vanish pointwise (and even globally, for instance if $\phi$ is constant on a single point). In the literature $dvol(\phi^\ast g)$ is usually written as $\sqrt{-g}d^{p+1}\sigma$.


## Properties

### Relation to the Polyakov action

The NG is classically equivalent to the [[Polyakov action]] with "[[worldvolume]] [[cosmological constant]]". See at _[Polyakov action -- Relation to Nambu-Goto action](Polyakov+action#RelationToNambuGotoAction)_.

## Applications

The NG-action serves as the kinetic [[action functional]] of the [[sigma-model]] that described a fundamental [[brane]] propagating on $X$. For 
$dim \Sigma = 1$ this is the [[relativistic particle]], for $dim \Sigma = 2$ the [[string]], for $dim \Sigma = 3$ the [[membrane]].

## Related concepts

* [[Polyakov action]]

* [[particle]], [[string]], [[membrane]]

* [[membrane instanton]]

## References

The Nambu-Goto action functional is named after [[Yoichiro Nambu]].

Detailed discussion of the relation to the [[Polyakov action]] and the [[Dirac-Born-Infeld action]] is in

* {#Nieto01} J. A. Nieto, _Remarks on Weyl invariant p-branes and Dp-branes_ ([arXiv:hep-th/0110227](http://arxiv.org/abs/hep-th/0110227))

One [[string theory]] textbook that deals with the Nambu-Goto action in a bit more detail than usual is

* [[Barton Zwiebach]], _A first course in string theory_ , Cambridge (2009)

[[!redirects Nambu-Goto action functional]]
[[!redirects Nambu-Goto action functionals]]