## Idea

Given a monoid $L$ in a monoidal category, there is an induced monad $T^L$ obtained by tensoring with $L$ from the right. Consider the [[Kleisli category]] of the monad $T^L$. It is not necessarily a monoidal category; there is a need for an additional structure ([[distributive law]] of a sort) in order to make such a lift. If the monoidal category $C$ in question is the monoidal category of left modules over a Hopf algebra $H$, then any commutative algebra $L$ in the center $Z(C)$ provides a canonical lift to the Kleisli category

#### Physical motivation

Dynamical extension or a dynamization of a monoidal category is an abstract framework to aid the construction of so called dynamical quantum groups which are in turn related to [[dynamical quantum Yang-Baxter equation]].

## Definition

...

## Properties and remarks

In Donin-Mudrov (2006) a relation to [[bialgebroid]]s has been exhibited. 

## Literature
* J. Donin, A. Mudrov, _Dynamical Yang-Baxter equation and quantum vector bundles_, Comm. Math. Phys. __254__ (2005), no. 3, 719--760,  [math.QA/0306028](http://arxiv.org/abs/math/0306028), [MR2006i:81099](http://www.ams.org/mathscinet-getitem?mr=2126489), [doi](http://dx.doi.org/10.1007/s00220-004-1247-8)
* J. Donin, A. Mudrov, _Quantum groupoids and dynamical categories_,  
J. Algebra __296__ (2006), no. 2, 348–384, [math.QA/0311316](http://arxiv.org/abs/math/0311316), [MR2007b:17022](http://www.ams.org/mathscinet-getitem?mr=2201046), [doi](http://dx.doi.org/10.1016/j.jalgebra.2006.01.001); MPIM-2004-21, [dvi](http://www.mpim-bonn.mpg.de/preblob/1921) with hyperlinks, [ps](http://www.mpim-bonn.mpg.de/preblob/1922)