<div style="float:right;margin:0 20px 10px 20px;"><img width = "250" src="http://upload.wikimedia.org/wikipedia/commons/thumb/a/ad/Lurie_2014_hi-res-download_1.jpg/440px-Lurie_2014_hi-res-download_1.jpg" alt="Jacob Lurie" /></div>

Jacob Lurie is a mathematician at Harvard University.

* [website](http://www.math.harvard.edu/~lurie/)

* [Wikipedia entry](http://en.wikipedia.org/wiki/Jacob_Lurie)

After an early interest in [[formal logic]] (specifically notions of [[computability|computable]] [[surreal numbers]], see [Notices of the AMS vol 43, Number 7](http://www.ams.org/notices/199607/comm-conway.pdf)) Lurie indicated in [his PhD thesis](http://dspace.mit.edu/handle/1721.1/30144) how the [[moduli stack of elliptic curves]] together with the collection of [[elliptic cohomology]] [[spectra]] associated to each [[elliptic curve]] is naturally understood as a geometric object in a [[homotopy theory|homotopy theoretic]] refinement of [[algebraic geometry]] that has come to be known as [[derived algebraic geometry]]. He then embarked on a monumental work laying out detailed foundations of the subjects necessary for this statement, which is [[homotopy theory]] in its modern incarnation as [[higher category theory]], [[higher geometry]] in terms of [[higher topos theory]] and finally [[higher algebra]] in terms of [[(infinity,1)-operad|higher operads]], all in principle  very much along the lines originally developed by [[Alexander Grothendieck]] and his school for ordinary [[algebraic geometry]], but now considerably further refined to the general context of [[homotopy theory]]. While some developments in these topics had been available before, Lurie's comprehensive work has arguably led these subjects to an era of reinvigorated activity with a variety of further spin-offs. Among these most notable is maybe the formalization and proof of the [[cobordism hypothesis]], which lays [[monoidal (infinity,n)-category|higher monoidal category theoretic]] foundations for ([[extended topological quantum field theory|local, topological]]) [[quantum field theory]]. In 2014 Lurie was awarded a [MacArthur Genius Grant](http://www.macfound.org/fellows/921/) and the Breakthrough Prize in Mathematics.



#Contents#
* table of contents
{:toc}


## References (partly) indexed on the $n$Lab ##



### Higher category theory

*  _[[(∞,2)-Categories and the Goodwillie Calculus]]_ ([pdf](http://www.math.harvard.edu/~lurie/papers/GoodwillieI.pdf), [arXiv](http://arxiv.org/abs/0905.0462))

   on [[(∞,1)-category|(∞,1)-categories]] of [[(∞,n)-category|(∞,n)-categories]], specifically on [[internal (∞,1)-categories]], and on [[Goodwillie calculus]]


  on [[higher category theory]], [[internal (∞,1)-categories]]

* [[On the Classification of Topological Field Theories]] ([arXiv](http://arxiv.org/abs/0905.0465))

  on [[FQFT|functorial]] [[extended topological quantum field theory|extended]] [[TQFT|topological]] [[quantum field theory]] classified via the [[cobordism theorem]] by [[symmetric monoidal (∞,n)-categories]]


### Higher topos theory

* _[[Higher Topos Theory]]_ ([arXiv](http://arxiv.org/abs/math.CT/0608040), [published version](http://www.math.harvard.edu/~lurie/papers/highertopoi.pdf))

  on [[(∞,1)-category theory]] and [[higher topos theory]]



### Higher algebra

* _[[Higher Algebra]]_

  on [[higher algebra]]

subsuming

* [[Stable ∞-Categories]] ([arXiv](http://arxiv.org/abs/math/0608228))

  on [[stable (∞,1)-categories]] [[stable homotopy theory]] and [[homological algebra]]

* [[higher algebra|Noncommutative Algebra]] ([arXiv](http://arxiv.org/abs/math/0702299))

  and

  [[higher algebra|Commutative Algebra]] ([arXiv](http://arxiv.org/abs/math/0703204), [pdf](http://www.math.harvard.edu/~lurie/papers/DAG-III.pdf))


* _$\mathbb{E}[k]$-[[Ek-Algebras|Algebras]]_ ([pdf](http://www.math.harvard.edu/~lurie/papers/DAG-VI.pdf))

  on [[little cubes operad]]


* [[Deformation Theory]] ([arXiv](http://arxiv.org/abs/0709.3091))

  on the notions of [[Kähler differential]] and [[cotangent complex]] 
  and their generalization from the ordinary context of [[algebra]] to that of [[higher algebra]].


* _[[Moduli Problems and DG-Lie Algebras]]_  

  on [[∞-Lie algebra]]s as formal neighbourhoods of point in [[∞-stack]]s.





### Higher geometry

The foundations of [[higher geometry]]:

* [[Structured Spaces]] ([arXiv](http://arxiv.org/abs/0905.0459))

  * on [[structured (∞,1)-topos]]es and [[generalized schemes]]


Survey on the general program

* PhD thesis, [[Derived Algebraic Geometry]]

  on [[derived algebraic geometry]]


A volume on [[E-∞ geometry]] ([[spectral algebraic geometry]])

* [[Jacob Lurie]], _[[Spectral Algebraic Geometry]]_

The basic definitions are in

* [[Jacob Lurie]], _[[Spectral Schemes]]_
 {#Lurie}

Fundamental properties of $E_\infty$-geometry are discussed in

* [[Jacob Lurie]], _[[Quasi-Coherent Sheaves and Tannaka Duality Theorems]]_

* [[Jacob Lurie]], _[[Closed Immersions]]_

* [[Jacob Lurie]], _[[Descent Theorems]]_

* [[Jacob Lurie]], _[[Proper Morphisms, Completions,
and the Grothendieck Existence Theorem]]_

* [[Jacob Lurie]], _[[Representability Theorems]]_

* [[Jacob Lurie]], _[[Rational and p-adic Homotopy Theory]]_

Application to [[moduli stack of elliptic curves]]:

* [[A Survey of Elliptic Cohomology]] ([pdf](http://www.math.harvard.edu/~lurie/papers/survey.pdf))

  on the [[generalized (Eilenberg-Steenrod) cohomology]] theory [[tmf]], the gluing of all [[elliptic cohomology]] theories

### Publications before thesis

* M H Freedman, A Kitaev, J Lurie, _Diameters of homogeneous spaces_, Math. res. lett. 10:1, 11-20 (2003) 

* J. Lurie, _Anti-admissible sets_, J Symb Logic 64:2, 408-435 (1999) 

* J. Lurie, _On a conjecture of Conway_, Illinois J. Math.  46:2, 497-506 (2002)

* J. Lurie, _On simply laced Lie algebras and their minuscule representations_, Comment. Math. Helv. 76:3, 515-575 (2001)
[doi](http://dx.doi.org/10.1007/PL00013217)

##Other material

* [Informal notes](http://www.math.harvard.edu/~lurie/FF.html) on the [[Fargues-Fontaine curve]] with [[Dennis Gaitsgory]].

category: people

[[!redirects J. Lurie]]