
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Differential geometry
+-- {: .hide}
[[!include synthetic differential geometry - contents]]
=--
#### Manifolds and cobordisms
+-- {: .hide}
[[!include manifolds and cobordisms - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

The basic definition of a [[manifold]] (especially a [[smooth manifold]]) is as a space locally modeled on a finite-dimensional [[Cartesian space]]. This can be generalized to a notion of smooth manifolds locally modeled on infinite-dimensional [[topological vector spaces]]. Typical examples of these are [[mapping spaces]] between finite-dimensional manifolds, such as [[loop space]]s.


## Definitions

See specific versions:

* [[Hilbert manifold]]

* [[Banach manifold]]

* [[ILH manifold]]

* [[Fréchet manifold]]

* [[convenient manifold]]


## Classes of examples

* [[manifold structure of mapping spaces]]

* [[infinite-dimensional Lie group]]


## Properties: Embedding into convenient toposes

Various types of smooth manifolds embed into the
[[quasi-toposes]] of [[diffeological spaces]]
and hence the [[topos]] of [[smooth spaces]].
See there for more.


## Related concepts

* [[nonlinear functional]]

* [[orthogonal structure]]

* [[integration over infinite-dimensional manifolds]]

* [[pro-manifold]]


## References

### General

* [[Andreas Kriegl]], [[Peter Michor]]: _[[The convenient setting of global analysis]]_, AMS (1997) 
 {#KM}


### Integration

On [[integration over infinite-dimensional manifolds]] (for instance [[path integrals]]):

* [[Irving Segal]], _Algebraic integration theory_, Bull. Amer. Math. Soc. Volume 71, Number 3, Part 1 (1965), 419-489  ([Euclid](http://projecteuclid.org/euclid.bams/1183526903))

* Hui-Hsiung Kuo, _Integration theory on infinite-dimensional manifolds_, Transactions of the American Mathematical Society Vol. 159, (Sep., 1971), pp. 57-78 ([JSTOR]( http://www.jstor.org/stable/1995998))

* David Shale, _Invariant integration over the infinite dimensional orthogonal group and related spaces_,  Transactions of the American Mathematical Society
Vol. 124, No. 1 (Jul., 1966), pp. 148-157 ([JSTOR]( http://www.jstor.org/stable/1994441))


[[!redirects infinite dimensional manifold]]
[[!redirects infinite dimensional manifolds]]
[[!redirects infinite-dimensional manifold]]
[[!redirects infinite-dimensional manifolds]]

[[!redirects infinite dimensional smooth manifold]]
[[!redirects infinite dimensional smooth manifolds]]
[[!redirects infinite-dimensional smooth manifold]]
[[!redirects infinite-dimensional smooth manifolds]]
