
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Differential geometry
+--{: .hide}
[[!include synthetic differential geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Definition

For $(X, \pi)$ a [[Poisson manifold]], a [[submanifold]] $S \hookrightarrow X$ is called **coisotropic** if the restriction of the contraction map with the [[Poisson tensor]]

$$
  \pi \;\colon \; T^* X \to T X
$$

to the [[conormal bundle]] $N^* S \hookrightarrow T^* X|_S$ factors through the [[tangent bundle]] $T S$

$$
  \pi|_{N^* S} \;\colon\; {N^* S} \to T S \hookrightarrow T X
  \,.
$$

Equivalently, $S\hookrightarrow X$ is coisotropic if the subalgebra of $C^\infty(X)$ of functions vanishing on $S$ is closed under the Poisson bracket.

## Properties

### Relation to Poisson Lie algebroids
 {#RelationToPoissonLieAlgebroids}

A [[Poisson manifold]] induces a [[Poisson Lie algebroid]], which is a [[symplectic Lie n-algebroid]] for $n = 1$. Its coisotropic submanifolds correspond to the [[Lagrangian dg-submanifolds]] (see there) of this Poisson Lie algebroid.

## Related concepts

* [[isotropic submanifold]]

* [[Dirac structure]]

* [[coisotropic calculus]]

[[!include infinity-CS theory for binary non-degenerate invariant polynomial - table]]


## References

Surveys include

* A&#239;ssa Wade, _On the geometry of coisotropic submanifolds of Poisson
manifolds_ ([pdf](http://www.math.psu.edu/wade/CAARMS13-proceedings-Jan08.pdf))

The relation to the [[Poisson sigma-model]] is discussed in

* [[Alberto Cattaneo]], [[Giovanni Felder]], _Coisotropic submanifolds in Poisson geometry and branes in the Poisson sigma model_,  	Lett. Math. Phys. 69 (2004) 157-175 ([arXiv:math/0309180](http://arxiv.org/abs/math/0309180))
 {#CattaneoFelder03}

Characterization in terms of leaves of [[Lagrangian submanifold|Lagrangian]] [[foliation of a Lie algebroid|foliation of]] the [[Poisson Lie algebroid]] is mentioned in 

* [[Pavol Ševera]], _Some title containing the words "homotopy" and "symplectic", e.g. this one_ ([arXiv:0105080](http://arxiv.org/abs/math/0105080))
 {#Severa}

and discussed in more detail in section 7.2 of 

* [[Eli Hawkins]], _A groupoid approach to quantization_,  J. Symplectic Geom. Volume 6, Number 1 (2008), 61-125. ([arXiv:math.SG/0612363](http://arxiv.org/abs/math.SG/0612363))
  {#EH}

Comments on [[higher algebra]] aspects are in the slides

* [[Florian Schätz]], _Homotopical algebra of coisotropic submanifolds_ ([pdf](http://www.math.ist.utl.pt/~fschaetz/poster-Lausanne.pdf))


[[!redirects coisotropic submanifolds]]
