Given a symmetric closed monoidal category $V$, a $V$-enriched category $A$ with underlying ordinary category $A_0$ and a subcategory $\Sigma$ of $A_0$
containing the identities of $A_0$, H. Wolff defines the corresponding theory of localizations.

* H. Wolff, _$V$-localizations and $V$-triples_, Dissertation, University of Illinois-Urbana, 1970.
* H. Wolff, _$V$-localizations and $V$-monads_, J. Alg. __24__, 405-438, 1973, [MR310041](http://www.ams.org/mathscinet-getitem?mr=310041), <a href="http://dx.doi.org/10.1016/0021-8693(73)90116-6">doi</a>; _V-localizations and $V$-monads. II_, Pacific J. Math. 63 (1976), no. 2, 579–589, [MR412253](http://www.ams.org/mathscinet-getitem?mr=412253), [euclid](http://projecteuclid.org/getRecord?id=euclid.pjm/1102867417);  _$V$-localizations and $V$-Kleisli algebras_, Manuscripta Math. __16__ (1975), no. 3, 203–228, [MR382383](http://www.ams.org/mathscinet-getitem?mr=382383), [doi](http://dx.doi.org/10.1007/BF01164425) 

While Wolff in principle defines localizations more generally, most of the theory is developed for reflective localizations, i.e. when the counit of the 2-adjunction is iso of $V$-categories. For such a $V$-enriched category $C$, 

* [[F. Borceux]], C. Quinteiro, _A theory of enriched sheaves_, [[Cahiers]] de Topologie et Géométrie Différentielle Catégoriques, __37__ no. 2 (1996), p. 145-162, [MR1394507](http://www.ams.org/mathscinet-getitem?mr=1394507), [numdam](http://www.numdam.org/item?id=CTGDC_1996__37_2_145_0)
 
consider reflective $V$-localizations which preserve finite limits of the enriched category of presheaves $[C^{op},V]$, and relate them to an enriched version of Grothendieck topology on $C$, and to a "universal closure operation" on $[C^{op},V]$.