
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
#### Monoidal categories
+--{: .hide}
[[!include monoidal categories - contents]]
=--
#### Duality
+--{: .hide}
[[!include duality - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The [[stable homotopy category]] $Ho(Spec)$ is a [[symmetric monoidal category]] via the [[symmetric smash product of spectra]]. Monoidal [[dual object|duality]] in $Ho(Spec)$ is called _Spanier-Whitehead duality_ or _[[S-duality]]_ .

## Examples

* For $X$ a [[compact space|compact]] [[smooth manifold]]. The dual of its [[suspension spectrum]] $\Sigma^\infty_+ X$ is given by the [[Thom spectrum]] $Th(N X)$ of its stable [[normal bundle]]. This is also called **Atiyah duality** (due to [Atiyah](#Atiyah)).

 The explicit interpretation in terms of monoidal duality is ([DoldPuppe, theorem 3.1](#DoldPuppe)).

  Using this one shows that the [[trace]] on the [[identity]] on $\Sigma^\infty_+ X$ -- its categorical [[dimension]] -- is the [[Euler characteristic]] of $X$.

## Related entries

* [[S-theory]]

* [[Anderson duality]]

* [[Brown-Comenetz duality]]

* [[Spanier-Whitehead category]]

## References

The original references are

* [[Edwin Spanier]], ; [[Henry Whitehead]],  (1953), _A first approximation to homotopy theory_, Proc. Nat. Acad. Sci. U.S.A. 39: 655–660, MR0056290

* [[Edwin Spanier]], ; [[Henry Whitehead]],  (1955), _Duality in homotopy theory_ , Mathematika 2: 56–80, MR0074823

The interpretation of the duality as ordinary monoidal duality in the stable homotopy category is apparently due to

* {#DoldPuppe} [[Albrecht Dold]], [[Dieter Puppe]], _Duality, trace and transfer_ , Proceedings of the Steklov Institute of Mathematics, (1984), issue 4 

Atiyah duality is due to

* {#Atiyah} [[Michael Atiyah]], _Thom complexes_ , Proc. London Math. Soc. (3) , no. 11 (1961), 291–310.
 
Lecture notes include

* {#Adams74} [[Frank Adams]], part III, section 5 of _[[Stable homotopy and generalised homology]]_, 1974


Further discussion of Atiyah duals is in 

* [[Ralph Cohen]], _Multiplicative properties of Atiyah duality_ ([arXiv:0403486](http://arxiv.org/abs/math/0403486))

For [[equivariant stable homotopy theory]] Spanier-Whitehead duality is discussed on pages 23 onwards of

* [[John Greenlees]], [[Peter May]], _Equivariant stable homotopy theory_ ([pdf](http://www.math.uchicago.edu/~may/PAPERS/Newthird.pdf))

The Spanier-Whitehead duality has been studied in the new category of [[cospectra]] with ideas close to the later ones of [[shape theory]] in 

* Elon L. Lima, _The Spanier-Whitehead duality in new homotopy categories_, Summa Brasil. Math. 4 1959 91–148 (1959) [MR0116332](http://www.ams.org/mathscinet-getitem?mr=116332)

See also 

* Roy Joshua, _Spanier-Whitehead duality in etale homotopy_ Transactions of the American Mathematical Society
Vol. 296, No. 1 (Jul., 1986), pp. 151-166
(article consists of 16 pages)  ([jstor](http://www.jstor.org/pss/2000566))


[[!redirects Spanier-Whitehead dual]]
[[!redirects Atiyah duality]]
[[!redirects S-dual]]
[[!redirects S-duality]]

[[!redirects Alexander-Whitehead-Atiyah duality]]
