
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### 2-Category theory
+--{: .hide}
[[!include 2-category theory - contents]]
=--
#### Monoidal categories
+--{: .hide}
[[!include monoidal categories - contents]]
=--
=--
=--




#Contents#
* table of contents
{:toc}

## Definition

Let $C$ and $D$ be [[monoidal categories]], and $F\colon C \rightleftarrows D : G$ a _comonoidal adjunction_ , i.e. an [[adjunction]] $F\dashv G$ in the [[2-category]] of colax [[monoidal functors]].  (By [[doctrinal adjunction]], this is actually equivalent to requiring that $G$ is a strong monoidal functor.)  This adjunction is a **Hopf adjunction** if the canonical morphisms

$$ F(x \otimes G y) \to F x \otimes y $$
$$ F(G y \otimes x) \to y \otimes F x $$

are [[isomorphisms]] for any $x\in C$ and $y\in D$.

Of course, if $C$, $D$, $F$, and $G$ are [[symmetric monoidal category|symmetric]], then it suffices to ask for one of these.  If $C$ and $D$ are moreover [[cartesian monoidal category|cartesian monoidal]], then any adjunction is comonoidal, and the condition is also (mis?)named [[Frobenius reciprocity]].

## Properties

* If $C$ and $D$ are closed, then by the calculus of [[mates]], saying that $F\dashv G$ is Hopf is equivalent to asking that $G$ be a [[closed monoidal functor]], i.e. preserve [[internal-homs]] up to isomorphism.

* If $F\dashv G$ is a Hopf adjunction, then its induced monad $G F$ is a [[Hopf monad]].  Conversely, the [[Eilenberg-Moore category|Eilenberg-Moore]] adjunction of a Hopf monad is a Hopf adjunction.

## References

* Alain Bruguières, [[Steve Lack]], Alexis Virelizier, _Hopf monads on monoidal categories_,  Adv. Math. __227__ No. 2, June 2011, pp 745--800, [arxiv/0812.2443](http://arxiv.org/abs/0812.2443)

* Adriana Balan, *On Hopf adjunctions, Hopf monads and Frobenius-type properties*, Appl. Categ. Structures 25 (2017), no. 5, 747--774. [arxiv](https://arxiv.org/abs/1411.2236)
