
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Measure and probability theory
+-- {: .hide}
[[!include measure theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A _Wasserstein metric_ is a certain [[metric]] over a space of [[probability measure]]s on a [[measurable space]] $X$.

By ([JKO](#JKO)) the  [[heat flow]]/[[diffusion equation]] on $X$ is the [[gradient flow]] of the [[entropy|Boltzman-Shannon entropy]] functional with respect to the Wasserstein metric.

The Wasserstein metric does not seem to arise from a [[Riemannian metric|Riemann metric tensor]]. A detailed discussion of the relevant gradient flows in non-smooth [[metric space]]s is in ([AGS](#AGS)).

## References and links

* Related concepts [[information metric]], [[entropy]]

The characterization of heat flow as the gradient flow of Shannon-entropy is due to

* R. Jordan, D. Kinderlehrer, F. Otto, _The variational formulation of the [[Fokker-Planck equation]]_ , SIAM J. Math. Anal. 29 (1998), no. 1, 1-17.([pdf](http://www.imati.cnr.it/~savare/Ravello2010/JKO.pdf))
 {#JKO}

The analog of this for finite probability spaces is discussed in 

* Jan Maas, _Gradient flows of the entropy for finite Markov chains_ ([pdf](http://www.janmaas.org/papers/discrete.pdf))

A comprehensive discussion of the corresponding gradient flows is in 

* l Ambrosio, N. Gigli, G. Savaré, _Gradient flows in metric spaces and in the space of probability measures_, Second edition. Lectures in Mathematics ETH Zürich. Birkhäuser Verlag, Basel, 2008. x+334 pp. ([pdf](http://www.imati.cnr.it/~savare/research/optimal_transportation/Introduction.pdf) of toc and introduction)
[MR2009h:49002](http://www.ams.org/mathscinet-getitem?mr=2401600) {#AGS}
* Luigi Ambrosio, Nicola Gigli, _Construction of the parallel transport in the Wasserstein space_, Methods Appl. Anal. 15 (2008), no. 1, 1–29, [MR2010c:49082](http://www.ams.org/mathscinet-getitem?mr=2482206)
[[!redirects Wasserstein metrics]]