
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Definition

A __normed algebra__ $A$ over a [[field]] $k$ of [[real numbers|real]] or [[numbers|complex numbers]] is a [[normed vector space]] equipped with an [[associative algebra]] structure, such that the algebra multiplication is [[continuous function|continuous]] with respect to the [[norm]], i.e. such that there is a positive real constant $C\gt 0$ such that 

$$
\|ab\| \leq C \|a\| \|b\|, 
$$

for all $a,b\in A$. One can rescale the norm to another norm to get $C = 1$ ([[absolute value]]). A normed algebra whose underlying normed space is [[complete space|complete]] is called a __[[Banach algebra]]__.

A normed algebra with $C = 1$ is equivalently a [[normed division algebra]]. See there for more.

## Related concepts

* [[normed division algebra]]

[[!include analytic geometry ingredients -- table]]


## References

* M. A. Naimark, _Normed rings_
* R. Kadison, _Introduction to operator algebras_
* A. A. Kirillov, A. D. Gvišiani, Теоремы и задачи функционального анализа (theorems and exercises in functional analysis), Moskva, Nauka 1979, 1988
* Marco Thill, _Introduction to normed $\ast$-algebras and their representations_, Kassel Univ. Press, [pdf](http://www.uni-kassel.de/upress/online/frei/978-3-933146-82-3.volltext.frei.pdf)
* [[I. M. Gel'fand]], M. A. Naimark, _Normed rings with involutions and their representations_, Izv. Akad. Nauk SSSR Ser. Mat., 12:5 (1948), 445–480, Russian orig. [pdf](http://www.mathnet.ru/php/getFT.phtml?jrnid=im&paperid=3092&volume=12&year=1948&issue=5&fpage=445&what=fullt&option_lang=eng)


[[!redirects normed algebra]]
[[!redirects normed algebras]]
