[[!redirects generalized second law of theormodynamics]]

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The standard [[second law of theormodynamics]] states that in a closed system of [[classical mechanics]] or [[quantum mechanics]] the (coarse-grained) [[entropy]] is non-decreasing with time.

This is statement is to be tacitly understood as applying to dynamics taking place on an a-priori fixed [[spacetime]] (a fixed "background"). If however one takes also [[gravity]] into account as part of the "system", then the statement of the second law becomes much more subtle. 

The _generalized second law of theoremodynamics_ is an attempt to generalize the naive second law to [[general relativity]]. A central idea is that the [[Bekenstein-Hawking entropy]] of [[horizon]]s (such as of [[black hole]]s) has to be added to the naive entropy of the matter in the "universe".

## Related concepts

* gravitational entropy

  * [[Bekenstein-Hawking entropy]]

  * [[generalized second law of thermodynamics]]

  * [[black holes in string theory]]

  * [[holographic entanglement entropy]]

## References

A detailed discussion is in

* Aron Wall, _Ten proofs of the generalized second law_ ([arXiv:0901.3865](http://arxiv.org/abs/0901.3865))

* Aron Wall, _A proof of the generalized second law for rapidly-evolving Rindler horizons_ ([arXiv:1007.1493](http://arxiv.org/abs/1007.1493))

* Aron Wall, _A proof of the generalized second law for rapidly changing fields and arbitrary horizon slices_ ([arXiv:1105.3445](http://arxiv.org/abs/1105.3445))

The first paper critiques previous work.  The second proves the generalized 2nd law in a semiclassical framework on a background [[spacetime]] that has both boost and null translation symmetries.  The argument makes heavy use of the concept of [[relative entropy]].  The third paper generalizes the second one to a much wider class of spacetimes, assuming some axioms about the behavior of [[quantum field theory|quantum fields]] on these spacetimes.

To show that entropy increases, a crucial step in Wall’s proof is to use the fact that the [[relative entropy]] obeys

$$
  S(\rho'|\sigma') \leq S(\rho|\sigma)
$$

where the [[state]]s $\rho'$ and $\sigma'$ are obtained by restricting the states $\rho$ and $\sigma$ to a subalgebra of the original algebra of observables.  

[[!redirects generalized second law]]