
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Group Theory
+-- {: .hide}
[[!include group theory - contents]]
=--
#### Geometry
+--{: .hide}
[[!include higher geometry - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

Given an [[algebraic group]] $G$ a [[subgroup]] $B\subset G$ is said to be a __Borel subgroup__ if it is maximal (under inclusion) among all Zariski closed connected [[solvable group|solvable]] subgroups. 

## Properties

They appear to be minimal parabolic subgroups (that is minimal among those $P$ such that $G/P$ is a [[projective variety]]). 

All the Borel subgroups are mutually conjugate and the intersection of any two contains a [[maximal torus]] in $G$. 

If the characteristic of the ground field is zero then the tangent [[Lie algebra]] of the Borel subgroup $B$ is "the" Borel subalgebra of the Lie algebra of $G$.


## Example

The main example is $G = GL(n)$ or $G = SL(n)$ where a corresponding Borel subgroup can be taken to be the subgroup $B^+$ of the upper [[triangular matrices]] in $G$ and $B^-$, the subgroup of the lower triangular matrices. 

These two subgroups are said to be mutually opposite in the sense that their intersection $B^+\cap B^-$ is precisely the maximal torus, which is in this case the subgroup of the diagonal matrices. If $G = SL(n)$ the quotient homogeneous spaces $SL(n)/B$ is called the [[flag variety]] and for a general semisimple Lie group $G$, $G/B$ is called a generalized flag
variety. 

## Related concepts

* [[Weyl group]], 

* [[parabolic subgroup]],

* [[Schubert calculus]]

## References

* A. Borel, _Groupes linéaires algébriques_, Ann. of Math. (2) , 64 : 1  (1956)  pp. 20–82
* [[Armand Borel]], _Linear algebraic groups_, Springer
* wikipedia [Borel subgroup](http://en.wikipedia.org/wiki/Borel_subgroup)
* eom: [Borel subgroup](http://eom.springer.de/B/b017160.htm)
[[!redirects Borel subgroups]]

[[!redirects Borel subgroups]]
