
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Measure and probability theory
+-- {: .hide}
[[!include measure theory - contents]]
=--
=--
=--


# Contents
* table of contents
{: toc}

## Idea

The notion of _relative entropy_ of [[state]]s is a generalization of the notion of [[entropy]] to a situation where the entropy of one [[state]] is measured "relative to" another state.


is also called 

* _Kullback-Leibler divergence_

* _information divergence_

* _information gain_ . 


## Definition

### For states on finite probability spaces
 {#OnFiniteDimensionalSpaces}

For two finite [[probability distributions]] $(p_i)$ and $(q_i)$, their **relative entropy** is 

$$
  S(p/q) := \sum_{k = 1}^n p_k(log p_k - log q_k)
  \,.
$$

Alternatively, for $\rho, \phi$ two [[density matrix|density matrices]], their relative entropy is 

$$
  S(\rho/\phi) := tr \rho(log \rho - log \phi)
  \,.
$$


### For states on classical probability spaces

+-- {: .num_defn}
###### Definition

For $X$ a [[measurable space]] and $P$ and $Q$ two [[probability measure]]s on $X$, such that $Q$ is absolutely continuous with respect to $P$, their relative entropy is the [[integral]]

$$
  S(Q|P) = \int_X log \frac{d Q}{d P} d P
  \,,
$$

where $d Q / d P$ is the [[Radon-Nikodym derivative]] of $Q$ with respect to $P$. 

=--



### For states on quantum probability spaces (von Neumann algebras)

Let $A$ be a [[von Neumann algebra]] and let $\phi$, $\psi : A \to \mathbb{C}$ be two [[state]]s on it (faithful, positive [[linear functional]]s).

+-- {: .num_defn}
###### Definition

The **relative entropy $S(\phi/\psi)$ of $\psi$ relative to $\phi$ is

$$
  S(\phi/\psi) := - (\Psi, (log \Delta_{\Phi,\Psi}) \Psi)
  \,,
$$

where $\Delta_{\Phi,\Psi}$ is the relative [[modular operator]] of any [[cyclic vector|cyclic]] and [[separating vector]] representatives $\Phi$ and $\Psi$ of $\phi$ and $\psi$.

=--

This is due to ([Araki](#Araki)).

+-- {: .num_prop}
###### Proposition

* This definition is independent of the choice of these representatives. 

* In the case that $A$ is finite dimensional and $\rho_\phi$ and $\rho_\psi$ are [[density matrices]] of $\phi$ and $\psi$, respectively, this reduces to the [above definition](#OnFiniteDimensionalSpaces).

=--


## References

Relative entropy of [[state]]s on  [[von Neumann algebra]]s was introduced in 

* [[Huzihiro Araki]], _Relative Entropy of States of von Neumann Algebras_ ([pdf](http://www.google.de/url?sa=t&source=web&cd=5&ved=0CEsQFjAE&url=http%3A%2F%2Fwww.ems-ph.org%2Fjournals%2Fshow_pdf.php%3Fissn%3D0034-5318%26vol%3D11%26iss%3D3%26rank%3D9&rct=j&q=entropy%20cocycle%20von%20Neumann%20algebra&ei=n3jrTYyxOI-c-waJvMnPDw&usg=AFQjCNGuJgVUE7CtGPmb2PZLhOOWt1_JPQ&cad=rja))
 {#Araki}

A characterization of [relative entropy](#OnFiniteDimensionalSpaces) on finite-[[dimension]]al [[C-star algebra]]s is given in 

* D. Petz, _Characterization of the relative entropy of states of matrix algebras_ ([pdf](http://www.renyi.hu/~petz/pdf/52.pdf))
 {#Petz}


A survey of entropy in [[operator algebra]]s is in 

* Erling Størmer, _Entropy in operator algebras_ ([pdf](http://www.claymath.org/publications/currentvolumes/connes60/Stormer.pdf))



[[!redirects relative entropy]]
[[!redirects relative entropies]]

[[!redirects Kullback-Leibler divergence]]
[[!redirects information divergence]]
[[!redirects information gain]]
