## Motivation

Most of the applications of operator algebras stuck in the problem that (hermitean or not) unbounded operators do not form an algebra under composition (or under Jordan multiplication); while the algebras of bounded operators are insufficient as most of applications involve also unbounded operators like the partial derivative operator on $L^2(\mathbb{R}^n)$ which is proportional to the momentum operator in quantum mechanics. 

## Idea 

The motivational problem is typically resolved by considering an operator algebra which contains operators which properly approximate the unbounded operators as close as one wishes, and formalize this by defining the larger class of "approximable" operators by means of operator algebra itself. One way to do this is to define the __affiliated elements__ of $C^\ast$-algebra, or the operators affiliated with the $C^\ast$-algebra. The idea is that if there is an unbounded self-adjoint operator then we can consider its spectral projections; they are bounded and if we include them into the algebra, the convergence of the [[spectral theorem|spectral decomposition]] will supply the approximation.  

## Details

Let $T$ be a normal unbounded operator. Thanks to the [[spectral theorem]] for unbounded operators, $T$ has a [[spectral measure]] $P_{\lambda}$. Every single spectral projection is bounded, of course, so we may look for von Neumann algebras that contain them. Since a von Neumann algebra may be characterised as the algebra of all operators that commute with some set of unitary operators, we give the following definition:

* Definition (affiliation): A closed operator $T$ is **affiliated** with a von Neumann algebra $\mathcal{M}$, written as $T \eta \mathcal{M}$, if every unitary operator $U$ in the commutant of $\mathcal{M}$ transforms $D_T$ to itself, and we have $U^*TU = T$.

We mention some interesting theorems using this concept.

* Theorem (Kadison-Ringrose 5.6.18): An operator is normal iff it is affiliated with an abelian von Neumann algebra. If A is normal, there is a smallest von Neumann algebra that A is affiliated with, this algebra is abelian.

* Definition: Given a normal operator A, the smallest (and necessarily abelian) von Neumann algebra that A is associated with is called the **von Neumann algebra generated by A**.

## Literature 

* [[S. L. Woronowicz]], K. Napiórkowski, _Operator theory in $C^\ast$-framework_,  Reports on Mathematical Physics __31__, Issue 3 (1992), 353-371, 
<a href="http://dx.doi.org/10.1016/0034-4877(92)90025-V">doi</a>, [pdf](http:www.fuw.edu.pl/~slworono/PDF-y/OP.pdf)
* [[S. L. Woronowicz]], _Unbounded elements affiliated with $C^\ast$-algebras and non-compact quantum groups_, Commun. Math. Phys. __136__, 399--432 (1991) [euclid](http://projecteuclid.org/euclid.cmp/1104202358) [MR1096123](http://www.ams.org/mathscinet-getitem?mr=1096123); _$C^\ast$-algebras generated by unbounded elements_, [pdf](http://www.fuw.edu.pl/~slworono/PDF-y/GENER.pdf)
* wikipedia [affiliated operator](http://en.wikipedia.org/wiki/Affiliated_operator)

[[!redirects affiliated element]]
[[!redirects affiliated elements]]