### Principal minors of matrices with commutative entries

Given a matrix $A = (a^i_j)_{i,j = 1,\ldots n}$ with entries in a commutative ring $R$, the principal minors are the [[minor]]s of the upper left corner square matrices, i.e.

$$
det (a^i_j)_{i,j = 1,\ldots k}
$$

where $k = 1,\ldots, n$ (i.e there are $n$ principal minors). 

Sometimes it is convenient to consider the principal minors of the matrix in the oppositely ordered basis, i.e. the minors of the lower right corner

$$
det (a^i_j)_{i,j = n-k+1,\ldots n}
$$

Of course, as it is true for the expression minor in general, sometimes it denotes the determinant of the submatrix and for some authors it is the submatrix itself called that way.

The principal minors appear as the denominators in the Gauss decomposition of matrices, and consequently in the description of relations between matrix elements in a linear group $GL(n)$ (or $SL(n)$) and canonical coordinates on the big Bruhat cell on its [[flag variety]]. 

### Principal quasiminors

Quasideterminant of a matrix $|A|_{ij}$ with entries in a noncommutative [[ring]], generalizes (up to sign), from the commutative case, the ratio of $n\times n$-determinant and the determinant of the $(n-1)\times(n-1)$ submatrix obtained by crossing out the $i$-th row and $j$-th column. In particular the determinant of $A$ in the commutative case can be obtained as a product of all its principal quasiminors, provided the latter are defined (quasideterminants are rational expressions not necesarilly always defined). 

Principal quasiminors play role in the study of noncommutative flag varieties. 

### Quantum group case

Similar role play quantum principal minors in the study of quantum flag variety, cf. sec, 14 in 

* [[Zoran Škoda]], _Localizations for construction of quantum coset spaces_, in “Noncommutative geometry and Quantum groups”, W.Pusz, P.M. Hajac, eds. Banach Center Publications vol.61, pp. 265–298, Warszawa 2003, [math.QA/0301090](http://arxiv.org/abs/math.QA/0301090)

[[!redirects principal minors]]