
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Riemannian geometry
+--{: .hide}
[[!include Riemannian geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A _conformal structure_ on a [[manifold]] is the structure of a [[Riemannian metric]] modulo rescalings of the [[Riemannian metric|metric]] [[tensor]] by some real valued function on the manifold.  The [[homomorphisms]] of conformal structures are called _[[conformal transformations]]_.

In terms of [[Cartan geometry]] conformal structure is expressed by [[conformal connections]], conformal geometry is a special case of  [[parabolic geometry]] and hence of [[Cartan geometry]].

In the context of [[quantum field theory]] conformal structure underlies the formulation of [[conformal field theory]]. Due to the coincidence of the [[conformal group]] of [[Minkowski spacetime]] of [[dimension]] $d$ with the [[anti de Sitter group]] of [[anti de Sitter spacetime]] in dimension $d+1$ there is a close relation between certain [[conformal field theories]] and certain theories of [[gravity]]. This is the content of the _[[AdS-CFT correspondence]]_. This works most accurately in the context of [[supergeometry]], hence for [[superconformal groups]] acting on the asymptotic boundary of [[super anti de Sitter spacetimes]].

## Related concepts

* [[conformal map]], [[conformal transformation]], [[conformal group]]

* [[causal structure]]

* [[Fefferman-Graham ambient construction]]

* [[conformal compactification]]

* [[CFT]]

* [[twistor space]]

* [[conformal cobordism category]]

* [[conformal connection]]

* [[superconformal geometry]]

[[!include local and global geometry - table]]

## References

* David Gu, _Conformal structure_, slides ([pdf](http://www.cs.sunysb.edu/~gu/lectures/lecture_2_conformal_structure.pdf))

* [[eom]], _[Conformal structure](http://www.encyclopediaofmath.org/index.php/Conformal_structure)_

Discussion of conformal [[Cartan geometry]] ([[parabolic geometry]]) includes

* {#CapSlovak09} [[Andreas Čap]], [[Jan Slovák]], sections 1.1.5, 1.6 of _Parabolic Geometries I -- Background and General Theory_, AMS 2009

* [[Felipe Leitner]], part 1, section 6 of _Applications of Cartan and Tractor Calculus to Conformal and CR-Geometry_, 2007 ([pdf](http://elib.uni-stuttgart.de/opus/volltexte/2009/3922/pdf/HabilKopf.pdf))

* [[Hega Baum]], [[Andreas Juhl]], _Conformal Differential Geometry: Q-curvature and Conformal Holonomy_,  Oberwolfach Seminars, vol.  40,  Birkhäuser, 2010, 165pp.

* [[Andree Lischewski]], section 2 of _Conformal superalgebras via tractor calculus_, Class.Quant.Grav. 32 (2015) 015020 ([spire](https://inspirehep.net/record/1334198), [arXiv:1408.2238](http://arxiv.org/abs/1408.2238))

* Sean Curry, A. Rod Gover, _An introduction to conformal geometry and tractor calculus, with a view to applications in general relativity_, 2014, ([ 	arXiv:1412.7559](http://arxiv.org/abs/1412.7559))

A survey of the field as of 2007 is in 


* A. Rod Gover, [[Andreas Čap]], _Conformal and CR geometry: Spectral and nonlocal aspects_ [pdf](https://www.birs.ca/workshops/2007/07rit132/report07rit132.pdf)

Discussion with an eye towards combination with [[spin geometry]] is in 

* [[Pierre Anglès]], _Conformal Groups in Geometry and Spin Structures_, Progress in Mathematical Physics 2008


[[!redirects conformal geometries]]

[[!redirects conformal structure]]
[[!redirects conformal structures]]

[[!redirects conformal manifold]]
[[!redirects conformal manifolds]]


