
> not to be confused with _[[Wigner classification]]_

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### AQFT
+-- {: .hide}
[[!include AQFT and operator algebra contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Statement

Wigner's theorem asserts that a [[function]] $f : H \to H$  from a [[Hilbert space]] to itself (not _assumed_ to be a [[linear function]])  
is [[linear function|linear]] and in fact a (anti-)[[unitary operator]] (up to a phase) if only the function is 

1. [[surjective map|surjective]];

1. [[norm]]-preserving.


## Role in quantum mechanics

In [[quantum mechanics]] every symmetric operation needs to be a norm-preserving bijection from a [[Hilbert space]] of [[state]]s to itself. Hence Wigner's theorem asserts that in quantum mechanics symmetries are presented by [[unitary operator]]s (or more rarely [[anti-unitary operator]]s, as for example [[time reversal]]).


## Related theorems


Other theorems about the foundations and [[interpretation of quantum mechanics]] include:

* [[order-theoretic structure in quantum mechanics]]

  * [[Kochen-Specker theorem]]

  * [[Alfsen-Shultz theorem]]

  * [[Harding-Döring-Hamhalter theorem]]

* [[Fell's theorem]]

* [[Gleason's theorem]]

* [[Bell's theorem]]

* [[Bub-Clifton theorem]]

* [[Kadison-Singer problem]]

## References
 
* [[Dan Freed]], _On Wigner's theorem_ ([arXiv:1112.2133](http://arxiv.org/abs/1112.2133))

See also 

* Wikipedia, _[Wigner's theorem](https://en.wikipedia.org/wiki/Wigner%27s_theorem#Statement)_

[[!redirects Wigner theorem]]
[[!redirects Wigner's theorem]]
[[!redirects Wigner's theorem]]