
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Quantum field theory
+--{: .hide}
[[!include functorial quantum field theory - contents]]
=--
#### AQFT
+--{: .hide}
[[!include AQFT and operator algebra contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

_Haag's theorem_ ([Haag 55](#Haag55), [Hall 57](#Hall57)) says that for a non-[[finite number]] of generators the [[canonical commutation relations]] do _not_ have a unique (up to [[isomorphism]]) [[irreducible representation|irreducible]] [[unitary representation]].

This is in contrast to the [[Stone-von Neumann theorem]] which says that for a [[finite number]] of generators the [[Schrödinger representation]] is, up to isomorphism, the unique irrducible unitary representation of the [[canonical commutation relations]].

While [[canonical commutation relations]] with a [[finite number]] of generators appear in [[quantum mechanics]], those appearing in [[quantum field theory]] (see e.g. [[Wick algebras]] for [[free fields]]) generically have infinitely many generators and hence are subject to Haag's theorem.

## References

Haag's theorem was first stated in 

* {#Haag55} [[Rudolf Haag]], _On quantum field theorie_, Det Kongelige Danske Videnskabernes Selskab, Matematisk-fysiske Meddelelser 29, nr. 12: 1-37.(1955)

but the proof had some gaps. It was completed in 

* {#Hall57} D. Hall, [[Arthur Wightman]]  _A theorem on invariant analytic functions with applications to relativistic quantum field theory_ , Det Kongelige Danske Videnskabernes Selskab, Matematisk-fysiske Meddelelser 31, nr. 5:
1-41.(1957)

A brief statement in context is in

* [[Rudolf Haag]], pages 54-55 of _[[Local Quantum Physics -- Fields, Particles, Algebras]]_

A thorough discussion of meaning and implications of Haag's theorem (pointing out plenty of flaws on this point in the standard literature) is in

* John Earman, Doreer Fraser, _Haag's theorem and its implications for the foundations of quantum field theory_ ([pdf](http://philsci-archive.pitt.edu/2673/1/earmanfraserfinalrevd.pdf))

See also

* Wikipedia, _[Haag's theorem](https://en.wikipedia.org/wiki/Haag%27s_theorem)_
