
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Geometry
+-- {: .hide}
[[!include higher geometry - contents]]
=--
#### Complex geometry
+-- {: .hide}
[[!include complex geometry - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

The _genus_ of a [[surface]] (2-[[dimension|dimensional]] [[manifold]]) is an [[integer]] that helps classify the surface's [[homeomorphism]] class.  It gives the number of handles or 'cross caps' that are in a sum decomposition of the surface.


In [[complex analytic geometry]] a surface, being complex 1-dimensional, is called a [[complex curves]] and so one speaks of the [[genus of a curve]]. This holds also for [[algebraic curves]]. Even in [[arithmetic geometry]], there is _[[genus of a number field]]_.

## Properties

### Function field analogy

[[!include function field analogy -- table]]

## Related concepts

* [[genus of a curve]]
 
* [[arithmetic genus]]

* [[genus]]

* [[Riemann surface]]

* [[curve]], [[singular point of a curve]]


## References

* Wikipedia, _[Genus](http://en.wikipedia.org/wiki/Genus_%28mathematics%29)_

Various approaches to the classification of surfaces are described in introductory texts such as 

* [[N. D. Gilbert]] and [[T. Porter]], Knots and Surfaces, Oxford U.P., 1994.

* _[How to see the genus](http://lamington.wordpress.com/2009/09/23/how-to-see-the-genus/)_