
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### Group Theory
+-- {: .hide}
[[!include group theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

In the late 1920s, [[Eugene Wigner]] and [[Hermann Weyl]] highlighted the role that [[group theory]] and [[representation theory]] play in the analysis of [[quantum mechanics]], for instance in the analysis of [[atomic spectrum|atomic spectra]]. While many applications of [[groups]] and their [[representations]] to [[quantum physics]] had more or less explicitly been observed before, Wigner and Weyl stood out as making the mathematical formalism fully explicit. This attitude was not well received by some of their colleagues, who felt that this formal [[mathematics]] had no place in [[physics]]. In particular [[Erwin Schrödinger]] is said ([Wigner (1981)](#Wigner81)) to have spoken of the _**Gruppenpest**_ (German for "plague of group theory") which ought to be abandoned. 

In his autobiography [[John Slater]], an MIT physicist, claimed:

>It was at this point that Wigner, Hund, Heitler, and Weyl entered the picture with their "Gruppenpest": the pest of the group theory... The authors of the "Gruppenpest" wrote papers which were incomprehensible to those like me who had not studied group theory, in which they applied these theoretical results to the study of the many electron problem. The practicle consequences appeared to be negligible, but everyone felt that to be in the mainstream one had to learn about it. Yet there were no good texts from which one could learn group theory. It was a frustrating experience, worthy of the name of a pest.

>I had what I can only describe as a feeling of outrage at the turn which the subject had taken...

>As soon as this [Slater's] paper became known, it was obvious that a great many other physicists were as disgusted as I had been with the group-theoretical approach to the problem. As I heard later, there were remarks made such as "Slater has slain the 'Gruppenpest'". I believe that no other piece of work I have done was so universally popular.

Eventually this resistence vanished and turned into its opposite in theoretical fundamental physics: in the classification of [[fundamental particle]]s by [[unitary representations of the Poincaré group]] introduced by [[Hermann Weyl]], in the description of [[gauge theory]] in terms of [[associated bundle]]s given by [[representation]]s of [[gauge groups]]. Today almost the first thing that one wants to know about a physical theory is its [[gauge group]] and the [[representation]]s of it that play a role.

## References

A transcript of an interview with Wigner where he mentions Schr&#246;dinger's remark on the _Gruppenpest_ is here:

* Interview with Eugene Wigner
by Lillian Hoddeson, Gordon Baym and Frederick Seitz at the New Yorker Hotel January 24, 1981 ([Niels Bohr Library and Archives](http://www.aip.org/history/ohilist/4965.html))
 {#Wigner81}

A historical anlysis of Wigner's work on group theory with a remark on the _Gruppenpest_ comment is in 

* Arianna Borrelli and Bretislav Friedrich, _Eugene Wigner and the bliss of the "Gruppenpest"_ ([pdf](http://web.science.uu.nl/hq2/abstracts/Borrelli.pdf))

For scholarship on Weyl's work on group theory and quantum mechanics, see

* Erhard Scholz, 2008, _Weyl entering the 'new' quantum mechanics discourse._  In C. Joas, C. Lehner, J. Renn (eds.).   HQ-1: Conference on the History of Quantum Physics (Berlin July 2--6, 2007), [Preprint](http://www2.math.uni-wuppertal.de/~scholz/preprints/HQ_1_ES.pdf) MPI History of Science Berlin,  350 vol. II, 253--271.

* Erhard Scholz, 2006. _Introducting groups into quantum theory (1926&#8211;1930)_, Historia Mathematica 33:440&#8211;490, [arxiv.org/math.HO/0409571](http://arxiv.org/math.HO/0409571).

* Christophe Eckes, _Weyl and the mathematisation of Quantum Mechanics individual and collective perspectives_, ([slides](http://math.univ-lyon1.fr/~eckes/Novembertagung%20vf.pdf)).



