
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Riemannian geometry
+--{: .hide}
[[!include Riemannian geometry - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

A [[Lorentzian manifold]] is called _globally hyperbolic_ if it admits a well-defined time evolution from initial data of [[field (physics)|physical fields]] on it.


## Definition

There are several equivalent definitions of global hyperbolicity. A simple one is:

+-- {: .num_defn}
###### Definition

A [[Lorentzian manifold]] (without [[boundary]]) is called **globally hyperbolic** if it contains a [[Cauchy surface]].

=--

In this form the characterization of global hyperbolicity appears for instance in the paragraph at the bottom of page 211 in ([HE](#LargeScale)).
The equivalence of this to more traditional definitions is ([HE, prop. 6.6.3](#LargeScale)) together with ([HE, prop. 6.6.8](#LargeScale)), due to ([Geroch1970](#Geroch)). The latter in fact implies the following stronger statement:

+-- {: .num_prop}
###### Proposition

A [[Lorentzian manifold]] (without [[boundary]]) is **globally hyperbolic** if it admits a [[foliation]] by [[Cauchy surfaces]].

=--

See also ([Baer-Ginoux-Pfaeffle 07, theorem 1.3.10](#BaerGinouxPfaeffle07)).

+-- {: .num_remark}
###### Remark

So in particular for a globally hyperbolic spacetime $X$ there is a [[homeomorphism]] 

$$
  \phi\colon \mathbb{R} \times \Sigma \to X
$$

from the [[product]] of the [[real line]] with a $(dim X - 1)$-[[dimension|dimensional]] [[smooth manifold]] $\Sigma$ and for each $t \in \mathbb{R}$ the image $\phi(t, \Sigma) \subset X$ is a [[Cauchy surface]] of $X$.

=--

A _time orientation_ of a globally hyperbolic Lorentzian spacetime is a choice of [[orientation]] of the factor $\mathbb{R}$ under the above homeomorphism.


## Related concepts

* [[AQFT on curved spacetimes]], [[locally covariant perturbative quantum field theory]]

* [[Cauchy problem]]

* [[Green hyperbolic partial differential equation]]

## References

Textbook accounts include

* {#LargeScale} Hawking, Ellis, section 6.6 of _The large-scale structure of Space-Time_ Cambridge (1973)


* {#BaerGinouxPfaeffle07} [[Christian Bär]], [[Nicolas Ginoux]], [[Frank Pfäffle]], _Wave Equations on Lorentzian Manifolds and Quantization_, ESI Lectures in Mathematics and Physics, European Mathematical Society Publishing House, ISBN 978-3-03719-037-1, March 2007, Softcover ([arXiv:0806.1036](https://arxiv.org/abs/0806.1036))
  

The fact that a single Cauchy surface implies a foliation by Cauchy surfaces is due to 

* {#Geroch} [[Robert Geroch]], (1970)
 

The refinement of this statement to a smooth splitting is in 

* Antonio N. Bernal, Miguel Sánchez, _On smooth Cauchy hypersurfaces and Geroch's splitting theorem_ ([arXiv:gr-qc/0306108v2](http://arxiv.org/abs/gr-qc/0306108v2))

[[!redirects globally hyperbolic Lorentzian manifolds]]

[[!redirects globally hyperbolic]]
[[!redirects globally hyperbolic Lorentzian manifold]]
[[!redirects globally hyperbolic pseudo-Riemannian manifold]]

[[!redirects globally hyperbolic spacetime]]
[[!redirects globally hyperbolic spacetimes]]


[[!redirects time orientation]]
[[!redirects time orientations]]



