
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Riemannian geometry
+--{: .hide}
[[!include Riemannian geometry - contents]]
=--
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
#### Duality
+-- {: .hide}
[[!include duality - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A _T-fold_ ([Hull 04](#Hull04)) is supposed to be a kind of [[space]] that locally looks like a [[Riemannian manifold]] equipped with a [[B-field]], but which is glued together from these not just by [[diffeomorphisms]] (as a [[smooth manifold]] is) but also by [[T-duality]] transformations along some [[torus]] [[fibers]].

The idea is that a T-fold is a [[target space]] for a [[string]] [[sigma-model]] that is only locally a [[Riemannian manifold]] but globally a more general kind of [[geometry]]. In the literature sometimes the term _non-geometric backgrounds_ is used for such "generalized geometric" backgrounds.

It is expected that T-folds should have a description in terms of spaces that locally are [[fiber products]] of one [[torus]] [[fiber bundle]] with its T-dual. (One proposed formalization is that these are the total spaces of [[principal 2-bundles]] for the [[T-duality 2-group]]). 

One may then consider [[local field theory]] on these double torus fibrations, and this is, or is closely related to, what is called _[[double field theory]]_ ([Hull 06](#Hull06)).

A mathematical formlization of the idea of T-folds, in terms of [[principal 2-bundles]] for the [[T-duality 2-group]] (hence in [[higher differential geometry]]) is developed in [Nikolaus-Waldorf 18](#NikolausWaldorf18).

## Related concepts

* [[double field theory]]

## References

The idea was originally introduced in 

* {#Hull04} [[Chris Hull]], _A Geometry for Non-Geometric String Backgrounds_, JHEP0510:065,2005 ([arXiv:hep-th/0406102](http://arxiv.org/abs/hep-th/0406102))

The relation to [[double field theory]] goes back to

* {#Hull06} [[Chris Hull]], _Doubled geometry and T-folds_ JHEP0707:080,2007  ([arXiv:hep-th/0605149](http://arxiv.org/abs/hep-th/0605149))


Further developments are in 

* [[Chris Hull]], _Global Aspects of T-Duality, Gauged Sigma Models and T-Folds_ ([arXiv:hep-th/0604178](http://arxiv.org/abs/hep-th/0604178))

* Aaron Bergman, Daniel Robbins, _Ramond-Ramond Fields, Cohomology and Non-Geometric Fluxes_ ([arXiv:0710.5158](http://arxiv.org/abs/0710.5158))

* [[Dieter Lüst]], Stefano Massai, Valent&#237; Vall Camell, _The monodromy of T-folds and T-fects_ ([arXiv:1508.01193](http://arxiv.org/abs/1508.01193))

A precise global definition of [[T-folds]] as [[principal 2-bundles]] for the [[T-duality 2-group]] described in the nLab entry _[[T-Duality and Differential K-Theory]]_ is given in 

* {#Nikolaus14} [[Thomas Nikolaus]], _T-Duality in K-theory and elliptic cohomology_, talk at _String Geometry Network Meeting_, Feb 2014, ESI Vienna ([website](http://www.ingvet.kau.se/juerfuch/conf/esi14/esi14_34.html))

* {#NikolausWaldorf18} [[Thomas Nikolaus]], [[Konrad Waldorf]], _Higher geometry for non-geometric T-duals_ ([arXiv:1804.00677](https://arxiv.org/abs/1804.00677))

[[!redirects T-folds]]

[[!redirects super T-fold]]
[[!redirects super T-folds]]

[[!redirects doubled geometry]]
[[!redirects doubled geometries]]
