 
Given a class $W$ of arrows in a category, the [[localization]] $Q_W: C\to C[W^{-1}]$ (if it exists) inverts all the arrows in $W$, i.e. $Q_W(w)$ is an isomorphism in $C[W^{-1}]$ and is universal with respect to all functors with such a property. The universality makes it a 2-categorical colimit called a coinverter in the meta-2-category of large 2-categories. The universality says that every $W$-inverting functor factors through $Q_W$ up to an iso 2-cell; i.e. for every $F:C\to D$ which is inverting all arrows in $W$, there exist a functor $G:C[W^{-1}]\to D$ such that $F \cong G\circ Q_W$; in addition, for all categories $D$, the functor $Fun(Q_W,D)$ of precomposing with $Q_W$ is fully faithful functor from $Fun(C[W^{-1}],D)\to Fun(C,D)$ (it follows that $G$ is unique up to unique iso). It follows that the image of $Fun(Q_W,D)$ is precisely the subcategory of $Fun(C,D)$ consisting of $W$-inverting functors. 

We say that $Q_W$ is a __strict localization__ (functor) if for all $F$, the corresponding $G$ can be chosen in a unique way such that $F = G\circ Q_W$. It follows that every two strict localizations are not only equivalent but in fact isomorphic. For example, when $W$ admits the calculus of (say, left) fractions then both the large construction via the path category and the construction via one sided fractions give the isomorphic categories. The additional requirement that for each $D$, $Fun(Q_W, D)$ is fully faithful automatically follows essentially from the uniqueness of $G$ satisfying strict equality $F = G\circ Q_W$ (or, alternatively, for small categories, using lemma 1.2 in Gabriel-Zisman which claims this for the construction of the localized category via the path category, and the fact that every two strict localizations are isomorphic). 

[[!redirects strict localizations]]
[[!redirects strict localization functor]]