
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
#### Arithmetic
+--{: .hide}
[[!include arithmetic geometry - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

Algebraic number theory studies [[algebraic numbers]], [[number fields]] and related [[algebra|algebraic]] [[structures]]. 

An [[algebraic number]] is a [[root]] of a [[polynomial]] [[equation]] with [[integer]] [[coefficients]] (or, equivalently with [[rational number|rational]] coeffients). An [[algebraic integer]] is a root of a [[monic polynomial]] with integer coefficients. Given a [[field]] $k$ a (algebraic) __[[number field]]__ $K = k[P]$ over $k$ is the minimal [[field]] containing all the roots of a given polynomial $P$ with coefficients in $k$. Usually one considers algebraic number fields over rational numbers. 

The main direction in algebraic number theory is the [[class field theory]] which roughly studies finite abelian extensions of number fields. The one dimensional class field theory stems from the ideas of Kronecker and Weber, and results of Hilbert soon after them. Main results of the theory belong to the first half of the 20th century (Hilbert, Artin, Tate, Hasse...) and are quite different for the [[local field]] from the [[global field]] case. Generalizations for higher dimensional fields came later under now active higher class field theory, which is usually formulated in terms of algebraic K-theory and is closely related to deep questions of algebraic geometry (Tate, Kato, Saito etc.). 

## Related entries

The circle of $n$Lab entries belonging or related closely to algebraic number theory is in its infancy, and the partial list of entries some of which are started and most of which are to be created should include (the entries grouped by similarity)

* [[field]], [[characteristic]], [[division ring]], [[ideal]]

* [[integer]], [[rational number]], [[irrational number]], [[period]]

* [[p-adic number]], [[profinite group]], [[idele]], [[adele]]

* [[separable extension]], [[normal extension of fields]], [[Galois group]], [[Galois extension]], [[abelian extension of fields]], [[cyclotomic field]]

* [[Brower group]], [[Galois cohomology]]

* [[Dedekind ring]], [[principal ideal ring]], [[unique factorization domain]], [[integral closure]]

* [[algebraic number]], [[algebraic closure]], [[number field]]

* [[discriminant]], [[resultant]], [[Euclid algorithm]]

* [[Diophantine equation]], [[Matiyasevich theorem]]

* [[function field]]

* [[discrete valuation]], [[valuation ring]], [[valuation ideal]], [[archimedean valuation]]

* [[local field]], [[global field]], [[complete field]]

* [[conductor]], [[ideal class group]], [[Picard group]], [[Milnor K-group]] 

* [[class field theory]], [[global class field theory]], [[local class field theory]], [[higher class field theory]], [[Hilbert class field]]

* [[reciprocity law]], [[Artin reciprocity law]], [[Weil reciprocity law]]

* [[arithmetic scheme]], [[Arakelov geometry]], [[field with one element]]

* [[L-function]], [[motive]], [[Riemann conjecture]], [[algebraic K-theory]], [[Grothendieck Galois theory]]

### Literature


* Albrecht Fröhlich, J. W. S. Cassels (editors), _Algebraic number theory_, Acad. Press 1967, with many reprints; Fröhlich, Cassels, Birch, Atiyah, Wall, Gruenberg, Serre, Tate, Heilbronn, Rouqette, Kneser, Hasse, Swinerton-Dyer, Hoechsmann, systematic lecture notes from the instructional conference at Univ. of Sussex, Brighton, Sep. 1-17, 1965.


* {#Neukirch92} [[Jürgen Neukirch]], _Algebraische Zahlentheorie_ (1992), English translation _Algebraic Number Theory_,  Grundlehren der Mathematischen Wissenschaften 322, 1999 ([pdf](http://www.plouffe.fr/simon/math/Algebraic%20Number%20Theory.pdf))

* Albrecht Fröhlich, Martin J. Taylor, _Algebraic number theory_, Cambridge Studies in Advanced Mathematics 27, 1993

The following survey of Connes-Marcolli work has an accessible quick introduction to algebraic number theory

* P. Almeida, _Noncommutative geometry and arithmetics_, Russian Journal of Mathematical Physics 16, No. 3, 2009, pp. 350–362, [doi](http://dx.doi.org/10.1134/S1061920809030030), see also nLab:arithmetic and noncommutative geometry

See also

* Alexander Schmidt, _Higher dimensional class field theory from a topological point of view_, [page](http://www.mathi.uni-heidelberg.de/~schmidt/papers/schmidt21-en.html)
  