
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Arithmetic geometry
+--{: .hide}
[[!include arithmetic geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

__Class field theory__ studies finite-dimensional abelian [[field extensions]] of [[number fields]] and of [[function fields]], hence of [[global fields]] by relating them to the [[idele class group]].

Class field theory clarifies the origin of various [[reciprocity]] laws in [[number theory]]. The basic (one dimensional) class field theory stems from the ideas of Kronecker and Weber, and results of Hilbert soon after them. Main results of the theory belong to the first half of the 20th century (Hilbert, Artin, Tate, Hasse...) and are quite different for the [[local field]] from the [[global field]] case. One of the basic objects the class group, is related to the [[Picard group]] in algebraic geometry. 
Generalizations for higher dimensional fields came later under now active higher class field theory, which is usually formulated in terms of algebraic K-theory and is closely related to deep questions of algebraic geometry (Paršin, Tate, Kato, Saito etc.).

Given an algebraic [[number field]] $k$ one defines a (congruence divisor) class field group $A/H$ in $k$; according to Weber

> An algebraic extension $K/k$ is called a __class field__ to $A/H$, if exactly those prime divisors in $k$ of first degree which belong to the principal class $H$ split completely in $K$

Some of the basic results of the class field theory are the Artin reciprocity theorem, existence theorem, uniqueness theorem, ordering theorem, Weber isomorphy theorem and the decomposition law of class field theory. 

## Related concepts

* [[Langlands correspondence]]

* [[geometric class field theory]]

* [[Artin reciprocity law]]


## References

* A. Fröhlich, J. W. S. Cassels (editors), _Algebraic number theory_, Acad. Press 1967, with many reprints; Fröhlich, Cassels, Birch, Atiyah, Wall, Gruenberg, Serre, Tate, Heilbronn, Rouqette, Kneser, Hasse, Swinerton-Dyer, Hoechsmann, systematic lecture notes from the instructional conference at Univ. of Sussex, Brighton, Sep. 1-17, 1965.

* Albrecht Fröhlich, Martin J. Taylor, _Algebraic number theory_, Cambridge Studies in Advanced Mathematics 27, 1993

* wikipedia [class field theory](http://en.wikipedia.org/wiki/Class_field_theory)

* A. N. Paršin A. N. Local class field theory, Trudy Mat. Inst. Steklov __165__
1984;  _Galois cohomology and Brauer group of local fields_, Trudy Mat.
Inst. Steklov __183__, 1984.

The following survey of Connes-Marcolli work has a quick introduction to algebraic number theory including basic notions of CFT

* P. Almeida, _Noncommutative geometry and arithmetics_, Russian Journal of Mathematical Physics 16, No. 3, 2009, pp. 350–362, [doi](http://dx.doi.org/10.1134/S1061920809030030), see also nLab:arithmetic and noncommutative geometry

The following article sketches the geometric intuition behind the reciprocity laws as the relation between two approaches to the maximal abelian quotient of the fundamental group, mimicking the ideas of Galois theory

* Alexander Schmidt, _Higher dimensional class field theory from a topological point of view_, [page](http://www.mathi.uni-heidelberg.de/~schmidt/papers/schmidt21-en.html)
  
The following 2 articles make parallel between some notions of [[QFT]] and of number theory and in particular about the analogy between the [[Weil reciprocity law]] for [[function field]]s and the Takahashi-Ward identities of field theory:

* [[Leon Takhtajan]], _Quantum field theories on algebraic curves and A. Weil reciprocity law_, [arxiv/0812.0169](http://arxiv.org/abs/0812.0169); _Quantum field theories on an algebraic curve_, [pdf](http://www.math.sunysb.edu/~leontak/Takhtajan-00.pdf), 2000 

Some history is in 

* {#Cogdell12} James W. Cogdell, _L-functions and non-abelian class eld theory, from
Artin to Langlands_, 2012 ([pdf](https://people.math.osu.edu/cogdell.1/Artin-www.pdf))

