

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### Equality and Equivalence
+--{: .hide}
[[!include equality and equivalence - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

What are called _Einstein's equations_ are the [[equations of motion]] of gravity: the [[Euler-Lagrange equations]] induced by the [[Einstein-Hilbert action]].

They say that the [[Einstein tensor]] $G$ of the [[metric]]/the [[field (physics)|field]] of [[gravity]] [[equality|equals]] the [[energy-momentum tensor]] $T$ of the remaining [[force]]- and [[matter]]-[[field (physics)|fields]]:

$$
  G = T
  \,.
$$

## Properties

### Existence and uniqueness

Given a choice of [[Cauchy surface]] $\Sigma$, the [[initial value problem]] for Einstein's [[differential equations]] of motion is determined by a choice of [[Riemannian metric]] on $\Sigma$ and a second fundamental form along $\Sigma$.

With this data a solution to the equation exists and is unique. ([Klainerman-Nicolo 03](#KlainermanNicolo03)).

## Related concepts

* [[equations of motion]]

  * [[Newton's laws of motion]]

  * [[Hamilton's equations]], [[de Donder-Weyl-Hamilton equation]]


## References

### General

A general discssion is for instance in section 11 of 

* [[Theodore Frankel]], _[[The Geometry of Physics - An Introduction]]_

A discussion of the vacuum Einstein equations (only gravity, no other fields) in terms of [[synthetic differential geometry]] is in

* [[Gonzalo Reyes]], _A derivation of Einstein's vacuum field equations_ ([pdf](http://marieetgonzalo.files.wordpress.com/2009/12/a-derivation-of-einsteins-vacuum-field-equations1.pdf))

### PDE theory

Genuine [[PDE]] theory for Einstein's equations goes back to local existence results by [[Yvonne Choquet-Bruhat]] in the 1950s. Global existence in the presence of a [[Cauchy surface]] was then shown in  

* [[Sergiu Klainerman]], Francesco Nicolo, _The evolution problem in general relativity_, Progress in Mathematical Physics, 25. Birkhäuser Boston, Inc., Boston, MA, 2003. xiv+385 pp. ISBN: 0-8176-4254-4 
  {#KlainermanNicolo03}

For further developments see

* H. Friedrich, A. D. Rendall, _The Cauchy Problem for the Einstein Equations_ ([arXiv:gr-qc/0002074](http://arxiv.org/abs/gr-qc/0002074))

* Alan D. Rendall, _Partial differential equations in general relativity_, Oxford University press 2008 ([web](http://www.ima.org.uk/viewItem.cfm?cit_id=384200))

* Hans Ringström, _The Cauchy Problem in General Relativity_, ESI Lectures in Mathematics and Physics 2009 ([web](http://www.ems-ph.org/books/book.php?proj_nr=99))

* [[Yvonne Choquet-Bruhat]], General relativity and the Einstein equations. Oxford University Press (2008) ([publisher](http://global.oup.com/academic/product/general-relativity-and-the-einstein-equations-9780199230723;jsessionid=24BBEFC00EAFA5C81BC0A50794DE256F?cc=nl&lang=en&))

See also _[[The Cauchy Problem in Classical Supergravity]]_

[[!redirects Einstein's equation]]

[[!redirects Einstein equations]]
[[!redirects Einstein's equations]]

[[!redirects Einstein equation of motion]]
[[!redirects Einstein equations of motion]]

[[!redirects Einstein's law of motion]]
[[!redirects Einstein's laws of motion]]

[[!redirects Einstein field equation]]
[[!redirects Einstein field equations]]
