
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
#### Quantum field theory
+--{: .hide}
[[!include functorial quantum field theory - contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--




#Contents#
* table of contents
{:toc}

## Idea

The _spinning string_ is a variant of the [[string]] in direct analogy (but one [[worldvolume]] [[dimension]] higher) to how the [[spinning particle]] is a variant of the [[particle]].

(Which means that "spinning" here is _not_ in the sense of "rotating", but in the sense of the kind of "intrinsic" spin as exhibited by [[fermion]] [[particle]]s. A spinning string can rotate _in addition_ to its intrinsic spin.)

And just as as the [[spinning particle]] automatically exhibits local [[worldline supersymmetry]], the spinning string automatically exhibits local [[worldsheet]] [[supersymmetry]]. For that reason it is today almost exclusively known as the _[[superstring]]_ . 

In fact, the very notion of [[supersymmetry]] was realized (in parallel to its independent discovery in Russia) when people noticed that the spinning string [[sigma-model]] -- also called the _Neveu-Ramond-Schwarz model_ (**NSR model**) -- automatically exhibits this extra graded symmetry.

When supplemented with an operation called the _[[GSO projection]]_, the [[second quantization]] of the spinning string -- its effective [[target space|target]] [[spacetime]] theory -- also becomes a locally supersymmetric theory: [[spacetime]] [[supergravity]].

There are other formulations of the [[superstring]] which are thought to be equivalent in some sense. Notably the [[Green-Schwarz superstring]] is a sigma-model which is not supersymmetric on the [[worldsheet]] but instead takes values in a genuine [[spacetime]] [[supermanifold]].

## Related concepts

* [[sigma model]], [[brane]]

  * [[relativistic particle]], [[spinning particle]], [[superparticle]]

  * [[string]], **spinning string** , [[superstring]]

    [string theory FAQ -- Does string theory predict supersymmetry?](string+theory+FAQ#DoesSTPredictSupersymmetry)

  * [[membrane]]

* [[string theory]]

[[!include worldvolume-target supersymmetry of brane sigma-models]]


## References

### General

The original articles that formulated the NSR model are

* [[André Neveu]], [[John Schwarz]], Nucl. Phys. B31, 86 (1971)

* [[Pierre Ramond]], Phys Rev. D3  2415 (1971)

Original articles that realize the local [[worldsheet]] [[supersymmetry]] of the spinning string include

* [[Stanley Deser]], [[Bruno Zumino]], _A complete action for the spinning string_ Physics Letters B 65 (4): 369-373 (1976) ([pdf](http://cdsweb.cern.ch/record/201648/files/CM-P00061857.pdf?version=1)) 

* L. Brink, P. Di Vecchia and [[Paul Howe]], _A locally supersymmetric and reparametrization invariant action for the spinning string_ , Physics Letters B Volume 65, Issue 5, 20 (1976) Pages 471-474 

### GSO projection and spacetime supersymmetry

The [[GSO projection]] and the conjecture that this makes also the target space theory of the spinning string [[supergravity|locally supersymmetric]] is due to

* F. Gliozzi, J. Scherk, D. I. Olive, _Supergravity and its spinor dual model,_  Phys. Letters B65, 282 (1976)

* F. Gliozzi, J. Scherk, D. I. Olive, _Supersymmetry, supergravity theories and the dual spinor model_ , Nucl. Phys, B122, 253 (1977)

The demonstration of this fact is due to 

* [[Michael Green]], [[John Schwarz]], 

  _Supersymmetrical dual string theory_ , Nucl. Phys. B181 (1981) 502; 

  _Supersymmetrical string theories_ , Phys. Lett. 109B (1982) 444.

Superconformal invariance of the spinning string was discussed in

* [[Paul Howe]], _Super Weyl transformations in two dimensions_ J. Phys. 12 (1979) 393. 

A review of the history of these developments is in 

* [[John Schwarz]], _String theory origins of supersymmetry_, Nucl. Phys. Proc. Suppl. 101 (2001) 54-61 ([arXiv:hep-th/0011078](http://arxiv.org/abs/hep-th/0011078))

An exposition of some technical aspects is in the wiki

* [The Tangent Bundle](http://www.physics.thetangentbundle.net/wiki/Main_Page), _[RNS superstring](http://www.physics.thetangentbundle.net/wiki/String_theory/RNS_superstring)_

Reviews and survays are also in any text on [[string theory]]. See the references there for more detail.

### BRST description

Discussion of the [[BRST complex]] of the NSR string is for instance in

* [[José Figueroa-O'Farrill]], Takashi Kimura, _The BRST cohomology of the NSR string: vanishing and "no-ghost" theorems_ ([pdf](http://www.maths.ed.ac.uk/~jmf/Research/PVBLICATIONS/nsr.pdf))

[[!redirects spinning strings]]

[[!redirects NSR string]]
[[!redirects NSR strings]]

[[!redirects NSR superstring]]
[[!redirects NSR superstrings]]

[[!redirects NSR-string]]
[[!redirects NSR-strings]]

[[!redirects NSR-superstring]]
[[!redirects NSR-superstrings]]

[[!redirects RNS string]]
[[!redirects RNS strings]]

[[!redirects RNS superstring]]
[[!redirects RNS superstrings]]

[[!redirects RNS-string]]
[[!redirects RNS-strings]]

[[!redirects RNS-superstring]]
[[!redirects RNS-superstrings]]


[[!redirects Neveu-Ramond-Schwarz model]]
[[!redirects Neveu-Ramond-Schwarz models]]

[[!redirects Neveu-Ramond-Schwarz string]]
[[!redirects Neveu-Ramond-Schwarz strings]]

[[!redirects Neveu-Ramond-Schwarz superstring]]
[[!redirects Neveu-Ramond-Schwarz superstrings]]

[[!redirects Neveu-Ramond-Schwarz super-string]]
[[!redirects Neveu-Ramond-Schwarz super-strings]]


[[!redirects Ramond-Neveu-Schwarz string]]
[[!redirects Ramond-Neveu-Schwarz strings]]

[[!redirects Ramond-Neveu-Schwarz model]]
[[!redirects Ramond-Neveu-Schwarz models]]

[[!redirects Neveu-Schwarz-Ramond superstring]]
[[!redirects Neveu-Schwarz-Ramond superstrings]]

[[!redirects Neveu-Schwarz-Ramond super-string]]
[[!redirects Neveu-Schwarz-Ramond super-strings]]


[[!redirects Neveu-Schwarz-Ramond string]]
[[!redirects Neveu-Schwarz-Ramond strings]]


[[!redirects Neveu-Schwarz-Ramond model]]
[[!redirects Neveu-Schwarz-Ramond models]]

