
This entry is about the concept in [[supergeometry]]. For the concept in [[gravity]]/[[cosmology]] see at _[[Wheeler superspace]]_.

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Super-Geometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
=--
=--


#Contents##
* table of contents
{:toc}


## Idea

Physicists often refer to [[spaces]] in [[supergeometry]], such as [[supermanifolds]] or [[super schemes]], as _superspaces_, regardless the formalism. Hence a superspace can be an affine superspace (the affine counterpart of the supervector space over real or complex numbers), superscheme, supermanifold (of either Leites or de Witt kind) etc.

Mostly however "superspace" is used for [[superspacetimes]] (e.g. [[super Minkowski spacetimes]]), presented in either formalism.

## Related concepts

* [[adinkra]]

## References

The concept of superspace in physics (together with that of [[superfields]]) is due to

* [[Abdus Salam]] J.A. Strathdee, _Supergauge Transformations_, Nucl.Phys. B76 (1974) 477-482 ([spire](http://inspirehep.net/record/89208))

* [[Abdus Salam]] J.A. Strathdee, Physical Review D11, 1521-1535 (1975)

(which considered superspace if dimension $d = 4$ with number of supersymmetries $N = 2$, hence the [[supermanifold]] $\mathbb{R}^{4\vert \mathbf{4}+ \mathbf{4}}$, or rather the [[super Minkowski spacetime]] $\mathbb{R}^{3,1\vert \mathbf{4}+ \mathbf{4}}$)

Review includes the following:

* I. L. Buchbinder, S. M. Kuzenko, _Ideas and methods of supersymmetry and supergravity; or A walk through superspace_

* S.J. Gates Jr, M.T. Grisaru, M. Rocek, W. Siegel, _Superspace, or One thousand and one lessons in supersymmetry_ textbook (1983), available as [arXiv:hep-th/0108200](https://arxiv.org/abs/hep-th/0108200)

* [[Albert Schwarz]], _On the definition of superspace_ Teoret. Mat. Fiz., 1984,  Volume 60,  Number 1, Pages 37–42   (Mi tmf5111), ([russian original](http://www.mathnet.ru/links/b12306f831b8c37d32d5ba8511d60c93/tmf5111.pdf))

[[!redirects superspaces]]

[[!redirects super-space]]
[[!redirects super-spaces]]

[[!redirects super space]]
[[!redirects super spaces]]