
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Quantum field theory
+--{: .hide}
[[!include functorial quantum field theory - contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--


This entry collects linked keywords for the book

* [[Pierre Deligne]], [[Pavel Etingof]], [[Dan Freed]], L. Jeffrey, 
[[David Kazhdan]], [[John Morgan]], D.R. Morrison and [[Edward Witten]], eds.  

  _Quantum Fields and Strings, A course for mathematicians_, 2 vols. Amer. Math. Soc. Providence 1999. ([web version](http://www.math.ias.edu/qft))

on [[quantum field theory]] and [[string theory]].

Parts of this appear separately elsewhere, for instance

* [[Pierre Deligne]], [[Daniel Freed]], _Supersolutions_ ([arXiv:hep-th/9901094](http://arxiv.org/abs/hep-th/9901094)).

  (see also at _[[signs in supergeometry]]_)

on fundamental [[supergeometry]] needed for describing [[fermion]] [[particles]] (and [[superstrings]]). See also

* [[Daniel Freed]], _[[Five lectures on supersymmetry]]_, AMS 1999

While advertized as "A course for mathematicians", experience shows that it is not really suited for pure mathematicians without previous exposition to and tolerance for physics, particularly beyond the first chapters (which show strong ambition to be mathematically precise) towards the following lectures (which are mainly standard lectures of theoretical physicists). But it is much better than the average physics text.

More in detail: this is a long collection of (in parts) long lectures by many top string theorists and also by some genuine top mathematicians. Correspondingly it covers a lot of ground, while still being introductory. Especially towards the beginning there is a strong effort towards trying to formalize or at least systematize much of the standard lore. But one can see that eventually the task of doing that throughout had been overwhelming. Nevertheless, this is probably the best source that there is out there. If you only ever touch a single book on string theory, touch this one.

#Contents#
* table of contents
{:toc}

## Volume I

### Part 1: Classical fields and Supersymmetry

* [[classical field theory]]

* [[supersymmetry]]


#### Classical field theory

##### Chapter 1. Classical mechanics

* [[classical mechanics]]

##### Chapter 2. Lagrangian theory of classical fields

* [[Lagrangian]]

* [[variational calculus]]

* [[Euler-Lagrange equations]]

##### Chapter 3. Free field theories

##### Chapter 4. Gauge theory

* [[gauge theory]]

* [[electromagnetism]]

* [[Yang-Mills theory]]

##### Chapter 5. $\sigma$-Models and coupled gauge theories

* [[sigma-model]]

##### Chapter 6. Topological terms

* [[Chern-Simons form]]

* [[Chern-Simons theory]]

* [[WZW model]]

* [[Deligne cohomology]]


##### Chapter 7. Wick rotation

* [[Wick rotation]]

### Part 2: Formal Aspects of QFT

## Volume II


### Part 3: Conformal field theory and strings

#### Lectures on Conformal Field Theory

##### Lecture 1. Simple functional integrals

* [[path integral]]

##### Lecture 2. Axiomatic approaches to conformal field theory

* [[CFT]]

  * [[vertex operator algebra]]

  * [[FQFT]]

##### Lecture 3. $\sigma$-Models

* [[sigma-models]]

##### Lecture 4. Constructive conformal field theory

* [[WZW model]]

#### Perturbative String Theory

##### Lecture 1. Point varticles and strings

* [[particle]]

* [[string]]

##### Lecture 2. Spectrum of the free bosonic string

##### Lecture 3. String amplitudes and moduli space of curves

##### Lecture 4. Fadeev-Popov Ghost -- BRST Quantization

* [[BV-BRST formalism]]

##### Lecture 5. Moduli dependence of determinants and Green functions


##### Lecture 6. Strings on general manifolds

* [[Killing spinor]]

* [[gravity]], [[Kalb-Ramond field]], [[dilaton]]

##### Lecture 7. Free superstrings

* [[type II string theory]]

* [[type I string theory]]

##### Lecture 8. Heterotic strings

* [[heterotic string theory]]

##### Lecture 9. Superstring perturbation theory

* [[perturbation theory]]

##### Lecture 10. Supersymmetry and supergravity

* [[supersymmetry]]

* [[supergravity]]

* [[Green-Schwarz superstring]]


#### Super Space Description of Super Gravity

* [[supergravity]]

#### Notes on 2d Conformal Field Theory and String Theory

##### Chpater 0. Introduction

* [[vertex operator algebra]]

* [[D-module]]


##### Chapter 1. Chiral algebra

* [[chiral algebra]]

* [[conformal block]]

* [[correlation function]]

##### Chapter 2. CFT data

* [[CFT]]

##### Chapter 3. Examples

* [[Kac-Moody algebra]]

* [[dilaton]]

* [[bc-system]]

##### Chapter 4. BRST  and string amplitudes

* [[BRST complex]]

##### Chapter 5. Further constructons 

* [[Ran space]]

##### Chapter 6. The free bosonic theory

* [[canonical line bundle]]

#### Kaluza-Klein Compactifications, Supersymmetry, and Calabi Yau Spaces

##### Lecture 1. Compactifications to dimension four

* [[Kaluza-Klein mechanism]]

* [[spontaneous symmetry breaking]]

##### Lecture 2. Supersymmetry and Calabi-Yau manifolds

* [[supersymmetry and Calabi-Yau manifolds]]


### Part 4: Dynamical Aspects of QFT

#### Dynamics of Quantum Field Theory

##### Lecture 1. Symmetry breaking

* [[spontaneous symmetry breaking]]

##### Lecture 2. Gauge symmetry breaking and more infrared behaviour

##### Lecture 3. BRST quantization of gauge theories

* [[gauge theory]]

* [[BRST complex]]

* [[BV-BRST complex]]

##### Lecture 4. Infrared behaviour of the S-matrix of the 2-dimensional $\sigma$-model  with target space $S^{N-1}$

* [[sigma-model]]

* [[S-matrix]]

##### Lecture 5. The large $N$ limit of the $\sigma$-model into Grassmannians

##### Lecture 6. The Bose-Fermi correspondence and its applications

##### Lecture 7. Two-dimensional gauge theory of bosons, the Wilson line operator and confinement

* [[Wilson line]]

* [[confinement]]

##### Lecture 8. Abelian duality

##### Lecture 9. Solitons

* [[soliton]]

##### Lecture 10. Wilson loops, 't Hooft loops and 't Hooft's  picture of confinement

* [[Wilson loop]]

* [[confinement]]

##### Lecture 11. Quantum gauge theories in two dimensions and intersection theory on moduli space

* [[Landau-Ginzburg model]]

##### Lecture 12. Supersymmetric field theories

* [[supersymmetry]]

* [[BPS state]]

##### Lecture 13. $N=2$ SUSY theories in dimension two: part I

* [[N=2 D=4 super Yang-Mills theory]]

* [[topological string]]

##### Lecture 14. $N=2$ SUSY theories in dimension two: part II, Chiral rings and twisted theories

* [[chiral ring]]

##### Lecture 15. The Landau-Ginzburg description of $N = 2$ minimal models; Quantum cohomology and Kähler manifolds

* [[Landau-Ginzburg model]]

* [[quantum cohomology]]

##### Lecture 16. Four-dimensional gauge theories

* [[N=1 D=4 super Yang-Mills theory]]


##### Lecture 17. $N=2$ supersymmetric Yang-Mills theories in dimension four: part 1

* [[N=2 D=4 super Yang-Mills theory]]


##### Lecture 18. $N=2$ supersymmetric Yang-Mills theories in dimension four: part 2

##### Lecture 19. $N=2$ supersymmetric Yang-Mills theories in dimension four: part 3, Topological applications

* [[topologically twisted D=4 super Yang-Mills theory]]

#### Dynamics of $N = 1$ Supersymmetric Field Theories in Four Dimensions

* [[N=1 D=4 super Yang-Mills theory]]

category: reference

