
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Homotopy theory
+--{: .hide}
[[!include homotopy - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea 

A homotopy $3$-type is a [[homotopy type]] where we consider its properties only up to the $3$nd [[homotopy group]] $\pi_3$, a [[homotopy n-type]] for $n = 3$

## Definition 

A continuous map $X \to Y$ is a **homotopy $3$-equivalence** if it induces isomorphisms on $\pi_i$ for $0 \leq i \leq 3$ at each basepoint.  Two spaces share the same **homotopy $3$-type** if they are linked by a zig-zag chain of homotopy $3$-equivalences.

For any nice space $X$, you can kill its homotopy groups in higher dimensions by attaching cells, thus constructing a new space $Y$ so that the inclusion of $X$ into $Y$ is a homotopy $3$-equivalence; up to (weak) [[homotopy equivalence]], the result is the same for any space with the same homotopy $3$-type.  Accordingly, a **homotopy $3$-type** may alternatively be defined as a space with trivial $\pi_i$ for $i \gt 3$, or as the unique (weak) [[homotopy type]] of such a space, or as its fundamental $\infty$-[[fundamental infinity-groupoid|groupoid]] (which should be a $3$-[[3-groupoid|groupoid]]).

See the general discussion in [[homotopy n-type]].

## Models

There are many useful algebraic models for a homotopy $3$-type. (Assume the homotopy type is connected for simplicity.)

1. [[2-crossed module]]s
1. [[crossed square]]s
1. [[cat-2-group]]s
1. [[Gray-group]]s: one-object groupoidal [[Gray-category|Gray-categories]]

One measure of the usefulness of a given model may be its ease of calculation (e.g., with a generalised [[van Kampen theorem]]) and of extraction of topologically significant invariants. In the above a lot more is known, from this viewpoint, about the second and third model than for the first.

Of course, any sufficient weak notion of $3$-[[3-groupoid|groupoid]] ought to qualify, by the [[homotopy hypothesis]].

## Related concepts

[[!include homotopy n-types - table]]

[[!redirects homotopy 3-types]]