
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Super-Geometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A [[super-unitary representation]] of the [[super Poincaré group]] ([[supersymmetry]])

The analog in [[superalgebra]]/[[supergeometry]] of a [[unitary representation of the Poincaré group]].

An [[irreducible representation]] of the [[super Poincaré Lie algebra]] is called  a **[[super multiplet]]**. This is in general itself a [[super vector space]] which contains an ordinary irreducible [[unitary representation of the Poincaré group]]. Via the [[Wigner classification]] of fundamental [[particles]] with Poincaré irreps, this may be identified with a [[boson|bosonic]] [[relativistic particle]] of some [[mass]] -- together with the images of these "bosonic" elements under the odd generators: the **superpartners** of the bosonic particles.

## Related concepts

* [[Deligne's theorem on tensor categories]]

* [[spin representation]]

* [[BPS state]]

* [[supersymmetry]]

* [[Wigner classification]]

  * [[unitary representation of the Poincaré group]]

* [[Doplicher-Roberts reconstruction theorem]]

* [[quantum field theory]]

## References

Reviews and lecture notes include

* {#CastellaniDAuriaFre91} [[Leonardo Castellani]], [[Riccardo D'Auria]], [[Pietro Fré]], section II.4.1 in _[[Supergravity and Superstrings - A Geometric Perspective]]_, World Scientific (1991)


* [[Veeravalli Varadarajan]], _Unitary representations of super Lie groups_ ([pdf](http://www.math.ucla.edu/~vsv/urtr.pdf))

* {#Freed01} [[Daniel Freed]], lecture 6 of _Classical field theory and Supersymmetry_, IAS/Park City Mathematics Series Volume 11 (2001) ([pdf](https://www.ma.utexas.edu/users/dafr/pcmi.pdf))

* [[Daniel Freed]], _Lecture 3 of [[Five lectures on supersymmetry]]_

* [[Antoine Van Proeyen]], _Tools for supersymmetry_ ([arXiv:hep-th/9910030](http://arxiv.org/abs/hep-th/9910030))

The classification is due to

* [[Werner Nahm]], _Supersymmetries and their representations_, Nucl. Phys. B135 (1978) 149

The analogous discussion generalized to [[parasupersymmetry]] is in

* A. Nikitin, V. Tretynyk, _Irreducible representations of the Poincaré parasuperalgebra_ ([pdf](http://www.imath.kiev.ua/~nikitin/publ80.pdf))

Expositional slides:

* Valerie Domcke, _Supermultiplets_ ([pdf](http://www.aphn.de/dateien/supermultiplets.pdf)) (in German)

[[!redirects unitary representations of the super Poincaré group]]

[[!redirects unitary representation of the super Poincare group]]
[[!redirects unitary representations of the super Poincare group]]

[[!redirects super-unitary representation of the super Poincaré group]]
[[!redirects super-unitary representations of the super Poincaré group]]
[[!redirects super-unitary representation of the super Poincare group]]
[[!redirects super-unitary representations of the super Poincare group]]

[[!redirects superunitary representation of the super Poincaré group]]
[[!redirects superunitary representations of the super Poincaré group]]
[[!redirects superunitary representation of the super Poincare group]]
[[!redirects superunitary representations of the super Poincare group]]


