
In the [[foundations of mathematics]], one sometimes comes across the phrase ‘ordinary mathematics’.  This seems to mean mathematics based on foundations that are no stronger than necessary to do the standard mathematics of the 20th century.

In particular, ordinary mathematics does not use high-powered axioms such as the [[axiom of replacement]] or [[large cardinals]], thus excluding [[model theory]] and those parts of [[category theory]] that use [[Grothendieck universes]].  Limiting oneself to ordinary mathematics in this sense may be seen as a weak form of [[predicative mathematics]].

One might define it (if a formal definition is desired) as mathematics that can be formalised in [[ETCS]]; [Wikipedia](http://en.wikipedia.org/wiki/Ordinary_mathematics) defines it as mathematics that takes place in the [[von Neumann universe]] of rank $\omega + \omega$ (which is a model of $ETCS$).  One can also think of this as allowing only finitely many applications of the [[power set axiom]] (since replacement is needed to iterate this transfinitely) starting with the set of [[natural numbers]].

Compare [[classical mathematics]].  If [[constructive mathematics]] is interpreted as merely doing without the [[axiom of choice]] and [[excluded middle]] (without any attempt to be predicative), then the classical/constructive divide is independent of being ordinary.  (However, both "classical" and "constructive" are also used with connotations along the lines of ordinariness.)

More generally, in the context of any "unusual" sort of mathematics (not limited to using high-powered foundational axioms), the term "ordinary mathematics" might be used informally to refer to mathematics without that particular unusual aspect.
