
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Mathematics
+-- {: .hide}
[[!include mathematicscontents]]
=--
=--
=--

# Contents
* table of contents
{:toc}

## Scope

In the [[HomePage|nLab]] we appear to currently be interested mainly in the development of ideas of [[category theory]], [[topology]], [[higher category theory]], [[topos theory|sheaf theory]], [[homological algebra]], [[foundations of mathematics]] and the general concept of [[space]], as well as interactions between [[physics]], [[mathematics]] and [[philosophy]]. Hence we will concentrate here on references with similar emphasis and list only a few works for the general history of mathematics ([wikipedia](http://en.wikipedia.org/wiki/History_of_mathematics) has a nice reference list there).


## Spaces, categories, topology, sheaves, topoi, cohomology, ...

* Mathieu B&#233;langer. _Grothendieck et les topos : rupture et continuit&#233; dans les modes
d'analyse du concept d'espace topologique_, thesis, Universit&#233; de Montr&#233;al 2010 [pdf](https://papyrus.bib.umontreal.ca/jspui/bitstream/1866/4759/2/Belanger_Mathieu_2010_these.pdf)
* [[Pierre Cartier]], _A mad day's work: from Grothendieck to Connes and Kontsevich The evolution of concepts of space and symmetry_, Bull. Amer. Math. Soc. __38__ (2001), 389-408, [pdf](http://www.ams.org/bull/2001-38-04/S0273-0979-01-00913-2/S0273-0979-01-00913-2.pdf)
* Ralf Kr&#246;mer, _Tool and object: A history and philosophy of category theory_, Birkh&#228;user 2007
* [[John Bell]], _The development of categorical logic_ ([pdf](http://publish.uwo.ca/~jbell/catlogprime.pdf))
* Jean-Pierre Marquis, Gonzalo E. Reyes, _The history of categorical logic 1963&#8211;1977_, 111 pp. [pdf](https://www.webdepot.umontreal.ca/Usagers/marquisj/MonDepotPublic/HistofCatLog.pdf)

## General history of mathematics

* C. B. Boyer, _A history of mathematics_, 2nd ed. rev. by Uta C. Merzbach. New York: Wiley, 1989
* [[Felix Klein]], _The development of mathematics in 19th century_
* Julian Lowell Coolidge, _A history of geometrical methods_, 1940, Dover Phoenix Editions, Oxford University Press 1940. 
* J. Gray, _The real and the complex: a history of analysis in the 19th
century_, Springer Undergraduate Mathematics Series
* Dirk Jan Struik, _A concise history of mathematics_
* [[Umberto Bottazzini]], _Il flauto di Hilbert: Storia della matematica_, UTET Universit&#224;, 473pp.; _The higher calculus: A history of real and complex analysis from Euler to Weierstrass_, Springer 1986

## Wiki, collection and encyclopaedia articles

* The MacTutor History of Mathematics archive: [html](http://www.gap-system.org/~history)
* Stanford Encyclopaedia of Philosophy [online](http://plato.stanford.edu), [contents](http://plato.stanford.edu/contents.html)
* wikipedia [history of mathematics](http://en.wikipedia.org/wiki/History_of_mathematics)

## Researchers and institutes for history of mathematics
* [hsm](http://hsm.institut.math.jussieu.fr) at Jussieu

## $n$Lab entries with historical information

* [[history of cohomology with local coefficients]]
* [[historical notes on characteristic classes]]
* [[geometry of 19th century]], [[Erlangen program]]
* [[Čech methods]]
* see also [[philosophy]]
* lots of entries on individuals, including for some of the most influential mathematicians in history, e.g. [[Alexander Grothendieck]], [[Jacob Lurie]], [[Maxim Kontsevich]], [[Saunders MacLane]], [[Bourbaki]], [[Alfred Tarski]] etc.


## Other literature

* G.A. Miller, _Felix Klein and the history of modern mathematics_, PNAS 13, 1927, 611-613

The relation of the techniques of the pioneers of infinitesimal calculus and the modern [[nonstandard analysis]] is discussed in

* Piotr Blaszczyk, Vladimir Kanovei, Karin U. Katz, Mikhail G. Katz, Semen S. Kutateladze, David Sherry, _Toward a history of mathematics focused on procedures_, [arxiv/1609.04531](http://arxiv.org/abs/1609.04531)

A collection of articles on XX-century mathematics is in

* Michele Audin (editor), _[[Matériaux pour l’histoire des mathématiques au XXe siècle]]_ - Actes du colloque à la mémoire de Jean Dieudonné (Nice 1996) Séminaires & Congrès. Numèro 3. Paris (Socièté Mathématique de France). 1998. 283 pp.

[[!redirects history]]
