
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Monoidal categories
+--{: .hide}
[[!include monoidal categories - contents]]
=--
#### Group Theory
+-- {: .hide}
[[!include group theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

Fully generally, a _Picard group_ is an [[abelian group]] defined for a [[symmetric monoidal category]] as the group of [[isomorphism classes]] of [[objects]] which are [[invertible object|invertible]] with respect to the [[tensor product]]. 

Traditionally though one speaks in the context of [[geometry]] of the _Picard group_ $Pic(X)$ of some kind of [[space]] and by default means the invertible objects in some monoidal category of something like [[vector bundles]] over $X$. 
Specifically for $X$ a [[ringed topos]] (in particular a [[ringed space]]), then the [[monoidal category]] to be understood is that of locally free [[module sheaves]] over the [[structure sheaf]] and hence the Picard group in this case is that of locally free sheaves of $\mathcal{O}_X$-modules of [[rank]] $1$ (i.e. the [[line bundles]]).

Specifically in [[complex geometry]] these objects on a [[complex manifold]] $X$ are [[holomorphic vector bundles]] and hence in this case the Picard group of a $X$ is that of isomorphism classes of [[holomorphic line bundles]]. This case has an obvious genralization to [[schemes]] in [[algebraic geometry]], and in much of the literature a _Picard group_ is meant to be a Picard group of $\mathbb{G}_m$-[[torsors]] over a given [[scheme]]. In this (and other) geometric situations, the Picard group naturally inherits geometric structure itself and equipped with that it is then called the _[[Picard scheme]]_ (with [[formal geometry|formal]] completion the _[[formal Picard group]]_), see there for more. 

Not [[decategorification|decategorifying]] by passing to isomorphism classes instead yields the concept of [[Picard 2-group]] and geometrically that of [[Picard stack]], see there for more.

## Definition

### General abstract

+-- {: .num_definition}
###### Definition

Given a ([[symmetric monoidal category]]) [[monoidal category]] $(C, \otimes)$, the _Picard group of $(C,\otimes)$ is the group of [[isomorphism classes]] of [[invertible objects]], those that have an [[inverse]] under the [[tensor product]] -- the [[line objects]]. 
Equivalently, this is the [[decategorification]] or [[0-truncated|0-truncation]] of the [[Picard 2-group]], the maximal [[2-group]] inside a monoidal category. 

=--

+-- {: .num_remark}
###### Remark

The Picard group is indeed a [[group]]: First, if $\mathcal{L}$ and $\mathcal{M}$ are elements of $Pic(X)$, then $\mathcal{L}\otimes \mathcal{M}$ is still locally free of rank $1$ as can be seen by taking intersections of the trivializing covers. So $Pic(X)$ is closed under tensor product.

There is an identity element, since $\mathcal{O}_X\otimes \mathcal{L}\simeq \mathcal{L}$. The tensor product is associative.

Lastly, given any invertible sheaf $\mathcal{L}$ we check that $\mathcal{L}^\wedge=\mathcal{Hom}(\mathcal{L}, \mathcal{O}_X)$ is its inverse. Consider $\mathcal{L}^\wedge \otimes \mathcal{L}\simeq \mathcal{Hom}(\mathcal{L}, \mathcal{L})\simeq \mathcal{O}_X$.

=--

### In algebraic geometry

Suppose that $X$ is an integral [[scheme]] over a [[field]]. The correspondence between [[Cartier divisors]] and [[invertible sheaves]] is given by $D\mapsto \mathcal{O}_X(D)$. If $D$ is represented by $\{(U_i, f_i)\}$, then $\mathcal{O}_X(D)$ is $\mathcal{O}_X$-submodule of $\mathcal{K}$, the sheaf of quotients, generated by $f_i^{-1}$ on $U_i$. Under our assumptions, this map is an isomorphism between the Cartier class divisor group and Picard group, but for a general scheme it is only injective. Under the additional assumptions that $X$ is [[separated scheme|separated]] and locally factorial, we get an isomorphism between the class divisor group and $Pic(X)$.

Another form the Picard group takes is from the isomorphism $Pic(X)\simeq H^1(X, \mathcal{O}_X^*)$. The isomorphism is most easily seen by looking at the transition functions for a trivializing cover of $\mathcal{L}$. Suppose $(\phi_i)$ trivialize $\mathcal{L}$ over the cover $(U_i)$. Then $\phi_i^{-1}\circ \phi_j$ is an automorphism of $\mathcal{O}_{U_i\cap U_j}$, i.e. a section of $\mathcal{O}_X^*(U_i\cap U_j)$. One can check this defines a [[Čech cohomology|Čech cocycle]] $\check{H}^1(\mathcal{U}, \mathcal{O}_X^*)$ which is isomorphic to the abelian [[sheaf cohomology]] $H^1(X, \mathcal{O}_X^*)$.

## Examples

* over a [[Riemann surface]]: see at _[Riemann surface -- Picard group of holomorphic line bundles](Riemann+surface#PicardGroupOfHolomorphicLineBundles)_.

## Related concepts

* [[group of units]], **Picard group**, [[Picard stack]]

  * [[Brauer group]], [[Azumaya algebra]]

* [[Picard 2-group]], [[Picard ∞-group]], [[Picard ∞-stack]]

* [[Picard scheme]]

* [[Tate–Shafarevich group]]

[[!include moduli of higher lines -- table]]




## References

### General



### In algebraic geometry

* Robin Hartshorne, Algebraic Geometry

[[!redirects Picard groups]]