
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Complex geometry
+--{: .hide}
[[!include complex geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Definition

A **K3 surface** is a [[Calabi-Yau variety]] of [[dimension]] $2$ (a Calabi-Yau [[algebraic surface]]). This means that the [[canonical bundle]] $\omega_X=\wedge^2\Omega_X\simeq \mathcal{O}_X$ is trivial and $H^1(X, \mathcal{O}_X)=0$.

The term "K3" is ([Weil 79, p. 546](#Weil79))

> in honor of Kummer, Kähler, Kodaira, and the beautiful K2 mountain in Kashmir

## Examples

* A cyclic cover $\mathbb{P}^2$ branched over a curve of degree $6$

* A nonsingular degree $4$ hypersurface in $\mathbb{P}^3$, such as the [[Fermat hypersurface|Fermat quartic]] $\{[w,x,y,z] \in \mathbb{P}^3 | w^4 + x^4 + y^4 + z^4 = 0\}$ (in fact every K3 surface over $\mathbb{C}$ is [[diffeomorphism|diffeomorphic]] to this example).


## Properties

### Basic properties

* All K3 surfaces are [[simply connected]]. 

* The [[Hodge diamond]] is completely determined (even in positive [[characteristic]]) and hence the  [[Hodge-de Rham spectral sequence]] degenerates at $E_1$. This also implies that the [[Betti numbers]] are completely determined as $1, 0, 22, 0, 1$. 

* Over the [[complex numbers]] they are all [[Kähler manifold|Kähler]], and even [[hyperkähler manifold|hyperkähler]].

### Moduli of higher line bundles and deformation theory
 {#ModuliOfHigherLineBundles}

In [[positive number|positive]] [[characteristic]] $p$:

The [[Néron-Severi group]] of a K3 is a [[free abelian group]]

The [[formal Brauer group]] is

* either the formal [[additive group]], in which case it has [[height of a formal group|height]] $h = \infty$, by definition;

* or its [[height of a formal group|height]] is $1 \leq h \leq 10$, and every value may occur

([Artin 74](#Artin74)), see also ([Artin-Mazur 77, p. 5 (of 46)](#ArtinMazur77))

[[!include moduli of higher lines -- table]]

## Related concepts

* [[formal Brauer group]]

* [[K3-cohomology]]

* [[F-theory]],

* [[elliptic fibration]]

## References

Original sources include



* {#Artin74} [[Michael Artin]], _Supersingular K3 Surfaces_, Annal. Sc. d, l'&Eacute;c Norm. Sup.  4e  s&eacute;ries, T. 7, fasc.  4, 1974, pp. 543-568

* {#Weil79} [[Andre Weil]], Final report on contract AF 18 (603)-57. In Scientic works. Collected papers. Vol. II (1951-1964). 1979.

Lecture notes include

* [[Daniel Huybrechts]], _Lectures on K3-surfaces_ ([pdf](http://www.math.uni-bonn.de/people/huybrech/K3Global.pdf))

* [[Claire Voisin]], _<a href="http://www.ams.org/mathscinet-getitem?mr=2487743">Geometry of the Moduli Space of K3 surfaces</a>_ 

* David Morrison, _[The geometry of K3 surfaces](http://www.cgtp.duke.edu/ITP99/morrison/cortona.pdf)_ Lecture notes (1988)

* Viacheslav Nikulin, _Elliptic fibrations on K3 surfaces_ ([arXiv:1010.3904](http://arxiv.org/abs/1010.3904))




Discussion of the [[deformation theory]] of K3-surfaces (of their [[Picard schemes]]) is (see also at _[[Artin-Mazur formal group]]_) in 

* {#ArtinMazur77} [[Michael Artin]], [[Barry Mazur]], _Formal Groups Arising from Algebraic Varieties_, Annales scientifiques de l'École Normale Supérieure, Sér. 4, 10 no. 1 (1977), p. 87-131  [numdam](http://www.numdam.org/item?id=ASENS_1977_4_10_1_87_0), [MR56:15663](http://www.ams.org/mathscinet-getitem?mr=56:15663)
 
[[!redirects K3 surfaces]]

[[!redirects K3]]

[[!redirects K3-surface]]
[[!redirects K3-surfaces]]
