[[!redirects standard conjectures on algebraic cycles]]
[[!redirects standard conjectures]]

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

What are called the __standard conjectures on algebraic cycles__ are several [[conjectures]] brought up by [[Grothendieck]], concerned with the relation between [[algebraic cycles]] and [[Weil cohomology]] theories. 

"The first (Lefschetz standard conjecture) is an existence assertion for algebraic cycles, the second (Hodge standard conjecture) is a statement of positivity, generalising Weil's well-known positivity theorem in the theory of [[abelian varieties]]" ([Grothendieck - 68](#Grothendieck68)). 

"But in the category of [[pure motives]], from the start one dealt only with [[algebraic cycles]], represented by correspondences, and it was intuitively not at all clear how on earth they could convey information about transcendental cycles. Indeed, the main function of the “Standard Conjectures” was to serve as a convenient bridge from algebraic to transcendental. Everything that one could prove without them
was indeed “plus ou moins trivial” – until people started treating correspondences
themselves using sophisticated [[homological algebra]] (partly generated by the development of  ́étale cohomology and Grothendieck–Verdier’s introduction of derived
and [[triangulated categories]]). ([Y. Manin - 2014](#YManin2014)).

They were also followed by the [[Beilinson conjectures]]".

## Conclusions

The proof of the two standard conjectures would yield results going considerably further than Weil's conjectures. They would form the basis of the so-called "theory of [[motive]]s" which is a systematic theory of "arithmetic properties" of [[algebraic variety]](ies), as embodied in their groups of classes of cycles for numerical equivalence. We have at present only a very small part of this theory in dimension one, as contained in the theory of [[abelian variety]](ies).
Alongside the problem of resolution of singularities, the proof of the standard conjectures seems to me to be the most urgent task in algebraic geometry.   ([Grothendieck - 68](#Grothendieck68))

## References

* {#Grothendieck68}[[A. Grothendieck]], _Standard Conjectures on Algebraic Cycles_, Algebraic Geometry (Internat. Colloq., Tata Inst. Fund. Res., Bombay, 1968), Oxford University Press, pp. 193–199, [pdf](http://www.math.jussieu.fr/~leila/grothendieckcircle/StandardConjs.pdf)
* [[Steven Kleiman]], _Algebraic cycles and the Weil conjectures_, in: Dix exposés sur la cohomologie des schémas, North-Holland, pp. 359–386, 1968, [MR0292838](http://www.ams.org/mathscinet-getitem?mr=0292838); _The standard conjectures_, Motives (Seattle, WA, 1991), Proc. of Symposia in Pure Math. __55__, American Mathematical Society, pp. 3–20, 1994, [MR1265519](http://www.ams.org/mathscinet-getitem?mr=1265519)
* {#YManin2014}[[Yuri Manin]], _Forgotten Motives: the Varieties of Scientific Experience_ ([arXiv:1402.2155](http://arxiv.org/abs/1402.2155))
* [[Alexander Beilinson]], _Remarks on Grothendieck's standard conjectures_ ([arXiv:math/1006.116](http://arxiv.org/abs/1006.1116))
* [[James Milne]], _Polarizations and Grothendieck's standard conjectures_ ([ 	arXiv:math/0103175](http://arxiv.org/abs/math/0103175))
* [[Yves Andre]], _Une introduction aux motifs (motifs purs, motifs mixtes, périodes), Panoramas et Synthèses 17, Paris: Société Mathématique de France (2204)_ ([pdf](http://tomlr.free.fr/Math%E9matiques/Andre,%20Y%20-%20Une%20Introduction%20aux%20Motifs%20%28SMF%202004%29.pdf))
* Mathoverflow, _Progress on the standard conjectures on algebraic cycles_([pdf](http://mathoverflow.net/questions/176122/progress-on-the-standard-conjectures-on-algebraic-cycles))
* [[Voevodsky]], _From motives to motivic homotopy types_, Visions in mathematics, Tel Aviv, August-September 1999 ([pdf](http://www.math.ias.edu/vladimir/files/from_motives_to_motivic_homotopy.pdf))
* [[K. Voelkel]], _Seminar on motives, Standard conjectures_ ([pdf](http://www.konradvoelkel.com/wp-content/uploads/talk7-conjectures.pdf))
* Secret blogging seminar, _The Weil conjectures: the approach via the standard conjectures_ ([pdf](https://sbseminar.wordpress.com/2010/05/03/the-weil-conjectures-the-approach-via-the-standard-conjectures/))
* wikipedia [standard conjectures on algebraic cycles](http://en.wikipedia.org/wiki/Standard_conjectures_on_algebraic_cycles)

For the [[Beilinson conjectures]], see the references there.

[[!redirects standard conjecture]]
[[!redirects standard conjectures on algebraic cycles]]