[[!redirects global analytic geometry]]
[[!redirects global analytic spaces]]
[[!redirects global analytic space]]


+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Analytic geometry
+--{: .hide}
[[!include analytic geometry -- contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

Global [[analytic geometry]] is a developing subject that gives an alternative/complementary approach to scheme theory in [[arithmetic geometry]] and [[analytic number theory]]. The starting point of this theory is in Vladimir Berkovich's book about spectral theory and non-archimedean analytic geometry. It was then developped further by [[Jérôme Poineau]].

Many interesting results on polynomial equations can be proved using the mysterious interactions between algebraic, complex analytic and p-adic analytic geometry. The aim of global analytic geometry is to construct a category of spaces which contains these three geometries.

## Motivation
 {#Motivation}

Global analytic geometry

* combines [[non-archimedean analytic geometry|non-archimedean]] and archimedean [[analytic geometry]];

* contains [[algebraic geometry]] as a sub-theory;

* treats all [[places]] on equal footing, contrary to scheme theory. This implies that it is closer in spirit to the automorphic philosophy and [[Langlands program]], and more historically to Tate's proof of the [[functional equation]].

One aim of the theory is to define, using global analytic tools, a good [[Hodge theory]] for arithmetic varieties.

## Possible set of initial constraints
For a [relaxed](http://en.wikipedia.org/wiki/Relaxation_%28approximation%29) approach to global Hodge theory: it is not an easy task to find a good set of constraints on such a [[global Hodge theory]], but they are useful to  understand better the motivations underlying the construction of global analytic spaces.

1. having a good theory of linear coefficients on global analytic spaces,
with the Grothendieck six operations (this should be done by the use of the étale [[sub-analytic]] topology in characteristic $0$, and by a `probably quite hard to develop in characteristic p, but easy to develop in characteristic 0`
model theoretical description of [[definable]] sets for the étale G-topology on strict and non-strict overconvergent analytic spaces). It seems that global analytic motivic
spectral coefficients (given by imposing homotopy invariance with respect to the unit
disc are not so well adapted to the study of torsion phenomena in the characteristic p situation).
2. having a good theory of higher and [[derived global analytic geometry]], with a well-behaved notion of de Rham type cohomology theory and a Chern character. The constraints on such a theory would be:
* get back (or be isomorphic to) the usual algebraic de Rham Chern character when one works with usual schemes.
* get back the p-adic analytic de Rham Chern character (on Ayoub's motivic cohomology) of dagger spaces when one works with dagger p-adic spaces.
* get back the usual de Rham Chern character when one works over $\C$.

This first set of constraints is worked out in the theory of [[overconvergent global analytic geometry]].

The problems related to the torsion phenomena for coefficients in characteristic $p$ may be perhaps be solved by the development of a really non-linear analytic homotopy theory, meaning a proper theory of [[spectral global analytic geometry]].

## A more optimistic set of constraints

1. having a theory of derived analytic microlocalization of sheaves and differential equations, allowing the proper settlement of a [[global analytic index theory]].

1. being able to prove the functional equation of [[zeta functions]] of arbitrary [[arithmetic varieties]];

2. being able to settle down an [[analytic langlands program]], giving a correspondence between general (non-algebraic) [[automorphic representations]] and a sort of global [[analytic motives]]. The p-adic Langlands program should be a particular case of this general construction when the base Banach ring is $\mathbb{Z}_p$.

1. being able to devise a robust and simple enough [[arithmetic cryptography]] protocol based on a [[discrete logarithm problem]] or on a [[cohomological product problem]] on a given [[geometric cohomology]] theory for global analytic spaces. 

Argument in favor of its use are:

* the fact that archimedean factors are deeply related to (real and complex analytic)
[[Hodge theory]];

* the fact that all [[proofs]] of parts of [[local Langlands program]] use deeply non-archimedean analytic spaces that are out of the scope of classical algebraic scheme theory.

## Related concepts

* [[Berkovich space]], [[Huber space]], [[perfectoid space]]

* [[Arakelov geometry]]

* [[function field analogy]]

* [[Arithmetic cryptography]]

* [[global analytic index theory]]

* [[overconvergent global analytic geometry]]

* [[spectral global analytic geometry]]

## References


A short introduction for large audience is in 

* {#Poineau07} [[Jérôme Poineau]], _Global analytic geometry_, pages 20-23 in EMS newsletter September 2007 ([pdf](http://www.ems-ph.org/journals/newsletter/pdf/2007-09-65.pdf))

For more see

* [[Jérôme Poineau]], _La droite de Berkovich sur Z_, Asterisque 334 (2010). 

  (on fundamental properties of the [[affine line]])

* [[Jérôme Poineau]], _Espaces de Berkovich sur Z: etude locale_  [arXiv:1202.0799](http://arxiv.org/abs/1202.0799) 

  (on the coherence of the sheaf of analytic functions on higher dimensional affine spaces)

* {#Paugam08} [[Frédéric Paugam]], _Overconvergent global analytic geometry_
([preprint](http://webusers.imj-prg.fr/~frederic.paugam/documents/Overconvergent-Global-Analytic-Geometry.pdf))

* {#Paugam08} [[Frédéric Paugam]], _Global analytic geometry_ ([arXiv:0803.0148](http://arxiv.org/abs/0803.0148))


* [[Frédéric Paugam]], _Global analytic geometry and the functional equation_, lecture notes ([pdf](http://www.math.jussieu.fr/~fpaugam/documents/enseignement/master-global-analytic-geometry.pdf)) 


* {#BassatKremnitzer13} [[Oren Ben-Bassat]], [[Kobi Kremnizer]], section 7 of _Non-Archimedean analytic geometry as relative algebraic geometry_ ([arXiv:1312.0338](http://arxiv.org/abs/1312.0338))

[[!redirects global analytic geometries]]