
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Category theory
+-- {: .hide}
[[!include category theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The [[category theory|category theoretic]] notions of 

* _[[category]]_ and _[[object]]_ 

on the one hand and of 

* _[[theory]]_ and _[[model]]_ 

on the other have been suggested ([Lawvere](#Lawvere)) to usefully formalize, respectively, the heuristic notions 

* "general" and "particular" 

as well as 

* "abstract" and "concrete", respectively. 

We have:

* a ([[syntactic category]] of a) [[Lawvere theory]] $T$ (or the equivalent in any [[doctrine]]) $T$ is an _abstract general_ or _abstract universal_ (*abstraktes Allgemeines*)

* the [[category]] $T Mod(E)$ of $T$-[[models]]/[[algebra over an algebraic theory|algebras]] in any context $E$ is a _concrete general_ or _concrete universal_

* an [[object]] of any $T Mod(E)$ is a _particular_.

That seems to be roughly what is suggested in [Lawvere](#Lawvere). Of course one could play with this further and consider further refinement such as

* a (generating) [[object]] in $T$ is an _abstract particular_ ;

* an [[object]] of any $T Mod(E)$ is a _concrete particular_.




## Examples

### Groups

The [[syntactic category]] $T_{Grp}$ of the [[theory]] of [[group]]s is the "general abstract" of groups. Its essentially unique generating object is  _the abstract particular_ group.

The category $T_{Grp} Mod(Set) = $ [[Grp]] of all groups is the _concrete general_ of groups.

An object in there is some [[group]]: a concrete particular.

## References

The [[category theory|category-theoretic]] formalization of these notions as proposed by Bill Lawvere is disussed in print for instance in

* {#Lawvere} [[Bill Lawvere]], _Categorical refinement of a Hegelian principle_, section 1 of [[Bill Lawvere]], _[[Tools for the advancement of objective logic]] -- Closed categories and toposes_, in John Macnamara, [[Gonzalo Reyes]], _the logical foundations of cognition_, Oxford University Press (1994)
  

See also an email comment recorded [here](http://conceptualmathematics.wordpress.com/2012/06/09/general-concepts-and-reality-prof-f-william-lawvere/).

For discussion of "particular" and related in [[philosophy]] see also

The terminology is inspired by 

* [[Georg Hegel]], _[[Science of Logic]]_,

{#HegelQuotes} for instance 

> [EL§61](Science+of+Logic#EL61) If we are to believe the Critical philosophy, thought is subjective, and its ultimate and invincible mode is abstract universality or formal identity. Thought is thus set in opposition to Truth, which is no abstraction, but concrete universality. In this highest mode of thought, which is entitled Reason, the Categories are left out of account. The extreme theory on the opposite side holds thought to be an act of the particular only, and on that ground declares it incapable of apprehending the Truth. This is the Intuitional theory.

> [§71](Science+of+Logic#71) It is only after profounder acquaintance with the other sciences that logic ceases to be for subjective spirit a merely abstract universal and reveals itself as the universal which embraces within itself the wealth of the particular 

> [§1323](Science+of+Logic#1323) This universal Notion, which we have now to consider here, contains the three moments: universality, particularity and individuality.

> [§1337b](Science+of+Logic#1337b) When people talk of the determinate Notion, what is usually meant is merely such an abstract universal.

> [§1599](Science+of+Logic#1599) Such a universal which merely subsumes, is an abstraction which only becomes concrete in something else, in the particular. End, on the contrary, is the concrete universal, which possesses in its own self the moment of particularity

> [PS§456b](Science+of+Logic#PS456b) This common element is either any one particular side of the object raised to the form of universality, such as, for example, in the rose, the red colour; or the concrete universal, the genus, for example, in the rose, the plant; 

See also in and around the section [The genus](Science+of+Logic#TheGenus)

Survey of thes Hegelian ideas includes

* {#HibbenLuft} John Grier Hibben, Eric v.d. Luft, _Hegel's Shorter Logic: An Introduction and Commentary_

where on p. 143 it says about the _Shorter Logic_:

> Particularity and individuality are related as "abstract" and "concrete", respectively. The particular is the "abstract individual". The individual is the "concrete particular". The universal is their union, and may be either "abstract" or "concrete". The so-called "concrete universal" is Hegel's gold standard for conceptual thought $[$...$]$.

as well as

* Robert Stern, _Hegel, british idealism, and the curious case of the concrete universal_, British Journal for the History of Philosophy 15(1) 2007: 115 – 153 ([pdf](http://www.sheffield.ac.uk/polopoly_fs/1.101730!/file/concrete-universal-published.pdf))


For general related discussion see also

* Wikipedia, _[Particular](http://en.wikipedia.org/wiki/Particular)_, _[Abstract particular](http://en.wikipedia.org/wiki/Abstract_particulars)_



[[!redirects abstract general]]
[[!redirects abstract generals]]

[[!redirects abstract universal]]

[[!redirects general abstract]]

[[!redirects concrete general]]
[[!redirects general concrete]]

[[!redirects concrete general]]
[[!redirects concrete generals]]

[[!redirects concrete universal]]

[[!redirects concrete particular]]
[[!redirects concrete particulars]]

[[!redirects abstract particular]]
[[!redirects abstract particulars]]

[[!redirects abstract general, concrete general and concrete particular]]
[[!redirects abstract general, concrete general, and concrete particular]]
[[!redirects abstract general, concrete general, concrete particular]]