
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

### In quantum field theory

In [[quantum field theory]] an _instanton_ is a [[configuration space|field configuration]] with a "topological twist": not in the connected component of the trivial field configurations. Specifically for [[gauge fields]] which mathematically are represented by [[principal connections]], an instanton is a nontrivial underlying [[principal bundle]] (or similarly non-trivial [[associated bundle|associated]] [[vector bundle]]).

The term derives from the special case of instantons on a [[sphere]] but modeled as field configurations on a [[Euclidean space]] constrained to vanish asymptotically. These look like solutions localized in [[spacetime]]: "at an instant".

Instantons enter the [[axial anomaly]]/[[chiral anomaly]] in the [[standard model of particle physics]] which is thought to be a source of [[baryogenesis]] in the early universe. Generally the [[QCD]] [[vacuum]] state is argued to consist of a [[superposition]] of all possible instanton sectors, see at _[[QCD instanton]]_.

### In string theory

More generally, in [[string theory]] a [[brane]] which wraps a completely [[spacelike]] cycle in [[target space]] is called an _instanton_, since the [[worldvolume]] of such a brane is localized in the [[time]]-direction of target space. Under passing to the [[effective quantum field theory]] of the string theory, this reproduces many instantons in the sense of quantum field theory above.


## Examples

* [[Yang-Mills instanton]]

  * [[instanton in QCD]]

* [[Coleman-De Luccia instanton]]

* [[wrapped brane]]

  * [[membrane instanton]]

  * [[D3-brane instanton]]

  * [[M5-brane instanton]]

## Related concepts

* [[Yang-Mills instanton]]

* [[contact instanton]]

* [[instanton sector]]

* [[non-perturbative effect]], [[non-perturbative quantum field theory]], [[non-perturbative string theory]]

* [[renormalon]]

* [[caloron correspondence]]

* [[brane]]

* [[Spin(7)-instanton]]

* [string theory FAQ -- Isn't it fatal that the string perturbation series does not converge?](string+theory+FAQ#NonConvergenceOfPerturbationSeries)


[[!include gauge field - table]]


## References
 {#References}

### In quantum field theory and specifically Yang-Mills theory

* [[Dan Freed]], [[Karen Uhlenbeck]], _Instantons and four-manifolds_, Springer-Verlag, (1991) 
* Nicholas Manton, Paul M. Sutcliffe, _Topological solitons_, Cambridge Monographs on Math. Physics, [gBooks](http://books.google.com/books?id=e2tPhFdSUf8C)

* [[Werner Nahm]], _Self-dual monopoles and calorons_, in _Group theoretical methods in physics_ (Trieste, 1983), pages 189-200. Springer, Berlin (1984) ([journal](http://www.springerlink.com/index/y005405w74862327.pdf))

* {#Tong05} [[David Tong]], _TASI Lectures on Solitons_ ([arXiv:hep-th/0509216](https://arxiv.org/abs/hep-th/0509216)), _Lecture 1: Instantons_ ([pdf](http://www.damtp.cam.ac.uk/user/tong/tasi/instanton.pdf))


See also literature at [[Yang-Mills instanton]].

Yang-Mills instantons on spaces other than just spheres are explicitly discussed in 

* [[Gabor Kunstatter]], _Yang-mills theory in a multiply connected three space_, Mathematical Problems in Theoretical Physics: Proceedings of the VIth International Conference on Mathematical Physics Berlin (West), August 11-20,1981. Editor: R. Schrader, R. Seiler, D. A. Uhlenbrock, Lecture Notes in Physics, vol. 153, p.118-122 ([web](http://adsabs.harvard.edu/abs/1982LNP...153..118K))

based on 

* [[Chris Isham]] [[Gabor Kunstatter]], Phys. Letts. v.102B, p.417, 1981. ([doi](http://dx.doi.org/10.1016/0370-2693%2881%2991244-2))

* [[Chris Isham]] [[Gabor Kunstatter]], J. Math. Phys. v.23, p.1668, 1982. ([doi](http://dx.doi.org/10.1063/1.525552))

A generalization is discussed in 

* [[Edward Frenkel]], A. Losev, [[Nikita Nekrasov]], _Instantons beyond topological theory I_ ([arXiv:hep-th/0610149](http://arxiv.org/abs/hep-th/0610149))

* [[Edward Frenkel]], A. Losev, [[Nikita Nekrasov]], _Instantons beyond topological theory II_ ([arXiv:hep-th/0610149](http://arxiv.org/abs/0803.3302))

Expositions and summaries of this are in 

* [[Edward Frenkel]], A. Losev, [[Nikita Nekrasov]], _Notes on instantons in topological field theory and beyond_ ([arXiv:hep-th/0702137](http://arxiv.org/abs/hep-th/0702137))

* [[Jacques Distler]], _Localized_ (2006) ([blog post](https://golem.ph.utexas.edu/~distler/blog/archives/001030.html))

### In string theory

In [[string theory]] (for [[D-branes]]).

* {#Witten00} [[Edward Witten]], _World-Sheet Corrections Via D-Instantons_, JHEP 0002:030, 2000 ([arXiv:hep-th/9907041](http://arxiv.org/abs/hep-th/9907041))

* Albion Lawrence, [[Nikita Nekrasov]], _Instanton sums and five-dimensional gauge theories_, Nucl.Phys. B513 (1998) 239-265 ([arXiv:hep-th/9706025](http://arxiv.org/abs/hep-th/9706025))

The study of M-brane instantons originates around

* {#BeckerBeckerStrominger95} [[Katrin Becker]], [[Melanie Becker]], [[Andrew Strominger]], _Fivebranes, Membranes and Non-Perturbative String Theory_, Nucl.Phys.B456:130-152,1995 ([arXiv:hep-th/9507158](http://arxiv.org/abs/hep-th/9507158))

Specifically [[membrane instantons]] are further discussed in

* [[Jeffrey Harvey]], [[Gregory Moore]], _Superpotentials and Membrane Instantons_ ([arXiv:hep-th/9907026](http://arxiv.org/abs/hep-th/9907026))

and 5-brane instantons in

* [[Edward Witten]], _Non-Perturbative Superpotentials In String Theory_, Nucl.Phys.B474:343-360,1996 ([arXiv:hep-th/9604030](http://arxiv.org/abs/hep-th/9604030))


In the context of [[F-theory]] and [[M5-brane]] instantons:

* Max Kerstan, [[Timo Weigand]], _Fluxed M5-instantons in F-theory_ ([arXiv:1205.4720](http://arxiv.org/abs/1205.4720))

[[!redirects instanton]]
[[!redirects instantons]]