This entry is about the noncommutative Fourier transform in the sense of [[Mikhail Kapranov]]. 

There is a different notion of a Fourier transform in the context of Hopf algebras which is sometimes also called the noncommutative Fourier transform, but in $n$Lab it will be described in an entry under the other common name, [[quantum group Fourier transform]] (studied by [[Shahn Majid]] and others). 

## Motivation

In physics there is a notion of large N limit of gauge theories; N here denotes the size of matrices, e.g. related to the gauge SO(N) group. For large N remarkable simplifications happen to the behaviour of correlation functions and the gauge theory is very much like string theory. 

In some other formal considerations one also sees that if one discretizes the space of loops in some space and approximates them with discrete walks and the steps in different dimensional directions are labeled by different noncommutative variables then one has a rough approximation of loops by words. Thus the walks on free groups and spaces of loops are somehow comparable. There is a conjectural noncommutative Fourier transform which should make this precise. Some examples of this type of theory are already constructed.


## Literature

* lecture at msri 2000 _Noncommutative neighborhoods and noncommutative Fourier transform_: [link](http://msri.org/publications/ln/msri/2000/interact/kapranov/1/index.html)

* M. Kapranov, _Noncommutative geometry and path integrals_, [math.QA/0612411](http://arxiv.org/abs/math/0612411)