
# The development and current state of mathematics
* table of contents
{: toc}

This is not part of [[philosophy]] in a narrow sense, but the opinions on what is good [[mathematics]], how mathematics could develop better, and how it should be stimulated to develop, as well as overviews of the current state of mathematics and its important points, is an important part of reflection, but also of the practical action of a mathematician.


## On the relation between conjectural and proved mathematics styles

This is a topic of a well-known discussion series in 1990s.

* Arthur Jaffe, Frank Quinn, _"Theoretical mathematics": Toward a cultural synthesis of mathematics and theoretical physics_ , Bull. Amer. Math. Soc. (N.S.) __29__ (1993), no. 1, 1--13; [MR94h:00007](http://www.ams.org/mathscinet-getitem?mr=1202292),[math.HO/9307227](http://arxiv.org/abs/math.HO/9307227), [doi](http://dx.doi.org/10.1090/S0273-0979-1993-00413-0)

* [[Michael Atiyah]], [[Armand Borel]], G. J. Chaitin, Daniel Friedan, James Glimm, Jeremy J. Gray, Morris W. Hirsch, [[Saunders MacLane]], Benoit B. Mandelbrot, David Ruelle, [[Albert Schwarz]], Karen Uhlenbeck, René Thom, [[Edward Witten]], Christopher Zeeman, _Responses to "Theoretical Mathematics: Toward a cultural synthesis of mathematics and theoretical physics", by A. Jaffe and F. Quinn_, Bull. Am. Math. Soc. __30__:178-207, 1994, [math.HO/9404229](http://arxiv.org/abs/math/9404229)

* [[Michael Atiyah]], _Reflections on geometry and physics_, Surveys in differential geometry, Vol. II (Cambridge, MA, 1993), 1–6, Int. Press, Cambridge, MA, 1995.

* [[William P. Thurston]],  _On proof and progress in mathematics_, Bull. Amer. Math. Soc. (N.S.) __30__ (1994), no. 2, 161–177, [MR94m:00006](http://www.ams.org/mathscinet-getitem?mr=1249357), [doi](http://dx.doi.org/10.1090/S0273-0979-1994-00502-6), [arxiv/math.HO](http://arxiv.org/abs/math/9307227)

* David Corfield at el. _Wittgenstein and Thurston on understanding_,  [nCafe](http://golem.ph.utexas.edu/category/2006/10/wittgenstein_and_thurston_on_u.html)

Somewhat later and with different scope, but related to this series, is also a long article

* Frank Quinn, _Contributions to a science of contemporary mathematics_, [pdf](http://www.math.vt.edu/people/quinn/history_nature/nature0.pdf)


## Some other issue

* The [[big picture]] in [[mathematics]].


[[!redirects opinions on the development of mathematics]]
[[!redirects opinions on development of mathematics]]
[[!redirects development of mathematics]]
[[!redirects development and current state of mathematics]]
