
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Differential geometry
+--{: .hide}
[[!include synthetic differential geometry - contents]]
=--
#### Differential cohomology
+--{: .hide}
[[!include differential cohomology - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

For $X$ a [[space]] equipped with a $G$-[[connection on a bundle]] $\nabla$ (for some [[Lie group]] $G$) and for $x \in X$ any point, the [[parallel transport]] of $\nabla$ assigns to each [[curve]] $\Gamma : S^1 \to X$ in $X$ starting and ending at $x$ an element $ hol_\nabla(\gamma) \in  G$: the [[holonomy]] of $\nabla$ along that curve.

The **holonomy group** of $\nabla$ at $x$ is the subgroup of $G$ on these elements.

If $\nabla$ is the [[Levi-Civita connection]] on a [[Riemannian manifold]] and the holonomy group is a proper subgroup $H$ of the [[special orthogonal group]], one says that $(X,g)$ is a manifold of **special holonomy** .

## Properties

### Classification

[[Berger's theorem]] says that if a [[manifold]] $X$ is

* [[simply connected topological space|simply connected]]

* neither locally a product nor a [[symmetric space]]

then the possible special holonomy groups are the following

[[!include special holonomy table]]



### Relation to $G$-reductions

A manifold having special holonomy means that there is a corresponding
[[reduction of structure groups]]. 

+-- {: .num_theorem}
###### Theorem

Let $(X,g)$ be a [[connected topological space|connected]] [[Riemannian manifold]]
of [[dimension]] $n$ with [[holonomy group]]  $Hol(g) \subset O(n)$.

For $G \subset O(n)$ some other [[subgroup]], $(X,g)$ admits a torsion-free 
[[G-structure]] precisely if $Hol(g)$ is [[adjoint action|conjugate]] to 
a [[subgroup]] of $G$.

Moreover, the space of such $G$-structures is the [[coset]] $G/L$,
where $L$ is the group of elements suchthat conjugating $Hol(g)$ with them
lands in $G$.

=--

This appears as ([Joyce prop. 3.1.8](#Joyce))


### Via $\mathbb{O}$-Riemannian manifolds

[[!include normed division algebra Riemannian geometry -- table]]

## Related concepts

* [[stable form]], [[definite form]]

* [[connection on a bundle]]

  * [[connection on a 2-bundle]], [[connection on an infinity-bundle]]

* [[parallel transport]], [[higher parallel transport]]

* [[holonomy]]

  * [[holonomy group]]

  * **special holonomy**, [[reduction of structure groups]], [[G-structure]],  [[exceptional geometry]], [[Walker coordinates]]

## References

The classification in [[Berger's theorem]] is due to

* {#Berger} M. Berger, _Sur les groupes d’holonomie homog&egrave;ne des vari&eacute;t&eacute;s &agrave; connexion affine et des
vari&eacute;t&eacute;s riemanniennes_, Bull. Soc. Math. France 83 (1955)
 

For more see

* [[Nigel Hitchin]], _Special holonomy and beyond_, Clay Mathematics Proceedings ([pdf](https://people.maths.ox.ac.uk/hitchin/hitchinlist/clay.pdf))

* {#Joyce} [[Dominic Joyce]], _Compact manifolds with special holonomy_ , Oxford Mathematical Monographs (2000)
  
* Luis J. Boya, _Special Holonomy Manifolds in Physics_ Monograf&iacute;as de la Real Academia de Ciencias de Zaragoza. 29: 37–47, (2006). ([pdf](http://www.unizar.es/acz/05Publicaciones/Monografias/MonografiasPublicadas/Monografia29/037.pdf))

Discussion of the relation to [[Killing spinors]] includes

* Andrei Moroianu, [[Uwe Semmelmann]], _Parallel spinors and holonomy groups_, Journal of Mathematical Physics 41 (2000), 2395-2402 ([arXiv:math/9903062](http://arxiv.org/abs/math/9903062))

Discussion in terms of [[Riemannian geometry]] modeled on [[normed division algebras]] is in

* {#Leung02} [[Naichung Conan Leung]], _Riemannian Geometry Over Different Normed Division Algebras_, J. Differential Geom. Volume 61, Number 2 (2002), 289-333. ([publisher page](http://projecteuclid.org/euclid.jdg/1090351387))

See also

* {#Freudenthal65} [[Hans Freudenthal]], _Lie groups in the foundations of geometry_, Advances in Mathematics, volume 1, (1965) pp. 145 - 190 ([dspace](http://dspace.library.uu.nl/handle/1874/17442))




[[!redirects manifold with special holonomy]]
[[!redirects manifolds with special holonomy]]