
Recall that a _counterexample_ to a conjecture is a way to satisfy the hypotheses of the conjecture such that the conclusion is a contradiction.  In [[constructive mathematics]] and the [[foundations of mathematics]], a __weak counterexample__ to a theorem from (typically) [[classical mathematics]] is a way to satisfy the hypotheses of the theorem such that the conclusion is unacceptable in some way, without being an outright contradiction.

Weak counterexamples were first (at least under that name) used informally by [[Jan Brouwer]] in [[intuitionistic mathematics]].  They can be made into bona fide counterexamples by specifying a formal system and checking one of the following:

*  [[proof theory|Proof-theoretically]], if the unacceptable conclusion is known to be unprovable in the system, then we have a counterexample to the conjecture that every instance of the classical theorem can be proved in the system.

*  [[model theory|Model-theoretically]], if a model is known in which the unacceptable conclusion fails, then we have a counterexample to the conjecture that the classical theorem is true in every model of the system.

Either way, we now know that the classical theorem cannot be proved in the formal system.  One typically uses a weak counterexample when the classical theorem cannot be outright refuted.
