
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

### In quantum field theory
 {#InQuantumFieldTheory}

In [[quantum field theory]] a _vacuum state_ is supposed to be a [[quantum state]] that expresses the absence of any [[particle]] excitations of the fields.

On [[Minkowski spacetime]] the _[[vacuum state]]_ for a [[free field theory]] is the standard [[Hadamard state]]. On general [[globally hyperbolic spacetimes]] there are always [[Hadamard states]], and they do play the role of the vacuum state in  the construction of [[AQFT on curved spacetimes]], see at _[[locally covariant perturbative AQFT]]_. Notably the choice of such a Hadamard state fixes the _[[Feynman propagator]]_, hence the [[time-ordered product]] of [[quantum observables]] and thus the [[perturbative quantum field theory|perturbative]] [[S-matrix]] away from coinciding interaction points (the [[extension of distributions|extension of these distributions]] to coinciding interaction points is the process of [[renormalization]]).

However, since on a general [[globally hyperbolic spacetime]] there is no globally well-defined concept of [[particles]], there is in general no concept of vacuum state. But under good conditions (such as existence of suitable [[timelike]] [[Killing vectors]]) one may identify Hadamard states which deserve to be thought of as vacuum states ([Brum-Fredenhagen 13](vacuum+state#BrumFredenhagen13)).


### In string theory

As mentioned [above](#InQuantumFieldTheory), in [[perturbative quantum field theory]] a choice of [[vacuum state]] (more generally: [[Hadamard state]]) defines the [[Feynman propagator]], hence the [[time-ordered product]] of [[quantum observables]] and thus the perturbative [[S-matrix]] away from coinciding interaction points and [[extension of distributions|extended]] to coincing interaction points via a choice of [[renormalization]].


Now [[perturbative string theory]] is not a [[local field theory]], in which the [[S-matrix]] is derived (up to choice of [[vacuum state]] and [[renormalization]]) from a [[local Lagrangian density]], but is _defined_ by _declaring_ the [[string perturbation series]] (obtained by other means, namely by [[2d CFT]] [[correlators]]) to be the [[scattering matrix]].

Hence while a vacuum in [[perturbative string theory]] cannot be a [[quantum state]] as in [[local field theory]] (since there is a priori just no [[free field]] [[Wick algebra]] that it could be a [[quantum state]] on), it makes sense to define a vacuum of perturvative string theory to be whatever data it takes to define the stringy [[S-matrix]], namely the [[string perturbation series]]. This datum is that of a [[2d SCFT]] (of [[central charge]] 15).

Hence in [[perturbative string theory]] the vacua of the [[effective QFT|effective background QFT]] are at the same time identified with certain 2-dimensional [[CFT]]s -- which for "geometric vacua" are the [[string]] [[sigma-models]] which have the given [[effective QFT]] as their [[second quantization]].

Perturbative string theory is _defined_ as the [[string perturbation series]] of these [[sigma-models]] about these vacua.

The [[moduli space]] of these vacua -- which is hardly understood -- has come to be called the _[[landscape of string theory vacua]]_ .

## Examples

* _[Higgs field -- Mass and Vacuum (in-)stability](Higgs+field#MassAndVacuumInstability)_


## Related concepts

* [[vacuum state]], [[Hadamard state]]

* [[vacuum expectation value]], [[vacuum amplitude]], [[vacuum fluctuation]]

* [[vacuum energy]]

* [[interacting vacuum]]

* [[vacuum stability]]

* [[false vacuum]], [[tachyon]], [[Coleman-De Luccia instanton]]

* [[theta vacuum]]

* [[perturbative string theory vacuum]]

* [[landscape of string theory vacua]]

* [[QFT with defects|topological defects]] due to [[spontaneous symmetry breaking]]

  * [[domain wall]], [[cosmic string]], [[monopole]]

* [[Yang-Mills instanton]]

  * [[BPTS instanton]]

  * [[instanton in QCD]], [[QCD vacuum]]


* [string theory FAQ -- What does it mean to say that string theory has a "landscape of solutions"?](http://ncatlab.org/nlab/show/string+theory+FAQ#WhatDoesItMeanToSayStringTheoryHasALandscapeOfSolutions)


[[!redirects vacua]]