
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The [[mechanics]] of _rigid bodies_ in [[Cartesian space]].

Up to the dynamics of the [[center of mass]], this is the special case of [[Hamiltonian dynamics on Lie groups]] for the case of the [[special orthogonal group]] $SO(n)$.

Often this is considered (only) for $n = 3$, which is the case pertaining to rigid bodies in observable nature.

## Related concepts

* [[non-relativistic particle]]

* [[Hamiltonian dynamics on Lie groups]]

  * **rigid body dynamics**

    * [[angular velocity]]

    * [[angular momentum]]
 
    * [[moment of inertia]]

* [[solid state physics]]

## References

A general introduction is in section 1.1d of 

* [[Theodore Frankel]], _[[The Geometry of Physics - An Introduction]]_

A discussion from the more general perspective of [[Hamiltonian dynamics on Lie groups]] is in section 4.4 of 

* [[Ralph Abraham]], [[Jerrold Marsden]], _[[Foundations of Mechanics]]_ 

* [[Vladimir Arnol'd]], _[[Mathematical methods of classical mechanics]]_, Springer 1989 (section 28)

* [[Landau-Lifschitz]], vol.1, Mechanics

* R. Abraham, J. Marsden: The Foundations of Mechanics, Benjamin Press, 1967, Addison-Wesley, 1978; large pdf 86 Mb free at [CaltechAuthors](http://resolver.caltech.edu/CaltechBOOK:1987.001)

A discussion of rigid body dynamics as a special case of the general [[Euler-Arnold equation]] is at 

* [[Terence Tao]], _The Euler-Arnold equation_ ([web](http://terrytao.wordpress.com/2010/06/07/the-euler-arnold-equation/))

References from the point of view of [[Geometric Algebra]] include

* [[David Hestenes]], _Rotational dynamics with geometric algebra_ ([web](http://adsabs.harvard.edu/full/1983CeMec..30..133H))

* Terje Vold, _An introduction to geometric algebra with an application to rigid body mechanics_ ([pdf](http://www.helsinki.fi/kemia/fysikaalinen/opetus/matnum/Lectures/2009/Vold_1.pdf))

Discussion of ([[geometric quantization|geometric]]) [[quantization]] of rigid bodies is in 

* M. Modugno, C. Prieto, R. Vitolo, _Geometric aspects of the quantization of a rigid body_, in B. Kruglikov, V. Lychagin, E. Straume, _Differential Equations – Geometry, Symmetries and Integrability_, Proceedings of the 2008 Abel Symposium, Springer, 275-285. ([pdf](http://poincare.unisalento.it/vitolo/vitolo_files/publications/proceedings/14c_quanrig-abel.pdf))



[[!redirects rigid body]] 
[[!redirects rigid bodies]] 

