
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Differential geometry
+--{: .hide}
[[!include synthetic differential geometry - contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The analog of [[velocity]] for rotational movement. 

For rotation in a [[plane]] inside a [[Cartesian space]] $\mathbb{R}^n$ the angular velocity is a [[bivector]] in $\wedge^2 \mathbb{R}^n$ of the form

$$
  \dot \omega \,\, e_1 \wedge e_2
  \,,
$$

where $e_1$ and $e_2$ are unit vector spanning the plane of rotation, and where $\dot \omega$ is the magnitude of the angular velocity.

Of $n = 3$ (and only then) can we identify [[bivector]]s with plain [[vector]]s (by the dual operation induced by the [[Hodge star operator]]). Often in the literature only this "angular velocity vector" in 3 dimensions is considered.


## Related concepts

* [[rigid body dynamics]]

  * [[angular momentum]]

  * [[moment of inertia]]

## References

Standard discussion of angular velocity in $d \leq 3$ is for instance in

* wikipedia: [angular velocity](http://en.wikipedia.org/wiki/Angular_velocity)

The more general discussion in terms of [[bivector]]s is found for instance in [[Geometric Algebra]]-style documents, such as

* Chris Doran, Anthony Lasenby, _Geometric Algebra for Physicists_ Cambridge University Press

  _Physical applications of geometric algebra_ ([pdf](https://dspace.ist.utl.pt/bitstream/2295/52599/1/Lectures_on_Geometric_Algebra.pdf#page=56))
