

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Harmonic analysis
+-- {: .hide}
[[!include harmonic analysis - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The basic problem of __harmonic analysis__ is the decomposition of elements in some [[topological vector space]] of [[functions]] in some [[linear basis]] which is typically distinguished by some nice [[representation theory|representation theoretical]] properties. This decomposition can be a sum, and a basis a topological basis, but more general it is a decomposition in the sense of an integral. The elements of the distinguished bases were in historical examples thought of as "basic waves" or "harmonics".
Some standard examples are [[Fourier analysis]] on locally compact abelian groups, [[wavelet analysis]], [[quantum group Fourier transform]] etc. In some cases the elements of the "basis" are not linearly independent, e.g. in the case of decomposition into [[coherent state]]s.

## Related $n$Lab entries

* [[Fourier transform]], [[Fourier-Laplace transform]]

* [[Fourier transform of distributions]]

* [[Fourier analysis]], 

* [[Tannaka-Krein theorem]], 

* [[Peter-Weyl theorem]], 

* [[Gelfand-Raikov theorem]], 

* [[sampling theory]]

## References

* Wikipedia: [harmonic analysis](http://en.wikipedia.org/wiki/Harmonic_analysis)
* Gerald B. Folland, _A course in abstract harmonic analysis_, Studies in Advanced Mathematics. CRC Press, Boca Raton, FL, 1995. x+276 pp. [gBooks](http://books.google.com/books?hl=en&lr=&id=0VwYZI1DypUC)
* Elias Stein, Guido Weiss, _Introduction to Fourier analysis on Euclidean spaces_, Princeton Univ. Press 1971
* MSRI, [Categorical Structures in Harmonic Analysis](http://www.msri.org/workshops/708), Nov 2014. (videos)

category: analysis