
#Contents#
* table of contents
{:toc}

## Idea 

A [[sheaf of vertex operator algebras]] (in fact a [[vertex operator algebroid]]) which is naturally associated with a [[complex manifold]] whose first and second [[Chern class]] vanishes. 


## Properties

### Fine resolution

The chiral de Rham complex [[sheaf of vertex operator algebras]] as a [[resolution]] to a [[fine sheaf]] by the _[[chiral Dolbeault complex]]_ ([Cheung 10](#Cheung10)).

### Relation to 2d (2,0)-superconformal QFT

The chiral de Rham complex of $X$ arises as the [[quantum observables]] of the [[topological twist|topologically twisted]] [[2d (2,0)-superconformal QFT]] [[sigma-model]] with [[target space]] $X$.

Under suitable geometric conditions (a version of [[string structure]]) the local chiral de Rham complexes glue together to a [[sheaf of vertex operator algebras]] and serves to compute the [[Witten genus]].



### Related concepts

*  [[chiral differential operator]], [[vertex operator algebra]], [[chiral algebra]]

* [[Berkovits superstring]]

* [[formal loop space]]


## References

* [[Vassily Gorbounov]], [[Fyodor Malikov]], [[Vadim Schechtman]], _Gerbes of chiral differential operators_  Math. Res. Lett. __7__ (2000),  no. 1, 55--66, [MR2002c:17040](http://www.ams.org/mathscinet-getitem?mr=2002c:17040), [math.AG/9906117](http://arxiv.org/abs/math/9906117); _Gerbes of chiral differential operators. II. Vertex algebroids_, Invent. Math. __155__ (2004), no. 3, 605--680, [MR2005e:17047](http://www.ams.org/mathscinet-getitem?mr=2005e:17047), [math.AG/0003170](http://arxiv.org/abs/math/0003170), [doi](http://dx.doi.org/10.1007/s00222-003-0333-4); _Gerbes of chiral differential operators. III_, in: The orbit method in geometry and physics (Marseille, 2000),  73--100, Progr. Math. __213__, Birkhäuser 2003, [MR2005a:17028](http://www.ams.org/mathscinet-getitem?mr=2005a:17028), [math.AG/0005201](http://arxiv.org/abs/math/0005201), _On chiral differential operators over homogeneous spaces_, Int. J. Math. Math. Sci. __26__ (2001), no. 2, 83--106, [MR2002g:14020](http://www.ams.org/mathscinet-getitem?mr=2002g:14020), [math.AG/0008154](http://arxiv.org/abs/math/0008154), [doi](http://dx.doi.org/10.1155/S0161171201020051)

The resolution by the [[chiral Dolbeault complex]] is due to

* {#Cheung10} Pokman Cheung, _The Witten genus and vertex algebras_ ([arXiv:0811.1418](http://arxiv.org/abs/0811.1418))


* [[Urs Schreiber]] at string cafe:

  * _[Nekrasov on pure spinor superstring](http://golem.ph.utexas.edu/string/archives/000661.html)_

  * _[Sheaves of CDOs](http://golem.ph.utexas.edu/string/archives/000668.html)_

* Yuly Billig, Vyacheslav Futorny, _Representations of Lie algebra of vector fields on a torus and chiral de Rham complex_, [arxiv/1108.6092](http://arxiv.org/abs/1108.6092) 

