_Calogero_ models comprise several [[integrable system]]s in classical mechanics and their relatives; they are describing interacting systems of $n$ particles on a circle or on a line. Basic variants include Calogero-Moser system, Calogero-Sutherland system and "relativistic" [[Ruijsenaars model]]s. Calogero-Moser system was a historical source of the study of [[Dunkl operator]]s and Cherednik's [[double Hecke algebra]]s. The Calogero-Moser system can also be related to the rational $n$-soliton solutions of rational KP equation; the elucidation of the relation between the soliton solutions and solutions of the Calogero-Moser system is rather deep and is called __Calogero-Moser correspondence__. Its modern formulation involves [[noncommutative algebraic geometry]]. 

Some special functions come out of analysis of Calogero models, like [[Jack polynomial]]s.

* Pavel Etingof, _Lectures on Calogero-Moser systems_, [pdf](http://www-math.mit.edu/~etingof/zlecnew.pdf)
* [[D. Kazhdan]], [[B. Kostant]], [[S. Sternberg]], _Hamiltonian group actions and dynamical systems of Calogero type_, Comm. Pure Appl. Math. __31__ (1978), 481-508, [MR478225](http://www.ams.org/mathscinet-getitem?mr=478225), [doi](http://dx.doi.org/10.1002/cpa.3160310405)
* H. Airault, H. P. McKean, J. Moser, _Rational and elliptic solutions of the Korteweg-de Vries equation and a related many-body problem_, Comm. Pure Appl. Math. __30__ (1977), no. 1, 95--148; [MR0649926](http://www.ams.org/mathscinet-getitem?mr=649926), [doi](http://dx.doi.org/10.1002/cpa.3160300106)
* E. Mukhin, V. Tarasov, A. Varchenko, _KZ characteristic variety as the zero set of classical Calogero-Moser Hamiltonians_, [arxiv/1201.3990](http://arxiv.org/abs/1201.3990)
* Sergio Andraus, Makoto Katori, Seiji Miyashita, _Calogero-Moser systems as a diffusion-scaling transform of Dunkl processes on the line_, [arxiv/1211.6561](http://arxiv.org/abs/1211.6561)

On Calogero-Moser correspondence:

* I. M. Kričever, _Rational solutions of the Kadomcev-Petviašvili equation and the integrable systems of $N$ particles on a line_, Funkcional. Anal. i Priložen. __12__ (1978), no. 1, 76–78, [MR488139](http://www.ams.org/mathscinet-getitem?mr=488139)
* Takahiro Shiota, _Calogero-Moser hierarchy and KP hierarchy_, J. Math. Phys. __35__ (1994), no. 11, 5844–5849, [MR95i:58095](http://www.ams.org/mathscinet-getitem?mr=1299922)
* George Wilson, _Collisions of Calogero-Moser particles and an adelic Grassmannian_, With an appendix by I. G. Macdonald. Invent. Math. __133__ (1998), no. 1, 1–41, [MR99f:58107](http://www.ams.org/mathscinet-getitem?mr=1626461), [doi](http://dx.doi.org/10.1007/s002220050237)
* Yu. Berest, G. Wilson, _Ideal classes of the Weyl algebra and noncommutative projective geometry_ (with an Appendix by M. Van den Bergh), Internat. Math. Res. Notices __26__ (2002), 1347–1396.
* Yu. Berest, G. Wilson, _Mad subalgebras of rings of differential operators on curves_, Advances in Math. __212__ no. 1 (2007), 163–190.
* [[V. Ginzburg]], _Non-commutative symplectic geometry, quiver varieties, and operads_, Math. Res. Lett. 8 (2001), 377-400.
* [[Yuri Berest]], Oleg Chalykh, _$A_\infty$-modules and Calogero-Moser spaces_, J. Reine Angew. Math. __607__ (2007), 69–112, [MR2009f:16019](http://www.ams.org/mathscinet-getitem?mr=2338121), [doi](http://dx.doi.org/10.1515/CRELLE.2007.046) 
[[!redirects Calogero models]]
[[!redirects Calogero-Moser model]]
[[!redirects Calogero-Moser system]]
[[!redirects Calogero-Sutherland model]]
[[!redirects Calogero integrable system]]