
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

Solving the problem of [[quantization]] of systems including [[gravity]] -- [[quantum gravity]] -- is notoriously hard. It does however simplify drastically in very low [[dimensions]]. While the theory in dimension 4 ([[Kaluza-Klein mechanism|or higher]]) is evidently relevant for the phenomenology of the world that we perceive, the [[Einstein-Hilbert action]] and its variants that defines the theory of [[gravity]] (at least as an [[effective QFT]]) makes sense in any dimension.

The case of dimension 3 is noteworthy, because in this case the quantum theory can be and has been fairly completely understood and is nevertheless non-trivial.  Informally, this is due to the fact that behaviour of [[gravity]] in 3-dimensions is much simpler than in higher dimensions: there cannot be [[gravitational waves]] in 3-dimensions, hence no "local excitations". Accordingly, the theory turns out to have a _finite dimensional_ [[covariant phase space]]. 

More formally, one finds that in 3-dimensions, the [[Einstein-Hilbert action]], in the [[first order formulation of gravity]] ([[Cartan connection]]), becomes equivalent to the [[action functional]] of a very well studied 3-dimensional field theory, namely [[Chern-Simons theory]] for [[gauge group]] the [[Poincaré group]] $Iso(2,1)$ (for vanishing [[cosmological constant]]) or the [[de Sitter group]]/[[anti de Sitter group]] $Iso(2,2)$ or $Iso(3,1)$ (for non-vanishing cosmological constant). See at _[[de Sitter gravity]]_ and at _[Chern-Simons Gravity](http://ncatlab.org/nlab/show/Chern-Simons+gravity)_.

This means that one can take the [[quantization]] of $Iso(2,1)$-[[Chern-Simons theory]] as the _definition_ of 3d [[quantum gravity]]. This has first been noticed and successfully carried out in ([Witten88](#Witten88)).  One should note here that this means that one allows degenerate [[vielbein]]/[[pseudo-Riemannian metric]] tensors as field configurations of gravity. In fact, as ([Witten88](#Witten88)) discusses in detail, this [[compactification]] of configuration space can be seen as the source of the reasons why 3d quantum gravity makes exists.

Based on this striking situation in 3-dimensions it is natural to wonder if it makes sense to consider $Iso(n,1)$-[[higher dimensional Chern-Simons theory]], or variants thereof, as theories of [[quantum gravity]] in higher dimensions. The for $n \gt 2$ the corresponding [[action functional]]s differ from the [[Einstein-Hilbert action]] by higher curvature terms, but in suitable limits of the theory these can be argued to play a negligible role. For more on this see the entry _[[Chern-Simons gravity]]_ .

## Variants

One can add additional terms arriving at what is called _massive 3d gravity models_ . Very relevant for its study is the [[holographic principle|AdS3/CFT2 correspondence]]. 


## Related concepts

* [[3d TQFT]]

* [[3-dimensional supergravity]]

* [[quantum gravity]]

* [[Chern-Simons gravity]]

* [[2d quantum gravity]]

* [[volume conjecture]]

## References

A classical article on 3d [[gravity]] is 

* [[Stanley Deser]], [[Roman Jackiw]], [[Gerard 't Hooft]], _Three-dimensional Einstein gravity: Dynamics of flat space_, Ann. Phys. 152 (1984) 220.

The first correct (complete, i.e. non-[[perturbation theory|perturbative]]) quantization of 3-dimensional gravity, on manifolds of the product form $\Sigma \times \mathbb{R}$ appears in 

* [[Edward Witten]], _(2+1)-Dimensional Gravity as an Exactly Soluble System_ Nucl. Phys. B311 (1988) 46. ([web](http://adsabs.harvard.edu/abs/1988NuPhB.311...46W))
 {#Witten88}

A textbook account discussing this and a variety of approaches to quantization of 3d gravity is

* [[Steven Carlip]], _Quantum Gravity in 2+1 Dimensions_, Cambridge Monographs on Mathematical Physics (2003) ([publisher](http://www.cambridge.org/de/academic/subjects/physics/cosmology-relativity-and-gravitation/quantum-gravity-21-dimensions))

see also the further pointers [here on Carlip's webpage](http://www.physics.ucdavis.edu/Text/Carlip.html#2+1).

More recent developments include

* {#Witten} [[Edward Witten]], _Three-dimensional gravity revisited_, (2007) [arxiv/0706.3359](http://arxiv.org/abs/0706.3359)
 

* [[Paul Townsend]], _Massive 3d (super)gravity_, slides, ([pdf](http://superfields.web.cern.ch/Superfields/docs/Seminars/Townsend.pdf))

* Gaston Giribet, _Black hole physics and AdS3/CFT2 correspondence_, lectures at [[Croatian Black Hole School]] 2010

* Alan Garbarz, Gaston Giribet, Yerko V&#225;squez, _Asymptotically AdS$_3$ solutions to topologically massive gravity at special values of the coupling constants_, [arxiv/0811.4464](http://arxiv.org/abs/0811.4464)

* Rudranil Basu, Samir K Paul, _Consistent 3D Quantum Gravity on Lens Spaces_ ([arXiv:1109.0793](http://arxiv.org/abs/1109.0793))

Reviews include

* [[Steven Carlip ]], _Quantum Gravity in 2+1 Dimensions:
The Case of a Closed Universe_ ([living reviews](http://relativity.livingreviews.org/open?pubNo=lrr-2005-1&page=articlesu10.html))

* Laura Donnay, _Asymptotic dynamics of three-dimensional gravity_ ([arXiv:1602.09021](http://arxiv.org/abs/1602.09021))
 
Authors of [[spin foam]] models view them as an approach to quantum gravity. 