
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Bundles
+-- {: .hide}
[[!include bundles - contents]]
=--
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}


## Definition


### Nonabelian 2-gerbes

For $\mathcal{X}$ an [[(∞,1)-topos]], a **2-gerbe** $P$ in $\mathcal{X}$ is an object which is

1. [[1-connective]];

1. [[2-truncated]].


The first condition says that it is an [[(∞,1)-sheaf]] with values in [[2-groupoid]]s. The second says that $P \to *$ is an [[effective epimorphism]] and that the [[categorical homotopy groups in an (∞,1)-topos|0-th homotopy sheaf]] is the terminal sheaf. In the literature this is often stated as saying that $P$ is a) _locally connected_ and b) _locally non-empty_ .


### Abelian 2-gerbes

For $\mathcal{X}$ an [[(∞,1)-topos]], an  **abelian 2-gerbe** $P$ in $\mathcal{X}$ is an object which is

1. [[2-truncated]];

1. [[2-connected]].

## Related concepts

* [[principal bundle]] / [[torsor]] / [[associated bundle]]

* [[principal 2-bundle]] / [[gerbe]] / [[bundle gerbe]]

* [[principal 3-bundle]] / **2-gerbe** / [[bundle 2-gerbe]]

* [[principal ∞-bundle]] / [[associated ∞-bundle]]  / [[∞-gerbe]]



## References

A comprehensive discussion of nonabelian 2-gerbes is in 

* [[Lawrence Breen]], _On the classification of 2-gerbes and 2-stacks_ , Astérisque 225 (1994).

A more expository discussion is in

* [[Lawrence Breen]], _Notes on 1- and 2-gerbes_ in [[John Baez]], [[Peter May]] (eds.) _[[Towards Higher Categories]]_ ([arXiv:math/0611317](http://arxiv.org/abs/math/0611317)).
  {#Breen}

Abelian 2-gerbes are a special case (see [[∞-gerbe]]) of the discussion in section 7.2.2 of 

* [[Jacob Lurie]], _[[Higher Topos Theory]]_

See also 

* [[Ettore Aldrovandi]], _2-Gerbes bound by complexes of gr-stacks, and cohomology_ Journal of Pure and Applied Algebra 212 (2008), 994–103 ([pdf](http://www.math.fsu.edu/~aluffi/archive/paper271.pdf))

[[!redirects 2-gerbes]]