
# The Coleman--Mandula Theorem
* table of contents
{: toc}

## Idea

The __Coleman--Mandula theorem__ is a [[no-go theorem]] motivated by the possibilities of [[Lie group]] symmetries in [[quantum field theory]] in [[Minkowski space-time]].


## Statement

Any [[Lie group]] containing the [[Poincaré group]] $P$ (in 4d) as a [[subgroup]] and containing a maximal [[internal symmetry|internal]] [[symmetry group]] $G$ must be a [[direct product]] of those. In addition, $G$ must be a [[semisimple Lie group]] with additional $U(1)$ ([[circle group]]) factors. 

The generalization of this statement to [[super Lie algebras]] is known as the _[[Haag–Łopuszański–Sohnius theorem]]_.

## Remarks

Gel'fand and Likhtman showed that with a slight extension of the concept of Lie group, one can get that $P$ and $G$ combine in a nontrivial way. This happens for example in the [[supersymmetry|supersymmetric]] case. 



## References

* [[Sidney Coleman]], Jeffrey Mandula, _All Possible Symmetries of the S Matrix_, Physical Review __159__ (5): 1251--1256 (1967)

* [[I. M. Gel'fand]], E. S. Likhtman, JETP Letters __13__, 323 (1971)

Review includes

* [Wikipedia](http://en.wikipedia.org/wiki/Coleman%E2%80%93Mandula_theorem) (English)


[[!redirects Coleman-Mandula theorem]]
[[!redirects Coleman–Mandula theorem]]
[[!redirects Coleman--Mandula theorem]]

[[!redirects Coleman theorem]]
