
# Self-distributive operations
* table of contents
{: toc}

## Definition

Let $\cdot\colon M \times M\to M$ be a binary operation, i.e. $(M,\cdot)$ is a [[magma]]. We say that the operation $\cdot$ is

* __left self-distributive__ if for all $x,y,z\in M$, $x\cdot(y\cdot z) = (x\cdot y)\cdot (x\cdot z)$;
* __right self-distributive__ if for all $x,y,z\in M$, $(y\cdot z)\cdot x = (y\cdot x)\cdot (z\cdot x)$. 

See also [[shelf]]. 


## Examples

* The binary operation in any [[semilattice]] is self-distributive on both sides, following from associativity, commutativity, and idempotence.

* The operations in a [[rack]] (and hence also in a [[quandle]]) are self-distributive on the side on which they act.  In particular, this includes the operation of [[conjugation]] in a [[group]]. 

* A [[Laver table]] is the multiplication table of a self-distributive operation.


[[!redirects self-distributive operation]]
[[!redirects self-distributive operations]]
[[!redirects left self-distributive operation]]
[[!redirects left self-distributive operations]]
[[!redirects right self-distributive operation]]
[[!redirects right self-distributive operations]]

[[!redirects self-distributive law]]

[[!redirects self-distributivity]]
[[!redirects selfdistributivity]]
[[!redirects left self-distributivity]]
[[!redirects right self-distributivity]]
