
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Functional analysis
+--{: .hide}
[[!include functional analysis - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

Given a [[symmetric operator]] on a domain of some [[Hilbert space]], there may be several _extensions_ of it to a [[self-adjoint operator]]. These typically correspond to choices of _boundary conditions_ ([WeiJiang](#WeiJiang)).

## Applications

### In quantum mechanics

In [[quantum mechanics]] the [[observable]]s are supposed to be [[self-adjoint operator]]s, in particular the [[Hamiltonian]]. The physical input often directly provides only a [[symmetric operator]], which encodes _local_ information about the [[dynamics]] of the system . The choice of its self-adjoint extension corresponds to choices of _boundary conditions_ on the [[state]]s of the system, hence _global_ information about the _[[kinematics]]_ . 

See the [References on applications in quantum mechanics](#ReferencesApplicationsQM) below.

## References

See also [[Friedrichs extension]].

### General

Part VI, "Self-adjoint extension theory of symmetric operators" in 

* [[Konrad Schmüdgen]], _Unbounded self-adjoint operators on Hilbert space_, Springer GTM 265, 2012

* {#WeiJiang} Guangshenh Wei, Yaolin Jiang, _A characterization of positive self-adjoint extensions and its application to ordinary differential operators_ Proceedings of the American Mathematical Society,  Volume  133, Number 10 ([jstor](http://www.jstor.org/pss/4097913)) ([pdf](http://www.ams.org/journals/proc/2005-133-10/S0002-9939-05-07837-8/S0002-9939-05-07837-8.pdf))
  

### For applications in quantum theory
 {#ReferencesApplicationsQM}

An exposition and motivation by means of the simple case of a quantum particle in an infinitely deep well potential is given in

* {#BonneauFarautValent01} Guy Bonneau, Jacques Faraut, Galliano Valent, _Self-adjoint extensions of operators and the teaching of quantum mechanics_, [arXiv:quant-ph/0103153](http://arxiv.org/abs/quant-ph/0103153)

A discussion in the context of [[AQFT]] is in 

* H. J. Borchers,  Jakob Yngvason, _Local nets and self-adjoint extensions of quantum field operators_ , Letters in mathematical physics ([web](http://adsabs.harvard.edu/abs/1991LMaPh..21..151B))

Applications to [[quantum field theory]] of [[anyons]] is discussed in

* G. Amelino-Camelia, D. Bak, _Schrödinger self-adjoint sxtension and quantum field theory_, [arXiv:hep-th/9406213](http://arxiv.org/abs/hep-th/9406213)

category: analysis, physics
[[!redirects selfadjoint extension]]
[[!redirects selfadjoint extensions]]

[[!redirects self-adjoint extensions]]