
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### $\infty$-Chern-Simons theory
+--{: .hide}
[[!include infinity-Chern-Simons theory - contents]]
=--
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The _ABJM model_ ([ABJM 08](#ABJM08)) is 3-dimensional $\mathcal{N} = 6$ [[supersymmetry|supersymmetric]] [[Chern-Simons theory]] with [[gauge group]] [[special unitary group|SU(N)]] and [[minimal coupling|coupled]] to [[matter fields]]. For [[level (Chern-Simons theory)|Chern-Simons level]] $k$ it is supposed to describe the [[worldvolume]] theory of $N$ coincident [[black brane|black]] [[M2-branes]] at an $\mathbb{Z}/k$-[[cyclic group]] [[orbifold]] [[singularity]] with [[near-horizon geometry]] $AdS_4 \times S^7/(\mathbb{Z}/k)$ (see at _[M2-branes -- As a black brane](M2-brane#AsABlackBrane)_). 

For $k = 2$ the supersymmetry of the ABJM model increases to $\mathcal{N} = 8$. For $k = 2$ and $N = 2$ the ABJM model reduces to the [[BLG model]] ([ABJM 08, section 2.6](#ABJM08)). 

Due to the matter coupling, the ABJM model is no longer a [[topological field theory]] as pure Chern-Simons is, but it is still a [[conformal field theory]]. As such it is thought to correspond under [[AdS-CFT]] duality to [[M-theory]] on [[anti-de Sitter spacetime|AdS4]] $\times$ [[7-sphere|S7]]/$\mathbb{Z}/k$ (see also [MFFGME 09](#MFFGME09)).

Notice that the worldvolume $SU(N)$ gauge group enhancement at an $\mathbb{Z}_k$-[[ADE singularity]] is akin to the [[enhanced gauge symmetry|gauge symmetry enhancement]] of the [[effective field theory]] for [[M-theory on G2-manifolds]] at the same kind of singularities (see at _[M-theory on G2-manifolds -- Nonabelian gauge groups](M-theory+on+G2-manifolds#EnhancedGaugeGroups)_).


## Properties

Under  [[holographic duality]] supposed to be related to [[11-dimensional supergravity|M-theory]] on $AdS_4 \times S^7 / \mathbb{Z}_k$.

## Related concepts

* [[BLG model]]

* [[membrane matrix model]]

[[!include table of branes]]

## References

The original article is

* {#ABJM08} [[Ofer Aharony]], Oren Bergman, Daniel Louis Jafferis, [[Juan Maldacena]], _$N=6$ superconformal Chern-Simons-matter theories, M2-branes and their gravity duals_, JHEP 0810:091,2008, [DOI:10.1088/1126-6708/2008/10/091](http://iopscience.iop.org/article/10.1088/1126-6708/2008/10/091/meta;jsessionid=FCE6764D4E19F3038C9530E50B057A56.c3.iopscience.cld.iop.org) ([arXiv:0806.1218](http://arxiv.org/abs/0806.1218))

Review includes

* {#KlebanovTorri10} [[Igor Klebanov]], Giuseppe Torri, _M2-branes and AdS/CFT_, Int.J.Mod.Phys.A25:332-350, 2010 ([arXiv;0909.1580](https://arxiv.org/abs/0909.1580))

* Neil B. Copland, _Introductory Lectures on Multiple Membranes_ ([arXiv:1012.0459](https://arxiv.org/abs/1012.0459))

Discussion of extension to [[boundary field theory]] (describing [[M2-branes]] ending on [[M5-branes]]) includes

* {#BermanThomson09} [[David Berman]], Daniel Thompson, _Membranes with a boundary_, Nucl.Phys.B820:503-533,2009 ([arXiv:0904.0241](http://arxiv.org/abs/0904.0241))

A kind of [[double dimensional reduction]] of the ABJM model to something related to [[type II superstrings]] and [[D1-branes]] is discussed in

* [[Horatiu Nastase]], Constantinos Papageorgakis, _Dimensional reduction of the ABJM model_,  JHEP 1103:094,2011 ([arXiv:1010.3808](http://arxiv.org/abs/1010.3808))

Discussion of the ABJM model in [[Horava-Witten theory]] and reducing to [[heterotic strings]] is in

* {#Lambert15} [[Neil Lambert]], _Heterotic M2-branes_ ([arXiv:1507.07931](http://arxiv.org/abs/1507.07931))


Discussion of the model as a [[higher gauge theory]] (due to its coupling to the [[supergravity C-field]]) is in 

* Sam Palmer, [[Christian Saemann]], section 2 of _M-brane Models from Non-Abelian Gerbes_, JHEP 1207:010, 2012 ([arXiv:1203.5757](http://arxiv.org/abs/1203.5757))

* Sam Palmer, [[Christian Saemann]], _The ABJM Model is a Higher Gauge Theory_, IJGMMP 11 (2014) 1450075 ([arXiv:1311.1997](http://arxiv.org/abs/1311.1997))

Classification of the possible [[superpotentials]] via [[representation theory]] is due to 

* Paul de Medeiros, [[José Figueroa-O'Farrill]], [[Elena Méndez-Escobar]], _Superpotentials for superconformal Chern-Simons theories from representation theory_, J. Phys. A 42:485204,2009 ([arXiv:0908.2125](http://arxiv.org/abs/0908.2125))

and derived from this a classification of the possble [[orbifold]]ing is in

* {#MFFGME09} Paul de Medeiros, [[José Figueroa-O'Farrill]], Sunil Gadhia, [[Elena Méndez-Escobar]], _Half-BPS quotients in M-theory: ADE with a twist_, JHEP 0910:038,2009 ([arXiv:0909.0163](http://arxiv.org/abs/0909.0163), [pdf slides](http://www.maths.ed.ac.uk/~jmf/CV/Seminars/YRM2010.pdf))

* Paul de Medeiros, [[José Figueroa-O'Farrill]], _Half-BPS M2-brane orbifolds_, Adv. Theor. Math. Phys. Volume 16, Number 5 (2012), 1349-1408. ([arXiv:1007.4761](http://arxiv.org/abs/1007.4761), [Euclid](https://projecteuclid.org/euclid.atmp/1408561553))

* [[José Figueroa-O'Farrill]], _M2-branes, ADE and Lie superalgebras_, talk at IPMU 2009 ([pdf](http://www.maths.ed.ac.uk/~jmf/CV/Seminars/Hongo.pdf))


See also

* Nadav Drukker, [[Marcos Marino]], Pavel Putrov, _From weak to strong coupling in ABJM theory_ ([arXiv:1007.3837](http://arxiv.org/abs/1007.3837))

* Shai M. Chester, Silviu S. Pufu, Xi Yin, _The M-Theory S-Matrix From ABJM: Beyond 11D Supergravity_ ([arXiv:1804.00949](https://arxiv.org/abs/1804.00949))

Computation of [[black hole entropy]] in 4d via [[AdS4-CFT3 duality]] from [[holographic entanglement entropy]] in the ABJM theory for the [[M2-brane]] is discussed in

* Jun Nian, Xinyu Zhang, _Entanglement Entropy of ABJM Theory and Entropy of Topological Black Hole_ ([arXiv:1705.01896](https://arxiv.org/abs/1705.01896))

[[!redirects ABJM model]]
[[!redirects ABJM-model]]

