
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Riemannian geometry
+--{: .hide}
[[!include Riemannian geometry - contents]]
=--
#### Differential geometry
+--{: .hide}
[[!include synthetic differential geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}


## Definition

On a ([[pseudo-Riemannian manifold|pseudo-]])[[Riemannian manifold]] $(X,g)$ a **Killing-Yano [[tensor]]** is a [[differential form]] $\omega$ such that 

$$
   \nabla_{(\mu} \omega_{\alpha_0),  \alpha_1, \cdots , \alpha_n}
  = 0
  \,,
$$

where $\nabla$ is the [[covariant derivative]] with respect to the [[Levi-Civita connection]] of $g$.

There is also a variant of **conformal Killing-Yano tensors**

(...)

## Properties

Killing-Yano tensors serve as "square roots" of [[Killing tensor]]. In a [[spacetime]] with a [[Killing tensor]] $H$ the [[relativistic particle]] has an extra conserved quantity. If it refines to a Killing-Yano tensor then also the [[spinning particle]] or [[superparticle]] has an extra odd conserved quantity. If $H = g$ then this is an extra worldline [[supersymmetry]].

## Examples

The [[Kerr spacetime]] admits a conformal Killing-Yano tensor (...)

## Related concepts

* [[Killing vector]]

* [[Killing spinor]]

* [[Killing tensor]]

## References

For instance

* O. P. Santillan, _Killing-Yano tensors and some applications_ ([arXiv:1108.0149](http://arxiv.org/abs/1108.0149))

* Jacek Jezierski, Maciej Łukasik, _Conformal Yano-Killing tensor for the Kerr metric and conserved quantities_ ([arXiv:gr-qc/0510058](http://arxiv.org/abs/gr-qc/0510058))

* W. Dietz and R. Rüdiger, _Space-Times Admitting Killing-Yano Tensors. I_ Proceedings of the Royal Society of London. Series A, Mathematical and Physical Sciences
Vol. 375, No. 1762 (Mar. 31, 1981), pp. 361 ([JSTOR](http://www.jstor.org/stable/2990311))

[[!redirects Killing-Yano tensors]]