
Here are abstracts of a few papers of mine that connect to higher category theory, with links to the full texts. I will be glad to discuss this material. 

### 1. Twisted Deformation Quantization of Algebraic Varieties ###

Let X be a smooth algebraic variety over a field K containing the real numbers. We introduce the notion of twisted associative (resp. Poisson) deformation of the structure sheaf of X. These are stack-like versions of usual deformations. We prove that there is a twisted quantization map from twisted Poisson deformations to twisted associative deformations, which is canonical and bijective on gauge equivalence classes. This result extends work of Kontsevich, and our own earlier work, on deformation quantization of algebraic varieties. 

[full paper - eprint](http://arxiv.org/abs/0905.0488),
[survey](http://arxiv.org/abs/0801.3233)
[lecture notes](http://www.math.bgu.ac.il/%7Eamyekut/lectures/twisted-defs/notes.pdf)


### 2. Nonabelian Multiplicative Integration on Surfaces ### 

We construct a 2-dimensional twisted nonabelian multiplicative
integral. This is done in the context of a Lie crossed module
(an object composed of two Lie groups interacting), and a
pointed manifold. The integrand is a connection-curvature pair,
that consists of a Lie algebra valued 1-form and a Lie algebra
valued 2-form, satisfying a certain differential equation.
The geometric cycle of the integration is a kite in the pointed
manifold. A kite is made up of a 2-dimensional simplex in the
manifold, together with a path connecting this simplex to the
base point of the manifold. The multiplicative integral is an
element of the second Lie group in the crossed module.

We prove several properties of the multiplicative integral.
Among them is the 2-dimensional nonabelian Stokes Theorem,
which is a generalization of Schlesinger's Theorem. Our main result
is the 3-dimensional nonabelian StokesTheorem. This is a totally
new result.

The methods we used are: the CBH Theorem for the nonabelian
exponential map; piecewise smooth geometry of polyhedra; and
some basic algebraic topology.

The motivation for this work comes from twisted deformation
quantization. In the paper (no. 1 above) we encountered a problem of
gluing nonabelian gerbes, where the input was certain data in
differential graded algebras. The 2-dimensional multiplicative
integral gives rise, in that situation, to a nonabelian
2-cochain; and the 3-dimensional Stokes Theorem shows that
this cochain is a twisted 2-cocycle.
(This was superseded by a simpler approach; see no. 3 below.)


[eprint](http://arxiv.org/abs/1007.1250)
[lecture notes](http://www.math.bgu.ac.il/~amyekut/lectures/multi-integ/notes.pdf)
[book](http://www.worldscientific.com/worldscibooks/10.1142/9537)


### 3. Combinatorial Descent Data for Gerbes ###

We consider descent data in cosimplicial crossed groupoids.
This is a combinatorial abstraction of the descent data for gerbes in
algebraic geometry. The main result is this: a weak equivalence between
cosimplicial crossed groupoids induces a bijection on gauge equivalence
classes of descent data. This result is used to construct the twisted quantization in paper no. 1 above (replacing the earlier approach with surface integration).


[eprint](http://arxiv.org/abs/1109.1919)
[lecture notes](http://www.math.bgu.ac.il/~amyekut/lectures/higher-descent/notes.pdf)


**Contact:** email to <amyekut@math.bgu.ac.il>

* [webpage](http://www.math.bgu.ac.il/~amyekut/)


[[!redirects Amnon Yekutieli]]
[[!redirects amnon yekutieli]]
[[!redirects A. Yekutieli]]
[[!redirects Amnon+Yekutieli]]

category: people
