
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Riemannian geometry
+-- {: .hide}
[[!include Riemannian geometry - contents]]
=--
#### Gravity
+-- {: .hide}
[[!include gravity contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}



## Definition

Up to [[isometry]], the **anti de Sitter spacetime** of [[dimension]] $d$, $AdS_d$, is the [[pseudo-Riemannian manifold]] whose underlying [[manifold]] is the [[submanifold]] of the [[Minkowski spacetime]] $\mathbb{R}^{d,1}$ that solves the equation

$$
  \sum_{i = 1}^{d-1} (x_i)^2 - (x_d)^ 2 - (x_0)^2 = -R^2
$$

for some $R \neq 0$ (the "radius" of the spacetime) and equipped with the metric induced from the ambient metric, where $\{x^0, x^1, x^2, \cdots, x^d\}$ denote the canonical [[coordinates]]. $AdS_d$ is [[homeomorphic]] to $\mathbb{R}^{d-1} \times S^1$, and its isometry group is $O(d-1, 2)$.

More generally, one may define the anti de Sitter space of signature $(p,q)$ as isometrically embedded in the space $\mathbb{R}^{p,q+1}$ with coordinates $(x_1, ..., x_p, t_1, \ldots, t_{q+1})$ as the sphere $\sum_{i=1}^p x_i^2 - \sum_{j=1}^{q+1} t_j^2 = -R^2$.

## Properties

### Conformal boundary

(...)

### Holography

Asymptotically anti-de Sitter spaces play a central role in the realization of the [[holographic principle]] by [[AdS/CFT correspondence]].

## Related concepts

* [[anti de Sitter group]]

* [[de Sitter spacetime]]

* [[super anti de Sitter spacetime]]

* [[near-horizon geometry]]

## References

* [[Matthias Blau]], chapter 38 of _Lecture notes on general relativity_ ([web](http://www.blau.itp.unibe.ch/GRLecturenotes.html))


* [[Ingemar Bengtsson]], _Anti-de Sitter space_, lecture notes ([pdf](http://www.physto.se/~ingemar/Kurs.pdf))

* {#CastellaniDAuriaFre} [[Leonardo Castellani]], [[Riccardo D'Auria]], [[Pietro Fré]], volume 1, chapter I.3.8 of _[[Supergravity and Superstrings - A Geometric Perspective]]_, World Scientific (1991)

* C. Frances, _The conformal boundary of anti-de Sitter space-times_, in  _AdS/CFT correspondence: Einstein metrics and their conformal boundaries_ , 205--216, IRMA Lect. Math. Theor. Phys., 8, Eur. Math. Soc., Zürich, 2005 ([pdf](http://mahery.math.u-psud.fr/~frances/ads-cft2.pdf))

* [[Gary Gibbons]], _Anti-de-Sitter spacetime and its uses_
 ([arXiv:1110.1206](http://arxiv.org/abs/1110.1206))

* Wikipedia (English): [anti de Sitter space](http://en.wikipedia.org/wiki/Anti_de_Sitter_space)


* Abdelghani Zeghib, _On closed anti de Sitter spacetimes_, Math. Ann. 310, 695–716 (1998) ([pdf](http://www.umpa.ens-lyon.fr/~zeghib/Anti.de.Sitter.pdf))

[[!redirects anti de Sitter space]]
[[!redirects anti de Sitter spaces]]
[[!redirects anti-de Sitter space]]
[[!redirects anti-de Sitter spaces]]
[[!redirects anti de Sitter spacetime]]
[[!redirects anti de Sitter spacetimes]]
[[!redirects anti-de Sitter spacetime]]
[[!redirects anti-de Sitter spacetimes]]

[[!redirects AdS-spacetime]]
[[!redirects AdS-spacetimes]]
