
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

Fix a [[timelike curve]] $\gamma$ in [[spacetime]], thought of as representing an [[observer]].  If $H$ is a [[hypersurface]] in spacetime, then (at least if spacetime is [[orientation|orientable]] and possibly otherwise), $H$ separates spacetime into two regions, arbitrarily called the inside and outside.  Then $H$ is an __event horizon__ (relative to $\gamma$) if $\gamma$ never intersects the [[future]] of the inside of $H$.  (It follows that $\gamma$ lies entirely outside $H$.)

Although we have given this definition relative to an observer, we can reverse the situation, beginning with a [[lightlike]] hypersurface $H$ and noting that $H$ is a horizon relative to every observer that remains in the [[past]] of $H$ (of which, unlike for a [[spacelike]] hypersurface, there are typically many).  This includes the horizon around a [[black hole]] and the future [[light cone]] of any event.

Theoretically, the observer outside an event horizon will observe [[Bekenstein-Hawking entropy]] at the horizon and [[Hawking radiation]] from it.  In the case of an observer accelerating to remain outside a future light cone, this is the [[Unruh effect]].

## Related concepts

* [[Cachy horizon]]

* [[naked singularity]]

* [[observable universe]]

* [[generalized second law of thermodynamics]]

* [[near-horizon geometry]]

## References

Discussion of event horizons of [[black holes]] in terms of [[AdS/CFT]] is in

* Kyriakos Papadodimas, Suvrat Raju, _An Infalling Observer in AdS/CFT_ ([arXiv:1211.6767](http://arxiv.org/abs/1211.6767))


[[!redirects event horizon]]
[[!redirects event horizons]]
[[!redirects horizon]]
[[!redirects horizons]]
