
> under construction

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### Quantum field theory
+--{: .hide}
[[!include functorial quantum field theory - contents]]
=--
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

Seiberg duality (named after ([Seiberg](#Seiberg))) is a version of [[electric-magnetic duality]] in [[supersymmetry|supersymmetric]] [[gauge theory]]. 

For supersymmetric [[QCD]] it identifies in the infrared (long distance limit, and only there) the [[quarks]] and [[gluons]] in a theory with $N_f$ quark flavors and $SU(N_c)$ [[gauge group]] for 

$$
  N_f \gt N_c +1
$$

with [[soliton]]s in a theory of $N_f$ quark flavors and gauge group $SU(\tilde N_c)$, where

$$
  \tilde N_c = N_f - N_c 
  \,.
$$

## Properties

### Realization in string theory

Seiberg duality follows from phenomena in [[string theory]], where gauge theories arise as the [[worldvolume]] theories of [[D-branes]] ([[geometric engineering of quantum field theory]]). Seiberg duality is obtained for gauge theories of [[D-branes]] that stretch between two [[NS5-brane]]s. The duality operation corresponds to exchanging the two NS5-branes.

* [[Amihay Hanany]] and [[Edward Witten]], _Type-IIB superstrings, BPS monopoles and three-dimensional gauge dynamics_ , Nucl. Phys. B 492 (1997) 152 ([hep-th/9611230]()).

* S. Elitzur, A. Giveon, D. Kutasov, E. Rabinovici and A. Schwimmer, _Brane dynamics and $N = 1$ supersymmetric gauge theory, Nucl. Phys. B 505 (1997) 202 ([hep-th/9704104]())

See also _[[string theory results applied elsewhere]]_.

### Formalization by derived quiver categories

Seiberg duality is formalized by [[equivalence of categories|equivalences]] of [[derived categories]] of [[quiver]] representations.

* David Berenstein, [[Michael Douglas]], _Seiberg Duality for Quiver Gauge Theories_ ([arXiv:hep-th/0207027](http://arxiv.org/abs/hep-th/0207027))

* Subir Mukhopadhyay, Koushik Ray, _Seiberg duality as derived equivalence for some quiver gauge theories_ ([arXiv:hep-th/0309191](http://arxiv.org/abs/hep-th/0309191))

## Examples

### Toric duality

_Toric Duality_ is Seiberg duality for $N=1$ theories with toric [[moduli spaces]].

* Bo Feng, [[Amihay Hanany]] and Y.-H. He, _D-brane gauge theories from toric singularities and toric duality, Nucl. Phys. B 595 (2001) 165 [hep-th/0003085].

* C.E. Beasley and M.R. Plesser, _Toric duality is Seiberg duality_, J. High Energy Phys. 12 (2001) 001 [hep-th/0109053].
JHEP02(2004)070

* Bo Feng, [[Amihay Hanany]] and Y.-H. He, _Phase structure of D-brane gauge theories and toric duality_ , J. High Energy Phys. 08 (2001) 040 [hep-th/0104259].

* Bo Feng, [[Amihay Hanany]], Y.-H. He and A.M. Uranga, _Toric duality as Seiberg duality and brane diamonds, J. High Energy Phys. 12 (2001) 035 [hep-th/0109063].

* Bo Feng, S. Franco, [[Amihay Hanany]] and Y.-H. He, _Unhiggsing the del Pezzo_, J. High Energy Phys. 08 (2003) 058 [hep-th/0209228].

* S. Franco and [[Amihay Hanany]], _Toric duality, Seiberg duality and Picard-Lefschetz transformations_ , Fortschr. Phys. 51 (2003) 738 [hep-th/0212299].


### From D-branes on del Pezzo singularities

* Christopher P. Herzog, _Seiberg Duality is an Exceptional Mutation_ ([arXiv:hep-th/0405118](http://arxiv.org/abs/hep-th/0405118))

* Subir Mukhopadhyay, Koushik Ray, _Seiberg duality as derived equivalence for some quiver gauge theories_ Journal of High Energy Physics Volume 2004 JHEP02(2004) 

### For exceptional gauge groups
 {#ExamplesForExceptionalGaugeGroups}

Seiberg duality for [[gauge group]]s which are [[exceptional Lie group]]s:

* [[Jacques Distler]], Andreas Karch, _$N=1$ Dualities for Exceptional Gauge Groups and Quantum Global Symmetries_ ([arXiv:hep-th/9611088](http://arxiv.org/abs/hep-th/9611088))


But see

* Peter Cho, _Moduli in Exceptional SUSY Gauge Theories_ ([arXiv:hep-th/9712116](http://arxiv.org/abs/hep-th/9712116))

### Chiral and non-chiral duals

* P. Pouliot, _Chiral Duals of Non-Chiral SUSY Gauge Theories_ ([arXiv:hep-th/9507018](http://arxiv.org/abs/hep-th/9507018))


### Duality cascade

Due to 

* [[Igor Klebanov]], [[Matthew Strassler]], _Supergravity and a Confining Gauge Theory: Duality Cascades and $\chi$SB-Resolution of Naked Singularities_ ([arXiv](http://arxiv.org/abs/hep-th/0007191))

A review is in 

* [[Matthew Strassler]], _The Duality Cascade_ ([arXiv:hep-th/0505153](http://arxiv.org/abs/hep-th/0505153))

Discussion in connection with non-conformal variants of [[AdS/CFT]] is in

* Eduardo Conde, Jerome Gaillard, [[Carlos Núñez]], Maurizio Piai, Alfonso V. Ramallo, _Towards the string dual of tumbling and cascading gauge theories_ ([arXiv:1112.3346](http://arxiv.org/abs/1112.3346))

### With few supercharges


* a 3d [[Yang-Mills theory|Yang-Mills]] [[Chern-Simons theory]] with two [[supercharges]] ($N = 1$ SUSY in 3d) 

  (Adi Armoni, Amit Giveon, Dan Israel, Vasilis Niarchos, 2009

* a non-supersymmetric theory in $4d§ 

  (Adi Armoni, Dan Israel, Gregory Moraitis, Vasilis Niarchos, 2008).

Discussed in 

* Adi Armoni, _Two Examples of Seiberg Duality
in Gauge Theories With Less Than Four Supercharges_ ([pdf](http://pyweb.swan.ac.uk/~pyarmoni/seiberg.pdf))



## Related entries

* [[quiver gauge theory]]

[[duality in physics]]

* [[S-duality]]

  * [[electric-magnetic duality]]

    * [[Montonen-Olive duality]]

  * **Seiberg duality**

  * [[geometric Langlands duality]]


## References

### Original articles

The original article is

* [[Nathan Seiberg]], _Electric-Magnetic Duality in Supersymmetric Non-Abelian Gauge Theories_ ([arXiv:hep-th/9411149](http://arxiv.org/abs/hep-th/9411149))
 {#Seiberg}

The "cascade" of Seiberg dualities is due to

* [[Igor Klebanov]], [[Matthew Strassler]], _Supergravity and a Confining Gauge Theory: Duality Cascades and $\chi$SB-Resolution of Naked Singularities_ ([arXiv:hep-th/0007191](http://arxiv.org/abs/hep-th/0007191))

### Lectures and reviews

Surveys and reviews include 

* [[Matthew Strassler]], _The Duality Cascade_ (2005) ([arXiv:hep-th/0505153](http://arxiv.org/abs/hep-th/0505153))

* M. Chaichian, W.F. Chen, C. Montonen, _New Superconformal Field Theories in Four Dimensions and N=1 Duality_ ([arXiv:hep-th/0007240](http://arxiv.org/abs/hep-th/0007240))

* Flip Tanedo, _Notes on Seibergology_ ([pdf](http://www.lns.cornell.edu/~pt267/files/notes/Seibergology.pdf))

See also section 22 of 

* Philip Argyres, _Introduction to supersymmetry_ ([pdf](http://www.physics.uc.edu/~argyres/661/susy1996.pdf))

[[!redirects Seiberg dualities]]