## Idea

The ring of symmetric polynomials in $n$ variables has a linear basis $\{s_\lambda\}$ of __Schur polynomials__ indexed by [[partition]]s  $\lambda=\lambda_1\geq \lambda_2\geq \ldots \geq \lambda_n$ in $n$ parts. 

The Schur polynomials  are precisely the irreducible characters of finite dimensional polynomial representations of $GL_n$. Also, the character $\chi_{\lambda}$ of $V_\lambda$, the irreducible representation of $S_k$ attached to $\lambda$ (for $k$ the size $|\lambda|$ of the partition) maps to the Schur polynomial under the character map
$ch$ from virtual characters to symmetric polynomials. This correspondance between representations of the symmetric groups and the general linear groups is called [[Schur Weyl Duality]] 
## Definition

Given the partition $\lambda_1\geq \lambda_2\geq \ldots \geq \lambda_n$, the corresponding __Schur polynomial__ is defined as follows. First define the $n\times n$-determinant (for any partition $\alpha$ in $n$ parts)
$$
a_\alpha = det (x_i^{\alpha_j}).
$$
Let $\delta=(n-1, n-2, \dots, 1, 0)$. Then the Schur polynomial
 attached to $\lambda$ is quotient
$$
s_{\lambda}(x_1,x_2,\dots,x_n)=a_{\lambda+\delta}/a_{\delta}.
$$
As is usual in the theory of symmetric functions one can also deal with formal series in infinitely many variables. To make this precise one uses an inverse limit (see Macdonald) and obtains a __Schur function__ $s_{\lambda}$ for each partition, depending on countably many variables $x_1, x_2,\dots,x_n,x_{n+1}, \dots$.



## Generalizations via Schur functors

[[Schur functors]] may be viewed as a categorification of Schur functions. In fact, the Schur functors make sense in more general symmetric monoidal categories than vector spaces. It is a theorem in the case of vector space that the trace of 
a Schur functor $\mathbf{S}_\lambda(V)\stackrel{\mathbf{S}_\lambda(g)}\to \mathbf{S}_\lambda(V)$ on an endomorphism $g\in GL(V)$ is the Schur function of the eigenvalues of $g$. Considering the trace of a Schur functor makes sense in a general situation allowing for Schur functors and for the trace ([[rigid monoidal category]]); of course choosing appropriate variables to express the trace may depend on a context. 

## Literature 

The authoritative monograph on the subject is 

* I. G. Macdonald, _Symmetric functions and Hall polynomials_, Oxford Math. Monographs, 2nd enlarged ed. 1995

Other references

* Bruce E. Sagan, _Schur functions_, in (M. Hazewinkel, ed.) Encyclopaedia of Mathematics, Springer, [pdf](http://www.mth.msu.edu/~sagan/Papers/Old/schur.pdf)
* [wikipedia](http://en.wikipedia.org/wiki/Schur_function)
* Stuart Martin, _Schur algebras and representation theory_, Cambridge Univ. Press 1994 
* Olivier Blondeau-Fournier, Pierre Mathieu, _Schur superpolynomials: combinatorial definition and Pieri rule_, [arxiv/1408.2807](http://arxiv.org/abs/1408.2807)
* Miles Jones, Luc Lapointe, _Pieri rules for Schur functions in superspace_, [arxiv/1608.08577](https://arxiv.org/abs/1608.08577)

See also [[Schur positivity]].

For generalizations of Schur functions see [[Jack polynomial]], [[Macdonald polynomial]], [[noncommutative Schur function]], [[quasisymmetric Schur function]]. 

[[!redirects Schur polynomial]][[!redirects Schur functions]]