
In theoretical physics, one often considers [[gauge theory]] models whose symmetries are groups of large matrices, e.g. $U(N)$ or $O(N)$. The limit of such theories for $N\to \infty$ has often remarkable properties and [[string theory|string-like]] features. 

This limit is sometimes appearing in its own right, but sometimes it is just considered as an approximation for a system with fixed finite $N$. One of the features is that in the large N limit is that non-planar Feynman diagrams loose their importance and that the correlation functions satisfy certain decoupling/factorization rule. The behaviour is studied in terms of expansion in $1/N$ whose square has a simialr role to Planck constant in [[semiclassical approximation]] limit of quantum mechanics. 

* A. A. Migdal, _Loop equations and 1/N expansion_, Physics Reports, 102 (4), 199-290 (1983) <a href="http://dx.doi.org/10.1016%2F0370-1573%2883%2990076-5">doi</a> 
* Laurence G. Yaffe, _Large N limits as classical mechanics_, Rev. Mod. Phys. __54__, 407–435 (1982) [pdf](http://rmp.aps.org/pdf/RMP/v54/i2/p407_1)
* G 't Hooft, _A planar diagram theory for strong interactions_, Nuclear Physics B __72__, 3 (1974), 461-473, <a href="http://dx.doi.org/10.1016/0550-3213(74)90154-0">doi</a> 
* G. 't Hooft, _Large N_, workshop lecture, [hep-th/0204069](http://arxiv.org/abs/hep-th/0204069)
* S. Coleman, _1/N_, in Aspects of Symmetry, Cambridge University Press 1985.
* A. V. Manohar, _Large N QCD_, L:es Houches Lecture 2004, [pdf](http://einstein.ucsd.edu/manohar/pdf/LesHouches.pdf)
* A. Jevicki, _Instantons and the $1/N$ expansion in nonlinear $\sigma$ models_, Phys. Rev. D 20, 3331–3335 (1979) [pdf](http://prd.aps.org/pdf/PRD/v20/i12/p3331_1)
* Juan M. Maldacena, _The large N limit of superconformal field theories and supergravity_, Adv.Theor.Math.Phys.2:231-252, 1998 [hep-th/9711200](http://arxiv.org/abs/hep-th/9711200); _Wilson loops in large N field theories_, hep-th/9803002. 
* E. Brézin, S.R. Wadia, eds. _The Large N Expansion in Quantum Field Theory and Statistical Physics_, a book collection of reprinted historical articles, [gBooks](http://books.google.com/books?id=4TbOUqWBf-IC)
* Yuri Makeenko, _Methods of contemporary gauge theory_, Cambridge Monographs on Math. Physics, [gBooks](http://books.google.com/books?id=9W-W2w75ulAC)
* M. Bershadsky, Z. Kakushadze, C. Vafa, _String expansion as large N expansion of gauge theories_, Nucl.Phys. B523 (1998) 59-72[hep-th/9803076](http://arxiv.org/abs/hep-th/9803076), <a href="http://dx.doi.org/10.1016/S0550-3213(98)00272-7">doi</a>
* G.T. Horowitz, H. Ooguri, Spectrum of large N gauge theory from supergravity, hep-th/9802116
* Semyon Klevtsov, _Random normal matrices, Bergman kernel and projective embeddings_, [arxiv/1309.7333](http://arxiv.org/abs/1309.7333)
* wikipedia [1/N expansion](http://en.wikipedia.org/wiki/1/N_expansion)

category: physics

[[!redirects large N limit]]
[[!redirects large N limits]]
[[!redirects large-N limit]]
[[!redirects large-N limits]]
[[!redirects large n limit]]
[[!redirects large n limits]]
[[!redirects large-n limit]]
[[!redirects large-n limits]]
[[!redirects large N expansion]]
[[!redirects large N expansions]]
[[!redirects large-N expansion]]
[[!redirects large-N expansions]]
[[!redirects large n expansion]]
[[!redirects large n expansions]]
[[!redirects large-n expansion]]
[[!redirects large-n expansions]]
