

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

In [[11-dimensional supergravity]] the [[brane]] electrically charged under the [[supergravity C-field]] is the [[M2-brane]]/[[membrane]]. The dual under [[electric-magnetic duality]] is the M5-brane.

## Definition

### As a Green-Schwarz type sigma-model

As a [[Green-Schwarz sigma-model]]: [BLNPST 97](#BLNPST97)

### As a black $p$-brane

As a [[black brane]] solution of [[11-dimensional supergravity]] the M5-brane is given ([Gueven 92](#Gueven92)) by the [[spacetime]] $\mathbb{R}^{5,1} \times (\mathbb{R}^5-\{0\})$ with [[pseudo-Riemannian metric]] given by

$$
  g = H^{-1/3} g_{\mathbb{R}^{5,1}} \oplus H^{2/3} g_{\mathbb{R}^5-\{0\}}
$$

for $H = 1 + \frac{1}{r}$ and $r$ the distance in $\mathbb{R}^5$ from the origin, and with [[field strength]] of the [[supergravity C-field]] being

$$
  F = \star_{\mathbb{R}^5} \mathbf{d}H
  \,.
$$

This is a $1/2$-[[BPS state]] of 11-dimensional supergravity.

The [[near horizon geometry]] of this spacetime is [[anti de Sitter spacetime|AdS7]]$\times$[[4-sphere|S4]]. For more on this see at _[[AdS-CFT]]_.

{#NearHorizonOrbifold} More generally for lower BPS black M5-branes, the near horizon geometry is $AdS_7 \times S^4/G$, where $G$ is a [[finite group|finite]] [[subgroup]] of [[special unitary group|SU(2)]] ([[ADE classification|ADE subgroup]]) acting by left multiplication on the [[quaternions]] $\mathbb{H}$ in the canonical way, under the identitfication $S^4 \simeq S(\mathbb{R}^5) \simeq S(\mathbb{R}\oplus \mathbb{H})$ ([MFF 12, section 8.3](#MFF12)).


[[!include black branes in supergravity -- table]]


## Properties

### Worldvolume theory

the [[worldvolume]] theory of the M5-brane is the [[6d (2,0)-superconformal QFT]].

This [[worldvolume]] theory involves [[self-dual higher gauge theory]] of the [[nonabelian cohomology|nonabelian]] kind ([Witten07](#Witten07), [Witten09](#Witten09)): the fields are supposed to be [[connections on a 2-bundle]]($\sim$ [[gerbe]]), presumably with structure [[2-group]] the [[automorphism 2-group]] $AUT(G)$ of some [[Lie group]] $G$. 

For instance in the proposal of ([SSW11](#SSW11)) one sees in equation (2.1) _almost_ the data of an $\mathfrak{aut}(\mathfrak{g})$-[[2-groupoid of Lie 2-algebra valued forms|Lie 2-algebra valued forms]].

### Branes inside the M5

The M5-brane admits two solitonic excitations ($p$-branes within branes)

* $p = 1$: the [[self-dual string]]

* $p = 3$: the [[3-brane in 6d]] (see there for more)


### Dimensional reduction

On [[Kaluza-Klein mechanism|dimensional reduction]] of [[11-dimensional supergravity]] on a circle the M5-brane turns into the [[NS5-brane]] and the [[D-brane|D4-brane]] of [[type II string theory]].

The [[Kaluza-Klein mechanism|compactification]] of the 5-brane on a [[Riemann surface]] yields as [[worldvolume]] [[theory (physics)|theory]] [[N=2 D=4 super Yang-Mills theory]]. See at _[N=2 D=4 SYM -- Construction by compactification of 5-branes](N%3D2+D%3D4+super+Yang-Mills+theory#ConstructionByCompactificationOf5Branes)_.

### Holographic dual

The [[AdS/CFT correspondence]] for the 5-brane is $AdS_7/CFT_6$ and relates the [[6d (2,0)-superconformal QFT]] to [[7-dimensional supergravity]] obtained by [[Kaluza-Klein mechanism|reduction]] of [[11-dimensional supergravity]] on o 4-[[sphere]] to an and asymptotically 7d [[anti de Sitter spacetime]].

### Conformal blocks and 7d Chern-Simons dual
 {#7dCSDual}

The [[self-dual higher gauge theory|self-dual 2-connection]]-field (see there for more details) on the 6-dimensional [[worldvolume]] M5-brane is supposed to have a [[holographic principle|holographic]] description in terms of a [[higher dimensional Chern-Simons theory|7-dimensional Chern-Simons theory]] ([Witten 1996](#Witten96)). We discuss the relevant "fractional" [[quadratic form]] on [[ordinary differential cohomology]] that defines the correct [[action functional]].

Let $\hat G$ be the [[circle n-bundle with connection|circle 3-bundle with connection]] on a 7-dimensional manifold $X$ with boundary the M5-brane, thought of as the [[Kaluza-Klein mechanism|compactification]] of the [[supergravity C-field]] from [[11-dimensional supergravity]] down to [[7-dimensional supergravity]].

As discussed there, the [[higher dimensional Chern-Simons theory|7-dimensional Chern-Simons theory]] [[action functional]] on these 3-connections is

$$
  \hat G_4 \mapsto
  \exp(i \int_X \hat G_4 \cup \hat G_4)
  \,,
$$

where 

* $\exp(i \int_X (-))$ is the [[higher holonomy]] / [[fiber integration in ordinary differential cohomology]] from $X$ to the point

* of the [[Beilinson-Deligne cup product]] [[circle n-bundle with connection|7-connection]] $\hat G_4 \cup \hat G_4$.

The space of [[states]] of this 7d theory on the M5 worldvolume $\partial X$ would be the space of [[conformal blocks]] of the [[6d (2,0)-supersymmetric QFT]] on the [[worldvolume]].

Except, that it turns out that the [[first Chern class]] of the corresponding [[prequantum line bundle]] is _twice_ that required from [[geometric quantization]].

Therefore the above action functional is not yet the correct one, but only a fractional version of it is. However, the class $G_4 \cup G_4$ in [[integral cohomology]] has in general no reason to be divisible by 2.

This is related to the fact that as a [[quadratic form]] on the [[ordinary differential cohomology]] group $\hat H^4(X)$, the above is not a [[quadratic refinement]] of 

$$
  (\hat G, \hat G') \mapsto \exp(i \int_X \hat G \cup \hat G') 
  \,,
$$

but of twice that. In ([Witten 1996](#Witten96)) it was argued, and later clarified in ([Hopkins-Singer](#HopkinsSinger)), that instead the action functional should be replaced by a proper [[quadratic refinement]].

This is accomplished by shifting the center of the [[quadratic form]]
by a lift $\lambda \in H^4(X, \mathbb{Z})$ of the degree-4 [[Wu class]] $\nu_4 \in H^4(X, \mathbb{Z}/2)$ from 0 to $\frac{1}{2}\lambda$. 

(For that to make sense in [[integral cohomology]], either the [[Wu class]] $\lambda$ happens to be divisible by 2 on $X$, or else one has to regard it itself as a twisted differential character of sorts, as explained in ([Hopkins-Singer](#HopkinsSinger)). For the moment we will assume that $X$ is such that $\lambda$ is divisbible by 2.)

Since $X$, being a [[spacetime]] for [[supergravity]], admits (and is thought to be equipped with) a [[spin structure]], by the discussion at [[Wu class]] it follows that $\lambda$ is the [[first fractional Pontryagin class]] $\frac{1}{2}p_1$

$$
  (\frac{1}{2}p_1 \; mod \; 2) 
   \; 
     =
   \; 
   \nu_4 \in H^4(X, \mathbb{Z}/2)
  \,.
$$

By the very definition of [[Wu class]], it follows that for any $\hat \alpha \in \hat H^4(X)$ the combination

$$
  \hat \alpha \cup \hat \alpha + \hat \alpha \cup \hat \lambda = Sq^4(\hat \alpha) - \hat \alpha \cup \hat \lambda
  \; =\;  0 \;  mod  \; 2
$$

is divisible by 2.

Therefore define then the modified quadratic form

$$
  \exp(i S^\lambda) 
   \; : \; 
  \hat a \mapsto \exp i \int_X 
  \frac{1}{2}
  \left(
    \hat a \cup \hat a
    + 
    \hat a \cup \hat \mathbf{\lambda}
  \right)
$$

(see [[differential string structure]] for the definition of the differential refinement $\hat \mathbf{\lambda} = \frac{1}{2}\hat \mathbf{p}_1$),
where, note, we have included a global factor of 2, which is now possible due to the inclusion of the integral lift of the Wu class.

Notice that where the [[equations of motion]] of the original [[action functional]] are $\hat a = 0$, those of this shifted one are $\hat a = - \frac{1}{2}\hat \mathbf{\lambda}$. One may therefor calls $-\frac{1}{2}\lambda$ here a _background [[charge]]_ for the 7-d Chern-Simons theory.

This is now indeed a [[quadratic refinement]] of the [[intersection pairing]]:

$$
  \exp i \left( 
    S^\lambda\left(\hat a + \hat b \right)
    - 
    S^\lambda\left( \hat a \right)
    - 
    S^\lambda\left( \hat b \right)
    + 
    S^\lambda\left( 0 \right)
  \right)
  = 
  \exp i \int_X ( \hat a \cup \hat b  )
  \,.
$$

To express the correct action functional for the 7d Chern-Simons theory it is useful to define the shifted [[supergravity C-field]]

$$
  \hat a  := \hat G_4 - \frac{1}{2}\hat \mathbf{\lambda}
  \,,
$$

which the object whose [[equations of motion]] with respect to the 7d Chern-Simons theory are still $\hat a = 0$.

Then in terms of the original $\hat G_4$ the action functional for the [[holographic principle|holographic dual]] [[higher dimensional Chern-Simons theory|7d Chern-Simons theory]] reads

$$
  \exp(i S(\hat G_4))
  = 
  \exp(i \int_X
    \frac{1}{2}
    (
      \hat G_4 \cup \hat G_4  
      -
      (\frac{1}{2}\hat \mathbf{\lambda})^2
    )
  )
  \,.
$$

This is the action as it appears in ([Witten96, (3.6)](#Witten96)).

In terms of [[twisted differential c-structures]] we may summarize the outcome of this reasoning as follows:

_The divisibility of the action functional requires a $2(G_4 - a)$-[[twisted Wu structure]] in $\mathbb{Z}/2$-cohomology. Its lift to integral cohomology is the $2(G_4 - a)$-[[twisted differential string structure]] known as the "Witten quantization condition" on the [[supergravity C-field]]_.

### Restriction of the supergravity $C$-field
 {#RestrictionOfTheCField}

We discuss the conditions on the 
restriction of the [[supergravity C-field]] on the ambient 
[[11-dimensional supergravity]] [[spacetime]] to the M5-brane.

This is similar to the analogous situation in [[type II string theory]].
The the [[Freed-Witten anomaly cancellation]] condition demands that
the restriction of the [[B-field]] $\hat H_3 \hat H^3(X)$ 
on spacetime $X$ to an 
[[orientation|oriented]] [[D-brane]] $Q \hookrightarrow X$ has
to trivialize, up to [[torsion]], relative to the integral 
[[Stiefel-Whitney class]] $W_3 = \beta(w_2)$, where
$\beta$ is the [[Bockstein homomorphism]] induced from the 
[[short exact sequence]] $\mathbb{Z} \stackrel{\cdot 2}{\to}
\mathbb{Z} \to \mathbb{Z}_2$:

$$
  H_3|_Q \simeq W_3
  \,,
$$

thus defining a [[twisted spin^c-structure]] on the [[D-brane]].

The analog of this for the M5-brane is discussed in 
([Witten00, section 5](#Witten2000)). There it is argued that
there is a class 

$$
  \theta \in H^3(Q, U(1))
$$

on the 5-brane such that under the [[Bockstein homomorphism]]
$\beta'$ induced by the [[short exact sequence]]
$\mathbb{Z} \to \mathbb{R} \to U(1)$ we have for the
[[supergravity C-field]] $\hat G \in \hat H^4(X)$ the condition

$$
  G|_Q = \beta'(\theta)
  \,.
$$

By the [above](#7dCSDual) quantization condition, this may also be thought of
as witnessing a [[twisted string structure]] on the 5-brane ([Sati](#Sati10)).

This condition reduces to the above one for the $B$-field under [[double dimensional reduction]] on the circle.

### M5-brane charge


See at _[[M5-brane charge]]_

## Related concepts

* [[M5-brane instanton]]

* [[string theory]]

* [[11-dimensional supergravity]], [[M-theory]]

* [[supergravity Lie 6-algebra]], [[M-theory super Lie algebra]]

[[!include gauge theory from AdS-CFT -- table]]

[[!include table of branes]]


## References
 {#References}

### Survey

The history as of the 1990 is reviewed in 

* {#Duff99} [[Mike Duff]], chapter II of _[[The World in Eleven Dimensions]]: Supergravity, Supermembranes and M-theory_, IoP 1999 ([publisher](https://www.crcpress.com/The-World-in-Eleven-Dimensions-Supergravity-supermembranes-and-M-theory/Duff/9780750306720))

Further reviews and general accounts include

* [[Robbert Dijkgraaf]], _The mathematics of fivebranes_ ([pdf](http://arxiv.org/PS_cache/hep-th/pdf/9810/9810157v1.pdf))

* [[Hisham Sati]], _[[Geometric and topological structures related to M-branes]]_ (2010)

### Black brane description
 {#ReferencesAsBlackBrane}

The M5 was first found as a [[black brane]] of [[11-dimensional supergravity]] (the [[black fivebrane]]) in 

* {#Gueven92} [[Rahmi Gueven]], _Black $p$-brane solutions of $D = 11$ supergravity theory, Phys. Lett. B276 (1992) 49 and in [[Mike Duff]] (ed.) _[[The World in Eleven Dimensions]]_ 135-141 ([spire](http://inspirehep.net/record/338203?ln=en))

That this metric, as well as that of every black $p$ brane for _odd_ $p$, is completely non-singular was observed in 

* [[Gary Gibbons]], [[Gary Horowitz]], [[Paul Townsend]], p. 15 of _Higher-dimensional resolution of dilatonic black hole singularities_, Class.Quant.Grav.12:297-318,1995 ([arXiv:hep-th/9410073](https://arxiv.org/abs/hep-th/9410073))

The [[orbifold]] structure for lower-BPS M5-branes is discussed in

* {#MFF12} Paul de Medeiros, [[José Figueroa-O'Farrill]], _Half-BPS M2-brane orbifolds_, Adv. Theor. Math. Phys. Volume 16, Number 5 (2012), 1349-1408. ([arXiv:1007.4761](http://arxiv.org/abs/1007.4761), [Euclid](https://projecteuclid.org/euclid.atmp/1408561553))

Discussion in terms of [[E11]]-[[U-duality]] and [[current algebra]] is in 

* [[Hirotaka Sugawara]], _Current Algebra Formulation of M-theory based on E11 Kac-Moody Algebra_, International Journal of Modern Physics A, Volume 32, Issue 05, 20 February 2017 ([arXiv:1701.06894](https://arxiv.org/abs/1701.06894))

* [[Shotaro Shiba]], [[Hirotaka Sugawara]], _M2- and M5-branes in E11 Current Algebra Formulation of M-theory_ ([arXiv:1709.07169](https://arxiv.org/abs/1709.07169))


### $\sigma$-Model description
 {#ReferencesSigmaModelDescription}

The [[sigma-model]] description of the (single) M5-brane of [[Green-Schwarz action functional]]-type was found in covariant form in 

* {#BLNPST97} [[Igor Bandos]], [[Kurt Lechner]], Alexei Nurmagambetov, [[Paolo Pasti]], [[Dmitri Sorokin]], Mario Tonin, _Covariant Action for the Super-Five-Brane of M-Theory_, Phys. Rev. Lett. 78 (1997) 4332-4334 ([arXiv:hep-th/9701149](http://arxiv.org/abs/hep-th/9701149))

  Paolo Pasti, [[Dmitri Sorokin]] and M. Tonin, _Covariant Action for a D=11 Five-Brane with the Chiral Field_, Phys. Lett. B398 (1997) 41.


and in non-covariant form in 

* Mina Aganagic, Jaemo Park, Costin Popescu, [[John Schwarz]], _World-Volume Action of the M Theory Five-Brane_ ([arXiv:hep-th/9701166](http://arxiv.org/abs/hep-th/9701166))



A comparison of the different action functionals here is in 

* [[Igor Bandos]], [[Kurt Lechner]], Alexei Nurmagambetov, [[Paolo Pasti]], [[Dmitri Sorokin]], Mario Tonin, _On the equivalence of different formulations of the M Theory five--brane_, Phys. Lett. B408 (1997) 135-141 ([arXiv:hep-th/9703127](http://arxiv.org/abs/hep-th/9703127))

* [[Dmitri Sorokin]], _Superbranes and Superembeddings_ ([arXiv:hep-th/9906142](http://arxiv.org/abs/hep-th/9906142))

The computation of the small fluctuations of this GS-type sigma-model around a solution embedding as the asymptotic boundary of the [[AdS-spacetime]] [[near-horizon geometry]] of a black 5-brane as [above](#ReferencesAsBlackBrane), and the proof, to low order, that the result is the [[6d (2,0)-supersymmetric QFT]] appearing in [[AdS-CFT|AdS7-CFT6 duality]] is due to 

* {#ClausKalloshProeyen97} P. Claus, [[Renata Kallosh]], [[Antoine Van Proeyen]], _M 5-brane and superconformal $(0,2)$ tensor multiplet in 6 dimensions_, Nucl.Phys. B518 (1998) 117-150 ([arXiv:hep-th/9711161](http://arxiv.org/abs/hep-th/9711161))


A review with emphasis on the coupling to the [[M2-brane]] is in 

* [[Ergin Sezgin]], P. Sundell, _Aspects of the M5-Brane_ ([arXiv:hep-th/9902171](http://arxiv.org/abs/hep-th/9902171))

The [[double dimensional reduction]] of the M5-brane to the [[D4-brane]] in [[type II string theory]] is discussed in 

* [[Eric Bergshoeff]], Mees de Roo, Tomas Ortin, _The Eleven-dimensional Five-brane_ ([pdf](http://astro.eldoc.ub.rug.nl/FILES/root/Preprints/1996/Eleven-dimensional/eleven-dimensional_five-brane.pdf))

Further developments include

* Sheng-Lan Ko, [[Dmitri Sorokin]], Pichet Vanichchapongjaroen, _The M5-brane action revisited_ ([arXiv:1308.2231](http://arxiv.org/abs/1308.2231))

### Anomaly cancellation

* Samuel Monnier, _global gravitational anomaly cancellation for five-branes_, 2013 ([pdf](http://media.scgp.stonybrook.edu/presentations/20130618_monnier.pdf))

### Worldvolume theory
 {#ReferencesWorldvolumeTheory}

The original article suggesting the description of the [[self-dual higher gauge theory]] on the 5-brane [[holographic principle|holographically]] by a dual [[higher dimensional Chern-Simons theory]] is

* {#Witten96} [[Edward Witten]], _Five-Brane Effective Action In M-Theory_, J.Geom.Phys.22:103-133,1997 ([arXiv:hep-th/9610234](http://arxiv.org/abs/hep-th/9610234))
 

A precise mathematical formulation of the proposal made there is given in

* {#HopkinsSinger} [[Mike Hopkins]], [[Isadore Singer]], _[[Quadratic Functions in Geometry, Topology, and M-Theory]]_
 

A discussion that embeds this argument into the larger context of [[AdS-CFT duality]] is in 

* {#Witten98} [[Edward Witten]], _AdS/CFT Correspondence And Topological Field Theory_ JHEP 9812:012,1998 ([arXiv:hep-th/9812012](http://arxiv.org/abs/hep-th/9812012)) 
 

See also the references at _[[6d (2,0)-supersymmetric QFT]]_.

The [[double dimensional reduction]] to the [[D4-brane]] [[D=5 super Yang-Mills theory]] and the relation to [[Khovanov homology]] is discussed in 

* {#Witten11} [[Edward Witten]], _Fivebranes and Knots_ ([arXiv:1101.3216](http://arxiv.org/abs/1101.3216)) 
 
with further comments in 

* Michele Nardelli, _On some equations concerning Fivebranes and Knots, Wilson Loops in Chern-Simons Theory, cusp anomaly and integrability from String theory. Mathematical connections with
some sectors of Number Theory_  (2011) ([pdf](http://empslocal.ex.ac.uk/people/staff/mrwatkin/zeta/nardelli2011b.pdf))

A proposal for a construction as a [[higher gauge theory]] for [[differential string structure|string 2-connections]] is due to 

* {#SaemannSchmidt17b} [[Christian Saemann]], Lennart Schmidt, _An M5-Brane Model_ ([arXiv:1712.06623](https://arxiv.org/abs/1712.06623))

based on 

* {#SaemannSchmidt17a} [[Christian Saemann]], Lennart Schmidt, _The Non-Abelian Self-Dual String and the (2,0)-Theory_ ([arXiv:1705.02353](https://arxiv.org/abs/1705.02353))

### Relation to D4-brane

The relation of the M5-brane to the [[D4-brane]] and the [[D=5 super Yang-Mills theory]] in its [[worldvolume]] [[physical theory|theory]] by [[double dimensional reduction]] is discussed in the following references

* Malcolm Perry, [[John Schwarz]], _Interacting Chiral Gauge Fields in Six Dimensions and Born-Infeld Theory_, Nucl. Phys. B489 (1997) 47-64 ([arXiv:hep-th/9611065](http://arxiv.org/abs/hep-th/9611065))

* [[Neil Lambert]], Constantinos Papageorgakis, Maximilian Schmidt-Sommerfeld, _M5-Branes, D4-Branes and Quantum 5D super-Yang-Mills_, JHEP 1101:083 (2011) ([arXiv:1012.2882](http://arxiv.org/abs/1012.2882))

* Chong-Sun Chu, Sheng-Lan Ko, _Non-abelian Action for Multiple Five-Branes with Self-Dual Tensors_, ([arXiv:1203.4224](http://arxiv.org/abs/1203.4224)) JHEP05(2012)028

* [[Neil Lambert]], Miles Owen, _Charged Chiral Fermions from M5-Branes_ ([arXiv:1802.07766](https://arxiv.org/abs/1802.07766))


See also ([Witten 11](#Witten11)).

### Open M5-branes

Discussion of open M5-branes ending on [[M9-branes]] in a [[Yang monopole]] is in 

* [[Eric Bergshoeff]], [[Gary Gibbons]], [[Paul Townsend]], _Open M5-branes_, Phys.Rev.Lett.97:231601 2006 ([arXiv:hep-th/0607193](http://arxiv.org/abs/hep-th/0607193))




### Nonabelian 2-form fields

The fact that the worldvolume theory of the M5-brane should support fields that are [[self-dual higher gauge theory|self-dual]] [[connections on a 2-bundle]] ($\sim$ a [[gerbe]]) is discussed in 

* [[Edward Witten]], _Conformal Field Theory In Four And Six Dimensions_, in [[Ulrike Tillmann]], _Topology, Geometry and Quantum Field Theory: Proceedings of the 2002 Oxford Symposium in Honour of the 60th Birthday of Graeme Segal_,  London Mathematical Society Lecture Note Series (2004) ([arXiv:0712.0157](http://arxiv.org/abs/0712.0157))
 {#Witten07}

as well as sections 3 and 4 of 

* [[Edward Witten]], _Geometric Langlands From Six Dimensions_ ([arXiv:0905.2720](http://arxiv.org/abs/0905.2720))
 {#Witten09}.

Proposals for how to implement this are for instance in

* Chong-Sun Chu, _A Theory of Non-Abelian Tensor Gauge Field with Non-Abelian Gauge Symmetry $G \times G$_ ([arXiv:1108.5131](http://arxiv.org/abs/1108.5131))

* [[Henning Samtleben]], [[Ergin Sezgin]], Robert Wimmer, _(1,0) superconformal models in six dimensions_ ([arXiv:1108.4060](http://arxiv.org/abs/1108.4060))
 {#SSW11}

A formal proposal is [[schreiber:7d Chern-Simons theory and the 5-brane|here]].

### More on the holographic description

* A. J. Nurmagambetov, I. Y. Park, _On the M5 and the AdS7/CFT6 Correspondence_ ([arXiv:hep-th/0110192](http://arxiv.org/abs/hep-th/0110192))

### More on the algebraic topology

* {#Witten2000} [[Edward Witten]], _Duality relations among topological effects in string theory_, J. High Energy Phys. 0005 (2000)
031 ([arXiv:hep-th/9912086](http://arxiv.org/abs/hep-th/9912086))
 

* {#Sati10} [[Hisham Sati]], _Geometric and topological structures related to M-branes II: Twisted String and String^c structures_ ([arXiv:1007.5419](http://arxiv.org/abs/1007.5419))
 

* {#Sati} [[Hisham Sati]], _Twisted topological structures related to M-branes II: Twisted $Wu$ and $Wu^c$ structures_ ([arXiv:1109.4461](http://arxiv.org/abs/1109.4461))
 

[[!redirects M5-branes]]

[[!redirects M5-brane]]
[[!redirects M5-branes]]