
**[[physics]]**, [[mathematical physics]], [[philosophy of physics]]

## Surveys, textbooks and lecture notes

* _[[higher category theory and physics|(higher) category theory and physics]]_

* _[[geometry of physics]]_

* [[books and reviews in mathematical physics|books and reviews]], [[physics resources]]


***

[[theory (physics)]], [[model (physics)]]

[[experiment]], [[measurement]], [[computable physics]]

* **[[mechanics]]**

  * [[mass]], [[charge]], [[momentum]], [[angular momentum]], [[moment of inertia]]

  * [[dynamics on Lie groups]]

    * [[rigid body dynamics]]

* [[field (physics)]]

  * [[Lagrangian mechanics]]

    * [[configuration space]], [[state]]

    * [[action functional]], [[Lagrangian]]

    * [[covariant phase space]], [[Euler-Lagrange equations]]

  * [[Hamiltonian mechanics]]

    * [[phase space]]

    * [[symplectic geometry]]

      * [[Poisson manifold]]

      * [[symplectic manifold]]

      * [[symplectic groupoid]]

    * [[multisymplectic geometry]]

      * [[n-symplectic manifold]]

  * [[spacetime]]

    * [[smooth Lorentzian manifold]]

    * [[special relativity]]

    * [[general relativity]]

    * [[gravity]]

      * [[supergravity]], [[dilaton gravity]]

      * [[black hole]]

* **[[classical field theory|Classical field theory]]**

  * [[classical physics]]

    * [[classical mechanics]]
    * [[waves]] and [[optics]]
    * [[thermodynamics]]
 
* **[[quantum mechanics|Quantum Mechanics]]**
  
  * [[quantum mechanics in terms of dagger-compact categories|in terms of †-compact categories]]

  * [[quantum information]]

  * [[Hamiltonian operator]]

  * [[density matrix]]

  * [[Kochen-Specker theorem]]

  * [[Bell's theorem]]

  * [[Gleason's theorem]]

* **[[quantization|Quantization]]**

  * [[geometric quantization]]

  * [[deformation quantization]]

  * [[path integral|path integral quantization]]

  * [[semiclassical approximation]]

* **[[quantum field theory|Quantum Field Theory]]**

  * Axiomatizations

    * [[AQFT|algebraic QFT]]

      * [[Wightman axioms]]

      * [[Haag-Kastler axioms]]

        * [[operator algebra]]

        * [[local net]]
  
          * [[conformal net]]

      * [[Reeh-Schlieder theorem]]     

      * [[Osterwalder-Schrader theorem]]

      * [[PCT theorem]]

      * [[Bisognano-Wichmann theorem]]

        * [[modular theory]]

      * [[spin-statistics theorem]]

        * [[boson]], [[fermion]]

    * [[FQFT|functorial QFT]]

      * [[cobordism]]

      * [[(∞,n)-category of cobordisms]]

      * [[cobordism hypothesis]]-theorem

      * [[extended topological quantum field theory]]

  * Tools

    * [[perturbative quantum field theory]], [[vacuum]]

    * [[effective quantum field theory]]

    * [[renormalization]]

    * [[BV-BRST formalism]]

    * [[geometric ∞-function theory]]

  * [[particle physics]]

    * [[phenomenology]]

    * [[model (in particle phyiscs)|models]]


      * [[standard model of particle physics]]

      * [[fields and quanta - table|fields and quanta]]

      * [[GUT|Grand Unified Theories]], [[MSSM]]

    * [[scattering amplitude]]

      * [[on-shell recursion]], [[KLT relations]]

  * Structural phenomena

    * [[universality class]]

    * [[quantum anomaly]]

      * [[Green-Schwarz mechanism]]

    * [[instanton]]

    * [[spontaneously broken symmetry]]

    * [[Kaluza-Klein mechanism]]

    * [[integrable systems]]

    * [[holonomic quantum fields]]


  * Types of quantum field thories

    * [[TQFT]]

      * [[2d TQFT]] 

      * [[Dijkgraaf-Witten theory]]

      * [[Chern-Simons theory]]

    * [[TCFT]]

      * [[A-model]], [[B-model]]

      * [[homological mirror symmetry]]

    * [[QFT with defects]]

    * [[conformal field theory]]

    * [[(1,1)-dimensional Euclidean field theories and K-theory]]

    * [[(2,1)-dimensional Euclidean field theory|(2,1)-dimensional Euclidean field theory and elliptic cohomology]]

    * [[CFT]]
  
      * [[WZW model]]

      * [[6d (2,0)-supersymmetric QFT]]
 
    * [[gauge theory]]
      * [[field strength]]
      * [[gauge group]], [[gauge transformation]], [[gauge fixing]]
      * examples

        * [[electromagnetic field]], [[QED]]
          * [[electric charge]]
          * [[magnetic charge]]

        * [[Yang-Mills field]], [[QCD]]

          * [[Yang-Mills theory]]
          * [[spinors in Yang-Mills theory]]
          * [[topological Yang-Mills theory]]

        * [[Kalb-Ramond field]]
        * [[supergravity C-field]]
        * [[RR field]]
        * [[first-order formulation of gravity]]
          * [[general covariance]]
          * [[supergravity]]
            * [[D'Auria-Fre formulation of supergravity]]
          * [[gravity as a BF-theory]]

    * [[sigma-model]]

      * [[particle]], [[relativistic particle]], [[fundamental particle]], [[spinning particle]], [[superparticle]]

      * [[string]], [[spinning string]], [[superstring]]

      * [[membrane]]

      * [[AKSZ theory]]

* [[string theory|String Theory]]

  * [[string theory results applied elsewhere]]


* [[number theory and physics]]

  * [[Riemann hypothesis and physics]]

<div markdown="1">[Edit this sidebar](/nlab/edit/physicscontents)</div>

[[!redirects physics contents]]