

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Geometric quantization
+--{: .hide}
[[!include geometric quantization - contents]]
=--
=--
=--


> under construction

#Contents#
* table of contents
{:toc}

## Idea

### General

Given a suitable [[Lie algebra]] $\mathfrak{g}$ a __Knizhnik-Zamolodchikov equation__ is the [[equation]] expressing [[flat connection|flatness]] of certain class of [[vector bundles]] [[connection on a bundle|with connection]] on [[Fadell's configuration space]] of $N$ distinct points in $\mathbf{C}^N$. It appeared in the study of [[Wess-Zumino-Novikov-Witten model]] (WZNW model) of [[2d CFT]] in ([Knizhnik-Zamolodchikov 84](#KnizhnikZamolodchikov84)).

The Knizhnik-Zamolodchikov equation involves what is called the __Knizhnik-Zamolodchikov connection__ and it is related to [[monodromy]] representations of the Artin's [[braid group]].

In the standard variant, its basic data involve a given complex [[simple Lie algebra]] $\mathfrak{g}$ with a fixed bilinear  [[invariant polynomial]] $(,)$ (the _[[Killing form]]_) and $N$ (not necessarily finite-dimensional) [[representations]] $V_1,\ldots, V_n$ of $\mathfrak{g}$. Let $V = V_1\otimes \ldots\otimes V_N$. Consder the [[Fadell's configuration space]] $Conf_N(\mathbf{C}P^1)$ of $N$ distinct points in $\mathbf{C}P^1$ and its subset $Conf_N(\mathbf{C})$. 

(...)

### From geometric quantization of Chern-Simons theory
 {#FromGeometicQuantization}

The existence of the Knizhnik-Zamolodchikov connection can naturally be understood from the [[holographic principle|holographic]] [[quantization]] of the [[WZW model]] on the Lie group $G$ by [[geometric quantization]] of $G$-[[Chern-Simons theory]]:

as discussed there, for a 2-dimensional [[manifold]] $\Sigma$, a choice of [[polarization]] of the [[phase space]] of 3d [[Chern-Simons theory]] on $\Sigma$ is naturally induced by a choice $J$ of [[conformal structure]] on $\Sigma$. Once such a choice is made, the resulting [[space of quantum states]] $\mathcal{H}_\Sigma^{(J)}$ of the Chern-Simons theory over $\Sigma$ is naturally identified with the space of [[conformal blocks]] of the [[WZW model]] [[2d CFT]] on the [[Riemann surface]] $(\Sigma, J)$. 

But since from the point of view of the 3d Chern-Simons theory the [[polarization]] $J$ is an arbitrary choice, the [[space of quantum states]] $\mathcal{H}_\Sigma^{(J)}$ should not depend on this choice, up to specified [[equivalence]]. Formally this means that as $J$ varies (over the [[moduli space of conformal structures]] on $\Sigma$) the $\mathcal{H}_{\Sigma}^{(J)}$ should form a [[vector bundle]] on this [[moduli space of conformal structures]] which is equipped with a [[flat connection]] whose [[parallel transport]] hence provides equivalences between between the [[fibers]] $\mathcal{H}_{\Sigma}^{(J)}$ of this vector bundle. 

This flat connection is the Knizhnik-Zamolodchikov connection. This was maybe first realized and explained in ([Witten 89](#Witten89)).



## Related entries

* [[Kohno-Drinfeld theorem]]

* [[Hitchin connection]]


## References

The original articles are

* [[Vadim Knizhnik]], [[Alexander Zamolodchikov]], _Current algebra and Wess–Zumino model in two-dimensions_, Nucl. Phys. __B247__, 83–103 (1984) <a href="http://dx.doi.org/10.1016%2F0550-3213%2884%2990374-2">doi</a>, [MR87h:81129](http://www.ams.org/mathscinet-getitem?mr=87h:81129)
 {#KnizhnikZamolodchikov84}

* A. Belavin , [[Alexander Polyakov]] , [[Alexander Zamolodchikov]], _Infinite conformal symmetry in two-dimensional quantum field theory_ (1984) Nucl. Phys. B 241 (2): 333–80. 

* [[Daniel Friedan]], S. Shenker, _The analytic geometry of two-dimensional conformal field theory_, Nuclear Physics B281 (1987) ([pdf](http://www.physics.rutgers.edu/~friedan/papers/Nucl_Phys_B281_509_1987.pdf))

The interpretation of this structure in terms of a [[flat connection]] on the [[moduli space of conformal structures]] was given in 

* [[Graeme Segal]], _Conformal field theory_, Oxford preprint and lecture at the IAMP Congress, Swansea July 1988.

The generalization to higher [[genus]] surfaces is due to

* D. Bernard, _On the Wess-Zumino-Witten models on the torus_, Nucl. Phys. B 303 77-93 (1988)

* D. Bernard, _On the Wess-Zumino-Witten models on Riemann surfaces, Nucl. Phys. B 309 145-174 (1988)

Finally the interpreation of this connection in terms of the [[geometric quantization]] of [[Chern-Simons theory]] is due to the discussion on p. 20 of

* [[Edward Witten]] _Quantum Field Theory and the Jones Polynomial_ Commun. Math. Phys. 121 (3) (1989) 351–399. MR0990772 ([EUCLID](http://projecteuclid.org/euclid.cmp/1104178138))
 {#Witten89}

A quick review of the Knizhnik-Zamolodchikov equation in the context of an introduction to [[WZW model]] [[CFT]] is in section 5.6 of 

* [[Krzysztof Gawędzki]], _Conformal field theory: a case study_ ([arXiv:hep-th/9904145](http://arxiv.org/abs/hep-th/9904145))

A review of the definition of the Knizhnik-Zamolodchikov connection on the moduli space of [[genus]]-0 surfaces with $n$ marked points is in section 2 of

* Shu Oi, Kimio Ueno, _Connection Problem of Knizhnik-Zamolodchikov Equation on Moduli Space $\mathcal{M}_{0,5}$_ ([arXiv:1109.0715](http://arxiv.org/abs/1109.0715))

See also

* wikipedia [Knizhnik-Zamolodchikov equations](http://en.wikipedia.org/wiki/Knizhnik–Zamolodchikov_equations)

* Philippe Di Francesco,Pierre Mathieu,David Sénéchal, _Conformal field theory_, Springer 1997

* [[P. Etingof]], I. Frenkel, _Lectures on representation theory and Knizhnik-Zamolodchikov equations_, book; V. Chari, review in Bull. AMS: [pdf](http://www.ams.org/journals/bull/2000-37-02/S0273-0979-00-00853-3/S0273-0979-00-00853-3.pdf)

* I. B. Frenkel, N. Yu. Reshetikihin, _Quantum affine algebras and holonomic diference equations_, Comm. Math. Phys. __146__ (1992), 1-60, [MR94c:17024](http://www.ams.org/mathscinet-getitem?mr=94c:17024)

* [[Valerio Toledano-Laredo]], _Flat connections and quantum groups_, Acta Appl. Math. 73 (2002), 155-173, [math.QA/0205185](http://arxiv.org/abs/math.QA/0205185)

* Toshitake Kohno, _Conformal field theory and topology_, transl. from the 1998 Japanese original by the author. Translations of Mathematical Monographs __210__. Iwanami Series in Modern Mathematics. Amer. Math. Soc. 2002. x+172 pp.

* [[P. Etingof]], N. Geer, _Monodromy of trigonometric KZ equations_, [math.QA/0611003](http://arxiv.org/abs/math.QA/0611003)
* [[Valerio Toledano-Laredo]], _A Kohno-Drinfeld theorem for quantum Weyl groups_, [math.QA/0009181](http://arxiv.org/abs/math.QA/0009181)

* A. Tsuchiya, Y. Kanie, _Vertex operators in conformal field theory on $\mathbf{P}^1$ and monodromy representations of braid group_, Adv. Stud. Pure Math. __16__, pp. 297–372 (1988); Erratum in vol. 19, 675–682

* C. Kassel, _Quantum groups_, Grad. Texts in Math. __155__, Springer 1995

* V. Chari, , A. Pressley, _A guide to quantum groups_, Camb. Univ. Press 1994В. 

* А. Голубева, В. П. Лексин, _Алгебраическая характеризация монодромии обобщенных уравнений Книжника–Замолодчикова типа $B_n$_, Монодромия в задачах алгебраической геометрии и дифференциальных уравнений, Сборник статей, Тр. МИАН, 238, Наука, М., 2002, 124–143, [pdf](http://www.mathnet.ru/php/getFT.phtml?jrnid=tm&paperid=349&what=fullt&option_lang=rus); V. A. Golubeva, V. P. Leksin, “Algebraic Characterization of the Monodromy of Generalized Knizhnik–Zamolodchikov Equations of Bn Type”, Proc. Steklov Inst. Math., 238 (2002), 115–133

* V. A. Golubeva, V. P. Leksin, _Rigidity theorems for multiparametric deformations of algebraic structures, associated with the Knizhnik-Zamolodchikov equations_, Journal of Dynamical and Control Systems, 13:2 (2007), 161–171, [MR2317452](http://www.ams.org/mathscinet-getitem?mr=2317452)

* V. A. Golubeva, _Integrability conditions for two–parameter Knizhnik–Zamolodchikov equations of type $B_n$ in the tensor and spinor cases_, Doklady Mathematics, 79:2 (2009), 147–149 

* V. G. Drinfelʹd, _Quasi-Hopf algebras and Knizhnik-Zamolodchikov equations_, Problems of modern quantum field theory (Alushta, 1989), 1–13, Res. Rep. Phys., Springer 1989.

* R. Rimányi, V. Tarasov, A. Varchenko, P. Zinn-Justin, _Extended Joseph polynomials, quantized conformal blocks, and a $q$-Selberg type integral_, [arxiv/1110.2187](http://arxiv.org/abs/1110.2187)

* E. Mukhin, V. Tarasov, A. Varchenko, _KZ characteristic variety as the zero set of classical Calogero-Moser Hamiltonians_, [arxiv/1201.3990](http://arxiv.org/abs/1201.3990)

[[!redirects Knizhnik-Zamolodchikov connection]]
[[!redirects KZ equation]]
[[!redirects KZ connection]]