
#Contents#
* table of contents
{:toc}

## Idea

Given a [[manifold]] $M$, the __Fadell's configuration space__ (in [[topology]] called simply _[[configuration space]]_) is the manifold of $N$-tuples of pairwise distinct points in $M$.

It is important in the study of topological [[fibrations]], in the study of [[arrangements of hyperplanes]], of [[Knizhnik-Zamolodchikov connection]]s and in study of geometry of [[renormalization]]. 

## Examples

### Classifying space of the symmetric group

Let $X= \mathbb{R}^\infty$. Then 

* the _unordered_ configuration space of $n$ points in $\mathbb{R}^\infty$ is a model for the [[classifying space]] $B \Sigma(n)$ of the [[symmetric group]] $\Sigma(n)$;


* the _ordered_ configuration space of $n$ points, equipped with the canonical $\Sigma(n)$-[[action]], is a model for the $\Sigma(n)$-[[universal principal bundle]].

## References

* Edward Fadell, Lee Neuwirth, _Configuration spaces_
Math. Scand. __10__ (1962) 111-118, [MR141126](http://www.ams.org/mathscinet-getitem?mr=141126), [pdf](http://www.mscand.dk/article.php?id=1623)

* [[Craig Westerland]], _Configuration spaces in geometry and topology_, 2011, [pdf](http://www.ms.unimelb.edu.au/~craigw/config.pdf)

* [[Graeme Segal]], _Configuration-spaces and iterated loop-spaces_, Invent. Math. __21__ (1973), 213–221. MR 0331377 ([pdf](http://dodo.pdmi.ras.ru/~topology/books/segal.pdf))

* Edward R. Fadell, Sufian Y. Husseini, _Geometry and topology of configuration spaces_, Springer Monographs in Mathematics (2001), [MR2002k:55038](http://www.ams.org/mathscinet-getitem?mr=2002k:55038), xvi+313 pp.

* F. R. Cohen, [[Sam Gitler|S. Gitler]], _On loop spaces of configuration spaces_, Trans. Amer. Math. Soc. __354__ (2002), no. 5, 1705–1748, [MR2002m:55020](http://www.ams.org/mathscinet-getitem?mr=1881013)