
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Factorization systems
+--{: .hide}
[[!include factorization systems - contents]]
=--
#### Category theory
+-- {: .hide}
[[!include category theory - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Definition

An **epi-mono factorization system** is an [[orthogonal 
factorization system]] in which the left class is the class of [[epimorphisms]] and the right class is the class of [[monomorphisms]].  Such a factorization system exists on any (elementary) [[topos]], and indeed on any [[pretopos]]. It provides the factorization through the [[image]] of any morphism.

## Properties

Note that any category which admits an epi-mono factorization system is necessarily [[balanced category|balanced]].  This excludes many commonly occurring categories.  More common are ([[strong epimorphism|strong epi]], mono) and (epi, strong mono) factorization systems; the former exists in any [[regular category]] and the latter in any [[quasitopos]], as well as in other categories such as [[Top]].

The epi-mono factorization system in a topos is the special case of the [[n-connected/n-truncated factorization system]] in an [[(∞,1)-topos]] for the case that $(n = -1)$ and restricted to [[0-truncated]] [[object]]s.

## Related concepts

* **(epi, mono) factorization system**

* [[(eso+full, faithful) factorization system]]

* [[n-connected/n-truncated factorization system]].


[[!redirects (epi, mono) factorization system]]

[[!redirects (epi,mono)-factorization]]
[[!redirects (epi,mono) factorization]]
[[!redirects (epi, mono)-factorization]]
[[!redirects (epi, mono) factorization]]


[[!redirects (epi, mono)-factorization system]]
[[!redirects (epi, mono)-factorization systems]]

[[!redirects (epi,mono) factorization system]]
[[!redirects (epi,mono) factorization systems]]
[[!redirects (epi,mono)-factorization system]]
[[!redirects (epi,mono)-factorization systems]]

[[!redirects epi/mono factorization system]]
[[!redirects epi/mono factorization systems]]
[[!redirects epi-mono factorization system]]
[[!redirects epi-mono factorization systems]]

[[!redirects (effective epi, mono) factorization system]]
[[!redirects (effective epi, mono) factorization systems]]
[[!redirects (effective epi,mono) factorization system]]
[[!redirects (effective epi,mono) factorization systems]]
