
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Homotopy theory
+--{: .hide}
[[!include homotopy - contents]]
=--
#### $(\infty,1)$-Topos Theory
+--{: .hide}
[[!include (infinity,1)-topos - contents]]
=--
=--
=--

#Contents#
* automatic toc goes here
{:toc}

## Definition ##

_Simplicial presheaves_ over some [[site]] $S$ are
 
* [[presheaf|Presheaves]] with values in the category [[SimpSet]] of simplicial sets, i.e., functors $S^{op} \to \Simp\Set$, i.e., functors $S^{op} \to [\Delta^{op}, \Set]$;

or equivalently, using the Hom-[[adjoint functor|adjunction]] and symmetry of the [[closed monoidal category|closed monoidal structure]] on [[Cat]]

* simplicial objects in the category of presheaves, i.e. functors $\Delta^{op} \to [S^{op},\Set]$.

## Interpretation as $\infty$-stacks ##

Regarding $\Simp\Set$ as a [[model category]] using the standard [[model structure on simplicial sets]] and inducing from that a model structure on $[S^{op}, \Simp\Set]$ makes simplicial presheaves a model for $\infty$-[[infinity-stack|stacks]], as described at [[infinity-stack homotopically]].

In more illustrative language this means that a simplicial presheaf on $S$ can be regarded as an $\infty$-[[infinity-groupoid|groupoid]] (in particular a [[Kan complex]]) whose space of $n$-morphisms is modeled on the objects of $S$ in the sense described at [[space and quantity]].

## Examples ##

* Notice that most definitions of $\infty$-[[infinity-category|category]] the $\infty$-category is itself defined to be a [[simplicial set]] with extra structure (in a [[geometric definition of higher category]]) or gives rise to a simplicial set under taking its [[nerve]] (in an [[algebraic definition of higher category]]). So most notions of presheaves of higher categories will naturally induce presheaves of simplicial sets.

* In particular, regarding a [[group]] $G$ as  a one object category $\mathbf{B}G$ and then taking the nerve $N(\mathbf{B}G) \in \Simp\Set$ of these (the "classifying simplicial set of the group whose [[geometric realization]] is the [[classifying space]] $\mathcal{B}G$), which is clearly a functorial operation, turns any presheaf with values in groups into a simplicial presheaf.

## Remarks ##

* There are various useful [[model category]] structures on the category of simplicial presheaves. See [[model structure on simplicial presheaves]].

## Properties ##

Here are some basic but useful facts about simplicial presheaves.

+--{: .un_prop}
######Proposition

Every simplicial presheaf $X$ is a 
[[homotopy limit|homotopy colimit]] over a [[diagram]]
of [[Set]]-valued sheaves regarded as discrete simplicial sheaves.

More precisely, for $X : S^{op} \to SSet$ a simplicial presheaf, 
let $D_X : \Delta^{op} \to Set \hookrightarrow SSet$ be
given by $D_X : [n] \mapsto X_n$. Then there is a weak equivalence
$$
  hocolim_{[n] \in \Delta} D_X([n]) \stackrel{\simeq}{\to} X
  \,.
$$
=--

+--{: .proof}
######Proof
See for instance [remark 2.1, p. 6](http://www.math.uiuc.edu/K-theory/0563/spre.pdf#page=6)

* Daniel Dugger, Sharon Hollander, Daniel C. Isaksen, _Hypercovers and simplicial presheaves_ ([web](http://www.math.uiuc.edu/K-theory/0563/)) 

(which is otherwise about [[descent for simplicial presheaves]]).
=--

+--{: .un_cor}
######Corollary

Let $[-,-] : SSet^{S^{op}} \to SSet$ be the canonical $SSet$-enrichment of the category of simplicial presheaves (i.e. the assignment of [[SSet]]-[[enriched functor category|enriched functor categories]]).

It follows in particular from the above that every such [[hom-object]] $[X,A]$ of simplical presheaves can be written as a [[homotopy limit]] (in [[SSet]] for instance realized as a [[weighted limit]], as described there) over evaluations of $X$.
=--

+--{: .proof}
######Proof

First the above yields
$$
  \begin{aligned}
     [X, A ]  & \simeq [ hocolim_{[n] \in \Delta} X_n , A ]
  \\
      & holim_{[n] \in \Delta} [X_n, A]
  \end{aligned}
  \,.
$$

Next from the [[co-Yoneda lemma]] we know that the [[Set]]-valued presheaves $X_n$ are in turn colimits over representables in $S$, so that
$$
  \begin{aligned}
     \cdots & \simeq 
     holim_{[n] \in \Delta} 
     [ colim_i U_{i}, A]
     \\
     & \simeq
     holim_{[n] \in \Delta} lim_i
     [  U_{i}, A]       
  \end{aligned}
  \,.
$$

And finally the [[Yoneda lemma]] reduces this to
$$
  \begin{aligned}
     \cdots
      & 
     holim_{[n] \in \Delta} lim_i
     A(U_i)            
  \end{aligned}
  \,.
$$
=--

Notice that these kinds of computations are in particular often used when checking/computing [[descent|descent and codescent]] along a [[cover]] or [[hypercover]]. For more on that in the context of simplicial presheaves see [[descent for simplicial presheaves]].


## Related entries ##

* [[model structure on simplicial presheaves]]

* [[descent for simplicial presheaves]]

* [[presheaf of spectra]]

Applications appear for instance at

* [[geometric infinity-function theory]]

## References ##

The theory of simplicial presheaves and of simplicial sheaves was developed by J. Jardine in a long series of articles, some of which are listed below. It's usage as a model for [[infinity-stack]]s was developed by Töen as described at [[infinity-stack homotopically]].

* **JardStackSSh** -- J. Jardine, _Stacks and the homotopy theory of simplicial sheaves_, Homology, homotopy and applications, vol. 3(2), 2001 p. 361-284 ([pdf](http://intlpress.com/HHA/v3/n2/a5/v3n2a5.pdf))
* **JardSimpSh** -- J. Jardine, _Fields Lectures: Simplicial presheaves_ ([pdf](http://www.math.uwo.ca/~jardine/papers/Fields-01.pdf))

For their interpretation in the more general context of [[(infinity,1)-category of (infinity,1)-sheaves|(infinity,1)-sheaves]] see [section 6.5.2]() of

*  [[Jacob Lurie]], [[Higher Topos Theory]] .


[[!redirects simplicial presheaves]]