
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

Higher spin gauge theory ([Vasiliev 96](#Vasiliev96)) is a kind of [[higher gauge theory]] whose [[field (physics)|field content]] is an infinite tower of massless fields of ever higher [[spin]].

One way that higher spin gauge theories are thought to naturally arise is as the limiting case of [[string field theory]] when the string's tension is sent to zero ([Henneaux-Teitelboim 87, section 2](#HenneauxTeitelboim87),[Gross 88](#Gross88), [Sagnotti-Tsulaia 03](#SagnottiTsulaia03), [Bonelli 03](#Bonelli03)): The excitation spectrum of the [[string]] [[sigma-model]] contains beyond the massless particles of the [[effective QFT|effective]] [[supergravity]] theory an infinite tower of massive excitations, of ever higher [[spin]]. There are, however, certain limits in which all these masses become negligible to a reference energy scale -- the _tensionless limit_ -- this is notably so for compactifications on [[anti de Sitter spaces]] of small radius. In this limit the string spectrum looks like a an infinite collection of massless [[spinning particles]] for ever higher spin. Due to their common orgin in the string, these share intricate relations among each other, which are argued to be described by higher spin gauge theory. (Notice that at least closed bosonic [[string field theory]] is itself already a [[higher gauge theory]], even without sending the tension to zero, see at _[closed string field theory -- As an ∞-Chern-Simons theory](string+field+theory#AsAnInfinityCSTheory)_).


## References

### General

Original articles include

* {#Vasiliev96} [[Mikhail Vasiliev]], _Higher-Spin Gauge Theories in Four, Three and Two Dimensions_ ([arXiv:hep-th/9611024](http://arxiv.org/abs/hep-th/9611024))

Reviews and lecture notes include

* {#Vasiliev03} [[Mikhail Vasiliev]], _Higher Spin Gauge Theories in Various Dimensions_ 27th Johns Hopkins Workshop on Current Problems in Particle Theory: Symmetries and Mysteries of M Theory ([pdf](http://www.pha.jhu.edu/events/jhworkshop/goteborg03/vasiliev.pdf))
 

* [[Mikhail Vasiliev]], _Higher spin gauge theories in any dimension_ talk at String2004 in Moscow ([pdf](http://strings04.lpthe.jussieu.fr/talks/Vasiliev.pdf))

* R. Argurio, [[Glenn Barnich]], G. Bonelli, M. Grigoriev (eds.) _Higher spin gauge theories_ Solvay Workshops and Symposia  (2004) ([pdf](http://www.ulb.ac.be/sciences/ptm/pmif/Solvay1proc.pdf))

* X. Bekaert, S. Cnockaert, Carlo Iazeolla, M.A. Vasiliev, _Nonlinear higher spin theories in various dimensions_ ([arXiv:0503128](https://arxiv.org/abs/hep-th/0503128))

* V.E. Didenko, E.D. Skvortsov, _Elements of Vasiliev theory_ ([arXiv:1401.2975](https://arxiv.org/abs/1401.2975))

* Rakibur Rahman, Massimo Taronna, _From Higher Spins to Strings: A Primer_ ([arXiv:1512.07932](https://arxiv.org/abs/1512.07932) )

* Pan Kessel, _The Very Basics of Higher-Spin Theory_ ([arXiv:1702.03694](https://arxiv.org/abs/1702.03694))

Further developments include for instance

* Johan Engquist, Olaf Hohm, _Geometry and dynamics of higher-spin frame fields_ ([arXiv:0708.1391](http://arxiv.org/abs/0708.1391))

### Relation to string theory
 {#ReferencesRelationToStringTheory}

The idea that higher spin gauge theory appears as the limiting case of [[string field theory]] where the string tension vanishes goes back to 

* {#HenneauxTeitelboim87} [[Marc Henneaux]], [[Claudio Teitelboim]], section 2 of _First And Second Quantized Point Particles Of Any Spin_, in [[Claudio Teitelboim]]. [[Jorge Zanelli]] (eds.) _Santiago 1987, Proceedings, Quantum mechanics of
fundamental systems 2_, pp. 113-152. Plenum Press.

* {#Gross88} [[David Gross]], _High-Energy Symmetries Of String Theory_, Phys. Rev. Lett. 60 (1988) 1229.


and is further developed for instance in

* {#SagnottiTsulaia03} [[Auguste Sagnotti]], M. Tsulaia, _On higher spins and the tensionless limit of String Theory_, Nucl.Phys.B682:83-116,2004 ([arXiv:hep-th/0311257](http://arxiv.org/abs/hep-th/0311257))

* {#Bonelli03} G. Bonelli, _On the Tensionless Limit of Bosonic Strings, Infinite Symmetries and Higher Spins_, Nucl.Phys. B669 (2003) 159-172 ([arXiv:hep-th/0305155](http://arxiv.org/abs/hep-th/0305155))

* [[Auguste Sagnotti]], M. Taronna, _String Lessons for Higher-Spin Interactions_, Nucl.Phys.B842:299-361,2011 ([arXiv:1006.5242](http://arxiv.org/abs/1006.5242))

* {#Sagnotti11} [[Auguste Sagnotti]], _Notes on Strings and Higher Spins_ ([arXiv:1112.4285](http://arxiv.org/abs/1112.4285)) 

### Relation to other systems

Relation to [[Kac-Moody algebras]] is discussed in

* [[Marc Henneaux]], [[Axel Kleinschmidt]], [[Hermann Nicolai]], _Higher spin gauge fields and extended Kac-Moody symmetries_ ([arXiv:1110.4460](http://arxiv.org/abs/1110.4460))

Expression in terms of [[AKSZ sigma-models]] is discussed in

* {#AlkalevGrigorievSkvortsov14} K.B. Alkalaev, Maxim Grigoriev, E.D. Skvortsov, _Uniformizing higher-spin equations_ ([arXiv:1409.6507](http://arxiv.org/abs/1409.6507))

### Higher spin Chern-Simons theory

[[Chern-Simons theory]] for higher spin fields is discussed in 

* M P Blencowe, _A consistent interacting massless higher-spin field theory in $D=2+1$_ Classical and quantum gravity, volume 6 no 4 (1998)

* E. S. Fradkin,  V. Ya. Linetsky, _a Superconformal Theory of Massless Higher Spin Fields in D=2+1_ ([web](http://adsabs.harvard.edu/abs/1989MPLA....4..731F))

* Johan Engquist, Olaf Hohm, _Higher-spin Chern-Simons theories in odd dimensions_ ([arXiv:0705.3714](http://arxiv.org/abs/0705.3714))

### Relation to holography

We list references that discuss the relation of higher spin gauge theory to the [[AdS/CFT correspondence]].

* Simone Giombi, Xi Yin, _Higher Spin Gauge Theory and Holography: The Three-Point Functions_ ([arXiv:0912.3462](http://arxiv.org/abs/0912.3462))

* Simone Giombi, Xi Yin, _Higher Spins in AdS and Twistorial Holography_ ([arXiv:1004.3736](http://arxiv.org/abs/1004.3736))

* Simone Giombi, _TASI Lectures on the Higher Spin - CFT duality_  ([arXiv:1607.02967](https://arxiv.org/abs/1607.02967))

* Charlotte Sleight, _Lectures on Metric-like Methods in Higher Spin Holography_ ([arXiv:1701.08360](https://arxiv.org/abs/1701.08360))

[[!redirects higher spin gauge theories]]