
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### Quantum field theory
+--{: .hide}
[[!include functorial quantum field theory - contents]]
=--
#### Fields and quanta
+--{: .hide}
[[!include fields and quanta - table]]
=--
#### Super-Geometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
#### $\infty$-Chern-Weil theory
+--{: .hide}
[[!include infinity-Chern-Weil theory - contents]]
=--
=--
=--

#Comntents#
* table of contents
{:toc}


## Idea

A  [[supersymmetry|supersymmetric]] extension of plain [[Yang-Mills theory]].

## Properties

### Classification

The existence of super Yang-Mills (SYM) theories of a certain number of [[supersymmetries]] in a certain [[dimension]] of [[spacetime]] is linked to the existence of certain [[Lie algebra cohomology|cocycles]] on the [[super Poincaré Lie algebra]] (those that also govern the [[brane scan]]). These in turn are closely related to the [[normed division algebras]]. See ([ABDH 13](#ABDH13)). See also at _[[division algebra and supersymmetry]]_.

This classification may be paired with that for [[supergravity]] theories, to yield a [[magic pyramid]] of super [[Einstein-Yang-Mills theories]].



## Examples

Special properties are enjoyed by

* [[N=1 D=4 super Yang-Mills theory]]

* [[N=2 D=4 super Yang-Mills theory]]

* [[N=4 D=3 super Yang-Mills theory]]

* [[N=4 D=4 super Yang-Mills theory]] 

* [[D=5 super Yang-Mills theory]]

* [[D=7 super Yang-Mills theory]]

* [[D=10 super Yang-Mills theory]]

* [[topologically twisted D=4 super Yang-Mills theory]]

See there for more details.

## Related concepts

* [[supergravity]]

* [[MSSM]]

* [[holomorphic block]]

## References

A general introduction is for instance

* [[Eric D'Hoker]], D. H. Phong, _Lectures on Supersymmetric Yang-Mills Theory and Integrable Systems_ ([arXiv:hep-th/9912271](http://arxiv.org/abs/hep-th/9912271))

as well as various of the lectures in the collection

* [[Pierre Deligne]] et al., _[[Quantum Fields and Strings]]_

The [[deformation theory]] of SYM theories is discussed in 

* {#SchwarzMovshev} [[Albert Schwarz]], [[Mikhail Movshev]], _Supersymmetric Deformations of Maximally Supersymmetric Gauge Theories_ ([arXiv:0910.0620](http://arxiv.org/abs/0910.0620))
 

Special properties of [[scattering amplitudes]] are discussed for instance in 

* [[Nima Arkani-Hamed]], Jacob L. Bourjaily, Freddy Cachazo, Alexander B. Goncharov, Alexander Postnikov, Jaroslav Trnka, _Scattering Amplitudes and the Positive Grassmannian_ ([arXiv:1212.5605](http://arxiv.org/abs/1212.5605))

The [[chiral rings]] of SYM are discussed in

* Freddy Cachazo, [[Michael Douglas]], [[Nathan Seiberg]], [[Edward Witten]]. _Chiral Rings and Anomalies in Supersymmetric Gauge Theory_, JHEP 0212:071,2002 ([arXiv:hep-th/0211170](http://arxiv.org/abs/hep-th/0211170))

Classification in terms of [[division algebra and supersymmetry]] / [[magic pyramid]] is in 

* {#ABDH13} A. Anastasiou, [[Leron Borsten]], [[Mike Duff]], L. J. Hughes, S. Nagy, _Super Yang-Mills, division algebras and triality_ ([arXiv:1309.0546](http://arxiv.org/abs/1309.0546))
 

On application to problems in non-supersymmetric [[Yang-Mills theory]] ([[confinement]] etc.) and to [[QCD]]:

* [PO discussion](http://www.physicsoverflow.org/24797/conceivable-supersymmetric-theory-understand-traditional)

[[!redirects super Yang-Mills theories]]

