
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The [[D-brane]] of [[dimension]] $4+1$ in [[type IIA string theory]]. 

## Properties

### Worldvolume theory

[[Khovanov homology]] has long been expected to appear as the [[observables]] in a 4-[[dimension]]al [[TQFT]] in higher analogy of how the [[Jones polynomial]] arises as an observable in 3-dimensional [[Chern-Simons theory]]. For instance for $\Sigma : K \to K'$ a cobordism between two [[knots]] there is a natural [[morphism]]

$$
  \Phi_\Sigma : \mathcal{K}(K) \to \mathcal{K}(K')
$$

between the Khovanov homologies associated to the two knots.

In ([Witten11](#Witten11)) it is argued, following indications in ([GukovSchwarzVafa](#GukovSchwarzVafa))
that this 4d TQFT is related to the [[worldvolume]] theory of the _image_ in [[type IIA string theory|type IIA]] of [[D3-branes]] ending on NS5-branes in [[type IIB string theory|type IIB]] after one [[S-duality]] and one [[T-duality]] operation:

$$
  (D3 - NS4)
    \stackrel{S}{\mapsto}
  (D3 - D5)
    \stackrel{T}{\mapsto}
  (D4-D6)
  \,.
$$

Earlier indication for this had come from the observation that [[Chern-Simons theory]] is the [[effective QFT|effective background theory]] for the [[A-model]] 2d [[TCFT]] (see [TCFT – Worldsheet and effective background theories](http://ncatlab.org/nlab/show/TCFT#ActionFunctionals) for details).

Notice that after the above [[T-duality]] operation the $(D4-D6)$-system wraps the $S^1$ ([[circle]]) along which the T-duality takes place. 

Lifting that configuration to [[11-dimensional supergravity]] gives [[M5-branes]] (the erstwhile [[D4-brane]]s) on [[Taub-NUT spacetime|Taub-NUT]] ($\times S^1$). The [[M5-branes]] wrap the circle-fiber of Taub-NUT, which shrinks to zero size at the origin (the location of the erstwhile D6, which is where the D4s "end"). The low-energy theory, on a stack of M5-branes, is the [[6d (2,0)-susy QFT]]. 


## Related concepts

[[!include table of branes]]

## References

The relation to [[Khovanov homology]] is discussed in 

* [[Edward Witten]], _Fivebranes and knots_ ([arXiv:1101.3216](http://arxiv.org/abs/1101.3216))
 {#Witten11}



[[!redirects D4-branes]]