
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The [[D-brane]] of [[dimension]] $1+1$ in [[type IIB string theory]]. Also called the **D-string**, to be distinguished from the _fundamental_ [[string]].

## Properties

### S-duality with the fundamental string

Under [[S-duality]] the D1-brane mixes with the [[fundamental string]] to form the [[(p,q)-string]].

A formalization of this in terms of the [[homotopy theory]] of the [[super L-infinity algebras]] which constitute the respective [[extended super spacetimes]] is in ([FSS 13](#FSS13)).

### Black hole entropy

At low string coupling [[D1-D5 brane bound states]] are described by 2d [[CFT]], which is well understood. After passage to the corresponding [[non-perturbative field theory|strongly coupled]] [[black brane]] configurations in [[type IIB supergravity]], which are [[black holes]] in the given [[Kaluza-Klein mechanism|compactification]], the [[entropy]] of these 2d CFTs matches the [[Bekenstein-Hawking entropy]] of these black holes. See at _[[black holes in string theory]]_ for more on this.

This is parts of the [[AdS/CFT correspondence]]. See ([AGMOO, chapter 5](#AGMOO)).

## Related concepts

[[!include table of branes]]

## References

The [[Green-Schwarz sigma-model]] description of $(p,q)$-1-branes via cocycles on [[extended super Minkowski spacetimes]] is obtained in 

* {#Sakaguchi00} Makoto Sakaguchi, section 2 of _IIB-Branes and New Spacetime Superalgebras_, JHEP 0004 (2000) 019 ([arXiv:hep-th/9909143](https://arxiv.org/abs/hep-th/9909143))


See also

* {#AGMOO} [[Ofer Aharony]], S.S. Gubser, [[Juan Maldacena]], H. Ooguri, Y. Oz, chapter 5.3 of _Large N Field Theories, String Theory and Gravity_ ([arXiv:hep-th/9905111](http://arxiv.org/abs/hep-th/9905111))
 
Formulation of the [[S-duality]] with the fundamental string in terms of the [[homotopy theory]] of [[super L-infinity algebras]] of the respective [[extended super spacetimes]] is in section 4.3 of 

* {#FSS13} [[Domenico Fiorenza]], [[Hisham Sati]], [[Urs Schreiber]], _[[schreiber:The brane bouquet|Super Lie n-algebra extensions, higher WZW models and super p-branes with tensor multiplet fields]]_ ([arXiv:1308.5264](http://arxiv.org/abs/1308.5264))
  



[[!redirects D1-branes]]