
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The [[D-brane]] of [[dimension]] $0+1$ in [[type IIA string theory]].

## Properties

The [[worldline]] theory of a collection of D0-branes is supposed to be described by the [[BFSS matrix model]].

## Properties

### Nonperturbative dynamics and M-theory

The [[non-perturbative quantum field theory|non-perturbative]] limit of [[type IIA superstring theory]] is supposed to be [[M-theory]] compactified on a circle. 

The degree-2 [[RR-field]] that the D0-brane is charged under, with local potential 1-form $A_1$ may be understood as the [[Kaluza-Klein compactification|KK-field]] induced by this compactification, hence as one part of the field of [[gravity]] in [[11-dimensional supergravity]].

The D0-brane itself comes from the [[M-wave]] in [[11-dimensional supergravity]].

One aspect of the [[M-theory]] conjecture is that [[type IIA string theory]] with a [[condensate]] of [[D0-branes]] behaves like a 10-dimensional theory that develops a further circular dimension of [[radius]] scaling with the density of [[D0-branes]].  ([Banks-Fischler-Shenker-Susskind 97](#BanksFischlerShenkerSusskind97), [Polchinski 99](#Polchinski99)). See also ([FSS 13, section 4.2](#FSS13)).

## Relation to other branes

The [[electric-magnetic duality|electric-magnetic dual]] of the D0 is the [[D6-brane]]

[[!include electric-magnetic duality -- table]]


## Related concepts

* [[Myers effect]]

[[!include table of branes]]


## References

### As solitonic branes

The worldline theory of solitonic interacting D0-branes is discussed in 

* {#BanksFischlerShenkerSusskind97} [[Tom Banks]], W. Fischler, S.H. Shenker, [[Leonard Susskind]], _M Theory As A Matrix Model: A Conjecture_, Phys.Rev.D55:5112-5128,1997 ([arXiv:hep-th/9610043](http://arxiv.org/abs/hep-th/9610043))
 
* {#Polchinski99} [[Joseph Polchinski]], _M-Theory and the Light Cone_,   Prog.Theor.Phys.Suppl.134:158-170,1999 ([arXiv:hep-th/9903165](http://arxiv.org/abs/hep-th/9903165))
 
based on discussion of bound states of $N$ D0-branes in

* [[Edward Witten]], _E.Witten, _Bound States of Strings and $p$-Branes_, Nucl.Phys. B 460, 1995, 335 ([arXiv:hep-th/9510135](http://arxiv.org/abs/hep-th/9510135)).

### As fundamental branes

Discussion as fundamental branes via [[Green-Schwarz sigma-models]] and [[super L-infinity algebras]] is in section 4.2 of

* {#FSS13} [[Domenico Fiorenza]], [[Hisham Sati]], [[Urs Schreiber]], _[[schreiber:The brane bouquet|Super Lie n-algebra extensions, higher WZW models and super p-branes with tensor multiplet fields]]_ ([arXiv:1308.5264](http://arxiv.org/abs/1308.5264))
 


[[!redirects D0-branes]]
