
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The _BFSS matrix model_ ([Banks-Fischler-Shenker-Susskind 96](#BanksFischlerShenkerSusskind96)) is the description of the [[worldline]] dynamics of interacting  [[D0-branes]]. In the limit of large number $N$ of D0 branes supposed to encode the [[non-perturbative quantum field theory|strong coupling limit]] of [[type IIA string theory]] (see also at _[[M-theory]]_).

The BFSS matrix model was argued to arise in several equivalent ways: 

1. as the worldvolume theory of a large number of [[D0-branes]] in [[type IIA string theory]], 

1. as the [[Kaluza-Klein compactification]] of [[10d super Yang-Mills theory]] to zero space dimensions, 

1. as a certain non-commutative regularization  of the [[worldvolume]] theory of the [[M2-brane]] in M-theory ([Nicolai-Helling 98](#NicolaiHelling98), [Dasgupta-Nicolai-Plefka 02](#DasguptaNicolaiPlefka02)). 

In any case, it ends up being a quantum mechanical system whose degrees of freedom are a set of 9+1 large matrices. These play the role of would-be coordinate functions and their eigenvalues may be in interpreted as points in a spacetime thus defined.

In the 90s there was much excitement about the BFSS model, as people hoped it might provide a definition of [[M-theory]]. It is from these times that [[Edward Witten]] changed the original suggestion that "M" is for "magic, mystery and membrane" to the suggestion that it is for "magic, mystery and matrix". (See [Witten's 2014 Kyoto prize speach](M-theory#Witten14), last paragraph). 

There is also the [[IKKT matrix model]], which takes this one step further by reducing one dimension further down (D(-1)-branes). See also at _[[membrane matrix model]]_.



## Related concepts

* [[IKKT matrix model]]

* [[membrane matrix model]]

* [[Myers effect]]

## References

The original article is

* {#BanksFischlerShenkerSusskind96} [[Tom Banks]], [[Willy Fischler]], S.H. Shenker and [[Leonard Susskind]], _M Theory As A Matrix Model: A Conjecture_  Phys. Rev. D55 (1997). ([arXiv:hep-th/9610043](http://arxiv.org/abs/hep-th/9610043)).

The interpretation of the BFSS model as a regularized [[M2-brane]] [[worldvolume]] theory is discussed in

* {#NicolaiHelling98} [[Hermann Nicolai]], Robert Helling, _Supermembranes and M(atrix) Theory_ ([arXiv:hep-th/9809103](http://arxiv.org/abs/hep-th/9809103))

* {#DasguptaNicolaiPlefka02} Arundhati Dasgupta, [[Hermann Nicolai]], [[Jan Plefka]], _An Introduction to the Quantum Supermembrane_, Grav.Cosmol.8:1,2002; Rev.Mex.Fis.49S1:1-10, 2003 ([arXiv:hep-th/0201182](http://arxiv.org/abs/hep-th/0201182))


Further perspective includes

* [[Paul Townsend]], _M(embrane) theory on $T^0$_, Nucl.Phys.Proc.Suppl.68:11-16,1998 ([arXiv:hep-th/9708034](http://arxiv.org/abs/hep-th/9708034))

Numerical computation:

* Veselin G. Filev, Denjoe O'Connor, _The BFSS model on the lattice_, JHEP 1605 (2016) 167 ([arXiv:1506.01366](https://arxiv.org/abs/1506.01366))

A review of further developments is in 

* [[David Berenstein]], _Classical dynamics and thermalization in holographic matrix models_, talk at Leiden, October 2012 ([pdf](http://www.lorentzcenter.nl/lc/web/2012/514/presentations/Berenstein.pdf))


Relation to the [[6d (2,0)-supersymmetric QFT]]:

* [[Micha Berkooz]], [[Moshe Rozali]], [[Nathan Seiberg]], _Matrix Description of M-theory on $T^3$ and $T^5$_ ([arXiv:hep-th/9704089](http://arxiv.org/abs/hep-th/9704089))

[[!redirects BFSS model]]
