
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### Super-Geometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

[[Kaluza-Klein mechanism|Reductions]] of [[11-dimensional supergravity]] on a 4-[[dimension]]al space to a 7-dimensional theory.

## Properties

### U-duality

Maximal 7d supergravity has $SL(5,\mathbb{Z})$-[[U-duality]]
([Kumar-Vafa 96, section 3.4](KumarVafa96), [Rozali 97](#Rozali97)).

### Holography

The [[AdS/CFT|AdS7/CFT6-correspondence]] relates
7-dimensional supergravity on asymptocially 7d [[anti de Sitter spacetimes]] to the [[6d (2,0)-superconformal QFT]].

## Related concepts

* [[11-dimensional supergravity]] 

* 10-dimensional [[type II supergravity]], [[heterotic supergravity]]

* **7-dimensional supergravity**

* [[5-dimensional supergravity]]

* [[4-dimensional supergravity]]

* [[3-dimensional supergravity]]


## References

### General

The maximally $N=4$ supersymmetric $SO(5)$-[[gauged supergravity]] in 7-dimensions was first constructed in 

* M. Pernici, K. Pilch, and [[Peter van Nieuwenhuizen]], _Gauged Maximally Extended Supergravity in Seven Dimensions_ , Phys. Lett. 143B (1984) 103.

There are also gaugings for non-compact groups

* M. Pernici, K. Pilch, [[Peter van Nieuwenhuizen]], and N. P. Warner, _Noncompact Gauging and Critical Points of Maximal Supergravity in Seven Dimensions_ , Nucl. Phys. B249 (1985) 381.

The $N=2$ $Sp(1)$-gauged theory was described in

* [[Paul Townsend]] and [[Peter van Nieuwenhuizen]], _Gauged Seven-Dimensional Supergravity_ , Phys. Lett. 125B (1983) 41.

See also

* E. Bergshoeff, D C Jong and [[Ergin Sezgin]], _Noncompact gaugings, chiral reduction and dual
sigma models in supergravity_ Class. Quantum Grav. 23 (2006) 2803&#8211;2831 ([pdf](http://iopscience.iop.org/0264-9381/23/9/003/pdf/0264-9381_23_9_003.pdf)) 

* Der-Chyn Jong, _Aspects of 7D and 6D gauged supergravities_ PhD thesis (2007) ([web](http://repository.tamu.edu/handle/1969.1/85874))

Discussion of [[quantum anomaly]] cancellation is in

* Tony Gherghetta, Alex Kehagias, _Anomaly Cancellation in Seven-Dimensional Supergravity with a Boundary_, Phys.Rev. **D68** (2003), 065019, ([arXiv:hep-th/0212060](http://arxiv.org/abs/hep-th/0212060))


### By reduction from 10d/11d supergravity

The following references discuss construction of full 7d sugra theories or of their solutions by [[Kaluza-Klein mechanism|KK-reduction]] from [[11-dimensional supergravity]] or from 10d [[type II supergravity]].


The construction of 7d supergravity by reduction from [[11-dimensional supergravity]] was first indicated in 

* [[Peter Freund]], M. A. Rubin, _Dynamics of dimensional reduction_  Phys. Lett. 97B (1980) 233.

via what is now called _[[Freund-Rubin compactification]]_.

That their Ansatz is indeed consistent has been shown in 

* [[Horatiu Nastase]], Diana Vaman, [[Peter van Nieuwenhuizen]], _Consistent nonlinear KK reduction of 11d supergravity on $AdS_7\times S_4$ and self-duality in odd dimensions_ Phys.Lett. B469 (1999) 96-102 ([arXiv:hep-th/9905075](http://arxiv.org/abs/hep-th/9905075))

* [[Ali Chamseddine]], W.A. Sabra, _$D=7$ $SU(2)$ gauged supergravity from $D=10$ supergravity_ Physics Letters B
Volume 476, Issues 3-4, 16 (2000), Pages 415-419 

The $SL(5,\mathbb{Z})$-[[U-duality]] in 7d is discussed in 

* {#KumarVafa96} Alok Kumar, [[Cumrun Vafa]], section 3.4 of _U-Manifolds_, Phys.Lett. B396 (1997) 85-90 ([arXiv:hep-th/9611007](http://arxiv.org/abs/hep-th/9611007))


* {#Rozali97} [[Moshe Rozali]], _Matrix Theory and U-Duality in Seven Dimensions_, Phys.Lett. B400 (1997) 260-264 ([arXiv:hep-th/9702136](http://arxiv.org/abs/hep-th/9702136))


Explicit compactifications are discussed in

* [[Peter van Nieuwenhuizen]], N. P. Warner, _New Compactificafions of Ten and Eleven Dimensional Supergravity on Manifolds Which Are Not Direct Products_ Commun. Math. Phys. 99, 141-151 (1985)


* [[Jerome Gauntlett]], Nakwoo Kim, Stathis Pakis, [[Daniel Waldram]], _M-Theory solutions with AdS factors_ ([arXiv:hep-th/0202184](http://arxiv.org/abs/hep-th/0202184))

### D'Auria-Fré formulation of supergravity

Discussion in the [[D'Auria-Fré formulation of supergravity]] is in

* [[Pietro Fré]], P.A. Grassi, [[Lucrezia Ravera]], M. Trigiante, _Minimal $D=7$ Supergravity and the supersymmetry of Arnold-Beltrami Flux branes_, JHEP 1606 (2016) 018 ([arXiv:1511.06245](https://arxiv.org/abs/1511.06245))

and the 7d analog of the [[DF-algebra]] (the [[Chevalley-Eilenberg algebra]]  of a spinorial extension of the [[M-theory super Lie algebra]]) is due to

* [[Laura Andrianopoli]], [[Riccardo D'Auria]], [[Lucrezia Ravera]], _Hidden Gauge Structure of Supersymmetric Free Differential Algebras_, JHEP 1608 (2016) 095 ([arXiv:1606.07328](https://arxiv.org/abs/1606.07328))

* [[Lucrezia Ravera]], _Group Theoretical Hidden Structure of Supergravity Theories in Higher Dimensions_ ([arXiv:1802.06602](https://arxiv.org/abs/1802.06602))


[[!redirects 7d supergravity]]
