
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The theory of [[gravity]] in $3+1$ dimensions famously has [[black hole]] solutions, being the limiting configuration of a _point_ mass gravitational source. In higher dimensional gravity, and in particular in higher dimensional [[supergravity]], there are analogous solutions, which however are limiting configurations of a gravitational source that is supported on a line, or a surface, or a higher dimensional space. For a surface one might speak of _black [[membrane]]_ solutions hence generally of _black brane_ solutions.

Particularly the [[BPS states]] among the black branes in [[supergravity]], i.e. those solutions that carry [[Killing spinors]], include configurations that look like the strong-coupling version of the [[Green-Schwarz super p-branes]]. 


[[!include black branes in supergravity -- table]]

The [[near-horizon geometry]] of these black branes is generically that of [[anti de Sitter spacetime]] times a [[sphere]]. To the extent that the [[worldvolume]] theory of the branes is a [[superconformal QFT]], this is the origin of the [[AdS-CFT correspondence]].

## Properties

### Weak coupling correspondence

The types of black branes that can occur in theories of [[supergravity]] that are obtained from the maximal [[11-dimensional supergravity]] match precisely the types of [[D-brane]]s and [[NS-brane]]s that appear in the corresponding perturbative [[superstring theories]].

The idea is that both these brane-phenomena are aspects of one single entity: 

* At low string coupling the [[D-brane]]/[[NS-brane]] description is accurate. Low string coupling implies that the coupling of [[gravity]] is weak, hence that the back-reaction of the branes on the background geometry is negligible.

* At large string coupling but low energy, the [[effective field theory|effective]] [[supergravity]] description becomes accurate. Here the branes do back-react on the gravitational background and hence create the _black brane_ spacetime geometry.

This duality of the brane picture is at the heart of the [[AdS/CFT correspondence]]. See there for more details.

## Examples

* [[black hole]], [[black hole in string theory]]

* [[black string]]

* [[black membrane]]

* [[black fivebrane]]

## Related concepts

[[!include table of branes]]


## References

### Prehistory

* {#EinsteinInfeldHoffmann39} [[Albert Einstein]], [[Leopold Infeld]], B. Hoffmann, _The gravitational equations and the problem of motion_, Annals of Mathematics, Vol 39, No. 1, 1938

See also

* Wikipedia, _[Black hole electron](https://en.wikipedia.org/wiki/Black_hole_electron)_



### General

Original articles include

* [[Michael Duff]], J. X. Lu, _Black and super $p$-branes in diverse dimensions_ ([arXiv:hep-th/9306052](http://arxiv.org/abs/hep-th/9306052)) 

* [[Michael Duff]], H. Lu, [[Christopher Pope]], _The Black Branes of M-theory_, Phys.Lett.B382:73-80,1996 ([arXiv:hep-th/9604052](http://arxiv.org/abs/hep-th/9604052)) 

The [[M5-brane]] was maybe first found as a black brane of [[11-dimensional supergravity]] (the [[black fivebrane]]) in 

* {#Gueven92} [[Rahmi Gueven]], _Black $p$-brane solutions of $D = 11$ supergravity theory, Phys. Lett. B276 (1992) 49 and in [[Mike Duff]] (ed.) _[[The World in Eleven Dimensions]]_ 135-141 ([spire](http://inspirehep.net/record/338203?ln=en))

The observation that black $p$-branes metric for _odd_ $p$ are completely non-singular is due to

* [[Gary Gibbons]], [[Gary Horowitz]], [[Paul Townsend]], p. 15 of  _Higher-dimensional resolution of dilatonic black hole singularities_, Class. Quant. Grav.12:297-318,1995 ([arXiv:hep-th/9410073](https://arxiv.org/abs/hep-th/9410073))

The suggestion that extremal/[[BPS state]] black branes are the strong coupling incarnation of fundamental branes originates in 

* {#HullTownsend94} [[Chris Hull]], [[Paul Townsend]], _Unity of Superstring Dualities_, Nucl.Phys.B438:109-137,1995 ([arXiv:hep-th/9410167](http://arxiv.org/abs/hep-th/9410167))

* {#Witten95} [[Edward Witten]], bottom of p. 6 of _String Theory Dynamics In Various Dimensions_, Nucl.Phys.B443:85-126,1995 ([arXiv:hep-th/9503124](http://arxiv.org/abs/hep-th/9503124))

Review includes,

* {#Duff99} [[Mike Duff]], chapter 5 of _[[The World in Eleven Dimensions]]: Supergravity, Supermembranes and M-theory_, IoP 1999 ([publisher](https://www.crcpress.com/The-World-in-Eleven-Dimensions-Supergravity-supermembranes-and-M-theory/Duff/9780750306720))


* {#Stelle98} [[Kellogg Stelle]], around section 3.3. of _BPS Branes in Supergravity_ ([arXiv:hep-th/9803116](http://arxiv.org/abs/hep-th/9803116))

* [[Ofer Aharony]], S.S. Gubser, [[Juan Maldacena]], H. Ooguri, Y. Oz, section 1.3 of _Large N Field Theories, String Theory and Gravity_ ([arXiv:hep-th/9905111](http://arxiv.org/abs/hep-th/9905111))

* {#Mohaupt00} [[Thomas Mohaupt]], _Black holes in supergravity and string theory_, Class. Quantum Grav. 17 (2000) 3429–3482 ([pdf](http://www.itp.uni-hannover.de/~giulini/papers/BlackHoleSeminar/Mohaupt_CQG_2000.pdf))

* [[Ralph Blumenhagen]], [[Dieter Lüst]], [[Stefan Theisen]], _Brane solutions in supergravity_, chapter 18.5 in _Basic Concepts of String Theory_ Part of the series Theoretical and Mathematical Physics pp 585-639 Springer 2013

and in the context of multiple [[M2-branes]] in the  [[BLG model]]:

* {#BaggerLambert12} [[Jonathan Bagger]], [[Neil Lambert]], Sunil Mukhi, Constantinos Papageorgakis, section 1.6 of _Multiple Membranes in M-theory_ ([arXiv:1203.3546](http://arxiv.org/abs/1203.3546))


Further developments include

 
* Gerard Clement, Dmitri Gal'tsov, Cedric Leygnac, _Black branes on the linear dilaton background_, Phys. Rev. D71 (2005) 084014 ([arXiv:hep-th/0412321](http://arxiv.org/abs/hep-th/0412321))

* D. Gal'tsov, S. Klevtsov, D. Orlov, G. Clement, _More on general $p$-brane solutions_, Int.J.Mod.Phys.A21:3575-3604, 2006 ([arXiv:hep-th/0508070](http://arxiv.org/abs/hep-th/0508070))

* {#Duff08} [[Michael Duff]], _Near-horizon brane scan revived_, Nucl. Phys. B810:193-209, 2009 ([arXiv:0804.3675](http://arxiv.org/abs/0804.3675))

* Jay Armas, Joan Camps, Troels Harmark, Niels A. Obers, _The Young Modulus of Black Strings and the Fine Structure of Blackfolds_ ([arXiv:1110.4835](http://arxiv.org/abs/1110.4835)) 


[[!redirects black branes]]
[[!redirects black p-brane]]
[[!redirects black p-branes]]