
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

There are two types of [[black brane]] solutions in [[11-dimensional supergravity]], one of dimension $2+1$, one of dimension 5+1. These are thought to correspond to a fundamental 2-brane and its [[electric-magnetic duality|EM dual]], called the

* [[M2-brane]]

* [[M5-brane]]

* [[O9-plane]]

* [[M-wave]]

The M2-brane carries [[electric charge]] under the [[supergravity C-field]]. The M5-brane is the dual magnetic charge.

## Properties

### Reduction to strings, D-branes and NS5-branes

[[!include F-branes -- table]]

## Related concepts

[[!include table of branes]]


## References

The relevant literature until 1999 is collected in

* {#Duff99} [[Mike Duff]], _[[The World in Eleven Dimensions]]: Supergravity, Supermembranes and M-theory_, IoP 1999 ([publisher](https://www.crcpress.com/The-World-in-Eleven-Dimensions-Supergravity-supermembranes-and-M-theory/Duff/9780750306720))

See also the references at _[[M-theory]]_ and at _[[M2-brane]]_, _[[M5-brane]]_, _[[M9-brane]]_.

Review of some [[black brane]]-aspects of M-branes includes

* [[David Berman]], _M-theory branes and their interactions_, Phys. Rept. 456:89-126, 2008 ([arXiv:0710.1707](http://arxiv.org/abs/0710.1707))

Discussion of plenty of [[cohomology|cohomological]] structures involved in M-brane physics is in

* [[Hisham Sati]], _[[Geometric and topological structures related to M-branes]]_, 2010

The [[brane intersection]] laws of M-branes are discussed in

* [[Eric Bergshoeff]], M. Roo, E. Eyras, [[Bert Janssen]], J. P. Schaar, _Intersections involving waves and monopoles in eleven dimensions_, Class. Quantum Grav. 14 2757 ([publisher](http://iopscience.iop.org/0264-9381/14/10/005/))

* [[Eric Bergshoeff]], [[Joaquim Gomis]], [[Paul Townsend]], _M-brane intersections from worldvolume superalgebras_, Phys.Lett. B421 (1998) 109-118 ([arXiv:hep-th/9711043](http://arxiv.org/abs/hep-th/9711043))

* {#Townsend97} [[Paul Townsend]], section 4 of _M-theory from its superalgebra_ ([arXiv:hep-th/9712004](http://arxiv.org/abs/hep-th/9712004))

Further references include

* [[Arkady Tseytlin]], _Harmonic superpositions of M-branes_, Nucl.Phys.B475:149-163,1996 ([arXiv:hep-th/9604035](https://arxiv.org/abs/hep-th/9604035))

* Chan Park, _2d SCFT from M-branes and its spectral network_ ([pdf](http://theory.caltech.edu/~chan/documents/2013_String_Math_proceedings.pdf))




[[!redirects M-branes]]
