
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Quantum field theory
+--{: .hide}
[[!include functorial quantum field theory - contents]]
=--
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
#### Super-Geometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

[[SCFT|Super-conformal field theory]] in [[dimension]] $d = 2$, locally given by a [[super vertex operator algebra]]. 

For [[central charge]] 15 this is the [[worldsheet]] [[theory (physics)|theory]] of the [[superstring]].

May be regarded as a "[[2-spectral triple]]" (see there for more), the 2-dimensional generalization of [[spectral triples]] describing the quantum mechanics of [[spinning particles]] (super-particles).

## Examples

* [[superstring]] [[sigma-model]]

  * [[spinning string]] [[superstring]]

  * [[heterotic string]], [[type II superstring]]

  * [[Gepner model]]

  * [[(2,1)-dimensional Euclidean field theories and tmf]]

## Properties

### Classification

See at [supersymmetry -- Classification -- Superconformal algebra -- In dimension 2](supersymmetry#ClassificationSuperconformalInDim2).

## Related concepts

* [[perturbative string theory vacuum]]


## References

### General

A basic but detailed exposition focusing on the super-[[WZW model]] (and the perspective of [[2-spectral triples]]) is in [Fröhlich Gawedzki 93](#FroehlichGawedzki93)

Other accounts include

* [[Lance Dixon]], [[Paul Ginsparg]], and [[Jeffrey Harvey]], _$\hat c = 1$ Superconformal field theory_ ([pdf](http://www.slac.stanford.edu/cgi-wrap/getdoc/slac-pub-4515.pdf))
 
* [[Yasuyuki Kawahigashi]], _$N = 2$ Superconformal Field Theory
and Operator Algebras_ ([pdf](http://www.rci.rutgers.edu/~yzhuang/math/papers/kawahigashi.pdf))

### Relation to 2-spectral triples

Discussion of 2d SCFTs as a higher analog of [[spectral triples]] ("[[2-spectral triples]]", see there for more) is  in terms of [[vertex operator algebras]] in

* {#FroehlichGawedzki93} [[Jürg Fröhlich]], [[Krzysztof Gawędzki]], _Conformal Field Theory and Geometry of Strings_,  extended lecture notes for lecture given at the Mathematical Quantum Theory Conference, Vancouver, Canada, August 4-8 ([arXiv:hep-th/9310187](http://arxiv.org/abs/hep-th/9310187))


* {#Soibelman11} [[Yan Soibelman]], _Collapsing CFTs, spaces with non-negative Ricci curvature and nc-geometry_ , in [[Hisham Sati]], [[Urs Schreiber]] (eds.), _[[schreiber:Mathematical Foundations of Quantum Field and Perturbative String Theory]]_, Proceedings of Symposia in Pure Mathematics, AMS (2001)

and in terms of [[conformal nets]] in

* {#CHKL09} Sebastiano Carpi, Robin Hillier, [[Yasuyuki Kawahigashi]], [[Roberto Longo]], _Spectral triples and the super-Virasoro algebra_, Commun.Math.Phys.295:71-97 (2010) ([arXiv:0811.4128](http://arxiv.org/abs/0811.4128))


[[!redirects 2d SCFTs]]

[[!redirects 2d super conformal field theory]]
[[!redirects 2d super conformal field theories]]

[[!redirects 2d superconformal field theory]]
[[!redirects 2d superconformal field theories]]


