[[!redirects Pin group]]

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Spin geometry
+-- {: .hide}
[[!include higher spin geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The [[simply connected]] cover of the [[orthogonal group]]. Its restriction along the inclusion of the [[special orthogonal group]] is the [[Spin group]]. Hence the $Pin$-group is "like the Spin group, but including reflections".

## Definition

+-- {: .num_defn #QuadraticVectorSpace}
###### Definition


A _quadratic vector space_ $(V, \langle -,-\rangle)$ is a [[vector space]] $V$ over finite [[dimension]] over a [[field]] $k$ of [[characteristic]] 0, and equipped with a symmetric [[bilinear form]] $\langle -,-\rangle \colon V \otimes V \to k$.

=--

Conventions as in ([Varadarajan 04, section 5.3](#Varadarajan04)).

We write $q\colon v \mapsto \langle v ,v \rangle$ for the corresponding [[quadratic form]].

+-- {: .num_defn }
###### Definition

The _[[Clifford algebra]]_ $CL(V,q)$ of a quadratic vector space, def. \ref{QuadraticVectorSpace}, is the [[associative algebra]] over $k$ which is the [[quotient]]

$$
  Cl(V,q)
    \coloneqq
  T(V)/I(V,q)
$$ 

of the [[tensor algebra]] of $V$ by the ideal generated by the elements $v \otimes v - q(v)$.

=--

Since the [[tensor algebra]] $T(V)$ is naturally $\mathbb{Z}$-graded, the Clifford algebra $Cl(V,q)$ is naturally $\mathbb{Z}/2\mathbb{Z}$-graded.

Let $(\mathbb{R}^n, q = {\vert -\vert})$ be the $n$-dimensional [[Cartesian space]] with its canonical [[scalar product]]. Write $Cl^\mathbb{C}(\mathbb{R}^n)$ for the [[complexification]] of its [[Clifford algebra]].


+-- {: .num_prop }
###### Proposition

There exists a unique [[complex number|complex]] [[representation]] 

$$
  Cl^{\mathbb{C}}(\mathbb{R}^n) \longrightarrow End(\Delta_n)
$$

of the algebra $Cl^\mathbb{C}(\mathbb{R}^n)$ of smallest [[dimension]]

$$
  dim_{\mathbb{C}}(\Delta_n) = 2^{[n/2]}
  \,.
$$


=--

+-- {: .num_defn #SpinGroup}
###### Definition

The [[Pin group]] $Pin(V;q)$ of a quadratic vector space, def. \ref{QuadraticVectorSpace}, is the [[subgroup]] of the [[group of units]] in the [[Clifford algebra]] $Cl(V,q)$ 

$$
  Pin(V,q) \hookrightarrow GL_1(Cl(V,q))
$$

on those elements which are multiples $v_1 \cdots v_{2k}$ of elements $v_i \in V$ with $q(V) = 1$.

The [[Spin group]] $Spin(V,q)$ is the further [[subgroup]] of $Pin(V;q)$ on those elements which are even number multiples $v_1 \cdots v_{2k}$ of elements $v_i \in V$ with $q(V) = 1$.

Specifically, "the" Spin group is

$$
  Spin(n) \coloneqq Spin(\mathbb{R}^n)
  \,.
$$

=--


## Related concepts

[[!include table of orthogonal groups and related]]


## References

A standard textbook account is

* [[H. Blaine Lawson]], [[Marie-Louise Michelsohn]], chapter I, section 2 of _[[Spin geometry]]_, Princeton University Press (1989)

See also

* {#Varadarajan04} [[Veeravalli Varadarajan]], section 7 of _[[Supersymmetry for mathematicians]]: An introduction_, Courant lecture notes in mathematics, American Mathematical Society, Providence, R.I (2004)

The following article discusses which of the Pin groups are in fact compatible with [[general relativity]]

* Bas Janssens, _The Pin Groups in General Relativity_, arXiv:[1709.02742](https://arxiv.org/abs/1709.02742)




