
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Riemannian geometry
+--{: .hide}
[[!include Riemannian geometry - contents]]
=--
#### Group Theory
+-- {: .hide}
[[!include group theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}


## Idea

The _anti de Sitter group_ is the [[isometry group]] $O(d-1,2)$ of $d$-dimensional [[anti de Sitter spacetime]]. ([[orthogonal group]] for [[signature]] $(d-1,2)$)

This is [[analogy|analogous]] to how the [[Poincare group]] is the isometry group of [[Minkowski spacetime]].

The connected component $SO(d-1,2)$ of the anti de Sitter group is [[isomorphism|isomorphic]] to the connected component of the [[conformal group]] of $\mathbb{R}^{d-2,1}$. This is the basis of the [[AdS-CFT correspondence]].

## Properties

### Exceptional isomorphisms

* $SO(6,2) \simeq SO(4,\mathbb{H})$ (where $\mathbb{H}$ is the [[quaternions]])

## Related concepts

* [[anti de Sitter spacetime]]

[[!include table of orthogonal groups and related]]

[[!include local and global geometry - table]]


## References
 {#References}

The anti de Sitter [[Lie algebra]] is discussed for instance in

* {#CastellaniDAuriaFre} [[Leonardo Castellani]], [[Riccardo D'Auria]], [[Pietro Fré]], volume 1, chapter I.3.8 of _[[Supergravity and Superstrings - A Geometric Perspective]]_, World Scientific (1991)

The [[representation theory]] and its [[Inönü-Wigner contraction]] to that of the [[Poincaré group]] is discussed in

* [[Jouko Mickelsson]], J. Niederle, _Contractions of Representations of de Sitter Groups_, Comm. Math. Phys. Volume 27, Number 3 (1972), 167-180. ([Euclid](http://projecteuclid.org/euclid.cmp/1103858248))

* Mauricio Ayala, Richard Haase, _Group contractions and its consequences upon representations of different spatial symmetry groups_ ([arXiv:hep-th/0206037](https://arxiv.org/abs/hep-th/0206037))

* Francisco J. Herranz, Mariano Santander, section 4 of _(Anti)de Sitter/Poincare symmetries and representations from Poincare/Galilei through a classical deformation approach_, J.Phys.A41:015204,2008 ([arXiv:math-ph/0612059](https://arxiv.org/abs/math-ph/0612059))


[[!redirects AdS group]]

[[!redirects anti de Sitter Lie algebra]]
[[!redirects AdS Lie algebra]]