+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### Super-Geometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

Theories of [[supergravity]] in [[dimension]] $l \lt 11$ always contain a global [[symmetry]] called [[R-symmetry]] (a remnant of the full [[11-dimensional supergravity]] $Spin(10,1)$-symmetry after  [[KK-compactification]]). In some cases this is promoted to a local symmetry, such that there is a [[gauge field]] ([[connection on a bundle]]) with coefficients in that group. These are called _gauged supergravity_ theories. 

## Properties

### From dimensional reduction

For many cases gauged supergravity theories are obtained by [[KK-compactification|dimensional reduction]] from [[11-dimensional supergravity]] or [[type II supergravity]], which themselves do not contain a gauge field but higher degree fields ("fluxes"), the [[supergravity C-field]] and the [[B-field]] respectively. These induce gauged supergravities (e.g. [Samtleben 08, figure 1](#Samtleben08)). The [[gauge groups]] are the [[U-duality]] groups of the compactification (e.g. [Samtleben 08, table 1](#Samtleben08)).

## Examples

Some examples are discussed at 

* [[7-dimensional supergravity]]

* [[4-dimensional supergravity]]

* [[3-dimensional supergravity]]

## References

Review includes

* Martin Weidner, _Gauged Supergravities in Various Spacetime Dimensions_, Fortsch.Phys.55:843-945,2007 ([arXiv:hep-th/0702084](http://arxiv.org/abs/hep-th/0702084))

* {#Samtleben08} [[Henning Samtleben]], _Lectures on Gauged Supergravity and Flux Compactifications_ ([arXiv:0808.4076](http://arxiv.org/abs/0808.4076))

* Mario Trigiante, _Gauged Supergravities_ ([arXiv:1609.09745](https://arxiv.org/abs/1609.09745))

Discussion of the origin in [[KK-compactification]] of [[11-dimensional supergravity]]/[[M-theory]] is in

* {#Roest04} [[Diederik Roest]], _M-theory and Gauged Supergravities_, Fortsch.Phys.53:119-230,2005 ([arXiv:hep-th/0408175](http://arxiv.org/abs/hep-th/0408175))

Maximally gauged [[4d supergravity]] was first discussed in

* [[Bernard  de Wit]], [[Hermann Nicolai]], _$N = 8$ supergravity_, Nucl. Phys. B208 (1982) 323

and gauged [[5d supergravity]] in 

* M. Günaydin, L.J. Romans and N.P. Warner, _Gauged $N = 8$ Supergravity in Five Dimensions_, Phys. Lett. 154B, (1985) 268; _Compact and Non–Compact Gauged Supergravity Theories in Five Dimensions_, Nucl. Phys. B272 (1986) 598

*  M. Pernici, K. Pilch, [[Peter van Nieuwenhuizen]], _Gauged $N=8$ $D=5$ Supergravity_, Nucl.Phys. B259 (1985) 460 ([spire](https://inspirehep.net/record/16067?ln=en))


Discussion in the context of [[flux compactification]] of [[type II superstring theory]] includes

* [[Mariana Graña]], section 5.3 of _Flux compactifications in string theory: a comprehensive review_, Phys.Rept. 423 (2006) 91-158 ([arXiv:hep-th/0509003](http://arxiv.org/abs/hep-th/0509003))


Discussion in the context of the [[D'Auria-Fré formulation of supergravity]] is in 

* {#Fre05} [[Pietro Fré]], _M-theory FDA, Twisted Tori and Chevalley Cohomology_, Nucl.Phys.B742:86-123, 2006 ([arXiv:hep-th/0510068](http://arxiv.org/abs/hep-th/0510068))

Discussion related to [[orbifold]] singularities includes

* Richard Corrado, Murat Gunaydin, Nicholas P. Warner, Marco Zagermann, _Orbifolds and Flows from Gauged Supergravity_, Phys.Rev.D65:125024,2002 ([arXiv:hep-th/0203057](http://arxiv.org/abs/hep-th/0203057))

[[!redirects gauged supergravities]]