

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Complex geometry
+--{: .hide}
[[!include complex geometry - contents]]
=--
#### Analytic geometry
+--{: .hide}
[[!include analytic geometry -- contents]]
=--
=--
=--


# Complex analysis
* table of contents
{: toc}

## Idea

__Complex analysis__ is the mathematical [[analysis]] of [[complex number|complex]]-valued [[analytic function|analytic]] (typically) functions of a complex variable, of several complex variables, or on a complex [[analytic manifold]].

Since a complex number can be understood as a pair of [[real numbers]], this would naively reduce to analysis of pairs of functions of an even number of real variables; however by complex analysis we mean mathematical analysis which takes into account limits and derivative which do not depend on the real line in a complex plane on which we approach a point. This leads to the notions of [[holomorphic function]], [[meromorphic function]], etc. which are the main subject of complex analysis.  However, there are connections to such real-analytic notions as [[harmonic analysis]], and the geometric approach to complex analysis builds on the theory of [[smooth functions]].


## Related entries

* [[Weierstrass preparation theorem]], [[several complex variables]], [[spectral theory]], [[Riemann surface]]


## References

* Wikipedia (English): [Complex analysis](http://en.wikipedia.org/wiki/Complex_analysis), [Several complex variables](http://en.wikipedia.org/wiki/Several_complex_variables)

* John B. Conway, _Functions of one complex variable_, Springer 1978; _Functions of one complex variable II_, GTM 159

* Lars V. Ahlfors, _Complex analysis_, McGraw-Hill, 1966.

* Raghavan Narasimhan, _Complex analysis in one variable_, Birkhäuser, 1985.

* Lars Hörmander, _An introduction to complex analysis in several variables_, North-Holland

* Steven G. Krantz, _Geometric function theory: explorations in complex analysis_, Birkhäuser

* Robert C. Gunning, Hugo Rossi, _Analytic functions of several complex variables_, AMS Chelsea Publishing

* Douglas N. Arnold, _Complex analysis_, lecture notes, [pdf](http://www.ima.umn.edu/~arnold/502.s97/complex.pdf)
* [[Elias Stein|Elias M. Stein]], Rami Shakarchi, _Complex analysis_, Princeton University Press 2003, 2012

category: analysis
[[!redirects complex analysis]]
