
#Contents#
* table of contents
{:toc}

## Idea

__Special functions__ is more a name of a subject than a denotation of a well-defined class; they denote a _historically ever expanding class of [[functions]] of a [[complex numbers|complex]] [[variable]]_ coming from one of the several standard sources, most important being the solutions of second order [[differential equations]] with rational coefficients, as certain type of an infinite [[power series]], as members of a Fourier basis with respect to some orthogonality relation on an interval ("orthogonal polynomials"), by satisfaction of some "triangular" recursion relations, a type of integral representations (e.g. [[Selberg integral]]s) or arise in constructions of representation theory as certain subspaces of functions with prescribed covariance properties. Usually to accept some function as a special function one desires its appearance in several of the mentioned sources simultaneously. More rarely one looks at finite difference versions of differential equations, at functions of many variables or with parameters and similar generalizations. 

Most of the examples of the classical special functions are special cases of the __hypergeometric series__ ${}_p F_q(a_1,\ldots,a_p; b_1,\ldots,b_q;x)$. While [[hypergeometric function]] is the sum of a hypergeometric series (analytically continued beyond the region of its convergence) sometime one says hypergeometric function for the case ${}_2 F_1$ as opposed to the general case of hypergeometric series ${}_p F_q$. There is a version in which some poles of a hypergeometric function collide, so called [[confluent hypergeometric function]]. There is also a very general [[elliptic hypergeometric function]]. 

Basic [[elementary function]]s (e.g. exponential, logarithmic, sine, cosine) are also special cases of hypergeometric series for certain values of parameters. 

Very important class are so called __orthogonal polynomials__; they are neatly classified in so called "Askey-Wilson scheme", while they can be expressed as special values of hypergeometric series, they include special cases like Jacobi, Hermite, [[Legendre polynomial|Legendre]], Laguerre, Chebyshev polynomials etc.  

Some other important special functions include [[gamma function]], [[Euler beta function]], [[theta functions]] ( [[Jacobi theta functions]], [[elliptic theta functions]]), Weierstrass elliptic $\mathcal{P}$-function, elliptic integrals, hyperelliptic integrals, [[mock theta functions]], [[Riemann zeta function]], ultraspherical polynomials, Whittaker functions, [[Airy funtion]], [[dilogarithm]], [[Bessel functions]]...

...and $q$-version of many of the mentioned functions (e.g. Ramanujan's $q$/beta integral); 

...many interesting functions with parametyers or with many variables (e.g. Hall polynomials, [[Macdonald polynomial]]s, Kostka polynomials...). 

Unlike [[hypergeometric functions]] which are solutions of linear second order ODEs, the [[Painlevé transcendents]] are solutions of certain nonlinear ODEs. 

## References

* G. E. Andrews, R. Askey, R. Roy, _Special functions_, Enc. of Math. and its Appl. 71 (1999)
* Н. Я. Виленкин, _Специальные функции и теория представления групп_
* [[Richard Askey]], James Wilson, _A set of hypergeometric orthogonal polynomials_, SIAM J. Math. Anal. __13__ (1982), no. 4, 651–655, [doi](http://dx.doi.org/10.1137/0513043); _A recurrence relation generalizing those of Apéry_, J. Austral. Math. Soc. Ser. A 36 (1984), no. 2, 267–278; _Some basic hypergeometric orthogonal polynomials that generalize Jacobi polynomials_, Mem. Amer. Math. Soc. __54__ (1985), no. 319, iv+55 pp. 

[[!redirects special functions]]


 