
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### AQFT
+-- {: .hide}
[[!include AQFT and operator algebra contents]]
=--
#### Cohomology
+-- {: .hide}
[[!include cohomology - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

In the [[AQFT]] formalization of [[quantum field theory]] a system is characterized by its [[local net of observables]] on [[spacetime]], which is in particular a [[copresheaf]] of [[algebra]]s. Accordingly, one can consider notions of [[cohomology]] with coefficients in such a [[local net]].

One such notion was introduced in ([Roberts 76](#Roberts76)), there called **local cohomology** or **net cohomology**.  It has been shown to encode the [[DHR superselection theory]] of local nets ([Roberts 90](#Roberts90)).


## References

### Original articles

The concept was first poposed around

* [[John Roberts]] _Local cohomology and superselection structure_ Comm. Math. Phys. Volume 51, Number 2 (1976), 107-119 ([EUCLID](http://projecteuclid.org/euclid.cmp/1103900345))
  {#Roberts76}

* [[John Roberts]], _Mathematical Aspects of Local Cohomology_ talk at Colloqiumon Operator Algebras and their Applications to Mathematical Physics, Marseille 20-24 June, (1977) 
 
* P. Leyland, [[John Roberts]], _The cohomology of nets over Minkowski space_ ([EUCLID](http://projecteuclid.org/euclid.cmp/1103904354))
 
Here the idea was put forward that [[local net]]s of [[observable]]s should  carry a notion of [[cohomology]] -- or rather of [[nonabelian cohomology]] -- with coefficients in some kind of  [[∞-category]]. Motivated by this John Roberts was one of the first to consider [[strict ω-categories]]. He conjectured that these are characterized by their [[ω-nerve]]s being [[complicial sets]]. This led [[Ross Street]] to develop the notion of [[oriental]]s and eventually to prove this conjecture. An account of this development is on pages 9-10 of

* [[Ross Street]], _An Australian conspectus of higher category theory_ ([pdf](http://www.math.uchicago.edu/~may/IMA/Street.pdf))

More comments on the role of cohomology in [[AQFT]] are in

* [[John Roberts]], _A survey of local cohomology_ Mathematical Problems in Theoretical Physics Lecture Notes in Physics, (1978) Volume 80/1978

* [[John Roberts]], _Net cohomology and its applications to field theory, Quantum fields-algebras, processes_ (Proc. Sympos., Univ. Bielefeld, Bielefeld, 1978), pp. 239-268, Springer, Vienna (1980). 

* [[John Roberts]], _The Search for Quantum Differential Geometry_ Mathematical Problems in Theoretical Physics, Lecture Notes in Physics, (1982) Volume 153/1982, 374-379

* [[John Roberts]], _The cohomology and homology of quantum field theory_ at Quantum fields and quantum space time (Cargèse, 1996), 357-368, NATO Adv. Sci. Inst. Ser. B Phys., 364, Plenum, New York, (1997)

The description of [[DHR superselection theory]] in terms of net cohomology was given in 

* [[John Roberts]], (1990)
  {#Roberts90}

Its generalization to general [[spacetimes]] (curved and with nontrivial topology) is discussed in 

* [[Giuseppe Ruzzi]], _Homotopy of posets, net-cohomology and superselection sectors in globally hyperbolic spacetimes_ ([arXiv:math-ph/0412014](http://arxiv.org/abs/math-ph/0412014))

* [[Romeo Brunetti]], [[Giuseppe Ruzzi]], _Superselection Sectors and General Covariance I_ ([arXiv:gr-qc/0511118](http://arxiv.org/abs/gr-qc/0511118))

* [[Romeo Brunetti]], [[Giuseppe Ruzzi]], _Quantum charges and spacetime topology: The emergence of new superselection sectors_ ([arXiv:0801.3365](http://arxiv.org/abs/0801.3365))

The trivial Sectors of the Massless scalar free field in 1 + 3
dimensions was discussed in 

* Buchholz, Doplicher, Longo, Roberts (1992)

* Fabio Ciolli, _Massless scalar free Field in $1+1$ dimensions, II: Net Cohomology and Completeness of Superselection Sectors_ ([arXiv:0811.4673](http://arxiv.org/abs/0811.4673))


### Talks

* [[John Roberts]], _Cohomology in the service of AQFT_ , talk at Göttingen, _[AQFT, the first 50 years](http://www.uni-math.gwdg.de/aqft/)_ (2009) ([pdf](http://www.lqp.uni-goettingen.de/events/aqft50/slides/1-5-Roberts.pdf))

* [[Giuseppe Ruzzi]], _Net cohomology and local charges_ , talk at Vietri (2009) ([pdf](http://www.mat.uniroma2.it/~mp/OA/activities/09GENCO/slides/Ruzzi-vietri09.pdf))

* Fabio Ciolli, _Net Cohomology and the Construction of Physical Models_ , talk at Vietri (2009) ([pdf](http://www.mat.uniroma2.it/~mp/OA/activities/09GENCO/slides/Ciolli-vietri09.pdf))


[[!redirects cohomology in a local net of observables]]
[[!redirects cohomology in local nets of observables]]
[[!redirects cohomology in a net of local observables]]
[[!redirects cohomology in nets of local observables]]
[[!redirects cohomology of local net of observables]]
[[!redirects cohomology of a local net of observables]]
[[!redirects cohomology of local nets of observables]]
[[!redirects cohomology of a net of local observables]]
[[!redirects cohomology of nets of local observables]]
