Some [[Hopf algebra]]s encode relevant combinatorial information and are quite common and useful in [[algebraic combinatorics]] in general. More recently Hopf algebras appeared also in the study of [[renormalization]] of QFT, controlling its combinatorics. Combinatorial Hopf algebra may denote either informal notion of Hopf algebra coming from combinatorics (and, in particular, study of various rings of symmetric functions), but also, now standard notion as a pair of a Hopf algebra $H$ over $k$ equipped with a character $\zeta: H\to k$, the zeta function of a Hopf algebra. 

## Literature

One of the original sources is:

* S. A. Joni and [[Gian-Carlo Rota]], _Coalgebras and bialgebras in combinatorics_, Umbral Calculus and Hopf Algebras (Norman, OK, 1978), Contemp. Math., vol. 6, AMS, Providence, RI, 1982.

There is also another early article from Rota:

* [[Gian-Carlo Rota]], _Hopf algebra methods in combinatorics_, Problèmes combinatoires et théorie des graphes (Colloq. Internat. CNRS, Univ. Orsay, Orsay, 1976), pp. 363–365, Colloq. Internat. CNRS __260__, CNRS, Paris 1978.

(Despite the title, though, this is just a short note that mainly discusses applications of Rota's theory to the so-called [[umbral calculus]], without making the Hopf algebra structure explicit.)

For the basic intuition for Hopf algebras in combinatorics see the chapter 5 of [[S. Majid]]'s _Foundation of quantum group theory_. Nowadays the major book on combinatorial Hopf algebras is

* [[Marcelo Aguiar]], Swapneel Mahajan, _[[Monoidal Functors, Species and Hopf Algebras]]_, With forewords by [[Kenneth Brown]], Stephen Chase and [[André Joyal]]. CRM Monograph Series __29__ Amer. Math. Soc. 2010. lii+784 pp. ([pdf draft](http://www.math.cornell.edu/~maguiar/a.pdf))

Other references include:

* G-C. Rota, J. A. Stein, _Plethystic Hopf algebras_, Proc. Nat. Acad. Sci. U.S.A. __91__ (1994), no. 26, 13057–13061, [MR96e:16054](http://www.ams.org/mathscinet-getitem?mr=1306900), _Plethystic algebras and vector symmetric functions_, Proc. Nat. Acad. Sci. U.S.A. __91__ (1994), no. 26, 13062–13066, [MR96e:16055](http://www.ams.org/mathscinet-getitem?mr=1306901)
* Kurusch Ebrahimi-Fard, _Combinatorial Hopf algebras+, lectures at CIMAT summer school, slides [pdf](http://www-fourier.ujf-grenoble.fr/~peters/CIMAT/Abstracts/kurusch.pdf)
* F. Hivert, J.-C. Novelli, J.-Y. Thibon, _Trees, functional equations and combinatorial Hopf algebras_, Europ. J. Comb. __29__ (1) (2008), 1682–1695.
* Mercedes H. Rosas, Gian-Carlo Rota, Joel Stein, _A combinatorial overview of the Hopf algebra of MacMahon symmetric functions_, Ann. Comb. __6__ (2002), no. 2, 195–207.
* Bertfried Fauser, _On the Hopf algebraic origin of Wick normal ordering_, J. Phys. A 34 (2001), no. 1, 105–115
* [[Damien Calaque]], Kurusch Ebrahimi-Fard, Dominique Manchon, _Two interacting Hopf algebras of trees: a Hopf-algebraic approach to composition and substitution of B-series_, Adv. in Appl. Math. __47__ (2011), no. 2, 282–308
* K. Ebrahimi-Fard, Li Guo, _Mixable shuffles, quasi-shuffles and Hopf algebras_, J. Algebraic Combin. __24__ (2006), no. 1, 83–101, [MR2007d:05152](http://www.ams.org/mathscinet-getitem?mr=2245782),[doi](http://dx.doi.org/10.1007/s10801-006-9103-x)
* K. Ebrahimi-Fard, D. Kreimer, _The Hopf algebra approach to Feynman diagram calculations_, J. Phys. A 38 (2005), no. 50, R385–R407, [MR2006k:81266](http://www.ams.org/mathscinet-getitem?mr=2199729), [doi](http://dx.doi.org/10.1088/0305-4470/38/50/R01)
* [[Alain Connes]], [[Dirk Kreimer]], _Renormalization in quantum field theory and the Riemann-Hilbert problem. I. The Hopf algebra structure of graphs and the main theorem_, Comm. Math. Phys. __210__ (2000), no. 1, 249–273, [hep-th/9912092](http://arxiv.org/abs/hep-th/9912092), [MR2002f:81070](http://www.ams.org/mathscinet-getitem?mr=1748177), [doi](http://dx.doi.org/10.1007/s002200050779), _II. The $\beta$-function, diffeomorphisms and the renormalization group_, Comm. Math. Phys. __216__ (2001), no. 1, 215--241; [hep-th/0003188](http://arxiv.org/abs/hep-th/0003188), [MR2002f:81071](http://www.ams.org/mathscinet-getitem?mr=1748177), [doi](http://dx.doi.org/10.1007/PL00005547)

See also this nice lecture series on YouTube:

* Federico Ardila, _Hopf algebras and combinatorics_, 30 lectures, [youtube list](http://www.youtube.com/playlist?list=PL-XzhVrXIVeRLeezwY9h4M68k6yB3yOo-)

[[!redirects combinatorial Hopf algebras]]