
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

A [[classical field theory]] with [[action functional]] having the standard kinetic term non-derivative interactions has stable, time-independent solutions where all fields are constant on a value that is a local minimum of the interaction term potential energy (if any). 

In the corresponding [[quantum field theory]], however, a state that is initially concentrated this way on a local minimum which is not also a global minimum is not time-independent, but will exhibit [[quantum tunneling]] behaviour by which the fields "tunnel" through the local potential barrier into the global minimum. Therefore one speaks of a _false [[vacuum]]_ in this case.

## Examples

* [Higgs field -- Mass and Vacuum (in-)stability](Higgs+field#MassAndVacuumInstability)


## Related concepts

* **[[vacuum]]**

  * [[vacuum state]], [[Hadamard state]]

  * [[interacting vacuum]]

  * [[vacuum expectation value]], [[vacuum amplitude]], [[vacuum fluctuation]]

  * [[vacuum energy]]

  * [[vacuum diagram]]

  * [[vacuum stability]]

  * [[false vacuum]], [[tachyon]], [[Coleman-De Luccia instanton]]

  * [[theta vacuum]]

  * [[perturbative string theory vacuum]]

  * [[landscape of string theory vacua]]


## References

The classical articles are

* [[Sidney Coleman]], _Fate of the false vacuum: Semiclassical theory_ , Phys. Rev. D 15, 2929&#8211;2936 (1977) ([web](http://prd.aps.org/abstract/PRD/v15/i10/p2929_1))

* [[Sidney Coleman]], Frank De Luccia, _Gravitational effects on and of vacuum decay_ , Phys. Rev. D 21, 3305&#8211;3315 (1980) ([web](http://prd.aps.org/abstract/PRD/v21/i12/p3305_1))


[[!redirects false vacuum]]
[[!redirects false vacua]]
[[!redirects false vacuums]]


[[!redirects vacuum decay]]
[[!redirects vacuum decays]]
