
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Type theory
+-- {: .hide}
[[!include type theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Overview

A [[dependent type|dependently typed]] [[functional programming language]] with applications to [[certified programming]]. It is also  used as a [[proof assistant]]. 

Besides [[Coq]], Agda is one of the languages in which [[homotopy type theory]] has been implemented ([Brunerie](#Brunerie)).
Agda can be compiled to Haskell, Epic or Javascript.

## Related concepts

* [[Coq]], [[Lean]]

## References
 {#References}

General information on Agda is at

* [Agda Wiki](http://wiki.portal.chalmers.se/agda/pmwiki.php)

* _['Hello World!' in Adga](http://progopedia.com/example/hello-world/251/)_

* _[learn-you-an-agda (and achieve enlightment)](https://github.com/liamoc/learn-you-an-agda)_

* [[Ulf Norell]], James Chapman, _Dependently Typed Programming in Agda_ ([pdf](http://www.cse.chalmers.se/~ulfn/darcs/AFP08/LectureNotes/AgdaIntro.pdf))

* [[Dan Licata]], Ian Voysey, _[Programming and proving in Agda](http://www.cs.cmu.edu/~drl/teaching/oplss13/)_

* [[Ulf Norell]], _Towards a practical programming
language based on dependent type theory_, 2007 ([pdf](https://synrc.com/publications/cat/Functional%20Languages/Agda/PracticalDependent.pdf))

A tutorial for use of Agda as an implementation of [[homotopy type theory]] is at

* {#Brunerie} [[Guillaume Brunerie]], _Agda for homotopy type theory_ ([web](https://github.com/guillaumebrunerie/HoTT/tree/master/Agda/tutorial))
 
* [[Guillaume Brunerie]], _The Agda proof assistant_, slides,  [pdf](http://uf-ias-2012.wikispaces.com/file/view/agda.pdf/390147250/agda.pdf)

The HoTT-Agda library is at

* github, _[hott-agda](https://github.com/hott/hott-agda/)_

category: software
[[!redirects agda]]