[[!redirects Strong shape theory]]

#Contents#
* table of contents
{: toc}

## Idea ##

In strong shape theory, you remember all of the [[homotopy theory|homotopy]] coherence information in the approximations to a [[topological space]].


### Background ###
In classical [[shape theory]] or [[Čech homotopy]], the polyhedra or simplicial sets approximating a given space are treated as giving a [[pro-object]] in the homotopy category. In the early strong versions of shape theory the diagrams are thought of as being in the coherent homotopy pro category of simplical sets, or one of the equivalent forms (e.g. that due to Edwards and [[Harold Hastings|Hastings]] (1973)).  This is now probably better treated by the methods discussed in the entry on [[shape theory]].

### History ###

The earliest paper on strong shape would seem to be by D.E. Christie, in 1944. He looked at a 2-truncated version of the later theory. The next appearance of the idea would seem to be in the 1970s when more or less independently, Edwards and Hastings, Porter, Mardesic and Quigley came out with various approaches to the problem of structuring shape theory in a richer manner. The availability of work on  homotopy coherence, homotopy limits and colimits, etc. would seem to have been one of the key steps n this development.

## Related concepts

* [[shape theory]]

  * [[Borsuk's shape theory]]


## References ##

* D.A. Edwards and [[H. M. Hastings]], (1976), Čech and Steenrod homotopy theories with applications to geometric topology, Lecture Notes in Maths. 542, Springer-Verlag, [pdf](http://www.math.uga.edu/~davide/Cech_and_Steenrod_Homotopy_Theories_with_Applications_to_Geometric_Topology.pdf) 
* J.T. Lisica and [[Sibe Mardesic|S. Mardešić]], Coherent prohomotopy and strong shape theory, Glasnik Mat. 19(39) (1984) 335--399. 

* [[Sibe Mardesic|S. Mardešić]], _Strong shape and homology_, Springer monographs in mathematics, Springer-Verlag. 

* [[Michael Batanin]], [Categorical strong shape theory](http://www.numdam.org/numdam-bin/fitem?id=CTGDC_1997__38_1_3_0), Cahiers Topologie Géom. Différentielle Catég. 38 (1997), no. 1, 3--66.

* [[T. Porter]], _Stability Results for Topological Spaces_, Math. Zeit. 150, 1974, pp. 1-21.

* [[T. Porter]], _Abstract homotopy theory in procategories_, Cahiers Top. Géom. Diff., 17, 1976, pp. 113-124, [numdam](http://archive.numdam.org/article/CTGDC_1976__17_2_113_0.pdf)

* [[T. Porter]],  _Coherent prohomotopical algebra_, [numdam](http://archive.numdam.org/article/CTGDC_1977__18_2_139_0.pdf), Cahiers Top. Géom. Diff. __18__, (1978) pp. 139-179;

* [[T. Porter]], _Coherent prohomotopy theory_, Cahiers Top. Géom. Diff. __19__, (1978) pp. 3-46, [numdam](http://archive.numdam.org/article/CTGDC_1978__19_1_3_0.pdf)

* F. Cathey, Jack Segal, _Strong shape theory and resolutions_, Topology and its Appl. __15__ (1983) 119--130

* Bernd Günther, _Strong shape of compact Hausdorff spaces_, Topology and its Applications __42__:2, 1991, pp. 165–174, <a href="http://dx.doi.org/10.1016/0166-8641(91)90024-G">doi</a>; _A Tom Dieck theorem for strong shape theory_, Trans. Amer. Math. Soc. __338__ (1993), 857–870 [doi](https://doi.org/10.1090/S0002-9947-1993-1160155-1); _The use of semisimplicial complexes in strong shape theory_, Glas. Mat. Ser. III 27 (47) 1992, no. 1, 101–144 (contains [[quasicategory]] ideas in strong shape) [gBooks](https://books.google.hr/books?id=FfgyvnqoKBgC&lpg=PA101&ots=zYwj6-RmNo&dq=Gunther%20simplicial%20shape%20Glasnik&pg=PA101) ; _Comparison of the coherent pro-homotopy theories of Edwards-Hastings, Lisica-Mardešić and Günther_, Glas. Mat. Ser. III 26(46) (1991), no. 1-2, 141–176

[[!redirects strong shape theory]]
[[!redirects strong shape]]