
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Type theory
+-- {: .hide}
[[!include type theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

_Dependent type theory_ is the flavor of [[type theory]] that admits _[[dependent types]]_.

Its [[categorical semantics]] is in [[locally cartesian closed categories]] $C$, where a [[dependent type]]

$$
  x : X \vdash E(x) : Type
$$

is interpreted as a [[morphism]]  $E \to X$, hence an [[object]] in the [[slice category]] $C_{/X}$.

Then change of [[context]] corresponds to [[base change]] in $C$. See also _[[dependent sum]]_ and _[[dependent product]]_.

Dependent type systems are heavily used for _[[certified programming|software certification]]_. 

They also seem to support a [[foundations]] of mathematics in terms of [[homotopy type theory]].

## Description

### Judgments for types and terms

[[!include judgements for types and terms - table]]

## Properties

+-- {: .num_theorem}
###### Theorem

The [[functors]] 

* $Cont$, that form a [[category of contexts]] of a [[dependent type theory]];

* $Lang$ that forms the [[internal language]] of a [[locally cartesian closed category]]

constitute an [[equivalence of categories]]

$$
  DependentTypeTheories
    \stackrel{\overset{Lang}{\leftarrow}}{\underset{Cont}{\to}}
  LocallyCartesianClosedCategories
  \,.
$$

=--

This ([Seely, theorem 6.3](#Seely)).  It is somewhat more complicated than this, because we need to strictify the category theory to match the category theory; see [[categorical model of dependent types]].  For a more detailed discussion see at
_[[relation between type theory and category theory]]_.

## Examples

* [[Martin-Löf dependent type theory]].

## Related concepts

* [[linear dependent type theory]]
* [[dependent type theoretic methods in natural language semantics]]

## References

All the essential ingredients are listed in 

* [[Nicola Gambino]], _Lectures on dependent type theory_ ([pdf](http://www.cs.le.ac.uk/events/mgs2009/courses/gambino/lecturenotes-gambino.pdf))

In [part I](http://www.math.unipa.it/~ngambino/Research/Lectures/lecture1.pdf) there the standard [[type formation]], [[term introduction]]/[[term elimination]] and [[computation rules]] of dependent type theory are listed.

An introduction with parallel details on [[Coq]]-programming is in 

* [[Adam Chlipala]], _[Certified programming with dependent types](http://adam.chlipala.net/cpdt/)_ 

See also

* [[Agda]] Tutorial: _Introduction to dependent type theory_ ([webpage](http://ocvs.cfv.jp/Agda/tutorial/node128.html))

A discussion of dependent type theory as the [[internal language]] of [[locally cartesian closed categories]] is in 

* {#Seely} [[R. A. G. Seely]], _Locally cartesian closed categories and type theory_, Math. Proc. Camb. Phil. Soc. (1984) 95 ([pdf](http://www.math.mcgill.ca/rags/LCCC/LCCC.pdf))


For more see the references at _[[Martin-Löf dependent type theory]]_.

[[!redirects dependent type theories]]
[[!redirects Dependent type theories]]
[[!redirects Dependent type theory]]