
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Foundations
+-- {: .hide}
[[!include foundations - contents]]
=--
#### Type theory
+-- {: .hide}
[[!include type theory - contents]]
=--
=--
=--

> There are good reasons why the theorems should all be easy and the definitions hard. ([[Michael Spivak]], preface to "[[Calculus on Manifolds]]" )

# Theorems
* table of contents
{: toc}

## Idea

In the traditional language of [[mathematics]], a _theorem_ is a statement which is of interest in its own right and which has been proven to be true, though the proof may not be immediately obvious.  This contrasts with a _[[lemma]]_ (which is usually of interest primarily because of its implications for other statements), a _[[conjecture]]_ (which has not yet been proved), an _[[axiom]]_ (which is obviously true or assumed to be true), a _definition_ (which becomes true by virtue of its assigning meaning to a word or phrase), a _[[proposition]]_ (which usually follows more easily from known facts than a theorem does), or a _corollary_ (which follows immediately from facts recently proven).

The discipline of [[logic]] formalizes the notion of [[proof]], but not the notions of "interest" or "immediacy".  Thus, to a logician, *any* proved statement is often called a theorem.  (Mathematicians know this meaning too, but still usually reserve the term 'theorem' for important theorems in their published work.)  The term '[[proposition]]', to a logician, means *any* statement and does *not* imply the existence of a proof.  The term '[[axiom]]' is used in a way that somewhat matches its ordinary usage, but as a logician counts trivial proofs as proofs, an axiom is also a special case of a theorem.  Logic rarely studies [[definition]]s explicitly, but in some theories they do play a role, similar to their informal usage.  The other terms appear not to be used in logic.


## Definition

In a given [[logic]], in a given [[context]], we have various [[propositions]] and various [[proofs]] of propositions.  In that context, a __theorem__ is a proposition with a proof.

Classically, a theorem is a proposition for which there *exists* a proof, but in some contexts (such as, perhaps, fully formalized [[constructive mathematics|constructive]] [[type theory]]), one may use "theorem" to mean a proposition *together with* a proof.

A theorem should be contrasted with a [[tautology]]: a proposition that is [[truth|true]] in all [[models]].  If every theorem in a given logic is a tautology in a given class of models for that logic, then we say that the class of models is __sound__ for that logic; if conversely every tautology is a theorem, then we say that the class of models is __complete__.


## Examples

... we might list famous important theorems/lemmas/etc in the $n$Lab here ...


## Quotations

*  A mathematician is a device for turning coffee into theorems.  ---Alfréd Rényi

*  Lemmas do the work in mathematics: Theorems, like management, just take the credit.  ---[[Paul Taylor]]

## Related concepts

* [[theory]]

* [[proposition]]/[[type]] ([[propositions as types]]) 

* [[definition]]/[[proof]]/[[program]] ([[proofs as programs]])

* **theorem**, [[axiom]]

* [[folklore]], [[conjecture]]


## References

* [[Thomas Hales]], _Formal proof_ ([pdf](http://www.ams.org/notices/200811/tx081101370p.pdf))

* John Harrison, _Formal proof -- theory and practice_ ([pdf](http://www.ams.org/notices/200811/tx081101395p.pdf))



[[!redirects theorem]]
[[!redirects theorems]]
[[!redirects Theorem]]

[[!redirects lemma]]
[[!redirects lemmas]]
[[!redirects lemmata]]

[[!redirects corollary]]
[[!redirects corollaries]]
