

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Group Theory
+-- {: .hide}
[[!include group theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Definition

An [[action]]

$$
  * \;\colon\; G \times X \to X
$$

of a [[group]] $G$ on a [[set]] $X$ is called _free_ if for every $x \in X$ and every $g\in G$,  the [[equation]] $g x = x$ [[implication|implies]] $g=1_G$.

Equivalently, an action is free when for any pair of elements $x,y \in X$, there is _at most one_ group element $g \in G$ such that $g * x = y$.

A free action that is also [[transitive action|transitive]] is called _[[regular action|regular]]_.

## Examples

* Any group $G$ acts freely on itself by multiplication $\cdot : G \times G \to G$, which is called the (left) [[regular representation]] of $G$.

* An action of $\mathbb{Z}/2\mathbb{Z}$ on a set $X$ corresponds to an arbitrary [[involution]] $i : X \to X$, but the action is free just in case $i$ is a _[[fixed point]]-free_ involution.

* For any set $X$ equipped with a [[transitive action]] $* : G \times X \to X$, the group $Aut_G(X)$ of $G$-equivariant automorphisms of $X$ (i.e., [[bijections]] $\phi : X \to X$ commuting with the action of $G$) acts freely on $X$.  In particular, suppose $\phi \in Aut_G(X)$ is such that $\phi(x) = x$ for some $x\in X$, and let $y\in X$ be arbitrary.  By the assumption that $G$ acts transitively, there is a $g \in G$ such that $y = g*x$. But then $G$-equivariance implies that $\phi(y) = \phi(g*x) = g*\phi(x) = g*x = y$. Since this holds for all $y\in Y$, $\phi$ must be equal to the identity $\phi = id_X$, and therefore $Aut_G(X)$ acts freely on $X$.


## Related concepts

* [[homogeneous space]]
* [[transitive action]]
* [[torsor]]
* [[universal principal bundle]]

[[!redirects free actions]]