
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Bundles
+-- {: .hide}
[[!include bundles - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

For $G$ a [[topological group]] there is a notion of $G$-[[principal bundles]] $P \to X$ over any [[topological space]] $X$. Under [[continuous maps]] $f : X \to Y$ there is a notion of [[pullback]] of principal bundles $f^* : G Bund(Y) \to G Bund(X)$.

A **universal $G$-principal bundle** is a $G$-principal bundle, which is usually written $E G \to B G$, such that for every [[CW-complex]] $X$ the map

$$
  [X, B G] \to G Bund(X)/_\sim
$$

from [[homotopy]] classes of [[continuous functions]] $X \to B G$ given by $[f] \mapsto f^* E G$, is an [[isomorphism]].

In this case one calls $B G$ a [[classifying space]] for $G$-principal bundles.

The universal principal bundle is characterized, up to equivalence, by its total space $E G$ being [[contractible]].

More generally, we can ask for a universal bundle for _numerable_ bundles, that is principal bundles which admit a trivialisation over a [[numerable]] [[open cover]]. Such a bundle exists, and classifies numerable bundles over _all_ topological spaces, not just [[paracompact]] spaces or CW-complexes.

## Details

See at _[[classifying space]]_.

## Related concepts

* [[classifying space]]

* [[Milnor construction]]

* [[universal vector bundle]], [[universal complex line bundle]]

* [[universal principal infinity-bundle]].


## References

Among the earliest references that consider the notion of universal bundles is

* [[Shiing-shen Chern]], Sun, ... (1949)

A review is for instance in

* Stephen Mitchell, _Universal principal bundles and classifying spaces_ ([pdf](http://www-math.mit.edu/~mbehrens/18.906/prin.pdf))

[[!redirects universal principal bundles]]
