
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Homotopy theory
+--{: .hide}
[[!include homotopy - contents]]
=--
#### Limits and colimits
+--{: .hide}
[[!include infinity-limits - contents]]
=--
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Ideas

_Mayer-Vietoris sequence_ is the term for the [[fiber sequence]] -- or often for the corresponding [[long exact sequence of homotopy groups]] -- induced from an [[(∞,1)-pullback]] (or for a [[homotopy pullback]] presenting it).

## Definition

Let $\mathcal{C}$ be an [[(∞,1)-category]] with [[finite (∞,1)-limits]] and let $X, Y, B$ be [[pointed objects]] and

$$
  f : X \to B
$$

and

$$
  g : Y \to B
$$

be any two [[morphisms]] with common [[codomain]] preserving the base points. Let $X \times_B Y$ be the [[(∞,1)-pullback]]

$$

  \array{
    X \times_B Y &\to& Y
    \\
    \downarrow &\swArrow_\simeq& \downarrow^{\mathrlap{g}}
    \\
    X &\stackrel{f}{\to}& B
  }
  \,.
$$

The corresponding **Mayer-Vietoris sequence** is the [[fiber sequence]] of the induced morphism $X \times_B Y \to X \times Y$. Often the term is used (only) for the corresponding [[long exact sequence of homotopy groups]].

## Properties

### General
 {#GeneralProperties}

+-- {: .num_prop #SequenceFromDiagonal}
###### Proposition

Let $\mathcal{C}$ be a [[presentable (∞,1)-category]]. 

Then $X \times_B Y$, which by definition sits in

$$
  \array{
    X \times_B Y &\to& Y
    \\
    \downarrow &\swArrow_{\simeq}& \downarrow^{\mathrlap{g}}
    \\
    X  &\stackrel{f}{\to}& B
  }
$$ 

is equivalently also the following [[(∞,1)-pullback]] 

$$
  \array{
    X \times_B Y &\to& B
    \\
    \downarrow &\swArrow_{\simeq}& \downarrow^{\mathrlap{\Delta_B}}
    \\
    X \times Y &\stackrel{(f,g)}{\to}& B \times B
  }
  \,,
$$

where the right vertical morphism is the [[diagonal]].

Moreover, the [[homotopy fiber]] of $X \times_B Y \to X \times Y$ is the [[loop space object]] $\Omega B$.

=--
 
See also at _[[homotopy pullback]]_ [this corollary](homotopy+pullback#HomotopyPullbackByFactorizationLemma).

+-- {: .proof}
###### Proof

The first statement one checks for instance by choosing a presentation by a [[combinatorial model category]] and then proceeding as below in the discussion _[Presentation by fibrant objects](#PresentationByFibrantObjects)_.
Then by the [[pasting law]] for $(\infty,1)$-pullbacks it follows that with the left square in 

$$
  \array{
    \Omega B &\to& X \times_B Y &\to & B
    \\
    \downarrow &\swArrow_{\simeq}& \downarrow &\swArrow_{\simeq}& \downarrow
    \\
    * &\to& X \times Y &\stackrel{(f,g)}{\to}& B \times B
  }
$$

an $(\infty,1)$-pullback, so is the total outer rectangle. But again by the first statement, this is equivalent to the $(\infty,1)$-pullback

$$
  \array{
    \Omega B &\to& * 
    \\
    \downarrow &\swArrow_{\simeq}& \downarrow
    \\
    * &\to& B
  }
  \,,
$$

which is the defining pullback for the [[loop space object]].

=--

Therefore the Mayer-Vietoris [[homotopy fiber sequence]] is of the form

$$
  \Omega B \to X \times_B Y \to X \times Y
  \,.
$$

For $\mathcal{C} = $ [[∞Grpd]] $\simeq L_{whe}$ [[Top]], this point of view is amplified in ([Dyer-Roitberg 80](#DyerRoitberg80)).


+-- {: .num_cor #LongExactSequenceOfHomotopyGroups}
###### Corollary

The corresponding [[long exact sequence of homotopy groups]] is of the form

$$
  \cdots \to \pi_{n+1} B \to \pi_n X \times_B Y \stackrel{(f_*, g_*)}{\to} \pi_n X \oplus \pi_n Y \stackrel{f_* - g_*}{\to} \pi_n B \to \cdots 
$$

$$
  \cdots \to \pi_2 B \to \pi_1 X \times_B Y \stackrel{(f_+, g_*)}{\to}  \pi_1 X \times \pi_1 Y \stackrel{f_* \cdot g_*^{-1}}{\to} \pi_1 B \to \pi_0 (X \times_B Y) \to \pi_0 (X \times Y)
  \,.
$$

=--

This is what has historically been the definition of Mayer-Vietories sequences ([Eckmann-Hilton 64](#EckmannHilton)).

### Presentation by fibrant objects
 {#PresentationByFibrantObjects}

Suppose that the [[(∞,1)-category]] $\mathcal{C}$ is [[simplicial localization|presented]] by a [[category of fibrant objects]] $C$ (for instance the [[subcategory]] on the fibrant objects of a [[model category]]). 

Then the $(\infty,1)$-pullback $X \times_B Y$ is presented by a [[homotopy pullback]], and by the [[factorization lemma]], this is given by the ordinary [[limit]]

$$
  \array{
    X \times^h_B Y &\to& &\to& Y
    \\
    \downarrow && && \downarrow^{\mathrlap{g}}
    \\
    && B^I &\to& B 
    \\
    \downarrow && \downarrow
    \\
    X &\stackrel{f}{\to}& B
  }
  \,,
$$

where $B \stackrel{\simeq}{\to} B^I \to B \times B$ is a [[path object]] for $B$. This limit coincides, up to [[isomorphism]], with the [[pullback]]

$$
  \array{
    X \times_B^h Y &\to& B^I
    \\
    \downarrow && \downarrow
    \\
    X \times Y &\stackrel{(f,g)}{\to}& B \times B
  }
  \,.
$$

This implies in particular that the [[homotopy fiber]] of $X \times_B^h Y \to X \times Y$ is the [[loop space object]] $\Omega B$, being the [[fiber]] of the [[path space object]] projection.

### Over an $\infty$-group
 {#OverAGroupObject}

We consider now the case where $B$ carries the structure of an  [[∞-group]] (or just a grouplike [[H-space]] object) in a [[presentable (∞,1)-category]] or [[locally Cartesian closed (∞,1)-category]] $\mathcal{C}$.

In this case (as discussed in a moment), we have an [[(∞,1)-pullback]]

$$
  \array{
    B &\to& *
    \\
    \downarrow^{\mathrlap{\Delta_B}} 
    &\swArrow_{\simeq}& 
    \downarrow^{\mathrlap{e}}
    \\
    B \times B
    &\stackrel{(-)\cdot (-)^{-1}}{\to}&
    B
  }
  \,,
$$

where the bottom horizontal morphism is the composite

$$
  (-)\cdot (-)^{-1} : B \times B \stackrel{(id, (-)^{-1})}{\to} B \times B \stackrel{\cdot}{\to} B
$$

of a morphism that sends the second argument to its inverse with the group composition operation.

It then follows by the [[pasting law]] and prop. \ref{SequenceFromDiagonal} that in this case the morphism $X \times_B Y \to X \times Y$ in the Mayer-Vietoris sequence is itself the homotopy fiber of $X \times Y \stackrel{f \cdot g^{-1}}{\longrightarrow} B$, hence that we have a long homotopy fiber sequence of the form

$$
  \Omega B \longrightarrow X \times_B Y \longrightarrow X \times Y
  \stackrel{f \cdot g^{-1}}{\longrightarrow} B
  \,.
$$

First consider two more concrete special cases.

+-- {: .num_example}
###### Example

Let $S$ be a small [[site]] and let $\mathcal{C} = Sh_{(\infty,1)}(S)$ be the [[(∞,1)-category of (∞,1)-sheaves]] on $S$.

This is [[presentable (∞,1)-category|presented]] by the projective [[model structure on simplicial presheaves]]

$$
  \mathcal{C} \simeq ([S^{op}, sSet]_{proj, loc})^\circ
  \,.
$$

As discussed there, the [[Dold-Kan correspondence]] prolongs to a [[Quillen adjunction]] on [[presheaves]] whose [[right adjoint]] is


$$
  \Xi : 
  [S^{op}, Ch_{\bullet \leq 0}(Ab)]_{proj}
  \to 
  [S^{op}, sAb]_{proj}
  \to
  [S^{op}, sSet]_{proj}
  \,.
$$

Let then $B \in \mathcal{C}$ be an object with a presentation in $[S^{op}, sSet]$ in the image of this $\Xi$. We write $B$ also for this presentation, and hence $B = \Xi(\tilde B)$ for some presheaf of chain complexes $\tilde B$. 

We claim now that such $B$ satisfies the above assumption.

To see this, first notice that the evident morphism $- : \tilde B \times \tilde B \to \tilde B$ is degreewise an [[epimorphism]], hence it is a fibration in $[S^{op}, Ch_{\bullet \geq 0}(Ab)]_{proj}$, and since $\Xi$ is [[Quillen adjunction|right Quillen]], so is the corresponding morphism $- : B \times B \to B$ in $[S^{op}, sSet]_{proj}$. 

Therefore the ordinary pullback of presheaves of chain complexes

$$
  \array{
    \tilde B &\to& *
    \\
    \downarrow^{\mathrlap{\Delta_{\tilde B}}} && \downarrow^{\mathrlap{0}}
    \\
    \tilde B \times \tilde B &\stackrel{-}{\to}& \tilde B
  }
$$

is a [[homotopy pullback]] in $[S^{op}, Ch_{\bullet \geq 0}(Ab)]_{proj}$, as is the ordinary pullback of simplicial presheaves

$$
  \array{
    B &\to& *
    \\
    \downarrow^{\mathrlap{\Delta_B}} && \downarrow^{\mathrlap{0}}
    \\
    B \times B &\stackrel{-}{\to}& B
  }
$$

in $[S^{op}, sSet]_{proj}$.

Since [[∞-stackification]] preserves [[finite (∞,1)-limits]], this presents an [[(∞,1)-pullback]] also in $\mathcal{C}$.

=--


+-- {: .num_example #SimplicialGroupObjectAsBase}
###### Example

Let $\mathcal{C}$ be an [[(∞,1)-topos]] with a 1-[[site]] $S$ of definition (a [[n-localic (∞,1)-topos|1-localic (∞,1)-topos]]).

Then (as discussed there) every [[∞-group]] object in $\mathcal{C}$
has a presentation by a presheaf of [[simplicial groups]]

$$
  B \in [S^{op}, sGrp]_{proj} \to [S^{op}, sSet]_{proj}
  \,.
$$

We claim that the canonical morphism $- : B \times B \to B$ is
objectwise a [[Kan fibration]] and hence a fibration in the 
projective [[model structure on simplicial presheaves]].

Let $U \in S$ be any test object. A diagram


$$
  \array{ 
    \Lambda[k]^i &\stackrel{(ha, hb)}{\to}& B(U) \times B(U)
    \\
    \downarrow^{\mathrlap{j}} && \downarrow
    \\
    \Delta[k] &\stackrel{\sigma}{\to}& B(U)
  }
$$

corresponds to a $k$-cell $\sigma \in B(U)$ together with a 
choice of decomposition of the $i$th [[horn]] $j^* \sigma$
as a difference

$$
  (j^* \sigma)_l = ha_l \cdot hb_l^{-1}
  \,.
$$

Since $B(U)$ itself is a [[Kan complex]] (being a [[simplicial group]], as discussed there) there is a filler $b \colon \Delta[k] \to B(U)$ 
of the [[horn]] $hb \colon \Lambda[k]^i \to B(U)$.
Define then 

$$
  a \coloneqq \sigma \cdot b
  \,.
$$

Since all the face maps are group homomorphisms, this is indeed a filler of $ha$:

$$
  \begin{aligned}
    \delta_l(a) 
      & = \delta_l(\sigma \cdot b)
    \\
      & = \delta_l(\sigma) \cdot \delta_l(b)
    \\   
      & = \delta_l(\sigma) \cdot hb_l
    \\
      & = ha_l
  \end{aligned}
  \,.
$$

Moreover, by construction, $(a,b)$ is a filler in 

$$
  \array{ 
    \Lambda[k]^i &\stackrel{(ha, hb)}{\to}& B(U) \times B(U)
    \\
    \downarrow^{\mathrlap{i}} 
    &{}^{(a,b)}\nearrow& 
    \downarrow
    \\
    \Delta[k] &\stackrel{\sigma}{\to}& B(U)
  }
  \,.
$$

Since therefore $- \colon B \times B \to B$ is a projective fibration, it follows
as before that the ordinary pullback

$$
  \array{
    B &\to& *
    \\
    \downarrow^{\mathrlap{\Delta_B}} && \downarrow^{e}
    \\
    B \times B &\stackrel{-}{\to}& B
  }
$$

is a [[homotopy pullback]].

=--


+-- {: .num_prop #SequenceOverGroupObjectIn1LocalicSituation}
###### Proposition

For $B$ an [[∞-group]] object as above, the [[(∞,1)-pullback]] $X \times_B Y$ is equivalently given by the $(\infty,1)$-pullback

$$
  \array{
   X \times_B Y &\to& * 
   \\
   \downarrow &\swArrow_{\simeq}& \downarrow^{\mathrlap{0}}
   \\ 
   X \times Y &\stackrel{f \cdot g^{-1}}{\to}& B
  }
  \,.
$$


=--

+-- {: .proof}
###### Proof

By prop. \ref{SequenceFromDiagonal} the object $X \times_B Y$ is the $(\infty,1)$-pullback in

$$
  \array{
    X \times_B Y &\to& B
    \\
    \downarrow &\swArrow_{\simeq}& \downarrow^{\mathrlap{\Delta_B}}
    \\
    X \times Y &\stackrel{(f,g)}{\to}& B \times B
  }
  \,.
$$

By the [[pasting law]] this is equivalently given by the  composite pullback of 

$$
  \array{
    X \times_B Y &\to& B &\to& *
    \\
    \downarrow 
    &\swArrow_{\simeq}& 
    \downarrow^{\mathrlap{\Delta_B}}
    &\swArrow_{\simeq}& 
    \downarrow^{\mathrlap{0}}
    \\
    X \times Y &\stackrel{(f,g)}{\to}& B \times B
    &\stackrel{-}{\to}& B
  }
  \,.
$$

Here the composite bottom morphism is $(f - g)$.

=--

Summing this up:

+-- {: .num_prop}
###### Proposition

For $\mathbf{H}$ an [[(∞,1)-sheaf]] [[(∞,1)-topos]], $B$ an [[∞-group]]-object in $\mathbf{H}$ and $f\colon X \to B$ and $g \colon Y\to B$ two morphisms, then there is a long [[homotopy fiber sequence]] of the form

$$
  \Omega B \longrightarrow X \times_B Y \longrightarrow X \times Y
  \stackrel{f \cdot g^{-1}}{\longrightarrow} B
  \,.
$$

=--

+-- {: .proof}
###### Proof

For $\mathcal{C}$ an [[(∞,1)-site]] of definition, there is a [[reflective sub-(infinity,1)-category|reflection]]

$$
  \mathbf{H} \stackrel{\longleftarrow}{\hookrightarrow}
  [C^{op},\infty Grpd]
$$

of $\mathbf{H}$ into an [[(∞,1)-category of (∞,1)-presheaves]].

By prop. \ref{SequenceOverGroupObjectIn1LocalicSituation} the statement
holds in $[C^{op},\infty Grpd]$. Since embedding and reflection both preserve
[[finite (∞,1)-limits]], it hence also holds in $\mathbf{H}$.

=--

Still more generally and more simply:

+-- {: .num_prop #HTTArgumentForPullback}
###### Proposition

Let $\mathcal{C}$ be a [[locally Cartesian closed (∞,1)-category]].
Let $G$ be an [[∞-group]] object (or just a grouplike [[H-space]]-object). Then for
$\phi \colon D \longrightarrow G$ any morphism we have a [[homotopy pullback]] square of the form

$$
  \array{
     G \times D &\longrightarrow& D
     \\
     \downarrow && \downarrow^{\mathrlap{\phi}}
     \\
     G \times G &\stackrel{(-)\cdot (-)^{-1}}{\longrightarrow}& G
  }
  \,.
$$

=--

([nForum discussion](http://nforum.mathforge.org/discussion/6403/generality-of-mayervietoris-in-an-infinitytopos-/?Focus=51417#Comment_51417))

+-- {: .proof #ProofOfHTTArgumentForPullback}
###### Proof

By [this discussion](locally+cartesian+closed+infinity,1-category#InternalLogic) we may use [[homotopy type theory]] reasoning. Starting out with the discussion at _[homotopy pullback -- In homotopy type theory](homotopy+pullback#InHomotopyTypeTheory)_ we obtain

$$ 
\begin{aligned}
  D\times_G  (G\times G)
  &= \sum_{d:D} \sum_{g_1:G} \sum_{g_2:G} (g_1\cdot g_2^{-1} = \phi(d)) \\
  &= \sum_{d:D} \sum_{g_1:G} \sum_{g_2:G} (g_1 = \phi(d)\cdot g_2) \\
  &= \sum_{d:D} \sum_{g_2:G} \sum_{g_1:G} (g_1 = \phi(d)\cdot g_2) \\
  &= \sum_{d:D} \sum_{g_2:G} \mathbf{1}\\
  &= D\times G
\end{aligned}
  \,,
$$

where the second but last step consists of observing a contractible based [[path space object]] (see the discussion at [[factorization lemma]]).

=--

+-- {: .num_prop }
###### Corollary

Let $\mathcal{C}$ be a [[locally Cartesian closed (∞,1)-category]].
Let $G$ be an [[∞-group]] object (or just a grouplike [[H-space]]-object). 

Then for $f \colon X \to G$ and $g \colon Y \to G$ two morphisms, there is a Mayer-Vietoris-type [[homotopy fiber sequence]] 

$$
  \cdots \to \Omega G
  \longrightarrow 
  X \times_G Y
  \longrightarrow
  X \times Y
  \stackrel{f \cdot (g^{-1})}{\longrightarrow}
  G
  \,.
$$

=--

+-- {: .proof}
###### Proof

Use prop. \ref{HTTArgumentForPullback} with $\phi$ being the canonical point, i.e. the inclusion $e \colon \ast \to G$ of [[generalized the|the]] neutral element to find the homotopy pullback

$$
  \array{
     G  &\longrightarrow& \ast
     \\
     \downarrow^{\mathrlap{\Delta}} && \downarrow^{\mathrlap{e}}
     \\
     G \times G &\stackrel{(-)\cdot (-)^{-1}}{\longrightarrow}& G
  }
  \,.
$$

Then use the [[pasting law]] as above.

=--

## Examples

### (Co)Homology of a cover 
 {#CohomologyOfACover}

A special case of the general Mayer-Vietoris sequence, corollary \ref{LongExactSequenceOfHomotopyGroups} -- which historically was the first case considered -- applies to the [[cohomology]]/[[homology]] of a [[topological space]] $X$ equipped with an [[open cover]] $\{U_1, U_2 \to X\}$.

Being a [[cover]] means (see [[effective epimorphism in an (∞,1)-category]]) that there is a [[homotopy pushout]] [[diagram]] of the form

$$
  \array{
    U \cap V &\hookrightarrow& U
    \\
    \downarrow && \downarrow
    \\
    V &\to& X
  }
$$

in the [[(∞,1)-topos]] $\mathbf{H} = $ [[∞Grpd]]/[[Top]].
 
When this is [[presentable (∞,1)-category|presented]] by the standard [[model structure on simplicial sets]] or in terms of [[CW-complex]]es by the [[model structure on topological spaces]], it is given by an ordinary [[pushout]]. 

Let then $A \in \infty Grpd \simeq Top$ be some coefficient object, for instance an [[Eilenberg-MacLane object]] $\mathbf{B}^n G$ ([[Eilenberg-MacLane space]] $\cdots \simeq K(G,n)$) for the definition of ordinary [[singular cohomology]] with coefficients in an [[abelian group]] $G$.

Then applying the [[derived hom space]] functor $\mathbf{H}(-, A) : \mathbf{H}^{op} \to \infty Grpd$ yields the [[(∞,1)-pullback]] [[diagram]]

$$
  \array{
    \mathbf{H}(X, A) &\to& \mathbf{H}(U,A)
    \\
    \downarrow && \downarrow
    \\
    \mathbf{H}(V,A) &\to& \mathbf{H}(U \cap V, A)
  }
$$

to which we can apply the homotopical Mayer-Vietoris sequence. 

Notice that (as discussed in detail at [[cohomology]]) the [[homotopy groups]] of the [[∞-groupoid]] $\mathbf{H}(X,\mathbf{B}^n G)$ are the [[cohomology groups]] of $X$ with coefficients in $G$

$$
  \pi_k \mathbf{H}(X, \mathbf{B}^n G)
  \simeq
  H^{n-k}(X, G)
  \,.
$$

By the above [general properties](GeneralProperties) the above homotopy pullback is equivalent to 

$$
  \mathbf{H}(X,A) \to \mathbf{H}(U,A) \times \mathbf{H}(V,A)
  \to \mathbf{H}(U \cap V, A) 
$$

being a [[fiber sequence]]. The corresponding long exact sequence in cohomology (as discussed above) is what is traditionally called the Mayer-Vietoris sequence of the cover of $X$ by $U$ and $V$ in $A$-cohomology.

By duality (see [[universal coefficient theorem]]) an analogous statement holds for the [[homology]] of $X$, $U$ and $V$.


## References

An original reference is

* {#EckmannHilton} [[Beno Eckmann]] and [[Peter Hilton]], _Unions and intersections in homotopy theory_, Comment. Math. Helv. 3 (1964),2 93-307, [doi](http://dx.doi.org/10.1007/BF02566918)
 

A more modern review that emphasizes the role of [[homotopy fiber sequences]] is in

* {#DyerRoitberg80} Eldon Dyer, Joseph Roitberg, _Note on sequence of Mayer-Vietoris type_, Proceedings of the AMS, volume 80, number 4 (1980) ([pdf](http://www.ams.org/journals/proc/1980-080-04/S0002-9939-1980-0587950-8/S0002-9939-1980-0587950-8.pdf))

Discussion in the context of [[stable model categories]] includes

* [[Peter May]], lemma 5.7 of _The additivity of traces in triangulated categories_, Adv. Math., 163(1):34-73, 2001 ([pdf](http://www.math.uchicago.edu/~may/PAPERS/AddJan01.pdf))

Discussion in the context of [[homotopy type theory]] includes

* E Cavallo et al, _Exactness of the Mayer-Vietoris Sequence
in Homotopy Type Theory_ ([pdf](http://www.contrib.andrew.cmu.edu/~ecavallo/works/mayer-vietoris.pdf))

[[!redirects Mayer-Vietoris sequences]]
[[!redirects Mayer-Vietoris long exact sequence]]