
# Contents
* table of contents
{: toc}

## Idea

An _archimedean field_ is an [[ordered field]] in which every element is bounded above by a [[natural number]].

So an archimedean field has no infinite elements (and thus no non-zero [[infinitesimal object|infinitesimal]] elements).


## Non-archimedean fields

For $k$ a non-archimedean field for some non-archimedean [[absolute value]] ${\vert -\vert}$ one defines

* its **ring of integers** to be 

  $$
    k^\circ := \{x \in k \,|\, {\vert x\vert} \leq 1\}
    \,.
  $$

This is a [[local ring]] with maximal ideal

$$
  k^{\circ\circ} := \{x \in k \,|\, {\vert x\vert} \lt 1\}
  \,.
$$

* The **residue field** of $k$ is the [[quotient]]

  $$
    \tilde k := k^\circ / k^{\circ \circ}
    \,.
  $$


## Examples

Archimedean fields include

* [[real numbers]]

Non-archimedean fields include

* [[p-adic numbers]].

## Related concepts

* [[archimedean valued field]]

* [[non-archimedean analytic geometry]]

[[!redirects archimedean field]]
[[!redirects archimedean fields]]
[[!redirects non-archimedean field]]
[[!redirects non-archimedean fields]]
[[!redirects nonarchimedean field]]
[[!redirects nonarchimedean fields]]

[[!redirects Archimedean field]]
[[!redirects Archimedean fields]]
[[!redirects non-Archimedean field]]
[[!redirects non-Archimedean fields]]
