
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

There are various attempts/speculations/proposals to use [[p-adic numbers]] in place of [[real numbers]] in the description of [[physics]].

Historically what initiated much of this development was the observation in ([Volovich 87](#Volovich87), reviewed in [VVZ 95, section XIV](#VVZ95)) that the [[integral]] expression for the [[Veneziano amplitude]] of the [[open string|open]] [[bosonic string]] naturally generalizes from an integral over the [[real numbers]] (which in this case parameterize the [[boundary]] of the [[open string]] [[worldsheet]]) to the [[p-adic numbers]]. Since this concerns the [[bosonic string]] [[tachyon]] [[state]], such [[p-adic string theory]] has been discussed a lot in the context of [[tachyon condensation]] and [[Sen's conjecture]] ([Cottrell 02](#Cottrell02)).

Generally, the development of string theory has shown that its [[worldsheet]] is usefully regarded as an object in [[algebraic geometry]] (see also at _[[number theory and physics]]_) and mathematically the generalization from [[algebraic varieties]] over the [[complex numbers]] to more general algebraic varieties (or [[schemes]]) is often natural, if not compelling. For instance when the [[Witten genus]] (essentially the [[partition function]] of the [[superstring]]) is refined to the [[string orientation of tmf]] then the [[elliptic curves]] over the [[complex numbers]] which serve as the [[torus|toroidal]] [[worldsheets]] over the [[complex numbers]] are generalized to [[elliptic curves]] over general [[rings]] and by the [[fracture theorems]] the computations in [[tmf]] in fact typically proceed by decomposing the general problem into that of ellitpic curves over the [[rational numbers]] and over the [[p-adic integers]]. See at _[[p-adic string theory]]_ for more on this.

## Related entries

* [[number theory and physics]]

* [[p-adic geometry]]

* [[p-adic homotopy]]

* [[p-adic cohomology]]

* [[p-adic string theory]]

* [[p-adic AdS-CFT]]

## References

### Textbooks

* {#VVZ95} Vasiliĭ Vladimirov, I. V. Volovich, E. I. Zelenov, _$p$-Adic analysis and mathematical physics_, World Scientific, 1995


### Reviews

* L. Brekke, P. Freund, $p$-adic numbers in physics, Phys. Rep. 233 (1993)

* [p-adic and adelic physics website](http://empslocal.ex.ac.uk/people/staff/mrwatkin/zeta/physics7.htm)

* Branko Dragovich, _Non-Archimedean Geometry and Physics on Adelic Spaces_ ([arXiv:math-ph/0306023](http://arxiv.org/abs/math-ph/0306023))

* Branko Dragovich, _$p$-Adic and Adelic Quantum Mechanics_ ([arXiv:hep-th/0312046](http://arxiv.org/abs/hep-th/0312046))

* B. Dragovich, A. Yu. Khrennikov, S. V. Kozyrev, I. V. Volovich, _$p$-Adic Mathematical Physics_ ([arXiv:0904.4205](http://arxiv.org/abs/0904.4205))

* B. Dragovich, A. Yu. Khrennikov, S. V. Kozyrev, I. V. Volovich, E. I. Zelenov, _$p$-Adic Mathematical Physics: The First 30 Years_ ([arXiv:1705.04758](https://arxiv.org/abs/1705.04758))

### String theory

Discussion of the [[Veneziano amplitude]] for [[p-adic string theory]] is originally due to

* {#Volovich87} I. V. Volovich, _p-Адическое пространство-время и теория струн_, ТМФ, 71:3 (1987)[free Rus. pdf](http://www.mathnet.ru/links/704079ec1d28d91ba6eb6d492359b387/tmf4962.pdf); transl. _$p$-adic space-time and string theory_, Theor. Math. Phys. __71__, 574–576 (1987), [eng doi](http://dx.doi.org/10.1007/BF01017088), [nonfree Eng. pdf](http://www.springerlink.com/content/k514t553607324n0/fulltext.pdf)

See also 

* {#Cottrell02} William Cottrell, _$p$-adic Strings and Tachyon Condensation_, 2002 ([pdf](http://jfi.uchicago.edu/~tten/teaching/Phys.291/Cottrell_Freund_2002.pdf))

* Branko Dragovich, _Nonlocal dynamics of p-adic strings_, ([arxiv/1011.0912](http://arxiv.org/abs/1011.0912))

A relation of $p$-adic string theory to number-theoretic [[Langlands duality]] is hypothesized and explored somewhat it

* Michele Nardelli, _On the link between the structure of A-branes observed in the homological mirror symmetry and the classical theory of automorphic forms: mathematical connections with the modular elliptic curves, $p$-adic and adelic numbers and $p$-adic and adelic strings_, in [p-adic and adelic physics](http://empslocal.ex.ac.uk/people/staff/mrwatkin/zeta/physics7.htm) ([pdf](http://empslocal.ex.ac.uk/people/staff/mrwatkin/zeta/nardelli_branes.pdf))
