
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Analytic geometry
+--{: .hide}
[[!include analytic geometry -- contents]]
=--
#### Complex geometry
+--{: .hide}
[[!include complex geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

### General

In the context of [[rigid analytic geometry|rigid]] [[analytic geometry]], a **polydisc** is a [[product]] of [[discs]]: the [[analytic space]] which is [[Isbell duality|formally dual]] to the [[Tate algebra]] $T_n$ (for an $n$-dimensional polydisk).

This is a basic [[analytic space]]. It is the analog in [[analytic geometry]] of the [[affine space]] $\mathbb{A}^n$ in [[algebraic geometry]]. 

Those [[analytic spaces]] which are subspaces of polydiscs are called _[[affinoids]]_.

### In complex analytic geometry
 {#InComplexAnalyticGeometry}

Specifically in [[complex analytic geometry]] a polydsic is a sub-[[complex manifold]] of a [[product]] of [[complex planes]]

$$
  D \hookrightarrow \mathbb{C}^n
$$

of the form


$$
  D = D_{\delta_1, \cdots, \delta_n}
  \coloneqq
  \left\{
    (z_1, \cdots, z_n) \in \mathbb{C}^n | {\vert z_i\vert \lt \delta_i}
  \right\}
$$

for $\delta_i \in (0,\infty]$.

e.g. ([Maddock, p.6](#Maddock))

Every [[complex analytic manifold]] is [[covering|locally]] [[isomorphism|isomorphic]] to a complex polydisc, in that it may be covered by [[open subsets]] which are [[biholomorphism|biholomorphic]] to complex polydiscs. e.g. ([Maddock, p. 7](#Maddock)).

In fact ([Fornæss-Stout 77a, lemma II.1](#FornaessStout77a)) states that every [[connected topological space|connected]] and [[second countable topological space|second countable]] [[complex manifold]] may already be [[cover|covered]] by [[finite number|finitely]] many [[open subsets]] [[biholomorphism|biholomorphic]] to a polydisc.

See also at _[good covers by Stein manifolds](Stein+manifold#GoodCoversBySteinManifolds)_.

## Related concepts

* [[Stein manifold]]

## References

### General

* Leonard Lipshitz, Zachary Robinson, _Rings of separated power series_ ([[LipshitzRobinson.pdf:file]])

### In complex analytic geometry

Original articles on [[coverings]] of [[complex manifolds]] by complex polydiscs include

* {#FornaessStout77a} [[John Fornæss]], [[Edgar Stout]], _Spreading Polydiscs on Complex Manifolds_ American Journal of Mathematics Vol. 99, No. 5 (Oct., 1977), pp. 933-960 ([JSTOR](http://www.jstor.org/stable/2373992))

* [[John Fornæss]], [[Edgar Stout]], _Polydiscs in complex manifolds_, Mathematische Annalen 1977, Volume 227, Issue 2, pp 145-153

Introductory lecture notes in the context of the [[Dolbeault theorem]] include


* {#Maddock} Zachary Maddock, _Dolbeault cohomology_ ([pdf](http://www.math.columbia.edu/~maddockz/notes/dolbeault.pdf))


[[!redirects polydisk]]

[[!redirects polydiscs]]
[[!redirects polydisks]]