


+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Complex geometry
+--{: .hide}
[[!include complex geometry - contents]]
=--
#### Analytic geometry
+--{: .hide}
[[!include analytic geometry -- contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

Let $\Omega$ be a domain in a [[complex manifold]] and let $P \subset \Omega$ be a (complex-) analytic subset which is [[empty subset|empty]] or of [[codimension]] one. A [[holomorphic function]] defined on the [[complement]] $\Omega \setminus P$ is called a _meromorphic function_ in $\Omega$ if for every point $p \in P$ one can find an arbitrarily small [[neighbourhood]] $U$ of $p$ in $\Omega$ and functions $\phi$, $\psi$ holomorphic in $U$ without common non-invertible factors in $Int(U)$, such that $f = \phi/\psi$ in $U \setminus P$.

In one complex dimension (one complex variable), hence on a [[Riemann surface]], a _meromorphic function_ is a [[complex numbers|complex]]-[[analytic function]] which is defined away from a set of isolated points. Equivalently this is a [[holomorphic function]] with values in the [[Riemann sphere]].  Compare a [[holomorphic function]], which is valued in the [[complex plane]] (the Riemann sphere minus a point).


## Related concepts

* [[entire function]]

* [[sheaf of meromorphic functions]]

* [[function field of a variety]]

## References

* Wikipedia, _[Meromorphic function](https://en.wikipedia.org/wiki/Meromorphic_function)_

* [[eom]], _[Meromorphic function](https://www.encyclopediaofmath.org/index.php/Meromorphic_function)_

category: analysis
[[!redirects meromorphic function]]
[[!redirects meromorphic functions]]
[[!redirects meromorphic map]]
[[!redirects meromorphic maps]]
