
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Definition 

Given a [[monoidal category]] $M$, let $Coalg(M)$ denote the category of coalgebras (i.e., [[comonoid|comonoids]]) with respect to the [[tensor product]] of $M$. Let $U \colon Coalg(M) \to M$ be the [[forgetful functor]]. The **cofree coalgebra** refers to a functor _[[right adjoint|right]]_ [[adjoint functor|adjoint]] to $U$, if it exists. 

## Examples

For example, a cofree coalgebra over a [[vector space]] $V$ consists of a coalgebra $C(V)$ and a [[linear map]] $\varepsilon \colon C(V) \to V$ which is [[universal construction|universal]] in the sense that given a coalgebra $C$ and linear map $f \colon C \to V$, there exists a unique coalgebra map $g \colon C \to C(V)$ such that $f = \varepsilon \circ g$. 

## Constructions 

The [[forgetful functor]] $U \colon Coalg(M) \to M$ [[preserved colimit|preserves]] and [[reflected colimit|reflects]] ([[created limit|creates]]) any [[colimits]] which happen to exist, analogous to the fact that the forgetful functor $Alg(M) \to M$ preserves and reflects [[limits]]. Therefore, under hypotheses of an [[adjoint functor theorem]] (which almost always obtain in cases of practical interest), $U$ will indeed have a [[right adjoint]]. 

### Modules over a commutative ring 

The special [[adjoint functor theorem]] (SAFT) may be applied to show that for any commutative ring $K$, the forgetful functor 

$$K\text{-Coalg} \to K\text{-Mod}$$ 

has a right adjoint. An argument is given by Michael Barr in 

* [Coalgebras over a Commutative Ring](http://www.math.mcgill.ca/barr/ftp/pdffiles/coalgebra.pdf); see theorem 4.1. 

(This is somewhat at odds with an assertion made by Michiel Hazewinkel in [Witt Vectors, Part I](http://arxiv.org/ftp/arxiv/papers/0804/0804.3888.pdf), section 12.11 (page 58): "Whether the cofree coalgebra over an Abelian group always exists is unknown." But it seems to me ([[Todd Trimble]]) that there is nothing wrong with Barr's argument.) 

### Cofree coalgebra over a vector space

In what follows, we give an explicit construction of the cofree coalgebra cogenerated by a vector space. 

As a first step, recall the following result. 

+-- {: .num_theorem #FundamentalTheorem}
###### Theorem
**(Fundamental theorem of coalgebras)**

Every [[coalgebra]] is the [[filtered colimit]] over the [[diagram]] of its [[finite number|finite]]-[[dimension|dimensional]] subcoalgebras and inclusions between them. 

=-- 

This seems to be due to ([Sweedler 69](#Sweedler69)). For a proof of this result, see for example ([Michaelis 03](#WM)). For more see at _[coalgebra -- As filtered colimits](coalgebra#AsFilteredColimits)_.


We repeat that colimits of coalgebras are created by taking colimits of their underlying vector spaces. 

Let for a vector space $V$, let $T(V)$ be the [[tensor algebra]] (or free algebra) generated by $V$. We may consider $T(V^\ast)$ as the algebra of (non-commutative) polynomial functions on $V$. The dual of $T(V^\ast)$ is not a coalgebra, but in accordance with the fundamental theorem above, we may consider instead the colimit over a system of finite-dimensional coalgebras obtained by dualizing the system of finite-dimensional algebra quotients of $T(V^\ast)$ and surjections between them (compare [[profinite completion]]), using the fact that the dual of a finite-dimensional algebra is a finite-dimensional coalgebra. Let $T(V^\ast)^\circ$ be this colimit coalgebra, embedded in $T(V^\ast)^\ast$. The dual of the inclusion $V^\ast \hookrightarrow T(V^\ast)$ gives a map $T(V^\ast)^\ast \to V^{\ast \ast}$, and this restricts to a map $T(V^\ast)^\circ \to V^{\ast \ast}$. 

For finite-dimensional $V$, there is an isomorphism $V^{\ast \ast} \cong V$, and we have the following result. 

+-- {: .num_lemma}
######Lemma 
If $V$ is finite-dimensional, then the composite $T(V^\ast)^\circ \to V^{\ast \ast} \cong V$ exhibits $T(V^\ast)^\circ$ as the cofree coalgebra over $V$. 
=-- 

+-- {: .proof}
######Proof 
Suppose given a coalgebra $C$ and a linear map $f \colon C \to V$. We want to show this has a unique lift to a coalgebra map $\widehat{f} \colon C \to T(V^\ast)^\circ$. For $x \in C$, there is a minimal finite-dimensional subcoalgebra $C_x$ containing $x$, and if $f_x \colon C_x \to T(V^\ast)^\circ$ is the restriction of $f$, then the value $\widehat{f}(x)$ must match the value $\widehat{f_x}(x)$. In other words, in view of the fundamental theorem of coalgebras, there is no loss of generality in taking $C$ to be finite-dimensional. 

In this case, the map $f^\ast \colon V^\ast \to C^\ast$ extends uniquely to an algebra map $T(V^\ast) \to C^\ast$, since the tensor algebra is the free algebra on $V$. This algebra map factors as 

$$T(V^\ast) \stackrel{onto}{\to} Q \stackrel{into}{\to} C^\ast$$ 

where $Q$ is a finite-dimensional algebra. The dual $Q^\ast$ carries a coalgebra structure that embeds in $T(V^\ast)^\circ$, and by dualizing we obtain coalgebra maps 

$$C \to Q^\ast \to T(V^\ast)^\circ$$ 

that provide the desired lift. The uniqueness of the lift is evident from the uniqueness of the extension $T(V^\ast) \to C$ (or equivalently, of $T(V^\ast)_{prof} \to C$, passing to the profinite completion) on the dual algebra side. 
=-- 

Now let $V$ be an infinite-dimensional vector space. We may view $V$ as the union or filtered colimit over the system $\{V_\alpha\}$ of its finite-dimensional subspaces. Applying the cofree coalgebra construction to these finite-dimensional subspaces, we get a system of coalgebras. 

+-- {: .num_theorem}
###### Theorem 
The coalgebra colimit 

$$K = colim_{V_\alpha \subset V} C(V_\alpha)$$ 

is the cofree coalgebra over $V$. 
=--

+-- {: .num_remark}
###### Remark

Happily, this colimit is computed as in $Vect$, and more happily still -- since the underlying functor $Vect \to Set$ also preserves and creates filtered colimits -- this colimit is just a set-theoretic union of the $C(V_\alpha)$ along the canonical inclusions between them. 

=--

Indeed, suppose given a coalgebra $C$ and a linear function $f \colon C \to V$. To construct a coalgebra map $C \to K$ which lifts $f$, we may argue just as we did in the proof of the lemma, and suppose without loss of generality that $C$ is finite-dimensional. Then of course the map $f \colon C \to V$ factors through a map $f_\alpha \colon C \to V_\alpha$ where $V_\alpha$ is a finite-dimensional subspace of $V$. This lifts uniquely to a coalgebra map $\widehat{f_\alpha} \colon C(V_\alpha)$, and the desired lift $\widehat{f}$ is the composite 

$$C \stackrel{\widehat{f_\alpha}}{\to} C(V_\alpha) \hookrightarrow K$$

Any such lift is obtained in just this way. 

It is easy to see that this description is equivalent to that described in a MathOverflow discussion [here](http://mathoverflow.net/questions/31109/is-there-an-explicit-construction-of-a-free-coalgebra/31126#31126). See also the nForum discussion [here](http://www.math.ntnu.no/~stacey/Mathforge/nForum/comments.php?DiscussionID=3467&page=1). 

#### The cofree coalgebra over a 1-dimensional space

Specializing still further, we investigate the detailed structure of the cofree coalgebra over a 1-dimensional vector space (over a field) $k$. 

Here, the cofree coalgebra $T(k)^\circ$ is the filtered colimit of finite-dimensional coalgebras of the form 

$$(k[x]/I)^\ast$$ 

where $k[x]/I$ is a (finite-dimensional) quotient of the polynomial algebra $k[x]$ modulo a non-zero ideal $I$. The adjoint of the quotient map $k[x] \to k[x]/I$ is an embedding $(k[x]/I)^\ast \hookrightarrow k[x]^\ast \cong \prod_n k \cdot x^n$ into the space of formal power series in $x$. As a set, $T(k)^\circ$ is simply the union of the subspaces $(k[x]/I)^\ast \hookrightarrow \prod_n k \cdot x^n$. In other words, every $\xi \in T(k)^\circ$ belongs to some $(k[x]/I)^\ast$, and it suffices to consider first the structure of a typical such $\xi$ as a formal power series, and then how the comultiplication behaves on it. 

Now $I$ is a principal ideal $(g(x))$ for some polynomial $g(x) = b_0 + \ldots + b_n x^n$, where the top coefficient is of course assumed non-zero. We are trying to understand when a formal power series $\xi = \sum_{n \geq 0} a_n x^n \in \prod_n k \cdot x^n$ vanishes on $I$, in the sense that 

$$\langle p(x), \sum_n a_n x^n \rangle = 0$$ 

for all $p(x) \in (g(x))$, where the pairing $\langle , \rangle \colon k[x] \times \prod_n k \cdot x^n \to k$ is the canonical one: 

$$\langle x^j, \sum_n a_n x^n \rangle = a_j.$$ 

Taking the case $p(x) = x^j g(x)$, we obtain recurrence relations 

$$\langle b_0 x^j + \ldots b_n x^{n+j}, \sum_n a_n x^n \rangle = b_0 a_j + b_1 a_{j+1} + \ldots + b_n a_{n+j} = 0,$$ 

one for every $j$. We may pick $a_0, a_1, \ldots, a_{n-1}$ at random, but from there on the remainder of the sequence $a_n, a_{n+1}, \ldots$ is determined by the recurrence relations. 

Now let $g^{rev}(x)$ be the polynomial obtained by reversing the order of the coefficients $b_0, \ldots, b_n$ of $g$, 

$$g^{rev}(x) = b_n + \ldots + b_0 x^n,$$ 

and consider the problem of multiplicatively inverting $g^{rev}(x)$ (which we may do since the constant coefficient of $g^{rev}$ is non-zero). If $\sum_j a_j x^j$ is the reciprocal, we have 

$$1 = g^{rev}(x)\sum_j a_j x^j = (b_n + \ldots + b_0 x^n)(\sum_j a_j x^j)$$ 

which yields a second set of recurrence relations by examining coefficients of powers of $x$. We get the first set of recurrence relations by restricting attention to the coefficients of $x^n$, $x^{n+1}$, etc. 

Thus the power series of $g^{rev}(x)^{-1}$ yields a $\xi$ which vanishes on $I = (g(x))$, and similarly the power series of 

$$\frac{x}{g^{rev}(x)}, \ldots, \frac{x^{n-1}}{g^{rev}(x)}$$ 

also vanish on $I$. They in fact form a basis for the subspace $(k[x]/(g(x)))^\ast \hookrightarrow \prod_n k \cdot x^n$. 

We conclude that an arbitrary element of $T(k)^\circ$ is of the form $\frac{p(x)}{h(x)}$ for some $h$ with non-zero constant coefficient: 

+-- {: .num_theorem}
###### Theorem 
As subspaces of the space of formal power series $\prod_n k \cdot x^n$, there is an identification 

$$T(k)^\circ = k[x]_{(x)}$$ 

where the right side is the localization of $k[x]$ at the prime ideal $(x)$, whose elements are considered as formal power series. 
=-- 

It remains to identify the coalgebra structure on $k[x]_{(x)}$. This extends the standard coalgebra structure on the tensor algebra $k[x]$, where the comultiplication is given by deconcatenation: 

$$\delta(x^N) = \sum_{m+n = N} x^m \otimes x^n.$$ 

We may as well focus on a typical subcoalgebra $(k[x]/(g(x)))^\ast$, with basis elements $\frac{x^i}{g^{rev}(x)}$. By duality, the definition of $\delta(\frac{x^i}{g^{rev}(x)})$ can be extracted from the multiplication table for residue classes $x^j \pmod g(x)$. 

The calculations work out cleanest if we assume if $k$ is algebraically closed. For in that case, we can take advantage of partial fraction decompositions of the form 

$$\frac{x^i}{g^{rev}(x)} = \sum_k \frac{A_k}{(1- r_k x)^{n_k}}$$ 

so that it suffices to give $\delta(\frac1{(1 - r x)^n})$, although the algebra works out better with a slightly different basis. 

With this in mind, put $e_n(r) = \frac{(r x)^n}{(1 - r x)^{n+1}}$ for $n \geq 0$. The power series expansion is 

$$e_n(r) = \sum_{k \geq 0} \binom{k}{n} r^k x^k$$ 

and we _formally_ calculate 

$$\array{
\delta(e_n(r)) & = & \sum_k \binom{k}{n} r^k \delta(x^k) \\
 & = & \sum_k \binom{k}{n} r^k \sum_{p+q=k} x^p \otimes x^q \\
 & = & \sum_{p, q \geq 0} \binom{p+q}{n} r^p x^p \otimes r^q x^q \\
 & = & \sum_{p, q} \sum_{i+j=n} \binom{p}{i} \binom{q}{j} r^p x^p \otimes r^q x^q \\
 & = & \sum_{i+j=n} (\sum_p \binom{p}{i} r^p x^p) \otimes (\sum_q \binom{q}{j} r^q x^q) \\ 
 & = & \sum_{i+j=n} e_i(r) \otimes e_j(r)
}$$ 

which exhibits comultiplication as deconcatenation, familiar from the usual coalgebra structure on $k[x]$. In particular, we have $\delta(e_0(r)) = e_0(r) \otimes e_0(r)$: the elements $e_0(r)$ are _grouplike_. 

A more respectable-looking calculation (but really with the exact same content!) shows that the comultiplication thus defined on $k[x]_{(x)}$ is indeed adjoint to multiplication on $k[x]$: 

$$\array{
\langle x^p x^q, e_n(r) \rangle & = & \langle x^{p+q}, \sum_k \binom{k}{n} r^k x^k \rangle \\
 & = & \binom{p+q}{n} r^{p+q} \\
 & = & \sum_{i+j=n} \binom{p}{i} \binom{q}{j} r^p r^q \\
 & = & \sum_{i+j=n} \langle x^p, e_i(r) \rangle \langle x^q, e_j(r) \rangle \\
 & = & \sum_{i+j=n} \langle x^p \otimes x^q, e_i(r) \otimes e_j(r) \rangle \\
 & = & \langle x^p \otimes x^q, \delta(e_n(r)) \rangle. 
}$$ 

An analogous calculation shows that the counit $\varepsilon \colon k[x]_{(x)} \to k$ is defined by $\varepsilon(e_n(r)) = \delta_{0 n}$ (Kronecker delta). 

We summarize the calculations above as follows. 

+-- {: .num_theorem}
###### Theorem 
Let $k$ be an algebraically closed field. For each nonzero scalar $r \in k$, let $L(r)$ denote the $k$-linear span of the elements $e_n(r) = \frac{(r x)^n}{(1 - r x)^{n+1}}$ in $k[x]_{(x)}$, with coalgebra structure given in each case by 

$$\delta(e_n(r)) = \sum_{i+j=n} e_i(r) \otimes e_j(r), \qquad \varepsilon(e_n(r)) = \delta_{0 n}$$ 

Let $L(0) = k[x]$ as a subspace of $k[x]_{(x)}$. The cofree coalgebra over a 1-dimensional space $k$, identified with $k[x]_{(x)}$, decomposes as a direct sum of coalgebras 

$$k[x]_{(x)} \cong \bigoplus_{r \in k} L(r)$$ 

according to the partial fraction decomposition of rational functions. Each of the coalgebras $L(r)$ is isomorphic to $k[x]$ with its standard coalgebra structure. 
=-- 

## Related concepts

* The [[duality|dual concepts]] are those of _[[free monoid]]_, and _[[tensor algebra]]_,

## References 

* {#Sweedler69} [[Moss Sweedler]], _Hopf algebras_, 1969

* {#WM}  [[Walter Michaelis]], _Coassociative Coalgebras_, Handbook of Algebra Volume 3, Elsevier (2003). 
 


See also

* Tom Fox, _The construction of cofree coalgebras_. JPAA 84 (1993) 191-198. [texfile here](http://www.math.mcgill.ca/fox/papers.html)

but note that this contains an error which is corrected in 

* [[Michiel Hazewinkel ]] (2003), "Cofree coalgebras and multivariable recursiveness", [Journal of Pure and Applied Algebra 183 (1): 61–103](http://www.sciencedirect.com/science/article/pii/S0022404903000136)

[[!redirects cofree coalgebras]]
[[!redirects free coalgebra]]
[[!redirects free coalgebras]]