

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
#### 2-Category theory
+--{: .hide}
[[!include 2-category theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}



## Idea

A _monad with arities_ is a [[monad]] that admits a generalized [[nerve]] construction. This allows us to view its [[algebra over a monad|algebras]] as [[presheaves]]-with-[[properties]] in a canonical way.

This generalized nerve construction also generalizes the construction of the [[syntactic category]] of a [[Lawvere theory]].

##Definition##

Let $\mathcal{C}$ be a [[category]], and $i_A : \mathcal{A} \subset \mathcal{C}$ a [[subcategory]]. As explained at [[dense functor]], for any [[object]] $X$ of $\mathcal{C}$, there is a canonical [[cocone]] over the [[forgetful functor]] $(\mathcal{A} \downarrow X) \to \mathcal{C}$, which we call the **canonical $\mathcal{A}$-cocone at $X$**. The subcategory $\mathcal{A} \subset \mathcal{C}$ is called _dense_ if this cocone is [[colimit|colimiting]] for every object $X$ of $C$.

 If $\mathcal{C}$ be a category and $i_A : \mathcal{A} \subset \mathcal{C}$ is a dense subcategory, then the **$\mathcal{A}$-[[nerve|nerve functor]]** is given by

\[ 
  \begin{aligned} 
     \nu_{\mathcal{A}} : \mathcal{C} 
       &\to [\mathcal{A}^{op}, \mathrm{Set}] 
     \\
     X &\mapsto \mathcal{C}(i_A, X)
   \end{aligned} 
 \,.
\]

A [[monad]] $(T,\mu,\eta)$ on $\mathcal{C}$ is said to **have arities $\mathcal{A}$** if $\nu_{\mathcal{A}} \circ T$ sends canonical $\mathcal{A}$-cocones to [[colimit|colimiting cocones]].

##Nerve Theorem##
 {#NerveTheorem}

The nerve theorem consists of two statements:

**I.** If $\mathcal{A}$ is dense in $\mathcal{C}$ and if $T$ is a monad with arities $\mathcal{A}$ on $\mathcal{C}$, then $\mathcal{C}^T$ has a dense subcategory $\Theta_T$ given by the [[free functor|free]] $T$-[[algebra over a monad|algebras]] on objects of $\mathcal{A}$. 

It follows (?) that the nerve functor $\nu_{\Theta_T} : \mathcal{C}^T \to [\Theta_T^{op}, \mathrm{Set}]$ is [[full and faithful functor|full and faithful]]. This allows us to view $T$-algebras as [[presheaves]] (on $\Theta_T$) with a certain [[stuff, structure, property|property]]. The second part of the nerve theorem tells us what this property is.

**II.** Let $j: \mathcal{A} \to \Theta_T$ be the free algebra functor. A presheaf $P : \Theta_T^{op} \to \mathrm{Set}$ is in the essential image of $\nu_{\Theta}$ if and only if the restriction along $j$,
\[ P\circ j : A^{op} \to \Set \]
 is in the essential image of $\nu_A$.

##Examples##

For now, see the paper of Berger, Melliès, and Weber below...

##References##

See the discussion at 

* [[Tom Leinster]], _How I learned to love the nerve construction_ (2008) ([blog](http://golem.ph.utexas.edu/category/2008/01/mark_weber_on_nerves_of_catego.html))

The associated paper is 

* [[Mark Weber]], _Familial 2-functors and parametric right adjoints_ (2007) ([tac](http://www.tac.mta.ca/tac/volumes/18/22/18-22abs.html))

These ideas are clarified and expanded on in 

* [[Clemens Berger]], [[Paul-André Melliès]], [[Mark Weber]], _Monads with Arities and their Associated Theories_ (2011) ([arXiv:1101.3064](http://arxiv.org/abs/1101.3064))

[[!redirects monads with arities]]
