
#Contents#
* table of contents
{:toc}

## Idea

Two [[polygons]] in the [[Euclidean space|Eucledean plane]] $P,P'$ have the same [[area]] iff they are __scissors congruent__ in the sense that they can be subdivided into _finitely_ many pieces such that each piece of $P$ is congruent to exactly one piece of $P'$. 

__Hilbert's third problem__ (see _[[Hilbert's problems]]_) was if the analogue of this elementary fact holds for [[polyhedra]] in 3-[[dimension|dimensional]] space. Dehn solved this problem in terms of Dehn's invariant which, in a modern language, assigns to a polyhedron $P$ an element in $\mathbf{R}\otimes_{\mathbf{Z}} \mathbf{R}/\mathbf{Z}$. If both the Dehn's invariant and volume of two (3-dimensional finite) polyhedra in Eucledean space are equal then they are scissors congruent. 

The __generalized Hilbert's third problem__ is asking for two finite $n$-[[polytopes]] in Eucledean, spherical or hyperbolic $n$-space are scissors equivalent in terms of computable invariants. 

The __scissors congruence group__  $\mathcal{P}(X,G)$ where $G$ is a subgroup of the group of isometries of $X$, is the free abelian group on symbols $[P]$, for all polytopes in $X$ modulo the relations

(i) $[P]-[P']-[P'']$ when $P = P'\coprod P''$,

(ii) $[gP]-[P]$.

In the book 

* J.L. Dupont, <a href="http://home.imf.au.dk/dupont/scissors.ps">Scissors congruences, group homology and characteristic classes (.ps) </a>, Lecture notes from Nankai Institute of Mathematics, 1998, Manuscript, University of Aarhus, Department of Math., Aarhus, 1999, 122 pp., and in: Nankai Tracts in Mathematics 1, World Scientific, Singapore, 2001. 

Dupont explains the relations of dilogarithms, Reidemeister torsion, Dehn invariant (which is from 1900) and their role in understanding the 19th century scissors congruence...The subject is very active now. After physicist Anatole Kirillov found the [[quantum dilogarithm]] and L. D. Fadeeev and Kashaev published a paper about it (and discovered the pentagon relation), this became an important topic in quantization (Fadeev's modular double, quantization of Teichmuller spaces, work of A. Fock, L. Takhdajan, Aldrovandi etc.) of hyperbolic spaces and generally the hyperbolic geometry and with relations, together with classical [[dilogarithm]] to many other subjects (e.g. to the work of Reznikov and theory or regulators, specially Borel regulator in higher algebraic K-theory, important for study of motives (Goncharov et al.) and, as W. Nahm shown, also relevant for understanding some phenomena in CFT).

## References

* C. H. Sah, _Hilbert’s third problem: scissors congruence_, Research Notes in Mathematics __33__, Pitman 1979.
* Inna Zakharevich, _Scissors congruence as K-theory_, [arxiv/1101.3833](http://arxiv.org/abs/1101.3833)
* wikipedia [[Hilbert's third problem]]
* J.-P. Sydler, _Conditions nécessaires et suffisantes pour l'équivalence des polyèdres de l'espace euclidean à trois dimensions_, Comment. Math. Helv. 40, 43-80, 1965. 

[[!redirects Hilbert's third problem]]

