
#Contents#
* table of contents
{:toc}

## Idea

What is called _Weyl quantization_ is a method of _[[quantization]]_ applicable to [[symplectic manifolds]] which are [[symplectic vector spaces]] or [[quotients]] of these by [[discrete groups]] ([[tori]]).

In Weyl quantization of the flat space $\mathbf{R}^n$, the classical observables of the form $f(x,p)$ are replaced by suitable operators which in the case when $f$ is a polynomial correspond to writing $f$ with $x$ and $p$ replaced by noncommutative variables $x$ and $i h\frac{\partial}{\partial x}$
in symmetric or Weyl ordering. This means that all possible orderings between $x$ and $i h\frac{\partial}{\partial x}$ are summed with an equal weight. More generally, one can extend this rule to more general functions via integral formulas due Weyl and Wigner. This is also useful in fundations of the theory of [[pseudodifferential operator]]s. 

## Related concepts

* [[free field theory]]


## References

* [[Lars Hörmander]], _The Weyl calculus of pseudodifferential operators_, Comm. Pure Appl. Math. __32__ (1979), no. 3, 360–444. [MR80j:47060](http://www.ams.org/mathscinet-getitem?mr=517939), [doi](http://dx.doi.org/10.1002/cpa.3160320304)

* Robert F. V. Anderson, _The Weyl functional calculus_, J. Functional Analysis __4__:240–267, 1969, [MR635128](http://www.ams.org/mathscinet-getitem?mr=635128); _On the Weyl functional calculus_, J. Functional Analysis __6__:110–115, 1970, [MR262857](http://www.ams.org/mathscinet-getitem?mr=262857)
* E. M. Stein, _Harmonic analysis: real variable methods, orthogonality,
and oscillatory integrals_, Princeton University Press 1993
M. W. Wong, _Weyl transforms, the heat kernel and Green function of
a degenerate elliptic operator_, Annals Global Anal. Geom. 28 (2005) 271–283

Discussion of [[quantization of Chern-Simons theory]] in terms of Weyl quantization is in

* [[Jørgen Andersen]], _Deformation quantization and geometric quantization of abelian moduli spaces_, Commun. Math. Phys., 255 (2005), 727–745

* {#GelcaUribe02} [[Razvan Gelca]], [[Alejandro Uribe]], _The Weyl quantization and the quantum group quantization of the moduli space of flat SU(2)-connections on the torus are the same_, 	Commun.Math.Phys. 233 (2003) 493-512 ([arXiv:math-ph/0201059](http://arxiv.org/abs/math-ph/0201059))

* {#GelcaUribe10a} [[Razvan Gelca]], [[Alejandro Uribe]], _From classical theta functions to topological quantum field theory_  ([arXiv:1006.3252](http://arxiv.org/abs/1006.3252), [slides pdf](http://www.math.ttu.edu/~rgelca/berk.pdf))

* {#GelcaUribe10b} [[Razvan Gelca]], [[Alejandro Uribe]], _Quantum mechanics and non-abelian theta functions for the gauge group $SU(2)$_ ([arXiv:1007.2010](http://arxiv.org/abs/1007.2010))

Discussion of the generalization to [[BV-quantization]] is in

* [[Owen Gwilliam]], [[Rune Haugseng]], _Linear Batalin-Vilkovisky quantization as a functor of ∞-categories_ ([arXiv:1608.01290](https://arxiv.org/abs/1608.01290))

[[!redirects Weyl functional calculi]]

[[!redirects Weyl calculus]]
[[!redirects Weyl calculi]]

[[!redirects Weyl quantization]]
[[!redirects Weyl quantizations]]