
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Categorification
+-- {: .hide}
[[!include categorification - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

Many important cases of [[categorification]] (in fact most of those so far studied in $n$Lab) belong to the categorification of basic and general structures in category theory, algebra and geometry like fibered categories, monads, operads, sheaves etc. To find the "correct" categorification one usually needs just clear understanding of foundations and clear categorical strategy. 

On the other hand, a number of categorifications of rather special structures in [[representation theory]] on the interface of [[Lie theory]] and low dimensional topology, is emerging from study of rather special and deep phenomena. In those examples special and often advanced structures in quantum group theory, knot theory etc. are starting revealing to be a shadow of more fundamental structures on the categorified level. 

## Related concepts

* [[Khovanov homology]]

* [[Langlands program]]

## References
 {#References}

* J. Chuang, [[Raphaël Rouquier|R. Rouquier]], _Derived equivalences for symmetric groups and $sl_2$-categorification_, Ann. Math. __167__ (2008), 245–298.
* S.-J. Kang, [[M. Kashiwara]], _Categorification of highest weight modules via Khovanov-Lauda-Rouquier algebras_, [arXiv:1102.4677](http://arxiv.org/abs/1102.4677)
* S.-J. Kang, [[M. Kashiwara]], E. Park, _Geometric realization of Khovanov-Lauda-Rouquier algebras associated with Borcherds-Cartan data_, [arxiv/1202.1622](http://arxiv.org/abs/1202.1622) 
* [[M. Kashiwara]], _Biadjointness in cyclic Khovanov-Lauda-Rouquier algebras_, [arxiv/1111.5898](http://arxiv.org/abs/1111.5898)
* [[A. Lauda]], M. Vazirani, _Crystals from categorified quantum groups_, Adv. Math., 228, no. 2, (2011), 803–861, [arXiv:0909.1810](http://arxiv.org/abs/0909.1810)

* [[Mikhail Khovanov]], _Nilcoxeter algebras categorify the Weyl algebra_,  Comm. Algebra __29__, No. 11 (2001) 5033–5052, [math.RT/9906166](http://arxiv.org/abs/math/9906166), [MR2002h:16041](http://www.ams.org/mathscinet-getitem?mr=1856929), [doi](http://dx.doi.org/10.1081/AGB-100106800)

* [[Mikhail Khovanov]], V. Mazorchuk, [[Catharina Stroppel]], _A brief review of abelian categorifications_, [math.RT/0702746](http://arxiv.org/abs/math/0702746)

* [[J. Bernstein]], [[I. Frenkel]], M. Khovanov, _A categorification of the Temperley-Lieb algebra and Schur quotients of $U(sl_2)$ via projective and Zuckerman functors_, Selecta Math. (N.S.) __5__ (1999), 199-241, [MR2000i:17009](http://www.ams.org/mathscinet-getitem?mr=1714141), [doi](http://dx.doi.org/10.1007/s000290050047)

* [[Mikhail Khovanov]], _A categorification of the Jones polynomial_, Duke Mathematical Journal __101__ (3): 359–426, 2000, [doi](http://dx.doi.org/10.1215/S0012-7094-00-10131-7), [MR1740682](http://www.ams.org/mathscinet-getitem?mr=1740682)

* [[Igor Frenkel]], [[Catharina Stroppel]], Joshua Sussan, _Categorifying fractional Euler characteristics, Jones-Wenzl projector and $3j$-symbols_, [arXiv:1007.4680](http://arxiv.org/abs/1007.4680)

* [[Catharina Stroppel]], Joshua Sussan, _Categorified Jones-Wenzl Projectors: a comparison_, [arXiv:1105.3038](http://arxiv.org/abs/1105.3038)

* [[Catharina Stroppel]], [[Ben Webster]], _Quiver Schur algebras and q-Fock space_, [arXiv:1110.1115](http://arxiv.org/abs/1110.1115)

* Ivan Losev, Ben Webster, _On uniqueness of tensor products of irreducible categorifications_, [arxiv/1303.1336](http://arxiv.org/abs/1303.1336)

category: algebra

[[!redirects categorification in Lie theory]]