
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
#### Super-Geometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

_Type II supergravity_ is a [[supergravity]] in [[dimension]] 10 which is the low-energy [[effective quantum field theory]] underlying [[type II string theory]].

## Related concepts

* [[type II supergravity Lie 2-algebra]]

* [[type II geometry]], [[generalized complex geometry]]

* [[T-duality]], [[double field theory]]

* [[11-dimensional supergravity]]

* [[heterotic supergravity]], 

* [[7-dimensional supergravity]]

* [[5-dimensional supergravity]]

* [[4-dimensional supergravity]]

* [[3-dimensional supergravity]]

* [string theory FAQ -- Does string theory predict supersymmetry?](string+theory+FAQ#DoesSTPredictSupersymmetry)



## References
 {#References}

### General

See the general references at _[[supergravity]]_.

* [[Joseph Polchinski]], chapter 12.1 of _String Theory Vol 2: Superstring and beyond_


Via [[KK-compactification]] from [[11d supergravity]]:

* M. Huq, M. A. Namazie, _Kaluza-Klein Supergravity In Ten Dimensions_, Class. Quantum Grav. 2 (1985) 293

### Solutions and BPS states

Disucssion of [[black hole]] solutions (see also at _[[black holes in string theory]]_) includes

* U. Gran, [[Jan Gutowski]], [[George Papadopoulos]], _IIB black hole horizons with five-form flux and extended supersymmetry_, JHEP 1109:047,2011 ([arXiv:1104.2908](http://arxiv.org/abs/1104.2908))


Discussion of [[black branes]] and [[BPS states]] for type II supergravity includes


* Andrew Callister, [[Douglas Smith]], _Topological BPS charges in 10 and 11-dimensional supergravity_, Phys. Rev. D78:065042,2008 ([arXiv:0712.3235](http://arxiv.org/abs/0712.3235))

* Andrew Callister, [[Douglas Smith]], _Topological charges in $SL(2,\mathbb{R})$ covariant massive 11-dimensional and Type IIB SUGRA_, Phys.Rev.D80:125035,2009 ([arXiv:0907.3614](http://arxiv.org/abs/0907.3614))

* Andrew Callister, _Topological BPS charges in 10- and 11-dimensional supergravity_, thesis 2010 ([spire](http://inspirehep.net/record/1221591?ln=en))


* A. A. Golubtsova, V.D. Ivashchuk, _BPS branes in 10 and 11 dimensional supergravity_, talk at DIAS 2013 ([pdf slides](http://theor.jinr.ru/~diastp/summer13/lectures/Golubtsova.pdf))


### In terms of (exceptional) generalized complex geometry
 {#InTermsOfGeneralizedComplexGeometryReferences}

A relation of the [[U-duality]] symmetry to [[generalized complex geometry]] is discussed in

* André Coimbra, Charles Strickland-Constable, Daniel Waldram, _Supergravity as Generalised Geometry I: Type II Theories_ ([arXiv:1107.1733](http://arxiv.org/abs/1107.1733))

* Paulo Pires Pacheco, Daniel Waldram, _M-theory, exceptional generalised geometry and superpotentials_ ([arXiv:0804.1362](http://arxiv.org/abs/0804.1362))

A thesis reviewing some aspects is

* Nicholas Houston, _Supergravity and Generalized Geometry_ Thesis (2010) ([pdf](https://workspace.imperial.ac.uk/theoreticalphysics/Public/MSc/Dissertations/2010/Nicholas%20Houston%20Dissertation.pdf))


[[!redirects type II supergravities]]

[[!redirects type IIA supergravity]]
[[!redirects type IIB supergravity]]