
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### Super-Geometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

[[supergravity]] in [[dimension]] 4.

The maximally supersymmetric $N = 8$-version arises from [[type II supergravity]] in 10 dimension by [[Kaluza-Klein mechanism|compactification]] on a 6-[[torus]].

The $N=1$-version arises from [[KK-reduction]] via [[M-theory on G2-manifolds]]. This hosts the [[super 2-brane in 4d]].



## Related entries

* [[string theory results applied elsewhere]]

  * [[KLT relations]]

* [[11-dimensional supergravity]] 

* 10-dimensional [[type II supergravity]], [[heterotic supergravity]]

* [[7-dimensional supergravity]]

* [[5-dimensional supergravity]]

* **4-dimensional supergravity**

  * [[M-theory on G2-manifolds]], [[G2-MSSM]]

  * [[Freund-Rubin compactification]]

* [[3-dimensional supergravity]]


## References

Minmal 4d Supergravity was the first [[supergravity]] theory to be constructed, in

* {#FreedmanNieuwenhuizenFerrara76} [[Daniel Freedman]], [[Peter van Nieuwenhuizen]], [[Sergio Ferrara]], _Progress toward a theory of supergravity_, Phys. Rev. D13 (1976) 3214 ([doi.org/10.1103/PhysRevD.13.3214](https://doi.org/10.1103/PhysRevD.13.3214))

See also at _[supergravity -- History](supergravity+History)_.




### Geometric construction

Discussion in the [[D'Auria-Fré formulation of supergravity]] includes

* {#CastellaniDAuriaFre} [[Leonardo Castellani]], [[Riccardo D'Auria]], [[Pietro Fré]], chapter III.3.5 and III.4 and V.4 of _[[Supergravity and Superstrings - A Geometric Perspective]]_, World Scientific (1991)

* [[Riccardo D'Auria]], Sergio Ferrara, Mario Trigiante, _Supersymmetric completion of M-theory 4D-gauge algebra from twisted tori and fluxes_,   JHEP0601:081, 2006 ([arXiv:hep-th/0511158](https://arxiv.org/abs/hep-th/0511158))

The role of 2-form fields (tensor multiplets, via the [[4d supergravity Lie 2-algebra]] incarnated via its dual [[Chevalley-Eilenberg algebras]], "FDA"s) is discussed in

* [[José de Azcárraga]], J. M. Izquierdo, _Minimal $D=4$ supergravity from the superMaxwell algebra_, Nucl. Phys. B 885, 34-45 (2014) ([arXiv:1403.4128](https://arxiv.org/abs/1403.4128))

* {#AndrianopoliDAuriaSommovigo07} [[Laura Andrianopoli]], [[Riccardo D'Auria]], Luca Sommovigo, _$D=4$, $N=2$ Supergravity in the Presence of Vector-Tensor Multiplets and the Role of higher p-forms in the Framework of Free Differential Algebras_ ([arXiv:0710.3107](http://arxiv.org/abs/0710.3107))

* {#AAST11} [[Laura Andrianopoli]], [[Riccardo D'Auria]], Luca Sommovigo, Mario Trigiante, _$D=4$, $N=2$ Gauged Supergravity coupled to Vector-Tensor Multiplets_, Nucl.Phys.B851:1-29,2011 ([arXiv:1103.4813](http://arxiv.org/abs/1103.4813))

based on 

* [[Murat Gunaydin]], S. McReynolds, M. Zagermann, _Unified $N=2$ Maxwell-Einstein and Yang-Mills-Einstein Supergravity Theories in Four Dimensions_, JHEP 0509:026,2005 ([arXiv:hep-th/0507227](https://arxiv.org/abs/hep-th/0507227))

Discussion of the splitting-decomposition analogous to that for the [[M-theory super Lie algebra]]

* D. M. Peñafiel, [[Lucrezia Ravera]], _On the Hidden Maxwell Superalgebra underlying D=4 Supergravity_, Fortschr. Phys. 65 (2017) no. 9, 1700005 ([arXiv:1701.04234](https://arxiv.org/abs/1701.04234))

* [[Lucrezia Ravera]], _Hidden Role of Maxwell Superalgebras in the Free Differential Algebras of D=4 and D=11 Supergravity_ ([arXiv:1801.08860](https://arxiv.org/abs/1801.08860))

### On $N=8$ $d=4$ supergravity


#### Construction

The maximal $N=8$ supergravity in 4d was obtained by [[KK-reduction]] of [[11-dimensional supergravity]] on a [[torus|7-torus]] in 

* {#CremmerJulia79} [[Eugene Cremmer]], [[Bernard Julia]], _The $SO(8)$ Supergravity_, Nucl. Phys. B 159 (1979) 141 ([spire](http://inspirehep.net/record/140465?ln=en))

* [[Eugene Cremmer]], [[Bernard Julia]], Phys. Lett. 80B (1978) 48; Nucl. Phys. B159 (1979) 141.

Its $SO(8)$-[[gauged supergravity|gauged]] version was obtained in 

* [[Bernard de Wit]], [[Hermann Nicolai]], Phys. Lett. 108 B (1982) 285; 

* [[Bernard de Wit]]. [[Hermann Nicolai]], Nucl. Phys. B208 (1982) 323

and further gaugings by non-compact gauge groups in


* [[Chris Hull]], Phys. Rev. D30 (1984) 760; 

* [[Chris Hull]], Phys. Lett. 142B (1984)

* [[Chris Hull]], Phys. Lett. 148B (1984) 297; 

* [[Chris Hull]], Physica 15D (1985) 230; Nucl. Phys. B253 (1985) 650.

* [[Chris Hull]], Class. Quant. Grav. 2 (1985) 343.

* [[Chris Hull]], _New Gauged $N=8$, $D=4$ Supergravities_, _Class.Quant.Grav.20:5407-5424,2003_ ([arXiv:hep-th/0204156](https://arxiv.org/abs/hep-th/0204156))

#### $N = 8$ Perturbative quantum supergravity
 {#PerturbativeQuantumSupergravityN8}

For early results on [[loop order|2-loop]] finiteness of [[perturbative quantum gravity|perturbative quantum supergravity]] see [there](quantum+gravity#ReferencesNonRenormalizability).

Evidence for high [[loop order]] finiteness of $N=8$ 4d supergravity as as [[perturbative quantum field theory]] ([[perturbative quantum gravity]]) is discussed in

* [[Zvi Bern]], [[Lance Dixon]], [[Radu Roiban]], _Is $N = 8$ Supergravity Ultraviolet Finite?_, Phys.Lett.B644:265-271,2007 ([arXiv:hep-th/0611086](http://arxiv.org/abs/hep-th/0611086))

* [[Zvi Bern]], J. J. Carrasco, [[Lance Dixon]], H. Johansson, [[David Kosower]], [[Radu Roiban]], _Three-Loop Superfiniteness of N=8 Supergravity_, Phys.Rev.Lett.98:161303,2007 ([arXiv:hep-th/0702112](http://arxiv.org/abs/hep-th/0702112))

* [[Zvi Bern]], J. J. Carrasco, [[Lance Dixon]], H. Johansson, R. Roiban, _The Ultraviolet Behavior of $N=8$ Supergravity at Four Loops_, Phys. Rev. Lett.103:081301, 2009 ([arXiv:0905.2326](https://arxiv.org/abs/0905.2326))

and via [[KLT relations]]in 

* {#BCDJR11} [[Zvi Bern]], John Joseph Carrasco, [[Lance Dixon]], Henrik Johansson, [[Radu Roiban]], _Amplitudes and Ultraviolet Behavior of $N=8$ Supergravity_ ([arXiv:1103.1848](http://arxiv.org/abs/1103.1848))

surveyed in 

* [[Radu Roiban]], _Is Perturbative $\mathcal{N}= 8$ Supergravity Finite?_ ([arXiv:hep-th/0702112](http://arxiv.org/abs/hep-th/0702112))

* [[Lance Dixon]], _Ultraviolet Behavior of $N=8$ Supergravity_ ([arXiv:1005.2703](http://arxiv.org/abs/1005.2703))

* {#FerraraMarrani12} [[Sergio Ferrara]], Alessio Marrani, _Quantum Gravity Needs Supersymmetry_ ([arXiv:1201.4328](http://arxiv.org/abs/1201.4328))

* {#Kallosh14} [[Renata Kallosh]], _An Update on Perturbative $N=8$ Supergravity_ ([arXiv:1412.7117](https://arxiv.org/abs/1412.7117))


Arguments for finiteness from [[E7]] [[U-duality]] is discussed in

* N. Beisert, H. Elvang, D. Z. Freedman, M. Kiermaier, A. Morales and S. Stieberger, $E_{7(7)}$ Constraints on Counterterms in N= 8 Supergravity_, Phys. Lett. B694, 265 (2010).

Arguments against finiteness to all orders include

* [[Michael Green]], [[Hirosi Ooguri]] and [[John Schwarz]], _Nondecoupling Supergravity from the Superstring_, Phys. Rev. Lett. 99 (2007) 041601.
 * [[Tom Banks]], _Why I don't Believe N= 8 SUGRA is Finite_, talk at the Workshop "Supergravity versus Superstring Theory in the Ultraviolet", PennState Univ, PA USA, August 27-30 2009.

See also

* [[Renata Kallosh]], _The Ultraviolet Finiteness of $N=8$ Supergravity_, JHEP 1012:009,2010 ([arXiv:1009.1135](http://arxiv.org/abs/1009.1135))

* [[Jacques Distler]], _Decoupling $N = 8$ supergravity_ ([blog post](http://golem.ph.utexas.edu/~distler/blog/archives/001235.html))


### On $N = 2$, $d = 4$ supergravity

* L. Andrianopoli, M. Bertolini, A. Ceresole, [[Riccardo D'Auria]], S. Ferrara,
[[Pietro Fré]], T. Magri. _$N = 2$ supergravity and $N = 2$ super Yang-Mills theory on general scalar manifolds: Symplectic covariance, gaugings and the momentum map_. J. Geom. Phys. 23, 111&#8211;189, 1997 ([arXiv:hep-th/9605032](https://arxiv.org/abs/hep-th/9605032))


### On $N=1$ $d = 4$ supergravity

There are two different off-shell formulations, the "old minimal"

* [[Kellogg Stelle]] and [[Pete West]], Phys. Lett. 74B (1978) 330; 

* S. Ferrara and [[Peter van Nieuwenhuizen]], Phys. Lett. 74B (1978) 333

and the "new minimal" supergravity

* V. Akulov, D. Volkov and V. Soroka, Theor. Math. Phys. 31 (1977) 285; M.F. Sohnius and P.C. West, idem. Phys. Lett. 105B (1981) 353; idem. Nucl. Phys. B198 (1982) 493.

* M.F. Sohnius and P.C. West, `The New Minimal Formulation of N = 1 Supergravity and its Tensor Calculus', Nueld Workshop, 1981:0187 (London, England, Aug. 1981).

* [[Jim Gates]], M. Rocek and [[Warren Siegel]], Nucl. Phys. B198 (1982) 113

These two versions were later understood to be two different [[gauge fixings]] of N=1 d=4 coformal supergravity. Yet other gauge fixings are discussed in


* [[Jim Gates]], Jr., Hitoshi Nishino, _Will the Real 4D, $N=1$ SG Limit of Superstring/M-Theory Please Stand Up?_, Phys.Lett.B492:178-186,2000 ([arXiv:hep-th/0008206](http://arxiv.org/abs/hep-th/0008206))

See also

* Nicolas Boulanger, Mboyo Esole, _A Note on the uniqueness of $D = 4$, $N=1$ supergravity_, Class.Quant.Grav. 19 (2002) 2107-2124 ([arXiv:gr-qc/0110072](http://arxiv.org/abs/gr-qc/0110072))

Textbook accounts include

* {#CastellaniDAuriaFre} [[Leonardo Castellani]], [[Riccardo D'Auria]], [[Pietro Fré]], volume 2, chapter III.2, III.3.5, III.3.10 of _[[Supergravity and Superstrings - A Geometric Perspective]]_, World Scientific (1991)

Survey includes


* Wikipedia, _[Supergravity -- 4d N=1](http://en.wikipedia.org/wiki/Supergravity#4D_N_.3D_1_SUGRA)_


### Gauged 4d supergravity
 {#ReferencesGauged}

Discussion of [[gauged supergravity]] in 4d originates around ([Cremmer-Julia 79](#CremmerJulia79) (where the [[E7]]-[[U-duality]] group was first seen)

Discussion of reduction from [[string theory]] includes

* L. Andrianopoli, [[Riccardo D'Auria]], S. Ferrara, M. A. Lledo, _4-D gauged supergravity analysis of Type IIB vacua on $K_3 \times T^2 / \mathbb{Z}_2$_, JHEP 0303:044,2003 ([arXiv:hep-th/0302174](http://arxiv.org/abs/hep-th/0302174))

Perturbative finiteness properties of gauged 4d supergravity from $N = 8$ ungauged 4d supergravity is discussed in [BCDJR 11, p. 24](#BCDJR11):

> Another question is whether $N = 8$ supergravity might point the way to other, more realistic finite (or well behaved) theories of quantum gravity, having less supersymmetry and (perhaps) chiral fermions. One step in this direction could be to examine the multiloop behavior of theories that can be thought of as spontaneously broken gauged $N = 8$ supergravity [73], which are known to have improved ultraviolet behavior at one loop [74].

and [Ferrara-Marrani 12, p. 12](#FerraraMarrani12):

> Another interesting aspect [21] which should be implied by UV finiteness of $N = 8, 6, 5$ supergravity in $D = 4$ dimensions is that their gauged versions should be possibly UV finite, as well. Roughly speaking, this is related to the fact that gauging may be regarded as a spontaneous soft breaking of an unbroken gauge symmetry, and UV properties should not be affected by such a spontaneous breaking, as it happens in the Standard Model of electro-weak interactions.

### Lift to string theory and M-theory

Descent of 4d $\mathcal{N} = 2$ Sugra from [[type IIA string theory]] is reviewed for instance in 

* Thomas Wyder, section 1.3 of _Split attractor flow trees and black hole entropy in type II string theory_ ([spire](https://inspirehep.net/record/1397778/))

Discussion of lifts of [[gauged supergravity|gauged]] 4d supergravity to [[string theory]]/[[M-theory]] includes

* Walter H. Baron, _Uplifting Maximal Gauged Supergravities_ ([arXiv:1512.05567](http://arxiv.org/abs/1512.05567))

[[!redirects 4d supergravity]]

[[!redirects N=8 d=4 supergravity]]

[[!redirects N=1 d=4 supergravity]]
[[!redirects N=1 D=4 supergravity]]

[[!redirects d=4 N=1 supergravity]]
[[!redirects D=4 N=1 supergravity]]