
> This entry is about pretopologies on [[sites]]. For a similarly-named generalization of [[topological space]]s based on neighborhoods, see [[pretopological space]].

***


+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Topos Theory
+--{: .hide}
[[!include topos theory - contents]]
=--
=--
=--


# Contents
* automatic table of contents goes here
{:toc}

## Idea

A **Grothendieck pretopology** or **basis for a Grothendieck topology** is a collection of families of [[morphisms]] in a [[category]] which can be considered as [[cover|covers]].  

Every Grothendieck pretopology generates a genuine _[[Grothendieck topology]]_. Different pretopologies may give rise to the same topology.

An even weaker notion than a Grothendieck pretopology, which also generates a Grothendieck topology, is a [[coverage]].  A Grothendieck pretopology can be defined as a coverage that also satisfies a couple of extra saturation conditions.  (Note that it is coverages, not pretopologies, that most directly corresponds to [[bases of topological spaces]].


## Definition

+-- {: .num_defn}
###### Definition

Let $C$ be a [[category]] with [[pullback]]s. A **Grothendieck pretopology** or **basis (for a [[Grothendieck topology]])** on $C$ is an assignment to each [[object]] $U$ of $C$ of a collection of families $\{U_i \to U\}$ of morphisms, called **[[covering]] families** such that

1. _isomorphisms cover_ -- every family consisting of a single [[isomorphism]] $\{V \stackrel{\cong}{\to}U\}$ is a covering family;

2. _stability axiom_ -- the collection of covering families is stable under [[pullback]]: if $\{U_i \to U\}$ is a covering family and $f : V \to U$ is any morphism in $C$, then $\{f^* U_i \to V\}$ is a covering family;

3. _transitivity axiom_ -- if $\{U_i \to U\}_{i \in I}$ is a covering family and for each $i$ also $\{U_{i,j} \to U_i\}_{j \in J_i}$ is a covering family, then also the family of composites $\{U_{i,j} \to U_i \to U\}_{i\in I, j \in J_i}$ is a covering family.

=--

If we drop the first and third conditions, we obtain something a bit stronger than a [[coverage]]; at the page [[coverage]] this notion is called a *cartesian coverage*.  Conversely every coverage on a category with pullbacks generates a Grothendieck pretopology by an evident closure process.  However, many coverages that arise in practice are actually already Grothendieck pretopologies. On the other hand, for some analogues in noncommutative algebraic geometry, rather the stability axiom fails. 


+-- {: .num_defn}
###### Definition


The [[Grothendieck topology]] on $C$ _generated_ from a basis of covering families is that for which a [[sieve]] $\{S_i \to U\}$ is covering precisely if it contains a covering family of morphisms.

=--


## Properties

Given any [[Grothendieck topology]] on $C$, there is a **maximal basis** which generates it: this has as covering families precisely thoses families of morphisms that generate a covering sieve under completion under precomposition.


## Examples 


The prototype is the pretopology on the [[category of open subsets]] $Op(X)$ of a [[topological space]] $X$, consisting of [[open covers]] of $X$. 

Notice that a **[[basis for the topology]]** of $X$ is not a Grothendieck pretopology on $Op(X)$ (since it is in general not closed under pullback, which here is restriction) but is a [[coverage]] on $Op(X)$.

Grothendieck pretopologies on [[Top]] include:

* [[local section|Local-section]]-admitting surjections
* Surjective [[open map|open maps]]
* Surjective [[topological submersion|topological submersions]]
* Surjective [[local homeomorphism|local homeomorphisms]]

An example for the category [[Diff]] of manifolds is the pretopology of [[surjective submersion]]s.  All of these have covering families consisting of single morphisms. Such a pretopology is called a *singleton* pretopology (and, in particular, it is a *singleton coverage*).

An example of a [[coverage]] that is not a pretopology is the coverage of [[good open covers]], say on [[Diff]]. In general the pullback of a good open cover is just an [[open cover]], not necessarily still one where all finite non-empty intersections are contractible.


## References

The definition appears for instance as definition 2 on page 111 of

* [[Saunders MacLane]], [[Ieke Moerdijk]], _[[Sheaves in Geometry and Logic]]_ 
* MO questions: [example-of-a-grothendieck-pretopology-satisfying-a-weak-saturation-condition](http://mathoverflow.net/questions/42437/example-of-a-grothendieck-pretopology-satisfying-a-weak-saturation-condition), [colimits-of-covers](http://mathoverflow.net/questions/44893/colimits-of-covers)


[[!redirects pretopology]]
[[!redirects pretopologies]]

[[!redirects Grothendieck pretopology]]
[[!redirects Grothendieck pretopologies]]

[[!redirects base for a Grothendieck topology]]
[[!redirects basis for a Grothendieck topology]]
[[!redirects bases for a Grothendieck topology]]
[[!redirects bases for Grothendieck topologies]]
[[!redirects basis for the Grothendieck topology]]
[[!redirects bases for the Grothendieck topology]]
[[!redirects base of a Grothendieck topology]]
[[!redirects basis of a Grothendieck topology]]
[[!redirects bases of a Grothendieck topology]]
[[!redirects bases of Grothendieck topologies]]
