
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### Super-Geometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

([[gauged supergravity|gauged]]) [[supergravity]] in [[dimension]] 3.

## Properties

### Possible gaugings
 {#PossibleGaugings}

The ([[U-duality]]-)[[global gauge group]] of maximally [[supersymmetry|supersymmetric]] 3d supergravity is [[E8]] (its [[split real form]] $E_{8(8)}$). Various [[subgroups]] of this may be promoted to [[local gauge groups]] (with [[gauge fields]] in [[gauged supergravity]]), which may be obtained via ([[flux compactification|fluxed]]) [[KK-compactification]] of [[11-dimensional supergravity]]. However, 3d supergravity also admits a maximal gauging where all of $E_{8(8)}$ is promoted to a local gauge group
([Nicolai-Samtleben 00](#NicolaiSamtleben00), [Nicolai-Samtleben 01, table 1](#NicolaiSamtleben01))). This maximal gauging in 3d supergravity is not obtained by reduction from standard [[11-dimensional supergravity]], see the remarks in ([Nicolai-Samtleben 01, section 7](#NicolaiSamtleben01)) and see the followup ([Hohm-Samtleben 13](#HohmSamtleben13)). In ([de Wit-Nicolai 13, section 13](#deWitNicolai13)) it is suggested that the seemingly missing degrees of freedom necessary to accomplish for [[U-duality]]-gauge enhancement after reduction may be sitting in a [[non-perturbative effect|non-perturvative]] [[electric-magnetic duality|dual]] of the [[graviton]] ([[dual graviton]]).


## Related concepts

* [[11-dimensional supergravity]] 

* 10-dimensional [[type II supergravity]], [[heterotic supergravity]]

* [[7-dimensional supergravity]]

* [[5-dimensional supergravity]]

* [[4-dimensional supergravity]]

* **3-dimensional supergravity**

  * [[3d quantum gravity]]

* [[ABJM model]]

## References

### Generally

Lecture notes include

* F. Ruiz Ruiz, [[Peter van Nieuwenhuizen]], _Lectures on Supersymmetry and Supergravity in $2+1$ Dimensions and regularization of supersymmetric gauge theories_ ([pdf](http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.17.3667&rep=rep1&type=pdf))


A complete list of un-gauged supergravities in 3 dimensions was given in 

* [[Bernard de Wit]], A.K. Tollsten, [[Hermann Nicolai]], _Locally supersymmetric D=3 non-linear sigma models_, Nucl. Phys. B392 (1993) 3 ([arXiv:hep-th/9208074](http://xxx.lanl.gov/abs/hep-th/9208074))


See also

* Gabriele Tartaglino-Mazzucchelli, _Topics in $3D$ $N=2$ AdS supergravity in superspace_, ([arXiv:1202.0109](http://arxiv.org/abs/1202.0109))

* Martin Poláček, [[Warren Siegel]], _T-duality off shell in 3D Type II superspace_ ([arXiv:1403.6904](http://arxiv.org/abs/1403.6904))

### Branes

Discussion of [[D-branes]] in 3d supergravity includes

* Björn Brinne, Svend E. Hjelmeland, Ulf Lindström, _World-Volume Locally Supersymmetric Born-Infeld Actions_, Phys.Lett. B459 (1999) 507-514 ([arXiv:hep-th/9904175](http://arxiv.org/abs/hep-th/9904175))

* Björn Brinne, _3D supergravity and a spinning D2-brane _


### Gauged

Topological gauged supergravity in dimension three was first considered in 

* A. Achúcarro and [[Paul Townsend]], _A Chern-Simons action for
three-dimensional anti-de Sitter supergravity theories_, Phys. Lett. B180
(1986) 89

Gauged supergravity via [[KK-compactification]] of [[11-dimensional supergravity]] on an 8-torus and with global [[E8]] [[U-duality]] and local $SO(16)$ [[gauge field]] was discussed in 

* [[Bernard Julia]], _Application of supergravity to gravitation theories_, in _Unified field theories in more than 4 dimensions_ (V. D. Sabbata and E. Schmutzer, eds.), (Singapore), pp. 215–236, World Scientific, 1983.

* N. Marcus, [[John Schwarz]], _Three-dimensional supergravity theories_,
Nucl. Phys. B228 (1983) 145.
 

The maximally supersymmetric gauged 3d supergravitites (and their [exceptional gaugings](#PossibleGaugings)) are listed in

* {#NicolaiSamtleben00} [[Hermann Nicolai]], [[Henning Samtleben]], _Maximal gauged supergravity in three dimensions_, Phys.Rev.Lett. 86 (2001) 1686-1689 ([arXiv:hep-th/0010076](http://xxx.lanl.gov/abs/hep-th/0010076))

with details in

* {#NicolaiSamtleben01} [[Hermann Nicolai]], [[Henning Samtleben]], _Compact and Noncompact Gauged Maximal Supergravities in Three Dimensions_ ([arXiv:hep-th/0103032](http://arxiv.org/abs/hep-th/0103032))

* {#HohmSamtleben13} [[Olaf Hohm]], [[Henning Samtleben]], _Exceptional Form of $D=11$ Supergravity_, Phys. Rev. Lett. 111, 231601 (2013) ([arXiv:1308.1673](http://arxiv.org/abs/1308.1673))

* {#deWitNicolai13} [[Bernard de Wit]], [[Hermann Nicolai]], _Deformations of gauged SO(8) supergravity and supergravity in eleven dimensions_ ([arXiv:1302.6219](http://arxiv.org/abs/1302.6219))
 
(see also at _[[exceptional generalized geometry]]_).

See also

* Hitoshi Nishino, Subhash Rajpoot, _Topologican Gauging of N=16 Supergravity in Three-Dimensions_, Phys.Rev. D67 (2003) 025009 ([arXiv:hep-th/0209106](http://arxiv.org/abs/hep-th/0209106))

* Eoin Ó Colgáin, [[Henning Samtleben]], _3D gauged supergravity from wrapped M5-branes with AdS/CMT applications_, JHEP 1102:031,2011 ([arXiv:1012.2145](http://arxiv.org/abs/1012.2145))

* Edi Gava, Parinya Karndumri, K. S. Narain, _3D gauged supergravity from SU(2) reduction of N=1 6D supergravity_, JHEP 09 (2010) 028 ([arXiv:1006.4997](http://arxiv.org/abs/1006.4997))


[[!redirects 3-dimensional supergravities]]

[[!redirects 3d supergravity]]
[[!redirects 3d supergravities]]