
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Differential geometry
+--{: .hide}
[[!include synthetic differential geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A variant of the idea of [[generalized complex geometry]] given by passing from generalization of [[complex geometry]] to generalization of [[exceptional geometry]]. Instead of by [[reduction of structure groups]] along inclusions like $O(d)\times O(d) \to O(d,d)$ it is controled by inclusions into [[split real forms]] of [[exceptional Lie groups]].

This serves to neatly encode [[U-duality]] groups in [[supergravity]] as well as higher [[supersymmetry]] of supergravity [[Kaluza-Klein mechanism|compactifications]]. See also at _[[exceptional field theory]]_ for more on this.

## Examples

### Higher supersymmetry
 {#HigherSupersymmetry}

Compactification of [[11-dimensional supergravity]] on a [[manifold]] of [[dimension]] 7 preserves $N = 1$ [[supersymmetry]] precisely if its [[generalized tangent bundle]] has [[G-structure]] for the inclusion 

  $$
    SU(7) \hookrightarrow E_{7(7)}
  $$

of the [[special unitary group]] in dimension 7 into the [[split real form]] of [[E7]]. This is shown in ([Pacheco-Waldram 08](#PachecoWaldram08)).

One dimension down, compactification of 10-dimensional 
[[type II supergravity]] on a 6-manifold $X$ preserves $N = 2$ supersymmetry precisely if the [[generalized tangent bundle]] $T X \otimes T^* X$ in the NS-NS sector admits [[G-structure]] for the inclusion

$$
  SU(3) \times SU(3) \hookrightarrow O(6,6)
  \,.
$$

This is reviewed in ([GLSW, section 2](#GLSW)).



## Related concepts

* [[generalized complex geometry]], [[exceptional geometry]]

* [[generalized tangent bundle]], [[exceptional tangent bundle]]

* [[generalized Calabi-Yau manifold]], [[generalized G2-manifold]]

* [[Bn-geometry]], [[differential T-duality]]

* [[universal exceptionalism]]

## References


* {#Baraglia11} [[David Baraglia]], _Leibniz algebroids, twistings and exceptional generalized geometry_, Journal of Geometry and Physics 62 (2012), pp. 903-934 ([arXiv:1101.0856](http://arxiv.org/abs/1101.0856))

Survey slides include

* [[David Baraglia]], _Exceptional generalized geometry and $N = 2$ backgrounds_ ([pdf](http://mitchell.physics.tamu.edu/Conference/GeneralizedGeometries/Mon-1-Grana.pdf))

Reviewes include

* Daniel Persson, _Arithmetic and Hyperbolic Structures in String Theory_ ([arXiv:1001.3154](http://arxiv.org/abs/1001.3154))

* Nassiba Tabti, _Kac-Moody algebraic structures in supergravity theories_ ([arXiv:0910.1444](http://arxiv.org/abs/0910.1444))

Original articles include

* K. Koepsell, [[Hermann Nicolai]], [[Henning Samtleben]], _An exceptional geometry for d=11 supergravity?_, Class. Quant. Grav.17:3689-3702, 2000 ([arXiv:hep-th/0006034](http://arxiv.org/abs/hep-th/0006034))

* {#Hull07} [[Chris Hull]], _Generalised Geometry for M-Theory_, JHEP 0707:079 (2007) ([arXiv:hep-th/0701203](http://arxiv.org/abs/hep-th/0701203))
 

* {#PachecoWaldram08} Paulo Pires Pacheco, [[Daniel Waldram]], _M-theory, exceptional generalised geometry and superpotentials_, JHEP 0809:123, 2008 ([arXiv:0804.1362](http://arxiv.org/abs/0804.1362))
  

* {#GLSW} [[Mariana Graña]], [[Jan Louis]], Aaron Sim, [[Daniel Waldram]], _$E_{7(7)}$ formulation of $N=2$ backgrounds_ ([arXiv:0904.2333](http://arxiv.org/abs/0904.2333))
 

* G. Aldazabala, E. Andr&#233;sb, P. C&#225;marac, [[Mariana Graña]], _U-dual fluxes and generalized geometry_, JHEP 1011:083,2010 ([arXiv:1007.5509](http://arxiv.org/abs/1007.5509))

* [[Mariana Graña]], Francesco Orsi, _$N=1$ vacua in Exceptional Generalized Geometry_ 
([arXiv:1105.4855](http://arxiv.org/abs/1105.4855))
 {#GranaOrsi}

* [[Mariana Graña]], Francesco Orsi, _N=2 vacua in Generalized Geometry_, ([arXiv:1207.3004](http://arxiv.org/abs/1207.3004))

* Andr&#233; Coimbra, Charles Strickland-Constable, [[Daniel Waldram]], _$E_{d(d)} \times \mathbb{R}^+$ Generalised Geometry, Connections and M theory_ ([arXiv:1112.3989](http://arxiv.org/abs/1112.3989))

[[E6]],[[E7]], [[E8]]-geometry is discussed in 

* Christian Hillmann, _Generalized E(7(7)) coset dynamics and D=11 supergravity_, JHEP 0903 (2009) 135 ([arXiv:0901.1581](http://arxiv.org/abs/0901.1581))

* {#GodazgarGodazgarNicolao13} Hadi Godazgar, Mahdi Godazgar, Hermann Nicolai, _Generalised geometry from the ground up_ ([arXiv:1307.8295](http://arxiv.org/abs/1307.8295))

* {#HohmSamtleben13} [[Olaf Hohm]], [[Henning Samtleben]], _Exceptional Form of $D=11$ Supergravity_, Phys. Rev. Lett. 111, 231601 (2013) ([arXiv:1308.1673](http://arxiv.org/abs/1308.1673))

(see also at [3d supergravity -- possible gaugings](3-dimensional+supergravity#PossibleGaugings)).

The [[E10]]-geometry of [[11-dimensional supergravity]] compactified to the line is discussed in

* [[Thibault Damour]], [[Hermann Nicolai]], _Higher order M theory corrections and the Kac-Moody algebra E10_ ([arXiv:hep-th/0504153](http://arxiv.org/abs/hep-th/0504153))

The [[E11]]-geometry of 11-dimensional supergravity compactified to the point is discussed in 

* [[Peter West]], _Generalised geometry, eleven dimensions and E11_ ([arXiv:1111.1642](http://arxiv.org/abs/1111.1642))

The generalized-U-duality+diffeomorphism invariance in 11d is discussed in

* [[David Berman]], [[Martin Cederwall]], [[Axel Kleinschmidt]], Daniel C. Thompson, _The gauge structure of generalised diffeomorphisms_ ([arXiv:1208.5884](http://arxiv.org/abs/1208.5884))

For the [[worldvolume]] [[physical theory|theory]] of the [[M5-brane]] this is discussed in 

* Machiko Hatsuda, Kiyoshi Kamimura, _M5 algebra and $SO(5,5)$ duality_ ([arXiv:1305.2258](http://arxiv.org/abs/1305.2258))

Relation to [[Borcherds superalgebras]] is surveyed and discussed in 

* Jakob Palmkvist, _Exceptional geometry and Borcherds superalgebras_ ([arXiv:1507.08828](http://arxiv.org/abs/1507.08828))

[[black branes]] in the exotic spacetime are discussed in

* Ilya Bakhmatov, [[David Berman]], [[Axel Kleinschmidt]], Edvard Musaev, Ray Otsuki, _[arXiv:1710.09740](https://arxiv.org/abs/1710.09740)_


[[!redirects exceptional generalized geometry]]

[[!redirects exceptional generalized geometries]]

[[!redirects exceptional generalized complex geometry]]
[[!redirects exceptional generalized complex geometry]]