
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Topos Theory
+--{: .hide}
[[!include topos theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Definition

A [[coverage]] (resp. [[Grothendieck topology]], resp. [[Grothendieck pretopology]]) defining a [[site]] is called **subcanonical** if all [[representable functor|representable presheaves]] on this site are [[sheaf|sheaves]].  Of course, a **subcanonical site** is one whose coverage is subcanonical.

The term "subcanonical" comes about because the largest coverage for which the representables are sheaves is called the **[[canonical coverage]]**, and the subcanonical coverages are precisely the "sub-coverages" of the canonical one.


## Effective-epimorphic sieves ##

An alternate definition is that a Grothendieck coverage is subcanonical if and only if all of its covering [[sieve|sieves]] $R\hookrightarrow C(-,U)$ are **effective-epimorphic**, meaning that the morphisms $f:V\to U$ in $R$ form a colimit cone under the diagram consisting of _all_ morphisms between them over $U$.  To see this, first recall that if $R\hookrightarrow C(-,U)$ is a sieve, then a functor $X:C^{op}\to Set$ satisfies the [[sheaf]] axiom for $R$ if and only if

* for every family $(x_f)_{f\in R}$ which is compatible, in the sense that $X(g)(x_f) = x_{f g}$ whenever this makes sense, there exists a unique $x\in X(U)$ such that $x_f = X(f)(x)$.

Interpreting this when $X$ is a representable functor $C(-,Z)$, we obtain

* for every family of maps $(h_f:V\to Z)$, where $f:V\to U$ is in $R$, such that $h_f g = h_{f g}$ for any $g:V'\to V$, there exists a unique $k:U\to Z$ such that $h_f = k f$.

But this says precisely that $R$ is effective-epimorphic, as defined above.

In fact, since the covering sieves in a subcanonical coverage must also satisfy pullback-stability, they must be not only   effective-epimorphic but __universally effective-epimorphic__ (meaning that any pullback of them is effective-epimorphic).  It is then easy to see that the canonical coverage consists precisely of all the universally effective-epimorphic sieves.

Note also that if $f:V\to U$ is a single morphism having a [[kernel pair]] $p,q:V\times_U V \;\rightrightarrows\; V$, then the sieve generated by $f$ is effective-epimorphic iff $f$ is the [[coequalizer]] of its kernel pair, and thus iff $f$ is a [[effective epimorphism]].


## Related concepts

* [[canonical topology]]

* [[trivial topology]]


[[!redirects subcanonical pretopology]]
[[!redirects subcanonical site]]
[[!redirects subcanonical topology]]

[[!redirects subcanonical Grothendieck topology]]
[[!redirects subcanonical Grothendieck topoloies]]
