
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Group Theory
+-- {: .hide}
[[!include group theory - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Definition

For a [[prime number]] $p$, the **Prüfer $p$-group** is defined uniquely up to [[isomorphism]] as the [[group]] where every element has exactly $p$ $p^{th}$ roots. It is a [[divisible group|divisible]] [[abelian group]] which can be described in several ways, for example: 

* It is the [[discrete group]] that is [[Pontrjagin duality|Pontryagin dual]] to the [[compact topological space|compact]] [[topological group]] of [[p-adic integer|p-adic integers]] (for more on this see as _[[Pontryagin duality for torsion abelian groups]]_). 

* It is $\mathbb{Z}[1/p]/\mathbb{Z}$, the [[colimit]] of the sequence of inclusions 
$$0 \hookrightarrow \mathbb{Z}/(p) \hookrightarrow \ldots \hookrightarrow \mathbb{Z}/(p^n) \hookrightarrow \mathbb{Z}/(p^{n+1}) \hookrightarrow \ldots$$ 

As such, it is the [[initial algebra]] of the functor $F: \mathbb{Z} \darr LCHAb \to \mathbb{Z} \darr LCHAb$ that pushes out along multiplication by $p: \mathbb{Z} \to \mathbb{Z}$. 

## Properties

The Prüfer $p$-groups are the only infinite groups whose [[subgroups]] are [[total order|totally ordered]] by inclusion. They are often useful as [[counterexamples in algebra]]; for example, a Pr&uuml;fer group is an Artinian but not a Noetherian $\mathbb{Z}$-module. 

## Related concepts

* [[localization of abelian groups]]

[[!redirects Prufer group]]
[[!redirects Pruefer group]] 
[[!redirects Prufer groups]]
[[!redirects Pruefer groups]]

[[!redirects Prüfer p-group]]
[[!redirects Pruefer p-group]]
[[!redirects Prüfer p-groups]]
[[!redirects Pruefer p-groups]]