
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Group Theory
+-- {: .hide}
[[!include group theory - contents]]
=--
#### Topology
+--{: .hide}
[[!include topology - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Definition

+-- {: .num_defn #AlmostConnected}
###### Definition

A [[locally compact topological space|locally compact]] [[topological group]] $G$ is called **[[almost connected topological group|almost connected]]** if the underlying [[topological space]] of the [[quotient]] topological group $G/G_0$ (of $G$ by the [[connected component]] of the neutral element, also called the [[identity component]]) is [[compact topological space|compact]].

=--

See for instance ([Hofmann-Morris, def. 4.24](#HofmannMorris)). We remark that since the identity component $G_0$ is closed, the identity in $G/G_0$ is a closed point. It follows that $G/G_0$ is $T_1$ and therefore, because it is a uniform space, $T_{3 \frac1{2}}$ (a [[Tychonoff space]]; see [[uniform space]] for details). In particular, $G/G_0$ is compact Hausdorff. 

+-- {: .num_defn }
###### Example

Every [[compact topological space|compact]] and every [[connected topological space|connected]] [[topological group]] is almost connected.

Also every [[quotient]] of an almost connected group is almost connected.

=-- 


## Related concepts

* [[connected topological space]]

* [[maximal compact subgroup]]

## References

Textbooks with relevant material include

* M. Stroppel, _Locally compact groups_, European Math. Soc., (2006)
  {#Stroppel}

* Karl Hofmann Sidney Morris, _The Lie theory of connected pro-Lie groups_, Tracts in Mathematics 2, European Mathematical Society,  (2000)
 {#HofmannMorris}

Original articles include

* Chabert, Echterhoff, Nest, _The Connes-Kasparov conjecture for almost connected groups and for linear $p$-adic groups_ ([pdf](http://archive.numdam.org/ARCHIVE/PMIHES/PMIHES_2003__97_/PMIHES_2003__97__239_0/PMIHES_2003__97__239_0.pdf))

[[!redirects almost connected group]]

[[!redirects almost connected topological groups]]
[[!redirects almost connected groups]]
