
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Riemannian geometry
+--{: .hide}
[[!include Riemannian geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The classification of [[Riemannian manifolds]] with [[special holonomy]] contains two "exceptional" cases: [[G2]]-[[holonomy]] in [[dimension]] 7, and [[spin group|Spin(7)]]-[[holonomy]] in dimension 8. Their study is the topic of _exceptional geometry_.

Sometimes more generally, exceptional geometry is understod to study [[spaces]] controled by [[exceptional Lie groups]] in some way.

## Related concepts

* [[exceptional Lie group]]

* [[exceptional generalized geometry]]

* [[exceptional field theory]]

* [[universal exceptionalism]]

## References

### General

General discussion is in

* [[Dominic Joyce]], _The exceptional holonomy groups and calibrated geometry_ ([pdf](http://gokovagt.org/proceedings/2005/ggt05-joyce.pdf))

* [[Simon Salamon]], _A tour of exceptional geometry_ ([pdf](http://calvino.polito.it/~salamon/T/tour.pdf))

* [[Simon Salamon]], _Self-duality and exceptional geometry_ ([pdf](http://calvino.polito.it/~salamon/G/baku.pdf))

Discussion of [[G2 manifolds]] is in 

* Spiro Karigiannis, _$G_2$-manifolds -- Exceptional structures in geometry arising from exceptional algebra_ ([pdf](http://www.math.uwaterloo.ca/~karigian/talks/waterloo.pdf)) 

### In supergravity

Applications to [[KK-compactification]] of [[11d supergravity]] (see also at _[[M-theory on G2-manifolds]]_) is discussed in 

* [[George Papadopoulos]], [[Paul Townsend]], _Compactifications of $D = 11$ supergravity on spaces of exceptional holonomy_ ([arXiv:hep-th/9506150](http://arxiv.org/abs/hep-th/9506150))

* K. Koepsell, [[Hermann Nicolai]], [[Henning Samtleben]], _An exceptional geometry for d=11 supergravity?_ ([arXiv:hep-th/0006034](http://arxiv.org/abs/hep-th/0006034))

* {#Hull} [[Chris Hull]], _Generalised Geometry for M-Theory_ ([arXiv:hep-th/0701203](http://arxiv.org/abs/hep-th/0701203))
 

For more along these lines see the references at _[[exceptional generalized geometry]]_.

### As M-brane target space

Discusssion of [[M-brane]] [[sigma-models]] on exceptional geometry [[target spaces]] is in

* Yuho Sakatani, Shozo Uehara, _Branes in Extended Spacetime: Brane Worldvolume Theory Based on Duality Symmetry_, Phys. Rev. Lett. 117, 191601 (2016) ([arXiv:1607.04265](https://arxiv.org/abs/1607.04265), [talk slides](http://www2.yukawa.kyoto-u.ac.jp/~qft.web/2016/slides/sakatani.pdf))

* Yuho Sakatani, Shozo Uehara, _Exceptional M-brane sigma models and $\eta$-symbols_ ([arXiv:1712.10316](https://arxiv.org/abs/1712.10316))

[[!redirects exceptional geometries]]