
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Group Theory
+-- {: .hide}
[[!include group theory - contents]]
=--
#### $\infty$-Lie theory
+--{: .hide}
[[!include infinity-Lie theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

One of the [[exceptional Lie groups]].

## Properties

### As automorphisms of the exceptional Jordan algebra

The [[group]] of [[determinant]]-preserving [[linear map|linear]] [[isomorphisms]] of the vector space underlying the [[octonionic Albert algebra]] is  ${E}_{6(-26)}$. (see e.g. ([Manogue-Dray 09](#ManogueDray09))).

This may be written as $SL(3,\mathbb{O})$. ([Dray-Manogue 09a (16)](#DrayManogue09a))


<img src="https://ncatlab.org/nlab/files/MapOfE6.png" width="500">

> graphics grabbed from ([Dray-Manogue 09a, p. 12](#DrayManogue09a))


### As part of the ADE pattern

[[!include ADE -- table]]

### As U-duality group of5d SuGra

$E_6$ is the [[U-duality]] group (see there) of [[11-dimensional supergravity]] [[KK-compactification|compactified]] to 5 dimensions.

[[!include U-duality -- table]]


## Related concepts

* [[exceptional geometry]], [[exceptional generalized geometry]]

* [[G2]], [[F4]],

  **E6**, [[E7]],  [[E8]], [[E9]], [[E10]], [[E11]], $\cdots$


## References

* {#DrayManogue09a} [[Tevian Dray]], [[Corinne Manogue]], *Octonionic Cayley spinors and $E_6$* ([pdf](http://www.physics.usu.edu/wheeler/fieldtheory/octonions/draymanoguecayleyspinors.pdf))


* {#ManogueDray09} [[Corinne Manogue]], [[Tevian Dray]], _Octonions, $E_6$, and Particle Physics_, J.Phys.Conf.Ser.254:012005,2010 ([arXiv:0911.2253](http://arxiv.org/abs/0911.2253))


A description of $E_{6(-26)}$ as the [[special linear group]] in dimension 3 with values in the [[octonions]] is given in 

* [[Corinne Manogue]], [[Tevian Dray]], _Octonions and the Structure of $E_6$_ Comment. Math. Univ. Carolin., 51:193–207, 2010.


* Aaron Wangberg, Tevian Dray, _$E_6$, the Group: The structure of $SL(3,\mathbb{O})$_ ([arXiv:1212.3182](http://arxiv.org/abs/1212.3182))


Cohomological properties are discussed in

* Mamoru Mimura, Yuriko Sambe, Michishige Tezuka, _Cohomology mod 3 of the classifying space of the exceptional Lie group $E_6$, I : structure of Cotor_ ([arXiv:1112.5811](http://arxiv.org/abs/1112.5811)), 

  _Cohomology mod 3 of the classifying space of the exceptional Lie group $E_6$, II : The Weyl group invariants_ ([arXiv:1201.3414](http://arxiv.org/abs/1201.3414))

See also

* Wikipedia, _[$E_6$](http://en.wikipedia.org/wiki/E6_%28mathematics%29)_
