
> this entry is about the notion of [[colimits]] in [[posets]]. For the concepts of _[[join of topological spaces]]_, _[[join of simplicial sets]]_, _[[join of categories]]_ and _[[join of quasi-categories]]_ see there.

***

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Limits and colimits
+--{: .hide}
[[!include infinity-limits - contents]]
=--
#### $(0,1)$-Category theory
+--{: .hide}
[[!include (0,1)-category theory - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Definition

If $x$ and $y$ are elements of a [[partial order|poset]], then their **join**, or **supremum**, is an element $x \vee y$ of the poset such that:

* $x \leq x \vee y$ and $y \leq x \vee y$;
* if $x \leq a$ and $y \leq a$, then $x \vee y \leq a$.
Such a join may not exist; if it does, then it is unique.

In a [[preorder|proset]], a join may be defined similarly, but it need not be unique.  (However, it is still unique up the natural [[equivalence]] in the proset.)

The above definition is for the join of two elements of a poset, but it can easily be generalised to any number of elements.  It may be more common to use 'join' for a join of finitely many elements and 'supremum' for a join of (possibly) infinitely many elements, but they are the same concept.  The join may also be called the **maximum** if it equals one of the original elements.

A poset that has all finite joins is a **join-[[semilattice]]**.  A poset that has all suprema is a **[[suplattice]]**.

A join of [[subset]]s or [[subobject]]s is called a [[union]].


## Special cases

A join of zero elements is a [[bottom]] element.  Any element $a$ is a join of that one element.


## Properties

As a poset is a special kind of [[category]], a join is simply a [[coproduct]] in that category.

## Related concepts

* **join**

* [[meet]]


[[!redirects joins]]
[[!redirects supremum]]
[[!redirects supremums]]
[[!redirects suprema]]
[[!redirects sup]]
[[!redirects sups]] 