[[!redirects Algebraic K-theory, a historical perspective]]

## A little history:  the beginnings


[[algebraic K-theory|Algebraic K-theory]]  grew out of two apparently unrelated areas of algebraic geometry and algebraic 
topology. The second of these, historically, was the development by Grothendieck of (geometric 
and topological) K-theory based on projective modules over a ring, or finite dimensional vector 
bundles on a space, that is the [[Grothendieck group]] of the given ring or of the ring of functions on the space. (The connection between these is that the space of global sections of a finite 
dimensional vector bundle on a nice enough space, $X$ is a finitely generated projective module over 
the ring of continuous real or complex functions on $X$ . This latter aspect is where the link with [[topological K-theory]] comes in.) 

The second input is from  of [[simple homotopy theory]]. [[J. H. C. Whitehead]], following on from earlier ideas of [[Reidemeister]], looked at possible extensions of combinatorial 
group theory, with its study of presentations of groups, to give a [[combinatorial homotopy theory]]. This would take the form of an 'algebraic homotopy theory’ giving good algebraic models 
for homotopy types, and would hopefully ease the determination of homotopy equivalences for instance of polyhedra. The 'combinatorial’ part was exemplified by his two papers on 'Combinatorial 
Homotopy Theory’, but raised an interesting question.

_Could one give a 'combinatorial way of generating all homotopy equivalences, (up to homotopy), starting with some 'elementary expansions' and 'contractions'?_

He showed the answer was negative, and there was an invariant ([[Whitehead torsion]]) whose vanishing was a necessary and sufficient condition for a homotopy equivalence to be so constructible. That invariant was an element of a group constructed from the stable general linear group over the [[group ring]] of the [[fundamental group]] of the domain space. This was a quotient of what became known as $K_1(\mathbb{Z}\pi_1X)$, that is  the abelianisation of $GL(\mathbb{Z}\pi_1X)$.   

This ties in, even at this basic level with the [[nPOV]] and the processes around categorification. For a ring, $R$, the [[Grothendieck group]], $K_0(R)$, looks at the [[core]] of the category of finitely generated projective modules, and takes its set of connected components, which is just the set of isomorphism classes. This becomes an abelian monoid under direct sum and then a group after group completion. For $K_1(R)$, you are taking the core again, but looking at the category of morphisms in it. If we take $K_0$ of that category we get $K_1$ of the ring. So $K_1$ looks at the loops whilst $K_0$ at the connected components.

## References

One of the best accounts of the history of K-theory is by [[Chuck Weibel]]:

* {#Weibel99} [[Charles A. Weibel]], [The development of algebraic K-theory before 1980](http://www.math.rutgers.edu/~weibel/papers-dir/khistory.pdf) published in _Algebra, K-theory, groups, and education:
on the occasion of Hyman Bass's 65th birthday_, a volume of _Contemporary 
Mathematics, American Mathematical Soc, 1999.

Other historical accounts include

* {#Arlettaz04} [[Dominique Arlettaz]], _Algebraic K-theory of rings from a topological viewpoint_ ([pdf](http://www.math.uiuc.edu/K-theory/0420/Arlettaz-survey.pdf))

* {#Grayson13} [[Daniel Grayson]], _Quillen’s work in algebraic K-theory_, J. K-Theory 11 (2013), 527–547 [pdf](http://www.math.uiuc.edu/~dan/Papers/qs-published-final.pdf)

