
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Lie theory
+--{: .hide}
[[!include infinity-Lie theory - contents]]
=--
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

__Affine Lie algebras__ (sometimes: _[[current algebras]]_) are the most important class of [[Kac-Moody Lie algebras]]. They should be viewed as tangent Lie algebras to the [[loop groups]], with a correction term which is sometimes related to quantization/quantum anomaly. 

These affine Lie algebras appear in [[quantum field theory]] as the [[current algebras]] in the [[WZW model]] as well as in its "chiral halfs", as such for instance in the [[heterotic string]] [[2d CFT]].

## Related concepts

* [[Kac-Weyl character]]

* [[quantum affine algebra]]

* [[Borcherds algebra]]

* [[double affine Hecke algebra]]

## References

The standard textbook is 

* [[Victor Kac]], _Infinite Dimensional Lie Algebras_,

Lecture notes include

* David Hernandez, _An introduction to affine Kac-Moody algebras_ (2006) ([pdf](http://www.ctqm.au.dk/events/2006/October/Week42/Masterclassnotes.pdf))

* {#Gordon08} [[Iain Gordon]], _Infinite-dimensional Lie algebras_ (2008/9) ([pdf](http://www.maths.ed.ac.uk/~igordon/LA1.pdf)

* {#Wassermann11} [[Antony Wassermann]], _Kac-Moody and Virasoro algebras_, course notes (2011) ([pdf](https://www.dpmms.cam.ac.uk/~ajw/course11.pdf))


The standard textbook on [[loop groups]] is

* A. Pressley, [[Graeme Segal]], _Loop groups_, Oxford Univ. Press 1988

The relation to [[quantum physics|quantum]] [[physics]] ([[WZW model]]) is highlighted in the texts

* S. Kass, R. V. Moody, J. Patera, _Affine Lie Algebras, Weight Multiplicities, and Branching Rules _

* Louise Dolan, _The Beacon of Kac-Moody symmetry for physics_, Notices of the AMS 1995 ([pdf](http://www.ams.org/notices/199512/dolan.pdf))

and specifically a review in the context of the [[Witten genus]] is in 

* [[Kefeng Liu]], section 2.2 of _On modular invariance and rigidity theorems_, J. Differential Geom. Volume 41, Number 2 (1995), 247-514 ([EUCLID](http://projecteuclid.org/euclid.jdg/1214456221), [pdf](http://www.math.ucla.edu/~liu/Research/loja.pdf))


The famous quote by Kac is in

* [[Victor Kac]], _The idea of locality_ ([q-alg/9709008](http://arxiv.org/abs/q-alg/9709008))

> It is a well kept secret that the theory of Kac-Moody algebras has been a disaster. True, it is a generalization of a very important object, the simple finite-dimensional Lie algebras, but a generalization too straightforward to expect anything interesting from it. True, it is remarkable how far one can go with all these ei’s, fi’s and hi’s. Practically all, even most difficult results of finite-dimensional theory, such as the theory of characters, Schubert calculus and cohomology theory, have been extended to the general set-up of Kac-Moody algebras. But the answer to the most important question is missing: what are these algebras good for? Even the most sophisticated results, like the connections to the theory of quivers, seem to be just scratching the surface. 

> However, there are two notable exceptions. The best known one is, of course, the theory of affine Kac-Moody algebras. This part of the Kac-Moody theory has deeply penetrated many branches of mathematics and physics. The most important single reason for this success is undoubtedly the isomorphism of affine algebras and central extensions of loop algebras, often called current algebras. The second notable exception is provided by [[Borcherds’ algebras]] which are roughly speaking the spaces of physical states of certain chiral algebras.


[[!redirects affine Lie algebras]]

[[!redirects affine Kac-Moody Lie algebra]]
[[!redirects affine Kac-Moody Lie algebras]]

