
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Differential geometry
+-- {: .hide}
[[!include synthetic differential geometry - contents]]
=--
=--
=--

# Infinitesimal neighbourhoods
* table of contents
{: toc}

## Idea

> Der unendlich kleinste Theil des Raumes ist immer ein Raum, etwas, das Continuität hat, nicht aber ein blosser Punct, oder die Grenze zwischen bestimmten Stellen im Raume; ([Fichte 1795, Grundriss §4.IV](Grundriss+des+Eigenthümlichen+der+Wissenschaftslehre#4IVUnendlichKleinsterTeilDesRaumes))


An infinitesimal neighbourhood is a [[neighbourhood]] with [[infinitesimal]] diameter.  These can be defined in several setups: [[nonstandard analysis]], [[synthetic differential geometry]], [[ringed spaces]], ....


## Definition

### In differential cohesion

For $\mathbf{H}$ a context of [[differential cohesion]] with [[infinitesimal shape modality]] $\Im$, then for $x\colon \ast \to X$ a [[global point]] in any object $X \in \mathbf{H}$ the infinitesimal disk $\mathbb{D}^X_x \to X$ around that point is the ([[homotopy pullback|homotopy]]) [[pullback]] of the [[unit of a monad|unit]] $i \colon X \to \Im(X)$ of the $\Im$-monad

$$
  \array{
    \mathbb{D}^X_x &\longrightarrow& X
    \\
    \downarrow && \downarrow^{\mathrlap{i}}
    \\
    \ast &\stackrel{x}{\longrightarrow}& \Im(X)
  }
  \,.
$$

The collection of all infinitesimal disks forms the [[infinitesimal disk bundle]] over $X$.


### In nonstandard analysis

In [[nonstandard analysis]], the __monad__ or __halo__ of a standard point $p$ in a [[topological space]] (or even in a [[Choquet space]]) is the hyperset of all [[hyperpoint]]s infinitely close to $p$.  It is the [[intersection]] of all of the standard [[neighbourhoods]] of $p$ and is itself a hyper-neighbourhood of $p$, the __infinitesimal neighbourhood__ of $p$.

It is best to avoid the term 'monad' for this concept on this wiki, since it has more or less nothing to with the categorial [[monads]] that are all over the place here (including elsewhere on this very page).


### For ringed spaces

Consider a morphism $(f,f^\sharp):(Y,\mathcal{O}_Y)\to(X,\mathcal{O}_X)$ of [[ringed space]]s for which the corresponding map $f^\sharp:f^*\mathcal{O}_X\to\mathcal{O}_Y$ of sheaves on $Y$ is surjective. Let $\mathcal{I} = \mathcal{I}_f = Ker\,f^\sharp$, then $\mathcal{O}_Y = f^\sharp(\mathcal{O}_X)/\mathcal{I}_f$. The ring $f^*(\mathcal{O}_Y)$ has the $\mathcal{I}$-preadic filtration which has the associated graded ring $Gr_\bullet =\oplus_{n} \mathcal{I}_f^n/\mathcal{I}^{n+1}_f$ which in degree $1$ gives the [[conormal sheaf]] $Gr_1 = \mathcal{I}_f/\mathcal{I}^2_f$ of $f$. The $\mathcal{O}_Y$-augmented ringed space $(Y,f^\sharp(\mathcal{O}_X)/\mathcal{I}^{n+1})$ is called the $n$-th __infinitesimal neighborhood__ of $Y$ along morphism $f$. Its structure sheaf is called the $n$-th normal invariant of $f$. 



## Related concepts

* [[jet groupoid]]


[[!include infinitesimal and local - table]]


## References

In [[algebraic geometry]] (via [[infinitesimal shape modality]])

* [[A. Grothendieck]], _Éléments de géométrie algébrique (rédigés avec la collaboration de Jean Dieudonné) : IV. Étude locale des schémas et des morphismes de schémas, Quatrième partie_, Publications Mathématiques de l'IHÉS __32__ (1967), p. 5-361, [numdam](http://www.numdam.org/item?id=PMIHES_1967__32__5_0)

Discussion in nonstandard analysis is in 
 
* wikipedia [Monad (non-standard analysis)](http://en.wikipedia.org/wiki/Monad_%28non-standard_analysis%29)
* S. S. Kutateladze, _Leibnizian, Robinsonian, and Boolean valued monads_
[arxiv/1106.2755](http://arxiv.org/abs/1106.2755)
* [[Sergio Albeverio]], Jens Erik Fenstad, Raphael Hoegh-Krohn, Nonstandard methods in stochastic analysis and mathematical physics, Academic Press 1986

Discussion in [[differential cohesion]] is in

* [[Igor Khavkine]], [[Urs Schreiber]], _[[schreiber:Synthetic variational calculus|Synthetic geometry of differential equations: I. Jets and comonad structure]]_ ([arXiv:1701.06238](https://arxiv.org/abs/1701.06238))

Discussion in differentially cohesive [[homotopy type theory]] is in

* {#Wellen17} [[Felix Wellen]], _[[schreiber:thesis Wellen|Formalizing Cartan Geometry in Modal Homotopy Type Theory]]_, 2017



[[!redirects infinitesimal neighborhood]]
[[!redirects infinitesimal neighborhoods]]
[[!redirects infinitesimal neighbourhood]]
[[!redirects infinitesimal neighbourhoods]]

[[!redirects monad in nonstandard analysis]]
[[!redirects monads in nonstandard analysis]]
[[!redirects monad in non-standard analysis]]
[[!redirects monads in non-standard analysis]]

[[!redirects halo]]
[[!redirects halos]]
[[!redirects haloes]]

[[!redirects infinitesimal disk]]
[[!redirects infinitesimal disks]]