
# Dwyer--Kan loop groupoid
* table of contents
{: toc}

## Idea

The _Dwyer--Kan loop groupoid_ ([Dwyer-Kan 84](#DwyerKan84)) of a [[simplicial set]] $K$ is a [[simplicial groupoid|simplically enriched groupoid]] whose objects are the vertices of $K$ and the simplicial set of paths between two such picks up the composable 'strings' of higher dimensional simplices where the zeroth vertex is thought of as the domain vertex and the first vertex as the codomain.

This construction establishes an equivalence between the [[homotopy theory]] of [[simplicial groupoid]] and the classical homotopy theory of [[simplicial sets]] (exhibiting both as models for [[infinity-groupoids]]). It generalizes the [[simplicial loop space]] functor from [[reduced simplicial sets]] to [[simplicial groups]].


## Definition

The **loop groupoid functor of Dwyer and Kan** is a functor 
$$G: \Simp\Set \to \Simp\Set\Groupoid,$$
which takes the simplicial set $K$ to the [[simplicial groupoid]] $G K$, where $(G K)_n$ is the [[free groupoid]] on the [[quiver]] given by a pair of arrows
$$s,t: K_{n+1}\rightarrow K_0,$$
where the two functions, $s$, source, and $t$, target, are $s = (d_1)^{n+1}$ and $t = d_0(d_2)^n$ with relations $s_0x = id$ for $x \in K_n$.  

The face and degeneracy maps are given on generators by 

*   $s_i^{G K}(x) = s_{i+1}^K(x),$

*   $d_i^{G K}(x) = d_{i+1}^K(x)$, for $x \in K_{n+1}$, $1 \lt i \leq n$, and 

*   $d_0^{G K}(x) = (d_0^K(x))^{-1}(d_1^K(x))$. 


## Remarks

*  This simplicial groupoid is a simplicially enriched groupoid, as the face and degeneracy operators are constant on the objects.

* The loop groupoid functor has a [[right adjoint]], $\overline{W}$, called the (simplicial) [[classifying space]] functor.  This is given in more detail in the entry on [[simplicial group]].

## References

The original reference is 

* {#DwyerKan84} [[William Dwyer|W. G. Dwyer]] and [[Dan Kan|D. M. Kan]],  _Homotopy theory and simplicial groupoids_,  Nederl. Akad. Wetensch. Indag. Math., 46, (1984), 379 – 385,

but beware, there are some typographic errors in key formulas.

[[!redirects Dwyer-Kan loop groupoid]]
[[!redirects Dwyer–Kan loop groupoid]]
[[!redirects Dwyer--Kan loop groupoid]]
[[!redirects Dwyer-Kan loop groupoids]]
[[!redirects Dwyer–Kan loop groupoids]]
[[!redirects Dwyer--Kan loop groupoids]]

[[!redirects Dwyer-Kan loop group]]
[[!redirects Dwyer-Kan loop groups]]
