#Contents#
* automatic table of contents goes here
{:toc}

##Idea##
A **group $T$-complex** is ''a [[simplicial T-complex]] internal to the category of groups''. They were first studied in Nick Ashley's thesis (see references below for the published version)


More precisely:

##Definition##

A **group $T$-complex** is a pair,  $(G,T)$, in which $G$ is a [[simplicial group]] and $T$ is a graded subgroup  of $G$ consisting of _thin_ elements,  and which satisfies the conditions:

* Every degenerate element is thin.
* Every [[horn]] in $G$ has a unique thin filler.
* A thin filler of a thin box also has its last face thin.

##Results##
+--{.un_lemma}
######Lemma

Let $D = (D_n)_{n\geq 1}$ be the graded subgroup of $G$ generated by the
images of the degeneracy maps, $s_i :G_n \rightarrow G_{n+1}$, for all $i$ and
$n$,  then any box in $G$ has a  filler in $D$.
=--

+--{.proof}
######Proof
The algorithmic formulae
used when proving that any simplicial group is a Kan complex (cf., entry on  [[simplicial group]]) give a filler defined as a product of degenerate copies of the faces of the given box, so is in $D_n$. 
=--
+--{.un_proposition}
######Proposition
If $(G,T)$ is a group $T$-complex then $T = D$. 
=--

+--{.proof}
######Proof

To see this, we note that
as every degenerate element is this, $D \subseteq T$. Conversely if $t \in T_n$, then it
fills the box made up of $ (  - , d_1t, \ldots, d_n t )$.  This, in turn, has a
filler, $d$, in  $D$, but, as this filler is also thin, it must be that $t = d$, 
since thin fillers are uniquely determined.
=--
This is neat.  It says there is basically only one possible group $T$-complex structure on a given simplicial group.  The next result (again by Ashley) shows that not all simplicial groups carry such a structure.

+--{.un_proposition}
######Proposition
If $G$ is a simplicial group, then $(G,D)$ is a group $T$-complex if and
only if $NG\cap D$ is the trivial graded subgroup.
=--
+--{.proof}
######Proof
One way around, this is
nearly trivial.  If $(G,D)$ is a group $T$-complex and $x\in NG_n$, then $x$
fills a box $(-, 1, \ldots, 1)$, so if $x\in NG_n\cap D_n$, $x$ must itself 
be the thin filler, however 1 is also a thin filler for this box, so $x = 1$ as 
required.  

Conversely if $NG\cap D = \{1\}$, then we must check the other two axioms as the first is trivial.  As any box has a standard filler in $D$, we only have to
check uniqueness, but if $x$ and $y $ are in $D_n$, and  both fill the same box
(with the $k^{th}$ face missing) then $z = xy^{-1}$ fills a box with 1s on all 
faces (and the $k^{th}$ face missing).

If $k = 0$, then as $z \in NG_n\cap D_n$, we have $z = 1$ and $x$ and $y$ are
equal.  If $k \gt 0$, assume that if $\ell \lt k$ and $z \in D_n \cap
\bigcap_{i\neq \ell} Ker\, d_i$ then $z = 1$, (i.e, that we have uniqueness up to
at least the $(k-1)^{st}$ case).  Consider $w = zs_{k-1}d_k z^{-1}$.  This is
still in $D_n$ and $d_i w = 1$ unless $i = k-1$, hence by assumption $w = 1$.
Of course, this implies that $z = s_{k-1}d_kz$, but then $d_{k-1} z = d_k z$.  We 
know that $d_{k-1} z = 1$, so $d_k z = 1$ and $z = 1$, i.e., $x = y$ and we have
uniqueness at the next stage.  

To verify the third axiom, assume that $x \in D_{n + 1}$ and 
each $d_i x \in D_n$ for $i \neq k$, then we can assume that $k = 0$, since
otherwise we can skew the situation around as before to get that to be true,
verify it in that case and 'skew' it back again later.  

Suppose therefore that $d_i x \in D_n$ for all $0 \lt i \lt n$.  As $x$ must be the degenerate filler given by the standard method, we can calculate $x$ as follows: 

let $w_n = s_{n-1}d_n x$, $w_i = w_{i+1}(s_{i-1}d_i w_{i+1})^{-1}s_{i-1}y_i $ for $i =
1$, then $x = w_1$.  We can therefore check that $d_0x \in D_n$ as
required.
=--

##The group T-complex associated to a simplicial group##

This suggests that, given an arbitrary simplicial group, $G$, we could form a quotient which would be a group $T$-complex, simply by dividing out by the subgroups, $NG_n\cap D_n$. We would need check that the face and degeneracy maps worked correctly, that the result did not somehow generate some new 'thin' elements, etc.  In fact the idea does not work because of a much more elementary problem:  $NG_n\cap D_n$ need not be a normal subgroup of $G_n$!

A variant of this does however work. We need the Conduché non-Abelian version of the [[decomposition theorem for simplicial groups]] that makes up an important part of the Dold-Kan correspondence.  With that we note the fairly obvious point that when we divide out by a graded subgroup in a simplicial group, then it has effects in all dimensions due to the face and degeneracy maps, so if we kill elements in $NG_n\cap D_n$ in all dimensions, we must also kill $d_0(NG_{n+1}\cap D_{n+1})$ and all the $s_k(NG_{n-1}\cap D_{n-1})$.  The end result of this is a group $T$-complex whose Moore complex has a [[crossed complex]] structure in a natural way. (The formula is given in the [[crossed complex]] entry.)

##References##

* N. Ashley, _Simplicial T-Complexes: a non abelian version of a theorem of Dold-Kan_, Dissertations Math., 165, (1989), 11 – 58.
[[!redirects group T - complex]]