+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### Quantum field theory
+--{: .hide}
[[!include functorial quantum field theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The special case of [[super Yang-Mills theory]] over a [[spacetime]] of [[dimension]] 4 and with $N = 2$ [[supersymmetry]].

## Properties

### Moduli space of vacua
 {#ModuliSpacesOfVacua}

A speciality of $N=2$, $D = 4$ SYM is that its [[moduli space]] of [[vacua]] has two "branches" called the _[[Coulomb branch]]_ and the _[[Higgs branch]]_. This is the content of what is now called _[[Seiberg-Witten theory]]_ ([Seiberg-Witten 94](#SeibergWitten94)). Review includes ([Albertsson 03, section 2.3.4](#Albertsson03)).

### Confinement

While [[confinement]] in plain [[Yang-Mills theory]] is still waiting for mathematical formalization and [[proof]] (see [Jaffe-Witten](confinement#JaffeWitten)), N=2 D=4 super Yang-Mills theory is has been obsrved in ([Seiberg-Witten 94](#SeibergWitten94)).


### Reduction to $D = 3$ super Yang-Mills

By [[Kaluza-Klein mechanism|dimensional reduction]] on $\mathbb{R}^3 \times S^1$ families of $N = 2, D = 4$ SYM theories interpolate to [[N=4 D=3 super Yang-Mills theory]]. ([Seiberg-Witten 96](#SeibergWitten96)).

### Construction by compactification of 5-branes
 {#ConstructionByCompactificationOf5Branes}

$N=2$ super Yang-Mills theory can be realized as the [[worldvolume]] theory of [[M5-branes]] [[Kaluza-Klein compactification|compactified]] on a [[Riemann surface]] ([Klemm-Lerche-Mayr-Vafa-Warner 96](#KlemmLercheMayrVafaWarner96), [Witten 97](#Witten97), [Gaiotto 09](#Gaiotto09)), hence as a compactifiction of the [[6d (2,0)-superconformal QFT]] on the M5. This in particular gives a geometric interpretation of [[Seiberg-Witten duality]] in 4d in terms of the 6d 5-brane geometry.

Specifically the _[[AGT correspondence]]_ expresses this relation in terms of the [[partition function]] of the theory and a [[2d CFT]] on the [[Riemann surface]] on which the 5-brane is compactified. See at _[[AGT correspondence]]_ for more on this.

[[!include gauge theory from AdS-CFT -- table]]


## Related concepts


* [[super Yang-Mills theory]]

  * [[N=4 D=4 super Yang-Mills theory]]

  * [[N=4 D=3 super Yang-Mills theory]]

  * [[topologically twisted D=4 super Yang-Mills theory]]

    * [[chiral ring]], [[quantum cohomology]]

  * [[Seiberg-Witten theory]], [[electric-magnetic duality]], [[symplectic duality]]

  * [[AGT correspondence]]  

* [[spectral network]]

* [[geometric engineering of quantum field theory]]

## References

### General

The terminology "Coulomb branch" and "Higgs branch" first appears in 

* {#SeibergWitten94} [[Nathan Seiberg]], [[Edward Witten]], _Monopoles, Duality and Chiral Symmetry Breaking in $N=2$ Supersymmetric QCD_ ([arXiv:hep-th/9408099](http://arxiv.org/abs/hep-th/9408099))
 

The dimensional reduction to $D = 3$ was first considered in

* [[Nathan Seiberg]], [[Edward Witten]], _Gauge Dynamics And Compactification To Three Dimensions_ ([arXiv:hep-th/9607163](http://arxiv.org/abs/hep-th/9607163))
 {#SeibergWitten96}

The [[confinement]]-phenomenon was observed in 

* {#SeibergWitten94} [[Nathan Seiberg]], [[Edward Witten]], _Monopole Condensation, And Confinement In N=2 Supersymmetric Yang-Mills Theory_,  	Nucl.Phys.B426:19-52,1994; Erratum-ibid.B430:485-486,1994 ([arXiv:hep-th/9407087](http://arxiv.org/abs/hep-th/9407087))
  

Reviews of that include

* Alexei Yung, _What Do We Learn about Confinement from the Seiberg-Witten Theory_ ([arXiv:hep-th/0005088](http://arxiv.org/abs/hep-th/0005088))

* {#Albertsson03} Cecilia Albertsson, _Superconformal D-branes and moduli spaces_ ([arXiv:hep-th/0305188](http://arxiv.org/abs/hep-th/0305188))

For references on [[wall crossing]] of [[BPS states]] see the references given there.



### Introductions and surveys
 {#Surveys}


* [[Davide Gaiotto]], _Recent progress in $N=2$ $4d$ field theory_ (2009) ([pdf](http://www.physics.rutgers.edu/het/video/gaiotto09a.pdf))

* {#Moore12} [[Gregory Moore]], _Four-dimensional $N=2$ Field Theory and Physical Mathematics_ ([arXiv:1211.2331](http://arxiv.org/abs/1211.2331))
 


* [[Greg Moore]], _Surface Defects and the BPS Spectrum of $4d$ $N=2$ Theories_ ([pdf](http://www.physics.rutgers.edu/~gmoore/SolvayMay19Final.pdf))



### Construction from 5-branes
 {#ReferencesConstructionFrom5Branes}

$N=2$ $D=4$ SYM including its [[Seiberg-Witten theory]] ([Seiberg-Witten 94](SeibergWitten94)) may be understood as being the [[Kaluza-Klein mechanism|compactification]] of the [[6d (2,0)-superconformal QFT]] on the [[worldvolume]] of [[M5-branes]] on a [[Riemann surface]]: the Riemann surface is identified with the _Seiberg-Witten curve_ of complexified coupling constants. This observation goes back to

* A. Klemm, [[Wolfgang Lerche]], P. Mayr, [[Cumrun Vafa]], N. Warner, _Self-Dual Strings and N=2 Supersymmetric Field Theory_ ([arXiv:hep-th/9604034](http://arxiv.org/abs/hep-th/9604034))
 {#KlemmLercheMayrVafaWarner96}

* [[Edward Witten]], _Solutions Of Four-Dimensional Field Theories Via M Theory_ ([arXiv:hep-th/9703166](http://arxiv.org/abs/hep-th/9703166)) 
 {#Witten97}


The further observation that therefore the sewing of [[Riemann surfaces]] on which one compactifies the M5-brane yields a gluing operation on N=2 SYM theories is due to

* [[Davide Gaiotto]], _N=2 dualities_ ([arXiv:0904.2715](http://arxiv.org/abs/0904.2715))
 {#Gaiotto09}

The [[topologically twisted D=4 super Yang-Mills theory|topological twisting]] of the compactification which is used around (2.27) there was previously introduced in section 3.1.2 of

* [[Davide Gaiotto]], [[Gregory Moore]] and [[Andrew Neitzke]], _Wall-crossing, Hitchin Systems, and the WKB Approximation_, ([arXiv:0907.3987](http://arxiv.org/abs/0907.3987))

and is discussed also for instance in section 5.1 of 

* [[Edward Witten]], _Fivebranes and knots_ ([arXiv:1101.3216](http://arxiv.org/abs/1101.3216))

(This is possibly also the mechanism behind the [[AGT correspondence]], though the details obehind that statement seem to be unclear.)

A brief review of these matters is in ([Moore 12, section 7](#Moore12)). A formalization of the [[topological twist]] in  [[perturbation theory]] formalized by [[factorization algebras]] with values in [[BV complexes]] is in section 16 of

* [[Kevin Costello]], _Notes on supersymmetric and holomorphic field theories in dimensions 2 and 4_ ([arXiv:1111.4234](http://arxiv.org/abs/1111.4234))
 {#Costello11}

For more on this see at _[[topologically twisted D=4 super Yang-Mills theory]]_.

 
  

An amplification of the relevance of this to the understanding of [[S-duality]]/[[electric-magnetic duality]] is in

* [[Edward Witten]], _[[Conformal field theory in four and six dimensions]]_, in [[Ulrike Tillmann]] (ed.) _Topology, geometry and quantum field theory_ LMS Lecture Note Series (2004) ([arXiv:0712.0157](http://arxiv.org/abs/0712.0157))
 {#Witten07}

and the resulting relation to the [[geometric Langlands correspondence]] is discussed in 

* [[Edward Witten]], _Geometric Langlands From Six Dimensions_ ([arXiv:0905.2720](http://arxiv.org/abs/0905.2720))
 {#Witten09}.

The corresponding dual theory under [[AdS-CFT duality]] is discussed in

* [[Davide Gaiotto]], [[Nathan Seiberg]], _The gravity duals of N=2 superconformal field theories_ ([arXiv:0904.4466](http://arxiv.org/abs/0904.4466))

Discussion of construction of just [[N=1 D=4 super Yang-Mills theory]] this way is in 

* Ibrahima Bah, Christopher Beem, Nikolay Bobev, Brian Wecht, _Four-Dimensional SCFTs from M5-Branes_ ([arXiv:1203.0303](http://arxiv.org/abs/1203.0303))


[[!redirects N=2 D=4 sYM]]
