
# $L$-finite categories
* table of contents
{: toc}

## Definition

A [[category]] $C$ is **$L$-finite** if the following equivalent conditions hold:

* The [[terminal object]] of $[C,Set]$ is ($\omega$-)[[compact object|compact]].
* $C$-[[limits]] commute with [[filtered colimits]] in [[Set]].
* $C$ has an [[initial functor|initial]] [[finitely generated category|finitely generated]] [[subcategory]].
* $C$ admits an [[initial functor]] from a [[finite category]].[^1]
* $C$-limits lie in the [[saturated class of limits|saturation]] of the class of finite limits.

## Remarks

The notion of L-finite category is a sort of [[vertical categorification|categorification]] of the notion of [[K-finite set]]:

* A set $X$ is $K$-finite if the top element $1 \in \Omega^X$ belongs to the closure of the singletons under finite unions.

* A category $C$ is $L$-finite if the terminal object $1\in Set^C$ belongs to the closure of the representables under finite colimits.


## References

* [[Robert Paré]], *Simply connected limits*.  Can. J. Math., Vol. XLH, No. 4, 1990, pp. 731-746, [CMS](http://math.ca/10.4153/CJM-1990-038-6)
 {#Pare}

[^1]: There is a typo in [(Pare)](#Pare) in the statement of this equivalence: it says "final" instead of "initial".


[[!redirects L-finite category]]
[[!redirects L-finite categories]]
[[!redirects L-finite limit]]
[[!redirects L-finite limits]]
[[!redirects L-finite colimit]]
[[!redirects L-finite colimits]]
