
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

Whatever it is otherwise, [[string theory]] turns out to be an organizational principle that subsumes a wealth of [[effective quantum field theories]] together with hints for their [[UV-completion]]. As such, string theory reveals a multitude of equivalences between superficially very different-looking (classes of) quantum field theories, or between various limits (notably strong/weak coupling limits) of various different-looking quantum field theories. Large classes of these equivalences go by the name of "dualities":

* **[[T-duality]]**, [[mirror symmetry]]

* **[[S-duality]]**, [[electric-magnetic duality]]

* **[[U-duality]]** .

Then there are the "string-string dualities", notably the 

* [[duality between F-theory and heterotic string theory]]

Then there are the 

There is also 

* the relation between [[11-dimensional supergravity]] and the various string theories, see

  * [[F-theory]]

* the [[AdS/CFT correspondence]].

## Overview 
 {#Overview}

> under construction


[[!include heterotic S-duality -- table]]

[[!include gauge theory from AdS-CFT -- table]]


## Related concepts

* [[duality in physics]]

* [[Gopakumar-Vafa duality]]

## References

### Original articles

The original article suggesting the relation of 11d sugra to string theory is

* [[Edward Witten]], _[[String Theory Dynamics in Various Dimensions]]_, Nucl.Phys.B443:85-126,1995 ([arXiv:hep-th/9503124](http://arxiv.org/abs/hep-th/9503124))

An original article collecting all the weak/strong electric/magnetic dualities is 

* [[Mike Duff]], _M-theory (the theory formerly known as string)_, Int.J.Mod.Phys. A11 (1996) 5623-5642 ([arXiv:hep-th/9608117](http://arxiv.org/abs/hep-th/9608117))

### Surveys and lecture notes

* [[Mike Duff]], chapter 6 of _[[The World in Eleven Dimensions]]: Supgergravity, Supermembranes and M-theory_, IoP 1999


* {#Polchinski14} [[Joseph Polchinski]], _Dualities_ ([arXiv:1412.5704](http://arxiv.org/abs/1412.5704))

A detailed discussion of dualities induced on [[K3]]-compactifications is in 

* [[Paul Aspinwall]], _K3-surfaces and string duality_ ([arXiv:hep-th/9611137](http://arxiv.org/abs/hep-th/9611137))

Also

* [[Cumrun Vafa]], around 3:30, 12:00 of _On Mathematical Aspects of String Theory_ ([video](https://www.youtube.com/watch?v=yreUdrIbt2Q))


[[!redirects dualities in string theory]]