
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Symplectic geometry
+--{: .hide}
[[!include symplectic geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Definition

### For symplectic manifolds

For $(X, \omega)$ a [[symplectic manifold]], a [[vector field]] $v \in \Gamma(T X)$ on $X$ is called a **symplectic vector field** if its [[Lie derivative]] preserves the [[symplectic form]]:

$$
  \mathcal{L}_v \omega = 0
  \,.
$$

### For $n$-plectic manifolds

The analogous definition applies to [[n-plectic geometry]].

## Properties

### Relation to symplectomorphisms

The [[flow]] generated by a symplectic vector field is an auto-[[symplectomorphism]].

### Relation to Hamiltonian vector fields

By [[Cartan's magic formula]] and using that $\omega$ is by definition a closed form, the equation $\mathcal{L}_v \omega = 0$ is equivalent to

$$
  d_{dR} \iota_v \omega = 0
  \,,
$$

hence equivalent to the condition that the contraction of $v$ in $\omega$ is a [[closed differential form]]. If this contraction even is an [[exact differential form]] in that there is a function $h \in C^\infty(X)$ such that 

$$
  \iota_v \omega = d_{dR} h
  \,,
$$

then the symplectic vector field $v$ is called a [[Hamiltonian vector field]] and $h$ is called its [[Hamiltonian]] function.

[[!redirects symplectic vector fields]]
