
# Quasi-topological spaces
* table of contents
{: toc}

## Idea 

Quasi-topological spaces were proposed by [[Edwin Spanier]] as a substitute for [[Top]] which has properties [[convenient category of topological spaces|convenient]] for the purposes of algebraic topology. In particular, they form a [[complete category|complete]] and [[cocomplete category|cocomplete]] [[cartesian closed category]]. 

Quasi-topological spaces today seem to be regarded mostly as a historical curiosity, perhaps because working topologists were never comfortable with the set-theoretic issues that accompany them. In retrospect, however, they are an impressive testament to the conceptual insight of Spanier into ideas of topos theory which were at the time (early 1960's) barely in the air, and even not quite born yet (being an early example of [[quasitopos]], whose name perhaps derives from Spanier's notion). 


## Definition 

Let $\mathcal{C H}$ be the [[category]] of [[compact Hausdorff space|compact Hausdorff spaces]]. This may be regarded as a (large) [[site]] with the topology of finite coverings, in fact a [[concrete site]]. 

+-- {: .un_def}
###### Definition 
A **quasi-topological space** is a (small-set valued) [[concrete sheaf]] on $\mathcal{C H}$. 
=-- 

The (super-large) category of quasi-topological spaces is a [[quasitopos]] (although this is not immediately obvious for [[size issues|size reasons]] --- in particular, it is probably not a [[Grothendieck quasitopos]]).  In particular, it is a [[locally cartesian closed category]].


## References 

* Edwin Spanier, _Quasi-topologies_, Duke Mathematical Journal 30, number 1 (1963). 


[[!redirects quasi-topological space]]
[[!redirects quasi-topological spaces]]
[[!redirects quasitopological space]]
[[!redirects quasitopological spaces]]
