
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Differential cohomology
+--{: .hide}
[[!include differential cohomology - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

Arithmetic Chow groups are refinements of ordinary [[Chow groups]] analogous to how [[ordinary differential cohomology]] refines [[ordinary cohomology]].

Let $X$ be an [[arithmetic variety]], that is: a [[quasi-projective variety|quasi-projective]] [[flat scheme|flat]] [[regular scheme]] over an 
[[arithmetic ring]]. In ([Gillet-Soule](#GilletSoule)) the _arithmetic Chow groups_ of $X$, denoted $\hat CH^p(X)$, are defined as groups whose elements are [[equivalence classes]] of
pairs consisting of a codimension $p$ subvariety of $X$ together with a [[Green current]] for it. Later, in ([Burgos Gil 97](#BurgosGil97)), an alternative definition was given in terms of a [[Deligne complex]] of [[differential forms]] with logarithmic
singularities along infinity, that computes a version of [[ordinary differential cohomology]] groups. 

When $X$ is [[proper scheme|proper]], the two definitions are [[natural isomorphism|naturally isomorphic]].

## Related concepts

* [[Chow group]], [[Arakelov geometry]]

## References

### General

Arithmetic intersection theory was introduced in 

* Henri Gillet, Christoph Soul&eacute;, _Arithmetic intersection theory_ IHES Preprint (1988)
 {#GilletSoule}

Generalization are discussed in 

* J. I. Burgos Gil, J. Kramer, U. Kühn, _Cohomological arithmetic Chow rings_ ([arXiv:math/0404122v2](http://arxiv.org/abs/math/0404122v2)) 
 {#BurgosGilKramerKuehn}

* J. I. Burgos Gil, _Higher arithmetic Chow groups_ ([pdf](http://www.crm.es/Publications/10/Pr925.pdf))

### Relation to differential cohomology
 {#ReferencesRelationToDifferentialCohomology}

Articles that discuss the relation of arithmetic Chow groups to [[ordinary differential cohomology]] include

* Henri Gillet, Christoph Soul&eacute;, _Arithmetic Chow groups and differential characters_ in [[Rick Jardine]] (ed.) _Algebraic K-theory: Connections with Geometry and Topology_, Springer (1989)

* J. I. Burgos Gil, _Arithmetic Chow rings_, Ph.D. thesis, University of Barcelona, (1994).

* J. I. Burgos Gil, _Arithmetic Chow rings and Deligne-Beilinson cohomology_, J. Alg. Geom. 6 (1997), 335–377.
 {#BurgosGil97}

[[!redirects arithmetic Chow groups]]
[[!redirects Arithmetic Chow groups]]