
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Model category theory
+--{: .hide}
[[!include model category theory - contents]]
=--
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
#### Internal $(\infty,1)$-Categories
+--{: .hide}
[[!include internal infinity-categories contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The _model structure for dendroidal complete Segal spaces_ is an [[operad|operadic]] generalization of the [[model structure for complete Segal spaces]]. It serves to [[presentable (∞,1)-category|present]] the [[(∞,1)-category]] of [[(∞,1)-operads]].

A _complete dendroidal Segal space_ $X$ is much like a [[dendroidal set]], only that it has for each [[tree]] $T$ not just a _set_ of [[dendrices]], but a [[simplicial set]] $X_T \in sSet$, subject to some conditions. The model structure discussed here is defined on the category of all [[simplicial presheaves]] over the [[tree category]], such that the fibrant objects are precisely the dendroidal complete Segal spaces.

## Definition

Write $\Omega$ for the [[tree category]], the [[site]] for [[dendroidal sets]]

$$
  dSet := [\Omega^{op}, Set]
  \,.
$$

Write $\otimes$ for the [[Boardman-Vogt tensor product]] on [[dendroidal sets]] (see there for details).


+-- {: .num_defn #ModelStructures}
###### Definition

Let $dsSet_{gReedy} := [\Omega^{op}, sSet]$ be the category of [[dendroidal set|dendroidal]] [[simplicial sets]], equipped with the [[generalized Reedy model structure]] induced from the [[generalized Reedy category]] $\Omega$.

Write 

$$
  dsSet_{Segal}
  \stackrel{\leftarrow}{\to}
  dsSet_{gReedy}
$$ 

for the [[Bousfield localization of model categories|left Bousfield localization]] at the set of [[dendroidal spine]] ("Segal core") inclusions $\{Sp[T] \to \Omega[T]\}_{T \in \Omega}$, to be called the **model structure for dendroidal Segal spaces**. 

A fibrant object in this category is called a **dendroidal Segal space**.

Write 

$$
  dsSet_{cSegal}
  \stackrel{\leftarrow}{\to}
  dsSet_{Segal}
$$ 

for the further left Bousfield localization at the set of morphisms 
$\{\Omega[T]\otimes (J_d \to \eta) \}_{T \in \Omega, }$, where $J_d$ is the _dendroidal groupoidal interval_

$$
  J_d := 
  i_!(N(\{0 \stackrel{\simeq}{\to} 1\}))
  \,.
$$

Call this the **model structure for complete dendroidal Segal spaces**. 

A fibrant object in here is called a **complete dendroidal Segal space**.

=--

This is ([Cisinski-Moerdijk, def. 5.4, def. 6.2](#CisinskiMoerdijk)).

+-- {: .num_prop #SpineAndHornLocalization}
###### Proposition

The localization at the [[dendroidal spine]] inclusions is equivalently the [[Bousfield localization of model categories|left Bousfield localization]] at the set of dendroidal inner horn inclusions.

=--

This is [Cisinski-Moerdijk, prop. 5.5, def. 6.2](#CisinskiMoerdijk).


+-- {: .proof}
###### Proof

By the nature of left Bousfield localization, it is sufficient to show that one localizing set of morphisms is contained in the weak equivalences of the other.

In one direction, it is clear that every [[inner anodyne morphism]] of [[dendroidal sets]] is a weak equivalence in the localization at the horn inclusions.  By the discussion at _[[spine]]_, the spine inclusions are indeed inner anodyne.

Conversely, one checks that the weak equivalences generated by the spine inclusions contain all inner anodyne morphisms ([Cisinski-Moerdijk, prop. 2.8](#CisinskiMoerdijk))

=--

+-- {: .num_defn #Corollas}
###### Definition

Write $\eta \in \Omega $ for the tree with a single edge and no vertex. For $n \in \mathbb{N}$ write $C_n \in \Omega$ for the $n$-corolla, the tree with a single vertex and $n$ leaves (and the root).

=--


+-- {: .num_defn #HomSpaces}
###### Definition

For $X$ a dendroidal Segal space, and for $(x_1, \cdots, x_n; x) \in (X(\eta)_0)^{n+1}$, write $X(x_1, \cdots, x_n; x) \in sSet$ for the [[pullback]] 

$$
  \array{
    X(x_1, \cdots, x_n; x) &\to& X(C_n)
    \\
    \downarrow && \downarrow
    \\
    *  &\stackrel{(x_1, \cdots, x_n; x)}{\to}& (X(\eta))^{n+1}
  }
  \,.
$$

=--

+-- {: .num_remark #HomotopyPropertyOfHomSpaces}
###### Remark

These simplicial sets $X(x_1, \cdots, x_n; x)$
are [[Kan complexes]] and in fact are [[generalized the|the]] [[homotopy fibers]] of the right vertical morphism.

=--

+-- {: .proof}
###### Proof

The inclusion $\eta^{n+1} \to \Omega(C_n)$ is a cofibration in $[\Omega^{op}, sSet]_{Segal}$. So in this [[simplicial model category]] the right vertical morphism in def. \ref{HomSpaces} are [[Kan fibrations]]. These are stable under ordinary pullback, and their ordinary pullback is a [[homotopy pullback]] (as discussed there).

=--

+-- {: .num_defn #FullyFaithfulMorphism}
###### Definition

A morphism $f : X \to Y$ between dendroidal Segal spaces  is **[[full and faithful functor|fully faithful]]** if for all
$(x_1, \cdots, x_n; x) \in X(\eta)^{n+1}$, for all $n \in \mathbb{N}$ the corresponding morphism

$$
  X(x_1, \cdots, x_n; x) \to Y(f(x_1), \cdots, f(x_n); f(x))
$$

is a [[homotopy equivalence]].

=--


## Properties

### Basic technical properties

As for any category of [[simplicial presheaves]] we have

+-- {: .num_remark #TensoringAndEnrichment}
###### Remark

The category $[\Omega^{op}, sSet]$ is canonically [[tensoring|tensored]], [[cotensoring|cotensored]] and [[enriched category|enriched]] over [[sSet]].

The [[tensoring]] is given by the degreewise [[cartesian product]] in [[sSet]]:

$$
  \cdot : sSet \times [\Omega^{op}, sSet] \to [\Omega^{op}, sSet]
$$
$$
  (S, X) \mapsto (S \cdot X : T \mapsto S \times X(T))
  \,.
$$

For $X \in dSet$ a dendroidal set, the [[hom object]] functor restricted along $dSet \hookrightarrow [\Omega^{op}, sSet]$

$$
  X^{(-)} : dSet^{op} \to sSet
$$

is the essentially unique [[limit]]-preserving functor such that for all $T \in \Omega$

$$
  X^{\Omega[T]} = X(T)
  \,.
$$

=--

We will often write "$\times$" also for the tensoring "$\cdot$".

+-- {: .proof}
###### Proof

The essential uniqueness in the last clause follows, because by the [[co-Yoneda lemma]] every [[dendroidal set]] $S$ may be written as a [[colimit]] over its cells

$$
  S =_{iso} {\lim_{\underset{(\Omega[T] \to S)}{\to}}} \Omega[T]
  \,.
$$

Therefore

$$
  X^S
  = 
  {\lim_{\underset{(\Omega[T] \to S)}{\leftarrow}}} X(T)
  \,.
$$

=--

+-- {: .num_prop #latching}
###### Proposition

For $X \in [\Omega^{op}, sSet]$, and $T \in \Omega$, the _matching object_ of $X$ at $T$ (in the sense of [[generalized Reedy model structure]]) is 

$$
  Match_T X = X^{\partial \Omega[T]}
  \,.
$$

For $f : X \to Y$ a morphism,
the _relative matching morphism_ 

$$
  X(T) \to Match_T X \times_{Match_T Y} Y(T)
$$ 

is the universal morphism induced from the commutativity of the diagram

$$
  \array{
     X^{\Omega[T]} &\stackrel{f^{\Omega[T]}}{\to}& Y^{\Omega[T]}
     \\
     \downarrow && \downarrow
     \\
     X^{\partial \Omega[T]} &\stackrel{f^{\partial \Omega[T]}}{\to}& Y^{\partial \Omega[T]}     
  }
  \,.
$$

=--

+-- {: .proof}
###### Proof

By definition

$$
  Match_T X = {\lim_{\leftarrow}}_{(T' \hookrightarrow T)} X(T')
  \,,
$$

where the limit is over faces of $T$. By remark \ref{TensoringAndEnrichment} this is 

$$
  \cdots \simeq X^{({\lim_\to}_{(T' \hookrightarrow T)} \Omega[T'])}
  \,.
$$

By the discussion at _[[dendroidal set]]_, the exponent is the boundary of the tree $T$.

Similarly one finds that the morphism $X(T) \to Match_T X$ is 

$$
  X^{\partial \Omega[T] \hookrightarrow \Omega[T]} 
  : 
  X^{\Omega[T]} \to X^{\partial \Omega[T]}
  \,.
$$

=--

### Equivalent localization
 {#EquivalenceLocalization}

We discuss a different set of morphisms, such that the model structure $[\Omega^{op}, sSet]_{gReedy}$ localized at it still coincides with the localization $[\Omega^{op}, sSet]_{cSegal}$ from def. \ref{ModelStructures}. This different localization 
makes more immediate the [[Quillen equivalence]] to the [[model structure on dendroidal sets]]
that we discuss below in in _[Relation to dendroidal sets](http://ncatlab.org/nlab/show/model+structure+for+dendroidal+complete+Segal+spaces#RelationToDendroidalSets)_.

Notice that, by the discussion there, the _[[model structure on dendroidal sets]]_, $dSet_{CM}$, is a [[cofibrantly generated model category]]. Accordingly, there is a set of generating acyclic cofibrations, which we will write

$$
  S = \{A \to B\} \subset Mor(dSet)
  \,.
$$ 

While its existence is known, no explicit description is presently available, but we do know that we may assume that

1. domain and codomain of all elements of $S$ are normal dendroidal sets, hence cofibrant;

1. it contains a morphism $\eta \to J$, where $J$ is the [[codiscrete groupoid]] on two objects, regarded as a unary operad, regarded as a dendroidal set.

+-- {: .num_prop #LocalizationAtWeakOperadicEquivalences}
###### Proposition

The model structure $[\Omega^{op}, sSet]_{cSegal}$ coincides with the [[Bousfield localization of model categories|left Bousfield localization]] of $[\Omega^{op}, sSet]_{gReedy}$ at the set of [[pushout-product]] morphisms

$$
  \left\{
    (A \to B) \bar \cdot ( \partial \Delta[n] \to \Delta[n] ) 
  \right\}_{(A \to B) \in S, n \in \mathbb{N}}
  \,.
$$

=--

([Cis-Moer, cor. 6.5](#CisinskiMoerdijk)).

+-- {: .num_lemma #JAnodyneExtensionsAreCompleteSegalEquivalences}
###### Lemma

For every normal [[dendroidal set]] $A$, the morphism 
$A \otimes_{BV}(J \to \eta)$ is a weak equivalence in 
$[\Omega^{op}, sSet]_{cSegal}$.

Moreover, every "$J$-anodyne extension" is a weak cSegal-equivalence,
meaning every morphism generated by [[pushout]], [[transfinite composition]]
and [[retracts]] from the [[pushout-products]] of $\{e\} \to J$ with 
tree boundary inclusions.

=--

([Cis-Moer, prop. 6.3](#CisinskiMoerdijk))

+-- {: .proof}
###### Proof

For the first statement, 
it is sufficient to show that the morphism is a weak equivalence regarded in the 
[[slice model structure]] 

$$
  [\Omega^{op}, sSet]_{cSegal} / A \simeq [(\Delta \times \Omega / A)^{op}, Set]
  \,.
$$

The [[category of elements]] $\Delta \times \Omega/A$ is a "regular skeletal category"
in the sense of _[[Cisinski model structure]]_ theory. By a lemma there, 
[[natural transformations]] between functors preserving [[colimits]] and [[monomorphisms]]
are componentwise weak equivalences is they are so on representables.

Now $J \otimes (-)$ does preserve colimits and monomorphisms, and on
representables the transformation $J \otimes (-) \to \eta \otimes (-)$
is a cSegal-equivalence by definition. 

The second statement now follows using that $[\Omega^{op}, sSet]_{cSegal}$
is a [[left proper model category]], being the left Bousfield localization
of a left proper model category. Using this we have that with
$(\eta \to J_d) \otimes \partial \Omega[T]$ also its pushout
$\Omega[T] \to \Omega[T] \cup J_d \otimes \partial \Omega[T]$
is a weak equivalence, and so by [[two-out-of-three]] with
the composite

$$
  (\eta \to J_d)\otimes \Omega[T]
  =
  \Omega[T] \to \Omega[T] \cup J_d \otimes \partial \Omega[T]
  \stackrel{(\eta \to J_d)\bar \otimes (\partial \Omega[T] \to \Omega[T])}{\to}
  J_d \otimes \Omega[T]
$$

also the pushout-product itself. 

=--

+-- {: .proof}
###### Proof
of prop. \ref{LocalizationAtWeakOperadicEquivalences}

By [this proposition](http://ncatlab.org/nlab/show/model+structure+on%20dendroidal%20sets#RelationToModelStructureForDendroidalCompleteSegal)
the acyclic cofibrations between normal dendroidal sets are 
generated from the $J$-anodyne extensions and closure under left cancellation property.
Therefore by lemma \ref{JAnodyneExtensionsAreCompleteSegalEquivalences} and 
[[two-out-of-three]], they are all complete weak 
equivalences.

Therefore by the [[pushout-product axiom]] in the [[simplicial model category]]
$[\Omega^{op}, sSet]_{cSegal}$, their [[powering]] into a fibration is an
acyclic Kan fibration. By [[Joyal-Tierney calculus]] this means that all the 
pushout-products $(A \to B) \bar \cdot (\partial \Delta[n] \to \Delta[n])$
have the left lifting property against fibrations, hence that they are weak 
equivalences in $[\Omega^{op}, sSet]_{cSegal}$.

Since therefore all the morphisms
$(A \to B) \bar \cdot ( \partial \Delta[n] \to \Delta[n] ) $ are 
weak equivalences in $[\Omega^{op}, sSet]_{cSegal}$, it is now sufficient
to show, conversely, that the morphisms that define the complete Segal localization
are weak equivalence in the localization at these morphisms.
For the tree horn inclusions this is clear, since they are among the
localizing maps for $n = 0$. For the morphisms
$(J_d \to \eta) \otimes \Omega[T]$ observe that 

$$
  (\eta \to J_d) \bar \otimes (\emptyset \to \Omega[T])
  = 
  (\eta \to J_d) \otimes \Omega[T]
$$

is $J$-anodyne (see _[[Cisinski model structure]]_), hence by
2-out-of-3 its [[retraction]] 
$  (J_d \to \eta  ) \otimes \Omega[T]$ is a weak equivalence.


=--

### Fibrations and Cofibrations


+-- {: .num_prop #FibrationsInGenReedy}
###### Proposition

A morphism $f : X \to Y$ in $[\Delta^{op}, sSet]_{gReedy}$ is a fibration or acyclic fibration,
precisely if for all [[trees]] $T \in \Omega$, the morphism of [[hom objects]]

$$
  X^{\Omega[T]}
  \to 
  X^{\partial \Omega[T]}
   \times_{Y^{\partial \Omega{T}}}
  Y^{\Omega[T]}
$$

is a [[Kan fibration]] or [[weak homotopy equivalence|acyclic]] Kan fibration, respectively.

=--

+-- {: .proof}
###### Proof

By definition of _[[generalized Reedy model structure]]_ and using prop. \ref{latching}.

=--

+-- {: .num_prop #CofibrantlyGenerated}
###### Proposition

The [[generalized Reedy model structure]] $[\Omega^{op}, sSet]_{gReeedy}$ is a [[cofibrantly generated model category]] with set of generating cofibrations 

$$
  I := \{\partial \Delta [n] \cdot \Omega[T] \cup \Delta[n] \cdot \partial \Omega[T] \to \Delta[n] \cdot \Omega[T]\}_{n \in \mathbb{N}, T \in \Omega}
$$


and with set of acyclic generating cofibrations

$$
  J := \{\Lambda^k[n] \cdot \Omega[T] \cup \Delta[n] \cdot \partial \Omega[T] \to \Delta[n] \cdot \Omega[T]\}_{n \in \mathbb{N}, T \in \Omega}
  \,.
$$

=--

The statement is ([Cisinski-Moerdijk, prop. 5.2](#CisinskiMoerdijk)). The following proof proceeds in view of remark 5.3 there.

+-- {: .proof}
###### Proof

By prop. \ref{FibrationsInGenReedy} we have that
a morphism $f : X \to Y$ in $[\Omega^{op}, sSet]_{gReedy}$ is a fibration or acyclic fibration precisely if for all [[trees]] $T$ the canonical morphism

$$
  X^{\Omega[T]} 
   \to 
  X^{\partial \Omega[T]} \times_{Y^{\partial \Omega[T]}} Y^{\Omega[T]}
$$

is a [[Kan fibration]] or acyclic Kan fibration, respectively.

This means equivalently that every diagram

$$
  \array{
    \Lambda^k \Delta[n] &\to& X^{\Omega[T]}
    \\
    \downarrow && \downarrow
    \\
    \Delta[n] &\to& 
    X^{\partial \Omega[T]} \times_{Y^{\partial \Omega[T]}} Y^{\Omega[T]}
  }
$$

or, respectively,

$$
  \array{
    \partial \Delta[n] &\to& X^{\Omega[T]}
    \\
    \downarrow && \downarrow
    \\
    \Delta[n] &\to& 
    X^{\partial \Omega[T]} \times_{Y^{\partial \Omega[T]}} Y^{\Omega[T]}
  }
$$

has a lift. A little reflection shows (see [[Joyal-Tierney calculus]]) that this, in turn, is equivalent to that every diagram

$$
  \array{   
    \Lambda^k[n] \times \Omega[T] \cup \Delta[n]\times \partial \Omega[T]
    &\to&
    X
    \\
    \downarrow && \downarrow 
    \\
    \Delta[n] \times \Omega[T]
    &\to&
    Y
  }
$$

or, respectively, 

$$
  \array{   
    \partial \Delta[n] \times \Omega[T] \cup \Delta[n]\times \partial \Omega[T]
    &\to&
    X
    \\
    \downarrow && \downarrow 
    \\
    \Delta[n] \times \Omega[T]
    &\to&
    Y
  }
$$

has a lift. 

The statement follows by using the [[small object argument]].

=--

+-- {: .num_remark }
###### Remark

Being a [[category of presheaves]], $[\Omega^{op}, sSet]$ is a [[locally presentable category]]. Together with the cofibrant generation of the model structure from prop. \ref{CofibrantlyGenerated} this means that $[\Omega^{op}, sSet]_{gReedy}$ is a [[combinatorial model category]]. This implies that it has a good theory of [[Bousfield localization of model categories|left Bousfield localization]] at sets of morphisms.

=--

+-- {: .num_prop #CofibrationsAreNormalMonomorphisms}
###### Proposition

The cofibrations in $[\Omega^{op}, sSet]_{gReedy}$ are precisely the simplicial-degree-wise _normal monomorphisms_ of [[dendroidal sets]] (see [here](nlab/show/dendroidal%20set#NormalMonomorphisms)).

=--

This is ([Cisinski-Moerdijk, cor. 4.3](#CisinskiMoerdijk)).

+-- {: .proof}
###### Proof

The generating inclusions in prop. \ref{CofibrantlyGenerated} are the boundary inclusions of [[representable functor|representables]] in the product site $\Delta \times \Omega$, regarded as a Cisinski-[[generalized Reedy category]]. By the discussion [there](nlab/show/generalized%20Reedy%20category#NormalMorphisms), these generate the normal monomorphisms on $\Delta \times \Omega$. But since $\Delta$ contains no non-trivial automorphisms, this are just the degreewise dendroidal normal monomorphisms.

=--

+-- {: .num_prop #SimplicialEnrichment}
###### Proposition

The [[generalized Reedy model structure]] $[\Omega^{op}, sSet]_{gReedy}$
equipped with the [[sSet]]-[[enriched category|enrichment]] from remark \ref{TensoringAndEnrichment} is an [[enriched model category]] over the standard [[model structure on simplicial sets]] -- a _[[simplicial model category]]_.

=--

+-- {: .proof}
###### Proof

It is sufficient to check the [[pushout-product axiom]] for the [[tensoring]] operation. So for $a : S \to T$ a monomorphism of [[simplicial sets]] and $ f : X \to Y$ a degreewise normal monomorphisms in $[\Omega^{op}, sSet]$, we need to check, by prop \ref{CofibrationsAreNormalMonomorphisms}, that the canonical morphism

$$
  (S \cdot Y) \coprod_{(S \cdot X)} (T \cdot X) \to T \cdot Y
$$

is a simplicial-degreewise normal monomorphism, which is a weak equivalence if either of $a$ or $f$ is. Since this coproduct is computed objectwise, this morphism is over $[n] \in \Delta$ the pushout of simplicial sets

$$
  (S_n \cdot Y_n) \coprod_{(S_n \cdot X_n)} (T_n \cdot X_n) \to T_n \cdot Y_n
  \,,
$$

where now the [[tensoring]] is that of [[dendroidal sets]] over sets, which is given by [[coproduct]] of dendroidal sets, $S_n \cdot Y_n = \coprod_{s \in S_n} Y_n$. It is clear that this is a [[monomorphism]].

Moreover, the [[image]] of this morphism contains the image of $T_n \cdot f_n$, which for each summand $t \in T_n$ is the image of $f$. Therefore the [[dendrex|dendrices]] not in this image are also summand-wise not in the image of $f$, hence have trivial [[stabilizer groups]], by the assumption that $f$ is a normal monomorphism.

Finally, to see that the above morphism out of the pushout is a weak equivalence if either of $a$ or $f$ is, use that in $[\Omega^{op}, sSet]_{fReedy}$ the weak equivalences are tree-wise those of simplicial sets. The statement then follows by $sSet_{Quillen}$ being a [[monoidal model category]] with respect to its [[cartesian monoidal category|cartesian monoidal]] category structure.

=--

Some of these properties are inherited by the actual model structure for dendroidal complete Segal spaces

+-- {: .num_cor }
###### Corollary

The model structures $[\Omega^{op}, sSet]_{Segal}$ and $[\Omega^{op}, sSet]_{cSegal}$ 

* are [[combinatorial simplicial model categories]];

* have as cofibrations precisely the simplicial-degreewise normal monomorphisms.

=--

+-- {: .proof}
###### Proof

Since cofibrations and simplicial enrichment are preserved by left Bousfield localization, this follows from the analogous statements for $[\Omega^{op}, sSet]_{gReedy}$.

=--

### Fibrant objects

+-- {: .num_remark #FillerPropertyOfFibrantObjects}
###### Remark

An object $X \in [\Omega^{op}, sSet]_{gReedy}$ is fibrant, precisely if for
every [[tree]] $T \in \Omega$, the morphism

$$
  X^{(\partial \Omega[T] \hookrightarrow \Omega[T])}
  : 
  X(T) \to X^{\partial \Omega[T]}
$$

is a [[Kan fibration]].

=--

+-- {: .proof}
###### Proof

By prop. \ref{FibrationsInGenReedy}, using $Y = *$.

=--


+-- {: .num_prop #CompleteSegalBySpineLiftingAndHornLifting}
###### Proposition

Let $X \in [\Omega^{op}, sSet]_{gReedy}$ be fibrant.
Then the following conditions are equivalent

* $X \in dsSet$ is a dendroidal Segal space, hence fibrant in $[\Omega^{op}, sSet]_{Segal}$;

* for every [[spine]] inclusion $Sp[T] \hookrightarrow \Omega[T]$, the induced morphism  $X^{\Omega[T]} \to X^{Sp[T]}$ is an acyclic Kan fibration;

* for every inner [[horn]] inclusion $\Lambda^e[T] \hookrightarrow \Omega[T]$, the induced morphism $X^{\Omega[T]} \to X^{\Lambda^e[T]}$ is an acyclic Kan fibration.

=--

This appears as ([Cisinski-Moerdijk, cor. 5.6](#CisinskiMoerdijk)).

+-- {: .proof}
###### Proof

By prop. \ref{SpineAndHornLocalization} Segal objects are equivalently spine-local and horn-local. By prop. \ref{CofibrationsAreNormalMonomorphisms} both the spine and the horn inclusion are morphisms between cofibrant objects
in $[\Omega^{op}, sSet]_{gReedy}$. 
By the general properties of 
[[Bousfield localization of model categories|left Bousfield localization]] and using that $[\Omega^{op}, sSet]_{gReedy}$ is a [[simplicial model category]] by prop. \ref{SimplicialEnrichment}, 
it follows that a fibrant object $X \in [\Omega^{op}, sSet]_{gReedy}$ is local with respect to the spine / horn inclusions precisely if powering these into this object, remark \ref{TensoringAndEnrichment}, is a weak equivalence of simplicial sets. Since moreover the horn and spine inclusions are cofibrations, by prop. \ref{CofibrationsAreNormalMonomorphisms}, this will necessarily be an acyclic Kan fibration (by the dual of the [[pushout-product axiom]] in a [[simplicial model category]]).

=--

Let $S = \{A \to B\}$ be a set of generating acyclic cofibrations for the [[model structure on dendroidal sets]], $dSet_{CM}$, chosen such that all domains and codomains are normal, hence cofibrant. 

+-- {: .num_prop #CompletenessByRightLifting}
###### Proposition

An object $X \in [\Omega^{op}, sSet]_{cSegal}$ is fibrant
precisely if 

1. it is fibrant in $[\Omega^{op}, sSet]_{Segal}$;

1. it has the [[right lifting property]] against the set

   $$
     \{ 
        (A \to B) \bar \cdot (\partial \Delta[n] \to \Delta[n]) 
     \}_{(A \to B) \in S, n \in \mathbb{N}}
     \,.
   $$

=--

([Cis-Moer, cor. 6.5](#CisinskiMoerdijk))

+-- {: .proof}
###### Proof

By prop. \ref{LocalizationAtWeakOperadicEquivalences} and the
basic nature of left Bousfield localization.

=--

### Weak equivalences

+-- {: .num_prop #WEDetectedOnCorollas}
###### Proposition

A morphism $f : X \to Y$ between dendroidal Segal spaces is a weak equivalence in $[\Omega^{op}, sSet]_{Segal}$, and hence in $[\Omega^{op}, sSet]_{cSegal}$ precisely if its components on the trees $\eta$ and $C_n$ for all $n$, def. \ref{Corollas}, are [[weak homotopy equivalences]] of simplicial sets.

=--

This appears as ([Cisinski-Moerdijk, prop. 5.7](#CisinskiMoerdijk)).

+-- {: .proof}
###### Proof

By general properties of [[Bousfield localization of model categories|left Bousfield localization]], a morphism between [[local objects]] is a weak equivalence precisely if it is so already in the unlocalized model structure $[\Omega^{op}, sSet]_{genReedy}$. There the weak equivalences are the morphisms that are so over _every_ tree. But by prop. \ref{CompleteSegalBySpineLiftingAndHornLifting} these are already implied by weak equivalences over the [[spines]]. These are, finally, [[colimits]] which happen to be [[homotopy colimits]] of $\eta$ and of corollas, and hence it suffices to have weak equivalences over these components in order to have them over all components.

=--

+-- {: .num_prop #WeakEquivalencesAreFullyFaithfulEssentiallySurjective}
###### Proposition

A morphism $f : X \to Y$ of dendroidal Segal spaces is a weak equivalence in $[\Omega^{op}, sSet]_{Segal}$ precisely if it is

1. fully faithful, def. \ref{FullyFaithfulMorphism};

1. [[essentially surjective functor|essentially surjective]] in that $f(\eta) : X(\eta) \to Y(\eta)$ is a weak equivalence of simplicial sets.

=--

(See also _[[equivalence of categories]]_.)

This appears as ([Cisinski-Moerdijk, cor. 5.10](#CisinskiMoerdijk)).

+-- {: .proof}
###### Proof

Being essentially surjective is equivalent to $f(\eta)$ being an equivalence. By prop. \ref{WEDetectedOnCorollas} it only remains to check that in this situation $f$ being fully faithful is equivalent to $f(C_n)$ being an equivalence, for all $n$.

By remark \ref{HomotopyPropertyOfHomSpaces}, of $f(C_n) : X(C_n) \to Y(C_n)$ is a weak equivalence for all $n$ then $f$ is fully faithful, since weak equivalence are preserved by [[homotopy pullback]]. 

For the converse, 
consider for each $n$ the inclusion of _all_ input and output colors

$$
  \coprod_{(x_1, \cdots, x_n; x)}
  * 
  \to
  X(\eta)^{n+1}
$$

and similarly for $Y$. Since this evidently hits all connected components of $X(\eta)^{n+1}$, it is an [[effective epimorphism in an (∞,1)-category]] in [[∞Grpd]]. These are stable under [[homotopy pullback]], and so also 

$$
  \coprod_{(x_1, \cdots, x_n; x)}
  X(x_1, \cdots, x_n; x)
  \to
  X(C_n)
$$

is an effective epimorphism, and similarly for $Y$. If now $f$ is fully faithful, then by the definition of [[effective epimorphism in an (∞,1)-category]], this exhibits $f(C_n)$ as the [[homotopy colimit]] of a diagram of equivalences. Hence $f(C_n)$ is itself a weak equivalence.


=--

### Relation to other model structures

We discuss the relation to various other model structures for operads. For an overview see _[[table - models for (infinity,1)-operads]]_.


#### To complete Segal spaces

Write $\eta \in \Omega \hookrightarrow dSet \hookrightarrow dsSet$ for the [[tree]] with a single edge and no non-trivial vertex. 

Then [[slice category]] of $dsSet$ over $\eta$ is evidently equivalent to that of [[bisimplicial sets]]

$$
  ssSet \simeq dsSet_{/\eta} 
  \hookrightarrow
  dsSet
  \,.
$$

By restriction along this inclusion, the 
above model structure reproduces the
[[model structure for complete Segal spaces]].

#### To dendroidal sets / quasi-operads
 {#RelationToDendroidalSets}

The model structure for dendroidal complete Segal spaces is [[Quillen equivalence|Quillen equivalent]] to the [[model structure on dendroidal sets]], whose fibrant objects are the "quasi-operads" (the operadic generalization of [[quasi-categories]]).
 
We discuss in fact two Quillen equivalences, with right adjoints going in both directions:

1. [From quasi-operads to dendroidal complete Segal spaces](#QuasiOperadsToDendroidalCompleteSegal)

   $$
      ({|-|_J} \dashv Sing_J) : 
      dSet_{CM}
       \stackrel{\overset{{|-|_J}}{\leftarrow}}{\underset{{Sing_j}}{\to}}
      [\Omega^{op}, sSet]_{cSegal}
      \,.
   $$

1. [From dendroidal complete Segal spaces to quasi-operads](#DendroidalSegalSpacesToQuasiOperads)

   $$
     (i  \dashv )
     [\Omega^{op}, sSet]_{cSegal}   
       \stackrel{\overset{i}{\leftarrow}}{\underset{}{\to}}
     dSet
   $$

##### Quasi-operads to dendroidal complete Segal spaces
 {#QuasiOperadsToDendroidalCompleteSegal}

Recall from _[[complete Segal space]]_ the basic example _[Categories as complete Segal spaces](complete+Segal+space#OrdinaryCategoriesAsCompleteSegalSpaces)_ which shows how an ordinary [[small category]] $C$ is regarded as a [[complete Segal space]] $Sing_J(C)$ by setting

$$
  Sing_J(C) : n \mapsto N(Core(C^{\Delta[n]}))
  \,.
$$

Recall also that this and its generalization to _[Complete Segal spaces of quasi-categories](complete+Segal+space#QuasiCategoriesAsCompleteSegal)_, amounts to simply forming a double-nerve with respect to the invertible interval object. We consider here the operadic generalization of this construction.

+-- {: .num_defn #SegalNerve}
###### Definition

Write

$$
  \Delta_J : \Delta \to sSet
$$

for the cosimplicial simplicial set that in degree $n$ is the [[nerve]] of the [[free construction|free]] [[groupoid]] on $\Delta[n]$

$$
  \Delta_J(n) := N ( \{0 \stackrel{\simeq}{\to} \cdots \stackrel{\simeq}{\to} n \} )
  \,.
$$

We use the same symbol for the further prolongation to a cosimplicial dendroidal set

$$
  \Delta_J : \Delta \to sSet \stackrel{i_!}{\hookrightarrow} dSet
  \,.
$$

Moreover, we use the same symbol also for

$$
  \Delta_J : \Delta \times \Omega \to dSet
$$

$$
  \Delta_J : ([n], T) \mapsto \Delta_J[n] \otimes_{BV} \Omega[T]
$$

(where $\otimes_{BV}$ is the [[Boardman-Vogt tensor product]] on [[dendroidal sets]]).

The induced [[nerve and realization]] [[adjunction]] we denote

$$
    ({|-|_J} \dashv Sing_J) : 
    dSet_{}
     \stackrel{\overset{{|-|_J}}{\leftarrow}}{\underset{{Sing_j}}{\to}}
    [\Omega^{op}, sSet]_{}
    \,.
$$

So for $X \in dSet$

$$
  Sing_J(X) :  (T, [n]) \mapsto Hom_{dSet}(\Delta_J[n]\otimes \Omega[T], X)
  \,.
$$


=--

This appears as ([Cis-Moer, 6.10](#CisinskiMoerdijk)).

+-- {: .num_example }
###### Example


For 

$$
  C \in Cat \stackrel{}{\hookrightarrow} Operad \stackrel{N_d}{\hookrightarrow}
  dSet
$$ 

a [[small category]], we have

$$
  Sing_J(C)
  :
  i_!(
  n 
    \mapsto 
  N(Core(C^{\Delta[n]}))
  )
  \,.
$$

=--

+-- {: .num_prop }
###### Proposition

The nerve and realization adjunction, def. \ref{SegalNerve} constitutes a [[Quillen equivalence]] to the [[model structure on dendroidal sets]].

$$
   ({|-|_J} \dashv Sing_J) : 
   dSet_{CM}
    \stackrel{\overset{{|-|_J}}{\leftarrow}}{\underset{{Sing_j}}{\to}}
   [\Omega^{op}, sSet]_{cSegal}
   \,.
$$

=--

This appears as ([Cis-Moer, prop. 6.11](#CisinskiMoerdijk)).

+-- {: .proof}
###### Proof

First we show that ${\vert -\vert_J}$ is a [[left Quillen functor]]. Since $dSet_{CM}$ is a [[monoidal model category]], it follows from the [[pushout-product axiom]] in $(dSet_{CM}, \otimes_{BV})$ that ${\vert -\vert_J}$ sends the generating (acyclic) cofibrations of $[\Omega^{op}, sSet]_{Reedy}$ from prop. \ref{CofibrantlyGenerated} to (acyclic) cofibrations in $dSet_{CM}$. Since the cofibrations of $[\Omega^{op}, sSet]_{cSegal}$ are the same as those of $[\Omega^{op}, sSet]_{Reedy}$, it is sufficient to see that ${\vert -\vert_J}$ sends the morphisms that define the localization, def. \ref{ModelStructures}, to weak equivalences in $dSet_{CM}$. But since these moprhisms are in the image of the inclusion $dSet \hookrightarrow [\Omega^{op}, sSet]$, the functor indeed sends them to themselves, and they are indeed weak equibalences in $dSet_{CM}$ (since all inner [[anodyne morphisms]] are -- this gives that $\Lambda^e[T] \to \Omega[T]$ is a weak equivalence -- and all equivalences in the [[canonical model structure on operads]] are -- this gives that $\Omega[T] \otimes_{BV} J \to \Omega[T]$ is).

So far this shows that ${\vert - \vert_J}$ is left Quillen. To see that it is a Quillen equivalence, use that its composition with the left Quillen functor $i : dSet_{CM} \to [\Omega^{op}, sSet]_{gReedy}$ discussed in the [companion section](#DendroidalSegalSpacesToQuasiOperads) is evidently a Quillen equivalence.

(...)

=--

+-- {: .num_prop }
###### Observation

If we write (as [here](http://ncatlab.org/nlab/show/model+structure+on+dendroidal+sets#Enrichment)), for $A \in dSet$ normal
and $X \in dSet$ fibrant

$$
  k(A,X) := Core(i^* [A,X]_{\otimes})
$$

for the maximax Kan complex inside the [[internal hom]] of $(dSet, \otimes_{BV})$, then, still for $X$ fibrant, we have

$$
  Sing_J(X) : (T, n) \mapsto k(\Omega[T], X)_n
  \,.
$$

=--


##### Complete dendroidal Segal spaces to quasi-operads
 {#DendroidalSegalSpacesToQuasiOperads}

Write 

$$
  i : dSet = [\Omega^{op}, Set] \hookrightarrow [\Omega^{op}, sSet]
$$ 

for the evident [[full subcategory]] inclusion of [[dendroidal sets]] into dendroidal simplicial sets induced by regarding a set as a [[discrete object]] in [[simplicial sets]].

+-- {: .num_theorem #dSetsInjectedIntoSegalIsQuillenEquivalence}
###### Theorem

The inclusion

$$
  i : dSet_{CM} \hookrightarrow [\Omega^{op}, sSet]_{cSegal}
$$

is the [[left adjoint]] of a [[Quillen equivalence]] from the [[model structure on dendroidal sets]] to the model structure for dendroidal complete Segal spaces, def. \ref{ModelStructures}.

=--

This is ([Cisinski-Moerdijk, prop. 4.8, theorem 6.6](#CisinskiMoerdijk)).

The following proof proceeds by passing through another Bousfield localization of a global model structure on dendroidal simplicial sets.

+-- {: .num_defn #LocallyConstantModelStructure}
###### Definition

Let $[\Delta^{op}, dSet_{CM}]_{Reedy}$ be the [[Reedy model structure]] on [[simplicial objects]] in the [[model structure on dendroidal sets]].

Write

$$
  [\Delta^{op}, dSet_{CM}]_{LocConst}
   \stackrel{\overset{id}{\leftarrow}}{\underset{id}{\to}}
  [\Delta^{op}, dSet_{CM}]_{Reedy}
$$

for its [[Bousfield localization of model categories|left Bousfield localization]] at the set 

$$
  S = 
  \{\Delta[n] \cdot \Omega[T] \to \Omega[T]\}_{n \in \Delta, T \in \Omega}
  \,.
$$

We call this the **locally constant model structure** on simplicial dendroidal sets.

=--

([Cis-Moer, def. 4.6](#CisinskiMoerdijk))

+-- {: .num_prop #QuillenEquivalencedSetToLocConst}
###### Proposition

The functors

$$  
  (const \dashv ev_0)
  :
  [\Delta^{op}, dSet_{CM}]_{LocConst}
   \stackrel{\overset{const}{\leftarrow}}{\underset{ev_0}{\to}}
  dSet_{CM}
$$

constitute a [[Quillen equivalence]].

=--

([Cis-Moer, prop. 4.8](#CisinskiMoerdijk))

+-- {: .proof}
###### Proof

The set $\{\Omega[T]\}_{T \in \Omega}$ is a set of generators,
in that a morphism $f : X \to Y$ in $dSet_{CM}$ is a weak equivalence precisely
if under the [[derived hom space]] functor 
$\mathbb{R}Hom(\Omega[T], f)$ is a weak equivalence, for all $T$.
Therefore the localization in def. \ref{LocallyConstantModelStructure}
is of the general kind  discussed at _[[simplicial model category]]_
in the section 
_[Simplicial Quillen equivalent models](simplicial+model+category#SimpEquivMods)_. The above statement is thus a special case of the general theorem discussed there.

=--

+-- {: .num_prop #FibrantObjectsInTheLocallyConstantModelStructure}
###### Proposition

The fibrant objects in $[\Delta^{op}, dSet_{CM}]_{LocConst}$ are precisely

* the Reedy fibrant simplicial dendroidal sets $X$,  

* such that for every $n \in \mathbb{N}$ the morphism $X_n \to X_0$ is a weak equivalence in the [[model structure on dendroidal sets]];
=--

([Cis-Moer, 4.7 ii)+iii)](#CisinskiMoerdijk)).

+-- {: .proof}
###### Proof

The proof is again a special case of the general discussion at _[Simplicial Quillen equivalent models](http://ncatlab.org/nlab/show/simplicial+model%20category#SimpEquivMods)_. Here is a self-contained proof, for completeness.

By standard facts of [[Bousfield localization of model categories|left Bousfield localization]] a simplicial dendroidal set is fibrant in the locally constant model structure, def. \ref{LocallyConstantModelStructure}, precisely if it is fibrant in $[\Delta^{op}, [\Omega^{op}, Set]_{CM}]_{Reedy}$ and moreover the [[derived hom-space]] functor $\mathbb{R}Hom_{[\Delta^{op},dSet_{CM}]_{Reedy}}((\Delta[n]\cdot \Omega[T] \to \Omega[T]), X)$ is a weak equivalence for all $n \in \mathbb{N}$. 

We compute this derived hom space now in a maybe slightly non-obvious way, in order to get the result in a form that we can compare to the derived hom in $dSet_{CM}$. First of all, since the derived hom space only depends on the weak equivalences, we may compute it working with the projective [[model structure on functors]]
$[\Delta^{op}, [\Omega^{op}, Set]_{CM}]_{proj}$. Here in turn we use as [framing](http://ncatlab.org/nlab/show/%28infinity,1%29-categorical+hom-space#Framings) $\hat X$ of that:

$$
  (const X \stackrel{\simeq}{\to}\hat X ) 
  \in 
  [\Delta^{op}, [\Delta^{op}, [\Omega^{op}, Set]_{CM}]_{proj}]_{Reedy}
  \,.
$$

Since $\Delta[n]\cdot \Omega[T]$ is cofibrant in 
$[\Delta^{op}, [\Omega^{op}, Set]_{CM}]_{proj}$ (because $\Delta[n]$ is representable and $\Omega[T] \in dSet$ is normal), also $const \Delta[n]\cdot \Omega[T]$ is cofibrant in $[\Delta^{op}, [\Delta^{op}, dSet_{CM}]_{proj}]_{Reedy}$,  and so we have that

$$
  \mathbb{R}Hom(\Delta[n] \cdot\Omega[T], X)
  \simeq
  \left(
    [n] \mapsto Hom_{[\Delta^{op}, dSet]}(const(\Delta[n]\cdot \Omega[T]), \hat X)
  \right)
  \,.
$$

We claim now that such a resolution $\hat X$ is given by (using the notation for core simplicial enrichement of $dSet$ _[here](http://ncatlab.org/nlab/show/model%20structure%20on%20dendroidal%20sets#Enrichment)_)

$$
  \hat X
  :
  [n] \mapsto X^{(\Delta[n])}
  \,.
$$

To see that this is indeed Reedy fibrant, notice that this is so precisely if for all $k \in \mathbb{N}$ the morphism

$$
 X^{(\Delta[k])} \to X^{(\partial \Delta[k])}
$$

is fibrant in $[\Delta^{op}, [\Omega^{op}, Set]_{CM}]_{proj}$, which is the case 
precisely if for all $n \in \Delta$ the morphism 

$$
  X^{(\Delta[n])}_k \to X^{(\partial \Delta[n])}_k
$$

is a fibration in $dSet_{CM}$. But using that the Reedy fibrant $X$ is in particular projectively fibrant (see [[Reedy model structure]]), hence that $X_k \in dSet_{CM}$ is fibrant (is a quasi-operad) for all $k$, this is indeed the case, by discussion 
[here](model+structure+on+dendroidal+sets#Enrichment)
at _[[model structure on dendroidal sets]]_.

So finally we find that we may compute the derived hom
as

$$
  \begin{aligned}
    \mathbb{R}Hom_{[\Delta^{op}, dSet_{CM}]_{proj}}(\Delta[n]\times \Omega[T], X)
    & =
    \left(
    [k]
  \mapsto
  Hom_{[\Delta^{op}, dSet]}( \Delta[n] \times \Omega[T], X^{(\Delta[k])} )
  \right)
  \\
  &
  =
  \left(
    [k] 
      \mapsto 
    Hom_{dSet_{CM}}(\Omega[T], X^{(\Delta[k])}_n)
  \right)
  \end{aligned}
  \,.
$$

The right hand here is now manifestly the derived hom in $dSet_{CM}$,
from $\Omega[T]$ to $X_n$, computed itself by a framing resolution. 

Therefore we have found that $X$ is fibrant in the locally constant model structure, def. \ref{LocallyConstantModelStructure}, precisely if for all $n$ and $T$ the morphisms

$$
  \mathbb{R}Hom_{dSet_{CM}}(\Omega[T], X_n) \to \mathbb{R}Hom_{dSet_{CM}}(\Omega[T], X_0)
$$

are weak equivalences. Since the $\{\Omega[T]\}_{T \in \Omega}$ form a set of generators, this is the case precisely if $X_n \to X_0$ is already a weak equivalence in $dSet_{CM}$.

Now for the equivalence to the second item.

By [[Joyal-Tierney calculus]] the morphisms in question are of the form

$$
  (\Lambda^k[n] \to \Delta[n]) \bar \times (\partial \Omega[T] \to \Omega[T])
  \,.
$$

Since the [[horn]] inclusions generate the acyclic monomorphisms, a morphism $X \to *$ that has right lifting against this set also has right lifting against

$$
  (\Delta[0] \to \Delta[n]) \bar \times (\partial \Omega[T] \to \Omega[T])
  \,.
$$

This in turn means that $X_n \to X_0$ has the right lifting property against the tree boundary inclusions. Since these are the generating cofibrations in the [[model structure on dendroidal sets]], this implies that $X_n \to X_0$ is an equivalence. 

For the converse, it is sufficient to see that all the morphisms in the localizing set are acyclic cofibrations in the locally constant model structure. This follows with the discussion [here](model+structure+on+dendroidal+sets#RelationToModelStructureForDendroidalCompleteSegal) at _[[model structure on dendroidal sets]]_.

=--

+-- {: .num_prop #FibrantObjectsInTheLocallyConstantModelStructure2}
###### Proposition

The fibrant objects in $[\Delta^{op}, dSet_{CM}]_{LocConst}$ are also precisely

* the Reedy fibrant simplicial dendroidal sets $X$,  

* such that the morphism $X \to *$ has the [[right lifting property]] against the set of [[pushout product]] morphisms

  $$
    \{
      (\Lambda^k[n] \to \Delta[T]) \bar \cdot (\partial \Omega[T] \to \Omega[T])
    \}_{T \in \Omega, n \geq 1 , 0 \leq k \leq n}
    = 
    \{
      \Lambda^k[n] \cdot \Omega[T] \cup \Delta[n] \cdot \partial \Omega[T] \to 
      \Delta[n]\cdot\Omega[T]
    \}_{T \in \Omega, n \geq 1 , 0 \leq k \leq n}
    \,.
  $$



=--

([Cis-Moer, 4.7 i)+iii)](#CisinskiMoerdijk)).

+-- {: .proof}
###### Proof

Since the simplicial horn inclusions generate all acyclic cofibrations in $sSet_{Qillen}$, it follows that a (Reedy fibrant) object $X$ which has right lifting against $\{(\Lambda^k[n] \to \Delta[n]) \bar \cdot (\partial \Omega[T] \to \Omega[T])\}$ also has right lifting against $\{(\Delta[0] \to \Delta[n]) \bar \cdot (\partial \Omega[T] \to \Omega[T]) \}$. This means that $X_0 \to X_n$ is an acyclic fibration for all $n$, in particular a weak equivalence, hence $X$ is fibrant in the locally constant structure by \ref{FibrantObjectsInTheLocallyConstantModelStructure}.

Conversely, one finds with ... and ... that the morphisms in the above set are acyclic cofibrations in the locally constant model structure, hence if an object is locally constant fibrant, it lifts against these.

=--





+-- {: .num_prop #SimplicialDendroidalCoincidesWithDendroidalSimplicial}
###### Proposition

Under the canonical identification of categories

$$
  [\Delta^{op}, dSet] \simeq [\Omega^{op}, sSet]
$$

the two model structures $[\Delta^{op}, dSet_{CM}]_{LocConst}$,
def. \ref{LocallyConstantModelStructure} and $[\Omega^{op}, sSet]_{cSegal}$,
def. \ref{ModelStructures}, coincide.

=--

+-- {: .proof}
###### Proof

By a standard fact (see at _[[model category]]_ the section _[Redundancy of the axioms](model+category#RedundancyInTheAxioms)_) it is sufficient to show that the cofibrations and the fibrant objects coincide.

By prop. \ref{CofibrantlyGenerated} we know the generating cofibrations of
$[\Omega^{op}, sSet]_{cSegal}$. By the same kind of argument we find the cofibrations of $[\Delta^{op}, dSet]_{Reedy}$, and hence of
$[\Delta^{op}, dSet]_{LocConst}$: 

by definition of [[Reedy model structure]], a morphism $f : X \to Y$ here is an _acyclic fibration_ if for all $n \in \Delta$ the morphism

$$
  X^{\Delta[n]} \to X^{\partial \Delta[n]} \times_{Y^{\partial \Delta[n]}} Y^{\Delta[n]}
$$

is an acyclic fibration in $dSet_{CM}$. Since $dSet_{CM}$ has generating cofibrations given by the set of tree boundary inclusions $\{\partial \Omega[T] \hookrightarrow \Omega[T]\}_{T \in \Omega}$, one finds as in the proof of prop. \ref{CofibrantlyGenerated} that $f : X \to Y$ is an acyclic fibration precisely if it has the right lifting property against the morphisms in the set

$$
  \{
    \partial \Delta[n] \cdot \Omega[T]
    \cup
    \Delta[n] \cdot \partial \Omega[T]
    \to
    \Delta[n] \cdot \Omega[T]
  \}_{n \in \Delta, T \in \Omega}
  \,.
$$

Therefore the cofibrations in the two model structures do coincide.

(Notice that a similar statement holds for the acyclic cofibrations, only that the generating set of acyclic cofibrations in $dSet_{CM}$ is, while known to exist, not known explicitly.)

Next, to see that the fibrant objects also coincide, write again $S = \{A \to B\}$ for a choice of set of generating acyclic cofibrations for $dSet_{CM}$ between normal dendroidal sets.

By prop. \ref{FibrantObjectsInTheLocallyConstantModelStructure2} the fibrant objects of 
$[\Delta^{op}, dSet_{CM}]_{LocConst}$ are those that 

1. are Reedy fibrant over $\Delta^{op}$, meaning that they have the right 
   lifting property against

   $$
    \{  (A \to B) \bar \cdot (\partial \Delta[n] \to \Delta[n]) \}_{(A \to B) \in S, n \in \mathbb{N}}
    \,;
   $$

1. are local, meaning, by prop. \ref{FibrantObjectsInTheLocallyConstantModelStructure2}, that they have the right lifting property against

   $$
     \{ (\Lambda^k[n] \to \Delta[n]) \bar \cdot (\partial \Omega[T] \to \Omega[T]) \}
     \,.
   $$

On the other hand, the fibrant objects in $[\Omega^{op}, sSet]_{cSegal}$ are those

1. that are Reedy fibrant over $\Omega^{op}$, 
   meaning that they have the right lifting property against

   $$
     \{ (\Lambda^k[n] \to \Delta[n]) \bar \cdot (\partial \Omega[T] \to \Omega[T]) \}_{n \in \mathbb{N}, 0 \leq k \leq n, T \in \Omega}
     \,,
   $$

1. are Segal local, meaning by prop. \ref{SpineAndHornLocalization} that they have right lifting against

   $$
     \{
        (\partial \Delta[n] \to \Delta[n]) \bar \cdot ( \Lambda^e [T] \to \Omega[T] )
     \}
   $$

1. are complete Segal local, meaning by prop. \ref{CompletenessByRightLifting} that they have right lifting property against

   $$
    \{  (A \to B) \bar \cdot (\partial \Delta[n] \to \Delta[n]) \}_{(A \to B) \in S, n \in \mathbb{N}}
    \,.
   $$


The union of the three respective sets coincides in both cases.


=--

+-- {: .proof}
###### Proof 
**of theorem \ref{dSetsInjectedIntoSegalIsQuillenEquivalence}**

Combining prop. \ref{QuillenEquivalencedSetToLocConst} and
prop. \ref{SimplicialDendroidalCoincidesWithDendroidalSimplicial} we have
a total Quillen equivalence

$$
  const : dSet_{CM} \to [\Delta^{op}, dSet_{CM}]_{LocConst} \simeq [\Omega^{op}, sSet]_{cSegal}
  \,.
$$

=--

#### To Segal operads

(...) [[model structure for Segal operads]]

## Related concepts

* [[table - models for (infinity,1)-operads]]

## References

The model structure for dendroidal complete Segal spaces was introduced in 

* [[Denis-Charles Cisinski]], [[Ieke Moerdijk]], _Dendroidal Segal spaces and infinity-operads_ ([arXiv:1010.4956](http://arxiv.org/abs/1010.4956))
 {#CisinskiMoerdijk}

[[!redirects dendroidal complete Segal space]]
[[!redirects dendroidal complete Segal spaces]]

[[!redirects model structure for complete dendroidal Segal spaces]]
