
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Group Theory
+-- {: .hide}
[[!include group theory - contents]]
=--
=--
=--


# Contents
* table of contents
{:toc}

## Definition

A **finite group** is a [[group]] whose underlying [[set]] is [[finite set|finite]].

This is equivalently a [[group object]] in [[FinSet]].

## Properties

### Cauchy's theorem

Let $G$ be a finite group with [[order of a group|order]] ${\vert G\vert} \in \mathbb{N}$. 

+-- {: .num_theorem}
###### Theorem
**(Cauchy)**

If a [[prime number]] $p$ divides ${\vert G\vert}$, then equivalently

* $G$ has an element of [[order of an element|order]] $p$;

* $G$ has a [[subgroup]] of [[order of a group]] $p$.

=--

See at _[[Cauchy's theorem]]_ for more.

### Feit-Thompson theorem

+-- {: .num_theorem}
###### Theorem

Every finite group of odd [[order]] is a [[solvable group]].

=--

See at _[[Feit-Thompson theorem]]_.

### Classification

The structure of finite groups is a very hard problem; the classification of finite [[simple group]]s alone is one of the largest theorems ever proved (certainly if measured by number of journal pages needed for a complete proof).  

All finite groups are built out of [[simple group]]s, but the ways to do this have not (yet?) been fully classified.

A point of view that can be useful in particular cases -- more useful than the [[Jordan-Hölder theorem]] -- is provided by the [[F*-theorem]], due to [[Hans Fitting]] in the [[solvable group|solvable]] case and [[Helmut Bender]] in the general case. It states that $C_G(F^*(G))=Z(F^*(G))$, where $F^*(G)$ is the [[generalized Fitting subgroup]] of $G$, defined below, $C_G(F^*(G))$ is the [[subgroup]] of $G$ consisting of all elements commuting with every element of $F^*(G)$, and $Z(H)$ for any group $H$ is the [[center]] of $H$, the subgroup of $H$ consisting of all elements commuting with every element of $H$. Thus $G$ is somehow assembled from $F^*(G)$, whose structure has some easy features, and $G/C_G(F^*(G))$, which is isomorphic to a subgroup of the [[automorphism group]] of $F^*(G)$ and which has a [[quotient]] group [[isomorphic]] to $G/F^*(G)$. 

One definition of $F^*(G)$ is that it is the subgroup generated by all [[normal subgroup]]s $N$ of $G$ possessing subgroups $N_1,N_2,\dots, N_r$ for some integer $r$ such that $N=N_1N_2\cdots N_r$; $x_i x_j=x_j x_i$ for all $x_i\in N_i$, $x_j\in N_j$, and distinct subscripts $i$ and $j$; and each $N_i$ either has prime power order or is a [[quasisimple group]]. Bender proved that $F^*(G)$ itself enjoys these properties. 

Finally a group $H$ is called quasisimple if and only if $H=[H,H]$ and $H/Z(H)$ is simple. The finite quasisimple groups have been classified, as a consequence of the classification of finite simple groups and the calculation of the [[Schur multiplier]] of each finite simple group. 

For more on this see

* [[classification of finite simple groups]].

#### "Most finite groups are nilpotent" 

The meaning of the title is this curious fact (based on empirical evidence, anyway): if we are counting isomorphism classes of groups up to a given order, then most of them are $2$-[[p-primary group|primary]] groups (and therefore [[nilpotent group|nilpotent]]; see [[class equation]]). For example, it is reported that "out of the 49,910,529,484 groups of order at most 2000, a staggering 49,487,365,422 of them have order 1024". 

(It has also been suggested that a more meaningful weighting would divide each isomorphism class representative by the order of its [[automorphism group]]; as of this writing the nLab authors don't know how much this would affect the strength of the assertion "most finite groups are nilpotent".) 

Discussion can be found [here](http://mathoverflow.net/a/114666/2926) and [here](https://golem.ph.utexas.edu/category/2012/11/almost_all_of_the_first_50_bil.html).  


## Examples

* For every [[natural number]] $n \in \mathbb{N}$, the [[cyclic group]]
  
  $$
    \mathbb{Z}_n := \mathbb{Z}/n \mathbb{Z}
  $$

  is finite.

* The largest finite group that is also a [[sporadic simple group]], i.e., does not belong(up to isomorphism) to the infinite family of the alternating groups or to the infinite family of finite groups of Lie type, is the [[Monster group]].

* For more see also at _[[finite abelian group]]_.

[[!include ADE -- table]]

## Related concepts

* [[finite abelian group]]

* [[finite group scheme]]

## References
 {#References}

* _[Atlas of finite group representations](http://brauer.maths.qmul.ac.uk/Atlas/v3/)_

Discussion of [[group characters]] and [[group cohomology]] of finite groups includes

* [[Michael Atiyah]], _Characters and cohomology of finite groups_, Publications Mathématiques de l'IHÉS, 9 (1961), p. 23-64  ([Numdam](http://www.numdam.org/item?id=PMIHES_1961__9__23_0))

*  Alejandro Adem, R.James Milgram, _Cohomology of Finite Groups_, Springer 2004

* {#Epa10} [[Narthana Epa]], _Platonic 2-groups_, 2010 ([pdf](http://www.ms.unimelb.edu.au/documents/thesis/Epa-Platonic2-Groups.pdf))

Discussion of [[free actions]] of finite groups on [[n-spheres]] (see also at _[[ADE classification]]_) includes

* {#Milnor57} [[John Milnor]], _Groups which act on $S^n$ without fixed points_, American Journal of Mathematics Vol. 79, No. 3 (Jul., 1957), pp. 623-630 ([JSTOR](http://www.jstor.org/stable/2372566))

* {#Keenan03} Adam Keenan, _Which finite groups act freely on spheres?_, 2003 ([pdf](http://www.math.utah.edu/~keenan/actions.pdf))

[[!redirects finite groups]]
