
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
#### Monoidal categories
+--{: .hide}
[[!include monoidal categories - contents]]
=--
#### 2-Category theory
+--{: .hide}
[[!include 2-category theory - contents]]
=--
=--
=--
#Contents#
* table of contents
{:toc}


## Definition 

+-- {: .num_defn}
###### Definition 

A **monoidal monad** is a [[monad]] in the [[2-category]] of [[monoidal category|monoidal categories]], [[lax monoidal functor|lax monoidal functors]], and monoidal transformations. 

=-- 

+-- {: .num_remark}
###### Remark

The notion of monoidal monad is equivalent to a suitable general notion of _[[commutative monad]]_ (see def. \ref{CommutativeMonad} below), as discussed at [[commutative algebraic theory]]. We explore this connection below. 

=--

## Tensorial strengths and commutative monads 

As a preliminary, let $V$ be a [[monoidal category]]. We say a functor $T \colon V \to V$ is **strong** if there are given left and right [[tensorial strength|tensorial strengths]] 
$$\tau_{A, B} \colon A \otimes T(B) \to T(A \otimes B)$$

$$\,$$ 

$$\sigma_{A, B} \colon T(A) \otimes B \to T(A \otimes B).$$ 

which are suitably compatible with one another. The full set of [[coherence]] conditions may be summarized by saying $T$ preserves the two-sided monoidal [[action]] of $V$ on itself, in an appropriate [[2-category theory|2-categorical]] sense. More precisely: the two-sided action of $V$ on itself is a [[lax functor]] of 2-categories  
$$\tilde{V} \colon B V \times (B V)^{op} \to Cat$$ 
($B V$ is the one-object 2-category associated with a monoidal category $V$, and $(B V)^{op}$ is the same 2-category but with 1-cell composition (= tensoring) in reverse order), and the two-sided strength means we have a structure of [[lax natural transformation]] $\tilde{V} \to \tilde{V}$. 


+-- {: .num_remark}
###### Remark

In the setting where $V$ is _[[symmetric monoidal category|symmetric]]_ monoidal, we will assume that the left and right strengths $\tau$ and $\sigma$ are related by the symmetry in the obvious way, by a commutative square 

$$\array{
A \otimes T(B) & \stackrel{\tau_{A, B}}{\to} & T(A \otimes B) \\
 ^\mathllap{c} \downarrow & & \downarrow^\mathrlap{T(c)} \\
T(B) \otimes A & \underset{\sigma_{B, A}}{\to} & T(B \otimes A)
}$$ 

where the $c$'s are instances of the symmetry isomorphism. 

=--

There is a category of strong functors $V \to V$, where the morphisms are transformations $\lambda \colon S \to T$ which are compatible with the strengths in the obvious sense. Under composition, this is a strict monoidal category. 

+-- {: .num_defn #StrongMonad}
###### Definition 

Monoids in this monoidal category are called **[[strong monads]]**. 

=--

+-- {: .num_defn #CommutativeMonad}
###### Definition 

A [[strong monad]] $(T \colon V \to V, m \colon T T \to T, u: 1 \to T)$ (def. \ref{StrongMonad}) is a **[[commutative monad]]** if there is an equality of [[natural transformations]] $\alpha = \beta$ where 

* $\alpha$ is the composite 
$$T A \otimes T B \stackrel{\sigma_{A, T B}}{\to} T(A \otimes T B) \stackrel{T(\tau_{A, B})}{\to} T T(A \otimes B) \stackrel{m(A \otimes B)}{\to} T(A \otimes B).$$ 

* $\beta$ is the composite 
$$T A \otimes T B \stackrel{\tau_{T A, B}}{\to} T(T A \otimes B) \stackrel{T(\sigma_{A, B})}{\to} T T(A \otimes B) \stackrel{m(A \otimes B)}{\to} T(A \otimes B).$$ 
=-- 

## From monoidal monads to commutative monads 

Let $(T \colon V \to V, u \colon 1 \to T, m \colon T T \to T)$ be a monoidal monad, with structural constraints on the underlying functor denoted by 

$$\alpha_{A, B} \colon T(A) \otimes T(B) \to T(A \otimes B), \qquad \iota = u I: I \to T(I).$$ 

Define [[tensorial strength|strengths]] on both the left and the right by 

$$\tau_{A, B} = (A \otimes T(B) \stackrel{u A \otimes 1}{\to} T(A) \otimes T(B) \stackrel{\alpha_{A, B}}{\to} T(A \otimes B)),$$ 

$$\,$$ 

$$\sigma_{A, B} = (T(A) \otimes B \stackrel{1 \otimes u B}{\to} T(A) \otimes T(B) \stackrel{\alpha_{A, B}}{\to} T(A \otimes B)).$$ 

+-- {: .num_prop}
###### Proposition 
$(m \colon T T \to T, u \colon 1 \to T)$ is a commutative monad. 
=-- 

+-- {: .proof} 
###### Proof 
In fact, the two composites 

$$T A \otimes T B \stackrel{\sigma_{A, T B}}{\to} T(A \otimes T B) \stackrel{T(\tau_{A, B})}{\to} T T(A \otimes B) \stackrel{m(A \otimes B)}{\to} T(A \otimes B)$$ 

$$\,$$ 

$$T A \otimes T B \stackrel{\tau_{T A, B}}{\to} T(T A \otimes B) \stackrel{T(\sigma_{A, B})}{\to} T T(A \otimes B) \stackrel{m(A \otimes B)}{\to} T(A \otimes B)$$

are both equal to $\alpha_{A, B}$. We show this for the first composite; the proof is similar for the second. If $\alpha_T$ denotes the monoidal constraint for $T$ and $\alpha_{T T}$ the constraint for the composite $T T$, then by definition $\alpha_{T T}$ is the composite given by  
$$T T X \otimes T T Y \stackrel{\alpha_T T}{\to} T(T X \otimes T Y) \stackrel{T\alpha_T}{\to} T T(X \otimes Y)$$ 
and so, using the properties of monoidal monads, we have a commutative diagram 

$$\array{
 & & T T X \otimes T Y & \stackrel{\alpha_T}{\to} & T(T X \otimes Y) \\
 & ^\mathllap{u \otimes 1} \nearrow & \downarrow^\mathrlap{1 \otimes T u} & & \downarrow^\mathrlap{T(1 \otimes u)} \\
T X \otimes T Y & \stackrel{u \otimes T u}{\to} & T T X \otimes T T Y & \stackrel{\alpha_T T}{\to} & T(T X \otimes T Y) \\
 & ^\mathllap{1} \searrow & \downarrow^\mathrlap{m \otimes m} & \searrow^\mathrlap{\alpha_{T T}} & \downarrow^\mathrlap{T\alpha_T} \\
 & & T X \otimes T Y & & T T(X \otimes Y) \\
& & & ^\mathllap{\alpha_T} \searrow & \downarrow^\mathrlap{m} \\
 & & & & T(X \otimes Y)
}$$ 

which completes the proof. 
=-- 


## References

* {#Seal12} Gavin J. Seal, _Tensors, monads and actions_ ([arXiv:1205.0101](http://arxiv.org/abs/1205.0101))



[[!redirects monoidal monads]]

