
#Contents#
* table of contents
{:toc}

##Idea

A well-generated [[triangulated category]] is a strengthening of the notion of [[compactly generated triangulated category]] which was introduced by [Neeman, 2001](#Neeman).  The following definition is from ([Krause](#Krause)) and is somewhat shorter and more natural than Neeman's original definition.

##Definition

+-- {: .num_defn}
###### Definition

Let $T$ be a [[triangulated category]] with arbitrary [[coproducts]]. Then $T$ is **well-generated** in the sense of Neeman if and only if there exists a [[set]] $S_0$ of [[objects]] satisfying:

1. an object $X$ of $T$ is [[zero object|zero]] if $[S,X]=0$ for all $S\in S_0$;

1. for every set of maps $X_i\to Y_i$ in $T$, the induced map $[S,\coprod_I X_i]\to[S,\coprod_I Y_i]$ is surjective for all $S\in S_0$ whenever $[S,X_i]\to[S,Y_i]$ is surjective for all $i$ and all $S\in S_0$. 

1. the objects of $S_0$ are $\alpha$-[[compact object|small]] for some [[cardinal]] $\alpha$.  

=--

We recall that to say an object $S$ is $\alpha$-small in a triangulated category is to say that every map $S\to\coprod_J X_j$ factors through some $S\to\coprod_I X_j$ whenever $\vert I\vert \lt \alpha$ with $I$ a subset of $J$.

##References

* Henning Krause, _On Neeman's Well Generated Triangulated Categories_, Documenta Mathenatica 6 (2001) ([pdf](http://www.math.uiuc.edu/documenta/vol-06/07.pdf)).
 {#Krause}

* [[Amnon Neeman]], _Triangulated Categories_, Annals of Mathematics Studies 148, Princeton
University Press (2001).
 {#Neeman}

[[!redirects well-generated triangular category]]
[[!redirects well-generated triangulated categories]]
