
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Analysis
+-- {: .hide}
[[!include analysis - contents]]
=--
#### Complex geometry
+-- {: .hide}
[[!include complex geometry - contents]]
=--
=--
=--

# The Goursat theorem
* table of contents
{: toc}

## Idea

In [[complex analysis]], the Goursat theorem is the extension (due to [[Édouard Goursat]]) of the [[Cauchy integral theorem]] from [[continuously differentiable functions]] (for which [[Augustin Cauchy]] had proved it) to [[differentiable functions]] (which requires a harder and more technical argument).  Given Cauchy's other work, the immediate corollary is that every differentiable function is in fact [[analytic function|analytic]]; see [[holomorphic function]].  This corollary may also be viewed as the Goursat theorem; everything else in the basic theory of holomorphic functions is due to Cauchy, while Goursat\'s contribution was to remove the hypothesis that the derivative of such a function must be continuous.  On the other hand, the Goursat theorem may be seen as not a new theorem at all; from this perspective, Cauchy had always intended to prove his integral theorem for all complex-differentiable functions, and Goursat simply filled in a gap in Cauchy\'s proof.  But as Goursat was born the year after Cauchy died, that was a long-standing gap!


## Statements

Let $U$ be an [[open subset]] of the [[complex plane]] $\mathbb{C}$ and let $f\colon U \to \mathbb{C}$ be a complex-[[differentiable function]]; that is,
$$ f'(\zeta) \coloneqq \lim_{z \to \zeta} \frac{f(z) - f(\zeta)}{z - \zeta} $$
exists for every point $\zeta$ in $U$.  Then any of the following conclusions may be thought of as the Goursat theorem:

+-- {: .num_theorem #CD}
###### Theorem
The function $f'\colon U \to \mathbb{C}$ is [[continuous function|continuous]].  That is, $f$ is [[continuously differentiable function|continuously differentiable]].
=--

+-- {: .num_theorem #ITR}
###### Theorem
Given any point $\zeta$ in $U$ and any rectangle (or triangle) $C$ in $U$ whose inside contains $\zeta$ and is contained in $U$, the [[contour integral]]
$$ \oint_C f(z) \,\mathrm{d}z = 0 .$$
That is, the [[Cauchy integral theorem]] holds for $f$ on rectangles (or triangles).
=--

+-- {: .num_theorem #IT}
###### Theorem
Given any point $\zeta$ in $U$ and any [[Jordan curve]] $C$ in $U$ whose inside contains $\zeta$ and is contained in $U$, the [[contour integral]]
$$ \oint_C f(z) \,\mathrm{d}z = 0 .$$
That is, the [[Cauchy integral theorem]] holds for $f$.
=--

+-- {: .num_theorem #IF}
###### Theorem
Given any point $\zeta$ in $U$ and any [[Jordan curve]] $C$ in $U$ whose inside contains $\zeta$ and is contained in $U$, the [[contour integral]]
$$ \oint_C \frac{f(z)}{z - \zeta} \,\mathrm{d}z = 2\pi\mathrm{i}f(\zeta) .$$
That is, the [[Cauchy integral formula]] holds for $f$.
=--

+-- {: .num_theorem #AF}
###### Theorem
Given any point $\zeta$ in $U$, there is an [[infinite sequence]] $(c_0, c_1, \ldots)$ such that
$$ f(z) = \sum_i c_i (z - \zeta)^i $$
on some neighbourhood of $\zeta$ contained in $U$.  That is, the function $f$ is [[analytic function|analytic]].
=--

Cauchy had established that the conclusion of each of these theorems implied the conclusion of the next (except that he did not bother with Theorem \ref{ITR}), and it\'s immediate that the last implies the first, so from the perspective of Goursat\'s time, these theorems are all equivalent.  Goursat actually introduced his proof for Theorem \ref{ITR}, which is of interest only because Goursat\'s proof naturally gives it.  Since Goursat was the first to call attention to it, one might call Theorem \ref{ITR} specifically Goursat\'s Theorem, even though it is more of a lemma (for Theorem \ref{IT}) than a theorem in its own right.  (One might call Theorem \ref{ITR} ‘Goursat\'s Lemma’, but that is already used for an unrelated result about [[pullbacks]] in [[group theory]].)


## Proof

Here\'s a version for Theorem \ref{ITR}: <http://planetmath.org/encyclopedia/ProofOfGoursatsTheorem.html>

[[!redirects Goursat theorem]]
[[!redirects Goursat Theorem]]
[[!redirects Goursat's theorem]]
[[!redirects Goursat's Theorem]]
[[!redirects Goursat’s theorem]]
[[!redirects Goursat’s Theorem]]
[[!redirects Goursat\'s theorem]]
[[!redirects Goursat\'s Theorem]]
