
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### $(0,1)$-Category theory
+-- {: .hide}
[[!include (0,1)-category theory - contents]]
=--
#### Compact objects
+-- {: .hide}
[[!include compact object - contents]]
=--
=--
=--

# Compact/finite elements
* table of contents
{: toc}

## Definition

Let $P$ be a [[poset]] such that every [[directed set|directed]] [[subset]] of $P$ has a [[join]]; that is, $P$ is a [[dcpo]]. A __compact element__, or __finite element__, of $P$ is a [[compact object]] in $P$ regarded as a [[thin category]]; that is, homs out of it commute with these [[directed joins]].

In other words, $c \in P$ is compact precisely if for every directed subset $\{d_i\}$ of $P$ we have
$$
  (c \leq \bigvee_i d_i )
  \Leftrightarrow
  \exists_i (c \leq d_i)
  \,.
$$
Of course, the $\Leftarrow$ part of this is automatic, so the real condition is the $\Rightarrow$ part.  In more elementary terms:

*  If $c \leq \bigvee D$ for $D$ a directed subset, then $c \leq d$ for some $d \in D$.

In the case where $P$ has a [[top element]] $1$, we say that $P$ is *compact* if $1$ is a compact element.  


## Examples

*  Given a [[set]] $X$, the finite elements of its [[power set]] are precisely the (Kuratowski)-[[finite set|finite]] [[subsets]] of $X$.  (This is the origin of the term 'finite element'.)

*  Given a [[topological space]] (or [[locale]]) $X$, the compact elements of its [[frame of open subspaces]] are precisely the [[compact space|compact]] [[open subspaces]] of $X$.  (This is the origin of the term 'compact element'.)

* If $R$ is a (not necessarily commutative) [[ring]], the lattice $Idl(R)$ of two-sided [[ideals]] of $R$ is compact. Indeed, the top element is the ideal generated by $1$, the multiplicative identity, and $1 \in \bigvee_i I_i$ implies $1 \in I_i$ for some index $i$. 


[[!redirects compact element]]
[[!redirects compact elements]]
[[!redirects finite element]]
[[!redirects finite elements]]
