
# Exchange structure
* table of contents
{: toc}

+-- {: .standout}
This article was written by a new user and then blanked from the same address.
=--

## Definitions

Let $\mathcal{C}_{1}$, $\mathcal{C}_2$ be two [[categories]] with the same [[objects]].
Let $\mathcal{D}$ be a [[2-category]].
Let $F_{1}$ $\colon \mathcal{C}_{1} \rightarrow \mathcal{D}$ and $F_{2}\colon \mathcal{C}_{2} \rightarrow \mathcal{D}$ be [[2-functors]] such that $F_{1}(x) = F_{2}(x) = F(x)$ for all objects in $\mathcal{C}_1$ and $\mathcal{C}_2$. Let $\mathcal{E}$ be a fixed class of [[commutative squares]] that are preserved under [[horizontal composition|horizontal]] and [[vertical composition|vertical]] [[composition]] of the form:

<svg width="640" height="480" xmlns="http://www.w3.org/2000/svg">
 <g>
  <title>Layer 1</title>
  <text font-weight="bold" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="24" id="svg_1" y="90" x="169" stroke-width="0" stroke="#000000" fill="#000000">Y'</text>
  <text font-weight="bold" id="svg_2" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="24" y="323.5" x="166.5" stroke-width="0" stroke="#000000" fill="#000000">Y</text>
  <text font-weight="bold" id="svg_3" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="24" y="323.5" x="434.5" stroke-width="0" stroke="#000000" fill="#000000">X</text>
  <text font-weight="bold" id="svg_4" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="24" y="90.5" x="434.5" stroke-width="0" stroke="#000000" fill="#000000">X'</text>
  <line id="svg_5" y2="81" x2="402.002513" y1="81" x1="203" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_8" y2="317" x2="398.500559" y1="317" x1="199.498047" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_9" y2="295" x2="166" y1="109" x1="166" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_11" y2="295" x2="434" y1="109" x1="434" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_14" y2="317.757289" x2="399.757289" y1="308.244141" x1="390.244141" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_16" y2="293.757289" x2="165.757289" y1="284.244141" x1="156.244141" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_18" y2="293.757289" x2="432.757289" y1="284.244141" x1="423.244141" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_20" y2="81.876836" x2="400.123164" y1="90.123047" x1="391.876953" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_21" y2="316.876836" x2="398.123164" y1="325.123047" x1="389.876953" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_27" transform="rotate(-90, 439, 289)" y2="293.757289" x2="443.757289" y1="284.244141" x1="434.244141" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_28" transform="rotate(-90, 172, 289)" y2="293.757289" x2="176.757289" y1="284.244141" x1="167.244141" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_32" y2="81.757289" x2="400.757289" y1="72.244141" x1="391.244141" stroke-width="4" stroke="#000000" fill="none"/>
  <text id="svg_33" font-weight="bold" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="24" y="69.5" x="298.5" stroke-width="0" stroke="#000000" fill="#000000">g'</text>
  <text id="svg_34" font-weight="bold" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="24" y="340.5" x="295.5" stroke-width="0" stroke="#000000" fill="#000000">g</text>
  <text id="svg_35" font-weight="bold" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="24" y="212.5" x="142.5" stroke-width="0" stroke="#000000" fill="#000000">f'</text>
  <text id="svg_36" font-weight="bold" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="24" y="213.5" x="454.5" stroke-width="0" stroke="#000000" fill="#000000">f</text>
 </g>
</svg>
 
such that:
* $X, X', Y, Y'$ are objects in $\mathcal{C}_1$ and so are clearly in $\mathcal{C}_2$. 
* $g$ and $g'$ are arrows of $\mathcal{C}_1$
* $f$ and $f'$ are arrows of $\mathcal{C}_2$.

Commutative squares satisfying these properties are called __mixed squares__.
 
An **exchange structure** with respect to $\mathcal{E}$ on a pair $(F_{1},F_{2})$ for all mixed squares $(C)$ in $\mathcal{E}$ is a 2-morphism e(C) of $\mathcal{D}$ (called a 2-morphism __associated with the exchange__ of mixed $(C)$):

<svg width="640" height="480" xmlns="http://www.w3.org/2000/svg">
 <g>
  <title>Layer 1</title>
  <text font-weight="bold" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="24" id="svg_1" y="90" x="169" stroke-width="0" stroke="#000000" fill="#000000">F(Y')</text>
  <text font-weight="bold" id="svg_2" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="24" y="323.5" x="166.5" stroke-width="0" stroke="#000000" fill="#000000">F(Y)</text>
  <text font-weight="bold" id="svg_3" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="24" y="323.5" x="434.5" stroke-width="0" stroke="#000000" fill="#000000">F(X)</text>
  <text font-weight="bold" id="svg_4" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="24" y="90.5" x="434.5" stroke-width="0" stroke="#000000" fill="#000000">F(X')</text>
  <line id="svg_5" y2="81" x2="402.002513" y1="81" x1="203" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_8" y2="317" x2="398.500559" y1="317" x1="199.498047" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_9" y2="295" x2="166" y1="109" x1="166" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_11" y2="295" x2="434" y1="109" x1="434" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_12" y2="118.513149" x2="174.513149" y1="109" x1="165" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_13" y2="119.757289" x2="443.757289" y1="110.244141" x1="434.244141" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_14" y2="317.757289" x2="399.757289" y1="308.244141" x1="390.244141" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_15" y2="325.757289" x2="208.757289" y1="316.244141" x1="199.244141" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_16" y2="293.757289" x2="165.757289" y1="284.244141" x1="156.244141" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_17" y2="91.757289" x2="212.757289" y1="82.244141" x1="203.244141" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_18" y2="293.757289" x2="432.757289" y1="284.244141" x1="423.244141" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_19" y2="71.753789" x2="212.246211" y1="80" x1="204" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_20" y2="81.876836" x2="400.123164" y1="90.123047" x1="391.876953" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_21" y2="316.876836" x2="398.123164" y1="325.123047" x1="389.876953" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_22" y2="308.876836" x2="208.123164" y1="317.123047" x1="199.876953" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_27" transform="rotate(-90, 439, 289)" y2="293.757289" x2="443.757289" y1="284.244141" x1="434.244141" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_28" transform="rotate(-90, 172, 289)" y2="293.757289" x2="176.757289" y1="284.244141" x1="167.244141" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_29" transform="rotate(-90, 162, 114)" y2="118.757289" x2="166.757289" y1="109.244141" x1="157.244141" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_30" transform="rotate(-90, 429, 115)" y2="119.757289" x2="433.757289" y1="110.244141" x1="424.244141" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_32" y2="81.757289" x2="400.757289" y1="72.244141" x1="391.244141" stroke-width="4" stroke="#000000" fill="none"/>
  <text id="svg_33" font-weight="bold" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="24" y="69.5" x="298.5" stroke-width="0" stroke="#000000" fill="#000000">F(g')</text>
  <text id="svg_34" font-weight="bold" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="24" y="340.5" x="295.5" stroke-width="0" stroke="#000000" fill="#000000">F(g)</text>
  <text id="svg_35" font-weight="bold" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="24" y="214.5" x="133.5" stroke-width="0" stroke="#000000" fill="#000000">F(f')</text>
  <text id="svg_36" font-weight="bold" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="24" y="213.5" x="472.5" stroke-width="0" stroke="#000000" fill="#000000">F(f)</text>
  <line id="svg_39" y2="170.548452" x2="277.54845" y1="144.453127" x1="251.453125" stroke-width="2" stroke="#000000" fill="none"/>
  <line id="svg_40" y2="179.048452" x2="270.04845" y1="152.953127" x1="243.953125" stroke-width="2" stroke="#000000" fill="none"/>
  <line id="svg_41" y2="185" x2="282" y1="160.000001" x1="282" stroke-width="2" stroke="#000000" fill="none"/>
  <line id="svg_42" y2="184" x2="259" y1="184" x1="281" stroke-width="2" stroke="#000000" fill="none"/>
  <g transform="rotate(-90, 264, 236)" id="svg_52">
   <line id="svg_48" y2="241.82189" x2="278.571888" y1="215.726564" x1="252.476562" stroke-width="2" stroke="#000000" fill="none"/>
   <line id="svg_49" y2="250.32189" x2="271.071888" y1="224.226564" x1="244.976562" stroke-width="2" stroke="#000000" fill="none"/>
   <line id="svg_50" y2="256.273438" x2="283.023438" y1="231.273438" x1="283.023438" stroke-width="2" stroke="#000000" fill="none"/>
   <line id="svg_51" y2="255.273438" x2="260.023438" y1="255.273438" x1="282.023438" stroke-width="2" stroke="#000000" fill="none"/>
  </g>
  <g id="svg_53" transform="rotate(-180, 336, 236)">
   <line id="svg_54" y2="241.82189" x2="350.571888" y1="215.726564" x1="324.476562" stroke-width="2" stroke="#000000" fill="none"/>
   <line id="svg_55" y2="250.32189" x2="343.071888" y1="224.226564" x1="316.976562" stroke-width="2" stroke="#000000" fill="none"/>
   <line id="svg_56" y2="256.273438" x2="355.023438" y1="231.273438" x1="355.023438" stroke-width="2" stroke="#000000" fill="none"/>
   <line id="svg_57" y2="255.273438" x2="332.023438" y1="255.273438" x1="354.023438" stroke-width="2" stroke="#000000" fill="none"/>
  </g>
  <g id="svg_58" transform="rotate(90, 336, 165)">
   <line id="svg_59" y2="170.82189" x2="350.571888" y1="144.726564" x1="324.476562" stroke-width="2" stroke="#000000" fill="none"/>
   <line id="svg_60" y2="179.32189" x2="343.071888" y1="153.226564" x1="316.976562" stroke-width="2" stroke="#000000" fill="none"/>
   <line id="svg_61" y2="185.273438" x2="355.023438" y1="160.273438" x1="355.023438" stroke-width="2" stroke="#000000" fill="none"/>
   <line id="svg_62" y2="184.273438" x2="332.023438" y1="184.273438" x1="354.023438" stroke-width="2" stroke="#000000" fill="none"/>
  </g>
  <text xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="12" id="svg_63" y="75" x="284" stroke-width="0" stroke="#000000" fill="#000000">1</text>
  <text id="svg_64" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="12" y="345.5" x="282.5" stroke-width="0" stroke="#000000" fill="#000000">1</text>
  <text id="svg_65" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="12" y="218.5" x="463.5" stroke-width="0" stroke="#000000" fill="#000000">2</text>
  <text id="svg_66" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="12" y="218.5" x="122.5" stroke-width="0" stroke="#000000" fill="#000000">2</text>
 </g>
</svg>

The direction of the 2-morphisms is constant (that is independent of the mixed square). This family of 2-morphisms must satisfy the following conditions:

* They must be compatible with the horizontal composition of mixed squares, that is for every [[horizontal composition]] of mixed squares $\mathcal{C}_1$, $\mathcal{C}_1$:

  <svg width="640" height="480" xmlns="http://www.w3.org/2000/svg">
  <g>
  <title>Layer 1</title>
  <line fill="none" stroke="#000000" stroke-width="4" x1="97" y1="133" x2="296.002513" y2="133" id="svg_5"/>
  <line fill="none" stroke="#000000" stroke-width="4" x1="93.498047" y1="369" x2="292.500559" y2="369" id="svg_8"/>
  <line fill="none" stroke="#000000" stroke-width="4" x1="60" y1="161" x2="60" y2="347" id="svg_9"/>
  <line fill="none" stroke="#000000" stroke-width="4" x1="328" y1="161" x2="328" y2="347" id="svg_11"/>
  <line fill="none" stroke="#000000" stroke-width="4" x1="284.244141" y1="360.244141" x2="293.757289" y2="369.757289" id="svg_14"/>
  <line fill="none" stroke="#000000" stroke-width="4" x1="50.244141" y1="336.244141" x2="59.757289" y2="345.757289" id="svg_16"/>
  <line fill="none" stroke="#000000" stroke-width="4" x1="317.244141" y1="336.244141" x2="326.757289" y2="345.757289" id="svg_18"/>
  <line fill="none" stroke="#000000" stroke-width="4" x1="285.876953" y1="142.123047" x2="294.123164" y2="133.876836" id="svg_20"/>
  <line fill="none" stroke="#000000" stroke-width="4" x1="283.876953" y1="377.123047" x2="292.123164" y2="368.876836" id="svg_21"/>
  <line fill="none" stroke="#000000" stroke-width="4" x1="328.244141" y1="336.244141" x2="337.757289" y2="345.757289" transform="rotate(-90, 333, 341)" id="svg_27"/>
  <line fill="none" stroke="#000000" stroke-width="4" x1="61.244141" y1="336.244141" x2="70.757289" y2="345.757289" transform="rotate(-90, 66, 341)" id="svg_28"/>
  <line fill="none" stroke="#000000" stroke-width="4" x1="285.244141" y1="124.244141" x2="294.757289" y2="133.757289" id="svg_32"/>
  <text fill="#000000" stroke="#000000" stroke-width="0" x="192.5" y="121.5" font-size="24" font-family="Fantasy" text-anchor="middle" xml:space="preserve" font-weight="bold" id="svg_33">g'</text>
  <text fill="#000000" stroke="#000000" stroke-width="0" x="189.5" y="392.5" font-size="24" font-family="Fantasy" text-anchor="middle" xml:space="preserve" font-weight="bold" id="svg_34">g</text>
  <text fill="#000000" stroke="#000000" stroke-width="0" x="36.5" y="264.5" font-size="24" font-family="Fantasy" text-anchor="middle" xml:space="preserve" font-weight="bold" id="svg_35">f''</text>
  <text fill="#000000" stroke="#000000" stroke-width="0" x="344.5" y="269.5" font-size="24" font-family="Fantasy" text-anchor="middle" xml:space="preserve" font-weight="bold" id="svg_36">f'</text>
  <circle fill="#000000" stroke="#000000" stroke-width="0" cx="60" cy="135" r="13.453125" id="svg_67"/>
  <circle fill="#000000" stroke="#000000" stroke-width="0" cx="328" cy="133" r="13.453125" id="svg_69"/>
  <circle fill="#000000" stroke="#000000" stroke-width="0" cx="327" cy="372" r="13.453125" id="svg_70"/>
  <circle fill="#000000" stroke="#000000" stroke-width="0" cx="61" cy="370" r="13.453125" id="svg_71"/>
  <line fill="none" stroke="#000000" stroke-width="4" x1="360.25" y1="134.5" x2="559.252513" y2="134.5" id="svg_88"/>
  <line fill="none" stroke="#000000" stroke-width="4" x1="356.748047" y1="370.5" x2="555.750559" y2="370.5" id="svg_89"/>
  <line fill="none" stroke="#000000" stroke-width="4" x1="591.25" y1="162.5" x2="591.25" y2="348.5" id="svg_90"/>
  <line fill="none" stroke="#000000" stroke-width="4" x1="547.494141" y1="361.744141" x2="557.007289" y2="371.257289" id="svg_92"/>
  <line fill="none" stroke="#000000" stroke-width="4" x1="580.494141" y1="337.744141" x2="590.007289" y2="347.257289" id="svg_93"/>
  <line fill="none" stroke="#000000" stroke-width="4" x1="549.126953" y1="143.623047" x2="557.373164" y2="135.376836" id="svg_94"/>
  <line fill="none" stroke="#000000" stroke-width="4" x1="547.126953" y1="378.623047" x2="555.373164" y2="370.376836" id="svg_95"/>
  <line fill="none" stroke="#000000" stroke-width="4" x1="591.494141" y1="337.744141" x2="601.007289" y2="347.257289" transform="rotate(-90, 596.25, 342.5)" id="svg_96"/>
  <line fill="none" stroke="#000000" stroke-width="4" x1="548.494141" y1="125.744141" x2="558.007289" y2="135.257289" id="svg_98"/>
  <text fill="#000000" stroke="#000000" stroke-width="0" x="455.75" y="123" font-size="24" font-family="Fantasy" text-anchor="middle" xml:space="preserve" font-weight="bold" id="svg_99">h'</text>
  <text fill="#000000" stroke="#000000" stroke-width="0" x="452.75" y="394" font-size="24" font-family="Fantasy" text-anchor="middle" xml:space="preserve" font-weight="bold" id="svg_100">h</text>
  <text fill="#000000" stroke="#000000" stroke-width="0" x="607.75" y="271" font-size="24" font-family="Fantasy" text-anchor="middle" xml:space="preserve" font-weight="bold" id="svg_101">f</text>
  <circle fill="#000000" stroke="#000000" stroke-width="0" cx="591.25" cy="134.5" r="13.453125" id="svg_102"/>
  <circle fill="#000000" stroke="#000000" stroke-width="0" cx="590.25" cy="373.5" r="13.453125" id="svg_103"/>
  </g>
  </svg>

  the following solid arrow diagram commutes:

  <svg width="640" height="480" xmlns="http://www.w3.org/2000/svg" xmlns:se="http://svg-edit.googlecode.com" se:nonce="81238">
  <g>
  <title>Layer 1</title>
  <circle id="svg_81238_2" r="8.484375" cy="124" cx="157" stroke-width="4" stroke="#000000" fill="#000000"/>
  <circle id="svg_81238_5" r="8.484375" cy="124" cx="478" stroke-width="4" stroke="#000000" fill="#000000"/>
  <circle id="svg_81238_7" r="8.484375" cy="322.5" cx="157" stroke-width="4" stroke="#000000" fill="#000000"/>
  <circle id="svg_81238_8" r="8.484375" cy="323.5" cx="479" stroke-width="4" stroke="#000000" fill="#000000"/>
  <circle id="svg_81238_9" r="8.484375" cy="209.25" cx="316" stroke-width="4" stroke="#000000" fill="#000000"/>
  <circle id="svg_81238_10" r="8.484375" cy="406.75" cx="316" stroke-width="4" stroke="#000000" fill="#000000"/>
  <line id="svg_81238_11" y2="123" x2="463.015431" y1="123" x1="172" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_81238_12" y2="323" x2="464.007598" y1="323" x1="171.992188" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_81238_13" y2="307" x2="156" y1="141" x1="156" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_81238_15" y2="308" x2="479" y1="142" x1="479" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_81238_16" y2="391" x2="316" y1="225" x1="316" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_81238_17" y2="152" x2="149" y1="142" x1="156" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_81238_19" y2="152" x2="164.500003" y1="142" x1="156.500002" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_81238_20" y2="153" x2="471.25" y1="143" x1="478.25" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_81238_21" y2="153" x2="486.750003" y1="143" x1="478.750002" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_81238_22" y2="237" x2="308.25" y1="227" x1="315.25" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_81238_23" y2="236" x2="323.750003" y1="226" x1="315.750002" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_81238_26" y2="390" x2="317.25" y1="380" x1="324.25" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_81238_27" y2="390" x2="314.750003" y1="380" x1="306.750002" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_81238_28" y2="307" x2="479.75" y1="297" x1="486.75" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_81238_29" y2="307" x2="478.250003" y1="297" x1="470.250002" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_81238_30" y2="306" x2="156.75" y1="296" x1="163.75" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_81238_31" y2="306" x2="155.250003" y1="296" x1="147.250002" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_81238_32" y2="205.999995" x2="298.000006" y1="137.999997" x1="169.000002" stroke-width="4" stroke="#000000" fill="none"/>
  <path d="m195,133c0,1 -1.346191,2.70546 -3,5c-1.307449,1.813995 -2.714127,4.21167 -5,7c-1.793198,2.187347 -5,4 -6,8l-3,2l-2,2" id="svg_81238_38" stroke-width="4" stroke="#ffffff" fill="none"/>
  <path d="m219,146c0,1 -0.149353,1.474274 -1,2c-1.902115,1.175568 -2,4 -4,6c-2,2 -4.21167,5.714127 -7,8c-2.187347,1.793198 -5,7 -8,12l-2,4l-2,7" id="svg_81238_39" stroke-width="4" stroke="#ffffff" fill="none"/>
  <path d="m245,162c-1,1 -1.097885,2.824432 -3,4c-0.850647,0.525726 -1.61731,1.076126 -2,2c-0.541199,1.306564 -2,2 -4,4c-2,2 -4.610641,5.159271 -6,8c-1.584106,3.238922 -5,4 -6,6l-2,2l-1,1" id="svg_81238_40" stroke-width="4" stroke="#ffffff" fill="none"/>
  <path d="m267,174c0,1 0.38269,2.076126 0,3c-1.082397,2.613129 -2.692566,4.186005 -4,6c-1.653809,2.29454 -4,4 -5,5l-2,2l-1,2l-2,1" id="svg_81238_43" stroke-width="4" stroke="#ffffff" fill="none"/>
  <path d="m290,188c-2,2 -6,6 -9,9l-6,5l-3,3l-3,1" id="svg_81238_44" stroke-width="4" stroke="#ffffff" fill="none"/>
  <path d="m202,144c0,1 -0.346191,1.70546 -2,4c-1.307449,1.813995 -4,4 -6,6c-2,2 -4,5 -5,6l-2,2l-2,1" id="svg_81238_47" stroke-width="4" stroke="#ffffff" fill="none"/>
  <path d="m227,157c0,1 0,2 -1,3c-2,2 -3.852737,3.173096 -5,4c-1.813995,1.307449 -4,2 -6,4l-2,2l-1,2" id="svg_81238_48" stroke-width="4" stroke="#ffffff" fill="none"/>
  <path d="m256,168c0,1 1.414215,2.585785 0,4c-0.707108,0.707108 -2,1 -4,3c-2,2 -3.186005,3.692551 -5,5c-1.147263,0.826904 -4,3 -6,5l-1,2" id="svg_81238_49" stroke-width="4" stroke="#ffffff" fill="none"/>
  <path d="m280,183c-1,2 -2.173096,2.852737 -3,4c-1.307434,1.813995 -2.692566,4.186005 -4,6c-2.480713,3.441803 -5,6 -8,7l-3,2l-1,1l-3,2" id="svg_81238_50" stroke-width="4" stroke="#ffffff" fill="none"/>
  <path d="m296,192c0,1 -0.076111,1.61731 -1,2c-1.30658,0.541199 -2.692566,4.186005 -4,6c-1.653809,2.29454 -3.190277,3.881516 -5,7c-1.122345,1.93399 -2,2 -3,3l-1,0" id="svg_81238_51" stroke-width="4" stroke="#ffffff" fill="none"/>
  <path id="svg_81238_58" d="m303.5,229c0,1 0.307434,2.186005 -1,4c-0.826904,1.147278 -1,2 -3,4l-1,1l-3,0" stroke-width="4" stroke="#ffffff" fill="none"/>
  <line id="svg_81238_137" y2="406" x2="297.5" y1="338" x1="168.5" stroke-width="4" stroke="#000000" fill="none"/>
  <path id="svg_81238_138" d="m191.5,335c0,1 -1.346191,2.705444 -3,5c-1.307434,1.813995 -2.714111,4.21167 -5,7c-1.793213,2.187347 -5,4 -6,8l-3,2l-2,2" stroke-width="4" stroke="#ffffff" fill="none"/>
  <path id="svg_81238_139" d="m215.5,348c0,1 -0.149353,1.474274 -1,2c-1.9021,1.175568 -2,4 -4,6c-2,2 -4.21167,5.714111 -7,8c-2.187347,1.793213 -5,7 -8,12l-2,4l-2,7" stroke-width="4" stroke="#ffffff" fill="none"/>
  <path id="svg_81238_140" d="m241.5,364c-1,1 -1.0979,2.824432 -3,4c-0.850647,0.525726 -1.61731,1.076111 -2,2c-0.541199,1.30658 -2,2 -4,4c-2,2 -4.610657,5.159271 -6,8c-1.584106,3.238922 -5,4 -6,6l-2,2l-1,1" stroke-width="4" stroke="#ffffff" fill="none"/>
  <path id="svg_81238_141" d="m263.5,376c0,1 0.38269,2.076111 0,3c-1.082397,2.613129 -2.692566,4.186005 -4,6c-1.653809,2.294556 -4,4 -5,5l-2,2l-1,2l-2,1" stroke-width="4" stroke="#ffffff" fill="none"/>
  <path id="svg_81238_142" d="m286.5,390c-2,2 -6,6 -9,9l-6,5l-3,3l-3,1" stroke-width="4" stroke="#ffffff" fill="none"/>
  <path id="svg_81238_143" d="m177.5,334c0,1 0.307434,2.186005 -1,4c-0.826904,1.147278 -1,2 -3,4l-1,1l-3,0" stroke-width="4" stroke="#ffffff" fill="none"/>
  <path id="svg_81238_144" d="m198.5,346c0,1 -0.346191,1.705444 -2,4c-1.307434,1.813995 -4,4 -6,6c-2,2 -4,5 -5,6l-2,2l-2,1" stroke-width="4" stroke="#ffffff" fill="none"/>
  <path id="svg_81238_145" d="m223.5,359c0,1 0,2 -1,3c-2,2 -3.852722,3.173096 -5,4c-1.813995,1.307434 -4,2 -6,4l-2,2l-1,2" stroke-width="4" stroke="#ffffff" fill="none"/>
  <path id="svg_81238_146" d="m252.5,370c0,1 1.414215,2.585785 0,4c-0.707092,0.707092 -2,1 -4,3c-2,2 -3.186005,3.692566 -5,5c-1.147278,0.826904 -4,3 -6,5l-1,2" stroke-width="4" stroke="#ffffff" fill="none"/>
  <path id="svg_81238_147" d="m276.5,384c-1,2 -2.173096,2.852722 -3,4c-1.307434,1.813995 -2.692566,4.186005 -4,6c-2.480713,3.441803 -5,6 -8,7l-3,2l-1,1l-3,2" stroke-width="4" stroke="#ffffff" fill="none"/>
  <path id="svg_81238_148" d="m292.5,394c0,1 -0.076111,1.61731 -1,2c-1.30658,0.541199 -2.692566,4.186005 -4,6c-1.653809,2.294556 -3.190277,3.881531 -5,7c-1.122345,1.93399 -2,2 -3,3l-1,0" stroke-width="4" stroke="#ffffff" fill="none"/>
  <g id="svg_81238_161">
   <line id="svg_81238_149" y2="206.058954" x2="332.499995" y1="138.918299" x1="464.499999" stroke-width="4" stroke="#000000" fill="none"/>
   <path id="svg_81238_150" d="m441.988373,137.959152c0,0.959152 1.377472,2.594925 3.069794,4.795761c1.337799,1.739899 2.777222,4.039627 5.116241,6.714066c1.8349,2.097992 5.116272,3.836594 6.139557,7.673203l3.069763,1.918335l2.046509,1.918259" stroke-width="4" stroke="#ffffff" fill="none"/>
   <path id="svg_81238_151" d="m417.430206,150.428131c0,0.959167 0.152863,1.414032 1.023285,1.918304c1.94635,1.127533 2.046509,3.836578 4.093018,5.754913c2.046539,1.918304 4.309631,5.480682 7.162811,7.673203c2.23819,1.719971 5.116272,6.714081 8.186005,11.509827l2.046509,3.836624l2.046539,6.714066" stroke-width="4" stroke="#ffffff" fill="none"/>
   <path id="svg_81238_152" d="m390.825592,165.774551c1.023285,0.959137 1.123383,2.709061 3.069763,3.836609c0.870422,0.504257 1.654907,1.032196 2.046509,1.91832c0.553772,1.253174 2.046509,1.918289 4.093018,3.836594c2.046539,1.918304 4.717896,4.948517 6.139526,7.673218c1.620941,3.106613 5.116302,3.836609 6.139557,5.754929l2.046509,1.918289l1.023224,0.959167" stroke-width="4" stroke="#ffffff" fill="none"/>
   <path id="svg_81238_153" d="m368.313934,177.284378c0,0.959167 -0.391571,1.991333 0,2.877457c1.107574,2.506363 2.755188,4.01503 4.093018,5.754913c1.692322,2.200821 4.093048,3.836639 5.116302,4.795761l2.046509,1.91832l1.023285,1.918304l2.046448,0.959152" stroke-width="4" stroke="#ffffff" fill="none"/>
   <path id="svg_81238_154" d="m344.779083,190.712509c2.046509,1.91832 6.139496,5.754944 9.20929,8.632355l6.139526,4.795776l3.069763,2.877457l3.069794,0.959152" stroke-width="4" stroke="#ffffff" fill="none"/>
   <path id="svg_81238_155" d="m456.313965,137c0,0.959152 -0.314606,2.09671 1.023285,3.836594c0.846069,1.100418 1.023224,1.91832 3.069702,3.836594l1.023285,0.959167l3.069763,0" stroke-width="4" stroke="#ffffff" fill="none"/>
   <path id="svg_81238_156" d="m434.825592,148.509827c0,0.959152 0.354218,1.635773 2.046478,3.836609c1.33786,1.739899 4.093079,3.836578 6.139557,5.754913c2.046539,1.918304 4.093018,4.795746 5.116272,5.754898l2.046509,1.918304l2.046509,0.959137" stroke-width="4" stroke="#ffffff" fill="none"/>
   <path id="svg_81238_157" d="m409.244202,160.978775c0,0.959167 0,1.91832 1.023285,2.877472c2.046478,1.918304 3.942261,3.043488 5.116211,3.836655c1.856201,1.254013 4.093048,1.918259 6.139526,3.836578l2.04657,1.918289l1.023254,1.918304" stroke-width="4" stroke="#ffffff" fill="none"/>
   <path id="svg_81238_158" d="m379.569763,171.52948c0,0.959152 -1.447113,2.480148 0,3.836594c0.723541,0.678207 2.046539,0.959183 4.092987,2.877472c2.046539,1.918289 3.260132,3.541733 5.116302,4.795746c1.17395,0.793121 4.093048,2.877457 6.139526,4.795776l1.023285,1.91832" stroke-width="4" stroke="#ffffff" fill="none"/>
   <path id="svg_81238_159" d="m355.011627,184.957611c1.023224,1.918289 2.223633,2.736176 3.069794,3.836609c1.337799,1.739899 2.755157,4.015015 4.092987,5.754913c2.538391,3.301208 5.116272,5.754898 8.186066,6.71405l3.069733,1.918304l1.023285,0.959152l3.069763,1.91832" stroke-width="4" stroke="#ffffff" fill="none"/>
   <path id="svg_81238_160" d="m338.639496,194.549133c0,0.959152 0.077911,1.551239 1.023285,1.91832c1.336975,0.519043 2.755219,4.014984 4.093018,5.754898c1.692261,2.200806 3.264496,3.722946 5.116302,6.714066c1.148438,1.85498 2.046478,1.91832 3.069763,2.877457l1.023224,0" stroke-width="4" stroke="#ffffff" fill="none"/>
  </g>
  <g id="svg_81238_162">
   <line id="svg_81238_163" y2="407.575798" x2="330.999995" y1="339.537696" x1="465.000001" stroke-width="4" stroke="#000000" fill="none"/>
   <path id="svg_81238_164" d="m442.147278,338.565704c0,0.972015 1.398376,2.629639 3.116302,4.859863c1.358093,1.763184 2.819305,4.093658 5.193787,6.803833c1.862701,2.126068 5.193787,3.887878 6.232544,7.775787l3.116302,1.943939l2.077515,1.943939" stroke-width="4" stroke="#ffffff" fill="none"/>
   <path id="svg_81238_165" d="m417.217041,351.201385c0,0.971954 0.155151,1.432953 1.038788,1.943939c1.97583,1.142609 2.077515,3.887878 4.155029,5.831818c2.077515,1.94397 4.374908,5.553955 7.271332,7.775787c2.272125,1.74295 5.193787,6.803802 8.310059,11.663696l2.077515,3.887878l2.077515,6.803802" stroke-width="4" stroke="#ffffff" fill="none"/>
   <path id="svg_81238_166" d="m390.20929,366.75293c1.038788,0.971954 1.140442,2.74527 3.116302,3.887909c0.883606,0.510986 1.679993,1.045959 2.077515,1.943939c0.562164,1.269928 2.077515,1.943939 4.155029,3.887878c2.077545,1.94397 4.789368,5.014679 6.232574,7.775787c1.645477,3.148132 5.193787,3.887878 6.232544,5.831848l2.077545,1.943939l1.038727,0.971985" stroke-width="4" stroke="#ffffff" fill="none"/>
   <path id="svg_81238_167" d="m367.356567,378.416626c0,0.971954 -0.397491,2.017914 0,2.915894c1.124359,2.539886 2.796936,4.068695 4.15506,5.831848c1.717926,2.230255 4.155029,3.887909 5.193787,4.859863l2.077515,1.943939l1.038788,1.94397l2.077484,0.971954" stroke-width="4" stroke="#ffffff" fill="none"/>
   <path id="svg_81238_168" d="m343.465118,392.024231c2.077515,1.943939 6.232544,5.831848 9.348846,8.747742l6.232544,4.859863l3.116272,2.915924l3.116302,0.971985" stroke-width="4" stroke="#ffffff" fill="none"/>
   <path id="svg_81238_169" d="m456.689911,337.59375c0,0.971954 -0.319336,2.124756 1.038788,3.887878c0.858917,1.115143 1.038757,1.943939 3.116241,3.887878l1.038788,0.971985l3.116272,0" stroke-width="4" stroke="#ffffff" fill="none"/>
   <path id="svg_81238_170" d="m434.875977,349.257446c0,0.971954 0.359589,1.657623 2.077515,3.887878c1.358093,1.763153 4.15506,3.887878 6.232544,5.831818c2.077545,1.94397 4.15506,4.859863 5.193817,5.831818l2.077515,1.94397l2.077515,0.971954" stroke-width="4" stroke="#ffffff" fill="none"/>
   <path id="svg_81238_171" d="m408.906982,361.893066c0,0.971985 0,1.943939 1.038788,2.915894c2.077484,1.94397 4.002014,3.084198 5.193756,3.887939c1.884308,1.270782 4.15506,1.943939 6.232544,3.887878l2.077545,1.943939l1.038757,1.943939" stroke-width="4" stroke="#ffffff" fill="none"/>
   <path id="svg_81238_172" d="m378.782928,372.584778c0,0.971954 -1.469025,2.513306 0,3.887878c0.734528,0.687286 2.077545,0.971985 4.155029,2.915924c2.077545,1.943939 3.309509,3.589081 5.193817,4.859863c1.191742,0.803711 4.15506,2.915924 6.232544,4.859863l1.038788,1.94397" stroke-width="4" stroke="#ffffff" fill="none"/>
   <path id="svg_81238_173" d="m353.852722,386.192383c1.038727,1.943939 2.257324,2.772766 3.116272,3.887909c1.358093,1.763153 2.796936,4.068665 4.155029,5.831848c2.576874,3.345306 5.193787,5.831818 8.310089,6.803772l3.116272,1.94397l1.038757,0.971954l3.116272,1.94397" stroke-width="4" stroke="#ffffff" fill="none"/>
   <path id="svg_81238_174" d="m337.232544,395.91214c0,0.971954 0.079071,1.571991 1.038788,1.943939c1.357208,0.526001 2.796936,4.068665 4.154999,5.831848c1.717926,2.230225 3.313965,3.772705 5.193817,6.803802c1.165863,1.879761 2.077515,1.94397 3.116302,2.915924l1.038727,0" stroke-width="4" stroke="#ffffff" fill="none"/>
  </g>
  <line id="svg_81238_180" y2="207" x2="333" y1="195" x1="333" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_81238_183" y2="208" x2="344.999999" y1="208" x1="330.999999" stroke-width="4" stroke="#000000" fill="none"/>
  <g id="svg_81238_186">
   <line id="svg_81238_184" y2="407.5" x2="332" y1="395.5" x1="332" stroke-width="4" stroke="#000000" fill="none"/>
   <line id="svg_81238_185" y2="408.5" x2="343.999999" y1="408.5" x1="329.999999" stroke-width="4" stroke="#000000" fill="none"/>
  </g>
  <g id="svg_81238_187">
   <line id="svg_81238_188" y2="407.5" x2="300" y1="395.5" x1="300" stroke-width="4" stroke="#000000" fill="none"/>
   <line id="svg_81238_189" y2="408.5" x2="288.000001" y1="408.5" x1="302.000001" stroke-width="4" stroke="#000000" fill="none"/>
  </g>
  <g id="svg_81238_190">
   <line id="svg_81238_191" y2="207.5" x2="299" y1="195.5" x1="299" stroke-width="4" stroke="#000000" fill="none"/>
   <line id="svg_81238_192" y2="208.5" x2="287.000001" y1="208.5" x1="301.000001" stroke-width="4" stroke="#000000" fill="none"/>
  </g>
  <line id="svg_81238_193" y2="314" x2="182" y1="323" x1="173" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_81238_195" y2="332" x2="182" y1="323" x1="173" stroke-width="4" stroke="#000000" fill="none"/>
  <g id="svg_81238_198">
   <line id="svg_81238_196" y2="114" x2="182.5" y1="123" x1="173.5" stroke-width="4" stroke="#000000" fill="none"/>
   <line id="svg_81238_197" y2="132" x2="182.5" y1="123" x1="173.5" stroke-width="4" stroke="#000000" fill="none"/>
  </g>
  <g id="svg_81238_199">
   <line id="svg_81238_200" y2="114" x2="452.499972" y1="123" x1="461.499972" stroke-width="4" stroke="#000000" fill="none"/>
   <line id="svg_81238_201" y2="132" x2="452.499972" y1="123" x1="461.499972" stroke-width="4" stroke="#000000" fill="none"/>
  </g>
  <line id="svg_81238_202" y2="147" x2="169" y1="138" x1="180" stroke-width="4" stroke="#ffffff" fill="none"/>
  <g id="svg_81238_203">
   <line id="svg_81238_204" y2="314" x2="453.499972" y1="323" x1="462.499972" stroke-width="4" stroke="#000000" fill="none"/>
   <line id="svg_81238_205" y2="332" x2="453.499972" y1="323" x1="462.499972" stroke-width="4" stroke="#000000" fill="none"/>
  </g>
  <g id="svg_81238_206">
   <line id="svg_81238_207" y2="136.215383" x2="168.027487" y1="147.563816" x1="168.027487" stroke-width="4" stroke="#000000" fill="none"/>
   <line id="svg_81238_208" y2="135.26968" x2="179.961593" y1="135.26968" x1="166.038468" stroke-width="4" stroke="#000000" fill="none"/>
  </g>
  <g id="svg_81238_209">
   <line id="svg_81238_210" y2="335.799367" x2="167.027487" y1="347.147801" x1="167.027487" stroke-width="4" stroke="#000000" fill="none"/>
   <line id="svg_81238_211" y2="334.853665" x2="178.961593" y1="334.853665" x1="165.038468" stroke-width="4" stroke="#000000" fill="none"/>
  </g>
  <g id="svg_81238_212">
   <line id="svg_81238_213" y2="137.799367" x2="465.238426" y1="149.147801" x1="465.238426" stroke-width="4" stroke="#000000" fill="none"/>
   <line id="svg_81238_214" y2="136.853665" x2="453.86617" y1="136.853665" x1="467.133803" stroke-width="4" stroke="#000000" fill="none"/>
  </g>
  <g id="svg_81238_215">
   <line id="svg_81238_216" y2="337.797414" x2="466.738426" y1="349.145847" x1="466.738426" stroke-width="4" stroke="#000000" fill="none"/>
   <line id="svg_81238_217" y2="336.851711" x2="455.36617" y1="336.851711" x1="468.633803" stroke-width="4" stroke="#000000" fill="none"/>
  </g>
  <text xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="18" id="svg_81238_218" y="195" x="217" stroke-width="0" stroke="#000000" fill="#000000">F (g')</text>
  <text id="svg_81238_219" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="18" y="196" x="410" stroke-width="0" stroke="#000000" fill="#000000">F (h')</text>
  <text font-weight="normal" id="svg_81238_221" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="18" y="108" x="313" stroke-width="0" stroke="#000000" fill="#000000">F (h'∘g')</text>
  <line id="svg_81238_228" y2="336" x2="312" y1="308" x1="312" stroke-width="4" stroke="#ffffff" fill="none"/>
  <line id="svg_81238_229" y2="338" x2="320" y1="310" x1="320" stroke-width="4" stroke="#ffffff" fill="none"/>
  <text xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="12" id="svg_81238_230" y="113" x="293" stroke-width="0" stroke="#000000" fill="#000000">1</text>
  <text id="svg_81238_231" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="12" y="200.5" x="208.5" stroke-width="0" stroke="#000000" fill="#000000">1</text>
  <text id="svg_81238_232" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="12" y="200.5" x="402.5" stroke-width="0" stroke="#000000" fill="#000000">1</text>
  <text id="svg_81238_233" font-weight="normal" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="18" y="308.5" x="233" stroke-width="0" stroke="#000000" fill="#000000">F (h∘g)</text>
  <text id="svg_81238_234" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="12" y="314.5" x="215" stroke-width="0" stroke="#000000" fill="#000000">1</text>
  <text id="svg_81238_235" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="18" y="280" x="345" stroke-width="0" stroke="#000000" fill="#000000">F (f')</text>
  <text id="svg_81238_236" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="12" y="285.5" x="339.5" stroke-width="0" stroke="#000000" fill="#000000">2</text>
  <text id="svg_81238_237" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="18" y="227.25" x="504" stroke-width="0" stroke="#000000" fill="#000000">F (f)</text>
  <text id="svg_81238_238" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="12" y="232.75" x="499.5" stroke-width="0" stroke="#000000" fill="#000000">2</text>
  <text id="svg_81238_239" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="18" y="230.25" x="129" stroke-width="0" stroke="#000000" fill="#000000">F (f'')</text>
  <text id="svg_81238_240" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="12" y="235.75" x="120.5" stroke-width="0" stroke="#000000" fill="#000000">2</text>
  <text id="svg_81238_241" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="18" y="392.25" x="213" stroke-width="0" stroke="#000000" fill="#000000">F (g)</text>
  <text id="svg_81238_242" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="12" y="397.75" x="205.5" stroke-width="0" stroke="#000000" fill="#000000">1</text>
  <text id="svg_81238_243" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="18" y="395.25" x="415" stroke-width="0" stroke="#000000" fill="#000000">F (h)</text>
  <text id="svg_81238_244" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="12" y="400.75" x="407.5" stroke-width="0" stroke="#000000" fill="#000000">1</text>
  </g>
  </svg>

* They must be compatible with the vertical composition of mixed squares, that is for every [[vertical composition]] of mixed squares $\mathcal{C}$, $\mathcal{C}'$:

  <svg width="480" height="640" xmlns="http://www.w3.org/2000/svg">
  <g>
  <title>Layer 1</title>
  <g id="svg_1" transform="rotate(90, 241.625, 322.25)">
   <line fill="none" stroke="#000000" stroke-width="4" x1="13" y1="447.530912" x2="212.002513" y2="447.530912" id="svg_5"/>
   <line fill="none" stroke="#000000" stroke-width="4" x1="9.498047" y1="201.657357" x2="208.500559" y2="201.657357" id="svg_8"/>
   <line fill="none" stroke="#000000" stroke-width="4" x1="-24" y1="418.359473" x2="-24" y2="224.577773" id="svg_9"/>
   <line fill="none" stroke="#000000" stroke-width="4" x1="244" y1="418.359473" x2="244" y2="224.577773" id="svg_11"/>
   <line fill="none" stroke="#000000" stroke-width="4" x1="200.244141" y1="210.779536" x2="209.757289" y2="200.868385" id="svg_14"/>
   <line fill="none" stroke="#000000" stroke-width="4" x1="-33.755859" y1="235.783626" x2="-24.242711" y2="225.872475" id="svg_16"/>
   <line fill="none" stroke="#000000" stroke-width="4" x1="233.244141" y1="235.783626" x2="242.757289" y2="225.872475" id="svg_18"/>
   <line fill="none" stroke="#000000" stroke-width="4" x1="201.876953" y1="438.026183" x2="210.123164" y2="446.617391" id="svg_20"/>
   <line fill="none" stroke="#000000" stroke-width="4" x1="199.876953" y1="193.194465" x2="208.123164" y2="201.785674" id="svg_21"/>
   <line fill="none" stroke="#000000" stroke-width="4" x1="244.244141" y1="225.873956" x2="253.757289" y2="235.785107" id="svg_27"/>
   <line fill="none" stroke="#000000" stroke-width="4" x1="-22.755859" y1="225.873969" x2="-13.242711" y2="235.785119" id="svg_28"/>
   <line fill="none" stroke="#000000" stroke-width="4" x1="201.244141" y1="456.65309" x2="210.757289" y2="446.74194" id="svg_32"/>
   <circle fill="#000000" stroke="#000000" stroke-width="0" cx="-24" cy="445.447237" r="14.015625" id="svg_67"/>
   <circle fill="#000000" stroke="#000000" stroke-width="0" cx="244" cy="447.530912" r="14.015625" id="svg_69"/>
   <circle fill="#000000" stroke="#000000" stroke-width="0" cx="243" cy="198.531846" r="14.015625" id="svg_70"/>
   <circle fill="#000000" stroke="#000000" stroke-width="0" cx="-23" cy="200.61552" r="14.015625" id="svg_71"/>
   <line fill="none" stroke="#000000" stroke-width="4" x1="276.25" y1="445.968156" x2="475.252513" y2="445.968156" id="svg_88"/>
   <line fill="none" stroke="#000000" stroke-width="4" x1="272.748047" y1="200.094601" x2="471.750559" y2="200.094601" id="svg_89"/>
   <line fill="none" stroke="#000000" stroke-width="4" x1="507.25" y1="416.796717" x2="507.25" y2="223.015017" id="svg_90"/>
   <line fill="none" stroke="#000000" stroke-width="4" x1="463.494141" y1="209.21678" x2="473.007289" y2="199.305629" id="svg_92"/>
   <line fill="none" stroke="#000000" stroke-width="4" x1="496.494141" y1="234.22087" x2="506.007289" y2="224.30972" id="svg_93"/>
   <line fill="none" stroke="#000000" stroke-width="4" x1="465.126953" y1="436.463427" x2="473.373164" y2="445.054636" id="svg_94"/>
   <line fill="none" stroke="#000000" stroke-width="4" x1="463.126953" y1="191.63171" x2="471.373164" y2="200.222918" id="svg_95"/>
   <line fill="none" stroke="#000000" stroke-width="4" x1="507.494141" y1="224.311217" x2="517.007289" y2="234.222367" id="svg_96"/>
   <line fill="none" stroke="#000000" stroke-width="4" x1="464.494141" y1="455.090335" x2="474.007289" y2="445.179184" id="svg_98"/>
   <circle fill="#000000" stroke="#000000" stroke-width="0" cx="507.25" cy="445.968156" r="14.015625" id="svg_102"/>
   <circle fill="#000000" stroke="#000000" stroke-width="0" cx="506.25" cy="196.96909" r="14.015625" id="svg_103"/>
  </g>
  <text transform="matrix(1.33333, 0, 0, 1.33333, -22, -48)" font-weight="bold" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="24" id="svg_2" y="190.25" x="79" stroke-width="0" stroke="#000000" fill="#000000">f'</text>
  <text id="svg_4" transform="matrix(1.33333, 0, 0, 1.33333, -22, -48)" font-weight="bold" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="24" y="192.374023" x="302.626518" stroke-width="0" stroke="#000000" fill="#000000">f</text>
  <text id="svg_6" transform="matrix(1.33333, 0, 0, 1.33333, -22, -48)" font-weight="bold" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="24" y="379.874489" x="80.625977" stroke-width="0" stroke="#000000" fill="#000000">e'</text>
  <text id="svg_7" transform="matrix(1.33333, 0, 0, 1.33333, -22, -48)" font-weight="bold" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="24" y="380.624489" x="304.126522" stroke-width="0" stroke="#000000" fill="#000000">e</text>
  <text id="svg_10" transform="matrix(1.33333, 0, 0, 1.33333, -22, -48)" font-weight="bold" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="24" y="69.373724" x="197.626264" stroke-width="0" stroke="#000000" fill="#000000">g''</text>
  <text id="svg_12" transform="matrix(1.33333, 0, 0, 1.33333, -22, -48)" font-weight="bold" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="24" y="265.124214" x="199.876281" stroke-width="0" stroke="#000000" fill="#000000">g'</text>
  <text id="svg_15" transform="matrix(1.33333, 0, 0, 1.33333, -22, -48)" font-weight="bold" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="24" y="460.874701" x="196.876264" stroke-width="0" stroke="#000000" fill="#000000">g</text>
  </g>
  </svg>

  the following solid arrow diagram commutes:

  <svg width="640" height="480" xmlns="http://www.w3.org/2000/svg" xmlns:se="http://svg-edit.googlecode.com" se:nonce="81238">
  <g>
  <title>Layer 1</title>
  <g transform="rotate(90, 317.367, 256.375)" id="svg_81238_3">
   <path fill="none" stroke="#ffffff" stroke-width="4" d="m191.5,326c0,1 -1.346191,2.705444 -3,5c-1.307434,1.813995 -2.714111,4.21167 -5,7c-1.793213,2.187347 -5,4 -6,8l-3,2l-2,2" id="svg_81238_138"/>
   <path fill="none" stroke="#ffffff" stroke-width="4" d="m215.5,339c0,1 -0.149353,1.474274 -1,2c-1.9021,1.175568 -2,4 -4,6c-2,2 -4.21167,5.714111 -7,8c-2.187347,1.793213 -5,7 -8,12l-2,4l-2,7" id="svg_81238_139"/>
   <path fill="none" stroke="#ffffff" stroke-width="4" d="m241.5,355c-1,1 -1.0979,2.824432 -3,4c-0.850647,0.525726 -1.61731,1.076111 -2,2c-0.541199,1.30658 -2,2 -4,4c-2,2 -4.610657,5.159271 -6,8c-1.584106,3.238922 -5,4 -6,6l-2,2l-1,1" id="svg_81238_140"/>
   <path fill="none" stroke="#ffffff" stroke-width="4" d="m263.5,367c0,1 0.38269,2.076111 0,3c-1.082397,2.613129 -2.692566,4.186005 -4,6c-1.653809,2.294556 -4,4 -5,5l-2,2l-1,2l-2,1" id="svg_81238_141"/>
   <path fill="none" stroke="#ffffff" stroke-width="4" d="m286.5,381c-2,2 -6,6 -9,9l-6,5l-3,3l-3,1" id="svg_81238_142"/>
   <path fill="none" stroke="#ffffff" stroke-width="4" d="m177.5,325c0,1 0.307434,2.186005 -1,4c-0.826904,1.147278 -1,2 -3,4l-1,1l-3,0" id="svg_81238_143"/>
   <path fill="none" stroke="#ffffff" stroke-width="4" d="m198.5,337c0,1 -0.346191,1.705444 -2,4c-1.307434,1.813995 -4,4 -6,6c-2,2 -4,5 -5,6l-2,2l-2,1" id="svg_81238_144"/>
   <path fill="none" stroke="#ffffff" stroke-width="4" d="m223.5,350c0,1 0,2 -1,3c-2,2 -3.852722,3.173096 -5,4c-1.813995,1.307434 -4,2 -6,4l-2,2l-1,2" id="svg_81238_145"/>
   <path fill="none" stroke="#ffffff" stroke-width="4" d="m252.5,361c0,1 1.414215,2.585785 0,4c-0.707092,0.707092 -2,1 -4,3c-2,2 -3.186005,3.692566 -5,5c-1.147278,0.826904 -4,3 -6,5l-1,2" id="svg_81238_146"/>
   <path fill="none" stroke="#ffffff" stroke-width="4" d="m276.5,375c-1,2 -2.173096,2.852722 -3,4c-1.307434,1.813995 -2.692566,4.186005 -4,6c-2.480713,3.441803 -5,6 -8,7l-3,2l-1,1l-3,2" id="svg_81238_147"/>
   <path fill="none" stroke="#ffffff" stroke-width="4" d="m292.5,385c0,1 -0.076111,1.61731 -1,2c-1.30658,0.541199 -2.692566,4.186005 -4,6c-1.653809,2.294556 -3.190277,3.881531 -5,7c-1.122345,1.93399 -2,2 -3,3l-1,0" id="svg_81238_148"/>
   <g id="svg_81238_161">
    <line fill="none" stroke="#000000" stroke-width="4" x1="464.499999" y1="129.918299" x2="332.499995" y2="197.058954" id="svg_81238_149"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" d="m441.988373,128.959152c0,0.959152 1.377472,2.594925 3.069794,4.795761c1.337799,1.739899 2.777222,4.039627 5.116241,6.714066c1.8349,2.097992 5.116272,3.836594 6.139557,7.673203l3.069763,1.918335l2.046509,1.918259" id="svg_81238_150"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" d="m417.430206,141.428131c0,0.959167 0.152863,1.414032 1.023285,1.918304c1.94635,1.127533 2.046509,3.836578 4.093018,5.754913c2.046539,1.918304 4.309631,5.480682 7.162811,7.673203c2.23819,1.719971 5.116272,6.714081 8.186005,11.509827l2.046509,3.836624l2.046539,6.714066" id="svg_81238_151"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" d="m390.825592,156.774551c1.023285,0.959137 1.123383,2.709061 3.069763,3.836609c0.870422,0.504257 1.654907,1.032196 2.046509,1.91832c0.553772,1.253174 2.046509,1.918289 4.093018,3.836594c2.046539,1.918304 4.717896,4.948517 6.139526,7.673218c1.620941,3.106613 5.116302,3.836609 6.139557,5.754929l2.046509,1.918289l1.023224,0.959167" id="svg_81238_152"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" d="m368.313934,168.284378c0,0.959167 -0.391571,1.991333 0,2.877457c1.107574,2.506363 2.755188,4.01503 4.093018,5.754913c1.692322,2.200821 4.093048,3.836639 5.116302,4.795761l2.046509,1.91832l1.023285,1.918304l2.046448,0.959152" id="svg_81238_153"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" d="m344.779083,181.712509c2.046509,1.91832 6.139496,5.754944 9.20929,8.632355l6.139526,4.795776l3.069763,2.877457l3.069794,0.959152" id="svg_81238_154"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" d="m456.313965,128c0,0.959152 -0.314606,2.09671 1.023285,3.836594c0.846069,1.100418 1.023224,1.91832 3.069702,3.836594l1.023285,0.959167l3.069763,0" id="svg_81238_155"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" d="m434.825592,139.509827c0,0.959152 0.354218,1.635773 2.046478,3.836609c1.33786,1.739899 4.093079,3.836578 6.139557,5.754913c2.046539,1.918304 4.093018,4.795746 5.116272,5.754898l2.046509,1.918304l2.046509,0.959137" id="svg_81238_156"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" d="m409.244202,151.978775c0,0.959167 0,1.91832 1.023285,2.877472c2.046478,1.918304 3.942261,3.043488 5.116211,3.836655c1.856201,1.254013 4.093048,1.918259 6.139526,3.836578l2.04657,1.918289l1.023254,1.918304" id="svg_81238_157"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" d="m379.569763,162.52948c0,0.959152 -1.447113,2.480148 0,3.836594c0.723541,0.678207 2.046539,0.959183 4.092987,2.877472c2.046539,1.918289 3.260132,3.541733 5.116302,4.795746c1.17395,0.793121 4.093048,2.877457 6.139526,4.795776l1.023285,1.91832" id="svg_81238_158"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" d="m355.011627,175.957611c1.023224,1.918289 2.223633,2.736176 3.069794,3.836609c1.337799,1.739899 2.755157,4.015015 4.092987,5.754913c2.538391,3.301208 5.116272,5.754898 8.186066,6.71405l3.069733,1.918304l1.023285,0.959152l3.069763,1.91832" id="svg_81238_159"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" d="m338.639496,185.549133c0,0.959152 0.077911,1.551239 1.023285,1.91832c1.336975,0.519043 2.755219,4.014984 4.093018,5.754898c1.692261,2.200806 3.264496,3.722946 5.116302,6.714066c1.148438,1.85498 2.046478,1.91832 3.069763,2.877457l1.023224,0" id="svg_81238_160"/>
   </g>
   <g id="svg_81238_162">
    <line fill="none" stroke="#000000" stroke-width="4" x1="465.000001" y1="330.537696" x2="330.999995" y2="398.575798" id="svg_81238_163"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" d="m442.147278,329.565704c0,0.972015 1.398376,2.629639 3.116302,4.859863c1.358093,1.763184 2.819305,4.093658 5.193787,6.803833c1.862701,2.126068 5.193787,3.887878 6.232544,7.775787l3.116302,1.943939l2.077515,1.943939" id="svg_81238_164"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" d="m417.217041,342.201385c0,0.971954 0.155151,1.432953 1.038788,1.943939c1.97583,1.142609 2.077515,3.887878 4.155029,5.831818c2.077515,1.94397 4.374908,5.553955 7.271332,7.775787c2.272125,1.74295 5.193787,6.803802 8.310059,11.663696l2.077515,3.887878l2.077515,6.803802" id="svg_81238_165"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" d="m390.20929,357.75293c1.038788,0.971954 1.140442,2.74527 3.116302,3.887909c0.883606,0.510986 1.679993,1.045959 2.077515,1.943939c0.562164,1.269928 2.077515,1.943939 4.155029,3.887878c2.077545,1.94397 4.789368,5.014679 6.232574,7.775787c1.645477,3.148132 5.193787,3.887878 6.232544,5.831848l2.077545,1.943939l1.038727,0.971985" id="svg_81238_166"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" d="m367.356567,369.416626c0,0.971954 -0.397491,2.017914 0,2.915894c1.124359,2.539886 2.796936,4.068695 4.15506,5.831848c1.717926,2.230255 4.155029,3.887909 5.193787,4.859863l2.077515,1.943939l1.038788,1.94397l2.077484,0.971954" id="svg_81238_167"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" d="m343.465118,383.024231c2.077515,1.943939 6.232544,5.831848 9.348846,8.747742l6.232544,4.859863l3.116272,2.915924l3.116302,0.971985" id="svg_81238_168"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" d="m456.689911,328.59375c0,0.971954 -0.319336,2.124756 1.038788,3.887878c0.858917,1.115143 1.038757,1.943939 3.116241,3.887878l1.038788,0.971985l3.116272,0" id="svg_81238_169"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" d="m434.875977,340.257446c0,0.971954 0.359589,1.657623 2.077515,3.887878c1.358093,1.763153 4.15506,3.887878 6.232544,5.831818c2.077545,1.94397 4.15506,4.859863 5.193817,5.831818l2.077515,1.94397l2.077515,0.971954" id="svg_81238_170"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" d="m408.906982,352.893066c0,0.971985 0,1.943939 1.038788,2.915894c2.077484,1.94397 4.002014,3.084198 5.193756,3.887939c1.884308,1.270782 4.15506,1.943939 6.232544,3.887878l2.077545,1.943939l1.038757,1.943939" id="svg_81238_171"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" d="m378.782928,363.584778c0,0.971954 -1.469025,2.513306 0,3.887878c0.734528,0.687286 2.077545,0.971985 4.155029,2.915924c2.077545,1.943939 3.309509,3.589081 5.193817,4.859863c1.191742,0.803711 4.15506,2.915924 6.232544,4.859863l1.038788,1.94397" id="svg_81238_172"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" d="m353.852722,377.192383c1.038727,1.943939 2.257324,2.772766 3.116272,3.887909c1.358093,1.763153 2.796936,4.068665 4.155029,5.831848c2.576874,3.345306 5.193787,5.831818 8.310089,6.803772l3.116272,1.94397l1.038757,0.971954l3.116272,1.94397" id="svg_81238_173"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" d="m337.232544,386.91214c0,0.971954 0.079071,1.571991 1.038788,1.943939c1.357208,0.526001 2.796936,4.068665 4.154999,5.831848c1.717926,2.230225 3.313965,3.772705 5.193817,6.803802c1.165863,1.879761 2.077515,1.94397 3.116302,2.915924l1.038727,0" id="svg_81238_174"/>
   </g>
   <line fill="none" stroke="#000000" stroke-width="4" x1="333" y1="186" x2="333" y2="198" id="svg_81238_180"/>
   <line fill="none" stroke="#000000" stroke-width="4" x1="330.999999" y1="199" x2="344.999999" y2="199" id="svg_81238_183"/>
   <g id="svg_81238_186">
    <line fill="none" stroke="#000000" stroke-width="4" x1="332" y1="386.5" x2="332" y2="398.5" id="svg_81238_184"/>
    <line fill="none" stroke="#000000" stroke-width="4" x1="329.999999" y1="399.5" x2="343.999999" y2="399.5" id="svg_81238_185"/>
   </g>
   <g id="svg_81238_187">
    <line fill="none" stroke="#000000" stroke-width="4" x1="300" y1="386.5" x2="300" y2="398.5" id="svg_81238_188"/>
    <line fill="none" stroke="#000000" stroke-width="4" x1="302.000001" y1="399.5" x2="288.000001" y2="399.5" id="svg_81238_189"/>
   </g>
   <g id="svg_81238_190">
    <line fill="none" stroke="#000000" stroke-width="4" x1="299" y1="186.5" x2="299" y2="198.5" id="svg_81238_191"/>
    <line fill="none" stroke="#000000" stroke-width="4" x1="301.000001" y1="199.5" x2="287.000001" y2="199.5" id="svg_81238_192"/>
   </g>
   <line fill="none" stroke="#000000" stroke-width="4" x1="173" y1="314" x2="182" y2="305" id="svg_81238_193"/>
   <line fill="none" stroke="#000000" stroke-width="4" x1="173" y1="314" x2="182" y2="323" id="svg_81238_195"/>
   <g id="svg_81238_198">
    <line fill="none" stroke="#000000" stroke-width="4" x1="173.5" y1="114" x2="182.5" y2="105" id="svg_81238_196"/>
    <line fill="none" stroke="#000000" stroke-width="4" x1="173.5" y1="114" x2="182.5" y2="123" id="svg_81238_197"/>
   </g>
   <g id="svg_81238_199">
    <line fill="none" stroke="#000000" stroke-width="4" x1="461.499972" y1="114" x2="452.499972" y2="105" id="svg_81238_200"/>
    <line fill="none" stroke="#000000" stroke-width="4" x1="461.499972" y1="114" x2="452.499972" y2="123" id="svg_81238_201"/>
   </g>
   <line fill="none" stroke="#ffffff" stroke-width="4" x1="180" y1="129" x2="169" y2="138" id="svg_81238_202"/>
   <g id="svg_81238_203">
    <line fill="none" stroke="#000000" stroke-width="4" x1="462.499972" y1="314" x2="453.499972" y2="305" id="svg_81238_204"/>
    <line fill="none" stroke="#000000" stroke-width="4" x1="462.499972" y1="314" x2="453.499972" y2="323" id="svg_81238_205"/>
   </g>
   <g id="svg_81238_206">
    <line fill="none" stroke="#000000" stroke-width="4" x1="168.027487" y1="138.563816" x2="168.027487" y2="127.215383" id="svg_81238_207"/>
    <line fill="none" stroke="#000000" stroke-width="4" x1="166.038468" y1="126.26968" x2="179.961593" y2="126.26968" id="svg_81238_208"/>
   </g>
   <g id="svg_81238_209">
    <line fill="none" stroke="#000000" stroke-width="4" x1="167.027487" y1="338.147801" x2="167.027487" y2="326.799367" id="svg_81238_210"/>
    <line fill="none" stroke="#000000" stroke-width="4" x1="165.038468" y1="325.853665" x2="178.961593" y2="325.853665" id="svg_81238_211"/>
   </g>
   <g id="svg_81238_212">
    <line fill="none" stroke="#000000" stroke-width="4" x1="465.238426" y1="140.147801" x2="465.238426" y2="128.799367" id="svg_81238_213"/>
    <line fill="none" stroke="#000000" stroke-width="4" x1="467.133803" y1="127.853665" x2="453.86617" y2="127.853665" id="svg_81238_214"/>
   </g>
   <g id="svg_81238_215">
    <line fill="none" stroke="#000000" stroke-width="4" x1="466.738426" y1="340.145847" x2="466.738426" y2="328.797414" id="svg_81238_216"/>
    <line fill="none" stroke="#000000" stroke-width="4" x1="468.633803" y1="327.851711" x2="455.36617" y2="327.851711" id="svg_81238_217"/>
   </g>
   <line fill="none" stroke="#ffffff" stroke-width="4" x1="312" y1="299" x2="312" y2="327" id="svg_81238_228"/>
   <line fill="none" stroke="#ffffff" stroke-width="4" x1="320" y1="301" x2="320" y2="329" id="svg_81238_229"/>
   <g id="svg_81238_1">
    <circle fill="#000000" stroke="#000000" stroke-width="4" cx="157" cy="115" r="8.484375" id="svg_81238_2"/>
    <circle fill="#000000" stroke="#000000" stroke-width="4" cx="478" cy="115" r="8.484375" id="svg_81238_5"/>
    <circle fill="#000000" stroke="#000000" stroke-width="4" cx="157" cy="313.5" r="8.484375" id="svg_81238_7"/>
    <circle fill="#000000" stroke="#000000" stroke-width="4" cx="479" cy="314.5" r="8.484375" id="svg_81238_8"/>
    <circle fill="#000000" stroke="#000000" stroke-width="4" cx="316" cy="200.25" r="8.484375" id="svg_81238_9"/>
    <circle fill="#000000" stroke="#000000" stroke-width="4" cx="316" cy="397.75" r="8.484375" id="svg_81238_10"/>
    <line fill="none" stroke="#000000" stroke-width="4" x1="172" y1="114" x2="463.015431" y2="114" id="svg_81238_11"/>
    <line fill="none" stroke="#000000" stroke-width="4" x1="171.992188" y1="314" x2="464.007598" y2="314" id="svg_81238_12"/>
    <line fill="none" stroke="#000000" stroke-width="4" x1="156" y1="132" x2="156" y2="298" id="svg_81238_13"/>
    <line fill="none" stroke="#000000" stroke-width="4" x1="479" y1="133" x2="479" y2="299" id="svg_81238_15"/>
    <line fill="none" stroke="#000000" stroke-width="4" x1="316" y1="216" x2="316" y2="382" id="svg_81238_16"/>
    <line fill="none" stroke="#000000" stroke-width="4" x1="156" y1="133" x2="149" y2="143" id="svg_81238_17"/>
    <line fill="none" stroke="#000000" stroke-width="4" x1="156.500002" y1="133" x2="164.500003" y2="143" id="svg_81238_19"/>
    <line fill="none" stroke="#000000" stroke-width="4" x1="478.25" y1="134" x2="471.25" y2="144" id="svg_81238_20"/>
    <line fill="none" stroke="#000000" stroke-width="4" x1="478.750002" y1="134" x2="486.750003" y2="144" id="svg_81238_21"/>
    <line fill="none" stroke="#000000" stroke-width="4" x1="315.25" y1="218" x2="308.25" y2="228" id="svg_81238_22"/>
    <line fill="none" stroke="#000000" stroke-width="4" x1="315.750002" y1="217" x2="323.750003" y2="227" id="svg_81238_23"/>
    <line fill="none" stroke="#000000" stroke-width="4" x1="324.25" y1="371" x2="317.25" y2="381" id="svg_81238_26"/>
    <line fill="none" stroke="#000000" stroke-width="4" x1="306.750002" y1="371" x2="314.750003" y2="381" id="svg_81238_27"/>
    <line fill="none" stroke="#000000" stroke-width="4" x1="486.75" y1="288" x2="479.75" y2="298" id="svg_81238_28"/>
    <line fill="none" stroke="#000000" stroke-width="4" x1="470.250002" y1="288" x2="478.250003" y2="298" id="svg_81238_29"/>
    <line fill="none" stroke="#000000" stroke-width="4" x1="163.75" y1="287" x2="156.75" y2="297" id="svg_81238_30"/>
    <line fill="none" stroke="#000000" stroke-width="4" x1="147.250002" y1="287" x2="155.250003" y2="297" id="svg_81238_31"/>
    <line fill="none" stroke="#000000" stroke-width="4" x1="169.000002" y1="128.999997" x2="298.000006" y2="196.999995" id="svg_81238_32"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" id="svg_81238_38" d="m195,124c0,1 -1.346191,2.70546 -3,5c-1.307449,1.813995 -2.714127,4.21167 -5,7c-1.793198,2.187347 -5,4 -6,8l-3,2l-2,2"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" id="svg_81238_39" d="m219,137c0,1 -0.149353,1.474274 -1,2c-1.902115,1.175568 -2,4 -4,6c-2,2 -4.21167,5.714127 -7,8c-2.187347,1.793198 -5,7 -8,12l-2,4l-2,7"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" id="svg_81238_40" d="m245,153c-1,1 -1.097885,2.824432 -3,4c-0.850647,0.525726 -1.61731,1.076126 -2,2c-0.541199,1.306564 -2,2 -4,4c-2,2 -4.610641,5.159271 -6,8c-1.584106,3.238922 -5,4 -6,6l-2,2l-1,1"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" id="svg_81238_43" d="m267,165c0,1 0.38269,2.076126 0,3c-1.082397,2.613129 -2.692566,4.186005 -4,6c-1.653809,2.29454 -4,4 -5,5l-2,2l-1,2l-2,1"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" id="svg_81238_44" d="m290,179c-2,2 -6,6 -9,9l-6,5l-3,3l-3,1"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" id="svg_81238_47" d="m202,135c0,1 -0.346191,1.70546 -2,4c-1.307449,1.813995 -4,4 -6,6c-2,2 -4,5 -5,6l-2,2l-2,1"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" id="svg_81238_48" d="m227,148c0,1 0,2 -1,3c-2,2 -3.852737,3.173096 -5,4c-1.813995,1.307449 -4,2 -6,4l-2,2l-1,2"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" id="svg_81238_49" d="m256,159c0,1 1.414215,2.585785 0,4c-0.707108,0.707108 -2,1 -4,3c-2,2 -3.186005,3.692551 -5,5c-1.147263,0.826904 -4,3 -6,5l-1,2"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" id="svg_81238_50" d="m280,174c-1,2 -2.173096,2.852737 -3,4c-1.307434,1.813995 -2.692566,4.186005 -4,6c-2.480713,3.441803 -5,6 -8,7l-3,2l-1,1l-3,2"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" id="svg_81238_51" d="m296,183c0,1 -0.076111,1.61731 -1,2c-1.30658,0.541199 -2.692566,4.186005 -4,6c-1.653809,2.29454 -3.190277,3.881516 -5,7c-1.122345,1.93399 -2,2 -3,3l-1,0"/>
    <path fill="none" stroke="#ffffff" stroke-width="4" d="m303.5,220c0,1 0.307434,2.186005 -1,4c-0.826904,1.147278 -1,2 -3,4l-1,1l-3,0" id="svg_81238_58"/>
    <line fill="none" stroke="#000000" stroke-width="4" x1="168.5" y1="329" x2="297.5" y2="397" id="svg_81238_137"/>
   </g>
  </g>
  <text id="svg_81238_221" fill="#000000" stroke="#000000" stroke-width="0" x="350" y="79" font-size="18" font-family="Fantasy" text-anchor="middle" xml:space="preserve" font-weight="normal">F (g'')</text>
  <text id="svg_81238_6" fill="#000000" stroke="#000000" stroke-width="0" x="305" y="278" font-size="18" font-family="Fantasy" text-anchor="middle" xml:space="preserve" font-weight="normal">F (g')</text>
  <text id="svg_81238_14" fill="#000000" stroke="#000000" stroke-width="0" x="359" y="439" font-size="18" font-family="Fantasy" text-anchor="middle" xml:space="preserve" font-weight="normal">F (g)</text>
  <line id="svg_81238_33" y2="250" x2="283.012498" y1="250" x1="243" stroke-width="5" stroke="#ffffff" fill="none"/>
  <line id="svg_81238_34" y2="260" x2="275" y1="260" x1="243" stroke-width="5" stroke="#ffffff" fill="none"/>
  <line id="svg_81238_35" y2="400" x2="442" y1="274" x1="378" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_81238_36" y2="405" x2="244" y1="275.999996" x1="177.999995" stroke-width="4" stroke="#000000" fill="none"/>
  <line id="svg_81238_37" y2="109" x2="445" y1="235" x1="378.000001" stroke-width="4" stroke="#000000" fill="none"/>
  <text id="svg_81238_42" fill="#000000" stroke="#000000" stroke-width="0" x="373" y="341" font-size="18" font-family="Fantasy" text-anchor="middle" xml:space="preserve" font-weight="normal">F (e)</text>
  <text id="svg_81238_45" fill="#000000" stroke="#000000" stroke-width="0" x="173" y="343" font-size="18" font-family="Fantasy" text-anchor="middle" xml:space="preserve" font-weight="normal">F (e')</text>
  <text id="svg_81238_46" fill="#000000" stroke="#000000" stroke-width="0" x="185" y="165" font-size="18" font-family="Fantasy" text-anchor="middle" xml:space="preserve" font-weight="normal">F (f')</text>
  <text id="svg_81238_52" fill="#000000" stroke="#000000" stroke-width="0" x="397" y="140" font-size="18" font-family="Fantasy" text-anchor="middle" xml:space="preserve" font-weight="normal">F (f)</text>
  <text id="svg_81238_53" fill="#000000" stroke="#000000" stroke-width="0" x="299" y="180" font-size="18" font-family="Fantasy" text-anchor="middle" xml:space="preserve" font-weight="normal">F (e'∘f')</text>
  <text id="svg_81238_54" fill="#000000" stroke="#000000" stroke-width="0" x="499" y="236" font-size="18" font-family="Fantasy" text-anchor="middle" xml:space="preserve" font-weight="normal">F (e∘f)</text>
  <text id="svg_81238_56" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="12" y="283.5" x="296.5" stroke-width="0" stroke="#000000" fill="#000000">1</text>
  <text id="svg_81238_57" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="12" y="445.5" x="350.5" stroke-width="0" stroke="#000000" fill="#000000">1</text>
  <text id="svg_81238_59" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="12" y="84.5" x="339.5" stroke-width="0" stroke="#000000" fill="#000000">1</text>
  <text id="svg_81238_60" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="12" y="171.5" x="176" stroke-width="0" stroke="#000000" fill="#000000">2</text>
  <text id="svg_81238_61" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="12" y="242.5" x="483" stroke-width="0" stroke="#000000" fill="#000000">2</text>
  <text id="svg_81238_62" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="12" y="347.5" x="364" stroke-width="0" stroke="#000000" fill="#000000">2</text>
  <text id="svg_81238_63" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="12" y="349.5" x="162" stroke-width="0" stroke="#000000" fill="#000000">2</text>
  <text id="svg_81238_64" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="12" y="146.5" x="390" stroke-width="0" stroke="#000000" fill="#000000">2</text>
  <text id="svg_81238_65" xml:space="preserve" text-anchor="middle" font-family="Fantasy" font-size="12" y="186.5" x="278" stroke-width="0" stroke="#000000" fill="#000000">2</text>
  </g>
  </svg>

The exchange on $(F_{1},F_{2})$ by this family of exchanges on 2-morphisms is sometimes denoted as $(e(C))_{C \in \mathcal{E}}$.


## References

J. Ayoub, _Les six opérations de Grothendieck et le formalisme des cycles évanescents dans le monde motivique_. I., Astérisque No. 314 (2007), x+466 pp. (2008) [MR2009h:14032](http://www.ams.org/mathscinet-getitem?mr=2423375); II. Astérisque No. 315 (2007), vi+364 pp. (2008) [MR2009m:14007](http://www.ams.org/mathscinet-getitem?mr=2438151); also a file at K-theory archive [THESE.pdf](http://www.math.uiuc.edu/K-theory/0761/THESE.pdf)


[[!redirects exchange structure]]
[[!redirects exchange structures]]
