
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Differential geometry
+--{: .hide}
[[!include synthetic differential geometry - contents]]
=--
#### Manifolds and cobordisms
+--{: .hide}
[[!include manifolds and cobordisms - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A [[manifold]], possibly [[infinite dimensional manifold|infinite-dimensional]], is called a _convenient manifold_ -- implicitly meaning: convenient for _[[differential geometry]]_ -- if it is modeled on a [[convenient vector space]].

One should note that this usage of the adjective 'convenient' is different to that in 'convenient category', for example of smooth spaces. In that case the _category_ is convenient, whereas here the _objects_ are convenient.

## Properties 

### Embedding into the Cahiers-topos

Together with [[convenient vector spaces]], convenient manifods embed into the [[Cahier topos]] of [[synthetic differential geometry|synthetic differential]] [[smooth spaces]]. See at _[[Cahiers topos]]_ for more on this.

## Related concepts

* [[Banach manifold]]

* [[Hilbert manifold]]

* [[ILH manifold]]

* [[Frechet manifold]]

* [[convenient manifold]]

## References

A standard textbook reference is

* [[Andreas Kriegl]], [[Peter Michor]]: _The convenient setting of global analysis_, AMS (1997) ([pdf](http://www.mat.univie.ac.at/~michor/apbookh.pdf))
 {#KM}
* Peter Michor, _A convenient setting for differential geometry and global analysis_, Cahiers Topologie Géom. Différentielle 25 (1984), no. 1, 63–109, [MR86g:58014a](http://www.ams.org/mathscinet-getitem?mr=764972); _A convenient setting for differential geometry and global analysis. II_, Cahiers Topologie Géom. Différentielle 25 (1984), no. 2, 113–178. 

A survey is for instance in the slides

* Richard Blute, _Convenient Vector Spaces, Convenient Manifolds and Differential Linear Logic_ (2011) ([pdf](http://aix1.uottawa.ca/~rblute/FMCS.pdf))
 {#Blute}
* [[John C. Baez]], Alexander E. Hoffnung, _Convenient categories of smooth spaces_, Trans. Amer. Math. Soc. 363 (2011), 5789-5825 [pdf](http://www.ams.org/journals/tran/2011-363-11/S0002-9947-2011-05107-X/S0002-9947-2011-05107-X.pdf)
 
[[!redirects convenient manifolds]]

