
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Homotopy theory
+--{: .hide}
[[!include homotopy - contents]]
=--
#### Higher category theory
+--{: .hide}
[[!include higher category theory - contents]]
=--
#### Higher geometry
+--{: .hide}
[[!include higher geometry - contents]]
=--
=--
=--

_Pursuing Stacks_ is an influential manuscript written by [[Alexander Grothendieck]] in 1983, and of which copies were sent to [[Ronnie Brown]] and [[Larry Breen]]. It is written in English "in response to a correspondence in English". He intended that later volumes would be in French, entitled  _À la poursuite des [[stack|champs]]_ (literally _In Pursuit of Stacks_).  Grothendieck gave permission to Ronnie Brown to copy  the correspondence, and so this volume gradually circulated.   



Further ideas in a later manuscript, [[Les Derivateurs]], were made available by [[Georges Maltsiniotis]]. A main theme is the [[homotopy coherent diagram|homotopy theory of diagrams]]. 

Preliminary to the circulated Pursuing Stacks is a 12 page letter to [[Daniel Quillen]], dated 19-02-1983, who did not respond. The work then proceeds as a sort of research diary of about 600 pages, including many back-trackings and corrections.  The ideas presented have proved hugely influential even to this day in [[homotopy theory]], [[higher category theory]] and [[higher geometry]], and indeed many of them have now been thoroughly worked over, 'pursued' and published (see below).  We  note however that this does not mean "Pursuing stacks" did not contain many rigorously worked notions and results itself. On the other hand one of the values of the document is to show how Grothendieck goes about developing his ideas, and he was insistent that the document should be published, if at all,  "as is", so that young people could see that even well known people could make errors.  

#Contents#
* table of contents
{:toc}

## Download

For an account of the origins of the manuscript, see [Ronnie Brown's account](http://www.bangor.ac.uk/~mas010/pstacks.htm), where a large downloadable .ps file may be found. 
Scanned copies of the original typescript are available [here](http://modular.fas.harvard.edu/sga/djvu/Pursuing%20Stacks.tif.djvu) (in djvu, warning: 23MB), [here](http://www.math.umn.edu/~messing/docs/) (djvu and pdf - 252MB), or [here](http://preschema.com/pursuing-stacks/) (png images) (some of these links seem no longer to work!). [Page](http://webusers.imj-prg.fr/~georges.maltsiniotis/ps.html) by Maltsiniotis.

There is now a set of [LaTeX files on GitHub](https://github.com/thescrivener/PursuingStacks) with corresponding [PDFs on GitHub Pages](https://thescrivener.github.io/PursuingStacks/). The original source tarball is still here, but an administrator should delete it: [[PursuingStacks.tar.gz:file]].

## Content and influence on current research

Grothendieck considered among other things, the notion of $n$-[[n-groupoid|groupoids]] and $\infty$-[[omega-groupoid|groupoids]], [[homotopy types]] and how to model them, [[homology]] and [[cohomology]] theories defined on categories of models and schematisation of homotopy types. This last is an attempt to define homotopy theory relative to a base ring, say, such that over $\mathbb{Z}$ ordinary homotopy theory is recovered.

The following summary is due to [[David Roberts]] (from this [discussion on MO](http://mathoverflow.net/questions/115549/conjectures-in-grothendiecks-pursuing-stacks)):

Pursuing Stacks is composed of (if memory serves correctly) three themes. The first was [[homotopy types]] as [[infinity-groupoid|higher (non-strict) groupoids]]. This part was first considered in Grothendieck's letters to [[Larry Breen]] from 1975, and is mostly contained in the letter to [[Daniel Quillen]] which makes up the first part of PS (about 12 pages or so). [[Georges Maltsiniotis]] has extracted [[Grothendieck-Maltsiniotis omega-groupoid|Grothendieck's proposed definition for a weak ∞-groupoid]], and there is by [[Dimitri Ara]] ([Ara 10](Grothendieck-Maltsiniotis+infinity-category#Ara10)) towards showing that this definition satisfies the [[homotopy hypothesis]].

The other parts (not entirely inseparable) are the first thoughts on [[derivators]], which were later taken up in great detail in Grothendieck's 1990-91 [notes](http://www.math.jussieu.fr/~maltsin/groth/Derivateursengl.html) (see there for extensive literature relating to derivators, the first 15 of 19 chapters of [[Les Dérivateurs]] are themselves available), and the 'schematisation of homotopy types', which is covered by work of [[Bertrand Toën]], [[Gabriele Vezzosi]] and others on [[homotopical algebraic geometry]] (e.g. [HAG I](http://www.dma.unifi.it/~vezzosi/papers/hagI.pdf), [HAG II](http://www.dma.unifi.it/~vezzosi/papers/hagIIfin.pdf)) using [[simplicial sheaves]] on schemes. This has taken off with work of [[Jacob Lurie]], [[Charles Rezk]] and others dealing with [[(infinity,1)-topos theory]]  and [[derived algebraic geometry]], which is going far ahead of what Grothendieck probably envisaged.

During correspondence with Grothendieck in the 80s, [[André Joyal]] constructed what we now call the [[Joyal model structure]] on the category of [[simplicial sets]] to give a basis to some of the ideas being tossed around at the time.

The theory of [[localizers]] and [[modelizers]], Grothendieck's conception of homotopy theory, is covered in the work of [[Denis-Charles Cisinski]].

## History
 {#History}

In his _Obituary to Aurelio
Carboni_ ([pdf](http://comocategoryarchive.com/Archive/conferences/aurelio-carboni/tributes/Farewell-to-Aurelio-FW-Lawvere.pdf)) [[William Lawvere]] writes the following:

In 1989 Aurelio proposed to accompany me with his Alfa Romeo to visit Alexander Grothendieck in his stone hut in the middle of a lavender field near Mormoiron in the South of France. I had already visited Grothendieck in 1981 at that stone
hut, but
this
time
there
was
a
specific
item
that
needed
to
be
negotiated.
Grothendieck
had
stated
that
I
might
be
the
appropriate
person
to
edit
and
publish
his
great
work
'Pursuing
Stacks'.
But
I
had
very
serious
questions
about
how
that
editing
should
be
done
in
particular.
Aurelio
was
attentively
studying
the
situation.
The
discussion
was
complicated
by
the
fact
that
Grothendieck
was
bound
by
a
religious
vow
of
silence,
so
that
he
could
only
communicate
by
writing
(though
he
had
given
me
a
very
friendly
one-­word
greeting:
'Bill
!')
He
wrote
immediately
that
he
was
under
a
vow
not
to
discuss
mathematics.
But
his
mathematical
soul
soon
triumphed
and
he
was
writing
mathematical
statements
and
questions.
(Aurelio
observed
all
this
with
valiant
equanimity.)
The
1983
work
of
Grothendieck
under
discussion
concerned
among
many
other
questions
the
homotopy
theory
of
presheaf
toposes.
It
is
a
long
manuscript,
produced
by
the
basic
method
of
typing
all
night
for
several
weeks.
Naturally,
mistakes
occurred
due
to
fatigue,
but
the
fever
to
press
on
had
meant
that
each
morning
when
Alexander
noted
the
previous
evening’s
errors,
he
did
not
delete
them,
but
simply
kept
them,
and
added
the
corrected
version
before
proceeding.
I
said
that
as
a
conscientious
editor
I
would
have
to
delete
the
erroneous
passages
and
give
substantial
explanations
of
my
own.
Grothendieck
insisted
that
the
errors
be
kept,
so
that
students
would
have
the
opportunity
to
learn
that
even
famous
mathematicians
make
mistakes.
I
objected
to
this,
pointing
out
that
students
have
ample
opportunity
to
see THAT and
that learning
the actual
scientific material
is difficult enough without the extra punishment that he was in effect advocating. But our parting was very amicable with the agreement to further consider the matter. Aurelio agreed with my point. In the end the publication did not take place. Only several years later did Maltsiniotis and Cisinski work out the mathematics and bring this magnificent homotopy program to an initial fruition.

category: reference

[[!redirects Pursuing stacks]]