
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

In the broad sense of the word, a _topological string_ is a 2-dimensional [[TQFT]]. In its refined form this goes by the name _[[TCFT]]_. The "C" standing for _[[conformal field theory]]_ points to what historically was the main inspiration and still is the default meaning of _topological strings_: the _[[A-model]]_ and _[[B-model]]_ 2d TQFTs, which are each obtained by a "topological twisting" of [[2d SCFTs]].

Accordingly, much of "physical" [[string theory]] has its analogs in _topological string theory_. Notably the toplogical analogs of the [[D-branes]] of the physical string --  the [[A-branes]] and [[B-branes]] -- have been studied in great (mathematical) detail, giving rise to [[homological mirror symmetry]] and, eventually, the notion of [[TCFT]] itself.

Also the perspective of [[string theory]] as the dimensional reduction of a conjectured [[UV-completion]] of  [[11-dimensional supergravity]] -- "M-theory" -- has its analog for topological strings, going, accordingly, by the term _[[topological M-theory]]_.

## Classification

[[!include 2d TQFT -- table]]

## Related concepts

* [[TCFT]]
  * [[A-model]]
  * [[B-model]]

* [[topological M-theory]], [[topological membrane]]

## References
 {#References}

### General

Review includes

* {#NeitzkeVafa04} [[Andrew Neitzke]], [[Cumrun Vafa]], _Topological strings and their physical applications_, [hep-th/0410178](http://xxx.lanl.gov/abs/hep-th/0410178)

* {#AntoniadisHohenegger07} I. Antoniadis, S. Hohenegger, _Topological Amplitudes and Physical Couplings in String Theory_, Nucl.Phys.Proc.Suppl.171:176-195,2007 ([arXiv:hep-th/0701290](https://arxiv.org/abs/hep-th/0701290))

* Marcel Vonk, _A mini-course on topological strings_ ([arXiv:hep-th/0504147](http://arxiv.org/abs/hep-th/0504147))


* [[Andrew Neitzke]], _Nonperturbative topological strings_, 2005 ([pdf](http://people.maths.ox.ac.uk/lmason/Tws/Neitzke.pdf))

The relation to [[topological M-theory]]/the [[topological membrane]] is discussed for instance in

* [[Jan de Boer]], Paul de Medeiros, Sheer El-Showk, Annamaria Sinkovics, _Open $G_2$ Strings_ ([arXiv:hep-th/0611080](http://arxiv.org/abs/hep-th/0611080))

See also

* wikipedia [topological string theory](http://en.wikipedia.org/wiki/Topological_string_theory)

* Lotte Hollands, _Topological Strings and Quantum Curves_ ([arXiv:0911.3413](https://arxiv.org/abs/0911.3413))

* Mina Aganagić, [[Cumrun Vafa]], _Large N duality, mirror symmetry, and a Q-deformed A-polynomial for knots_, [arxiv/1204.4709](http://arxiv.org/abs/1204.4709)


### Relation to black hole microstate counting

Disucssion of [[black holes in string theory]] via the topological string' [[Gopakumar-Vafa invariants]]:

* [[Rajesh Gopakumar]], [[Cumrun Vafa]], _M-Theory and Topological Strings--I_ ([arXiv:hep-th/9809187](https://arxiv.org/abs/hep-th/9809187))

* [[Rajesh Gopakumar]], [[Cumrun Vafa]], _M-Theory and Topological Strings--II_ ([arXiv:hep-th/9812127](https://arxiv.org/abs/hep-th/9812127))


### Relation to physical string amplitudes

The following includes discussion of [[superstring]] [[string scattering amplitudes]] in terms of topological string scattering amplitudes (for review see [NeitzkeVafa04, section 6](#NeitzkeVafa04) and [Antoniadis-Hohenegger 07](#AntoniadisHohenegger07):


* M. Bershadsky, S. Cecotti, [[Hirosi Ooguri]], [[Cumrun Vafa]], _Kodaira-Spencer Theory of Gravity and Exact Results for Quantum String Amplitudes_, Commun.Math.Phys.165:311-428,1994 ([arXiv:hep-th/9309140](https://arxiv.org/abs/hep-th/9309140))

* I. Antoniadis, E. Gava, K.S. Narain, T.R. Taylor, _Topological Amplitudes in String Theory_, Nucl.Phys. B413 (1994) 162-184 ([arXiv:hep-th/9307158](http://xxx.lanl.gov/abs/hep-th/9307158))

* K.S. Narain, N. Piazzalunga, A. Tanzini, _Real topological string amplitudes_, JHEP (2017) 2017:80 ([arXiv:1612.07544](https://arxiv.org/abs/1612.07544))

### Computation via topological recursion

Computation via [[topological recursion]] in [[matrix models]] and all-[[genus of  a surface|genus]] proofs of [[mirror symmetry]] is due to

* {#BouchardKlemmMarinoPasquetti09} [[Vincent Bouchard]], [[Albrecht Klemm]], [[Marcos Marino]], [[Sara Pasquetti]], _Remodeling the B-model_, Commun.Math.Phys.287:117-178, 2009 ([arXiv:0709.1453](https://arxiv.org/abs/0709.1453))

* [[Bertrand Eynard]], [[Amir-Kian Kashani-Poor]], Olivier Marchal, _A matrix model for the topological string I: Deriving the matrix model_ ([arXiv:1003.1737](https://arxiv.org/abs/1003.1737))

* [[Bertrand Eynard]], [[Amir-Kian Kashani-Poor]], Olivier Marchal, _A matrix model for the topological string II: The spectral curve and mirror geometry_ ([arXiv:1007.2194](https://arxiv.org/abs/1007.2194))

* {#EynardOrantin12} [[Bertrand Eynard]], [[Nicolas Orantin]], _Computation of open Gromov-Witten invariants for toric Calabi-Yau 3-folds by topological recursion, a proof of the BKMP conjecture_ ([arXiv:1205.1103](https://arxiv.org/abs/1205.1103))

* {#FangLiuZong13} Bohan Fang, Chiu-Chu Melissa Liu, Zhengyu Zong, _All Genus Open-Closed Mirror Symmetry for Affine Toric Calabi-Yau 3-Orbifolds_ ([arXiv:1310.4818](https://arxiv.org/abs/1310.4818))

[[!redirects topological strings]]

[[!redirects topological string theory]]

