
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}


## Idea

Many aspects of the theory of "[[topological strings]]" (the [[A-model]] and the [[B-model]]) proceed in close analogy (just simpler) to the "physical" [[string theory]]. Accordingly, as the latter can usefully be organized as the dimensional reduction of a conjectured [[UV-completion]] of [[11-dimensional supergravity]] -- [[M-theory]] -- there seems to be an analogous higher dimensional organizational principle for topological strings, hence termed _topological M-theory_.

One way to understand it is as a [[TQFT]]-analog of the [[M2-brane]] [[sigma-model]], the _[[topological membrane]]_.
 
## Related concepts

* [[bosonic M-theory]]

* [[Hitchin functional]]

* [[M-theory on G2-manifolds]]

* [[7d Chern-Simons theory]]

## References

The notion has been introduced in 

* {#NeitzkeVafa04} [[Andrew Neitzke]], [[Cumrun Vafa]], section 7 of_Topological strings and their physical applications_, [hep-th/0410178](http://xxx.lanl.gov/abs/hep-th/0410178)

* [[Robbert Dijkgraaf]], [[Sergei Gukov]], [[Andrew Neitzke]], [[Cumrun Vafa]], _Topological M-theory as Unification of Form Theories of Gravity_ ([arXiv:hep-th/0411073](http://arxiv.org/abs/hep-th/0411073))



Under the term "[[Z-theory]]" aspects were discussed in 

* [[Nikita Nekrasov]], _Z Theory_, ([arXiv:hep-th/0412021](http://arxiv.org/abs/hep-th/0412021))


An introduction is in 

* [[Andrew Neitzke]], _Elements of topological M-theory_ (2005) ([pdf](http://uw.physics.wisc.edu/~strings/group/slides.05.spring/neitzke.pdf))


The _[[topological membrane]]_ is made explicit in 

* Ling Bao, Viktor Bengtsson, [[Martin Cederwall]], [[Bengt Nilsson]], _Membranes for Topological M-Theory_ ([arXiv:hep-th/0507077](http://arxiv.org/abs/hep-th/0507077))
 {#BaoBengtssonCederwallNillson05}


* Giulio Bonelli, Alessandro Tanzini, [[Maxim Zabzine]], _On topological M-theory_ ([arXiv:hep-th/0509175](http://arxiv.org/abs/hep-th/0509175))


