
# The regular extension axiom
* table of contents
{: toc}

## Idea

The **Regular Extension Axiom** (REA) is a foundational axiom which asserts the existence of arbitrarily large [[regular cardinal]]-like sets.  It has several variants, some of which are provable in [[ZF]], some of which are provable  from the [[axiom of choice]] or weaker variants thereof such as [[SVC]], and some of which are not even provable in ZFC. REA is usually considered in the context of [[CZF]].


## Variants

There is some discussion [here](http://golem.ph.utexas.edu/category/2012/04/pssl_93_trip_report.html#c041293).

uREA is REA for union closed regular sets. In CZF it implies the set generated axiom (SGA):

 For each set S and each subset Z of Fin(S) × Pow(Pow(S)), the class

M(Z) = {α ∈ Pow(S) | ∀(σ, Γ) ∈ Z[σ ⊆ α ⇒ ∃U ∈ Γ(U ⊆ α)]}

is set-generated. This axiom is also implies by [[relativised dependent choice]].



## References

* [[Michael Rathjen]] and [[Robert Lubarsky]], *On the regular extension axiom and its variants*, [PDF](http://www1.maths.leeds.ac.uk/~rathjen/REA.pdf)

* Peter Aczel, Hajime Ishihara, Takako Nemoto and Yasushi Sangu, *Generalized geometric theories and set-generated classes*, [PDF](http://www.newton.ac.uk/preprints/NI12032.pdf)

category: foundational axiom

[[!redirects regular extension axiom]]
[[!redirects Regular Extension Axiom]]
[[!redirects REA]]
