
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

In [[statistical physics]] the _thermodynamic limit_ denotes the limiting behaviour of a [[physical system]] that consists of many components ([[particles]]) as

* the [[volume]] $V$ and the number $N$ of particles tends to [[infinity]];

* the density ratio $\rho \coloneqq N/V$ approaches a constant value.

Many characteristic properties of macroscopic physical systems only appear in this limit, notably [[phase transitions]], [[universality classes]] and other [[critical phenomena]].

## Related concepts

* [[universality class]]

* [[quantum lattice system]]

## References

Reviews and introductions include

* _The theory of the thermodynamic limit_ ([pdf](http://igitur-archive.library.uu.nl/dissertations/1957294/c8.pdf))

* Daniel F. Styer, _What good is the thermodynamic limit?_ American Journal of Physics -- January 2004 -- Volume 72, Issue 1, pp. 25

  **Abstract** Statistical mechanics applies to large systems: technically, its results are exact only for infinitely large systems in “the thermodynamic limit.” The importance of this proviso is often minimized in undergraduate courses. This paper presents six paradoxes in statistical mechanics that can be resolved only by acknowledging the thermodynamic limit. For example, it demonstrates that the widely used microcanonical “thin phase space limit” must be taken after taking the thermodynamic limit.

* Ben Simons, _Phase Transitions and Collective Phenomena_ ([web](http://www.tcm.phy.cam.ac.uk/~bds10/phase.html))

* C. N. Yang and T. D. Lee , _Statistical Theory of Equations of State and Phase Transitions. I. Theory of Condensation_,  Phys. Rev. 87, 404–409 (1952) 

[[!redirects thermodynamics limits]]

[[!redirects phase transition]]
[[!redirects phase transitions]]
