Let $k$ be a fixed field. Consider associative $k$-algebra $A$ and its category of right modules $Mod_A$.

Recall that a monomorphism $f:M\to N$ in $Mod_A$-modules is __pure__ if after tensoring with any left $A$-module $L$ gives a mono $M\otimes_A L\stackrel{f\otimes L}\to N\otimes_A L$. A module $M$ in $Mod_A$ is __pure-injective__ if every pure mono $M\to N$ splits. This is clearly a weaker property than being an [[injective object]].

Given an associative algebra $A$, its __Ziegler spectrum__ $Zsp(A)$ is the topological space whose points are the isomorphism classes $[M]$ of indecomposable
pure-injective $A$-modules $M$ and the topology is defined in terms of pp-formulas (or finite matrices) over $A$. Here pp stands for "positive primitive in the usual language for $A$-modules"

The importance of Ziegler spectrum is in the 

__Ziegler's theorem.__ There is a correspondence between the definable classes in $Mod_A$ and closed subsets of $Zsp(A)$. 

There are applications to the spectra of theories of modules.

* Martin Ziegler,  _Model theory of modules_, Ann. Pure Appl. Logic __26__ (1984), no. 2, 149–213, [MR86c:03034](http://www.ams.org/mathscinet-getitem?mr=739577) <a href="http://dx.doi.org/10.1016/0168-0072(84)90014-9">doi</a>
* Krause [pdf](http://www2.math.uni-paderborn.de/fileadmin/Mathematik/AG-Krause/presentations_krause/ziegler.pdf)
* Grigory Garkusha, Mike Prest (2005) _Triangulated categories and the Ziegler spectrum_, Algebras and Representation Theory, 8 (4). pp. 499-523, [doi](http://dx.doi.org/10.1007/s10468-005-8147-2), [pdf](http://eprints.ma.man.ac.uk/290/01/covered/MIMS_ep2006_122.pdf)
* Mike Prest, [slides](http://www.slideshare.net/guest9ab010/zieglers-spectrum)
* Mike Prest, Topological and Geometric aspects of the Ziegler Spectrum (1998) 
* Lorna Gregory, Thesis, [pdf](http://www.maths.manchester.ac.uk/~mprest/GregoryThesis.pdf)
* Mike Prest, _Purity, spectra and localisation_, Enc. of Math. and its Appl. __121__, Camb. Univ. Press 2009 