[[!redirects lectures on p-divisible groups]]
This entry is about the text

* Michel Demazure, lectures on [[p-divisible group|p-divisible groups]] [web](http://sites.google.com/site/mtnpdivisblegroupsworkshop/lecture-notes-on-p-divisible-groups)

## chapter I: schemes and formal schemes

### 1. $k$-functors

[[I.1, k-functors]]

### 2. affine $k$-schemes

[[I.1, k-functors|I.2, affine k-schemes]]

### 3. closed and open subfunctors; schemes

[[I.3, open- and closed subfunctors; schemes]]

### 4. the geometric point of view

[[I.4, the geometric point of view]]

### 5. finiteness conditions

[[I.5, finiteness conditions]]

### 6. the four definitions of formal schemes

[[I.6, the four definitions of formal schemes]]

### 7. operations on formal schemes

[[I.7. operations on formal schemes]]

### 8. constant- and &#233;tale schemes

[[I.8, constant- and étale schemes]], [[the fundamental theorem of Galois theory]], [[Grothendieck's Galois theory]]

### 9. the Frobenius morphism

[[I.9, the Frobenius morphism]]

### 10. Frobenius morphism and symmetric products

[[I.10, Frobenius morphism and symmetric products]]



## chapter II: group-schemes and formal group-schemes

### 1. group-functors

[[II.1, group -functors]], [[k-group-functor]], [[k-group]] (=[[k-group scheme]])

### 2. constant and &#233;tale k-groups

[[II.2, constant and étale k-groups]]

### 3. affine k-groups

[[II.3, affine k-groups]]

### 4. k-formal groups, Cartier duality
[[II.4, k-formal groups, Cartier duality]], [[Cartier duality]]

### 5. the Frobenius and the Verschiebung morphism

[[II.5, the Frobenius and the Verschiebung morphism]]

### 6. the category of affine k-groups

[[II.6, the category of affine k-groups]]

From now on ''$k$-group'' will mean by default ''commutative $k$-group'' and the field $k$ will be of characteristic $p\gt 0$. The case $p=0$ is rather trivial.

### 7. &#233;tale and connected formal k-groups

[[II.7, étale and connected formal k-groups]]

### 8. multiplicative affine groups

[[II.8, multiplicative affine groups]], [[diagonalizable group scheme]]

###  9. unipotent affine groups, decomposition of affine groups

[[II.9, unipotent affine groups, decomposition of affine groups]]

### 10. smooth formal groups

[[II.10, smooth formal groups]]

### 11. p-divisible formal groups

[[II.11, p-divisible formal groups]]

### 12 appendix

[[II.12, appendix]]

## chapter III: Witt groups and Dieudonn&#233; modules

### 1. the Artin-Hasse exponential series

[[III.1 the Artin-Hasse exponential series]]

### 2. the Witt rings over $\mathbb{Z}$

[[III.2, the Witt rings over Z]]

### 3. the Witt rings over $k$

[[III.3, the Witt rings over k]]

### 4. duality of finite Witt groups

[[III.4, duality of finite Witt groups]]

### 5. Dieudonn&#233; modules (affine unipotent groups)

[[III.5, Dieudonné modules (affine unipotent groups)]]

### 6. Dieudonn&#233; modules ($p$-torsion finite $k$-groups)

[[III.6, Dieudonné modules (p-torsion finite k-groups)]]

### 8. Dieudonne modules (p-divisible groups)

[[III.8, Dieudonné modules (p-divisible groups)]]

### 9. Dieudonn&#233; modules (connected formal groups of finite type)

[[III.9, Dieudonné modules (connected formal groups of finite type)]]

## chapter IV: classification of $p$ divisible groups

Unless otherwise stated let $k$ be a perfect field of prime characteristic.

We denote write $B(K):=Quot(W(k))$ for the [[quotient field]] of the [[Witt ring]] $W(k)$.

We extend the [[Frobenius morphism]] $x\mapsto x^{(p)}$ to an automorphism of $B(k)$. The set of fixed points of $x\mapsto x^{(p)}$ in $W(k)$ is $W(F_p)=\mathbb{Z}_p$. The set of fixed points of $x\mapsto x^{(p)}$ in $B(k)$ is $B(F_p)=\mathbb{Q}_p$.


### 1. isogenies

[[Demazure, lectures on p-divisible groups, IV.1, isogenies]]

### 2. the category of $F$-spaces

[[Demazure, lectures on p-divisible groups, IV.2, the category of F-spaces]]

### 3. the spaces $E^\lambda$, $\lambda \ge 0$

[[Demazure, lectures on p-divisible groups, IV.3, the spaces E^lambda, lambda \ge 0]]

### 4. classificaton of $F$-spaces over an algebraically closed field

[[Demazure, lectures on p-divisible groups, IV.4, classificaton of F-spaces over an algebraically closed field]]

### 5. slopes

[[Demazure, lectures on p-divisible groups, IV.5, slopes]]

### 6. the characteristic class of an endomorphism

[[Demazure, lectures on p-divisible groups, IV.6, the characteristic class of an endomorphism]]

### 7. specialization of $p$-divisible groups

[[Demazure, lectures on p-divisible groups, IV.7, specialization of p-divisible groups]]

### 8. some particular cases

[[Demazure, lectures on p-divisible groups, IV.8, some particular cases]]

## chapter V: $p$-adic cohomology of abelian varieties

### 1. abelian varieties, known facts

[[Demazure, lectures on p-divisible groups, V.1, abelian varieties, known facts]]

### 2. points of finite order and endomorphisms

[[Demazure, lectures on p-divisible groups, V.2, points of finite order and endomorphisms]]

### 3. structure of the $p$-divisible group $A(p)$

[[Demazure, lectures on p-divisible groups, V.3, structure of the p-divisible group A(p)]]

## Related nlab entries

[[relations of certain classes of group schemes]]
