
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Analytic geometry
+--{: .hide}
[[!include analytic geometry -- contents]]
=--
#### Complex geometry
+--{: .hide}
[[!include complex geometry - contents]]
=--
=--
=--

# Analytic spaces
* table of contents
{: toc}

## Idea

Analytic spaces are [[spaces]] that are locally modeled on [[Isbell duality|formal duals]] of sub-[[associative algebra|algebras]] of [[power series]] algebras on elements with certain [[convergence]] properties with respect to given [[seminorms]]. This is in contrast to ([[formal geometry|formal]]) [[algebraic spaces]] (([[formal scheme|formal]]) [[schemes]]) where no [[convergence]] properties are considered.

In [[complex number|complex]] [[analytic geometry]] analytic spaces -- [[complex analytic space]] -- are a vast generalization of complex [[analytic manifolds]] and are usually treated in the formalism of [[locally ringed spaces]]. In this case the _[[GAGA]]-principle_ closely relates [[complex analytic geometry]] with [[algebraic geometry]] over the [[complex numbers]].

In the case of non-archimedean ground field, the topology of the affine space is totally disconnected what requires different approach than, say, over complex numbers. This leads to several variants like [[rigid analytic geometry]], [[Berkovich space]]s. [[Huber's adic spaces]] and so on.

## Related entries

* [[analytic geometry]], 

  * [[complex analytic space]], [[analytic variety]], [[Berkovich space]]

* [[Banach analytic space]]

* [[B1-homotopy theory]]

* [[perfectoid space]]

## References

* Wikipedia, _[Analytic space](http://en.wikipedia.org/wiki/Analytic_space)_

Discussion for [[complex analytic spaces]] and [[Stein spaces]] is in

* [[Hans Grauert]], [[Reinhold Remmert]], _Theory of Stein spaces_, Grundlehren der Math. Wissenschaften __236__, Springer 1979, xxi+249 pp.; _Coherent analytic sheaves_, Grundlehren der Math. Wissenschaften __265__, Springer 1984. xviii+249 pp.; _Komplexe Räume_, Math. Ann. __136__, 1958, 245–318, [DOI](http://dx.doi.org/10.1007/BF01362011)


[[!redirects analytic space]]
[[!redirects analytic spaces]]