+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### $\infty$-Lie theory
+--{: .hide}
[[!include infinity-Lie theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A _Lie algebra_ is the [[infinitesimal object|infinitesimal]] approximation to a [[Lie group]]. 

## Definition

### Ordinary definition

A _Lie algebra_ is a [[vector space]] $\mathfrak{g}$ equipped with a bilinear skew-symmetric map $[-,-]  : \mathfrak{g} \wedge \mathfrak{g} \to \mathfrak{g}$ which satisfies the [[Jacobi identity]]:

$$
  \forall x,y,z \in \mathfrak{g} : [x,[y,z]] + [z,[x,y]] + [y,[z,x]] = 0
  \,.
$$

A [[homomorphism]] of Lie algebras is a linear map $\phi : \mathfrak{g} \to \mathfrak{h}$ such that for all $x,y \in \mathfrak{g}$ we have

$$
  \phi([x,y]_{\mathfrak{g}}) = [\phi(x),\phi(y)]_{\mathfrak{h}}
  \,.
$$

This defines the [[category]] [[LieAlg]] of Lie algebras.

### In a general linear category

The notion of _Lie algebra_ may be formulated [[internalization|internal to]] any [[linear category]]. This general definition subsumes as special case generalizations such as [[super Lie algebra]]s. 

Given a [[commutative unital ring]] $k$, and a (strict for simplicity) [[symmetric monoidal category|symmetric monoidal]] $k$-[[linear category]] $(C,\otimes,1)$ with the symmetry $\tau$, a **Lie algebra** in $(C,\otimes,1,\tau)$ is an object $L$ in $C$ together with a morphism $[,]: A\otimes A\to A$ such that the [[Jacobi identity]] 

$$[,[,]]+[,[,]]\circ(id_L\otimes\tau_{L,L})\circ(\tau\otimes id_L)+[,[,]]\circ (\tau_{L,L}\otimes id_L)\circ (id_L\otimes\tau_{L,L}) = 0$$ 

and antisymmetry 

$$[,]+[,]\circ \tau_{L,L} = 0$$

hold. If $k$ is the ring $\mathbb{Z}$ of [[integer]]s, then we say (internal) __Lie ring__, and if $k$ is a [[field]] and $C=Vec$ then we say a __Lie $k$-algebra__. Other interesting cases are super-Lie algebras, which are the Lie algebras in the symmetric monoidal category $\mathbb{Z}_2-Vec$ of [[supervector space]]s and the Lie algebras in the [[Loday-Pirashvili tensor category]] of linear maps. 

Alternatively, Lie algebras are the algebras over certain quadratic [[operad]], called the [[Lie operad]], which is the [[Koszul dual]] of the [[commutative algebra]] operad.  

### General abstract perspective
 {#GeneralAbstractPerspective}

Lie algebras are equivalently groups in "[[infinitesimal space|infinitesimal]] geometry".

For instance in [[synthetic differential geometry]] then a Lie algebra of a [[Lie group]] is just the first-order infinitesimal neighbourhood of the unit element (e.g. [Kock 09, section 6](#Kock09)). 

More generally in geometric [[homotopy theory]], Lie algebras, being 0-truncated [[L-∞ algebras]] are equivalently "infinitesimal [[∞-group]] [[geometric ∞-stacks]]" (e.g. [here](infinitesimal+cohesive+(infinity,1&#41;-topos#FormalModuliProblems)), also called [[formal moduli problems]] (see there for more). 

## Extra stuff, structure, properties

Notions of Lie algebras with extra [[stuff, structure, property]] includes

* extra property

  * [[abelian Lie algebra]]

  * [[simple Lie algebra]]

  * [[semisimple Lie algebra]]

  * [[reductive Lie algebra]]

* extra structure

  * [[super Lie algebra]]

* extra stuff

  * [[∞-Lie algebra]]

    * [[simplicial Lie algebra]]


  * [[∞-Lie algebroid]]

## Properties

### General

* [[PBW theorem]]

### Cohomology

See [[Lie algebra cohomology]].


### Lie theory

See

* [[Lie theory]]

  * [[Lie integration]]

  * [[Lie's three theorems]]



## Examples

* [[translation Lie algebra]], [[line Lie algebra]]

* [[derivation Lie algebra]]

* [[endomorphism Lie algebra]]

* [[general linear Lie algebra]]

* [[orthogonal Lie algebra]]

* [[special orthogonal Lie algebra]]

* [[special unitary Lie algebra]]

* [[Poincare Lie algebra]]

* [[super Poincare Lie algebra]]


## Related concepts

* **Lie algebra**

  * [[universal enveloping algebra]], [[Cartan subalgebra]]

  * [[root (in representation theory)]], [[weight (in representation theory)]]

  * [[Lie algebra representation]]

  * [[Lie ideal]]
 
  * [[Kac-Moody algebra]]

  * [[complex Lie algebra]]

  * [[restricted Lie algebra]]

  * [[Lie group]]

  * [[Lie-Poisson structure]]

  * [[Lie algebra extension]]

    * [[semidirect product Lie algebra]]

  * [[Lie algebra contraction]]

* [[Lie 2-algebra]], [[Lie 2-group]]

* [[L-∞ algebra]], [[smooth ∞-group]]

* [[Lie algebroid]], [[Lie groupoid]]

* [[L-∞ algebroid]], [[smooth ∞-groupoid]]


[[!include infinitesimal and local - table]]

## References

* [[Eckhard Meinrenken]], _Lie groups and Lie algebas_, Lecture notes 2010 ([pdf](http://www.math.toronto.edu/mein/teaching/lie.pdf))

Discussion with a view towards [[Chern-Weil theory]] is in 
chapter IV in vol III of 

* [[Werner Greub]], [[Stephen Halperin]], [[Ray Vanstone]], _[[Connections, Curvature, and Cohomology]]_ Academic Press (1973)

Discussion in [[synthetic differential geometry]] is in 

*  {#Kock09} [[Anders Kock]], section 6 of _Synthetic Geometry of Manifolds_, 2009 ([pdf](http://home.imf.au.dk/kock/SGM-final.pdf))


[[!redirects Lie algebras]]

[[!redirects Lie bracket]]
[[!redirects Lie brackets]]