## Definition

Let $A$ be an abelian group and let $p$ be a prime number.

The *$p$-adic Tate Module* $T_p(A)$ of $A$ is defined as the limit

$$T_p(A):=lim_n A[p^n]:=lim_n ker(A\stackrel{\cdot p^n }{\to}A)$$

of the directed diagram given by kernels of the endomorphisms of $A$ defined by multiplication by $p^n$ with transition maps $d_i:=(\cdot p):A[p^{n+1}]\to A[p^n]$.

The Tate module can equivalently be described in terms of the endomorphism ring of the [[Prüfer group]].

## References

* Faltings, Gerd (1983), "Endlichkeitssätze für abelsche Varietäten über Zahlkörpern", Inventiones Mathematicae 73 (3): 349–366, doi:10.1007/BF01388432

* Hazewinkel, Michiel, ed. (2001), "Tate module", Encyclopedia of Mathematics, Springer, ISBN 978-1556080104

* Murty, V. Kumar (2000), Introduction to abelian varieties, CRM Monograph Series, 3, American Mathematical Society, ISBN 978-0-8218-1179-5

* Section 13 of Rohrlich, David (1994), "Elliptic curves and the Weil–Deligne group", in Kisilevsky, Hershey; Murty, M. Ram, Elliptic curves and related topics, CRM Proceedings and Lecture Notes, 4, American Mathematical Society, ISBN 978-0-8218-6994-9

* Tate, John (1966), "Endomorphisms of abelian varieties over finite fields", Inventiones Mathematicae 2: 134–144, MR 0206004John Tate, endomorphisms of abelian varieties over finite fields, [web](http://gdz.sub.uni-goettingen.de/dms/load/img/?IDDOC=166676)

* Tate module. Encyclopedia of Mathematics. [web](http://www.encyclopediaofmath.org/index.php/Tate_module)