[[!redirects III.5, Dieudonné modules (affine unipotent groups)]]
This entry is about a section of the text

* Michel [[Demazure, lectures on p-divisible groups]], [web](http://sites.google.com/site/mtnpdivisblegroupsworkshop/lecture-notes-on-p-divisible-groups)

Let $k$ be a perfect field of prime characteristic $p$.

+-- {: .num_defn}
###### Definition
Let $\underline W$ denote the codirected system of [[unipotent k-group|affine commutative unipotent]] $Acu_k$ $k$-groups

$$W_{1k}\stackrel{T}{\to}W_{2k}\stackrel{T}{\to}W_{3k}\stackrel{T}{\to}\cdots$$

The [[Witt vectors|Witt ring]] $W(k)$ operates on $\underline W$ as follows:

Let $\sigma$ denote the Frobenius morphism $W(k)\to W(k)$, let $a\mapsto a^{(p^n)}$. This Frobenius is bijective since $k$ is perfect. Let $a\in W(k)$, let $w\in W_n(R)$, $R\in M_k$. We define

$$a * w:=a^{p^{1-n}} R\cdot w$$

where $a^{p^{1-n} }R$ is the image of $a^{(p^{-n})}$ in $W(R)$, and $b\cdot w\in W_n(R)$, the product of $b\in W(R)$ and $w\in W_n(R)=W(R)/T^n W(R)$. By this definition $W_n(R)$ becomes a $W(k)$-module, and $T:W_n(R)\to W_{n+1}(R)$ is a homomorphism of $W(k)$-modules since we have

$$T(a* w)= T(a^{(p^{1-n)}} R\cdot w)=T(F(a^{(p^{-n})})R)\cdot w)=a^{p^{-n}}\cdot T w=a * Tw$$

For any $G\in Ac u_k$ the **[[Dieudonné module]] $M(G)$ of $G$ is defined to be the $W(k)$-module

$$M(G)=colim_n Acu_k(G,W_{nk})$$

or- equivalently- $M(G)=codir(Acu_k)(G,\underline W)$ where $codir(Acu_k)$ denotes the category of codirected diagrams in $Acu_k$ as described above.

$$M:\begin{cases}
Acu_k&\to& W(k)-Mod
\\
G&\mapsto&M(G)
\end{cases}$$

is a contravariant functor from affine commutative unipotent $k$-groups to the category of $W(k)$-modules.

This construction commutes with automorphisms of $k$. In particular it commutes with the morphism $f_k:k\to k$.
=--

+-- {: .num_defn}
###### Definition and Remark
1. For a $W(k)$-module $M$, define $M^{(p)}:=M\otimes_{W(k),\sigma}W(k)$.

1. As a group $M^{(p)}=M$, but the external law is $(w,m)\mapsto w^{(p^{-1})}m$.

1. If $f\in Acu_k(G,W_{nk})$, then $f^{(p)}:G^{(p)}\to W^{(p)}_{nk}=W_{nk}$ is a morphism and hence a map $\begin{cases}M(G)\to M(G^{(p)})\\f\mapsto f^{(p)}\end{cases}$

1. (...) There is an isomorphism $M(G)^{(p)}\stackrel{\sim}{\to}M(G)^{(p)}$.

1. The Frobenius morphism and the Verschiebung morphisminduce morphisms of $W(k)$ modules. $F:=M(F_G):M(G)^{(p)}\to M(G)$ and $V:=M(V_G):M(G)\to M(G)^{(p)}$.

1. The translation morphism $T:W_{nk}\to W_{(n+1)k}$ is a monomorphism and the maps $Acu_k(G,W_{nk})\to Acu_k(G,W_{(n+1)k})$ are injective.

1. $Acu_k(G,W_{nk})$ can be identified with a submodule of $M(G)$, namely $Acu_k(G,W_{nk})=\{m\in M(G),V^n m=0\}$ and we say that an element of $M(G)$ is killed by a power of $V$.
=--

+-- {: .num_defn}
###### Definition and Remark
Let $D_k$ be the (non-commutative) ring generated by $W(k)$ and two elements $F$ and $V$ subject to the relations

$$Fw=w^{(p)} F$$
$$w^{(p)}V=V w$$
$$FV=VF=p$$

Any element of $D_k$ can be written uniquely as a finite sum

$$\Sigma_{i\gt 0}a_{-i}V^i + a_0 + \Sigma_{i\gt 0}a_i F^i$$

If $G\in Acu_k$, then $M(G)$ has a canonical structure of a left $D_k$-module. If $K$ is a perfect extension of $k$, then there is a canonical map of $D_k$-modules

$$W(K)\otimes_{W(k)}M(G)\to M(G \otimes_k K)$$

Note that $D_K\simeq W(K)\otimes_{W(k)} D_k$ and the left hand side can also be written $D_K\otimes_{D_k}M(G)$.
=--

+-- {: .num_theorem}
###### Theorem
The functor $M$ induces an (contravariant) equivalence

$$Acu_k\to Tor_V D_k Mod$$

between $Acu_k$ and the category of all $D_k$-modules of $V$-torsion.

For any perfect extension $K$ \of $k$ we have that

$$W(K)\otimes_{W(k)}M(G)\to M(G \otimes_k K)$$

is an isomorphism. Moreover

1. $G$ is algebraic iff $M(G)$ is a finitely generated $D_k$-module.

1. $G$ is finite iff $M(G)$ is a $W(k)$-module of finite length.
=--