
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Complex geometry
+--{: .hide}
[[!include complex geometry - contents]]
=--
#### Manifolds and cobordisms
+--{: .hide}
[[!include manifolds and cobordisms - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A generalization of the notion of [[Calabi-Yau manifold]] in the context of [[generalized complex geometry]].

## Definition

### In terms of $G$-structure
 {#InTermsOfGStructure}

For $X$ a $2n$-[[dimension|dimensional]] [[smooth manifold]], a _[[generalized complex geometry|generalized complex structure]]_ on $X$ is a [[reduction of the structure group]] of the [[generalized tangent bundle]] $T X \oplus T^* X$ along the inclusion

$$
  U(n,n) \hookrightarrow O(2n,2n)
$$

into the [[Narain group]]. 

Recall that for $X$ an ordinary [[compact topological space|compact]] [[complex manifold]] of real [[dimension]] $2n$, a [[Calabi-Yau manifold]] structure on $X$ is a [[reduction of the structure group]] along the inclusion $SU(n) \hookrightarrow U(n)$ of the [[special unitary group]] into the [[unitary group]].

A **generalized Calabi-Yau structure** on a generalized complex manifold $X$ is a further [[reduction of the structure group]] along

$$
  SU(n,n) \hookrightarrow U(n,n) \hookrightarrow O(2n,2n)
  \,.
$$

([Hitchin, section 4.5](#Hitchin))

## Related concepts

* [[Calabi-Yau object]]

  * [[Calabi-Yau algebra]], [[Calabi-Yau manifold]], **generalized Calabi-Yau manifold**

* [[supersymmetry and Calabi-Yau manifolds]]

* [[generalized G2-manifold]]

## References

The notion was introduced in

* [[Nigel Hitchin]], _Generalised Calabi-Yau Manifolds_, Quart. J. Math. Oxford Ser. 54:281-308, (2003) ([math.DG/0209099](http://arxiv.org/abs/math.dg/0209099))
 {#Hitchin}

The role of generalized CY-manifolds as (factors of) [[target spaces]] in [[string theory]] is discussed for instance in 

* [[Mariana Graña]], [[Ruben Minasian]], Michela Petrini, [[Alessandro Tomasiello]], _Type II Strings and Generalized Calabi-Yau Manifolds_ ([arXiv:hep-th/0409176](http://arxiv.org/abs/hep-th/0409176))

* [[Jan Louis]], _Generalized Calabi-Yau compactifications with D-branes and fluxes_, Forthschr. Phys. 53, no 7-8 (2005) ([pdf](http://www.desy.de/~jlouis/talks/770_a.pdf))

[[!redirects generalized Calabi-Yau manifolds]]
