
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Geometry
+-- {: .hide}
[[!include higher geometry - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

A notion of _stratified space_ is supposed to be a notion of [[topological space]] that is not necessarily a [[manifold]], but which is [[filtered topological space|filtered]] into "strata" that are.

Examples include [[polyhedra]], [[algebraic varieties]], [[orbit spaces]] of many group actions on manifolds and [[mapping cylinders]] of maps between manifolds.

## Definitions

There are various ways in the literature to make this precise, including:

* [[stratifolds]]
* [[orbifolds]]
* [[poset-stratified space]]

## Examples

* the [[moduli stack of formal groups]] has a natural stratification by [[height of a formal group|height of formal groups]].

## Related concepts

* Maybe one can assign a [[fundamental category]] to a stratified space.  This has been studied for [[poset-stratified spaces]] -- see there under "exit path $\infty$-category" for more.

* [[stratification]]

## References

A notion of purely topologically stratified sets was introduced in

* [[Frank Quinn]], _Homotopically stratified sets_, J. Amer. Math. Soc. 1 (1988), 441--499. MR 89g:57050
 {#Quinn}

Notions of smoothly stratified spaces were considered by

* H. Whitney, _Local properties of analytic varieties_, Differentiable and combinatorial topology (S. Cairns, ed.), Princeton Univ. Press, Princeton, 1965, pp. 205--244. MR 32:5924

* R. Thom, _Ensembles et morphismes stratifiés_, Bull. Amer. Math. Soc. 75 (1969), 240--282.
MR 39:970

* J. Mather, _Notes on topological stability_, Harvard Univ., Cambridge, (1970)

Locally conelike stratified spaces have been considered  in

* L. Siebenmann, _Deformations of homeomorphisms on stratified sets_, Comment. Math. Helv. 47 (1971), 123--165. MR 47:7752

These are all special cases of ([Quinn's definition](#Quinn)).

Discussion of [[differential operators]] on stratified spaces is in 

* R. B. Melrose,  _Pseudodifferential operators, corners and singular limits_, Proceedings of the International Congress of Mathematicians, Vol. I, II (Kyoto, 1990), 217--234, Math. Soc.

* Pierre Albin, Eric Leichtnam, Rafe Mazzeo, Paolo Piazza, _The signature package on Witt spaces, I. Index classes_ ([arXiv:0906.1568v2](http://uk.arxiv.org/abs/0906.1568v2))

See also

* Bruce Hughes, _Geometric topology of stratified spaces_ ([pdf](http://aimsciences.org/journals/pdfsnews.jsp?paperID=2468&mode=full))

Discussion of the [[fundamental category]] of a (Whitney‑)stratified space is in 

* Jonathan Woolf, _Transversal homotopy theory_ ([arXiv:0910.3322](http://arxiv.org/abs/0910.3322))

* M. Banagl, _Topological invariants of stratified spaces_, Springer Monographs in Math. 2000.

A [[homotopy hypothesis]] for stratified spaces is discussed in

* David Ayala, John Francis, Nick Rozenblyum, *A stratified homotopy hypothesis*, [arXiv](http://arxiv.org/abs/1502.01713)

whilst an earlier paper on exit paths is

* [[David Treumann]], *[Exit paths and constructible stacks](https://www2.bc.edu/david-treumann/epacs.pdf)*, Compositio Math.
145
(2009), 1504–1532 
[[!redirects stratified space]]
[[!redirects stratified spaces]]

[[!redirects stratum]]
[[!redirects strata]]
