

> under construction

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
#### Higher spin geometry
+-- {: .hide}
[[!include higher spin geometry - contents]]
=--
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

In analogy to how the [[Lie group]] [[spin^c]] is obtained by twisting the lift through the second stage of the [[Whitehead tower]] of $\mathbf{B}O$ by the [[first Chern class]]

$$
  \array{
    \mathbf{B}Spin^c &\to& \mathbf{B}(SO \times U(1))
    \\
    && \downarrow^{\mathrlap{\mathbf{w}_1 - \mathbf{c}_1}}
    \\
    && \mathbf{B}^2 \mathbb{Z}
  }
$$

there is a similar twist by the [[second Chern class]] of the lift through the next stage of the Whitehead tower

$$
  \array{
    \mathbf{B}String^{\mathbf{c}_2} &\to& \mathbf{B}(Spin \times SU(n))
    \\
    && \downarrow^{\mathrlap{\tfrac{1}{2}\mathbf{p}_1 - \mathbf{c}_2}}
    \\
    && \mathbf{B}^3 U(1)
  }
  \,.
$$

Accordingly a [[reduction and lift of structure groups|lift of the structure group]] to $String^c$ is a **$String^c$-structure**.

For the moment see at _[[twisted smooth cohomology in string theory]]_ for more.

## Related concepts

* [[string 2-group]]

* [[twisted differential string structure]]


* [[twisted differential c-structures|(twisted, differential) c-structures]]

  * [[orientation]]

  * [[spin structure]], [[twisted spin structure]], [[differential spin structure]]

    [[spin^c structure]], [[twisted spin^c structure]],

  * [[string structure]], [[twisted differential string structure]],

  * **$string^c$ structure**

  * [[fivebrane structure]], [[twisted differential fivebrane structure]]

## References
 {#References}


Topological $string^c$-structures were introduced 

* [[Bai-Ling Wang]], _Geometric cycles, index theory and twisted K-homology_. J. Noncommut. Geom., 2(4):497–552, 2008. 

and shown to induce a twisted [[Witten genus]] in 

* {#ChenHanZhang10} Qingtao Chen, [[Fei Han]], [[Weiping Zhang]], _Generalized Witten Genus and Vanishing Theorems_, Journal of Differential Geometry 88.1 (2011): 1-39. ([arXiv:1003.2325](http://arxiv.org/abs/1003.2325))

* Jianqing Yu, Bo Liu, _On the Witten Rigidity Theorem for $String^c$ Manifolds_, Pacific Journal of Mathematics 266.2 (2013): 477-508. ([arXiv:1206.5955](http://arxiv.org/abs/1206.5955))

The [[push-forward in generalized cohomology|push-forward]] in [[twisted cohomology|twisted]] [[tmf]] induced by a $string^c$-structure is discussed in section 11 of 

* [[Matthew Ando]], [[Andrew Blumberg]], [[David Gepner]], _Twists of K-theory and TMF_, in Robert S. Doran, Greg Friedman, [[Jonathan Rosenberg]], _Superstrings, Geometry, Topology, and $C^*$-algebras_, Proceedings of Symposia in Pure Mathematics [vol 81](http://www.ams.org/bookstore-getitem/item=PSPUM-81), American Mathematical Society ([arXiv:1002.3004](http://arxiv.org/abs/1002.3004))
 {#ABG}


A discussion explicitly in the context of [[string theory]] is in 

* [[Hisham Sati]], _[[Geometric and topological structures related to M-branes]] II: Twisted $String$ and $String^c$ structures_, J. Australian Math. Soc. 90 (2011), 93-108 ([arXiv:1007.5419](http://arxiv.org/abs/1007.5419))

Their smooth refinement and their [[smooth infinity-groupoid|smooth moduli 2-stacks]] were introduced in 

* [[Domenico Fiorenza]], [[Hisham Sati]], [[Urs Schreiber]], _[[schreiber:7d Chern-Simons theory and the 5-brane|Multiple M5-branes, String 2-connections, and 7d nonabelian Chern-Simons theory]]_

A general discussion is in section 5.2 of 

* [[Urs Schreiber]], _[[schreiber:differential cohomology in a cohesive topos]]_




[[!redirects string^c 2-group]]

[[!redirects String^c 2-group]]

[[!redirects string^c structure]]
[[!redirects string^c structures]]

