
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Model theory
+-- {: .hide}
[[!include model theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A class of [[structures in model theory]] has the __amalgamation property__ if for any three structures $A,B,C$ and embeddings $f_B: A\hookrightarrow B$, $f_C: A\hookrightarrow C$, there exist embeddings $g_B:B\hookrightarrow D$ and $g_C: C\hookrightarrow D$ such that $g_B\circ f_B = g_C\circ f_C$. 

One of the simplest cases is when the free amalgam of structures $B\oplus_A C$ exists.  

## Related entries

* [[amalgamation theory]]

* [[Galois type]]

* [[Ore condition]]

## References

The amalgamation method for generating strongly minimal
theories is introduced in

* [[Ehud Hrushovski]], _A new strongly minimal set_. Ann. Pure Appl. Logic, 
62(2):147--166, 1993. Stability in model theory, III (Trento, 1991).

Recent references include 

* [[Ehud Hrushovski]], _Groupoids, imaginaries and internal covers_, [arxiv/math.LO/0603413](http://arxiv.org/abs/math/0603413) 
* Uri Andrews, _Amalgamation constructions and recursive model theory_, thesis, [pdf](http://www.math.wisc.edu/~andrews/andrewsthesis.pdf)
* John T. Baldwin, Alexei Kolesnikov, [[Saharon Shelah]], 
_The amalgamation spectrum_, J. Symbolic Logic __74__:3 (2009) 914-928, [MR2548468](http://www.ams.org/mathscinet-getitem?mr=2548468), [doi](http:/dx.doi.org/10.2178/jsl/1245158091[euclid](http://projecteuclid.org/euclid.jsl/1245158091)
* J D Brody, _Model theory of graphs_, thesis, [pdf](http://tarski.fandm.edu/brody/mainthesis.pdf)



[[!redirects amalgamation]]
[[!redirects amalgamations]]
[[!redirects amalgamation property]]
