
# Pretopos completion
* table of contents
{: toc}

## Idea

Pretopos completion sends every [[coherent category]] into a pretopos, called its pretopos completion; the operation is idempotent.  It is a "higher-ary" version of the [[exact completion]] of a regular category.

More generally, [[pretoposes]] form a full reflective sub-2-category of the 2-category of [[finitary sites]], which in turn includes coherent categories (with their coherent topologies) as a full sub-2-category.

## Relation to model theory

According to the observation of [[Mihály Makkai]] from around 1980, the pretopos completion of the [[syntactic category]] of a [[first-order theory]] corresponds to the operation $T \mapsto T^{eq}$ invented by [[Saharon Shelah]]. $T^{eq}$ is a universal extension of $T$ which admits [[elimination of imaginaries]]. 

## Higher-ary versions

For any an [[arity class]] $\kappa$, there is a corresponding version of $\kappa$-pretopos completion; see ([Shulman](#Shulman)).  The version for $\kappa = \{1\}$ is the [[exact completion]], while classical pretopos completion is the version for $\kappa=\omega$.  The version for $\kappa=$ the size of the universe includes the [[topos of sheaves]].


## Related entries

* [[exact category]], [[regular and exact completions]]
* [[pretopos]], [[κ-ary exact category]]
* [[imaginary element]]

## References

* Panagis Karazeris, _Notions of flatness relative to a Grothendieck topology_, 

* [[Mike Shulman]], "Exact completions and small sheaves".  *Theory and Applications of Categories*, Vol. 27, 2012, No. 7, pp 97-173.  [Free online](http://www.tac.mta.ca/tac/volumes/27/7/27-07abs.html)
{#Shulman}

* [[Mihály Makkai]], G. E. Reyes, _First order categorical logic_, Lecture Notes in Math. __611__, Springer 1977

* David Ballard, William Boshuck, _Definability and descent_, The Journal of Symbolic Logic __63__:2 (Jun., 1998), pp. 372-378, [jstor](http://www.jstor.org/stable/2586836)

* Victor Harnik, _Model theory vs. categorical logic: two approaches to pretopos completion (a.k.a. $T^{eq}$)_, in: Models, logics, and higher-dimensional categories, 79–106 (Makkai volume), CRM Proc. Lecture Notes __53__, Amer. Math. Soc. 2011; [gBooks](http://books.google.fr/books?id=-PZpEXuvvm4C&lpg=PA79&ots=uB-pruKFx8&dq=Victor%20Harnik%20pretopos%20completion&pg=PA79#v=onepage&q=Victor%20Harnik%20pretopos%20completion&f=false) 

* [[Saharon Shelah]], _Classification theory and the number of non-isomorphic models_, Studies in Logic and the Foundations of Mathematics __92__, North Holland, Amsterdam 1978


[[!redirects pretopos completion]]
[[!redirects pretopos completions]]
