+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Limits and colimits
+--{: .hide}
[[!include infinity-limits - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}


## Idea

The concept of _coequalizer_ in a general [[category]] is the generalization of the construction where for two [[functions]] $f,g$ between [[sets]] $X$ and $Y$

$$
  X 
    \stackrel{\overset{f}{\longrightarrow}}{\underset{g}{\longrightarrow}}
  Y
$$

one forms the set $Y/_\sim$ of [[equivalence classes]] induced by the [[equivalence relation]] generated by the relation 

$$
  f(x)\sim g(x)
$$

for all $x \in X$. This means that the [[quotient]] function $p \colon Y \longrightarrow Y/_\sim$ satisfies

$$
  p \circ f = p \circ g
$$

(a map $p$ satisfying this equation is said to "co-equalize" $f$ and $g$) and moreover $p$ is [[universal property|universal]] with this property.

In this form this may be phrased generally in any [[category]].  

## Definition

+-- {: .num_defn}
###### Definition

In some [[category]] $\mathcal{C}$, the **coequalizer** $coeq(f,g)$ of two [[parallel morphisms]] $f$ and $g$ between two [[objects]] $X$ and $Y$ is (if it exists), the _[[colimit]]_ under the [[diagram]] formed by these two morphisms

$$
  \array{
    X 
    && 
      \stackrel{\overset{f}{\longrightarrow}}{\underset{g}{\longrightarrow}}
    &&
    Y
    \\
    & \searrow && \swarrow_{\mathrlap{p}}
    \\
    && coeq(f,g)
  }
  \,.
$$

=--

Equivalently:

+-- {: .num_defn #CoequalizerDiagram}
###### Definition

In a [[category]] $\mathcal{C}$ a [[diagram]] 

$$
  X \underoverset{g}{f}{\rightrightarrows} Y \overset{p}{\rightarrow} Z 
$$

is called a **coequalizer** diagram if
 
1. $p \circ f = p \circ g$; 

1. $p$ is [[universal property|universal]] for this property: i.e. if $q \colon  Y \to W$ is a morphism of $\mathcal{C}$ such that $q \circ f = q \circ g$, then there is a unique morphism $q' \colon Z \to W$ such that $q' \circ p = q$

$$
  \array{
     X
       &\stackrel{\overset{f}{\longrightarrow}}{\underset{g}{\longrightarrow}}&
     Y
      &\overset{p}{\longrightarrow}&
     Z
     \\
     && {}^{\mathllap{q}}\downarrow & \swarrow_{\mathrlap{\exists ! \, q'}}
     \\
     && W
  }
$$

=--

+-- {: .num_remark}
###### Remark

By [[formal duality]], a coequalizer in $\mathcal{C}$ is equivalently an [[equalizer]] in the [[opposite category]] $\mathcal{C}^{op}$.

=--

## Properties

### Relation to pushouts

Coequalizers are closely related to [[pushouts]]:

+-- {: .num_prop}
###### Proposition

A diagram 

$$
  X
   \stackrel{\overset{f}{\longrightarrow}}{\underset{g}{\longrightarrow}}
  Y
   \overset{p}{\longrightarrow}
  Z
$$

is a coequalizer diagram, def. \ref{CoequalizerDiagram}, precisely if

$$
  \array{
     X \sqcup X &\overset{(f,g)}{\longrightarrow}& Y
     \\
     \downarrow && \downarrow^{\mathrlap{p}}
     \\
     X &\underset{}{\longrightarrow}& Z
  }
$$

is a [[pushout]] diagram.

=--

Conversely:

+-- {: .num_prop}
###### Proposition

A diagram

$$
  \array{
    A &\overset{f_1}{\longrightarrow}& B
    \\
    {}^{\mathllap{f_2}}\downarrow && \downarrow^{\mathrlap{p_1}}
    \\
    C &\underset{p_2}{\longrightarrow}& D
  }
$$

is a [[pushout]] square, precisely if

$$
  A
   \stackrel{\overset{\iota_1 \circ f_1}{\longrightarrow}}{\underset{\iota_2 \circ f_2}{\longrightarrow}}
  B \sqcup C
  \overset{(p_1,p_2)}{\longrightarrow}
  D
$$

is a coequalizer diagram.

=--


## Examples

+-- {: .num_example #QuotientSet} 
###### Example


For $\mathcal{C} =$ [[Set]], the coequalizer of two [[functions]] $f$, $g$ is the [[quotient set]] by the [[equivalence relation]] generated by the [[relation]] $f(x) \sim g(x)$ for all $x \in X$.

=--

+-- {: .num_example}
###### Example


For $\mathcal{C} =$ [[Top]], the coequalizer of two [[continuous functions]] $f$, $g$ is the [[topological space]] whose underlying set is the [[quotient set]] from example \ref{QuotientSet}, and whose topology is the corresponding [[quotient topology]].

=--


[[!redirects coequalizers]]
[[!redirects coequaliser]]
[[!redirects coequalize]]
[[!redirects coequalise]]
[[!redirects coequalisers]]
[[!redirects coequalizes]]
[[!redirects coequalises]]