We describe the relation of certain classes of group schemes.

The page numbering refers to the text:

* Michel Demazure, lectures on p-divisible groups [web](http://sites.google.com/site/mtnpdivisblegroupsworkshop/lecture-notes-on-p-divisible-groups)

## Summary (Constructing examples of group schemes from basic examples)

(...)

## Decomposition of k-groups
 One way the characterize certain classes of $k$-groups is via exact sequences

$$0\to G^{ex}\to G\to G_{ex}\to 0$$

|$k$-group | $G^{ex}$ | $G_{ex}$ | | |
|-------|-------|-------|-------|--------|
| [[formal group scheme|formal k-group]] | [[connected group scheme|connected]] | [[étale group scheme|étale]] | | p.34 |
| [[finite k-group]] | [[infinitesimal group scheme|infinitesimal]] | étale | splits if $k$ is perfect |p.35 |
| [[affine group scheme|affine k-group]] | [[multiplicative group scheme|multiplicative]] | [[unipotent group scheme|unipotent | splits if $k$ is perfect | p.39 |
| connected formal $k$-group | $G_{red}$ is [[smooth group scheme|smooth]] | $G/G_{red}$ is infinitesimal |p.43 |  |

+-- {: .num_defn}
###### Definition
(p. 39)

If  $k$ is perfect any finite affine $k$-group $G$ is in a unique way the product of four subgroups

$$G=a\times b\times c\times d$$

where


1.  $a\in Fem_k$ is a formal étale multiplicative $k$ group.

1.  $b\in Feu_k$ is a formal étale unipotent $k$ group.

1.  $c\in Fim_k$ is a formal infinitesimal multiplicative $k$ group.

1.  $d\in Fem_k$ is a infinitesimal unipotent $k$ group.
=--

## Duality of k-groups

| $D$ |  $D(G)$ | |
|--|--|--|
| affine commutative $k$-group | $\hat D(G)$ is affine commutative formal $k$-group | p.27 |
| finite commutative $k$-group | finite commutative $k$-group | p.27 |
| [[constant group scheme|constant k-group]] | diagonalizable $k$-group | p.36|
|étale k-group|multiplicative k-group|p.37|
|multiplicative k-group |$\hat D(G)$ is étale formal $k$-group|p.37|
|unipotent k-group|$\hat D(G)$ connected formal group|p.38|
|$Fim_k$|$Feu_k$| |

## Skalar extension and skalar restriction

Let $K\in M_k$ be a field, let $k_s$ be the separable clusure of $k$, let $\overline k$ denote the algebraic closure of $k$.

| | | | | |
|--|--|--|--|--|
|$G$|$G\otimes_k K$|$G\otimes_k k_s$|$G\otimes_k \overline k$| |
|multiplicative|diagonalizable|diagonalizable|diagonalizable| p.38|
|étale | |constant|constant|p.17|
## Examples of $k$-groups

| | | | | | | | |
|--|--|--|--|--|--|--|--|
| | unipotent | multiplicative | étale | connected | infinitesimal | diagonalizable |p-divisible|
|unipotent| | | | | | | |
| [[multiplicative group scheme|multiplicative]] | | | | | | | |
| [[étale scheme|étale]] | | | | | | | |
| connected | | | | | | | |
| infinitesimal | | | | | | | |
| [[diagonalizable group scheme|diagonalizable]] | | | | | | | |
|p-divisible | | | | | | |$(\mathbb{Q}_p/\mathbb{Z}_p)_k$ and [[the p-divisible group A(p)|A(p)]] |
