
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Geometry
+--{: .hide}
[[!include higher geometry - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}


## Idea

The space of [[infinitesimal space|infinitesimal]] loops in a given [[space]] $X$ -- hence the formal neighbourhood of the constant loops $X \hookrightarrow L X$ -- is often called the _formal loop space_ (as in _[[formal geometry]]_).

Formal loop spaces have application for instance in the theory of [[elliptic genera]], since it was shown that the [[Witten genus]] is the $S^1$-equivariant [[index of a Dirac operator|index]] of a [[Dirac-Ramond operator]] which is like  [[Dirac operator on smooth loop space]], only that due to $S^1$-equivariance (orelse due to a [[large volume limit]]) the index is fully determined by the restriction of that operator to formal loops.

## Properties

### Relation to chiral differential operators
 {#RelationToChiralDifferentialOperators}

With $X$ a suitable scheme, its formal loop space $L_inf X$ in the sense of ([Kapranov-Vasserot I](#KapranovVasserotI)) has a [[Tate structure]] and hence an associated [[determinantal gerbe]] $Det_{L_{inf} X}$ with [[band]] $\mathcal{O}^\ast_{L_{inf} X}$. According to 
([Kapranov-Vasserot IV](#KapranovVasserotIV)) this [[gerbe]] is essentially identified with the [[gerbe]] $CDO_X$ of [[chiral differential operators]] on $X$. 



## Related concepts

* [[loop space]], [[loop space object]]

* [[smooth loop space]]

* [[free loop space]], [[free loop space object]],

* [[derived loop space]]


## References

In the context of [[algebraic geometry]] formal loop spaces have been introduced and studied in



* {#KapranovVasserotI} [[Mikhail Kapranov]], E. Vasserot, _Vertex algebras and the formal loop space_ Publications Math&eacute;matiques de l’IH&Eacute;S,
100 (2004), 209–269. ([arXiv:math/0107143](http://arxiv.org/abs/math/0107143))
 

* [[Mikhail Kapranov]], E. Vasserot, _Formal Loops II : the local Riemann-Roch theorem for determinantal gerbes_, Ann. Sci. ENS, ([arXiv:math/0509646](http://arxiv.org/abs/math/0509646))

* [[Mikhail Kapranov]], E. Vasserot, _Formal loops III: Factorizing functions and the Radon transform_ ([arXiv:math/0510476](http://arxiv.org/abs/math/0510476))

* {#KapranovVasserotIV} [[Mikhail Kapranov]], E. Vasserot, _Formal loops IV: Chiral differential operators_ ([arXiv:math/0612371](http://arxiv.org/abs/math/0612371))
 


Tentative aspects of a generalization to [[differential geometry]] are discussed in 

* [[Pokman Cheung]], _Chiral differential operators: formal loop group actions and associated modules_ ([arXiv:1205.7089](http://arxiv.org/abs/1205.7089))

[[!redirects formal loop spaces]]

