
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--

# Contents
* table of contents
{: toc}


## Idea

In [[quantum mechanics]], the _Born--Oppenheimer approximation_ is a method for approximating the [[energy]] a [[quantum mechanical system]] by identifying "light" and "heavy" degrees of freedom and then treating the solving for the "light" dynamics as if depending only on the static configuration of the "heavy" degrees of freedom.

Historically this is motivated from, and still heavily used in practice, for the computation of energy spectra of [[molecule|molecules]], where the [[atomic nucleus|atomic nuclei]] are much heavier than the [[electron|electrons]], so that their dynamics can be split off to a good degree of approximation.


## References

The original reference is

* [[Max Born]], [[Robert Oppenheimer]], _Zur Quantentheorie der Molekeln_,  Annalen der Physik. 389, Nr. 20 (1927), p 457–484, doi:10.1002/andp.19273892002.

An early textbook-like account is

* J.C. Slater, _Quantum Theory of Molecules and Solids, Vol. 1: Electronic Structure of Molecules_  American Journal of Physics. 32, (1964), S. 65, doi:10.1119/1.1970097.

An review is for instance in section [2.2 The Born-Oppenheimer approximation](http://www.tcm.phy.cam.ac.uk/~pdh1001/thesis/node13.html) of

* Peter David Haynes, _Linear-scaling methods in ab initio quantum-mechanical calculations_ PhD thesis (1998) ([web](http://www.tcm.phy.cam.ac.uk/~pdh1001/thesis/thesis.html))


[[!redirects Born-Oppenheimer approximation]]
[[!redirects Born-Oppenheimer approximations]]
[[!redirects Born–Oppenheimer approximation]]
[[!redirects Born–Oppenheimer approximations]]
[[!redirects Born--Oppenheimer approximation]]
[[!redirects Born--Oppenheimer approximations]]
