
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Index theory
+-- {: .hide}
[[!include index theory - contents]]
=--
#### Functional analysis
+--{: .hide}
[[!include functional analysis - contents]]
=--
#### Higher spin geometry
+-- {: .hide}
[[!include higher spin geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A type of [[Dirac operator]] defined on [[manifolds]] equipped with [[Spin^c structure]].

## Properties

### Relation to the Dolbeault operator

Every [[almost complex manifold]] carries a canonical [[spin^c structure]] (as discussed there). If $X$ is a [[complex manifold]], then under the identification

$$
  S(X) \simeq \wedge^{0,\bullet} T^\ast X
$$

of the [[spinor bundle]] with that of [[holomorphic differential forms]], the corresponding $Spin^c$-Dirac operator $D$ is identified with the [[Dolbeault-Dirac operator]]

$$
  D^+  \simeq \overline\partial + \overline \partial^\ast
  \colon
  \Gamma(\wedge^{0,even} T^\ast X)
  \to 
  \Gamma(\wedge^{0,odd} T^\ast X)
  \,.
$$

### Genus

The [[A-hat genus]] for the $Spin^c$-operator is the [[Todd genus]] (e.g. [Kitada 75](#Kitada75)).

## Applications

* [[Freed-Witten anomaly]]

* [[geometric quantization by push-forward]]

## Related concepts

* [[spin^c structure]], [[twisted spin^c structure]]

* [[K-orientation]]

* [[spin^c quantization]]

* [[Dolbeault-Dirac operator]]

## References

Original articles include

* {#Kitada75} Yasuhiko Kitada, _Semi-free circle actions on $Spin^c$-manifolds_, Publ. RIMS, Kyoto Univ. 10(1975), 601-617 ([[Kitada75.pdf:file]])

A quick statement of the definition is in 

* Ulrich Krämer, _$Spin^{\mathbb{C}}$-Dirac structures and Dirac operators_ (2009) ([pdf](http://www.maths.gla.ac.uk/~ukraehmer/Tehran0409c.pdf))

Detailed accounts include

* J. J. Duistermaat, _The Spin-c Dirac Operator_, in _The Heat Kernel Lefschetz Fixed Point Formula for the Spin-c Dirac Operator_
Modern Birkhäuser Classics, 2011, 41-51, DOI: 10.1007/978-0-8176-8247-7_5

* [[Eckhard Meinrenken]], _Symplectic Surgery and the Spin-C Dirac operator_ ([arXiv:dg-ga/9504002](http://arxiv.org/abs/dg-ga/9504002))

* Charles Epstein, _Subelliptic $Spin_{\mathbb{C}}$-Dirac operators, I_ ([pdf](http://www.math.upenn.edu/~cle/papers/spinc1_rev2.pdf))

[[!redirects Spin^c Dirac operators]]

[[!redirects spin^c Dirac operator]]
[[!redirects spin^c Dirac operators]]

[[!redirects Spin-c Dirac operator]]
[[!redirects Spin-c Dirac operator]]

[[!redirects spin-c Dirac operator]]
[[!redirects spin-c Dirac operator]]