
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Manifolds and cobordisms
+--{: .hide}
[[!include manifolds and cobordisms - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

For $X$ a [[framed manifold|framed]] [[smooth manifold]] of [[dimension]] $4k +2$, $k \in \mathbb{N}$,
the **Kervaire invariant** or **Arf-Kervaire invariant**

$$
  Ker(X) \in \mathbb{Z}_2
$$

with values in the [[group of order 2]] is the [[Arf invariant]] of the skew-[[quadratic form]] on the middle dimensional homology group (the [[intersection pairing]]).

## Properties

### Nontrivial Kervaire invariants

Manifolds with non-trivial Kervaire invariant, hence with _Kervaire invariant 1_, exist in [[dimension]]

* $d = 2 = 4\cdot 0 + 2$ 

* $d = 6 = 4\cdot 1 + 2$

* $d = 14 = 4 \cdot 3 + 2$

* $d =  30 = 4 \cdot 7 + 2$

* $d = 62 = 4 \cdot 15 + 2$

and in no other dimension, except possibly in $d = 126$ (a case that is still open).

This is the statement of (the solution to) the _[[Arf-Kervaire invariant problem]]_.

### For surfaces and Relation to theta characteristic

On a [[surface]] $\Sigma$ a [[framing]] is equivalently a [[spin structure]]. If the surface carries a [[complex manifold]] structure then a spin structure is equivalently a [[theta characteristic]], hence a square root $L$ of the [[canonical bundle]]. Given this, the Kervaire invariant in $\Sigma$ is equal to the [[dimension]] mod 2 

$$
  dim(H^0(\Sigma,L)) \; mod \; 2
$$

of the space of [[holomorphic sections]] of $L$:

## Related concepts

[[!include quadratic invariants - table]]

* [[Hopf invariant]], [[Hopf invariant one]]

* [[Arf-Kervaire invariant problem]]

* [[self-dual higher gauge theory]]

## References

* W. Browder, _The Kervaire invariant of framed manifolds and its generalization_, Annals of Mathematics 90 (1969), 157–186.

* John Jones, Elmer Rees, _A note on the Kervaire invariant_ ([pdf](http://www.math.rochester.edu/u/faculty/doug/otherpapers/jonesrees2.pdf))

* Wikipedia, _[Kervaire invariant](http://en.wikipedia.org/wiki/Kervaire_invariant)_

* [[Akhil Mathew]], _[The Kervaire invariant I](https://amathew.wordpress.com/2012/10/01/the-kervaire-invariant-i/)_

On the solution of the [[Arf-Kervaire invariant problem]]:

* [[Michael Hill]], [[Michael Hopkins]], [[Douglas Ravenel]], _On the non-existence of elements of Kervaire invariant one_

On the [[equivariant homotopy theory]] involved:

* [[Michael Hill]], [[Michael Hopkins]], [[Douglas Ravenel]], _The Arf-Kervaire problem in algebraic topology: Sketch of the proof_ ([[HHRKervaire.pdf:file]])

More resources are collected at

* [[Douglas Ravenel]], _[A solution to the Arf-Kervaire invariant problem](http://www.math.rochester.edu/people/faculty/doug/kervaire.html)_, web esources 2009



[[!redirects Kervaire invariants]]

[[!redirects Arf-Kervaire invariant]]

[[!redirects Kervaire inavariant one]]
