
#Contents#
* table of contents
{:toc}

## Idea

The term "support" means different things in different parts of mathematics:

### In set theory

Given $f \colon X \to A$ a [[function]] to  $A$ a [[pointed object]] with the point playing the role of a [[zero]] [[generalized element|element]], then the _support_ of $f$ is the [[subobject]] of $X$ on which $f$ is non-zero.

### In topology
 {#InTopology}

In [[topology]] the support of a [[continuous function]] $f \colon X \to A$ as above is the [[topological closure]] of the set of points on which $f$ does not vanish:

$$
  Supp(f) = Cl(\{x \in X \vert f(x) \neq 0 \in A\})
  \,.
$$

If $Supp(f) \subset X$ is a [[compact subspace]], then one says that $f$ has _[[compact support]]_.

### In functional analysis

* [[support of a distribution]]


### In topos theory and type theory

support = [[n-truncated object in an (infinity,1)-category|(-1)-truncation]]

## Related concepts

* [[compact support]]

* [[compactly supported cohomology]]

* [[split support]]

## References

* Wikipedia, _[Support (mathematics)](https://en.wikipedia.org/wiki/Support_(mathematics))_


[[!redirects supports]]
