
The European mathematician __Alexander Grothendieck__ (in French sometimes Alexandre Grothendieck), created a very influential body of work foundational for ([[algebraic geometry|algebraic]]) [[geometry]] but also for modern [[mathematics]] more generally. He is widely regarded as a singularly important figure of 20th century mathematics and his ideas continue to be highly influential in the 21st century. 

* [Wikipedia article](http://en.wikipedia.org/wiki/Alexander_Grothendieck)

Initially working on [[topological vector spaces]] and [[analysis]], Grothendieck then made revolutionary advances in [[algebraic geometry]] by developing [[sheaf and topos theory]] and [[abelian sheaf cohomology]] and formulating algebraic geometry in these terms ([[locally ringed spaces]], [[schemes]]). Later [[topos theory]] further developed independently and today serves as the foundation also for other kinds of [[geometry]]. Notably its [[homotopy theory|homotopy theoretic]] refinement to [[higher topos theory]] serves as the foundation for modern [[derived algebraic geometry]].

## Texts by Grothendieck

Grothendieck's geometric work is documented in texts known as [[EGA]] (with [[Dieudonné]]), an early account [[FGA]], and the many volume account [[SGA]] of the seminars at l'IHÉS, Bures-sur-Yvette, where he was based at the time. (See the [wikipedia article](http://en.wikipedia.org/wiki/Alexander_Grothendieck) for some indication of the story from there until the early 1980s.)

In the late 1970s and early 1980s Grothendieck wrote several documents that have been of outstanding importance in the origins of the theory that underlies the [[nPOV]].  These include

* _La Longue Marche à travers la Théorie de Galois_ (1600 manuscript pages written between January and June 1981, plus addenda etc. which double its length!) (see [[Long March]] for some discussion of the ideas.)

* _[[Esquisse d'un programme]]_, (January 1984), in which Grothendieck sketches out a vaste programme of research, encorporating many of the ideas from [[Long March]]. A copy is available [here](http://www.math.jussieu.fr/~leila/grothendieckcircle/EsquisseFr.pdf). It is discussed in brief at [[Esquisse d'un programme|Grothendieck's Esquisse]].

*  _À la poursuite des Champs_ (also entitled ''[[Pursuing Stacks]]'').  
It starts with a short (12 page) letter to Quillen, dated 19 Feb. 1983, but then discusses a wide ranging vision of homotopy theory and its applicability to problems in algebraic and arithmetic geometry. 

*  _[[Les Dérivateurs]]_ (another 2000 page manuscript taking  up some of the themes in Pursuing Stacks, section 69) Dating from the end of 1990 and the start of 1991.

In the same time he also wrote voluminous intellectual memoirs _Recoltes et Semailles_. 

En Guise de Programme [p I](https://webusers.imj-prg.fr/~leila.schneps/grothendieckcircle/Guise1.jpg) [p II](https://webusers.imj-prg.fr/~leila.schneps/grothendieckcircle/Guise2.jpg), a text written by Grothendieck as a course description while teaching in Montpellier "Introduction à la recherche". 

A chronological bibliography of Grothendieck's published mathematical writings ([pdf](https://webusers.imj-prg.fr/~leila.schneps/grothendieckcircle/GrothBiblio.pdf)).

## Texts about Grothendieck

For an account of his work, including some of the work published in the 1980s, see the [English Wikipedia entry](http://en.wikipedia.org/wiki/Alexander_Grothendieck).

The video of a talk by W. Scharlau on his life can be seen [here](http://www.dailymotion.com/video/x8juek_colloque-grothendieck-winfried-scha_tech).

* Reminiscenes of Grothendieck, 2007 conversations of [[Sasha Beilinson]], [[Luc Illusie]], [[Vladimir Drinfel'd]], [[Spencer Bloch]],  ([pdf](http://www.math.uchicago.edu/~mitya/langlands/reminiscences1.pdf))

* [[Pierre Cartier]], _Alexander Grothendieck: A Country Known Only by Name_ ([pdf](http://www.ams.org/notices/201504/rnoti-p373.pdf))

* [[Luca Barbieri-Viale]], _Alexander Grothendieck: Enthusiasm and creativity_ ([pdf](https://webusers.imj-prg.fr/~leila.schneps/grothendieckcircle/Mathbiographies/barbierieng.pdf))

* [[Pierre Deligne]], _Quelques idées maîtresses de l'œuvre de A Grothendieck_ ([pdf](http://www.math.jussieu.fr/~leila/grothendieckcircle/Mathbiographies/Deligne.pdf))

* [[Luc Illusie]], _Alexandre Grothendieck, le magicien des foncteurs_ ([pdf](http://www.cnrs.fr/insmi/IMG/pdf/Alexandre-Grothendieck.pdf)).

* _Une entrevue avec [[Jean Giraud]], à propos d'Alexandre Grothendieck_ ([pdf](https://webusers.imj-prg.fr/~leila.schneps/grothendieckcircle/giraud.pdf)).

A  recent article in French on Grothendieck is to be found [here](http://images.math.cnrs.fr/Alexandre-Grothendieck.html).

There were two articles on Grothendieck's life and work in the Notices AMS in 2004:

* Allyn Jackson, _Comme Appelé du Néant_, As If Summoned from the Void:
The Life of Alexandre Grothendieck, Part 1,[Notices AMS](http://www.ams.org/notices/200409/fea-grothendieck-part1.pdf)

* Allyn Jackson, _Comme Appelé du Néant_, As If Summoned from the Void:
The Life of Alexandre Grothendieck, Part 2,[Notices AMS](http://www.ams.org/notices/200410/fea-grothendieck-part2.pdf)

Grothendieck obituary in the Notices AMS (Michael Artin, Allyn Jackson, David Mumford, and John Tate, Coordinating Editors):

* "_The obituary begins here with a brief sketch of Grothendieck’s life,
followed by a description of some of his most outstanding work in mathematics._" Alexandre Grothendieck 1928–2014, ([Part 1] (http://www.ams.org/journals/notices/201603/rnoti-p242.pdf))

* "_set of reminiscences by some of the many mathematicians who knew Grothendieck and were influenced by him._" Alexandre Grothendieck 1928–2014, ([Part 2](http://www.ams.org/publications/journals/notices/201604/rnoti-p401.pdf)).

## Students

* [[Pierre Gabriel]]
* [[Michel Demazure]]
* [[Jean Giraud]]
* [[Jean-Louis Verdier]]
* [[Monique Hakim]]
* [[Pierre Deligne]]
* [[Michel Raynaud]]
* [[Jean-Pierre Jouanolou]]
* [[Luc Illusie]]
* [[William Messing]]
* [[Pierre Berthelot]]
* [[Pierre Deligne]]
* [[Michèle Raynaud]]
* [[Neantro Saavedra-Rivano]]
* [[Hamet Seydi]]
* [[Hoàng Xuân Sính]]
* [[Yves Ladegaillerie]]
* [[Marcus Wanderley]]
* [[Carlos Contou-Carrère]]

See _[Mathematics Genealogy for Grothendieck](http://www.genealogy.ams.org/id.php?id=31245)_

## Correspondence 

[The Grothendieck-Serre correspondence](http://webusers.imj-prg.fr/~leila.schneps/grothendieckcircle/Letters/GS.pdf)

[The Grothendieck-Mumford correspondence](http://webusers.imj-prg.fr/~leila.schneps/grothendieckcircle/Letters/AGMumford.pdf)

### See for more [Grothendieck circle](http://www.grothendieckcircle.org/)

category: people

[[!redirects Grothendieck]]
[[!redirects A. Grothendieck]]
[[!redirects Alexander Grothendieck]]
[[!redirects Alexandre Grothendieck]]