The *Dieudonné ring $D_k$ of a field $k$ of prime [[characteristic]] $p$* is defined to be the ring generated by two objects $F,V$ subject to the relations

$$FV=VF=p$$

$$Fw=w^\sigma F$$

$$w V=V w^\sigma$$

where

$$\sigma:\begin{cases}
W(k)\to W(k)
\\
(w_1,w_2,\dots)\mapsto (w_1^p,w_2^p,\dots)
\end{cases}$$

denotes the endomorphism of the [[Witt ring]] $W(k)$ of $k$ given by raising each component of the [[Witt vectors]] to the $p$-th power; this means that $\sigma$ is component-wise given by the [[Frobenius endomorphism]] of the field $k$.

More precisely an element of $D_k$ can uniquely be written as a finite sum

$$\sum_{i\gt 0} a_{-i} V^i + a_0 + \sum_{i\gt 0} a_i F^i$$

The Dieudonné ring is a $\mathbb{Z}$-[[graded ring]] where the degree $n$-part is the $1$-[[dimension|dimensional]] [[free object|free module]] generated by $V^{-n}$ if $n\lt 0$ and by $F^n$ if $n\gt 0$

## References

* [[Pierre Cartier]], [[algebraic group|Groupes algébriques]] et [[formal group|groupes formels]], in Théorie des Groupes Algébriques (Bruxelles, 1962) [pdf](http://www.famaf.unc.edu.ar/andrus/papers/cartier1.pdf)

* [[Jean Dieudonné]], _Lie groups and Lie [[hyperalgebra]]s over a field of characteristic $p\gt 0$. IV_, American Journal of Mathematics 

* Manin, Ju. I., Theory of commutative formal groups over fields of finite characteristic, 1963