
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Homotopy theory
+--{: .hide}
[[!include homotopy - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

In models of [[homotopy theory]] by [[homotopical categories]] it is a common concept that [[morphisms]] may be replaced by [[fibrant resolutions]] or [[cofibrant resolutions]]. These are in general far from being unique. Moreover, generic ways of constructing them, notably via a [[small object argument]], yield resolutions which are "very large" in that they are [[relative cell complexes]] (or co-cell complexes, respectively) with large transfinite [[cardinality]] of the [[set]] of cell attachments.

In contrast, a _minimal (co-)fibration_ is one which is "as small as possible" in some precise sense. Typically this minimality is witnessed by the property that any [[weak equivalence]] between minimal (co-)fibrations is already an [[isomorphism]].

If one thinks of [[objects]] in the given [[homotopical category]] as "models" (namely as models for [[homotopy types]] as in the usage of "[[model category]]") then one often speaks of "minimal models". 

The discussion of the concept of minimal (co-)fibrations is often restricted to particular choices of ambient [[homotopical categories]] (see the list of [Examples](#Examples) below), prominent examples being the [[minimal Kan fibrations]] in the [[classical model structure on simplicial sets]] and the [[minimal Sullivan algebras]] in the [[projective model structure on dgc-algebras]]. A general concept of minimal models is considered in [Roig 93](#Roig93).

## Examples
 {#Examples}

* [[minimal Kan fibration]]

* [[minimal Joyal fibration]]

* [[minimal dendroidal fibration]]

* [[minimal dg-module]]

## References

A general concept of minimal fibrations and minimal models (in general [[model categories]]) is discussed in

* {#Roig93} [[Agustí Roig]], _Minimal resolutions and other minimal models_,  Publicacions Matem&#224;tiques Vol. 37, No. 2 (1993), pp. 285-303 ([JSTOR](http://www.jstor.org/stable/43736447))

and with an eye specifically towards [[minimal dg-modules]] in

* {#Roig94} [[Agustí Roig]], section 1 of _Formalizability of dg modules and morphisms of cdg algebras_, Volume 38, Issue 3 (1994), 434-451 ([euclid](http://projecteuclid.org/euclid.ijm/1255986724))

For discussion in [[rational homotopy theory]] see at _[[Sullivan minimal model]]_.

Discussion in [[equivariant rational homotopy theory]] is in

* Georgia Triantafillou, _Equivariant minimal models_, Trans. Amer. Math. Soc. vol 274 pp 509-532 (1982) ([jstor](http://www.jstor.org/stable/1999119 ))


[[!redirects minimal fibrations]]

[[!redirects minimal cofibration]]
[[!redirects minimal cofibrations]]

[[!redirects minimal model]]
[[!redirects minimal models]]

