+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Representation theory
+-- {: .hide}
[[!include representation theory - contents]]#### Representation theory
+-- {: .hide}
[[!include representation theory - contents]]
=--
=--
#### Spin geometry
+-- {: .hide}
[[!include higher spin geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}


## Idea

A [[representation]] of the [[spin group]].

## Definition
 {#Definition}

+-- {: .num_defn #QuadraticVectorSpace}
###### Definition


A _quadratic vector space_ $(V, \langle -,-\rangle)$ is a [[vector space]] $V$ over finite [[dimension]] over a [[field]] $k$ of [[characteristic]] 0, and equipped with a symmetric [[bilinear form]] $\langle -,-\rangle \colon V \otimes V \to k$.

=--

Conventions as in ([Varadarajan 04, section 5.3](#Varadarajan04)).

We write $q\colon v \mapsto \langle v ,v \rangle$ for the corresponding [[quadratic form]].

+-- {: .num_defn }
###### Definition

The _[[Clifford algebra]]_ $CL(V,q)$ of a quadratic vector space, def. \ref{QuadraticVectorSpace}, is the [[associative algebra]] over $k$ which is the [[quotient]]

$$
  Cl(V,q)
    \coloneqq
  T(V)/I(V,q)
$$ 

of the [[tensor algebra]] of $V$ by the ideal generated by the elements $v \otimes v - q(v)$.

=--

Since the [[tensor algebra]] $T(V)$ is naturally $\mathbb{Z}$-graded, the Clifford algebra $Cl(V,q)$ is naturally $\mathbb{Z}/2\mathbb{Z}$-graded.

Let $(\mathbb{R}^n, q = {\vert \vert})$ be the $n$-dimensional [[Cartesian space]] with its canonical [[scalar product]]. Write $Cl^\mathbb{C}(\mathbb{R}^n)$ for the [[complexification]] of its [[Clifford algebra]].


+-- {: .num_prop }
###### Proposition

There exists a unique [[complex number|complex]] [[representation]] 

$$
  Cl^{\mathbb{C}}(\mathbb{R}^n) \longrightarrow End(\Delta_n)
$$

of the algebra $Cl^\mathbb{C}(\mathbb{R}^n)$ of smallest [[dimension]]

$$
  dim_{\mathbb{C}}(\Delta_n) = 2^{[n/2]}
  \,.
$$


=--

+-- {: .num_defn #SpinGroup}
###### Definition

The [[Spin group]] $Spin(V,q)$ of a quadratic vector space, def. \ref{QuadraticVectorSpace}, is the [[subgroup]] of the [[group of units]] in the [[Clifford algebra]] $Cl(V,q)$ 

$$
  Spin(V,q)\hookrightarrow GL_1(Cl(V,q))
$$

on those elements which are even number multiples $v_1 \cdots v_{2k}$ of elements $v_i \in V$ with $q(V) = 1$.

Specifically, "the" Spin group is

$$
  Spin(n) \coloneqq Spin(\mathbb{R}^n)
  \,.
$$

=--

A _spin representation_ is a [[linear representation]] of the spin group, def. \ref{SpinGroup}.


## Properties
 {#Properties}

### Complex representations

Complex [[representations]] of the [[spin group]] follow a mod-2 [[Bott periodicity]].

In even $d = 2n$ there are two inequivalent complex-linear [[irreducible representations]] of $Spin(d-1,1)$, each of complex [[dimension]] $2^{d/2-1}$, called the two _chiral_ representations, or the two _Weyl spinor_ representations.

For instance for $d = 10$ one often writes these as $\mathbf{16}$ and $\mathbf{16}'$. 

The [[direct sum]] of the two chiral representation is called the _Dirac spinor_ representation, for instance $\mathbf{16} + \mathbf{16}'$.

In odd $d = 2n+1$ there is a single complex [[irreducible representation]] of complex [[dimension]] $2^{(d-1)/2}$. For instance for $d = 11$ one often writes this as $\mathbf{32}$. This is called the _Dirac spinor_ representation in this odd dimension.

For $d = 2n$, if $\{\Gamma^1, \cdots, \Gamma^n\}$ denote the generators of the [[Clifford algebra]] $Cl_{d-1,1}$ then there is the _chirality operator_

$$
  \Gamma^{d+1} \coloneqq \Gamma^1 \cdot \Gamma^2 \cdots \Gamma^d
$$

on the Dirac representation, whose [[eigenspaces]] induce its decomposition into the two chiral summands. 

The unique irreducible Dirac representation in the odd dimension $d+1$ is, as a complex vector space, the sum of the two chiral representations in dimension $d$, with the Clifford algebra represented by $\Gamma^1$ through $\Gamma^d$ acting diagonally on the two chiral representations, and the chirality operator $\Gamma^{d+1}$ in dimension $d$ acting on their sum, now being the representation of the $(d+1)$st Clifford algebra generator.



### Real representations (Majorana representations)
 {#RealIrreducibleSpinRepresentationInLorentzSignature}

One may ask in which dimensions $d$ the above complex representations admit a [[real structure]] 

Real spinor representations are also called _Majorana  representations_ (with variants such as "symplectic Majorana"), and an element of a real/Majorana spin representation is also called a _[[Majorana spinor]]_. On a Majorana representation $S$ there is a non-vanishing symmetric and $Spin(d-1,1)$-invariant [[bilinear form]] $S \otimes S \longrightarrow \mathbb{R}^d$, projectively unique if $S$ is [[irreducible representation|irreducible]]. This serves as the odd-odd [[Lie bracket]] in the [[super Lie algebra]] called the [[super Poincaré Lie algebra]] [[Lie algebra extension|extension]] of the ordinary [[Poincaré Lie algebra]] induced by $S$. This is "[[supersymmetry]]" in [[physics]].

The above irreducible complex representations admit a [[real structure]] for $d = 1,2,3 \, mod \, 8$. 
Therefore in dimension $d = 2 \, mod \, 8$ there exist _Majorana-Weyl spinor_ representations.

The above irreducible complex representations admit a [[quaternionic structure]] for $d = 5,6,7 \, mod \, 8$. 


Let $V$ be a quadratic vector space, def. \ref{QuadraticVectorSpace},
over the [[real numbers]] with [[bilinear form]] of Lorentzian [[signature]], hence $V = \mathbb{R}^{d-1,1}$ is [[Minkowski spacetime]] of some [[dimension]] $d$. 

The following table lists the irreducible real representations of $Spin(V)$ ([Freed 99, page 48](#Freed99)).

[[!include real irreducible spin representations -- table]]

Here $W$ is the 2-dimensional [[complex vector space]] on which the [[quaternions]] naturally act. 

+-- {: .num_remark #BilinearPairingForRealRepresentations}
###### Remark

The last column implies that in each dimension there exists a [[linear map]]

$$
  \Gamma \;\colon\; S^\ast \otimes S^\ast \longrightarrow \mathbb{R}^{d-1,1}
$$

which is 

1. symmetric;

1. $Spin(V)$-equivariant.

This allows to form the [[super Poincaré Lie algebra]] in each of these cases. See there and see _[Spinor bilinear forms](#SpinorBilinearForms)_ below for more.

=--


### Spinor bilinear forms
 {#SpinorBilinearForms}


Let $(V, \langle -,-\rangle)$ be a quadratic vector space, def. \ref{QuadraticVectorSpace}. For $p \in \mathbb{R}$ write $\wedge^p V$ for its $p$th skew-symmetrized [[tensor power]], regarded naturally as a [[representation]] of the [[spin group]] $Spin(V)$.

For $S_1, S_2 \in Rep(Spin(V))$ two [[irreducible representations]] of $Spin(V)$, we discuss here [[homomorphisms]] of representations (hence $k$-[[linear maps]] respecting the $Spin(V)$-[[action]]) of the form

$$
  S_1 \otimes S_2 \longrightarrow \wedge^p V
  \,.
$$

These appear notably in the following applications:

* for $p = 0$ symmetric bilinears $(-,-) \;\colon\; S \otimes S \longrightarrow k$ define a [[metric]] on the space of [[spinors]], also known as a _[[charge conjugation matrix]]_. This appears for instance in the [[Lagrangian]] for a [[spinor]] [[field (physics)|field]] $\psi$, which is of the form $\psi \mapsto (\psi, D \psi)$, for $D$ a [[Dirac operator]];

* for $p = 1$ symmetric bilinear $Spin(V)$-[[homomorphisms]] $\Gamma \;\colon\; S \otimes S \longrightarrow V$ constitutes the odd-odd [[Lie bracket]] in a [[super Poincaré Lie algebra]] [[Lie algebra extension|extension]] of the a [[Poincaré Lie algebra]] by $S$.

* for $p=2$ symmetric bilineat spin pairings appear as the odd-odd bracket in a [[superconformal]] super Lie algebra;

* for $p \geq 2$ higher spin bilinears $S \otimes S \longrightarrow \wedge^p V$ appear in further [polyvector extensions](super+Poincare+Lie+algebra#PolyvectorExtensions).

#### $p = 0$ -- spinor metric
  {#SpinorMetric}

We discuss spinor bilinear pairings to scalars.

##### Over the complex numbers

+-- {: .num_prop #DualityPairingOverComplexNumbers}
###### Proposition

Let $V$ be a quadratic vector space, def. \ref{QuadraticVectorSpace} over the [[complex numbers]] of [[dimension]] $d$. Then there exists in dimensions $d \neq 2,6 \; mod \, 8$, up to rescaling, a unique $Spin(V)$-invariant [[bilinear form]] 

$$
  C \;\colon\; S \otimes S \longrightarrow \mathbb{C}
$$ 

on a complex [[irreducible representation]] $S$ of $Spin(V)$, or in dimension 2 and 6 a bilinear pairing

$$
  C \;\colon\; S^+ \otimes S^- \longrightarrow \mathbb{C}
$$ 

which is non-degenerate and whose symmetry is given by the following table:

| $d \, mod\, 8$ | C |
|--|--|
| 0 | symmetric |
| 1 | symmetric |
| 2 | $S^\pm$ dual to each other |
| 3 | skew-symmetric |
| 4 | skew-symmetric |
| 5 | skew-symmetric |
| 6 | $S^\pm$ dual to each other |
| 7 | symmetric |

=--

This appears for instance as ([Varadarajan 04, theorem 6.5.7](#Varadrajan04)).

+-- {: .num_remark #ChargeConjugationMatrix}
###### Remark

The [[matrix]] representation of the bilinear form in prop. \ref{DualityPairingOverComplexNumbers} is known in the physics literature as the _[[charge conjugation matrix]]_. 
In [[matrix calculus]] the symmetry property means that the [[transpose matrix]]  $C^T$ satisfies

$$
  C^T = - \epsilon C
$$

with $\epsilon \in \{-1,1\}$ given in [[dimension]] $d$ by the following table

| $d \, mod \, 8$ | $C$ |
|--|--|
| 0 | -1 |
| 1 | -1 |
| 2 | either |
| 3 | +1 |
| 4 | +1 |
| 5 | +1 |
| 6 | either |
| 7 | -1 |

=--

For instance ([van Proeyen 99, table 1](#vanProeyen99)).


##### Over the real numbers (for Majorana spinors)

+-- {: .num_prop}
###### Proposition

Let $V$ be a quadratic vector space, def. \ref{QuadraticVectorSpace} over the [[real numbers]] of [[dimension]] $d$ with [[Minkowski metric|Loentzian]] [[signature]]. Then there exists, up to rescaling, a unique $Spin(V)$-invariant [[bilinear form]] 

$$
  C \;\colon\; S \otimes S \longrightarrow \mathbb{R}
$$ 

on a real [[irreducible representation]] $S$ of $Spin(V)$, and its symmetry is given by the following table

| $d \, mod \, 8$ |  $C$ |
|---|---|
| 0 | symmetric |
| 1 | symmetric |
| 2 | $S^{\pm}$ dual to each other |
| 3 | skew symmetric |
| 4 | skew symmetric |
| 5 | symmetric |
| 6 | $S^{\pm}$ dual to each other  |
| 7 | symmetric |

=--

This appears for instance as ([Freed 99, around (3.4)](#Freed99), [Varadarajan 04, theorem 6.5.10](#Varadrajan04)).


#### $p = 1$ -- super Poincar&#233; bracket (supersymmetry)
 {#SuperPoincareBrackets}

We discuss spinor bilinear pairings to vectors.

##### Over the complex numbers

+-- {: .num_prop}
###### Proposition

Let $V$ be a quadratic vector space, def. \ref{QuadraticVectorSpace} over the [[complex numbers]] of [[dimension]] $d$.

Then there exists unique $Spin(V)$-representation morphisms

$$
  \Gamma \;\colon\; S\otimes S \longrightarrow \mathbb{C}
$$

for odd $d$ and $S$ the unique [[irreducible representation]], and

$$
  \Gamma \;\colon\; S^{\pm} \otimes S^{\mp} \longrightarrow \mathbb{C}
$$

for even $d$ and $S^\pm$ the two inequivalent [[irreducible representations]].

=--

This is ([Varadarajan 04, theorem 6.6.3](#Varadrajan04)).


##### Over the real numbers (for Majorana spinors)

+-- {: .num_prop #BispinorialPairingToAVectorOverTheReals}
###### Proposition

Let $V$ be a quadratic vector space, def. \ref{QuadraticVectorSpace} over the [[real numbers]] of [[dimension]] $d$.

Then there exists unique $Spin(V)$-representation morphisms

| $d \,mod \, 8$ |   |
|---|---|
| 0 | $S^\pm \otimes S^\mp \to V$ |
| 1 | $S \otimes S \to V$ |
| 2 | $S^\pm \otimes S^\pm  \to V$ |
| 3 | $S \otimes S \to V$ |
| 4 | $S^\pm \otimes S^\mp \to V$ |
| 5 | $S \otimes S \to V$ |
| 6 | $S^\pm \otimes S^\pm \to V$ |
| 7 | $S \otimes S \to V$ |

=--

This is ([Varadarajan 04, theorem 6.5.10](#Varadrajan04)).

For more see ([Varadarajan 04, section 6.7](#Varadrajan04)).


##### Pairing to a vector in terms of the charge conjugation matrix
 {#PairingToVectorByChargeConjugationMatrix}

+-- {: .num_remark}
###### Remark

In terms of a [[matrix]] representation with respect to a chosen
[[basis]] as in remark \ref{ChargeConjugationMatrix} the 
pairing of prop. \ref{BispinorialPairingToAVectorOverTheReals}
is given by the matrices $\Gamma^a = \{(\Gamma^a)^\alpha{}_\beta\}$
that represent the [[Clifford algebra]] by raising and lowering indices with the [[charge conjugation matrix]] of remark \ref{ChargeConjugationMatrix} (e.g [Freed 99 (3.5)](#Freed99)).

In such a notation if $\phi = (\phi^\alpha)$ denotes the component-vector of a spinor, then the result of "lowering its index" is given by acting with the metric in form of the [[charge conjugation matrix]]. The result is traditionally denoted

$$
  \overline{\phi} \coloneqq \phi^T C
$$

hence

$$
  \overline{\phi}_\alpha \coloneqq \phi^\beta C_{\beta \alpha}
  \,.
$$

This yields the component formula for the pairings to scalars and to vectors which is traditional in the physics literature as follows:

$$
  \begin{aligned}
    C(\phi,\psi) &= \phi^\alpha C_{\alpha \beta} \,\psi^\beta
    \\ 
    & = 
    \overline{\phi}_\alpha \psi^\alpha
    \\
    & = \overline{\phi} \psi
  \end{aligned}
$$

and

$$
  \begin{aligned}
    \Gamma^a(\phi, \psi)
    &= 
    \phi^\alpha \Gamma^a{}_{\alpha \beta} \psi^\beta 
    \\
    &= \phi^\alpha C_{\alpha \kappa} \Gamma^{a \kappa}{}_\beta \psi^\beta
    \\
    & = \phi^T C \Gamma^a \psi
    \\
    & \coloneqq 
    \overline{\phi} \Gamma^a \psi
  \end{aligned}
  \,.
$$

(Recall that all this is here for _Majorana spinors_, as in the previous prop. \ref{BispinorialPairingToAVectorOverTheReals}.)

=--

This yields the component expressions for the bilinear pairings as familiar from the physics [[supersymmetry]] literature, for instance ([Polchinski 01, (B.2.1), (B.5.1)](#Polchinski01))

##### Counting numbers of supersymmetries
 {#CountingNumbersOfSupersymmetries}

A spinor bilinear pairing to a vector $\Gamma \;\colon\; S \otimes S \to V $ as above serves as the odd-odd bracket in a [[super Poincaré Lie algebra]] [[Lie algebra extension|extension]] of $V$. Since this is also called a "[[supersymmetry]]" [[super Lie algebra]], with the spinors being the _supersymmetry generators_, the decomposition of $S$ into minimal/[[irreducible representations]] is also called the _number of supersymmetries_. This is traditionally denoted by a capital $N$ and in even dimensions and over the [[complex numbers]] it is traditional to write

$$
  N = (N_+, N_-)
$$

to indicate that there are $N_+$ copies of the irreducible $Spin(V)$-representation of one chirality, and $N_-$ of those of the other chirality (i.e. left and right handed _Weyl spinors_).

This counting however is more subtle over the real numbers (Majorana spinors) and the notation in this case (which happens to be the more important case) is not entirely consistent through the literature.

There is no issue in those dimensions in which the complex Weyl representation already admits a [[real structure]] itself, hence when there are _Majorana-Weyl spinors_. In this case one just counts them with $N_+$ and $N_-$ as in the case over the complex numbers.

However, in some dimensions it is only the [[direct sum]] of two Weyl spinor representations which carries a [[real structure]]. For instance for $d = 4$ and $d = 8$ in Lorentzian signature (see the [above table](#RealIrreducibleSpinRepresentationInLorentzSignature)) it is the complex representations $\mathbf{2} \oplus \mathbf{2}'$ and $\mathbf{16} \oplus \mathbf{16}'$, respectively, which carry a real structure. Hence the real representation underlying this parameterizes $N = 1$ supersymmetry in terms Majorana spinors, even though its complexification would be $N  = (1,1)$. 
See for instance ([Freed 99, p. 53](#Freed)).

Similarly in dimensions 5,6 and 7 mod 8, the minimal real representation is obatained from tensoring the complex spinors with the complex 2-dimensional canonical quaternionic representation $W$ (as in the [above table](#RealIrreducibleSpinRepresentationInLorentzSignature)). These are also called _symplectic Majorana_ representations. For instance in in 6d one typically speaks of the [[6d (2,0)-superconformal QFT]] to refer to that with a single "symplectic Majorana-Weyl" supersymmetry (e.g. [Figueroa-OFarrill, p. 9](#FigueroaOFarrill)), which might therefore be counted as $(1,0)$ real supersymmetric, but which involves two complex irreps and is hence often denoted counted as $(2,0)$.

#### $p = 2$ -- superconformal bracket

For the moment see at _[supersymmetry -- Superconformal and super anti de Sitter symmetry](supersymmetry#ClassificationSuperconformal)_.


### Expression of real representations via real normed division algebras
 {#ExpressionInTermsOfNormedDivisionAlgebras}

We discuss a close relation between _[[real spin representations and division algebras]]_,
due to [Kugo-Townsend 82](#KugoTownsend82), [Sudbery 84](#Sudbery84) and others:
The real spinor representations in dimensions $3,4,6, 10$ happen to have a particularly simple expression in terms of
[[Hermitian matrices]] over the four real [[normed division algebras]]: the [[real numbers]] $\mathbb{R}$ themselves, the [[complex numbers]] $\mathbb{C}$, the [[quaternions]] $\mathbb{H}$ and the [[octonions]] $\mathbb{O}$.
Derived from this also the real spinor representations in dimensions $4,5,7,11$ have a fairly simple corresponding expression.
We follow the streamlined discussion in [Baez-Huerta 09](#BaezHuerta09) and [Baez-Huerta 10](#BaezHuerta10).









#### Real normed division algebras

To amplify the following pattern and to fix our notation for algebra generators, recall these definitions:

+-- {: .num_defn #TheComplexNumbers}
###### Definition

The _[[complex numbers]]_ $\mathbb{C}$ is the [[commutative algebra]] over the [[real numbers]] $\mathbb{R}$ which is [[generators and relations|generated]] from one generators $\{e_1\}$ subject to the [[generators and relations|relation]]

* $(e_1)^2 = -1$.

=--

+-- {: .num_defn #TheQuaternions}
###### Definition

The _[[quaternions]]_ $\mathbb{H}$ is the [[associative algebra]] over the [[real numbers]] which is [[generators and relations|generated]] from three generators $\{e_1, e_2, e_3\}$ subject to the [[generators and relations|relations]]

<div style="float:right;margin:0 20px 10px 20px;">
<img src="https://ncatlab.org/nlab/files/QuaternionMultiplicationTable.jpg" width="300" alt="quaternion multiplication table">
</div>

1. for all $i$

   $(e_i)^2 = -1$

1. for $(i,j,k)$ a cyclic [[permutation]] of $(1,2,3)$ then

   1. $e_i e_j  = e_k$

   1. $e_j e_i  = -e_k$


> (graphics grabbed from [Baez 02](#Baez02))

=--


+-- {: .num_defn #TheOctonions}
###### Definition

The _[[octonions]]_ $\mathbb{O}$ is the [[nonassociative algebra]] over the [[real numbers]] which is [[generators and relations|generated]] from seven generators $\{e_1, \cdots, e_7\}$ subject to the [[generators and relations|relations]]

<div style="float:right;margin:0 20px 10px 20px;">
<img src="https://ncatlab.org/nlab/files/OctonionMultiplicationTable.jpg" width="400" alt="octonion multiplication table">
</div>


1. for all $i$

   $(e_i)^2 = -1$

1. for $e_i \to e_j \to e_k$ an edge or circle in the diagram shown (a labeled version of the [[Fano plane]]) then

   1. $e_i e_j  = e_k$

   1. $e_j e_i  = -e_k$

   and all relations obtained by cyclic [[permutation]] of the indices in these equations.


> (graphics grabbed from [Baez 02](#Baez02))

=--



One defines the following operations on these real algebras:

+-- {: .num_defn #Conjugation}
###### Definition

For $\mathbb{K} \in \{\mathbb{R}, \mathbb{C}, \mathbb{H}, \mathbb{O}\}$, let

$$
  (-)^\ast
    \;\colon\;
  \mathbb{K}
    \longrightarrow
  \mathbb{K}
$$

be the [[antihomomorphism]] of real algebras

$$
  \begin{aligned}
    (r a)^\ast  = r a^\ast &, \text{for}\;\; r \in \mathbb{R}, a \in \mathbb{K}
    \\
   (a b)^\ast = b^\ast a^\ast &,\text{for}\;\; a,b \in \mathbb{K}
  \end{aligned}
$$

given on the generators of def. \ref{TheComplexNumbers}, def. \ref{TheQuaternions}
and def. \ref{TheOctonions}  by

$$
  (e_i)^\ast = - e_i
  \,.
$$

This operation makes $\mathbb{K}$ into a [[star algebra]].
For the [[complex numbers]] $\mathbb{C}$ this is called _[[complex conjugation]]_, and in general we call it _conjugation_.

Let then

$$
  Re \;\colon\; \mathbb{K} \longrightarrow \mathbb{R}
$$

be the [[function]]

$$
  Re(a) \;\coloneqq\; \tfrac{1}{2}(a + a^\ast)
$$

("[[real part]]") and

$$
  Im \;\colon\; \mathbb{K} \longrightarrow \mathbb{R}
$$

be the [[function]]

$$
  Im(a) \;\coloneqq \; \tfrac{1}{2}(a - a^\ast)
$$

("[[imaginary part]]").

It follows that for all $a \in \mathbb{K}$ then the product of a with its conjugate is in the real [[center]]
of $\mathbb{K}$

$$
  a a^\ast = a^\ast a \;\in \mathbb{R} \hookrightarrow \mathbb{K}
$$

and we write the [[square root]] of this expression as

$$
  {\vert a\vert}
    \;\coloneqq\;
  \sqrt{a a^\ast}
$$

called the _[[norm]]_ or _[[absolute value]]_ [[function]]

$$
  {\vert -\vert}
    \;\colon\;
  \mathbb{K}
    \longrightarrow
  \mathbb{R}
  \,.
$$

This norm operation clearly satisfies the following properties (for all $a,b \in \mathbb{K}$)

1. $\vert a \vert \geq 0$;

1. ${\vert a \vert } = 0 \;\;\;\;\; \Leftrightarrow\;\;\;\;\;\; a = 0$;

1. ${\vert a b \vert } = {\vert a \vert} {\vert b \vert}$

and hence makes $\mathbb{K}$ a [[normed algebra]].

Since $\mathbb{R}$ is a [[division algebra]], these relations immediately imply that each $\mathbb{K}$ is a [[division algebra]], in that

$$
  a b = 0 \;\;\;\;\;\; \Rightarrow \;\;\;\;\;\; a = 0 \;\; \text{or} \;\; b = 0
  \,.
$$

Hence the conjugation operation makes $\mathbb{K}$ a [[real numbers|real]] [[normed division algebra]].

=--

+-- {: .num_remark #SequenceOfInclusionsOfRealNormedDivisionAlgebras}
###### Remark

Sending each generator in def. \ref{TheComplexNumbers}, def. \ref{TheQuaternions} and def. \ref{TheOctonions}
to the generator of the same name in the next larger algebra constitutes a sequence of real [[star-algebra]]
[[homomorphisms]]

$$
  \mathbb{R}
    \hookrightarrow
  \mathbb{C}
    \hookrightarrow
  \mathbb{H}
    \hookrightarrow
  \mathbb{O}
  \,.
$$

=--

+-- {: .num_prop #HurwitzTheorem}
###### Proposition
**([[Hurwitz theorem]])**

The four algebras of [[real numbers]] $\mathbb{R}$, [[complex numbers]] $\mathbb{C}$,
[[quaternions]] $\mathbb{H}$ and [[octonions]] $\mathbb{O}$
from def. \ref{TheComplexNumbers}, def. \ref{TheQuaternions} and def. \ref{TheOctonions} respectively,
which are real [[normed division algebras]] via def. \ref{Conjugation},
are, up to [[isomorphism]], the _only_ real normed division algebras that exist.

=--

+-- {: .num_remark}
###### Remark

While hence the sequence from remark \ref{SequenceOfInclusionsOfRealNormedDivisionAlgebras}

$$
  \mathbb{R}
    \hookrightarrow
  \mathbb{C}
    \hookrightarrow
  \mathbb{H}
    \hookrightarrow
  \mathbb{O}
$$

is maximal in the [[category]] of real normed non-associative [[division algebras]], there is a pattern that does
continue if one disregards the division algebra property. Namely each step in this sequence is given by
a construction called _forming the [[Cayley-Dickson double algebra]]_. This continues to an unbounded sequence of
real nonassociative star-algebras

$$
  \mathbb{R}
    \hookrightarrow
  \mathbb{C}
    \hookrightarrow
  \mathbb{H}
    \hookrightarrow
  \mathbb{O}
    \hookrightarrow
  \mathbb{S}
    \hookrightarrow
  \cdots
$$

where the next algebra $\mathbb{S}$ is called the _[[sedenions]]_.

=--

What actually matters for the following relation of the real normed division algebras to [[real spin representations]]
is that they are also [[alternative algebras]]:

+-- {: .num_defn #AlternativeAlgebra}
###### Definition

Given any [[non-associative algebra]] $A$, then the trilinear map

$$
  [-,-,-] \;-\; A \otimes A \otimes A \longrightarrow A
$$

given on any elements $a,b,c \in A$ by

$$
  [a,b,c] \coloneqq (a b) c - a (b c)
$$

is called the _[[associator]]_ (in analogy with the _[[commutator]]_ $[a,b] \coloneqq a b - b a$ ).

If the associator is completely antisymmetric (in that for any [[permutation]] $\sigma$ of three elements then $[a_{\sigma_1}, a_{\sigma_2}, a_{\sigma_3}] = (-1)^{\vert \sigma\vert} [a_1, a_2, a_3]$ for $\vert \sigma \vert$ the [[signature of a permutation|signature of the permutation]]) then $A$ is called an _[[alternative algebra]]_.

If the [[characteristic]] of the [[ground field]] is different from 2, then alternativity is
readily seen to be equivalent to the conditions that for all $a,b \in A$ then

$$
  (a a)b = a (a b)
   \;\;\;\;\;
     \text{and}
   \;\;\;\;\;
   (a b) b = a (b b)
   \,.
$$

=--

We record some basic properties of associators in alternative star-algebras that we need below:

+-- {: .num_prop #PropertiesOfAssociatorInAlternativeAlgebra}
###### Proposition

Let $A$ be an [[alternative algebra]] (def. \ref{AlternativeAlgebra}) which is also a [[star algebra]]. Then

1. the [[associator]] vanishes when at least one argument is real

   $$
     [Re(a),b,c]
   $$

1. the [[associator]] changes sign when one of its arguments is conjugated

   $$
     [a,b,c] = -[a^\ast,b,c]
     \,;
   $$
      
1. the [[associator]] vanishes when one of its arguments is the conjugate of another:

   $$
     [a,a^\ast, b] = 0
     \,;
   $$

1. the [[associator]] is purely imaginary

   $$
     Re([a,b,c]) = 0
     \,.
   $$
   
=--

+-- {: .proof}
###### Proof

That the associator vanishes as soon as one argument is real is just the linearity of an algebra
product over the ground ring.
 
Hence in fact

$$
  [a,b,c] = [Im(a), Im(b), Im(c)]
  \,.
$$

This implies the second statement by linearity. And so follows the third statement by skew-symmetry:

$$
  [a,a^\ast,b] = -[a,a,b] = 0
  \,.
$$

The fourth statement finally follows by this computation:

$$
  \begin{aligned}
    [a,b,c]^\ast
      & = 
    -[c^\ast, b^\ast, a^\ast]
      \\
      & = 
      -[c,b,a]
      \\
      & = 
      -[a,b,c]
  \end{aligned}
  \,.
$$

Here the first equation follows by inspection and using that $(a b)^\ast = b^\ast a^\ast$, 
the second follows from the first statement above, and the third is the ant-symmetry of the associator.

=--

It is immediate to check that:

+-- {: .num_prop}
###### Proposition

The real algebras of [[real numbers]], [[complex numbers]],  def. \ref{TheComplexNumbers},[[quaternions]] def. \ref{TheQuaternions} and
[[octonions]] def. \ref{TheOctonions} are [[alternative algebras]] (def. \ref{AlternativeAlgebra}).

=--

+-- {: .proof}
###### Proof

Since the [[real numbers]], [[complex numbers]] and [[quaternions]] are [[associative algebras]],
their [[associator]] vanishes identically. It only remains to see that the associator of the
[[octonions]] is skew-symmetric. By linearity it is sufficient to check this on generators.
So let $e_i \to e_j \to e_k$ be a circle or a cyclic permutation of an edge in the [[Fano plane]].
Then by definition of the octonion multiplication we have

$$
  \begin{aligned}
    (e_i e_j) e_j
    &=
    e_k e_j
    \\
    &=
    - e_j e_k
    \\
    & =
    -e_i
    \\
    & =
    e_i (e_j e_j)
  \end{aligned}
$$

and similarly

$$
  \begin{aligned}
    (e_i e_i ) e_j
    &=
    - e_j
    \\
    &=
    - e_k e_i
    \\
    &=
    e_i e_k
    \\
    &=
    e_i (e_i e_j)
  \end{aligned}
  \,.
$$

=--

The analog of the [[Hurwitz theorem]] (prop. \ref{HurwitzTheorem}) is now this:

+-- {: .num_prop #ZornTheorem}
###### Proposition

The only [[division algebras]] over the [[real numbers]] which are also [[alternative algebras]] (def. \ref{AlternativeAlgebra}) are the [[real numbers]] themselves, the [[complex numbers]], the [[quaternions]] and the [[octonions]].

=--

This is due to ([Zorn 30](#Zorn30)).


For the following, the key point of alternative algebras is this equivalent characterization:

+-- {: .num_prop #ArtinTheorem}
###### Proposition

A [[nonassociative algebra]] is alternative, def. \ref{AlternativeAlgebra},  precisely if the [[subalgebra]] generated by any two elements is an [[associative algebra]].

=--

This is due to [[Emil Artin]], see for instance ([Schafer 95, p. 18](alternative+algebra#Schafer95)).

Proposition \ref{ArtinTheorem} is what allows to carry over a minimum of [[linear algebra]] also to the [[octonions]]
such as to yield a representation of the [[Clifford algebra]] on $\mathbb{R}^{9,1}$. This happens in the proof
of prop. \ref{SpinorRepsByNormedDivisionAlgebra} below.

So we will be looking at a fragment of [[linear algebra]] over these four [[normed division algebras]].
To that end, fix the following notation and terminology:

+-- {: .num_defn #MatrixNotation}
###### Definition

Let $\mathbb{K}$ be one of the four real [[normed division algebras]] from prop. \ref{HurwitzTheorem}, hence one of the four
real [[alternative algebra|alternative]] [[division algebras]] from prop. \ref{ZornTheorem}.

Say that an $n \times n$ [[matrix]] with [[coefficients]] in $\mathbb{K}$, $A\in Mat_{n\times n}(\mathbb{K})$ is a _[[hermitian matrix]]_ if the [[transpose matrix]] $(A^t)_{i j} \coloneqq A_{j i}$ equals the componentwise [[complex conjugation|conjugated]] matrix (def. \ref{Conjugation}):

   $$
     A^t = A^\ast
     \,.
   $$

   Hence with the notation

   $$
     (-)^\dagger \coloneqq ((-)^t)^\ast
   $$

   then $A$ is a [[hermitian matrix]] precisely if

   $$
     A = A^\dagger
     \,.
   $$

   We write $Mat_{2 \times 2}^{her}(\mathbb{K})$ for the [[real vector space]] of hermitian matrices.

=--

+-- {: .num_defn #TraceReversal}
###### Definition
**(trace reversal)**

Let $A \in Mat_{2 \times 2}^{her}(\mathbb{K})$ be a hermitian $2 \times 2$ matrix as in def. \ref{MatrixNotation}.
Its _trace reversal_ is the result of subtracting its [[trace]] times the identity matrix:


$$
    \tilde A \;\coloneqq\; A - (tr A) 1_{n\times n}
    \,.
$$

=--

















#### Spacetime in dimensions 3,4,6 and 10

We discuss how [[Minkowski spacetime]] of dimension 3,4,6 and 10 is naturally expressed in terms of the
real [[normed division algebras]] $\mathbb{K}$ from prop. \ref{HurwitzTheorem}, equivalently the
real [[alternative algebra|alternative]] [[division algebras]] from prop. \ref{ZornTheorem}.

+-- {: .num_prop #SpacetimeAsMatrices}
###### Proposition

Let $\mathbb{K}$ be one of the four real [[normed division algebras]] from prop. \ref{HurwitzTheorem}, hence one of the four
real [[alternative algebra|alternative]] [[division algebras]] from prop. \ref{ZornTheorem}.

There is a [[isomorphism]] (of real [[inner product spaces]]) between [[Minkowski spacetime]] (def. \ref{MinkowskiSpacetime})
of dimension

$$
  d = 2 + dim_{\mathbb{R}}(\mathbb{K})
$$

hence

1. $\mathbb{R}^{2,1}$ for $\mathbb{K} = \mathbb{R}$;

1. $\mathbb{R}^{3,1}$ for $\mathbb{K} = \mathbb{C}$;

1. $\mathbb{R}^{5,1}$ for $\mathbb{K} = \mathbb{H}$;

1. $\mathbb{R}^{9,1}$ for $\mathbb{K} = \mathbb{O}$.

and the [[real vector space]] of $2 \times 2$ [[hermitian matrices]] over $\mathbb{K}$ (def. \ref{MatrixNotation})
equipped with the [[inner product]] whose [[norm]]-square is the negative of the [[determinant]] operation on matrices:

$$
  \mathbb{R}^{dim_{\mathbb{R}}(\mathbb{K})+1,1}
    \;\simeq\;
  \left(Mat_{2 \times 2}^{her}(\mathbb{K}), -det \right)
  \,.
$$

As a [[linear map]] this is given by

$$
  (x_0, x_1, \cdots, x_{d-1})
    \;\mapsto\;
  \left(
    \array{
      x_0 + x_1 & y
      \\
      y^\ast & x_0 - x_1
    }
  \right)
  \;\;\;
  \text{with}\;
  y \coloneqq x_2 1 + x_3 e_1 + x_4 e_2 +   \cdots + x_{2 + dim_{\mathbb{R}(\mathbb{K})}} \,e_{dim_{\mathbb{R}}(\mathbb{K})-1}
  \,.
$$

Under this identification the operation of trace reversal from def. \ref{TraceReversal}
corresponds to _time reversal_ in that

$$
  \widetilde{
  \left(
    \array{
      x_0 + x_1 & y
      \\
      y^\ast & x_0 - x_1
    }
  \right)
  }
   \;=\;
  \left(
    \array{
      -x_0 + x_1 & y
      \\
      y^\ast & -x_0 - x_1
    }
  \right)   
  \,.
$$

=--

+-- {: .proof}
###### Proof

This is immediate from the nature of the conjugation operation $(-)^\ast$ from def. \ref{Conjugation}:

$$
  \begin{aligned}
    -
    det
    \left(
      \array{
        x_0 + x_1 & y
        \\
        y^\ast & x_0 - x_1
      }
    \right)
    & =
    -(x_0 + x_1)(x_0 - x_1)
    +
    y y^\ast
    \\
    & =
    -(x_0)^2 + \underoverset{a = 1}{d-1}{\sum} (x_a)^2
  \end{aligned}
  \,.
$$

=--


By direct computation one finds:

+-- {: .num_prop #DeterminantViaProductWithTraceReversal}
###### Proposition

In terms of the trace reversal operation $\widetilde{(-)}$ from def. \ref{TraceReversal},
the determinant operation on hermitian matrices (def. \ref{MatrixNotation}) has the following alternative expression

$$
  \begin{aligned}
    -det(A) & = A \tilde A 
      \\
      & = \tilde A A
  \end{aligned}
  \,.
$$

and the Minkowski inner product has the alternative expression

$$
  \eta(A,B) = \tfrac{1}{2}Re(tr(A \tilde B)) = \tfrac{1}{2} Re(tr(\tilde A B))
  \,.
$$

=--

([Baez-Huerta 09, prop. 5](#BaezHuerta09))









#### Real spinors in dimensions 3, 4, 6 and 10
 {#InTermsOfNormedDivisionAlgebraInDimension3To10}

We now discuss how [[real spin representations]] in dimensions 3,4, 6 and 10 are naturally induced from
linear algebra over the four real [[alternative algebras|alternative]] [[division algebras]].

In particular we establish the following table of [exceptional isomorphisms of spin groups](spin+group#ExceptionalIsomorphisms):

[[!include exceptional spinors and division algebras -- table]]

+-- {: .num_remark}
###### Remark

Prop. \ref{SpacetimeAsMatrices} immediately implies that for $\mathbb{K} \in \{\mathbb{R}, \mathbb{C}, \mathbb{H}\}$
then there is a [[monomorphism]] from the [[special linear group]] $SL(2,\mathbb{K})$ to the [[spin group]]
in the given dimension:

$$
  SL(2,\mathbb{K})
    \hookrightarrow
  Spin(dim_{\mathbb{R}(\mathbb{K} )} +1 ,1)
$$

given by

$$
  A \mapsto A(-)A^\dagger
  \,.
$$

This preserves the [[determinant]], and hence the Lorentz form, by the multiplicative property of the determinant:

$$
  det(A(-)A^\dagger) = \underset{=1}{\underbrace{det(A)}} det(-) \underset{= 1}{\underbrace{det(A)}}^\ast = det(-)
  \,.
$$

=--

Hence it remains to show that this is surjective, and to define this action also for $\mathbb{K}$ being the [[octonions]],
where general [[matrix calculus]] does not apply, due to non-associativity.



+-- {: .num_defn #CliffordAlgebraInTermsOfNormedDivisionAlgebra}
###### Definition

Let $\mathbb{K}$ be one of the four real [[normed division algebras]] from prop. \ref{HurwitzTheorem}, hence one of the four
real [[alternative algebra|alternative]] [[division algebras]] from prop. \ref{ZornTheorem}.


Define a real [[linear map]]

$$
  \Gamma \;\colon\; \mathbb{R}^{dim_{\mathbb{R}}(\mathbb{K})+1,1} \simeq End_{\mathbb{R}}(\mathbb{K}^4)
$$

from (the real vector space underlying) [[Minkowski spacetime]] to real [[linear maps]] on $\mathbb{K}^4$

$$
  \Gamma(A)
  \left(
    \array{
      \psi
      \\
      \phi
    }
  \right)
  \;\coloneqq\;
  \left(
    \array{
      \tilde A \phi
      \\
      A \psi
    }
  \right)
  \,.
$$

Here on the right we are using the isomorphism from prop. \ref{SpacetimeAsMatrices} for identifying
a spacetime vector with a $2 \times 2$-matrix, and we are using the trace reversal $\idetilde(-)$
from def. \ref{TraceReversal}.

=--

+-- {: .num_remark}
###### Remark

Each operation of $\Gamma(A)$ in def. \ref{CliffordAlgebraInTermsOfNormedDivisionAlgebra} is clearly a [[linear map]],
even for $\mathbb{K}$ being the non-associative [[octonions]]. The only point to beware of is that for $\mathbb{K}$
the octonions, then the composition of two such linear maps is not in general given by the
usual matrix product. 

=--


+-- {: .num_prop #SpinorRepsByNormedDivisionAlgebra}
###### Proposition

The map $\Gamma$ in def. \ref{CliffordAlgebraInTermsOfNormedDivisionAlgebra} gives a [[representation]] of the [[Clifford algebra]]
$Cl(\mathbb{R}^{dim_{\mathbb{R}}}(\mathbb{K}+1,1)  )$, i.e of

1. $Cl(\mathbb{R}^{2,1})$ for $\mathbb{K} = \mathbb{R}$;

1. $Cl(\mathbb{R}^{3,1})$ for $\mathbb{K} = \mathbb{C}$;

1. $Cl(\mathbb{R}^{5,1})$ for $\mathbb{K} = \mathbb{H}$;

1. $Cl(\mathbb{R}^{9,1})$ for $\mathbb{K} = \mathbb{O}$.

Hence this Clifford representation induces [[spin representations|representations]]
of the [[spin group]] $Spin(dim_{\mathbb{R}}(\mathbb{K})+1,1)$  on 
the real vector spaces 

$$
  S_{\pm } \coloneqq \mathbb{K}^2
  \,.
$$


=--

([Baez-Huerta 09, p. 6](#BaezHuerta09))

+-- {: .proof}
###### Proof

We need to check that the Clifford relation

$$
  (\Gamma(A))^2 = -\eta(A,A)1
$$

is satisfied. Now by definition, for any $(\phi,\psi) \in \mathbb{K}^4$ then

$$ 
  (\Gamma(A))^2
  \left(
    \array{
      \phi
      \\
      \psi
    }
  \right)
  \;=\;
  \left(
    \array{
      \tilde A(A \phi)
      \\
      A(\tilde A \psi)
    }
  \right)
  \,,
$$

where on the right we have in each component ordinary matrix product expressions. 

Now observe that both expressions on the right are sums of triple products that involve either
one real factor or two factors that are conjugate to each other:

$$
  \begin{aligned}
    A (\tilde A \psi)
    & =
    \left(
      \array{
        x_0 + x_1 & y
        \\
        y^\ast & x_0 - x_1
      }
    \right) 
      \cdot
    \left(
      \array{
        (-x_0 + x_1) \phi_1 + y \phi_2
        \\
        y^\ast \phi_1 - (x_0 + x_1)\phi_2
      }
    \right)
    \\
    & =
    \left(
      \array{
        (-x_0^2 + x_1^2) \phi_1 + (x_0 + x_1)(y \phi_2) + y (y^\ast \phi_1) - y( (x_0 + x_1) \phi_2 )
        \\
        \cdots
      }
    \right)
  \end{aligned}
  \,.
$$

Since the [[associators]] of triple products that involve a real factor and those involving both an element and its
conjugate vanish by prop. \ref{PropertiesOfAssociatorInAlternativeAlgebra} (hence ultimately by Artin's theorem, prop. \ref{ArtinTheorem}), in conclusion all associators involved vanish, so that we may rebracket to obtain

$$
  (\Gamma(A))^2
  \left(
    \array{
      \phi
      \\
      \psi
    }
  \right)
  \;=\;
  \left(
    \array{
      (\tilde A A) \phi
      \\
      (A \tilde A) \psi
    }
  \right)
  \,.
$$

This implies the statement via the equality $A \tilde A = \tilde A A = -det(A)$ (prop. \ref{DeterminantViaProductWithTraceReversal}).


=--

+-- {: .num_remark}
###### Remark

Prop. \ref{SpinorRepsByNormedDivisionAlgebra} says that the
isomorphism of prop. \ref{SpacetimeAsMatrices} is that given by forming
generalized [[Pauli matrices]]. In standard physics notation these matrices
are written as

$$
  \Gamma(x^a) = (\gamma^a_{\alpha \dot \alpha})
  \,.
$$

=--

+-- {: .num_prop}
###### Proposition

The [[spin representations]] given via prop. \ref{SpinorRepsByNormedDivisionAlgebra}
by the Clifford representation of def. \ref{CliffordAlgebraInTermsOfNormedDivisionAlgebra} are the following:

1. for $\mathbb{K} = \mathbb{R}$ the Majorana representation of $Spin(2,1)$ on $S_+ \simeq S_-$;

1. for $\mathbb{K} = \mathbb{C}$ the Majorana representation of $Spin(3,1)$ on $S_+ \simeq S_-$;

1. for $\mathbb{K} = \mathbb{H}$ the Weyl representation of $Spin(5,1)$ on $S_+$ and on $S_-$;

1. for $\mathbb{K} = \mathbb{O}$ the Majorana-Weyl representation of $Spin(9,1)$ on $S_+$ and on $S_-$.

=--




+-- {: .num_prop #RealSpinorPairingsViaDivisionAlg}
###### Proposition

Under the identification of prop. \ref{SpinorRepsByNormedDivisionAlgebra} the bilinear pairings

$$
  \overline{(-)}(-) \;\colon\; S_+ \otimes S_-\longrightarrow \mathbb{R}
$$

and

$$
  \overline{(-)}\Gamma (-) \;\colon\; S_\pm \otimes S_{\pm}\longrightarrow V
$$

from  [above](#TheSpinorPairingToVectors) are given, respectively, by forming the real part of the canonical $\mathbb{K}$-[[inner product]]

$$
  \overline{(-)}(-) \colon S_+\otimes S_- \longrightarrow \mathbb{R}
$$
$$
  (\psi,\phi)\mapsto \overline{\psi} \phi \coloneqq Re(\psi^\dagger \cdot \phi)
$$

and by forming the product of a column vector with a row vector to produce a matrix, possibly up to trace reversal (def. \ref{TraceReversal}):

$$
  S_+ \otimes S_+ \longrightarrow V
$$
$$
  (\psi , \phi) \mapsto \overline{\psi}\Gamma \phi \coloneqq
  \widetilde{\psi \phi^\dagger + \phi \psi^\dagger}
$$

and

$$
  S_- \otimes S_- \longrightarrow V
$$
$$
  (\psi , \phi) \mapsto {\psi \phi^\dagger + \phi \psi^\dagger}
$$

For $A \in V$ the $A$-component of this map is

$$
  \eta(\overline{\psi}\Gamma \phi, A)
  =
  Re (\psi^\dagger (A\phi))
 \,.
$$

=--

([Baez-Huerta 09, prop. 8, prop. 9](#BaezHuerta09)).


+-- {: .num_example #RealSpinorRepsIn3d}
###### Example

Consider the case $\mathbb{K} = \mathbb{R}$ of [[real numbers]].

Now $V= Mat^{symm}_{2\times 2}(\mathbb{R})$ is the space of symmetric 2x2-matrices with real numbers.

$$
  V =
  \left\{
  \left.
  \left(
    \array{
      t + x & y
      \\
      y & t - x
    }
  \right)
  \right\vert
   t,x,y\in \mathbb{R}
  \right\}
$$


The "light-cone"-[[basis]] for this space would be

$$
  \left\{
  v^+
  \coloneqq
  \left(
     \array{
        1 & 0
        \\
         0 & 0
     }
  \right)
  \,,
  \;
  v^-
  \coloneqq
  \left(
     \array{
        0 & 0
        \\
         0 & 1
     }
  \right)
  \,,
  \;
  v^y
  \coloneqq
  \left(
     \array{
        0 & 1
        \\
        1 & 0
     }
  \right)
  \right\}
$$

Its trace reversal (def. \ref{TraceReversal}) is

$$
  \left\{
  \tilde{v}^+
  \coloneqq
  \left(
     \array{
        0 & 0
        \\
         0 & -1
     }
  \right)
  \,,
  \;
  \tilde v^-
  \coloneqq
  \left(
     \array{
        -1 & 0
        \\
         0 & 0
     }
  \right)
  \,,
  \;
  \tilde v^y
  \coloneqq
  \left(
     \array{
        0 & 1
        \\
        1 & 0
     }
  \right)
  \right\}
$$

Hence the Minkowski metric of prop. \ref{SpacetimeAsMatrices} in this basis has the components

$$
  \eta
     =
  \left(
    \array{
      0 & -1 & 0
      \\
      -1 & 0 & 0
      \\
      0 & 0 & 2
    }
  \right)
  \,.
$$

As vector spaces $S_{\pm} = \mathbb{R}^2$.

The bilinear spinor pairing $\overline{(-)}(-) \colon S_+ \otimes S_- \to \mathbb{R}$ is given by

$$
  \begin{aligned}
     \overline{\psi}\phi
     &= \psi^t \cdot \phi
     \\
     & = \psi_1  \phi_1 + \psi_2 \phi_2
  \end{aligned}
  \,.
$$

The spinor pairing $S_+ \otimes S_+ \otimes V^\ast \to \mathbb{R}$
from prop. \ref{RealSpinorPairingsViaDivisionAlg} is given on an $A = A_+ v^+ + A_- v^- + A_y v^y $ ($A_+, A_-, A_y \in \mathbb{R}$)
by the components

$$
  \begin{aligned}
    \eta(\overline{\psi}\Gamma\phi,A)
    &=
    \psi^t \cdot A \cdot \phi
    \\
    & =
    \psi_1 \phi_1 A_+
    +
    \psi_2 \phi_2 A_-
    +
    (\psi_1 \phi_2 + \psi_2 \phi_1) A_y
  \end{aligned}
$$

and $S_- \otimes S_- \otimes V^\ast \to \mathbb{R}$ is given by the components

$$
  \begin{aligned}
    \eta(\overline{\psi}\Gamma\phi,A)
    &=
    \psi^t \cdot \tilde A \cdot \phi
    \\
    &=
    -\psi_1 \phi_1 A_+
    -
    \psi_2 \phi_2 A_-
    +
    (\psi_1 \phi_2 + \psi_2 \phi_1) A_y
  \end{aligned}
  \,.
$$

and so, in view of the above metric components, in terms of dual bases $\{\psi^i\}$ this is

$$
  \mu =
  - \psi^1 \otimes \psi^1 \otimes A_-
  - \psi^2 \otimes \psi^2 \otimes A_+
  +
  \frac{1}{2} (\psi^1 \otimes \psi^2 \oplus \psi^2 \otimes\psi^1) \otimes A_y
$$



So there is in particular the 2-dimensional space of [[isomorphisms]] of [[super Minkowski spacetime]] [[super translation Lie algebras]]

$$
  \mathbb{R}^{2,1|\mathbf{2}}
  \stackrel{\simeq}{\longrightarrow}
  \mathbb{R}^{2,1|\bar\mathbf{2}}
$$

(not though of the corresponding [[super Poincaré Lie algebras]], because for them the difference in the Spin-representation does matter) spanned by

$$
  (\theta_1,\theta_2, \vec e) \mapsto (\theta_1, -\theta_2, -\vec e)
$$

and by

$$
  (\theta_1,\theta_2, \vec e) \mapsto (-\theta_1, \theta_2, -\vec e)
  \,.
$$

Hence there is a 1-dimensional space of non-trivial [[automorphism]]

$$
  \mathbb{R}^{2,1|\mathbf{2}}
  \stackrel{\simeq}{\longrightarrow}
  \mathbb{R}^{2,1|\mathbf{2}}
$$

spanned by

$$
  (\theta_1,\theta_2, \vec e) \mapsto (-\theta_1, -\theta_2, \vec e)
  \,.
$$


=--






#### Real spinors  in dimensions 4,5,7 and 11
  {#InTermsOfNormedDivisionAlgebraInDimension4To11}


+-- {: .num_defn #CliffordAlgebraInTermsOfNormedDivisionAlgebraOneDimHigher}
###### Definition

Write $V \coloneqq Mat^{hermitian}_{2\times 2}(\mathbb{K}) \oplus \mathbb{R}$.

Write $S \coloneqq \mathbb{K}^4$. Define a real [[linear map]]

$$
  \Gamma \;\colon\; V\longrightarrow End(S)
$$

given by left [[matrix multiplication]]

$$
  \Gamma(A,a)
    \coloneqq
 \left(
   \array{
     a \cdot 1_{2\times 2}  & \tilde A
     \\
     A & -a \cdot 1_{2\times 2}
    }
  \right)
  \,.
$$

=--

+-- {: .num_remark}
###### Remark

The real vector space $V$ in def. \ref{CliffordAlgebraInTermsOfNormedDivisionAlgebraOneDimHigher} equipped with the [[inner product]] $\eta(-,-)$ given by

$$
  \eta((A,a), (A,a)) = det(A) + a^2
$$

is [[Minkowski spacetime]]

1. $\mathbb{R}^{3,1}$ for $\mathbb{K} = \mathbb{R}$;

1. $\mathbb{R}^{4,1}$ for $\mathbb{K} = \mathbb{C}$;

1. $\mathbb{R}^{6,1}$ for $\mathbb{K} = \mathbb{H}$;

1. $\mathbb{R}^{10,1}$ for $\mathbb{K} = \mathbb{O}$.

=--

+-- {: .num_prop #SpinorRepsByNormedDivisionAlgebraOneDimHigher}
###### Proposition

The map $\Gamma$ in def. \ref{CliffordAlgebraInTermsOfNormedDivisionAlgebraOneDimHigher} gives a [[representation]] of the [[Clifford algebra]] of

1. $\mathbb{R}^{3,1}$ for $\mathbb{K} = \mathbb{R}$;

1. $\mathbb{R}^{4,1}$ for $\mathbb{K} = \mathbb{C}$;

1. $\mathbb{R}^{6,1}$ for $\mathbb{K} = \mathbb{H}$;

1. $\mathbb{R}^{10,1}$ for $\mathbb{K} = \mathbb{O}$.

Under restriction along $Spin(n+2,1) \hookrightarrow Cl(n+2,1)$ this is isomorphic to

1. for $\mathbb{K} = \mathbb{R}$ the Majorana representation of $Spin(3,1)$ on $S$;

1. for $\mathbb{K} = \mathbb{C}$ the Dirac representation of $Spin(4,1)$ on $S$;

1. for $\mathbb{K} = \mathbb{H}$ the Dirac representation of $Spin(6,1)$ on $S$;

1. for $\mathbb{K} = \mathbb{O}$ the Majorana representation of $Spin(10,1)$ on $S$.

=--

([Baez-Huerta 10, p. 10, prop. 8, prop. 9](#BaezHuerta09))

Write

$$
  \Gamma^0 \coloneqq
  \left(
     \array{
       0 & - 1_{2x2}
       \\
       1_{2\times 2} & 0
     }
  \right)
  \,.
$$


+-- {: .num_prop}
###### Proposition

Under the identification of prop. \ref{SpinorRepsByNormedDivisionAlgebraOneDimHigher} of the bilinear pairings

$$
  \overline{(-)}(-) \;\colon\; S \otimes S \longrightarrow \mathbb{R}
$$

and

$$
  \overline{(-)}\Gamma (-) \;\colon\; S  \otimes S \longrightarrow V
$$

of remark \ref{BilinearPairingForRealRepresentations},  the first is given by

$$
  (\psi,\phi)
    \mapsto
  \overline\psi\phi
    \coloneqq
  Re(\psi^\dagger \Gamma^0 \phi)
$$

and the second is characterized by

$$
  \begin{aligned}
    \eta
    \left(
      \overline{\psi}\Gamma\phi, A
    \right)
    &=
    \overline{\psi}(\Gamma(A)\phi)
    \\
    & = Re( \psi^\dagger \Gamma^0 \Gamma(A)\phi)
  \end{aligned}
  \,.
$$


=--

([Baez-Huerta 10, prop. 10, prop. 11](#BaezHuerta10)).








## Related entries

* [[vector representation]]

* [[angular momentum]]

* [[spinor]], [[spinor bundle]]

* [[chiral fermion]]

* [[Fierz identity]]

* [[unitary representation of the super Poincaré group]]

* [[charge conjugation matrix]]

* [[metaplectic representation]]

* [[symplectic spin representation]]

* [[twistor]]


## References

Accounts in the mathematical literature include

* [[H. Blaine Lawson]], [[Marie-Louise Michelsohn]], Chapter I.5 of _[[Spin geometry]]_, Princeton University Press (1989)

* Anna Engels, _Spin representations_ ([pdf](http://www.math.uni-bonn.de/people/ag/ga/teaching/seminare/ws0304/repr.pdf))

Specifically for [[Lorentzian manifold|Lorentzian]] signature and with an eye towards [[supersymmetry]] in [[QFT]], see 

* {#Freed99} [[Daniel Freed]], _Lecture 3 of [[Five lectures on supersymmetry]]_ 1999
  
* {#Varadarajan04} [[Veeravalli Varadarajan]], section 7 of _[[Supersymmetry for mathematicians]]: An introduction_, Courant lecture notes in mathematics, American Mathematical Society, Providence, R.I (2004)
  
For the component notation traditionally used in physics see for instance

* {#vanProeyen99} [[Antoine Van Proeyen]], _Tools for supersymmetry_, Lectures in the spring school in Calimanesti, Romania, April 1998 ([arXiv:hep-th/9910030](http://arxiv.org/abs/hep-th/9910030))
  
* {#Polchinski01} [[Joseph Polchinski]], part II, appendix B of _[[String theory]]_, Cambridge Monographs on Mathematical Physics (2001)
 
* {#Brandt09} [[Friedemann Brandt]], section 2 of _Supersymmetry algebra cohomology_  _I: Definition and general structure_  J. Math. Phys.51:122302, 2010, ([arXiv:0911.2118](http://arxiv.org/abs/0911.2118))

For good math/physics discussion with special emphasis on the symplectic Majorana spinors and their role in the [[6d (2,0)-superconformal QFT]] see

* {#FigueroaOFarrill} [[José Figueroa-O'Farrill]], _Majorana spinors_ ([pdf](http://www.maths.ed.ac.uk/~jmf/Teaching/Lectures/Majorana.pdf))

A clean summary of the relation of the real representation to [[Hermitian forms]] over the real [[normed division algebras]] is in

* {#BaezHuerta09} [[John Baez]], [[John Huerta]], _Division algebras and supersymmetry I_, in R. Doran, G. Friedman and [[Jonathan Rosenberg]] (eds.), _Superstrings, Geometry, Topology, and $C*$-algebras_, Proc. Symp. Pure Math. 81, AMS, Providence, 2010, pp. 65-80 ([arXiv:0909.0551](http://arxiv.org/abs/0909.0551))

* {#BaezHuerta10} [[John Baez]], [[John Huerta]], _Division algebras and supersymmetry II_, Adv. Math. Theor. Phys. 15 (2011), 1373-1410  ([arXiv:1003.34360](http://arxiv.org/abs/1003.3436))

[[!redirects spin representations]]

[[!redirects spinor representation]]
[[!redirects spinor representations]]

