
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Geometric quantization
+-- {: .hide}
[[!include geometric quantization - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}


## Idea

The concept of _[[coherent state]]_ in [[quantum mechanics]]/[[quantum physics]] may be formalized in the context of _[[geometric quantization]]_, The original definition is due to ([Rawnsley 77](#Rawnsley77)), further developments include ([Kirwin 07](#Kirwin07)).


## Related concepts

* [[quantization of Chern-Simons theory]]

## References

The original reference that interpreted coherent states in [[geometric quantization]] over [[Kähler manifold]]s is

* {#Rawnsley77} J. H. Rawnsley, _Coherent states and Kähler manifolds_, Quart. J. Math. Oxford (2), 28 (1977), pp. 403–415

A review and further developments of these considerations are in

* Mauro Spera, _On Kählerian coherent states_ ([djvu](http://www.bio21.bas.bg/proceedings/Proceedings_files/vol1/GEOM19.DJVU))

Generalization to non-Kähler symplectic manifolds is in 

* {#Kirwin07} [[William Kirwin]], _Coherent states in geometric quantization_,  J. Geom. Phys.  57  (2007),  no. 2, 531–548. [arXiv:0502026](http://arxiv.org/abs/math/0502026) [MR2008b:53114](http://www.ams.org/mathscinet-getitem?mr=2271203) [doi](http://dx.doi.org/10.1016/j.geomphys.2006.04.007)

See also 

* Anatol Odzijewicz, _Coherent state method in geometric quantization_, in Twenty Years of Bialowiez: a mathematical anthology, Aspects of Differential Geometric Methods in Physics_ (pp 47-78) , World Sci. Monogr. Ser. Math. 8 (2005); _Coherent states and geometric quantization_,  Comm. Math. Phys.  __150__  (1992),  no. 2, 385–413 [doi](http://ams.mpim-bonn.mpg.de/leavingmsn?url=http://projecteuclid.org/getRecord?id=euclid.cmp/1104251870) [94c:58077](http://www.ams.org/mathscinet-getitem?mr=1194023)

* Brian Charles Hall, _Geometric quantization and the generalized Segal–Bargmann transform for Lie groups of compact type_, Comm. Math. Phys., __226__:233–268, 2002. [doi](http://dx.doi.org/10.1007/s002200200607)

* D. J. Rowe, _Coherent states, induced representations, geometric quantization, and their vector coherent state extensions_, Symmetry in physics, 177–188, CRM Proc. Lecture Notes __34__, Amer. Math. Soc. 2004. 
[MR2005a:81100](http://www.ams.org/mathscinet-getitem?mr=2056987)

* C. Florentino, P. Matias, J. Mourão, J. P. Nunes, _Geometric quantization, complex structures and the coherent state transform_, 
J. Funct. Anal. __221__(2):303–322, 2005 [MR2005m:53179](http://www.ams.org/mathscinet-getitem?mr=2124866) [doi](http://dx.doi.org/10.1016/j.jfa.2004.10.021)

[[!redirects coherent state (in geometric quantization)]]
[[!redirects coherent states (in geometric quantization)]]
[[!redirects coherent state (in geometric quantisation)]]
[[!redirects coherent states (in geometric quantisation)]]
[[!redirects coherent state in geometric quantization]]
[[!redirects coherent states in geometric quantization]]
[[!redirects coherent state in geometric quantisation]]
[[!redirects coherent states in geometric quantisation]]