
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

_Flux compactifications_ are a variant of the [[Kaluza-Klein mechanism]] in [[physics]].

One way of achieving [[moduli stabilization]] for KK-compactifications in [[Einstein-Maxwell theory]] or [[supergravity]]/[[string theory]] is to consider [[gauge fields]] and/or [[higher gauge fields]] in the compact space. Their (higher) [[field strength]]/[[curvature]] forms ("fluxes") parameterize mass terms for the compactification moduli and hence may, under suitable conditions, stabilize them.

## Related concepts

* [[moduli stabilization]]

* [[landscape of string theory vacua]]

* [[G2-MSSM]]

## References

### General

* [[Michael Douglas]], [[Shamit Kachru]], _Flux compactification_, Rev. Mod. Phys. __79__ (2007) 733–796 ([arXiv:hep-th/0610102](http://arxiv.org/abs/hep-th/0610102))

* [[Frederik Denef]], [[Michael Douglas]], [[Shamit Kachru]], _Physics of string flux compactifications_, Ann.Rev.Nucl.Part.Sci.57:119-144,2007, [hep-th/0701050](http://arxiv.org/abs/hep-th/0701050), [doi](http://dx.doi.org/10.1146/annurev.nucl.57.090506.123042)

* [[Frederik Denef]], _Introduction to flux compactifications_, lecture at Summer School on particle physics, cosmology and strings - Perimeter Institute 2007, [video](http://pirsa.org/07080009) 


A good survey of the story of flux compactifications in [[F-theory]] is in 

* {#Denef08} [[Frederik Denef]], _Les Houches Lectures on Constructing String Vacua_, in _[[String theory and the real world]]_ ([arXiv:0803.1194](http://arxiv.org/abs/0803.1194))

For [[F-theory]]-discussion see also at _[F-theory -- References -- Flux compactification](F-theory#FluxAndInstantons)_.

See also

* [[Barton Zwiebach]], _A first course in string theory_

* [[Raphael Bousso]], [[Joseph Polchinski]], _Quantization of four-form fluxes and dynamical neutralization of the cosmological constant_, JHEP 06, 006 (2000) [hep-th/0004134](http://arxiv.org/abs/hep-th/0004134)

* T.R. Taylor, [[Cumrun Vafa]], _RR Flux on Calabi-Yau and Partial Supersymmetry Breaking_, Phys.Lett. B474 (2000) 130-137 ([arXiv:hep-th/9912152](http://arxiv.org/abs/hep-th/9912152))

* R. Blumenhagen, B. Körs, [[Dieter Lüst]], S. Stieberger, _Four-dimensional string compactifications with D-Branes, orientifolds and fluxes_, Phys. Rept. __445__ (2007) 1–193, [hepth/0610327](http://arxiv.org/abs/hep-th/0610327).
* [[Mariana Graña]], _Flux compactifications in string theory: a comprehensive review_, [hep-th/0509003](http://arxiv.org/abs/hep-th/0509003)

* [[Jock McOrist]], [[Savdeep Sethi]], _M-theory and Type IIA Flux Compactifications_ ([arXiv:1208.0261](http://arxiv.org/abs/1208.0261))


### Non-geometric flux compactifications

* R. Blumenhagen, A. Deser, E. Plauschinn, F. Rennecke, _Bianchi identities for non-geometric fluxes: from quasi-Poisson structures to Courant algebroids_, [arXiv:1205.1522](http://arxiv.org/abs/1205.1522)

* D. Mylonas, P. Schupp, [[Richard Szabo|R. J. Szabo]], _Membrane sigma-models and quantization of non-geometric flux backgrounds_, [arxiv/1207.0926](http://arxiv.org/abs/1207.0926)

[[!redirects flux background]]
[[!redirects flux compactifications]]