
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

In the context of _[[electromagnetism]]_, Kirchhoff's laws are a kind of coarse-grained form of [[Maxwell's equations]]. Where the latter deal with [[infinitesimal object|infinitesimal]] quantities, Kirchhoff's law involve macroscopic [[electrical current|current]] and [[voltage]] in electrical [[electrical circuit|circuits]]. 

One speaks of two laws, 

1. the _Kirchhoff voltage law_ (abbreviated KVL)

1. the _Kirchhoff current law_ (abbreviated KCL)

The derivation of these two laws from [[Maxwell's equations]] is spelled out for instance in lecture 7 ([here](#Lecture)).

Nevertheless, Kirchhoff's laws preserve the [[cohomology|cohomological]] nature of Maxwell's equations: where the latter involves [[de Rham cohomology]] and hence "infinitesimal cochains", Kirchhoff's laws can neatly be formulated in terms of [[cochain on a simplicial set|cochains on finite cell complexes]]. (See for instance appendix B of ([Frankel](#Frankel)) or the section "Basic concepts" in ([Baez](#Baez))).


## Related concepts

* [[Maxwell's equations]]


## References

Reviews include

lecture 7 in 

* ([pdf](http://web.archive.org/web/20100609120845/http://ieeeb.okstate.edu/lecturenotes/EET-4654%20Microwaves/Lecture%207%20and%208.pdf))
 {#Lecture}

appendix B in 

* [[Theodore Frankel]], _[[The Geometry of Physics - An Introduction]]_ .
 {#Frankel}

section _Basic concepts_ in 

* [[John Baez]], _[[johnbaez:Circuit theory]]_
 {#Baez}

The cohomological nature of Kirchoff's laws was maybe first made explicit in 

* [[Hermann Weyl]], _Repartición de corriente en una red conductora, Rev. Mat. Hisp. Amer. 5 (1923), 153-164.

A textbook on electromagnetism amplifying this point of view is

* P. W. Gross and P. R. Kotiuga, _Electromagnetic Theory and Computation: A Topological Approach_, Cambridge University Press, (2004)


[[!redirects Kirchhoff's law]]
[[!redirects Kirchhoff's laws]]
[[!redirects Kirchhoff’s law]]
[[!redirects Kirchhoff’s laws]]
[[!redirects Kirchhoff law]]
[[!redirects Kirchhoff laws]]
