
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Differential geometry
+--{: .hide}
[[!include synthetic differential geometry - contents]]
=--
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--

This page provides a hyperlinked index for the book

* [[Theodore Frankel]], 

  _The Geometry of Physics - An introduction_ 

  Cambridge University Press, 1997, 2004, 2012

  [website](http://www.math.ucsd.edu/~tfrankel/) (with errata and preface for 3rd edition)

on methods of [[differential geometry]] and their meaning and use in [[physics]], especially [[gravity]] and [[gauge theory]].

Among the nice aspects of the book are

* it discusses [[pseudoforms]] on top of ordinary [[differential forms]], instead of just assuming that all [[manifolds]]  are [[orientation|oriented]] as often done — and what\'s more, it explains the physical meaning of this!  (But it still uses [[Riemannian metric|metrics]] more than necessary.)

Related books are

* [[Werner Greub]], [[Stephen Halperin]], [[Ray Vanstone]], _[[Connections, Curvature, and Cohomology]]_

* [[Chris Isham]], _[[Modern Differential Geometry for Physicists]]_

#Contents#
* table of contents
{:toc}

## I Manifolds, Tensors and Exterior Forms

### 1 Manifolds and Vector Fields

#### 1.1 Submanifolds of Euclidean space

#### 1.1a Submanifolds of $\mathbb{R}^N$

* [[Cartesian space]]

* [[submanifold]]


#### 1.1b The Geometry of Jacobian Matrices: The "Differential"

#### 1.1c The main theorem on submanifolds of $\mathbb{R}^N$

* [[Whitney embedding theorem]]

#### 1.1d A Nontrivial Example: The Configuration Space of a Rigid Body

* [[rigid body]]


#### 1.2 Manifolds

* [[manifold]]

* [[smooth manifold]]

#### 1.3 Tangent Vectors and Mappings

* [[tangent bundle]]


* [[coordinates]]



#### 1.4 Vector Fields and Flows

* [[vector field]]

* [[flow]]

### 2 Tensors and Exterior Forms

#### 2.1 Covectors and Riemannian Metrics

* [[differential form]]

* [[Riemannian metric]]

#### 2.2 The Tangent Bundle

* [[tangent bundle]]

#### 2.3 The Cotangent Bundle and Phase Space

* [[cotangent bundle]]

* [[phase space]]

#### 2.4 Tensors

* [[tensor]]

#### 2.5 The Grassmann or Exterior Algebra

* [[Grassmann algebra]]

* [[exterior algebra]]

#### 2.6 Exterior Differentiation

* [[de Rham differential]]

#### 2.7 Pull-Backs

* [[pullback of a differential form]]

#### 2.8 Orientation and Pseudoforms

* [[orientation]]

* [[pseudoform]]

#### 2.9 Interior Products and Vector Analysis

#### 2.10 Dictionary

### 3 Integration of Differential Forms

* [[integration]]

* [[integration of differential forms]]

#### 3.1 Integration over a Parameterized Subset

#### 3.2 Integration over Manifolds with Boundary

#### 3.3 Stokes' Theorem

* [[Stokes' theorem]]

#### 3.4 Integration of Pseudoforms

#### 3.5 Maxwell's Equations

* [[Maxwell's equations]]



### 4 The Lie Derivative

* [[Lie derivative]]

#### 4.1 The Lie Derivative of a Vector Field

#### 4.2 The Lie Derivative of a Form

#### 4.3 Differentiation of Integrals

#### 4.4 A Problem Set on Hamiltonian Mechanics

* [[Hamiltonian mechanics]]

### 5 The Poincaré Lemma and Potentials

* [[electromagnetic potential]]

### 6 Holonomic and Nonholonomic Constraints

## II Geometry and Topology

### 7 $\mathbb{R}^3$ and Minkowski Space

#### 7.1 Curvature and Special Relativity

* [[curvature]]

* [[special relativity]]

#### 7.2 Electromagnetism in Minkowski Space

* [[electromagnetism]]

### 8 The Geometry of Surfaces in $\mathbb{R}^3$

#### 8.1 The First and Second Fundamental Form

#### 8.2 Gaussian and Mean Curvature

#### 8.3 The Brouwer Degree of a Map: A Problem Set

#### 8.4 Area, Mean Curvature, and Soap Bubbles

* [[area]]

* [[mean curvature]]

#### 8.5 Gauss' _Theorema Egregium_

* [[theorema egregium]]

#### 8.6 Geodesics

* [[geodesic]]

#### 8.7 The Parallel Displacement of Levi-Civita

* [[parallel transport]]

* [[Levi-Civita connection]]


### 9 Covariant Differentiation and Curvature

#### 9.1 Covariant Differentiation

* [[covariant derivative]]

#### 9.2 The Riemannian Connection

* [[Levi-Civita connection]]

#### 9.3 Cartan's Exterior Covariant Differential

#### 9.4 Change of Basis anf Gauge Transformations

* [[basis]]

* [[gauge transformation]]

#### 9.5 The Curvature Forms in a Riemannian Manifold

#### 9.6 Parallel Displacement and Curvature on a Surface

#### 9.7 Riemann's Theorem and Horizontal Distribution



### 10 Geodesics

#### 10.1 Geodesics and Jacobian Fields

* [[geodesic]]

#### 10.2 Variational Principles in Mechanics

* [[variational calculus]]

* [[Euler-Lagrange equations]]

#### 10.3 Geodesics, Spiders, and the Universe

* [[observable universe]]


### 11 Relativity, Tensors, and Curvature

#### 11.1 Heuristic's of Einstein's Theory

* [[general covariance]]

#### 11.2 Tensor analysis

#### 11.3 Hilbert's Action Principle

* [[Einstein-Hilbert action]]

#### 11.4 The Second Fundamental Form in the Riemannian Case

#### 11.5 The Geometry of Einstein's Equations

* [[Einstein's equations]]

### 12 Curvature and Topology: Synge's Theorem

### 13 Betti Numbers and De Rham's Theorem

#### 13.1 Singular Chains and Their Boundaries

* [[singular chain complex]]

#### 13.2 The Singular Homology Groups

* [[singular homology]]

#### 13.3 Homology Groups of Familiar Manifolds

* [[Betti number]]

#### 13.4 De Rham's Theorem

* [[de Rham theorem]]

### 14 Harmonic Forms

#### 14.1 The Hodge Operators

* [[Hodge star operator]]

#### 14.2 Harmonic Forms

* [[harmonic differential form]]

#### 14.3 Boundary Values, Relative Homology, and Morse Theory

* [[relative homology]]

* [[Morse theory]]

## II Lie Groups, Bundles and Chern Forms


### 15 Lie Groups

#### 15.1 Lie Groups, Invariant Vector Fields and Forms

* [[Lie group]]

* [[Maurer-Cartan form]]

#### 15.2 One Parameter Subgroups

#### 15.3 The Lie Algebra of a Lie Group

* [[Lie algebra]]

* [[Lie theory]]

#### 15.4 Subgroups and Subalgebras

* [[subgroup]]

### 16 Vector Bundles in Geometry and Physics

#### 16.1 Vector Bundles

* [[vector bundle]]


#### 16.2 Poincaré's Theorem and the Euler Characteristic

* [[Euler characteristic]]


#### 16.3 Connections in a Vector Bundle

* [[connection on a vector bundle]]

#### 16.4 The Electromagnetic Connection

* [[line bundle with connection]]

### Fiber Bundles, Gauss-Bonnet, and Topological Quantization

#### 17.1 Fiber Bundles and Principal Bundles

* [[fiber bundle]]

* [[principal bundle]]

#### 17.2 Coset Spaces

* [[coset]]

#### 17.3 Chern's Proof of the Gauss-Bonnet-Poincaré Theorem

* [[Gauss-Bonnet theorem]]

#### 17.4 Line Bundles, Topological Quantization, and Berry Phase

* [[line bundle]]

* [[Berry phase]]

### 18 Connections and Associated Bundles

#### 18.1 Forms with Values in a Lie Algebra

* [[Lie algebra valued 1-form]]

#### 18.2 Associated Bundles and Connections

* [[associated bundle]]

* [[connection on a bundle]]

#### 18.3 $r$-Form Sections of a Vector Bundle: Curvature

* [[section]]

* [[curvature]]

### 19 The Dirac Equation

#### 19.1 The Groups $SO(3)$ and $SU(2)$

* [[special orthogonal group]]

* [[special unitary group]]

#### 19.2 Hamilton, Clifford, and Dirac

* [[Clifford algebra]]

* [[spinor]]

#### 19.3 The Dirac Algebra

* [[Lorentz group]]

#### 19.4 The Dirac Operator in Minkowski Space

* [[Dirac operator]]

#### 19.5 The Dirac Operator in Curved Space-Time

 

### 20 Yang-Mills Fields


#### 20.1 Noether's Theorem for Internal Symmetries

* [[Noether's theorem]]

#### 20.2 Weyl's Gauge Invariance Revisited

* [[gauge invariance]]

#### 20.3 The Yang-Mills Nucleon

* [[nucleon]]

#### 20.4 Compact Groups and Yang-Mills Action

* [[compact Lie group]]

* [[Yang-Mills theory]]

#### 20.5 The Yang-Mills Equation

* [[Yang-Mills equation]]

#### 20.6 The Yang-Mills Instanton

* [[Yang-Mills instanton]]

### 21 Betti Numbers and Covering Spaces

#### 21.1 Bi-invariant Forms on Compact Groups

#### 21.2 The Fundamental Group and Covering Spaces

* [[fundamental group]]

* [[covering space]]

* [[universal covering space]]

#### 21.3 The Theorem of S.B. Myers: A Problem Set

#### 21.4 The Geometry of a Lie Group

* [[Lie group]]

### 22 Chern Forms and Homotopy Groups

#### 22.1 Chern-Forms and Winding Numbers

* [[invariant polynomial]]

* [[Chern form]]

#### 22.2 Homotopies and Extensions

* [[homotopy]]

* [[extension]]

#### 22.3 The Higher Homotopy Groups $\pi_k(M)$

* [[homotopy group]]

#### 22.4 Some Computations of Homotopy Groups

#### 22.5 Chern Forms as Obstructions

* [[obstruction]]



### Appendix A. Forms in Continuum Mechanics

### Appendix B. Harmonic Chains and Kirchhoff's Circuit Law

### Appendix C. Symmetries, Quarks, and Meson Masses

### Appendix D. Representations and Hyperelastic Bodies

### Appendix E. Orbits and Morse-Bott Theory in Compact Lie Groups

category: reference