
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### Differential geoemtry
+--{: .hide}
[[!include differential geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

In the context of [[electromagnetism]], _Maxwell's equations_ are the [[equations of motion]] for the electromagnetic [[field strength]] [[electric current]] and [[magnetic current]].

## Three dimensional formulation 

$E$ is here the (vector of) strength of electric field and $B$ 
the strength of magnetic field; $Q$ is the charge and $j_{el}$ the density of the electrical current; $\epsilon_0$, $c$, $\mu_0$ are constants (electrical permeability, speed of the light, and magnetic permeability; all of/in vacuum: $\mu_0 \epsilon_0  = 1/c^2$).  

### Integral formulation in vacuum, in SI units

__Gauss' law for electric fields__
$$
\int_{\partial V} E\cdot d A =  \frac{Q}{\epsilon_0}
$$
where $\partial V$ is a closed surface which is a boundary of a 3d domain $V$ (physicists say "volume") and $Q = \int_V \rho d V$ the charge in the domain $V$; $\cdot$ denotes the scalar (dot) product. Surface element $d A$ is $\vec{n} d |A|$, i.e. it is the scalar surface measure times the unit vector of normal outwards. 

__No magnetic monopoles__ (Gauss' law for magnetic fields)
$$
\int_\Sigma B\cdot d A =  0
$$
where $\Sigma$ is any closed surface.

__Faraday's law of induction__
$$
\oint_{\partial \Sigma} E\cdot d s = - \frac{d}{d t} \int_\Sigma B\cdot d A
$$

The line element $d s$ is the differential (or 1-d measure on the boundary) of the length times the unit vector in counter-circle direction (or parametrize the curve with $s$ being a vector in 3d space, express magnetic field in the same parameter and calculate the
integral as a function of parameter: $\cdot$ is a scalar ("dot") product).

__Amp&egrave;re-Maxwell law__ (or generalized Amp&egrave;re's law; Maxwell added the second term involving derivative of the flux of electric field
to the Amp&egrave;re's law which described the magnetic field due electric current).
$$
\oint_{\partial \Sigma} B\cdot d s = \mu_0 I + \mu_0 \epsilon_0 \frac{d}{d t} \int_\Sigma E\cdot d A
$$
where $\Sigma$ is a surface and $\partial \Sigma$ its boundary; $I$ is the total current through $\Sigma$ (integral of the component of $j_{el}$ normal to the surface). 


### Differential equations

Here we put units with $c = 1$. By $\rho$ we denote the density of the charge.

* **no magnetic charges** (magnetic Gauss law): $div B = 0$

* **Faraday's law**: $\frac{d}{d t} B + rot E = 0$

* **Gauss' law**: $div D = \rho$ 

* **generalized Amp&egrave;re's law** $- \frac{d}{d t} D + rot H = j_{el}$


## Equations in terms of Faraday tensor $F$

This is adapted from _[electromagnetic field -- Maxwell's equations](http://ncatlab.org/nlab/show/electromagnetic+field#MaxwellEquations)_.

In modern language, the insight of ([Maxwell, 1865](#Maxwell)) is that locally, when physical [[spacetime]] is well approximated by a patch of its tangent space, i.e. by a patch of 4-dimensional [[Minkowski space]] $U \subset (\mathbb{R}^4, g = diag(-1,1,1,1))$, the electric field $\vec E = \left[ \array{E_1 \\ E_2 \\ E_3} \right]$ and magnetic field $\vec B = \left[ \array{B_1 \\ B_2 \\ B_3} \right]$ combine into a differential [[differential form|2-form]]

$$
  \begin{aligned}
    F & := E \wedge d t + B
      \\
      &:= 
        E_1 d x^1 \wedge d t + 
        E_2 d x^2 \wedge d t + 
        E_3 d x^3 \wedge d t  
     \\
      & +
        B_1 d x^2 \wedge d x^3 +
        B_2 d x^3 \wedge d x^1 +
        B_3 d x^1 \wedge d x^2
  \end{aligned}
$$

in $\Omega^2(U)$ and the [[electric charge]] density and current density combine to a differential 3-form

$$
\begin{aligned}
    j_{el} &:= j\wedge dt - \rho d x^1 \wedge d x^2 \wedge d x^3 \\
& :=    j_1 d x^2 \wedge d x^3 \wedge d t +
        j_2 d x^3 \wedge d x^1 \wedge d t +
        j_3 d x^1 \wedge d x^2 \wedge d t
        -
        \rho \; d x^1 \wedge d x^2 \wedge d x^3
\end{aligned}
$$
 
in $\Omega^3(U)$ such that the following two equations of differential forms are satisfied

$$
  \begin{aligned}
    d F = 0
    \\
    d \star F  = j_{el}
  \end{aligned}
  \,,
$$

where $d$ is the de Rham differential operator and $\star$ the [[Hodge star]] operator. If we decompose $\star F$ into its components as before as 

$$
\begin{aligned}
\star F 
&= -D + H\wedge dt \\
&= -D_1 \; d x^2 \wedge d x^3 
   -D_2 \; d x^3 \wedge d x^1
   -D_3 \; d x^1 \wedge d x^2
     \\
     & +
     H_1 \; d x^1 \wedge d t
     +
     H_2 \; d x^2 \wedge d t
     +
     H_3 \; d x^3 \wedge d t
  \end{aligned}
$$

then in terms of these components the field equations -- called **Maxwell's equations** -- read as follows.

$d F = 0$ gives the magnetic Gauss law and Faraday's law

$d \star F = 0$ gives Gauss's law and Amp&egrave;re-Maxwell law

## Related concepts

* [[Hodge-Maxwell theorem]]

* [[Kirchhoff's laws]]

* [[Yang-Mills equations]]

## References

[[Maxwell's equations]] originate in

* [[James Clerk Maxwell]], _[A Dynamical Theory of the Electromagnetic Field](http://en.wikipedia.org/wiki/A_Dynamical_Theory_of_the_Electromagnetic_Field),_ Philosophical Transactions of the Royal Society of London 155, 459--512 (1865).
 {#Maxwell}

Discussion in terms of [[differential forms]] is for instance in 

* [[Theodore Frankel]], _Maxwell's equations_, The American Mathematical Monthly, Vol 81, No 4 (1974) ([pdf](http://ocw.nctu.edu.tw/course/vanalysis/maxwell_amm.pdf), [JSTOR](http://links.jstor.org/sici?sici=0002-9890%28197404%2981%3A4%3C343%3AME%3E2.0.CO%3B2-D))
* section 3.5 in [[Theodore Frankel]], _[[The Geometry of Physics - An Introduction]]_
* Gregory L. Naber, _Topology, geometry and gauge fields_, Appl. Math. Sciences vol. __141__, Springer 2000

[[!redirects Maxwell equation]]
[[!redirects Maxwell's equation]]

[[!redirects Maxwell equations]]
[[!redirects Maxwell's equations]]


