
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Group Theory
+-- {: .hide}
[[!include group theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Definition

For $G$ a [[group]] and $g \in G$ an element, the _conjugacy class_ of $g$ is 
the [[orbit]] of $g$ under the [[adjoint action]] of $G$ on itself, hence
the subset $\{ h g h^{-1} | h \in G \} \subset G$ of all elements in $G$ obtained from $g$ by [[conjugation]] with another group element.

## Examples

* The conjugacy class of the neutral element consists of precisely the neutral element itself.
* In an abelian group, conjugacy classes are singletons, one for each element of the group.

## Properties

### For discrete groups

For any [[finite group]] the number of its conjugacy classes is equal to the number of its [[irreducible representations]]. For finite [[groups of Lie type]] this result can be strengthened to show that, in heuristic terms, there is a canonical way to match conjugacy classes of a group $G$ to the irreducible representations of its dual group $G^{\ast}$. The dual group is defined in terms of the [[root datum]] of $G$ in Deligne-Lusztig theory.

Taking [[symmetric groups]] as [[general linear groups]] over the [[field with one element]], we see they are self-dual, and so there is a correspondence between their conjugacy classes and their irreducible representations. This correspondence is encoded by [[Young diagrams]].

### For Lie groups

For $G$ a connected [[compact Lie group]], then its conjugacy classes are in bijection with the [[quotient]] $T/W(G,T)$ of its [[maximal torus]] by the action of the [[Weyl group]]. See at _[maximal torus -- Properties](maximal+torus#Properties)_.

The conjugacy classes of a [[Lie group]] with binary invariant pairing are the leaves of a [[Dirac structure]] on the Lie group, the _[[Cartan-Dirac structure]]_.

Regarding the Lie group as the [[target space]] of the [[WZW model]], the conjugacy classes correspond to the [[D-branes]] of the model.

## Related concepts

* [[coset space]]

* [[character]]

[[!redirects conjugacy classes]]