
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Symplectic geometry
+--{: .hide}
[[!include symplectic geometry - contents]]
=--
#### Group Theory
+-- {: .hide}
[[!include group theory - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Definition

### Double cover $Mp$ of $Sp$
 {#DoubleCover}


For $(V,\omega)$ a [[symplectic vector space]], the _metaplectic group_ $Mp(V,\omega)$ is the [[Lie group]] which is [[generalized the|the]] [[universal cover|universal]] [[double cover]] of the [[symplectic group]] $Sp(V,\omega)$.

This has various more explicit presentations. One is by [[quadratic Hamiltonians]]: The metaplectic group is that subgroup of the [[quantomorphism group]] of the [[symplectic manifold]] $(V,\omega)$ whose elements are given by [[paths]] of [[Hamiltonians]] that are [[homogeneously quadratic Hamiltonians]] (due to [Leray 81, section 1.1](#Leray81), see also [Robbin-Salamon 93, sections 9-10](#RobbinSalamon93)). (The more general subgroup given by possibly inhomogeneous [[quadratic Hamiltonians]] this way is the [[extended affine symplectic group]]. The subgroup given by linear Hamiltonians is the [[Heisenberg group]] $Heis(V,\omega)$.)

### Circle extension $Mp^c$ of $Sp$
  {#CircleExtension}

There is also a nontrivial  [[circle group]]-[[group extension|extension]] of the [[symplectic group]], called $Mp^c$. This is the circle extension [[associated bundle|associated]] to the plain metaplectic group $Mp$ [above](#DoubleCover), via the canonical [[action]] of $\mathbb{Z}_2$ on $U(1)$ (by [[complex conjugation]]): ([Forger-Hess 79 (2.4)](#ForgerHess79))

$$
  \begin{aligned}
    Mp^c(V,\omega) 
     & \coloneqq
    Mp(V,\omega) \times_{\mathbb{Z}_2} U(1)
    \coloneqq 
    ( Mp(V,\omega) \times U(1) )/\mathbb{Z}_2
  \end{aligned}
$$

where the last line denotes the [[quotient group]] by the [[diagonal action]] of $\mathbb{Z}_2$.

(This is in direct [[analogy]] to the group [[Spin^c]] and its relation to [[Spin]].)

Again, this has various more explicit presentations. 

The _[[Segal-Shale-Weil representation]]_ is the following. By the [[Stone-von Neumann theorem]] there is an essentially unique [[irreducible representation|irreducible]] [[unitary representation]] $W$ of the [[Heisenberg group]] $Heis(V,\omega)$. This being essentially unique implies that for each element $g\in Sp(V,\omega)$ of the [[symplectic group]], there is a unique [[unitary operator]] $U_g$ such that for all $v\in V$

$$
  W(g(v)) = U_g W(v) U^{-1}_g
  \,.
$$

The group $Mp^c$ is the [[subgroup]] of the [[unitary group]] of all such $U_g$ for $g\in Sp(V,\omega)$. The map $U_g \mapsto g$ exhibits this as a [[group extension]] by the [[circle group]]

$$
  U(1)\longrightarrow Mp^c(V,\omega) \longrightarrow Sp(V,\omega)
  \,.
$$

e.g. ([Robinson-Rawnsley 89, p. 19](#RobinsonRawnsley89), [Dereziński-Gérard 13, def. 10.24](#DerezinskiGérard13))

Alternatively, there is again a characterization by [[quadratic Hamiltonians]] ([Robinson-Rawnsley 89, theorem (2.4)](#RobinsonRawnsley89)

### Circle extension $MU^c$ of $U$
 {#CirclExtensionMUc}

A [[symplectic vector space]] $(V,\omega)$ has a compatible [[complex structure]] $J$. Write 

$$
  U(V,J) \hookrightarrow Sp(V,\omega)
$$ 

for the corresponding [[unitary group]]. 

+-- {: .num_prop #MUc}
###### Definition

The restriction ([[pullback]]) of $Mp^c$ [above](#CircleExtension) to this subgroup is denoted $MU^c$ in ([Robinson-Rawnsley 89, p. 22](#RobinsonRawnsley89)) 

$$
  \array{
      U(1) &=& U(1)
      \\
      \downarrow && \downarrow
      \\
      MU^c(V,J) &\hookrightarrow& Mp^c(V,\omega)
      \\
      \downarrow && \downarrow
      \\
     U(V,J) &\hookrightarrow& Sp(V,\omega)
  }
$$


=--

(beware the notational clash with the [[Thom spectrum]] [[MU]], which is unrelated).


## Properties

### Relation to the metalinear group

Inside the [[symplectic group]] $Sp(2n, \mathbb{R})$ in dimension $2n$ sits the [[general linear group]] in dimension $n$

$$
  Gl(n,\mathbb{R}) \hookrightarrow Sp(2n,\mathbb{R})
$$


as the subgroup that preserves the standard [[Lagrangian submanifold]] $\mathbb{R}^n \hookrightarrow \mathbb{R}^{2n}$. Restriction of the metaplectic [[group extension]] along this inclusion defines the [[metalinear group]] $Ml(n)$

$$
  \array{
    Ml(n, \mathbb{R}) &\hookrightarrow& Mp(2n, \mathbb{R})
    \\
    \downarrow && \downarrow
    \\
    Gl(n, \mathbb{R}) &\hookrightarrow& Sp(2n, \mathbb{R})
  }
  \,.
$$

Hence a [[metaplectic structure]] on a [[symplectic manifold]] induces a [[metalinear structure]] on its [[Lagrangian submanifolds]].

### (Non-)Triviality of extensions
 {#NonTrivialityOfExtensions}

+-- {: .num_prop}
###### Proposition

The extension

$$
  U(1)\to Mp^c(V,\omega) \to Sp(V,\omega)
$$

is nontrivial (does not give a [[split exact sequence]]).

=--

([Robinson-Rawnsley 89, theorem (2.8)](#RobinsonRawnsley89))

+-- {: .num_prop #MUcExtensionSplits}
###### Proposition

The extension

$$
  U(1)\to MU^c(V,J) \to U(V,J)
$$

is trivial (does give a [[split exact sequence]]).

=--

([Robinson-Rawnsley 89, theorem (2.9)](#RobinsonRawnsley89))

+-- {: .num_cor #SpStructureLiftsToMpcStructure}
###### Corollary

Every [[symplectic manifold]] admits a [[metaplectic structure]].

=--

([Robinson-Rawnsley 89, theorem (6.2)](#RobinsonRawnsley89))

+-- {: .proof}
###### Proof

Since the [[unitary group]] $U(V,J)$ is the [[maximal compact subgroup]] of the [[symplectic group]] (see [here](maximal+compact+subgroup#ExamplesForLieGroups)) every $Sp(V,\omega)$-[[principal bundle]] has a [[reduction of the structure group|reduction]] to a $U(V,J)$-principal bundle. By prop. \ref{MUcExtensionSplits} this reduction in turn lifts to a $MU^c(V,J)$-structure. By def. \ref{MUc} this induces an $Mp^c$-structure under inclusion along $MU^c \hookrightarrow Mp^c$. 

=--




## Related concepts

* [[metaplectic structure]]

* [[metaplectic correction (in geometric quantization)]]

* [[metaplectic representation]]

## References

Original references include

* [[Andre Weil]], _Sur certains groupes d’opérateurs unitaires_, Acta Math. 111: 143–211. (1964).

* {#KashiwaraVergne78} M. Kashiwara; [[Michèle Vergne]], _On the Segal-Shale-Weil Representations and Harmonic Polynomials_, Inventiones mathematicae (1978) ([EuDML](https://eudml.org/doc/142517), [pdf](http://gdz-lucene.tc.sub.uni-goettingen.de/gcs/gcs?&&action=pdf&metsFile=PPN356556735_0044&divID=LOG_0008&pagesize=original&pdfTitlePage=http://gdz.sub.uni-goettingen.de/dms/load/pdftitle/?metsFile=PPN356556735_0044%7C&targetFileName=PPN356556735_0044_LOG_0008.pdf&))

* {#ForgerHess79} [[Michael Forger]], Harald Hess, _Universal metaplectic structures and geometric quantization_, Comm. Math. Phys. Volume 64, Number 3 (1979), 269-278. ([EUCLID](https://projecteuclid.org/euclid.cmp/1103904723))

* {#Leray81} [[Jean Leray]], _Lagrangian analysis and quantum mechanics_, MIT press 1981 [pdf](http://www.maths.ed.ac.uk/~aar/papers/leraybook.pdf)


Further discussion includes

* {#RobinsonRawnsley89} P. L. Robinson, [[John Rawnsley]], _The metaplectic representation, $Mp^c$-structures and geometric quantization_, 1989

* {#RobbinSalamon93} [[Joel Robbin]],  [[Dietmar Salamon]], _Feynman path integrals on phase space and the metaplectic representation_  Math. Z. __221__ (1996), no. 2, 307–335, ([MR98f:58051](http://www.ams.org/mathscinet-getitem?mr=98f:58051), [doi](http://dx.doi.org/10.1007/BF02622118), [[RobbinSalamonMetaplectic.pdf:file]]), also  in [[Dietmar Salamon]] (ed.), _Symplectic Geometry_, LMS Lecture Note series 192 (1993) 


* [[John Rawnsley]], _On the universal covering group of the real symplectic group_, Journal of Geometry and Physics 62 (2012) 2044–2058 ([pdf](http://www.maths.ed.ac.uk/~aar/papers/rawnsley.pdf))

* {#CahenGutt13} [[Michel Cahen]], [[Simone Gutt]], _$Spin^c$, $Mp^c$ and Symplectic Dirac Operators_, Geometric Methods in Physics Trends in Mathematics 2013, pp 13-28 ([pdf](http://homepages.ulb.ac.be/~sgutt/spinbiel.pdf))

* {#DerezinskiGérard13} Jan Dereziński, Christian Gérard, _Mathematics of Quantization and Quantum Fields_, Cambridge University Press, 2013

[[!redirects metaplectic groups]]

[[!redirects Mp]]
[[!redirects Mp^c]]