
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Differential geometry
+--{: .hide}
[[!include synthetic differential geometry - contents]]
=--
#### Complex geometry
+--{: .hide}
[[!include complex geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Definition

An _almost Hermitian structure_ a [[reduction of the structure group]] along the inclusion $U(n) \hookrightarrow GL(n,\mathbb{C})$ of the [[unitary group]] into the [[complex numbers|complex]] [[general linear group]].

Under further embedding $U(n) \hookrightarrow GL(n,\mathbb{C}) \hookrightarrow GL(2n,\mathbb{R})$ an almost hermitian structure on the [[frame bundle]] of a [[smooth manifold]], hence a [[G-structure]] for $G = U(n)$, is first of all the choice of an [[almost complex structure]] and then an [[almost Hermitian manifold]] structure.

An [[integrability of G-structure|first-order intgrable]] $U(n)$-structure (almost Hermitian manifold) structure is _[[Kähler manifold]]_ structure.

By the fact (see at _[unitary group -- relation to orthogonal, symplectic and general linear group](unitary+group#RelationToOrthogonalSymplecticAndGeneralLinearGroup)_) that $U(n) \simeq O(2n) \underset{GL(2n,\mathbb{R})}{\times} Sp(2n,\mathbb{R}) \underset{GL(2n,\mathbb{R})}{\times} GL(n,\mathbb{C})$ this means that an almost Hermitian structure is precisely a joint [[orthogonal structure]], [[almost symplectic structure]] and [[almost complex manifold]].


## Properties

### Relation to almost complex structure

Since the inclusion $U(n) \hookrightarrow GL(2n,\mathbb{R})$ factors through the [[symplectic group]] via the [[maximal compact subgroup]] inclusion

$$
  U(n) \hookrightarrow Sp(2n,\mathbb{R}) \hookrightarrow GL(2n,\mathbb{R})
$$

an almost Hermitian manifold structure is in particular an [[almost complex structure]]. Conversely, since the [[maximal compact subgroup]] inclusion is a [[homotopy equivalence]], there is no [[obstruction]] to lifting an almost complex structure to an almost Hermitian structure.

### Relation to Kähler manifolds

An [[integrable G-structure|first-order integrable]] almost Hermitian structure is a _[[Kähler manifold]] structure_.

## Related concepts

* [[Kähler manifold]]

* [[Hermitean Yang-Mills connection]]

[[!redirects almost Hermitian structures]]

[[!redirects Hermitean structure]]
[[!redirects Hermitean structures]]

[[!redirects almost Hermitean structure]]
[[!redirects almost Hermitean structures]]