
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
=--
=--

# Philosophy
* table of contents
{: toc}

## Scope

In the philosophical part of $n$Lab we discuss higher category theory and its repercussions in philosophy. More widely, the future entries on philosophy in nLab should also contain [[philosophy of mathematics]] in general, and of [[logic and foundations]] in particular. As it is usual for philosophy and the study of thought, it is usefully carried on via study of historical thinkers and their ideas, hence some idea-related aspects of the [[history of mathematics]] are welcome. 

## Nonscope

There are many articles which are not philosophy, but rather essays on general mathematics, and so on, often opinion pieces on what is important and so on. That is not philosophy _per se_, but it may be relevant thoughts and we could link them rather at related pages, like [[opinions on development of mathematics]].  


## Idea of relevance of higher categories

Philosophical interest in [[n-category|n-categories]] may be characterised as belonging to one of two kinds.

* **[[metaphysics|Metaphysical]]**: The formation of a new language which may prove to be as important for philosophy as predicate logic was for [[Bertrand Russell]] and the [[analytic philosophy|analytic philosophers]] he inspired. 

* **Illustrative of mathematics as intellectual enquiry**: Such a reconstitution of the fundamental language of [[mathematics]] reveals much about mathematics as a tradition of enquiry stretching back several millennia, for instance, the continued willingness to reconsider basic concepts.


## Metaphysics

[[metaphysics]]

* [[higher category theory|Higher category theory]] provides a new foundation for mathematics - [[foundations|logical]] and [[foundations and philosophy|philosophical]].

* [[higher category theory|Higher category theory]] refines the notion of sameness to allow more subtle variants. It advocates the avoidance of [[evil]].

* There ought to be a [[vertical categorification|categorified]] [[internal logic|logic]], or 2-logic. There are some suggestions that existing work on modal logic is relevant. Blog discussion: [I](http://golem.ph.utexas.edu/category/2007/11/concrete_groups_and_axiomatic_1.html), [II](http://golem.ph.utexas.edu/category/2008/02/2galois_and_2logic.html), [III](http://golem.ph.utexas.edu/category/2008/03/worrying_about_2logic.html), [IV](http://golem.ph.utexas.edu/category/2008/11/the_internal_language_of_a_2to.html). Mike Shulman's project: [2-categorical logic](http://ncatlab.org/michaelshulman/show/2-categorical+logic).

* [[Homotopy type theory]] may be thought of as a vertical categorification of logic to $(\infinity,1)$.

* [[higher category theory|Higher category theory]] may provide the right tools to take [[physics]] forward. [A Prehistory of n-Categorical Physics](http://math.ucr.edu/home/baez/history.pdf) See also [[physics]].

* [[higher category theory and physics]], [[geometry of physics]]

* More speculatively, [[category theory]] may prove useful in [[biology]].


## Enquiry

>"Mathematical wisdom, if not forgotten, lives as an invariant of all its (re)presentations in a permanently self–renewing discourse." (Yuri Manin)

To [[vertical categorification|categorify]] mathematical constructions properly, one must have understood their essential features. This leads us to consider what it is to get concepts 'right'. Which kind of 'realism' is suitable for mathematics? Which virtues should a mathematical community possess to further its ends: a knowledge of its history, close attention to instruction and the sharing of knowledge, a willingness to admit to what is currently lacking in its programmes?


## Philosophical sentiments

* [[Platonism]]

* [[idealism]]

  * [[objective idealism]]

  * [[subjective idealism]]

* [[positivism]]

* [[universal exceptionalism]]


## References and links

### Related entries

* [[foundations and logic]], [[logic]], [[reasoning]]
* [[category (philosophy)]], [[modality]]
* [[logos (in philosophy)]], [[Nous]]
* [[history of mathematics]], [[structuralism]], [[opinions on development of mathematics]]
* [[metaphysics]]
* [[hermeticism]], [[mysticism]], [[gnosticism]], [[speculative philosophy]]
* _[[Science of Logic]]_
* [[analytic philosophy]]
* [[philosophy of mathematics]], [[predicative mathematics]]
* [[philosophy of science]], [[philosophy of physics]]

### General

* wikipedia: [philosophy of mathematics](http://en.wikipedia.org/wiki/Philosophy_of_mathematics); wikipedia.ru [Философия математики](http://ru.wikipedia.org/wiki/%D0%A4%D0%B8%D0%BB%D0%BE%D1%81%D0%BE%D1%84%D0%B8%D1%8F_%D0%BC%D0%B0%D1%82%D0%B5%D0%BC%D0%B0%D1%82%D0%B8%D0%BA%D0%B8)
* [Internet Encyclopedia of Philosophy](http://www.iep.utm.edu), "A peer reviewed academic resource"
* Stanford Encyclopaedia of Philosophy [online](http://plato.stanford.edu), [contents](http://plato.stanford.edu/contents.html)
* Stewart Shapiro, _[[The Oxford handbook of philosophy of mathematics and logic]]_, Oxford University Press 2005
* [free-philosophy-ebooks](http://www.openculture.com/free-philosophy-ebooks) at openculture
* [Less Wrong Wiki](http://lesswrong.com) "a community blog devoted to refining the art of human rationality"; including Eliezer Yudkowsky's [Epistemology 101](https://wiki.lesswrong.com/wiki/Highly_Advanced_Epistemology_101_for_Beginners)

### Books

* [[Hegel]], _Wissenschaft der Logik_ ( _[[Science of Logic]]_ )
  * [[unity of opposites]]
    * [[becoming]] $\colon$ [[nothing]] $\dashv$ [[being]]  
* [[Hegel]], _[[Lectures on the History of Philosophy]]_
* [[Ludwig Wittgenstein]], _[[Tractatus Logico-Philosophicus]]_
* [[Bertrand Russell]], _[[A History of Western Philosophy]]_

* [[Albert Lautman]], _Mathematics, ideas and the physical real_, 2011 translation by Simon B. Duffy; English edition of _Les Mathématiques, les idées et le réel physique_, Librairie Philosophique, J. VRIN, 2006

* Michael D. Potter, _Set theory and its philosophy: a critical introduction_, Oxford Univ. Press 2004

* [[Fernando Zalamea]], _Filosofía sintética de las matemáticas contemporáneas_, (Spanish) Obra Selecta. Editorial Universidad Nacional de Colombia, Bogotá, 2009. 231 pp. [MR2599170](http://www.ams.org/mathscinet-getitem?mr=2599170), ISBN: 978-958-719-206-3, [pdf](<http://files.acervopeirceano.webnode.es/200000065-18c1b19bb9/Zalamea-Fil-Sint-Mat-Cont.pdf>). Transl. into English by Zachary Luke Fraser: _Synthetic philosophy of contemporary mathematics_, Sep. 2011. [bookpage](http://www.urbanomic.com/pub_syntheticmath.php). Some excerpts [here](http://ifile.it/2c3qgz5).

* [[David Corfield]], _Towards a philosophy of real mathematics_, Cambridge University Press, 2003, [gBooks](http://books.google.hr/books?id=s37rhfWs73QC&lpg=PP1&ots=Zobx2bIWFh&dq=david%20corfield%20towards%20a%20philosophy%20of%20real%20mathematics&hl=en&pg=PP1#v=onepage&q&f=false)

* [[Saunders MacLane]], _Mathematics, form and function_, Springer-Verlag 1986, xi+476 pp. [MR87g:00041](http://www.ams.org/mathscinet-getitem?mr=816347), [wikipedia](http://en.wikipedia.org/wiki/Mathematics,_Form_and_Function)

* George Lakoff, Rafael E. Núñez, _Where mathematics comes from_, Basic Books 2000, xviii+493 pp. [MR2001i:00013](http://www.ams.org/mathscinet-getitem?mr=1794854)

* [[Yuri Manin|Yuri I. Manin]], _Mathematics as Metaphor:
Selected Essays of Yuri Manin_, Amer. Math. Soc. 2007

* [[Ralf Krömer]], _Tool and object: A history and philosophy of category theory_, Birkhäuser 2007

* [[Jean-Pierre Marquis]], _From a geometrical point of view: a study of the history and philosophy of category theory_, Springer, 2008

* Ian Hacking, _Why is there philosophy of mathematics at all?_, Cambridge University Press 2014

* William Bragg Ewald, _From Kant to Hilbert, From Kant to Hilbert: Readings in the Foundations of Mathematics_, 2 vols. (original readings in English translation)

* [[Roland Omnès]], _[[Converging Realities -- Toward a common philosophy of physics and mathematics]]_, Princeton University Press, 2005

### Articles 

* Glenn G. Parsons, James Robert Brown, _Platonism, metaphor, and mathematics_, Dialogue __43__ (2004), no. 1, 47–66, [MR2004k:00004](http://www.ams.org/mathscinet-getitem?mr=2053877)
* John Baldwin, _Model theoretic perspectives on the philosophy of mathematics_, [pdf](http://homepages.math.uic.edu/~jbaldwin/pub/amstersh.pdf)
* [[Yuri Manin|Yu. I. Manin]], _Mathematical knowledge: internal, social and cultural aspects_, [arXiv:math.HO/0703427](http://arxiv.org/abs/math.HO/0703427); _Georg Cantor and his heritage_, [arxiv/math.AG/0209244](http://arxiv.org/abs/math.AG/0209244); _Truth as value and duty: lessons of mathematics_, [arxiv/0805.4057](http://arxiv.org/abs/0805.4057)
* M. G. Katz, E. Leichtnam, _Commuting and noncommuting infinitesimals_, Amer. Math. Monthly 120 (2013), no. 7, 631-641 [arxiv/1304.0583](http://arxiv.org/abs/1304.0583)
* M. G. Katz, Thomas Mormann, _Infinitesimals as an issue in neo-Kantian philosophy of science_, [arxiv/1304.1027](http://arxiv.org/abs/1304.1027)
* [[Mikhail Gromov]], _Ergostructures, Ergologic and the Universal Learning Problem: Chapters 1, 2, 3._ (2013) [pdf](http://www.ihes.fr/~gromov/PDF/ergologic3.1.pdf); _Structures, Learning and Ergosystems: Chapters 1-4, 6_ (2011) [pdf](http://www.ihes.fr/~gromov/PDF/ergobrain.pdf)
* [[William Lawvere]], _[[Cohesive Toposes and Cantor's "lauter Einsen"]]_
* Jeremy Avigad, _Mathematics and language_, [arxiv/1505.07238](http://arxiv.org/abs/1505.07238)

Some philosophical aspects of the role of category theory are touched upon in some parts of the introductory paper

* [[Jean-Pierre Marquis]], _What is category theory?_, pdf can be found at [academia.edu](https://www.academia.edu/16339607/What_is_category_theory)

### Blog and forum discussions, conferences

* $n$Café on Mathematical reality: [I](http://golem.ph.utexas.edu/category/2008/10/mathematical_reality.html), [II](http://golem.ph.utexas.edu/category/2008/11/mathematical_robustness.html)
* [[GavinWraith|Gavin]] wrote about "The dangers of category theory", see $n$Forum [here](http://www.math.ntnu.no/~stacey/Mathforge/nForum/comments.php?DiscussionID=2472&Focus=21255#Comment_21255)
* [Simplicity](http://s-i-m-p-l-i-c-i-t-y.org/index.html] conference: Ideals of Practice in Mathematics & the Arts; videos online at youtube [channel](http://s-i-m-p-l-i-c-i-t-y.org/videos.html)

category: philosophy

[[!redirects philosophy]]
[[!redirects Philosophy]]