
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Symplectic geometry
+--{: .hide}
[[!include symplectic geometry - contents]]
=--
#### Representation theory
+-- {: .hide}
[[!include representation theory - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

A [[representation]] of the [[metaplectic group]].

The [Segal-Shale-Weil metaplectic representation](#SegalShaleWeilRepresentation) is also called the _[[symplectic spinor]]_ representation.

## Segal-Shale-Weil representations
 {#SegalShaleWeilRepresentation}

The _Segal-Shale-Weil representation_ is the following. By the [[Stone-von Neumann theorem]] there is an essentially unique [[irreducible representation|irreducible]] [[unitary representation]] $W$ of the [[Heisenberg group]] $Heis(V,\omega)$ of a given [[symplectic vector space]].  This being essentially unique implies that for each element $g\in Sp(V,\omega)$ of the [[symplectic group]], there is a unique [[unitary operator]] $U_g$ such that for all $v\in V$

$$
  W(g(v)) = U_g W(v) U^{-1}_g
  \,.
$$

The group $Mp^c$ is the [[subgroup]] of the [[unitary group]] of all such $U_g$ for $g\in Sp(V,\omega)$. The map $U_g \mapsto g$ exhibits this as a [[group extension]] by the [[circle group]]

$$
  U(1)\longrightarrow Mp^c(V,\omega) \longrightarrow Sp(V,\omega)
  \,.
$$



## Related concepts

* [[spin representation]]

## References

* {#KashiwaraVergne78} M. Kashiwara; [[Michèle Vergne]], _On the Segal-Shale-Weil Representations and Harmonic Polynomials_, Inventiones mathematicae (1978) ([EuDML](https://eudml.org/doc/142517), [pdf](http://gdz-lucene.tc.sub.uni-goettingen.de/gcs/gcs?&&action=pdf&metsFile=PPN356556735_0044&divID=LOG_0008&pagesize=original&pdfTitlePage=http://gdz.sub.uni-goettingen.de/dms/load/pdftitle/?metsFile=PPN356556735_0044%7C&targetFileName=PPN356556735_0044_LOG_0008.pdf&))


* Gérard Lion, [[Michèle Vergne]], _The Weil representation, Maslov index and theta series_, Progress in Math. __6__, Birkhäuser 1980. vi+337 pp. 

* [[Joel Robbin]], [[Dietmar Salamon]], _Feynman path integrals and the metaplectic representation_, Math. Z. __221__ (1996), no. 2, 307–-335, ([MR98f:58051](http://www.ams.org/mathscinet-getitem?mr=98f:58051), [doi](http://dx.doi.org/10.1007/BF02622118), [[RobbinSalamonMetaplectic.pdf:file]])


* Maurice de Gosson, _Maslov classes, metaplectic representation and Lagrangian quantization_, Math. Research 95, Akademie-Verlag, Berlin, 1997. 186 pp.
*  José M. Gracia-Bondía, _On the metaplectic representation in quantum field theory_,  Classical and quantum systems (Goslar, 1991), 611–614, World Sci. 1993
* R. Ranga Rao, _The Maslov index on the simply connected covering group and the metaplectic representation_, J. Funct. Anal. __107__ (1992), no. 1, 211–233, [MR93g:22013](http://www.ams.org/mathscinet-getitem?mr=1165870), <a href="http://dx.doi.org/10.1016/0022-1236(92)90104-Q">doi</a>
* G. Burdet, M. Perrin, _Weyl quantization and metaplectic representation_, 
Lett. Math. Phys. 2 (1977/78), no. 2, 93–99, [MR473105](http://www.ams.org/mathscinet-getitem?mr=473105), [doi](http://dx.doi.org/10.1007/BF00398573)
* Y. Flicker, [[D. Kazhdan]], G. Savin, _Explicit realization of a metaplectic representation_, J. Analyse Math. __55__ (1990), 17–39, [MR92c:22036](http://www.ams.org/mathscinet-getitem?mr=1094709), [doi](http://dx.doi.org/10.1007/BF02789195)

* Gerald B. Folland, _Harmonic analysis in phase space_, Princeton Univ. Press 1989; ch. 4: Metaplectic representation

[[!redirects metaplectic representations]]

[[!redirects Segal-Shale-Weil representation]]
