
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Monoidal categories
+--{: .hide}
[[!include monoidal categories - contents]]
=--
#### Category theory
+--{: .hide}
[[!include category theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A **permutative category** is a [[symmetric monoidal category]] (possibly taken to be [[internal category|internal to]] [[Top]]) in which [[associativity]] (including [[unitality]]) holds strictly.  Also known as a **symmetric strict monoidal category**.

## Definition

([May, def. 1](#May)) ([Elmendorf-Mandell, def. 3.1](#ElmendorfMandell)).

## Properties

Every [[symmetric monoidal category]] is [[equivalence of categories|equivalent]] to a permutative one ([Isbell](#Isbell)). 

The [[nerve]] of a permutative category is an [[E-infinity space]], and therefore can be infinitely delooped to obtain an [[infinite loop space]] as its [[group completion]].

## Related concepts

* [[K-theory of a permutative category]]

* [[bipermutative category]]

## References

An original account is in

* [[John Isbell]], _On coherent algebras and strict algebras_, J. Algebra 13 (1969)

Discussion in relation to [[symmetric spectra]] is in

* {#Schwede12} [[Stefan Schwede]], chapter I, section 7.5 of _[[Symmetric spectra]]_ (2012)


Discussion in the context of [[K-theory of a permutative category]] is in

* {#May}
 [[Peter May]], _The spectra associated to permutative categories_, Topology 17 (1978) ([pdf](http://www.math.uchicago.edu/~may/PAPERS/23.pdf))
 
* [[Peter May]], _$E_\infty$ Ring Spaces and $E_\infty$ Ring spectra_, Springer lectures notes in mathematics, Vol. 533, (1977) ([pdf](http://www.math.uchicago.edu/~may/BOOKS/e_infty.pdf)) chaper VI

* {#ElmendorfMandell} [[Anthony Elmendorf]], [[Michael Mandell]], _Rings, modules and algebras in infinite loop space theory_, K-Theory 0680 ([web](http://www.math.uiuc.edu/K-theory/0680/), [pdf](http://www.math.uiuc.edu/K-theory/0680/RMAsubmit.pdf))
 


[[!redirects permutative categories]]
[[!redirects symmetric strict monoidal category]]
[[!redirects symmetric strict monoidal categories]]
