
#Contents#
* table of contents
{:toc}

## Idea

A _multiple zeta value_ (MZV) is like the value of a [[zeta function]] in more than one [[variable]].

Where [[zeta functions]] appear in [[physics]] as expressions for [[vacuum amplitudes]], so multiple zeta functions appear in expressions for more general [[scattering amplitudes]]. The intricate combinatorics of these becomes often more tractable when re-expressing them as _[[motivic multiple zeta values]]_.

## Definition

The standard multiple zeta values are the values of the _multiple zeta function_ $\zeta$ of $k$ [[variables]] $s_k$ defined by

$$
  \zeta(s_1, \cdots , s_k)
  =
  \underset{n_1 \gt n_2 \gt \cdots \gt n_k\gt 0}{\sum}
  n_1^{-s_1} \cdots h_n^{-s_k}
  \,.
$$

For $k = 1$, hence for a single argument, this reduces to the [[Riemann zeta function]]

## Related concepts

* [[zeta function]]

* [[motivic multiple zeta values]]

* [[polylogarithm]]

## References

* Leila Schneps, _Survey of the theory of multiple zeta values_ (2011) ([pdf](http://www.maths.bris.ac.uk/events/meetings/uploads/4159LeilaSchnepsII.pdf))


[[!redirects multiple zeta function]]
[[!redirects multiple zeta functions]]
