
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Motivic cohomology
+--{: .hide}
[[!include motivic cohomology - contents]]
=--
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

Where a [[zeta function]] and [[multiple zeta function]] may be assigned to a suitable [[variety]], so a _motivic multiple zeta function_ is attached to the corresponding [[motive]], like a [[motivic L-function]] is.

Where [[zeta functions]] appear in [[physics]] as expressions for [[vacuum amplitudes]], so [[multiple zeta functions]] appear in expressions for more general [[scattering amplitudes]]. The intricate combinatorics of these becomes often more tractable when re-expressing them as motivic multiple zeta values ([e.g. Schlotterer-Stieberger 12](#SchottererStieberger12)).

## Related concepts

* [[zeta function]]

* [[multiple zeta values]]

* [[motive]], [[motives in physics]]

* [[motivic L-function]]

* [[mixed Tate motive]]

## References

### General

* Francis Brown, _On the decomposition of motivic multiple zeta values_ ([arXiv:1102.1310v2](http://arxiv.org/abs/1102.1310v2))

* A. B. Goncharov, _Galois symmetries of fundamental groupoids and noncommutative geometry_ ([arXiv:math/0208144](http://arxiv.org/abs/math/0208144))

### In physics (scattering amplitudes)
 {#ReferencesScattering}

In [[scattering amplitudes]].

Of the [[superstring]]:

* {#SchottererStieberger12} O. Schlotterer, [[Stephan Stieberger]], _Motivic Multiple Zeta Values and Superstring Amplitudes_ ([arXiv:1205.1516](http://arxiv.org/abs/1205.1516))

* [[Stephan Stieberger]] _Motivic superstring amplitudes_, 2013 ([pdf](http://www.maths.dur.ac.uk/lms/2013/PNTPP13/talks/0163stieberger.pdf))

In [[N=4 D=4 super Yang-Mills theory]]:

* Marcus Spradlin, Anastasia Volovich, _Symbols of One-Loop Integrals From Mixed Tate Motives_ ([arXiv:1105.2024](http://arxiv.org/abs/1105.2024))

See also at _[[motives in physics]]_.

[[!redirects motivic multiple zeta function]]
[[!redirects motivic multiple zeta functions]]
