

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea 

In [[quantum field theory]] scattering amplitudes are the  [[probability amplitudes]] for processes of [[scattering]] of [[fundamental particles]] (or [[fundamental strings]] etc.) off each other. The collection of scattering amplitudes forms the _[[S-matrix]]_. In [[perturbative quantum field theory]] its contributions may be labeled by [[Feynman diagrams]], whence it is also called the _[[Feynman perturbation series]]_.

Of particular interest are [[vacuum amplitudes]] which are scattering amplitudes "where nothing externel scatters" hence for no incoming and no outgoing states. The [[1-loop]] vacuum amplitudes are [[regularization (physics)|regularized]] [[traces]] over [[Feynman propagators]]. These are the incarnations of [[zeta functions]], [[L-functions]] and [[eta functions]] in [[physics]].

## Related concepts

* [[scattering]]

* [[scattering matrix]]

* [[scattering cross section]]

* [[perturbative quantum field theory]]

* [[n-point function]], [[correlator]]

* [[Feynman diagram]]

* [[abstract scattering theory]]

* [[cluster decomposition]]

* [[renormalization]]

* [[on-shell recursion]], [[planar limit]]

* [[amplituhedron]]

* [[KLT relations]]

* [[string theory results applied elsewhere]]

* [[string scattering amplitude]]

* [[motives in physics]]



## References

### General


* Henriette Elvang, Yu-tin Huang, _Scattering Amplitudes_ ([arXiv:1308.1697](http://arxiv.org/abs/1308.1697))

intended to

> bridge the gap between a standard course in quantum field theory and recent fascinating developments in the studies of on-shell scattering amplitudes.


* Tomasz R. Taylor, _A Course in Amplitudes_ ([arXiv:1703.05670](https://arxiv.org/abs/1703.05670))

* {#SummersBuchholz} Stephen J. Summers, [[Detlev Buchholz]], _Scattering in Relativistic Quantum Field Theory: Fundamental Concepts and Tools_ ([arXiv:math-ph/0509047] (https://arxiv.org/abs/math-ph/0509047))

* Clifford Cheung, _TASI Lectures on Scattering Amplitudes_ ([arXiv:1708.03872](https://arxiv.org/abs/1708.03872))

A historical overview of the development of on-shell methods/analytic methods is in 

* {#Dixon13} [[Lance Dixon]], _Calculating Amplitudes_, December 2013 ([web](http://www.preposterousuniverse.com/blog/2013/10/03/guest-post-lance-dixon-on-calculating-amplitudes/))


 


### Analytic methods

* Ruth Britto, _Loop amplitudes in gauge theories: modern analytic approaches_ ([arXiv:1012.4493](http://arxiv.org/abs/1012.4493))

* [[Zvi Bern]], [[Lance Dixon]], [[David Kosower]], _On-Shell Methods in Perturbative QCD_ ([arXiv:0704.2798](http://arxiv.org/abs/0704.2798))

* [[Joseph Polchinski]], [[Matthew Strassler]], _Hard Scattering and Gauge/String Duality_, Phys.Rev.Lett.88:031601,2002, ([arXiv:hep-th/0109174](http://lanl.arxiv.org/abs/hep-th/0109174))

See also at _[[string theory results applied elsewhere]]_ and at _[[motivic multiple zeta values]]_.


### In super Yang-Mills theory

In [[super Yang-Mills theory]] (and there in particular in the [[planar limit]] of [[N=4 D=4 super Yang-Mills theory]]) scattering amplitudes enjoy special symmetry properties, some of which can be used to extract information about scattering amplitudes in non-supersymmetric theories (see also at _[[amplituhedron]]_):

* [[Nima Arkani-Hamed]], Jacob L. Bourjaily, Freddy Cachazo, Alexander B. Goncharov, [[Alexander Postnikov]], Jaroslav Trnka, _Scattering Amplitudes and the Positive Grassmannian_ ([arXiv:1212.5605](http://arxiv.org/abs/1212.5605))

* [[Nima Arkani-Hamed]], Jaroslav Trnka, _The Amplituhedron_, [arxiv/1312.2007](http://arxiv.org/abs/1312.2007)


### In string theory and higher supergravity

* Wieland Staessens, Bert Vercnocke, _Lectures on Scattering Amplitudes in String Theory_ ([arXiv:1011.0456](http://arxiv.org/abs/1011.0456))

* [[Michael Green]], _Properties of low energy graviton scattering amplitudes_, June 2010 ([pdf](http://string.lpthe.jussieu.fr/cargese/2010/talks/green_cargese2010.pdf))

For more see at _[[string scattering amplitude]]_.



### Motivic structure

Motivic structures in scattering amplitudes (see at _[[motives in physics]]_) are discussed for instance in 

* John Golden, Alexander B. Goncharov, Marcus Spradlin, Cristian Vergu, Anastasia Volovich, _Motivic Amplitudes and Cluster Coordinates_ ([arXiv:1305.1617](http://arxiv.org/abs/1305.1617))


See also the references at _[[period]]_.

[[!redirects scattering amplitudes]]

[[!redirects Feynman amplitude]]
[[!redirects Feynman amplitudes]]
