The Mathieu groups, denoted $M_{11}$, $M_{12}$, $M_{22}$, $M_{23}$ and $M_{24}$ are [[sporadic finite simple groups]]. They were first described in the 1860-70s by Émile Mathieu, and the first such groups to be discovered.

The orders of the groups are as follows:

* $M_{11}$ - 7920;
* $M_{12}$ - 95040;
* $M_{22}$ - 443520;
* $M_{23}$ - 10200960;
* $M_{24}$ - 244823040;

The Matthieu group $M_{24}$ is the automorphism group of the [[binary Golay code]]; this is a [[vector space]] over the [[field]] $\mathbb{F}_2$. The other groups can be obtained as stabilisers of various (sets of) elements of the Golay code, and hence are subgroups of $M_{24}$. The Mathieu groups form the so-called _first generation_ of the _happy family_: the collection of 20 sporadic groups which are subgroups of the [[Monster group]].

## Related concepts

* [[Mathieu moonshine]]

## References

* [N-cafe blogpost](http://golem.ph.utexas.edu/category/2013/02/m13.html) on the groupoid $M_{13}$.
* John H. Conway, Noam D. Elkies and Jeremy L. Martin, "The Mathieu group $M_{12}$ and its pseudogroup extension $M_{13}$", _Experimental Mathematics_ **15** (2006),  223–236. [Eprint](http://nrs.harvard.edu/urn-3:HUL.InstRepos:2794826). 