
# Material set theory
* table of contents
{: toc}

## Overview

__Material set theory__ (also called _membership-based set
theory_) is a style of [[set theory]] that contrasts with [[structural set theory]].  In a material set theory, the elements of a set exist independently of that set.  (The terminology 'material', or at least 'materialistic', goes back at least to [Friedman 1997](#Friedman1997).) The standard example is [[ZFC]].

Frequently in material set theory one takes everything to be a [[pure set]], including the elements of sets themselves.   Therefore, any two sets may be meaningfully compared to ask if they are [[equal]] or if one is a member of the other.  As a slight variation (still material set theory), one may also accept ur-elements (or atoms) as elements.  The main distinguishing feature of a material set theory is a global membership predicate, whereby it is meaningful to ask, given any object and a set, whether the object is an element of the set.

## Related concepts

* [[cumulative hierarchy]]

## References

* {#Friedman1997} [[Harvey Friedman]] (1997). [Foundational Completeness](https://cs.nyu.edu/pipermail/fom/1997-November/000143.html). FOM, 1997 November.
  


[[!redirects material set theory]]
[[!redirects material set theories]]
