#Contents#
* table of contents
{:toc}

## Idea

An **infinitary logic** is a logic that allows infinitely long statements or infinitely long proofs, for example, by allowing conjunctions, disjunctions and quantifier sequences, to be of infinite length. The price to pay for adopting many of these more expressive logics is the failure of [[completeness theorem|completeness]] or of [[compactness theorem|compactness]].

## Related entries

* [[model theory]]

* [[first-order logic]]

* [[accessible category]]

* [[geometric theory]]

* [[Skolem paradox]]

## References

An infinitary logic was introduced for the first time in 

* Ernst Zermelo, _Über Stufen der Quantifikation und die Logik des Unendlichen_,  Jahresbericht der Deutschen Mathematiker-Vereinigung 41/42 (1931), pp. 568–570. ([gdz](http://gdz.sub.uni-goettingen.de/dms/load/img/?PID=PPN37721857X_0041|LOG_0038&physid=PHYS_0395))

Other early works include Novikov and 

* D. A. Bochvar, _Über einen Aussagenkalkül mit abzählbaren logischen Summen und Produkten_, Mathematičeskii Sbornik __17__ (1940), pp 65–100.

Infinitary logic has been recently studied extensively by [[Saharon Shelah]] and in categorical logic by [[Mihaly Makkai]].

* [[Rami Grossberg]], _Classification theory for abstract elementary classes_. Logic and Algebra, ed. Yi Zhang, Contemporary Mathematics, Vol 302, AMS, (2002), pp. 165--204, [pdf](http://www.math.cmu.edu/~rami/Rami-NBilgi.pdf) 

* Rami Grossberg, Saharon Shelah, _On the number of non isomorphic models of an infinitary theory which has the order property_, Part A, Journal of Symbolic Logic, 51, (1986) 302--322, [jstor pdf](http://links.jstor.org/sici?sici=0022-4812%28198606%2951%3A2%3C302%3AOTNONM%3E2.0.CO%3B2-D)

[[!redirects infinitary first-order theory]]