
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--

# Physics
* table of contents
{: toc}

## Idea

_Physics_ studies the constituting mechanisms of the [[observable universe]]. 

Starting with suggestions by [[Galileo]] around 1600 and then clearly so since [[Newton]] in 1687 laid the foundations of physics proper with what is since called _[[Newton's laws of physics]]_, distinguishing it from the earlier _[[natural philosophy]]_, physics is specifically concerned with modelling [[experiment|experimentally]] observed [[phenomenology]] by "[[theory (physics)|physical laws]]" formulated in the language of [[mathematics]]. 

> [[natural philosophy|Philosophy]] $[$i.e. [[physics]] $]$ is written in this grand book — I mean the universe — which stands continually open to our gaze, but it cannot be understood unless one first learns to comprehend the language and interpret the characters in which it is written. It is written in the language of [[mathematics]], and its characters are triangles, circles, and other geometrical figures, without which it is humanly impossible to understand a single word of it; without these, one is wandering around in a dark labyrinth. ([[Galileo Galilei]] in [Galilei, Il Saggiatore, 1623](http://en.wikipedia.org/wiki/The_Assayer)).


The relation to mathematics is typically the stronger the more one turns to _fundamental physics_ (e.g. [[fundamental particles]]) and away from [[complex systems]] or else the more one coarse-grains irregular complex behaviour and studies [[statistical physics|statistical]] aspects in [[statistical physics]].

The present most fundamental understanding of the physics of the observable universe is summarized in [[models (in theoretical physics)]] called

1. the [[standard model of particle physics]]

1. the [[standard model of cosmology]];

which are formulated in the two fundamental [[theories]] called

1. [[Yang-Mills theory|Yang-Mills]]-[[gauge theory]] 

1. [[Einstein]]-[[gravity]]

which in turn are both instances of the general framework of [[classical field theory|classical]]/[[quantum field theory]].

Theoretical physics also studies lots of approximate, hypothetical "toy"- and test-case [[models (in theoretical physics)]], exploring the "space of physical theories", and parts of [[mathematical physics]] overlaps with pure [[mathematics]], the relation to physics only serving as a motivation that may or may not eventually lead back to statements about [[phenomenology]]. 


## Available entries

[[!include physicscontents]]


## References

* [[physics resources]]

* _[The Feynman Lectures on Physics](http://www.feynmanlectures.caltech.edu)_


[[!redirects physics]]

[[!redirects fundamental physics]]