
#Contents#
* table of contents
{:toc}

## Idea

Topological automorphic forms are a generalization of [[topological modular forms]]: where the latter come with the [[moduli space]] of [[elliptic curves]], topological automorphic forms are associated to a given [[Shimura variety]].
Moreover, just as topological modular forms refine to the [[tmf]]-[[spectrum]] representing the corresponding [[cohomology theory]], so every Shimura variety induces a cohomology theory $taf$.

## Properties

### Chromatic pattern 
 {#ChromaticPattern}

| [[chromatic level]] $n = $ | 1 | 2 | $\geq 3$ |
|--|--|--|--|
| [[cohomology theory]]/[[spectrum]] $E = $ | [[topological K-theory|KO]] | [[TMF]] | [[TAF]] |
| [[algebraic group]] | $GL_1$ | $GL_2$ | $U(1,n-1)$ |
| geometric object | [[multiplicative group]] | [[elliptic curve]] | [[Shimura variety]] |
| [[FQFT]] | [[(1,1)-dimensional Euclidean field theories and K-theory|superparticle]] |  [[(2,1)-dimensional Euclidean field theories and tmf|heterotic superstring]] | ?? |

## Related concepts

* [[topological modular forms]]
* [[automorphic form]]

## References


The definition is due to

* {#BehrensLawson07} [[Mark Behrens]], [[Tyler Lawson]], _Topological automorphic forms_, Mem. Amer. Math. Soc., 204 (2010), no. 958 ([arXiv:math/0702719](http://arxiv.org/abs/math/0702719))

An introductory survey is in 

* {#Lawson08} [[Tyler Lawson]], _An overview of abelian varieties in homotopy theory_ ([arXiv:0810.0507](http://arxiv.org/abs/0810.0507))

Lecture notes include


* [[Mark Behrens]], _Topological Automorphic Forms_, Lecture series (2011) ([lecture notes](http://www.math.ist.utl.pt/~ggranja/SummerLect11_files/abstractmark.html))

* [[Doug Ravenel]], _Seminar on topological automorphic forms_ (2009-11) ([web](http://www.math.rochester.edu/u/faculty/doug/taf.html))

* [[Dylan Wilson]] and [[Paul VanKoughnett]], _TAF reading course_, 2013 ([web](http://math.northwestern.edu/~pvankoug/taf/taf.html))

* [[Chermaine Sia]], _Topological automorphic forms_, talk at [Talbot Workshop 2013](http://math.mit.edu/conferences/talbot/index.php?year=2013&sub=talks) ([pdf](http://www.math.harvard.edu/~sia/notes/talbot_taf.pdf))

[[!redirects topological automorphic forms]]
[[!redirects taf]]
[[!redirects TAF]]