

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher category theory
+--{: .hide}
[[!include higher category theory - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}


## Idea 

An **$n$-fibration** is the version of a [[Grothendieck fibration]] appropriate for $n$-[[n-category|categories]].

The idea is that a functor $p:E\to B$ between $n$-categories is an $n$-fibration if the assignation $x\mapsto E_x = p^{-1}(x)$ of an object $x\in B$ to its fiber can be made into a (contravariant) functor from $B$ to the $(n+1)$-category $n Cat$.


## Definition 

(This definition is schematic, and needs to be adapted to be made precise for any particular definition of $n$-category.)

Let $p:E\to B$ be a functor between (weak) $n$-categories.

+--{: .num_defn}
###### Definition
A morphism $\phi:b\to a$ in $E$ is **cartesian** (relative to $p$) if for any $c\in E$, the following square:
$$\array{E(c,b) & \overset{\phi\circ -}{\to} & E(c,a)\\
  ^p \downarrow && \downarrow ^p\\
  B(p c, p b) & \underset{p\phi\circ -}{\to} & B(p c, p a)}$$
(which commutes, up to equivalence, by functoriality of $p$) is a (weak) [[pullback]] of $(n-1)$-categories.
=--

+--{: .num_defn}
###### Definition
We say that $p:E\to B$ is an **$n$-fibration** (or just a **fibration**) if

1. For any object $a\in E$ and morphism $f:x\to p a$ in $B$, there exists a cartesian $\phi:b\to a$ and an [[equivalence]] $p\phi \simeq f$ in the [[over category|slice]] $n$-category $B/p a$,
1. For any objects $a,b\in E$, the functor $p:E(b,a) \to B(p b, p a)$ is an $(n-1)$-fibration, and
1. For any $a,b,c\in E$, the square
$$\array{E(b,c)\times E(a,b) &\overset{\circ}{\to} & E(a,c)\\
  ^p\downarrow && \downarrow^p\\
  B(p b, p c)\times B(p a, p b) & \underset{\circ}{\to} & B(p a, p c)}$$
is a morphism of $(n-1)$-fibrations.
=--

+--{: .num_defn}
###### Definition
If $p_1:E_1\to B_1$ and $p_2:E_2\to B_2$ are $n$-fibrations, a commutative square
$$\array{E_1 & \overset{h}{\to} & E_2\\
  p_1 \downarrow && \downarrow p_2\\
  B_1 & \underset{g}{\to} & B_2}$$
is a **morphism of $n$-fibrations** if

1. Whenever $\phi$ is cartesian for $p_1$, $h(\phi)$ is cartesian for $p_2$, and
1. For any $a,b\in E_1$, the square
$$\array{E_1(b,a) & \overset{h}{\to} & E_2(h b, h a)\\
  p_1 \downarrow && \downarrow p_2\\
  B_1(p_1 b, p_1 a)& \underset{g}{\to} & B_2(g p_1 b, g p_1 a)}$$
is a morphism of $(n-1)$-fibrations.
=--


## Remarks

* The definition is recursive in $n$, but if we unravel it, it makes perfect sense for $n=\omega$.  That is, saying that $f$ is a fibration requires some things about cartesian 1-cells, and also that its action on hom-categories be a fibration--which in turn requires some things about cartesian 2-cells, and also that *its* action on hom-categories be a fibration---which in turn which requires some things about cartesian 3-cells, and so on.  After $\omega$ steps of unraveling, we are left with a list of conditions on cartesian $n$-cells for every $n$.

  An equivalent, conciser way to say this is that we interpret the definition in the case $n=\omega$ as a [[coinductive definition]].

* When $n=1$, this reduces to a [[Street fibration]], a weakened version of a [[Grothendieck fibration]].  We recover Grothendieck's original notion by requiring that for any $a\in E$ and $f:x\to p a$ in $B$, there exists a cartesian $\phi:b\to a$ such that $p\phi$ and $f$ are _equal_.  This condition violates the [[principle of equivalence]] as stated, but not if it is rephrased to apply to [[displayed categories]] instead.

* When $n=2$, so that weak 2-categories are [[bicategories]], this notion of fibration can be found in [(Buckley)](#Buckley).  A strict version for [[strict 2-categories]] (though with one condition missing) was originally studied by [(Hermida)](#Hermida).

* In general, given any notion of (semi)strict $n$-category, we can expect to appropriately strictify the definition to make it correspond to stricter notions of pseudofunctor.


## Fibrations versus functors

If $p:E\to B$ is an $n$-fibration, we define a functor (or '$n$-pseudofunctor') from $B$ to $n Cat$ as follows.  (Like the above definition, this is only a schematic sketch.)

* Send $x\in B$ to the [[essential fiber]] $E_x$, whose objects are objects $a\in E$ equipped with a equivalence $p a \simeq x$.

* For a morphism $f:y\to x$ in $B$, define $f^*:E_x\to E_y$ by choosing, for each $a\in E_x$, a cartesian $\phi:b\to a$ over $f$ and defining $f^*(a)=b$.  The universal property of cartesian arrows makes $f^*$ a functor.

* For a 2-cell $\alpha:f\to g:y\to x$ in $B$, define a transformation $\alpha^*:g^*\to f^*$ as follows.  Given $a\in E_x$, we have a cartesian arrow $\phi:g^*a\to a$ over $g$.  Now choose a cartesian 2-cell $\mu:\psi\to \phi$ over $\alpha$ in $E(g^*a,a)$.  Since $p \psi = f$, $\psi$ factors essentially uniquely through the cartesian arrow $\chi:f^*a\to a$, giving a morphism $g^*a \to f^*a$; we define this to be the component of the transformation $\alpha^*$ at $a$.

* and so on...

Note that the functor we obtain is "totally contravariant:" it is contravariant on $k$-cells for all $1\le k\le n$.

Conversely, if we have a totally contravariant '$n$-pseudofunctor' from $B$ to $n Cat$, we define $p:E\to B$ by a generalization of the [[Grothendieck construction]] as follows:

* The objects of $E$ over $x\in B$ are those of $F x \in n Cat$.

* The morphisms of $E$ over $f:y\to x$ in $B$ from $b\in F y$ to $a\in F x$ are the morphisms from $b$ to $F_f(a)$ in $F y$.

* The 2-cells of $E$ over $\alpha:f\to g:y\to x$ in $B$ from $\psi : b \to F_f(a)$ to $\phi : b \to F_g(a)$ are the 2-cells in $F y$ from $\psi$ to the composite $b \xrightarrow{\phi} F_g(a) \xrightarrow{F_\alpha(a)} F_f(a)$.

* and so on...

One expects that in this way, the $(n+1)$-category of fibered $n$-categories over $B$ is equivalent to the $(n+1)$-category of totally contravariant functors $B\to n Cat$.  These constructions are known precisely only for $n=2$.

## Examples

* The prototypical example is that if $K$ is an $n$-category with finite limits (or at least pullbacks), then the $n$-category $Fib_K$ of *internal* $(n-1)$-fibrations in $K$ should admit an $n$-fibration $cod : Fib_K \to K$.  Of course this requires defining the notion of internal $(n-1)$-fibration in an $n$-category; this is usually done representably.  For $n=2$ this gives the notion of [[fibration in a 2-category]], and the fact that $cod : Fib_K \to K$ is a 2-fibration is in [(Hermida)](#Hermida).  For $n=1$ it is just the standard fact that the [[codomain fibration]] is a fibration, i.e. every morphism in a 1-category is an "internal 0-fibration".

## Related concepts

* [[Grothendieck fibration]], [[Street fibration]]

* [[fibration in a 2-category]]

* A notion of fibration of [[(∞,1)-category|(∞,1)-categories]] exists in terms of [[Cartesian fibration]]s of [[simplicial set]]s. (See also [[left fibration]], and [[right fibration]] .)


## References 

[Claudio Hermida](http://maggie.cs.queensu.ca/chermida) introduced 2-fibrations in:

* Claudio Hermida, "Some properties of Fib as a fibred 2-category," J. Pure Appl. Algebra 134 (1), 83--109, 1999; [preprint version ps.gz](http://maggie.cs.queensu.ca/chermida/papers/jpaa.ps.gz)
 {#Hermida}

In fact they also appeared earlier, in some form, in [[Gray-adjointness-for-2-categories|Gray's book]].

However, Hermida's definition was missing the stability of cartesian 2-cells under postcomposition, which is necessary for the "Grothendieck construction" turning a pseudofunctor into a fibration to have an inverse.  This was rectified, and the definition generalized to bicategories, in

* Igor Bakovic, "Fibrations of bicategories", [preprint](http://www.irb.hr/korisnici/ibakovic/groth2fib.pdf)
 {#Bakovic}

* Mitchell Buckley, "Fibred 2-categories and bicategories", [doi](https://doi.org/10.1016/j.jpaa.2013.11.002), [arxiv](https://arxiv.org/abs/1212.6283)
 {#Buckley}

A definition for strict $n$-categories due to Hermida is unpublished, but it is used and presented in another joint work with [Marta Bunge](http://www.math.mcgill.ca/bunge), presented at CATS07 at Calais:

* Marta Bunge, "Intrinsic $n$-stack completions over a topos," slides [here](https://www.researchgate.net/publication/230792798_Intrinsic_n-stack_completions_over_a_topos)

 $n$-pseudofunctors may be viewed (and defined) as [[anafunctor]]s.  For $n$-groupoids such an approach to $n$-pseudofunctors has been studied in

* [D. Bourn](http://www-lmpa.univ-littoral.fr/~bourn), 
Pseudo functors and non abelian weak equivalences, in "Categorical algebra and its applications", Springer LNM 1348 (1988), 55--70.


[[!redirects fibered n category]]
[[!redirects fibered n-category]]
[[!redirects strict fibered n-category]]
[[!redirects fibered strict n-category]]

[[!redirects fibred n category]]
[[!redirects fibred n-category]]
[[!redirects strict fibred n-category]]
[[!redirects fibred strict n-category]]

[[!redirects 2-fibration]]
[[!redirects fibered 2-category]]
[[!redirects fibred 2-category]]
[[!redirects fibered bicategory]]
[[!redirects fibred bicategory]]

[[!redirects fibration of n-categories]]
[[!redirects fibration of 2-categories]]
[[!redirects fibration of bicategories]]
