
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Complex geometry
+--{: .hide}
[[!include complex geometry - contents]]
=--
#### Elliptic cohomology
+-- {: .hide}
[[!include elliptic cohomology -- contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}


## Idea

A _modular curve_ is a  [[moduli space]] of [[elliptic curves]] over the [[complex numbers]] equipped with [[level structure on an elliptic curve|level-n structure]], for some $n \in \mathbb{N}$. Concretely this is equivalent to the [[quotient]]

$$
  \mathcal{M}_{ell}(\mathbb{C})[n] \coloneqq \mathfrak{h}/\Gamma(n)
$$

of the [[upper half plane]] $\mathfrak{h}$ [[action|acted]] on by the $n^{th}$ [[principal congruence subgroup]] $\Gamma(n)\hookrightarrow SL_2(\mathbb{Z})$ of the [[special linear group]] acting by [[Möbius transformations]].

This has a [[compactification]] 

$$
  \mathcal{M}_{ell}(\mathbb{C})[n] \hookrightarrow \mathcal{M}_{\overline{ell}}(\mathbb{C})[n] 
$$

and often that is referred to by default as the modular curve.

The quotients by the other two [[congruence subgroups]] are

* $\mathcal{M}_{\overline{ell}}(\mathbb{C})[n]_0 \simeq \mathfrak{h}/\Gamma_0(n)$ -- the moduli space of complex [[elliptic curves]] equipped with a [[cyclic group|cyclic]] [[subgroup]] $\mathbb{Z}/n\mathbb{Z}$ or [[order of a group|order]] $n$;

* $\mathcal{M}_{\overline{ell}}(\mathbb{C})[n]_1 \simeq \mathfrak{h}/\Gamma_1(n)$ -- the moduli space of complex [[elliptic curves]] equipped with an element (a point) in an $n$-[[torsion subgroup]].

By construction, these modular curves provide [[covers]] ([[atlases]]) for the [[moduli stack of elliptic curves]] $\mathcal{M}_{ell}(\mathbb{C})$ over the complex numbers.


## Related concepts

* [[modularity theorem]]

* The analog of a modular curve with [[elliptic curves]] generalized to more general [[abelian varieties]] are _[[Shimura varieties]]_.

## References

* Wikipedia, _[Modular curve](http://en.wikipedia.org/wiki/Modular_curve)_