
# Short linear maps
* table of contents
{: toc}

## Idea

The short linear maps are the [[morphisms]] of the category [[Ban]] of [[Banach spaces]] (or its [[full subcategory]] [[Hilb]] of [[Hilbert spaces]]), at least if one wishes to recover [[isometric isomorphism]]s as the abstract [[isomorphisms]] of this [[category]].


## Definition

Given [[Banach spaces]] $V$ and $W$, a __short linear map__ form $V$ to $W$ is a (total) [[function]] $f\colon V \to W$ that is both [[short map|short]] and [[linear map|linear]], equivalently a [[bounded linear operator]] whose [[norm]] is at most $1$.  These are also called __contractive__ (or __weakly contractive__) linear maps; they may also be called short (or contractive or weakly contractive) __operators__ (with linearity usually assumed but sometimes mentioned), or even simply (weak) __contractions__.


## On Hilbert spaces

Short linear maps from a [[Hilbert space]] to itself (that is [[endomorphisms]] in [[Hilb]]) are discussed (as simply ‘contractions’) in [[operator theory]]; see [Wikipedia](https://en.wikipedia.org/wiki/Contraction_%28operator_theory%29).


[[!redirects short linear map]]
[[!redirects short linear maps]]
[[!redirects short linear function]]
[[!redirects short linear functions]]
[[!redirects short linear operator]]
[[!redirects short linear operators]]
[[!redirects short operator]]
[[!redirects short operators]]
[[!redirects contractive linear function]]
[[!redirects contractive linear functions]]
[[!redirects weakly contractive linear function]]
[[!redirects weakly contractive linear functions]]
[[!redirects contractive linear map]]
[[!redirects contractive linear maps]]
[[!redirects weakly contractive linear map]]
[[!redirects weakly contractive linear maps]]
[[!redirects contractive operator]]
[[!redirects contractive operators]]
[[!redirects weakly contractive operator]]
[[!redirects weakly contractive operators]]
