
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Functional analysis
+-- {: .hide}
[[!include functional analysis - contents]]
=--
=--
=--

# Banach coalgebras
* table of contents
{: toc}

## Idea

Banach coalgebras (or cogebras) are like [[Banach algebras]], but [[coalgebras]].  The [[dual vector space|dual]] of a Banach coalgebra is a Banach algebra (but not conversely).  We can also consider Banach [[bialgebras]] (or bigebras).


## Definitions

A __Banach coalgebra__, or __Banach cogebra__, is a [[comonoid object]] in the [[monoidal category]] $Ban$ of [[Banach spaces]] with [[short linear maps]] and the [[projective tensor product]].  (Recall that a [[Banach algebra]] is a [[monoid object]] in $Ban$.)

Explicitly, we have:

1.  a [[Banach space]] $A$
1.  a [[short linear map]], the __comultiplication__:
$$ \Delta\colon A \to A {\displaystyle\hat{\otimes}_\pi} A $$
to the [[projective tensor product]];
1.  a short [[linear functional]], the __counit__:
    $$ \epsilon\colon A \to K ,$$
    where $K$ is the [[ground field]];
1.  an [[equation]], the __coassociativity__:
    $$ (\Delta {\displaystyle\hat{\otimes}_\pi} \id_A) \Delta x = (\id_A {\displaystyle\hat{\otimes}_\pi} \Delta) \Delta x \in (A {\displaystyle\hat{\otimes}_\pi} A) {\displaystyle\hat{\otimes}_\pi} A \cong A {\displaystyle\hat{\otimes}_\pi} (A {\displaystyle\hat{\otimes}_\pi} A)$$
    for each $x\colon A$;
1.  an equation, the __left coidentity__:
    $$ (\epsilon {\displaystyle\hat{\otimes}_\pi} \id_A) \Delta x = x \in K {\displaystyle\hat{\otimes}_\pi} A \cong A $$
    for each $x\colon A$;
1.  and an equation, the __right coidentity__:
    $$ (\id_A {\displaystyle\hat{\otimes}_\pi} \epsilon) \Delta x = x \in A {\displaystyle\hat{\otimes}_\pi} K \cong K $$
    for each $x\colon A$.

Technically, we\'ve defined a __counital coassociative Banach coalgebra__.  We can leave out (3,5,6) to get a __non-counital Banach coalgebra__, and (also) leave out (4) to get a __non-coassociative Banach coalgebra__.  Warning: these terms are examples of the [[red herring principle]].  Note that (3) is a [[property-like structure]] (and 4--6 are obviously just [[properties]]).

On the other hand, we can *add* the property of __cocommutativity__:

*  $\tau \Delta x = \Delta x$ for each $x\colon A$,

where the [[braiding]] $\tau\colon A {\displaystyle\hat{\otimes}_\pi} A \to A {\displaystyle\hat{\otimes}_\pi} A$ is generated by $\tau (u \otimes v) = v \otimes u$.  Then we have a __cocommutative Banach coalgebra__.

To __freely adjoin a counit__ to a non-counital Banach coalgebra $A$, take the Banach space $A \oplus_1 K$ (using the $l^1$-[[l-1-direct sum|direct sum]]), let $\Delta_{A \oplus K} (x,c)$ be $(\Delta_A x, 0, 0, c) \in (A {\displaystyle\hat{\otimes}_\pi} A) \oplus_1 A \oplus_1 A \oplus_1 K \cong (A \oplus_1 K) {\displaystyle\hat{\otimes}_\pi} (A \oplus_1 K)$, and let $\epsilon_{A \oplus_1 K} (x,c)$ be $c$.  Then $A \oplus_1 K$ is a counital Banach coalgebra.  (Freely forcing coassociativity or cocommutativity ---or even freely adjoining $\Delta$ in the first place--- is harder.)

The [[category]] __$Ban Coalg$__ of Banach coalgebras has, as [[objects]], Banach coalgebras and, as [[morphisms]], [[short linear maps]] $f\colon A \to B$ with equations
$$ \Delta_B f x = (f {\displaystyle\hat{\otimes}_\pi} f) \Delta_A x $$
and (unless we are allowing non-counital coalgebras)
$$ \epsilon_B f x = \epsilon_A x $$
for all $x\colon A$.  Warning: the term 'homomorphism' is used more generally; see below.

If $A$ and $B$ are Banach coalgebras, then their __[[projective tensor product]]__ $A {\displaystyle\hat{\otimes}_\pi} B$ is a Banach coalgebra, generated by
$$ \Delta_{A {\displaystyle\hat{\otimes}_\pi} B} (x \otimes y) = \Delta_A x \otimes \Delta_B y \in (A {\displaystyle\hat{\otimes}_\pi} A) {\displaystyle\hat{\otimes}_\pi} (B {\displaystyle\hat{\otimes}_\pi} B) \cong (A {\displaystyle\hat{\otimes}_\pi} B) {\displaystyle\hat{\otimes}_\pi} (A {\displaystyle\hat{\otimes}_\pi} B) $$
and
$$ \epsilon_{A {\displaystyle\hat{\otimes}_\pi} B} (x \otimes y) = (\epsilon_A x) (\epsilon_B y) \in K .$$
Similarly (but more simply), the [[ground field]] $K$ is itself a Banach coalgebra, with $\Delta$ and $\epsilon$ both essentially the [[identity map]].  In this way, $Ban Coalg$ becomes a [[symmetric monoidal category]].

The [[full subcategory]] $Cocomm Ban Coalg$ of cocommutative Banach coalgebras becomes a [[cartesian monoidal category]] under the projective tensor product.  Actually, $K$ is the [[terminal object]] even in $Ban Coalg$ (with the unique coalgebra morphism to $K$ being $\epsilon$ itself), but the [[pairing]]
$$ (f,g)(x) \coloneqq (f {\displaystyle\hat{\otimes}_\pi} g) \Delta x \in A {\displaystyle\hat{\otimes}_\pi} B $$
(given $f\colon \Gamma \to A$, $g\colon \Gamma \to B$, and $x\colon \Gamma$) is a morphism of $Ban Coalg$ only when $A$ and $B$ are cocommutative.  (I believe that $Ban Coalg$ *does* have a [[product]], but it must be more complicated.)


## The dual algebras of a coalgebra

If $A$ is a Banach coalgebra, then the [[dual vector space]] $A^*$ is a [[Banach algebra]].  Actually, this is more general than $A^* = [A,K]$; if $B$ is any Banach algebra, then so is $[A,B]$ (the Banach space of [[bounded linear maps]] from $A$ to $B$).

This result is nothing special about Banach (co)algebras; it holds in any [[closed monoidal category]].  The multiplication operation in $[A,B]$ is given by
$$ (\lambda \mu) x = m (\lambda {\displaystyle\hat{\otimes}_\pi} \mu) \Delta x ,$$
where $m\colon B {\displaystyle\hat{\otimes}_\pi} B \to B$ is (generated by) the multiplication operation on $B$.  $[A,B]$ is associative, unital, or commutative if $A$ and $B$ are (with 'co‑' in the names of $A$\'s properties).  In particular, $A^*$ has one of these properties iff $A$ has the corresponding property.

Note that $[B,A]$ (or even $B^*$) is *not*, in general, a Banach coalgebra.  (That\'s because $Ban$ is closed, not [[coclosed category|coclosed]].)


## Operators between coalgebras

Let $A$ and $B$ be Banach coalgebras.

Of course, $A$ and $B$ are [[Banach spaces]], so we may consider the whole panoply of [[linear operators]] from $A$ to $B$.  In general, a linear operator is only a [[partial function]], defined on a [[linear subspace]] of $A$ (and otherwise only required to be a [[linear map]]); but in particular we consider the [[densely-defined operator]]s (each defined on a [[dense subspace|dense]] subspace of $A$), the [[linear mappings]] (each defined on all of $A$), the [[bounded operators]] (each defined on all of $A$ and [[bounded map|bounded]] or equivalently [[continuous map|continuous]]), and the [[short operators]] (each bounded with a [[norm]] at most $1$).

A __comultiplicative linear operator__ from $A$ to $B$ is a linear operator $T\colon A \to B$ such that the following hold for all $x \in \dom T$:
*  $\Delta x \in (\dom T) {\displaystyle\hat{\otimes}_\pi} (\dom T)$,
*  $\Delta_B T x = (T {\displaystyle\hat{\otimes}_\pi} T) \Delta_A x$ (which exists by the previous line), and
*  $\epsilon_B T x = \epsilon_A x$ (which always exists).

We can also consider __densely-defined comultplicative linear operators__.  A __coalgebra homomorphism__, or __cohomomorphism__, is a comultiplicative linear mapping; we can also consider __bounded homomorphisms__ and __short homomorphisms__.  The last of these are, as above, the [[morphisms]] in $Ban Coalg$; of course, any of these classes of operators (except the densely-defined ones, which are not closed under [[composition]]) could be taken to be morphisms of a different category with the same objects, but then we would have [[isomorphisms]] that are not [[isometries]].  (See also [[isomorphism of Banach spaces]].)


## Beyond coalgebras

A __Banach [[bialgebra]]__, or __Banach bigebra__, is a [[bimonoid]] in $Ban$: a Banach space $A$ equipped with the structures of both a [[Banach algebra]] and a Banach coalgebra, such that $\Delta$ and $\epsilon$ are both morphisms of Banach algebras, or equivalently such that the multiplication and unit of the Banach algebra are both morphisms of Banach coalgebras.  Explicitly, this requirement is:
*  $\Delta (x y) = (\Delta x) (\Delta y)$ (with the induced multiplication on $A {\displaystyle\hat{\otimes}_\pi} A$),
*  $\Delta 1 = 1 \otimes 1$ (which is the identity in $A {\displaystyle\hat{\otimes}_\pi} A$),
*  $\epsilon (x y) = (\epsilon x) (\epsilon y)$ (with the multiplication on the right in $K$), and
*  $\epsilon 1 = 1$ (with the $1$ on the right in $K$).

The [[category]] __$Ban Bialg$__ of Banach bialgebras has, as objects, Banach bialgebras and, as morphisms, short linear maps that are morphisms of both Banach algebras and Banach coalgebras.

A __Banach [[Hopf algebra]]__ is a [[Hopf object]] in $Ban$: a Banach bialgebra $A$ with a (necessarily unique) short linear map (the __antipode__) $S\colon A \to A$ such that
$$ m (S {\displaystyle\hat{\otimes}_\pi} \id) \Delta x, m (\id {\displaystyle\hat{\otimes}_\pi} S) \Delta x = 1 \epsilon x $$
(where $m$ is the multiplication with identity $1$) for all $x\colon A$.

The [[category]] __$Ban Hopf Alg$__ of Banach Hopf algebras has, as objects, Banach Hopf algebras and, as morphisms, short linear maps $f\colon A \to B$ that are morphisms of Banach bialgebras and preserve antipodes:
$$ f (S_A x) = S_B (f x) $$
for all $x\colon A$.

A __Banach $*$-[[star-algebra|coalgebra]]__ is a $*$-[[star-monoid object|monoid object]] in $Ban$: a Banach coalgebra $A$ equipped with an [[antilinear map]] (the __adjoint__) $x \mapsto x^*\colon A \to A$ such that
$$ \Delta x^* = (\tau \Delta x)^* $$
(where $\tau$ again is the [[braiding]] and $*$ on $A {\displaystyle\hat{\otimes}_\pi} A$ is generated by $(x \otimes y)^* = x^* \otimes y^*$) for all $x\colon A$ and
$$ \epsilon x^* = \overline {\epsilon x} $$
(where a bar indicates [[complex conjugation]]) for all $x\colon A$.

The [[category]] __$Ban {*} Coalg$__ of Banach $*$-coalgebras has, as objects, Banach $*$-coalgebras and, as morphisms, short linear maps $f\colon A \to B$ that are morphisms of Banach bialgebras and preserve adjoints:
$$ f(x^*) = f(x)^* $$
for all $x\colon A$.

There are also $C^*$-[[C-star-coalgebra|coalgebras]], which have their own page.


## Examples

It's well known that the [[sequence space]] $l^1$ of absolutely summable [[infinite sequences]], thought of as $l^1(\mathbb{Z})$ (where $\mathbb{Z}$ is the [[abelian group]] of [[integers]] under addition), is a [[Banach algebra]] under [[convolution]]; however, it is also a Banach coalgebra, and these structures together make it a Banach bialgebra, in fact a Banach Hopf $*$-algebra.  Since $l^1$ is a Banach coalgebra, its [[dual vector space|dual space]] $l^\infty$ (the sequence space of absolutely bounded sequences) is a Banach algebra (which is also well known); and although there is no guarantee that it should work, in this case $l^\infty$ is also a Banach coalgebra, and indeed a Banach Hopf $*$-algebra too.

Explicitly:  The projective tensor square $l^1 {\displaystyle\hat{\otimes}_\pi} l^1$ is the space of absolutely summable infinite [[matrix|matrices]]; convolution takes the matrix $(a_{i,j})_{i,j}$ to the sequence
$$ (\sum_{i + j = k} a_{i,j})_k $$
(summing along antidiagonals); comultiplication takes $(a_k)_k$ to the [[diagonal matrix]]
$$ \Delta a = (\sum_{i = j = k} a_k)_{i,j} $$
(which is not quite the origin of the symbol ‘$\Delta$’ but might as well be).  The tensor square $l^\infty {\displaystyle\hat{\otimes}_\pi} l^\infty$ is the space of infinite matrices with absolutely bounded entries;
+-- {: .query}
(comment added 26-08-2012 by YC: I am not convinced; Grothendieck's inequality, anyone?)
=--
the dual multiplication on $l^\infty$ takes the matrix $(a_{i,j})_{i,j}$ to the sequence
$$ (\sum_{i = j = k} a_{i,j})_k = (a_{k,k})_k $$
of its diagonal entries; the dual comultiplication (which part of me wants to call 'nvolution', but let\'s say coconvolution instead) takes $(a_k)_k$ to
$$ (\sum_{i + j = k} a_k)_{i,j} = (a_{i + j})_{i,j} $$
(so each antidiagonal is constant).

We are lucky that coconvolution exists, since the dual of a Banach algebra need not be a Banach coalgebra; but arguably coconvolution is easier to describe than convolution, so let us shift perspective and take coconvolution as basic.  Then convolution necessarily exists on the dual of $l^\infty$, but (at least in [[classical mathematics]]) $l^1$ is only a subspace of that.  So from this perspective, what's lucky is that $l^1$ is closed under convolution.  (In [[dream mathematics]], $l^1$ is the entire dual of $l^\infty$, so no luck is required.)  Of course, $l^1$ *is* the dual of $c_0$ (the space of sequences with limit $0$), but $c_0$ is *not* closed (coclosed?) under coconvolution (try any non-zero example), so we are still lucky.


[[!redirects Banach coalgebra]]
[[!redirects Banach coalgebras]]
[[!redirects Banach cogebra]]
[[!redirects Banach cogebras]]

[[!redirects BanCoalg]]
[[!redirects Ban Coalg]]

[[!redirects Banach bialgebra]]
[[!redirects Banach bialgebras]]
[[!redirects Banach bigebra]]
[[!redirects Banach bigebras]]

[[!redirects Banach Hopf algebra]]
[[!redirects Banach Hopf algebras]]
[[!redirects Banach-Hopf algebra]]
[[!redirects Banach-Hopf algebras]]
[[!redirects Banach–Hopf algebra]]
[[!redirects Banach–Hopf algebras]]
[[!redirects Banach--Hopf algebra]]
[[!redirects Banach--Hopf algebras]]

[[!redirects Banach *coalgebra]]
[[!redirects Banach *coalgebras]]
[[!redirects Banach *cogebra]]
[[!redirects Banach *cogebras]]
[[!redirects Banach *-coalgebra]]
[[!redirects Banach *-coalgebras]]
[[!redirects Banach *-cogebra]]
[[!redirects Banach *-cogebras]]
[[!redirects Banach * coalgebra]]
[[!redirects Banach * coalgebras]]
[[!redirects Banach * cogebra]]
[[!redirects Banach * cogebras]]
[[!redirects Banach star-coalgebra]]
[[!redirects Banach star-coalgebras]]
[[!redirects Banach star-cogebra]]
[[!redirects Banach star-cogebras]]
[[!redirects Banach star coalgebra]]
[[!redirects Banach star coalgebras]]
[[!redirects Banach star cogebra]]
[[!redirects Banach star cogebras]]
