
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Quantum Field Theory
+--{: .hide}
[[!include AQFT and operator algebra contents]]
=--
#### Super-Geometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The _$G_2$-MSSM_ is an [[MSSM]] [[model (in particle physics)]] motivated from [[Kaluza-Klein mechanism|KK-compactification]] of [[M-theory]] on a 7-dimensional singular [[G2-manifold]], hence a model in [[string phenomenology]] based on [[M-theory on G2-manifolds]].

The G2-MSSM is derived in the context of [[effective QFT|effective]] [[N=1 D=4 supergravity]]. The model is not based on a specific example of a [[G2 manifold]] but rather, it relies on the most general known properties of [[G2 compactifications of M-theory]]. For example, the K&#228;hler potential is taken to be of the most general form consistent with [[G2]] [[holonomy]]. 

**Moduli stabilization.** Unlike [[Calabi-Yau manifold]] compactifications of [[string theory]] (see _[[supersymmetry and Calabi-Yau manifolds]]_) where one must [[moduli stabilization|stabilize]] different classes of [[moduli field|moduli]], which often require a different [[moduli stabilization|stabilization]] mechanism for each class, in [[M-theory on G2-manifolds|G2 compactifications of M-theory]] all the geometric moduli are on an equal footing. In other words, there is only one class of moduli - the [[periods]] of the [[associative 3-form]] over the basis 3-[[cycles]]. 

{#GaugeHierarchy} **Gauge Hierarchy.** Furthermore, each geometric modulus is paired up with an [[axion|axionic]] partner to form [[complex scalar fields]], which possess a Pecchei-Quinn-type shift symmetry. This symmetry originates from the [[gauge symmetry]] of the [[supergravity C-field]] in [[11-dimensional supergravity]]. The shift symmetry is exact to all orders in [[perturbative quantum field theory|perturbation theory]] and can only be [[broken symmetry|broken]] by [[non-perturbative effects]]. Therefore, in the absence of [[fluxes]] the [[superpotential]] in the corresponding [[N=1 d=4 supergravity]] is purely [[non-perturbative effect|non-perturbative]]. This unique feature of the superpotential in [[G2 compactifications of M-theory]] provides a natural mechanism to generate the [[hierarchy problem|hierarchy]] between the [[Planck scale]] and the [[scale]] of [[supersymmetry breaking]], and ultimately the [[electroweak field|electroweak]] breaking scale in the context of the G2-MSSM, via the exponential nature of [[non-perturbative effects]] such as [[membrane instantons]]. This solution to the [[hierarchy problem]] was pointed out in ([Acharya-Kane-Kumar 12, section  V.A.2 (p. 10-11)](#AcharyaKaneKumar12)).

**Axiverse.** Another crucial feature that distinguishes the G2-MSSM from other known scenarios is the exponentially large split between masses of the geometric moduli and their [[axion|axionic]] partners once the moduli are stabilized. This happens because the two dominant terms in the superpotential depend only on a single linear combination of all the moduli. This linear combination represents the volume of an associative three-cycle that supports the [[hidden sector]] [[Yang-Mills theory|non-Abelian gauge theory]], which is taken to be [[Poincare duality|Poincaré dual]] (up to a positive real number) to the [[co-associative 4-form]] of the [[G2-manifold]]. Therefore, the model not only provides a natural [[QCD]] [[axion]] candidate, but also explicitly realizes the [String Axiverse scenario](axion#StringyAxionPhenomenology) proposed by [Arvanitaki et.al. 09](axion#ADDKM09). Incidentally, this very feature of the superpotential ultimately explains the absence of large CP-violating phases in the [[soft supersymmetry breaking terms]]. 

**Slightly split supesymmetry.** Another distinctive feature of the G2-MSSM is a [[split supersymmetry|slightly split spectrum of superpartners]]. The [[gaugino]] masses are suppressed relative to the [[gravitino]] mass by a factor of $\mathcal{O}(60)$ due to the dynamics of the [[moduli stabilization]]. On the other hand, the scalar masses and the trilinear couplings are as heavy as the [[gravitino]] mass. The [[higgsinos]] may or may not be suppressed relative to the gravitino mass depending on the details of the solution to the [[doublet-triplet splitting problem]]. 

Apart from the very specific form of the [[soft supersymmetry breaking terms]], the difference between the G2-MSSM and a generic [[bottom-up model building|bottom-up]] [[split supersymmetry|Split Supersymmetry]] scenario is that in [[split supersymmetry|Split SUSY]] both [[gaugino]] masses and trilinear couplings are [[protection from quantum corrections|protected]] by an [[R-symmetry]] and therefore remain light, while the scalar masses can be as heavy as the [[GUT]] [[scale]]. 

The slightly split G2-MSSM spectrum naturally accommodates the [[Higgs particle]] at the observed [[energy]] of around 125 [[GeV]] together with reasonable [[dark matter]] candidates in the form of [[axions]] and/or W-ino [[WIMPs]], which are generated non-thermally via late-time moduli decays.

## Properties

### Hierarchy (non-)problem
 {#HierarchyProblem}

It has been argued that ([Acharya-Kane-Kumar 12, section  V.A.2 (p. 10-11)](#AcharyaKaneKumar12)) [[model (physics)|models]] in [[M-theory on G2-manifolds]] provide a generic solution to the [[hierarchy problem]] due to control over [[non-perturbative effects]] from [[membrane instantons]], which due to their exponential nature, provide the required exponential hierarchy. See also [above](#GaugeHierarchy).



## Related concepts

* [[G2]], [[G2-manifold]]

* [[M-theory on G2-manifolds]]

* [[split supersymmetry]]

## References

A popular exposition is in

* {#Kane17} [[Gordon Kane]], _String theory and the real world_, Morgan & Claypool, 2017 (<a href="http://iopscience.iop.org/book/978-1-6817-4489-6">doi:0.1088/978-1-6817-4489-6</a>)


A comprehensive account is in 

* [[Bobby Acharya]], Konstantin Bobkov, [[Gordon Kane]], [[Piyush Kumar]], Jing Shao, _The $G_2$-MSSM - An $M$ Theory motivated model of Particle Physics_ ([arXiv:0801.0478](http://arxiv.org/abs/0801.0478))

Original articles include

* {#AcharyaWitten01} [[Bobby Acharya]], [[Edward Witten]], _Chiral Fermions from Manifolds of $G_2$ Holonomy_ ([arXiv:hep-th/0109152](http://arxiv.org/abs/hep-th/0109152))
 
* [[Bobby Acharya]], Konstantin Bobkov, [[Gordon Kane]], [[Piyush Kumar]], Jing Shao, _Explaining the Electroweak Scale and Stabilizing Moduli in M Theory_ ([arXiv:hep-th/0701034](http://xxx.lanl.gov/abs/hep-th/0701034)) 

* [[Bobby Acharya]], Konstantin Bobkov, [[Gordon Kane]], [[Piyush Kumar]], Diana Vaman, _An M theory Solution to the Hierarchy Problem_ ([arXiv:hep-th/0606262](http://arxiv.org/abs/hepth/0606262))

* [[Bobby Acharya]], Konstantin Bobkov, _K&#228;hler Independence of the $G_2$-MSSM_, JHEP ([arXiv:0810.3285](http://arxiv.org/abs/0810.3285))


A review of the specific [[phenomenology|phenomenological]] properties is in 

* {#AcharyaKaneKumar12} [[Bobby Acharya]], [[Gordon Kane]], Piyush Kumar, _Compactified String Theories -- Generic Predictions for Particle Physics_,  Int. J. Mod. Phys. A, Volume 27 (2012) 1230012 ([arXiv:1204.2795](http://arxiv.org/abs/1204.2795))

For more references see at _[[M-theory on G2-manifolds]]_.

Discussion of the [[Higgs mechanism]] in this model includes

* {#Kane11} [[Gordon Kane]], _String theory and generic predictions for our world &#8211; superpartner masses, LHC signatures, dark matter, EWSB, cosmological history of universe, etc_, talk at String phenomenology 2011, August 2011 ([pdf](http://conferencing.uwex.edu/conferences/stringpheno2011/documents/kane.pdf))

* [[Gordon Kane]], Piyush Kumar, Ran Lu, Bob Zheng, _Higgs Mass Prediction for Realistic String/M Theory Vacua_, Phys. Rev. D 85, 075026 ([arXiv:1112.1059](http://arxiv.org/abs/1112.1059))

(a useful informed comment is [here](http://www.math.columbia.edu/~woit/wordpress/?p=4262&cpage=1#comment-101525))

More recent predictions are in

* {#EllisKaneZheng014} Sebastian A.R. Ellis, [[Gordon Kane]], Bob Zheng, _Superpartners at LHC and Future Colliders: Predictions from Constrained Compactified M-Theory_ ([arXiv:1408.1961](http://arxiv.org/abs/1408.1961))