> This entry is about the notion in [[physics]]. For the notion of _model_ in [[logic]] see at _[[model (logic)]]_.

***

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

### In particle physics

In [[particle physics]] [[phenomenology]] a _model_ is the specification of a [[physical theory]], fundamentally of a [[quantum field theory]], that reproduces aspects [[phenomenology]], notably the fundamental physics observed in [[particle accelerators]].

The _[[standard model of particle physics]]_ is, by default, the currently best model available, given the available experimental data. 

Despite the success of this model, it is conceptually unsatisfactory in many ways and it is clear that it can be a roughly accurate description of reality not high above the currently experimentally available [[energy]]-scales. Therefore [[phenomenology|phenomenologists]] still "build" plenty of other models that refine the standard model in one way or other, being compatible with the present data, but making various other predictions for what should be observed at higher energies.

It is generally understood that models are approximations to reality. The proverbial saying goes:

> Every model is wrong. But some models are useful.



## Examples

### In particle physics

* [[standard model of particle physics]]

* [[Connes-Lott-Chamseddine model]]

* [[Grand Unified Theory]]

* [[MSSM]]

  * [[G2-MSSM]]

### In cosmology

[[cosmology]]

* [[standard model of cosmology]]

## Related concepts

* [[theory (physics)]], [[experiment]], [[coordination]]

* [[bottom-up and top-down model building]]

* [[intersecting D-brane model]]

* [[computable physics]]

* [[mathematical physics]]

* [[naturalness]]

* [[landscape of string theory vacua]]

* [string theory FAQ -- Does string theory make predictions?](string+theory+FAQ#HowDoesStringTheoryMakePredictions)

* [string theory FAQ -- What does it mean to say that string theory has a "landscape of solutions"?](http://ncatlab.org/nlab/show/string+theory+FAQ#WhatDoesItMeanToSayStringTheoryHasALandscapeOfSolutions)


[[!redirects model (in particle phyiscs)]]

[[!redirects model (in particle physics)]]

[[!redirects models (in theoretical physics)]]

[[!redirects model (physics)]]

[[!redirects model building]]


