

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Homological algebra
+--{: .hide}
[[!include homological algebra - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

The classical and motivating examples of a [[homotopy spectral sequence]] is the [[Bousfield-Kan spectral sequence]] which computes [[homotopy groups]] of a [[topological space]]/[[simplicial set]]/[[homotopy type]] realized as the [[totalization]] of a [[cosimplicial homotopy type]]. It may be regarded as the unstable analog of the [[Adams spectral sequence]], which computes homotopy groups of certain [[spectra]]. The corresponding [[spectral sequence]] for [[homology groups]] of the totalization of a [[cosimplicial homotopy type]] is the [[Eilenberg-Moore spectral sequence]].


## References

The [[Bousfield-Kan spectral sequence]] was introduced and originally studied in

* [[Aldridge Bousfield]], [[Daniel Kan]], _The homotopy spectral sequence of a space with coefficients in a ring_. Topology, 11, pp. 79&#8211;106, 1972.

* [[Aldridge Bousfield]], [[Daniel Kan]], _A second quadrant homotopy spectral sequence_, Transactions of the American Mathematical Society Vol. 177, Mar., 1973 ([pdf](http://www.ams.org/journals/tran/1973-177-00/S0002-9947-1973-0372859-6/S0002-9947-1973-0372859-6.pdf))

* [[Aldridge Bousfield]], [[Daniel Kan]], _Pairings and products in the homotopy
spectral sequence_. Transactions of the American Mathematical Society, 177,
pp. 319&#8211;343, 1973.

* [[Aldridge Bousfield]], _Homotopy Spectral Sequences and Obstructions_, Isr. J. Math. 66 (1989), 54-104.

An early textbook account of this work is in 

* {#BousfieldKan72} [[Aldridge Bousfield]], [[Daniel Kan]], _Homotopy limits, completions and localization_, Springer 1972

Lecture notes include

* [[Bertrand Guillou]], _The Bousfield-Kan spectral sequence_ [pdf](http://www.ms.uky.edu/~guillou/BKss.pdf)

Discussion of computations using [[effective homology]] includes

* Romero Ibanez, _Effective homology and spectral sequences_, 2007 ([pdf](http://www.unirioja.es/cu/anromero/zgz07.pdf))

Discussion in [[homotopy type theory]] is in
 
* {#Shulman13} [[Mike Shulman]], _Spectral sequences_ 2013 ([part I](https://golem.ph.utexas.edu/category/2013/08/what_is_a_spectral_sequence.html), [part II](http://homotopytypetheory.org/2013/08/08/spectral-sequences/))


[[!redirects Bousfield-Kan spectral sequence]]
