
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Homological algebra
+--{: .hide}
[[!include homological algebra - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

### In ordinary cohomology

The _Serre spectral sequence_ or _Leray-Serre spectral sequence_
is a [[spectral sequence]] for computation of [[ordinary cohomology]] ([[ordinary homology]]) of [[topological spaces]] in a [[Serre fibration|Serre]]-[[fiber sequence]] of [[topological spaces]].

Given a [[homotopy fiber sequence]]

$$
  \array{
     F &\longrightarrow& E
     \\
     && \downarrow^{\mathrlap{p}}
     \\
     && X
  }
$$

over a simply connected space $X$, then the corresponding cohomology Serre spectral sequence looks like

$$
  E_2^{p,q}= H^p(X, H^q(F)) \Rightarrow H^{p+q}(E)
  \,.
$$

### In generalized cohomology

The generalization of this from [[ordinary cohomology]] to [[generalized (Eilenberg-Steenrod) cohomology]] is the _[[Atiyah-Hirzebruch spectral sequence]]_, see there for details.

### In relative cohomology
 {#InRelativeCohomology}

There are two kinds of **relative Serre spectral sequences**.

For $F \to E \to X$ as above and $A \hookrightarrow X$ a subspace, the induced restriction of the fibration

$$
  \array{   
    F & \simeq & F
    \\
    \downarrow && \downarrow
    \\
    p^{-1}(A) &\longrightarrow& E
    \\
    \downarrow && \downarrow^{\mathrlap{p}}
    \\
    A &\hookrightarrow& X
  }
$$

induces a spectral sequence in [[relative cohomology]] of the base space of the form

$$
  E_2^{p,q}
  =
  H^p(X,A; H^q(F))
    \;\Rightarrow\;
  H^\bullet(E, p^{-1}(A))
  \,.
$$

(e.g. [Davis 91, theorem 9.33](#Davis91))

Conversely, for 

$$
  \array{   
    F' & \hookrightarrow & F
    \\
    \downarrow && \downarrow
    \\
    E' &\hookrightarrow& E
    \\
    \downarrow && \downarrow^{\mathrlap{p}}
    \\
    X &\hookrightarrow& X
  }
$$

a sub-fibration over the same base, then this induces a spectral sequence for [[relative cohomology]] of the the total space in terms of ordinary cohomology with coefficients in the relative cohomology of the fibers:

$$
  E^{p,q}_2 = H^p(X; H^q(F,F'))
    \;\Rightarrow\;
  H^\bullet(E,E')
  \,.
$$

(e.g. [Kochmann 96, theorem 2.6.3](#Kochmann96), [Davis 91, theorem 9.34](#Davis91))

### In equivariant cohomology

There is also a generalization to [[equivariant cohomology]]: for [cohomology with coefficients in a Mackey functor](Mackey+functor#Cohomology) with[[RO(G)-grading]] for [[representation spheres]] $S^V$, then for $E \to X$ an $F$-fibration of [[topological G-spaces]] and for $A$ any $G$-[[Mackey functor]], the equivariant Serre spectral sequence looks like ([Kronholm 10, theorem 3.1](#Kronholm10)):

$$
  E_2^{p,q} = H^p(X, H^{V+q}(F,A)) \,\Rightarrow\, H^{V+p+q}(E,A)
  \,,
$$

where on the left in the $E_2$-page we have [[ordinary cohomology]] with [[coefficients]] in the genuine equivariant cohomology groups of the fiber.


## Details

For details on the plain Serre spectral sequence see at _[[Atiyah-Hirzebruch spectral sequence]]_ and take $E = H R$ to be ordinary cohomology.  

## Consequences

* [[Serre long exact sequence]]

* [[Gysin sequence]]



## References

### General

The original article is 

* [[Jean-Pierre Serre]], _Homologie singuli&eacute;re des espaces fibr&eacute;s_ Applications, Ann. of Math. 54 (1951), 

Textbook accounts include

* [[Alan Hatcher]], _[Spectral sequences in algebraic topology](http://www.math.cornell.edu/~hatcher/SSAT/SSATpage.html)_ _I: The Serre spectral sequence_ ([pdf](http://www.math.cornell.edu/~hatcher/SSAT/SSch1.pdf))

* {#Kochmann96} [[Stanley Kochmann]], section 2.2. of _[[Bordism, Stable Homotopy and Adams Spectral Sequences]]_, AMS 1996

* {#Davis91} Davis, _Lecture notes in algebraic topology_, 1991

Lecture notes etc. includes

* [[Greg Friedman]], _Some extremely brief notes on the Leray spectral sequence_ ([pdf](http://faculty.tcu.edu/richardson/Seminars/Gregspecseq.pdf))

Discussion in [[homotopy type theory]] includes

* [[Mike Shulman]], _[Spectral Sequences](http://homotopytypetheory.org/2013/08/08/spectral-sequences/)_, 2013

### In equivariant cohomology

In [[equivariant cohomology]], for [[Bredon cohomology]]:

* [[Ieke Moerdijk]], J.-A. Svensson, _The Equivariant Serre Spectral Sequence_, Proceedings of the American Mathematical Society Vol. 118, No. 1 (May, 1993), pp. 263-278 ([JSTOR](http://www.jstor.org/stable/2160037))

and for genuine equivariant cohomology, i.e. for [[RO(G)-grading|RO(G)]]-graded [cohomology with coefficients in a Mackey functor](Mackey+functor#Cohomology):

* {#Kronholm10} [[William Kronholm]], _The $RO(G)$-graded Serre spectral sequence_, Homology Homotopy Appl. Volume 12, Number 1 (2010), 75-92. ([pdf](http://www.swarthmore.edu/NatSci/wkronho1/serre.pdf), [Euclid](https://projecteuclid.org/euclid.hha/1296223823))

See also

* [[Megan Shulman]], _Equivariant Spectral Sequences for Local Coefficients_ ([arXiv:1005.0379](http://arxiv.org/abs/1005.0379))



[[!redirects Serre spectral sequences]]

[[!redirects Leray-Serre spectral sequence]]
[[!redirects Leray-Serre spectral sequences]]