
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher symplectic geometry
+--{: .hide}
[[!include symplectic geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

_2-Plectic geometry_ is the higher generalization of [[symplectic geometry]], the special case of  [[n-plectic geometry]] ([[multisymplectic geometry]]) for $n = 2$. This is the input for [[higher prequantum geometry]] in degree 2.

As symplectic geometry naturally describes [[classical mechanics]] and, via [[geometric quantization]], [[quantum mechanics]], hence 1-dimensional [[quantum field theory]], so 2-plectic geometry naturally describes 2-dimensional [[classical field theory]] and, via its [[higher geometric quantization]], 2-dimensional [[QFT]].

## Examples

* A [[semisimple Lie group]] is canonically a 2-plectic manifold, with the canonical 3-form $\langle -, [-,-]\rangle$ on the [[Lie algebra]] (the canonical [[Lie algebra cohomology|Lie algebra cocycle]]), extended to a [[left invariant differential form]].

* A [[G2-manifold]] is manifold of [[dimension]] 7 characterized by carrying a 2-plectic form. 

* A (pre-)[[symplectic groupoid]] is a [[Lie groupoid]] equipped with a (pre-)2-plectic structure.

## Related concepts

[[!include geometric quantization extensions - table]]

[[!include infinity-CS theory for binary non-degenerate invariant polynomial - table]]


* [[Nambu mechanics]]

## References

### General

Over [[smooth manifolds]], the general setup is discussed in 

* [[Chris Rogers]], _Higher symplectic geometry_ PhD thesis (2011) ([arXiv:1106.4068](http://arxiv.org/abs/1106.4068))

and considered in the general context of [[higher differential geometry]]/[[extended prequantum field theory]] in 

* [[Domenico Fiorenza]], [[Chris Rogers]], [[Urs Schreiber]],

  _[[schreiber:Higher geometric prequantum theory]]_, 

  _[[schreiber:L-∞ algebras of local observables from higher prequantum bundles]]_


### Application to the string $\sigma$-model
 {#ReferencesStringSigmaModel}

Applications to the 2-dimensional [[string]] [[sigma-model]] (see at [[string Lie 2-algebra]]) are discussed in

* {#BaezRogers10} [[John Baez]], [[Chris Rogers]], _Categorified Symplectic Geometry and the String Lie 2-Algebra_, Homology Homotopy Appl. Volume 12, Number 1 (2010), 221-236. ([arXiv:0901.4721](http://arxiv.org/abs/0901.4721),[euclid](https://projecteuclid.org/euclid.hha/1296223828)).

* [[John Baez]], [[Alexander Hoffnung]], [[Chris Rogers]], _Categorified Symplectic Geometry and the Classical String_ ([arXiv:0808.0246](http://arxiv.org/abs/0808.0246/))

A survey of some (potential) applications of 2-plectic geometry in [[string theory]] and [[M2-brane]] models is in section 2 of

* [[Christian Saemann]], [[Richard Szabo]], _Groupoid quantization of loop spaces_ ([arXiv:1203.5921](http://arxiv.org/abs/1203.5921))

and in 

* [[Christian Saemann]], [[Richard Szabo]], _Quantization of 2-Plectic Manifolds_ ([arXiv:1106.1890](http://arxiv.org/abs/1106.1890))



[[!redirects 2-plectic manifold]]
[[!redirects 2-plectic manifolds]]
