
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher category theory
+--{: .hide}
[[!include higher category theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

An [[(∞,n)-category]] $\mathcal{C}$ is said to _have 1-adjoints_ if in its [[homotopy 2-category]] $Ho_2(\mathcal{C})$ every [[1-morphism]] is part of an [[adjunction]]. By [[recursion]], for $n \geq 3$ and $k \geq 2$ an [[(∞,n)-category]] _has $k$-adjoints_ if for every pair $X, Y$ of [[objects]] the [[hom object|hom (∞,n-1)-category]] $\mathcal{C}(X,Y)$ has adjoints for $(k-1)$-morphisms.

An $(\infty,n)$-category _has all adjoints_ (or just _has adjoints_, for short) if it has adjoints for $k$-morphisms for $0 \lt k \lt n$.

If in addtition every [[object]] in $\mathcal{C}$ is a [[fully dualizable object]], then $\mathcal{C}$ is called an _[[(∞,n)-category with duals]]_.

## Properties

### Internal language

The [[internal language]] of $(\infty,n)$-categories with duals seems plausibly to be axiomatizable in [[opetopic type theory]]. 

## Examples

* An [[(∞,n)-category of cobordisms]] has all adjoints.

## Related concepts

* [[(∞,n)-category with duals]]

* [[fully dualizable object]]


## References
 {#References}

The notion appears first in section 2.3 of 

* [[Jacob Lurie]], _[[On the Classification of Topological Field Theories]]_

A model for $(\infty,n)$-categories with all adjoints in terms of [[(∞,1)-sheaves]] on a [[site]] of a variant of $n$-[[dimension|dimensional]] [[manifolds]] with [[embeddings]] between them is discussed in 

* [[David Ayala]], [[Nick Rozenblyum]], _Weak $n$-categories are sheaves on iterated submersions of $\leq n$-manifolds_ (in preparation)

* [[David Ayala]], [[Nick Rozenblyum]], _Weak $n$-categories with adjoints are sheaves on $n$-manifolds_ (in preparation)
 
previewed in

* {#Ayala12} [[David Ayala]], _Higher categories are sheaves on manifolds_, talk at _[FRG Conference on Topology and Field Theories](http://www.nd.edu/~cmnd/conferences/topology/)_, U. Notre Dame (2012) ([video](http://www.youtube.com/watch?v=8nm2ByS5NnY))

  **Abstract** [[topological chiral homology|Chiral]]/[[factorization homology]] gives a procedure for constructing a [[topological field theory]] from the data of an [[En-algebra]]. I'll explain a multi-object version of this construction which produces a topological field theory from the data of an $n$-category with adjoints. This construction is a consequence of a more primitive result which asserts an equivalence between [[(infinity,n)-category|n-categories]] with adjoints and "transversality sheaves" on [[framed manifold|framed]] $n$-[[manifolds]] - of which there is an abundance of examples. 

* [[Nick Rozenblyum]], _Manifolds, Higher Categories and Topological Field Theories_, talk Northwestern University (2012) ([pdf slides](http://math.northwestern.edu/~nrozen/notes/jmm12.pdf))

[[!redirects (∞,n)-category with all adjoints]]
[[!redirects (infinity,n)-category with all adjoints]]

[[!redirects (∞,n)-category with adjoints]]
[[!redirects (∞,n)-categories with adjoints]]
[[!redirects (infinity,n)-categories with adjoints]]
