+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Topos Theory
+--{: .hide}
[[!include topos theory - contents]]
=--
#### Category Theory
+--{: .hide}
[[!include category theory - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

_Topos theory_ is the part of [[category theory]] that studies [[categories]] which are [[topos]]es. This includes in particular [[Grothendieck toposes]], i.e. [[categories of sheaves]].

There are always two ways to think of topos theory: as being

* about [[logic]]

* about [[higher geometry|geometry]].


## Related concepts

* **topos theory**

* [[2-topos theory]]

* [[(∞,1)-topos theory]]

* [[higher topos theory]]

* [[microlocal sheaf theory]]

## References


### Introductions


Introductions include 

* [[Ross Street]], _A survey of topos theory_ (notes for students, 1978) [pdf](http://www.math.mq.edu.au/~street/ToposSurvey.pdf)

* [[Tom Leinster]], _[[Leinster2010|An informal introduction to topos theory]]_ (2010)

* {#Joyal15} [[André Joyal]], _[[A crash course in topos theory -- The big picture]]_, lecture series at [Topos &#224; l'IHES](https://indico.math.cnrs.fr/event/747/), November 2015, Paris 

* [[André Joyal]], _Geometric aspects of topos theory in relation with logical doctrines_, talk at _[[New Spaces for Mathematics and Physics]]_, IHP Paris 2015 ([video recording](https://www.youtube.com/watch?v=kaZpOEOAUzE))

### Textbooks

A standard textbook is

* [[Peter Johnstone]], _Topos theory_, London Math. Soc. Monographs __10__, Acad. Press 1977, xxiii+367 pp.

This later grew into the more detailed

* [[Peter Johnstone]], [[Elephant|Sketches of an elephant: a topos theory compendium]]

A quick introduction of the basic facts of [[Grothendieck topos]] theory is chapter I, "Background in topos theory" in 

* [[Ieke Moerdijk]], _Classifying Spaces and Classifying Topoi_ Lecture Notes in Mathematics 1616, Springer (1995)

A standard textbook on this case is

* [[Saunders MacLane]], [[Ieke Moerdijk]], _[[Sheaves in Geometry and Logic]]_

Introducing even category theory from the scratch while still managing to cover considerable ground, the following textbook is the _royal road to topos theory_ for people with some background in [[first-order logic]]:

* {#Goldblatt84} R. Goldblatt, _Topoi - The Categorical Analysis of Logic_ , 2nd ed. North-Holland Amsterdam 1984. (Dover reprint New York 2006; [project euclid](http://projecteuclid.org/euclid.bia/1403013939))


A gentle basic introduction is 

* [[John Baez]], [Topos Theory in a Nutshell](http://math.ucr.edu/home/baez/topos.html).

A quick introduction of the basic facts of [[Grothendieck topos]] theory is chapter I, "Background in topos theory" in 

* [[Ieke Moerdijk]], _Classifying Spaces and Classifying Topoi_ Lecture Notes in Mathematics 1616, Springer (1995)


A survey is in

* [[Ross Street]], _A survey of topos theory_ (notes for students, 1978) [pdf](http://www.math.mq.edu.au/~street/ToposSurvey.pdf)

See also 

* [[Olivia Caramello]], _Theories, Sites, Toposes_, Oxford 2017


### Course notes

* [[Ieke Moerdijk]], [[Jaap van Oosten]], _Topos theory_ Master Class notes (2007) ([pdf](http://www.staff.science.uu.nl/~ooste110/syllabi/toposmoeder.pdf))

### History

* [[Colin McLarty]], _The Uses and Abuses of the History of Topos Theory_ , Brit. J. Phil. Sci., 41 (1990) ([JSTOR](http://www.jstor.org/stable/687825)) [PDF](http://bjps.oxfordjournals.org/content/41/3/351.full.pdf)

* _[The peripatetic seminar on sheaves and logic 1976-1999](http://www.wra1th.plus.com/gcw/rants/math/PSSL/index.html)_

[[!redirects Sheaf and Topos Theory]]
[[!redirects sheaf theory]]
[[!redirects topos theory]]