

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### Quantum field theory
+--{: .hide}
[[!include functorial quantum field theory - contents]]
=--
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea
 {#Idea}

Beyond the speculative hypothetized role of [[string theory]] as a physical theory of [[fundamental strings]] that constitute the observed [[fundamental particles]] in the [[standard model of particle physics]], the theory has shed light on many aspects of [[quantum field theory]] as such, both on the conceptual structure of QFT as well as on concrete theories and their concrete properties such as of. This entry lists such instances of string theory results having lead to insights in non-stringy physics and in particular into experimentally confirmed physics, such as [[QCD]] in the [[standard model of particle physics]].

> Le plus court chemin entre deux v&#233;rit&#233;s dans le domaine r&#233;el passe par le domaine complexe. 

> [[Jacques Hadamard]] ([source](http://homepage.math.uiowa.edu/~jorgen/hadamardquotesource.html))
 

## Examples

The two basic theories that underlie observed fundamental physics -- and which string theory unifies at least qualitatively and in [[perturbation theory]] -- are [[Yang-Mills theory]] and [[gravity|Einstein gravity]]/[[general relativity]]. 

1. [Applications to Yang-Mills theory](#ApplicationsToYangMillsTheory)

1. [Applications to Gravity](#ApplicationsToGravity)

Many of the insights are based on the gauge/gravity duality in string theory:

1. [General relation between Yang-Mills theory and gravity]()




### Worldline formalism

The [[worldline formalism]] for expressing QFT [[scattering amplitudes]] in an effective [[gauge invariance|gauge invariant]] way (different from but equivalent to the [[Feynman rules]]) was originally found by taking the point-particle limit of the expressions for [[string scattering amplitudes]]. See at _[[worldline formalism]]_ for more.

Example:

The first calculuation along these lines was actually done earlier in ([Metsaev-Tseytlin 88](#MetsaevTseytlin88)), where the [[1-loop]] [[beta function]] for pure [[Yang-Mills theory]] was obtained as the point-particle limit of the [[partition function]] of a [[bosonic string|bosonic]] [[open string]] in a Yang-Mills [[background field]]. This provided a theoretical explanation for the observation, made earlier in ([Nepomechie 83](#Nepomechie83)) that when computed via [[dimensional regularization]] then this [[beta function]] coefficient of [[Yang-Mills theory]] vanishes in [[spacetime]] [[dimension]] 26. This of course is the critical dimension of the [[bosonic string]].

* {#Nepomechie83} R.I. Nepomechie, _Remarks on quantized Yang-Mills theory in 26 dimensions_, Physics Letters B Volume 128, Issues 3–4, 25 August 1983, Pages 177-178 Phys. Lett. B128 (1983) 177 (<a href="https://doi.org/10.1016/0370-2693(83)90385-4">doi:10.1016/0370-2693(83)90385-4</a>)

* {#MetsaevTseytlin88} [[Ruslan Metsaev]], [[Arkady Tseytlin]], _On loop corrections to string theory effective actions_, Nuclear Physics B Volume 298, Issue 1, 29 February 1988, Pages 109-132 (<a href="https://doi.org/10.1016/0550-3213(88)90306-9">doi:10.1016/0550-3213(88)90306-9</a>)



### General relation between Yang-Mills theory and gravity

[[AdS/CFT correspondence]] [[open/closed string duality]]

* Spenta R. Wadia, _Gauge/Gravity Duality and Some Applications_ ([arXiv:1009.0212](http://arxiv.org/abs/1009.0212))

talks at

* [[Zvi Bern]], Thomas Gehrmann, Frank Petriello, Anastasia Volovich, _The Harmony of Scattering Amplitudes_ KITP Program (2011) ([web](http://online.kitp.ucsb.edu/online/qcdscat11/))

### Applications to Yang-Mills theory
 {#ApplicationsToYangMillsTheory}

#### Worldline formalism

The [[worldline formalism]] for expressing QFT [[scattering amplitudes]] in an effective [[gauge invariance|gauge invariant]] way (different from but equivalent to the [[Feynman rules]]) was originally found by taking the point-particle limit of the expressions for [[string scattering amplitudes]]. See at _[[worldline formalism]]_ for more.

Example:

The first calculuation along these lines was actually done earlier in ([Metsaev-Tseytlin 88](#MetsaevTseytlin88)), where the [[1-loop]] [[beta function]] for pure [[Yang-Mills theory]] from the [[partition function]] of a [[bosonic string|bosonic]] [[open string]] in a Yang-Mills [[background field]]. This provided a theoretical explanation for the observation, made earlier in ([Nepomechie 83](#Nepomechie83)) that when computed in via [[dimensional regularization]] then this [[beta function]] coefficient of [[Yang-Mills theory]] vanishes in [[spacetime]] [[dimension]] 26. This of course is the critical dimension of the [[bosonic string]].

* {#Nepomechie83} R.I. Nepomechie, Phys. Lett. B128 (1983) 177

* {MetsaevTseytlin88} [[Ruslan Metsaev]], [[Arkady Tseytlin]], _On loop corrections to string theory effective actions_, Nuclear Physics B Volume 298, Issue 1, 29 February 1988, Pages 109-132 ([doi:10.1016/0550-3213(88)90306-9](https://doi.org/10.1016/0550-3213(88)90306-9))



#### QFT Duality and specifically Montonen-Olive electric/magnetic duality

By embedding quantum field theories in string theory (typically as the [[worldvolume]] theories of various [[branes]]) the various [[duality in string theory|dualities of string theory]] will relate different QFTs in ways that are typically far from obvious from just looking at these QFTs themselves. 

The investigation specifically of [[N=1 D=4 super Yang-Mills theory]] and [[N=2 D=4 super Yang-Mills theory]] in this fashion has come to be known as _[[geometric engineering of quantum field theory]]_.

[[Montonen-Olive duality]] of ([[super Yang-Mills theory|super]])  [[Yang-Mills theory]] derives from conformal invariance of the [[6d (2,0)-supersymmetric QFT]] (see there) [[Kaluza-Klein mechanism|compactified]] on a [[torus]].

[[!include gauge theory from AdS-CFT -- table]]

See also

* [[Matthew Strassler]], _Millenial Messages for QCD from the Superworld and from the String_ ([arXiv:hep-th/0309140](http://arxiv.org/abs/hep-th/0309140))


#### Application to QCD and experimental particle physics

The realization of [[Yang-Mills theory]] that describes [[quarks]] and their interaction by the [[strong nuclear force]] carried by [[gluons]] is _[[quantum chromodynamics]]_ ([[QCD]]).

1. [QCD Scattering amplitudes](#QCDScatteringAmplitudes)

1. [Quark-gluon plasma](#QuarkGluonPlasma)

##### Scattering amplitudes
 {#QCDScatteringAmplitudes}

The [[string scattering amplitudes]] exhibit certain relations due to the extended nature of the string which are retained in the point particle limit and hence explain and serve to discover subtle relations in [[QFT]] [[scattering amplitudes]]. 

* [[twistor string theory]] explains some ([[N=4 D=4 super Yang-Mills theory|super]]) [[Yang-Mills theory]] [[scattering amplitudes]]

* Precision scattering amplitudes in [[QCD]] use [[twistor string theory]] [[on-shell recursion]] methods,

This also goes by the term "on-shell methods". See also at _[[amplituhedron]]_.

Reviews include

* [[Matthew Strassler]], _From string theory to the large hadron collider_ ([blog post](http://profmattstrassler.com/2012/08/15/from-string-theory-to-the-large-hadron-collider/))

* {#Dixon13} [[Lance Dixon]], _Calculating Amplitudes_, December 2013 ([web](http://www.preposterousuniverse.com/blog/2013/10/03/guest-post-lance-dixon-on-calculating-amplitudes/))
 

* Rutger Boels, _On-shell recursion for string theory amplitudes on the disk and the sphere_ ([pdf](http://www.itp.uni-hannover.de/nordic/slides/Boels.pdf))

Original articles include

* [[Zvi Bern]], [[Lance Dixon]], [[David Kosower]], _On-Shell Methods in Perturbative QCD_ ([arXiv:0704.2798](http://arxiv.org/abs/0704.2798))

* [[Joseph Polchinski]], [[Matthew Strassler]], _Hard Scattering and Gauge/String Duality_, Phys.Rev.Lett.88:031601,2002, ([arXiv:hep-th/0109174](http://lanl.arxiv.org/abs/hep-th/0109174))

See also below _[Application to gravity -- Scattering amplitudes](#GravityScattetingAmplitudes)_.


##### Quark-gluon plasma
 {#QuarkGluonPlasma}

Properties of [[quark-gluon plasma]] from [[AdS/CFT|AdS/CFT-dual]] [[type II string theory]]

* Pavel Kovtun, _Quark-Gluon Plasma and String Theory_, RHIC news (2009) ([blog entry](http://www.bnl.gov/rhic/news/091107/story2.asp))

* Makoto Natsuume, _String theory and quark-gluon plasma_ ([arXiv:hep-ph/0701201](http://arxiv.org/abs/hep-ph/0701201))

* [[Steven Gubser]], _Using string theory to study the quark-gluon plasma: progress and perils_ ([arXiv:0907.4808](http://arxiv.org/abs/0907.4808))

#### To the confinement problem

Discussion of [[confinement]] in the context of the [[AdS-CFT correspondence]] is in

* [[David Berman]], Maulik K. Parikh, _Confinement and the AdS/CFT Correspondence_, Phys.Lett. B483 (2000) 271-276 ([arXiv:hep-th/0002031](http://es.arxiv.org/abs/hep-th/0002031))

* Henrique Boschi Filho, _AdS/QCD and confinement_, Seminar at the _Workshop on Strongly Coupled QCD: The confinement problem_, November 2011 ([pdf](http://www.if.ufrj.br/~boschi/pesquisa/seminarios/AdS_QCD_Confinement_UERJ_2011.pdf))


#### To super Yang-Mills theory

[[Seiberg duality]] in [[super Yang-Mills theory]] is conceptually explained by [[type II string theory]] on certain [[D-brane]] configurations (...)


### Applications to gravity
 {#ApplicationsToGravity}

#### Scattering amplitudes
 {#GravityScattetingAmplitudes}


* [[open/closed string duality]] in [[string scattering amplitudes]] allows to compute [[gravity]] [[scattering amplitudes]] in terms of [[Yang-Mills theory]] scattering amplitudes: the _[[KLT relations]]_

* [[Zvi Bern]], _Perturbative Quantum Gravity and its Relation to Gauge Theory_, Living Rev Relativ. 2002; 5(1): 5. ([arXiv:gr-qc/0206071](https://arxiv.org/abs/gr-qc/0206071), [doi:10.12942/lrr-2002-5](https://dx.doi.org/10.12942%2Flrr-2002-5))

* more on this string-organizatioon of [[graviton]] [[scattering]] amplitudes is in

  David C. Dunbar, Paul S. Norridge, _Calculation of Graviton Scattering Amplitudes using String-Based Methods_, Nucl.Phys. B433 (1995) 181-208 ([arXiv:hep-th/9408014](http://arxiv.org/abs/hep-th/9408014))


* [[KLT relations]] used for instance to demonstrate:

  * multi-loop finiteness of [[N=8 d=4 supergravity]]


#### Black hole entropy

Semi-classical QFT computations suggest that there should be [[entropy]] associated with  [[black holes]], the _[[Bekenstein-Hawking entropy]]_, without however providing microscopic degrees of freedom of which this would be an entropy in the ordinary sense.

Since the quantum dynamics of general black holes is outside the reach of perturbative methods in string theory, certain [[supersymmetric black hole]] solutions in [[supergravity]] have properties independent of the coupling and are known to be the strong-coupling limit of what at weak coupling is a certain configuration of [[branes]] in flat space. Therefore the ordinary entropy of these brane configurations should match the [[Bekenstein-Hawking entropy]] of the corresponding black holes, and this has been confirmed to good precision. 

While this argument does not give direct information about the origin of the BH-entropy of physically observed black holes, it does show conceptually, in the general context of black holes in theories of gravity, BH-entropy can be accounted for by microscopic degrees of freedom in a theory of [[quantum gravity]].

Reviews include

chapter 5 of 

* [[Ofer Aharony]], S.S. Gubser, [[Juan Maldacena]], H. Ooguri, Y. Oz, _Large N Field Theories, String Theory and Gravity_ ([arXiv:hep-th/9905111](http://arxiv.org/abs/hep-th/9905111))
 {#AGMOO}

### Application to pure mathematics

#### Twisted K-theory

* [[twisted K-theory]]

#### Monstrous moonshine

* [[monstrous moonshine]]

#### (...)

(...)