
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The standard [[model (in theoretical physics)]] for the [[observable universe]] on the largest length scales of [[cosmology]]:

it is an [[cosmic inflation|inflationary]] [[FRW spacetime]] with [[cosmological constant]] ("[[dark energy]]") and cold [[dark matter]]. The technical term for this is the _$\Lambda$ CDM concordance model_ (where "$\Lambda$" is the standard symbol for the [[cosmological constant]] and "CDM" is for "cold dark matter"). 



The current model assumes that the energy density of the [[observable universe]] consists of

* 4.9% [[baryon|baryonic]] (visible) [[matter]]

* 26.8% [[dark matter]]

* 68.3% [[dark energy]].


<img src="http://ncatlab.org/nlab/files/DarkEnergyConcordance.gif" width="400">

(e.g. [Einasto 09, fig 17](#Einasto09), [here](https://ned.ipac.caltech.edu/level5/Sept09/Einasto/Einasto6.html))

## Properties

### Vacuum energy and Cosmological constant


The [[renormalization]] freedom in [[perturbative QFT|perturbative]] [[quantization]] of [[gravity]] ([[perturbative quantum gravity]]) induces freedom in the choice of [[vacuum expectation value]] of the [[stress-energy tensor]] and hence in the [[cosmological constant]]. 

For review see [Hack 15, section 3.2.1](#Hack15)

For more see at [[cosmological constant]] [here](cosmological+constant#InPerturbativeQuantumGravity).


## Related concepts

* [[dark energy]], [[dark matter]], [[MOND]]

* [[baryogenesis]]

* [[standard model of particle physics]]

* [[theory of everything]]

* [string theory FAQ -- Does string theory tell us anything about cosmology, such as the Big bang or cosmic inflation?](string+theory+FAQ#InsightsIntoCosmology)

[[!include standard model of fundamental physics - table]]


## References

### General

Lecture notes include

* [[Matthias Blau]], chapter 37 of _Lecture notes on general relativity_ ([web](http://www.blau.itp.unibe.ch/GRLecturenotes.html))

A review is in 

* Jorge L. Cervantes-Cota, George Smoot, _Cosmology today -- A brief review_ (2011)([arXiv:1107.1789](http://arxiv.org/abs/1107.1789))

A discussion of open problems is in 

* Benoit Famaey, Stacy McGaugh, _Challenges for Lambda-CDM and MOND_ ([arXiv:1301.0623](http://arxiv.org/abs/1301.0623))

See also

* Wikipedia, _[Lambda-CDM model](http://en.wikipedia.org/wiki/Lambda-CDM_model)_


* {#Einasto09} Jaan Einasto, _Dark matter_ ([arXiv:0901.0632](https://arxiv.org/abs/0901.0632)) 2009

### In AQFT on Curved spacetimes

Discussion in the rigorous context of[[AQFT on curved spacetimes]] includes

* [[Klaus Fredenhagen]], [[Thomas-Paul Hack]], _Quantum field theory on curved spacetime and the standard cosmological model_ ([arXiv:1308.6773](http://arxiv.org/abs/1308.6773))

* {#Hack13} [[Thomas-Paul Hack]], _The Lambda CDM-model in quantum field theory on curved spacetime and Dark Radiation_ ([arXiv:1306.3074](https://arxiv.org/abs/1306.3074))

For review see

* {#Hack15} [[Thomas-Paul Hack]], section 3.2.1 _Cosmological Applications of Algebraic Quantum Field Theory in Curved Spacetimes_, Springer 2016 ([arXiv:1506.01869](https://arxiv.org/abs/1506.01869), [doi:10.1007/978-3-319-21894-6](https://doi.org/10.1007/978-3-319-21894-6))

