[[!redirects lattice in a vector space]]

&gt; This entry is about the notion of _lattice_ in [[group theory]]/[[quadratic form]]-theory. For other notions see at _[[lattice (disambiguation)]]_.

***

#Contents#
* table of contents
{:toc}

## Idea

Classically, a _lattice in the [[Cartesian space]]_ $\mathbb{R}^n$ is a [[discrete group|discrete]] [[subgroup]] (of the underlying [[topological group|topological]] [[abelian group]]) that [[spans]] $\mathbb{R}^n$ as a vector space over $\mathbb{R}$. This may be generalized, from $\mathbb{R}^n$ to a general locally compact abelian group. 

## Definition 

A *lattice* in a [[locally compact space|locally compact]] [[Hausdorff space|Hausdorff]] [[topological abelian group|abelian group]] $A$ is a subgroup $L \hookrightarrow A$ that is [[discrete space|discrete]] and *cocompact*, meaning that the quotient group $A/L$ with the quotient topology is [[compact space|compact]].

Applying [[Pontryagin duality]], the dual of the quotient map $q: A \to A/L$ is in that case a discrete subgroup $\widehat{A/L} \hookrightarrow \widehat{A}$ which is also cocompact (its [[cokernel]] being the compact group $\widehat{L}$). This is called the *dual lattice*of $L$. 

## Examples

Notable examples of classical lattices (in $\mathbb{R}^n$ include 

* [[Leech lattice]], [[E8 lattice]] 

The standard diagonal inclusion of a global field (such as a [[number field]]) $k$ into its [[ring of adeles]] $A_k$ is a lattice in the more general sense. Recalling that $A_k$ is Pontryagin dual to itself, the lattice $k$ is identified with its dual lattice. 


## Related concepts

* [[integral lattice]]

* [[modular integral lattice]]

* [[unimodular integral lattice]]

* [[torus]], [[elliptic curve]]

* [[genus of a lattice]]

## References

* A. E. Brouwer, _Lattices_, Course notes (2002) ([pdf](http://www.win.tue.nl/~aeb/latt/lattices.pdf))

* [[John Conway]], N. Sloane, _Low dimensional lattices I: Quadratic forms of small determinant_

* Wikipedia, _[Lattice (group)](http://en.wikipedia.org/wiki/Lattice_%28group%29)_

* Wikipedia, _[Lattice (module)](http://en.wikipedia.org/wiki/Lattice_%28module%29)_

[[!redirects lattice in a vector space]]

[[!redirects lattices in a vector space]]
