
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

In the context of [[cosmology]], _cosmic inflation_ is a [[model (in theoretical physics)]] that can explain certain large-scale features of the [[observable universe]] (flatness, horizon problem, CMB anisotropy) by assuming a finite period of drastic expansion of the universe shortly after the [[big bang]]. Cosmic inflation is part of the [[standard model of cosmology]].

The typical [[model (physics)|model]] of cosmic inflation adds to a standard [[FRW model]] simply a [[scalar field]] $\phi$ --  then called the **inflaton field** -- with standard kinetic term and some potential term. If the potential term is chosen suitably one can obtain solutions to [[Einstein's equations]] of this simple homogenous and isotropic model which exhibit "slow roll behaviour" for $\phi$, meaning that $\phi$ (homogeneous in space) starts out in the vicinity of the [[big bang]] with some finite value and then slowly "rolls down" its potential well (where one speaks in the analogy with the [[model (in theoretical physics)|model]] describing a single [[particle]] on the [[real line]] in the given potential, which has the same kind of [[action functional]]). Therefore in this "slow roll" period the contribution of $\phi$ to the [[FRW model]] is essentially that of a [[cosmological constant]] and so this drives the expansion of the "universe" in this model. But since $\phi$ is only approximately constant it eventually reaches the minimum of its potential well. Again, if the potential parameters of the model are chosen suitably one can arrange that it stays there (called the "graceful exit property" of the inflationary model) and so it stops driving the expansion of the "universe". In conclusion this yields variants of the [[FRW model]] that exhibit pronounced  expansion shortly after the initial singularity and then asymptote to the behaviour of the plain FRW model. This is what is called _cosmic inflation_.

Simple as it is, this model has proven to successfully match the observations that it was designed to match (the large-scale homogeneity of the [[observable universe]], notably). But of course people are trying all kinds of variants, too. A central conceptual problem of most of these models is that it is unclear what the field $\phi$ should be in terms of [[particle physics]] or other known phyisics. In some variants it is identified with the [[Higgs field]], in other it is a scalar moduli field of some [[Kaluza-Klein compactification]], but all of this is speculative. 

The experimental data ([PlanckCollaboration 13](#PlanckCollaboration13), [BICEP-Keck-Planck 15](#BICEPKeckPlanck15), [PlanckCollaboration 15](#PlanckCollaboration15)) strongly favors the [[Starobinsky model of cosmic inflation]].

## Variants

### Old inflation

([Guth 91](#Guth), [Sato 81](#Sato))

### New inflation

([Linde 82](#Linde), [Albrecht-Steinhardt 82](#AlbrechtSteinhardt))

### Chaotic inflation

[[chaotic inflation]]

([Linde 83](#Linde83))

## Candidates for the inflaton field

### Higgs inflation
 {#HiggsInflation}

The idea that the inflaton field in cosmology might be the [[Higgs field]] from the [[standard model of particle physics]] is as old as the idea of inflation itself, but at least in the naive versions it seems to be ruled out by data. However, with the experimental detection of the previously hypothesized Higgs field itself, the topic is gaining interest again and various variations are being proposed to solve the problems with the naive idea, for instance a small non-[[minimal coupling]] of the Higgs field to [[gravity]]. See below at _[References -- Higgs inflation](#ReferencesHiggsInflation)_.

### Axion inflation

see _[[axion inflation]]_

### Higher curvature inflation (Starobinsky model)

see _[[Starobinsky model of cosmic inflation]]_

## Related concepts


* [[eternal cosmic inflation]]

* [[cosmology]]

* [[FRW model]]

* [[big bang]], [[steady state model]]

[[!include fields and quanta - table]]


## References

### Reviews

* [[Andrei Linde]], _Particle Physics and Inflationary Cosmology_, Harwood, Chur (1990).

* A. R. Liddle, D. H. Lyth, _Cosmological inflation and large-scale structure_, Cambridge University Press (2000).

* Shinji Tsujikawa, _Introductory review of cosmic inflation_,  lecture notes given at The Second Tah Poe School on Cosmology _Modern Cosmology_, Naresuan (2003) ([arXiv:hep-ph/0304257](http://arxiv.org/abs/hep-ph/0304257)).

* Jerome Martin, Christophe Ringeval, Vincent Vennin, _Encyclopaedia Inflationaris_ ([arXiv:1303.3787](http://arxiv.org/abs/1303.3787))

* Wikipedia, _[Inflation (cosmology)](http://en.wikipedia.org/wiki/Inflation_%28cosmology%29)_

### Original articles

* Demosthenes Kazanas, _Dynamics of the universe and spontaneous symmetry breaking_, Astrophysical Journal, Part 2 - Letters to the Editor, vol. 241, Oct. 15, 1980, p. L59-L63 ([web](http://adsabs.harvard.edu/doi/10.1086/183361))

* {#Guth} [[Alan Guth]], Phys. Rev. D 23, 347 (1981).
 
* {#Sato} K. Sato, Mon. Not. R. Astron. Soc. 195, 467 (1981); Phys. Lett. 99B, 66 (1981)
 

* {#Linde} [[Andrei Linde]], Phys. Lett. 108B, 389 (1982)
 

* {#AlbrechtSteinhardt} A. Albrecht and [[Paul Steinhardt]], Phys. Rev. Lett. 48, 1220 (1982)
 

* {#Linde83} [[Andrei Linde]], Phys. Lett. 129B, 177 (1983).
 

### Experimantal evidence 
 {#ReferencesExperimentalEvidence}

* C. L. Bennett et al. _First Year Wilkinson Microwave Anisotropy Probe (WMAP) Observations: Preliminary Maps and Basic Results_, Astrophys.J.Suppl.148:1 (2003) ([arXiv:astro-ph/0302207](http://arxiv.org/abs/astro-ph/0302207))

* H .V. Peiris et al, _First Year Wilkinson Microwave Anisotropy Probe (WMAP) Observations: Implications for Inflation_, Astrophys.J.Suppl.148:213,2003 ([arXiv:astro-ph/0302225](http://arxiv.org/abs/astro-ph/0302225))

* {#PlanckCollaboration13} [[Planck Collaboration]], _Planck 2013 results. XXII. Constraints on inflation_ ([arXiv:1303.5082](http://arxiv.org/abs/1303.5082))

  * Resonaances, _[Planck about inflation](http://resonaances.blogspot.de/2013/04/planck-about-inflation.html)_

  * {#Linde14} [[Andrei Linde]], _Inflationary Cosmology after Planck 2013_ ([arXiv:1402.0526](http://arxiv.org/abs/1402.0526))
 
* {#BICEPKeckPlanck15} _A Joint Analysis of BICEP2/Keck Array and Planck Data_ ([arXiv:1502.00612](http://arxiv.org/abs/1502.00612))

* {#PlanckCollaboration15} [[Planck Collaboration]], _Planck 2015, Overview of results_ ([pdf](http://www.cosmos.esa.int/documents/387566/522789/Planck_2015_Results_I_Overview_Products_Results.pdf/14d90465-03c2-4e3c-b8d1-73181248673d))

### Higgs field inflation
 {#ReferencesHiggsInflation}

Literature discussing whether or how the [[Higgs field]] might be identified as the inflaton field includes

* Michael Atkins, _Could the Higgs boson be the inflaton?_, talk (Match 2012) ([pdf](http://indico.cern.ch/getFile.py/access?resId=0&materialId=slides&confId=180122))

* Kohei Kamada, _Generalized Higgs inflation models_, talk at PLANCK 2012 (May 2012)([pdf](http://planck12.fuw.edu.pl/talks/kamada.pdf))

* [[Alex Kehagias]], _New Higgs inflation_, talk (September 2012) ([pdf](http://www.physics.ntua.gr/corfu2010/Talks/kehagias@central_ntua_gr_01.pdf))

* Takehiro Nabeshima, _A model for Higgs inflation and its testability at the ILC_, talk (October 2012) ([pdf](http://ilcagenda.linearcollider.org/getFile.py/access?contribId=64&sessionId=8&resId=0&materialId=slides&confId=5468))

A popular account in the context of the 2013 [[Plack Collaboration]] results is in 

* [[Matthew Strassler]], _[Cosmic Conflation: The Higgs, The Inflaton, and Spin](http://profmattstrassler.com/2013/03/26/cosmic-conflation-the-higgs-the-inflaton-and-spin/)_

### Gauge field inflation
 {#ReferencesHiggsInflation}

Literature discussing whether or how [[gauge field]] might be identified as the inflaton field include

* A. Maleknejad, M. M. Sheikh-Jabbari, J. Soda, _Gauge Fields and Inflation_ ([arXiv:1212.2921](http://arxiv.org/abs/1212.2921))

### String modeled inflation

In [[string theory]] the [[inflaton]] field can be modeled by various effects, such as 

* [[open string]] stretching between [[D-brane]]-[[anti D-brane]] pairs.

For a review and further pointers to the literature see

* Cliff Burgess, M. Cicoli, F. Quevedo, _String Inflation After Planck 2013_ ([arXiv:1306.3512](http://arxiv.org/abs/1306.3512))

See also at _[[string phenomenology]]_.


[[!redirects inflation]]

[[!redirects inflaton]]
[[!redirects inflatons]]
[[!redirects inflaton field]]
[[!redirects inflaton fields]]