

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Homological algebra
+--{: .hide}
[[!include homological algebra - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

Given a [[double complex]] $C_{\bullet, \bullet}$ (in some [[abelian category]]), there is a [[spectral sequence]] whose second page is the "na&#239;ve double cohomology"

$$
  E^2_{p,q} = H_p^{hor}(H_q^{vert}(C))
$$

and which converges, under mild conditions, to the correct [[chain homology]] of the [[total complex]] $Tot(C_{\bullet, \bullet})$.

This is the special case of the [[spectral sequence of a filtered complex]] with $Tot(C)_\bullet$ [[filtered chain complex|filtered]] by row-degree (or dually, by column-degree).

## Definition

Let $C_{\bullet,\bullet}$ be a [[double complex]]. Its [[total complex]] $Tot C$ is given in degree $n$ by the [[direct sum]]

$$
  (Tot C)_n = \oplus_{p+q = n} C_{p,q}
$$

and the [[differential]] acts on elements $c \in C_{p,q}$ as

$$
  \partial^{Tot} \colon c \mapsto \partial^{hor} c + (-1)^{p} \partial^{ver} c
  \,.
$$


+-- {: .num_defn #HorVertFiltration}
###### Definition

The **horizontal filtration** on $Tot C$ is the [[filtered object|filtration]] $F_\bullet Tot C$ given in degree $n$ by the [[direct sum]] expression

$$
  F^{hor}_p (Tot C)_n \coloneqq
  \oplus_{{n_1+n_2 = n} \atop {n_1 \leq p} } C_{n_1,n_2}
  \,.
$$

Similarly the **vertical filtration** is given by 

$$
  F^{vert}_p (Tot C)_n \coloneqq  
  \oplus_{{n_1+n_2 = n} \atop {n_2 \leq p} } C_{n_1,n_2}
  \,.
$$

=--

+-- {: .num_defn #SpectralSequenceOfDoubleComplex}
###### Definition

The (vertical/horizontal) _spectral sequence of the double complex_ $C_{\bullet,\bullet}$ is the [[spectral sequence of a filtered complex]] for the filtered total complex from def. \ref{HorVertFiltration}.

=--

## Properties
 {#Properties}

### Low-degree pages
 {#LowDegreePages}


+-- {: .num_prop}
###### Proposition

Let $\{E^r_{p,q}\}_{r,p,q}$ be the spectral sequence of a [[double complex]] $C_{\bullet, \bullet}$, according to def. \ref{SpectralSequenceOfDoubleComplex}, with respect to the horizontal filtration. Then the first few pages are for all $p,q \in \mathbb{Z}$ given by

* $E^0_{p,q} \simeq C_{p,q}$;

* $E^1_{p,q} \simeq H_q(C_{p, \bullet})$;

* $E^2_{p,q} \simeq H_p(H^{vert}_q(C))$.

Moreover, if $C_{\bullet, \bullet}$ is concentrated in the first quadrant ($0 \leq p,q$), then the spectral sequence [converges](spectral+sequence#ConvergenceOfSpectralSequences) to the chain homology of the total complex:

$$
  E^\infty_{p,q} \simeq G_p H_{p+q}(Tot(C)_\bullet)
  \,.
$$

=--

+-- {: .proof}
###### Proof

This is a matter of unwinding the definition, using the general properties of
[spectral sequences of a filtered complex -- in low degree pages](spectral+sequence+of+a+filtered+complex#InLowDegreePages). We display equations for the horizontal filtering, the other case works analogously.

The 0th page is by definition the [[associated graded]] piece

$$
  \begin{aligned}
    E^0_{p,q} 
      & \coloneqq 
       G_p Tot(C)_{p+q}
      \\
      & \coloneqq
    F_p Tot(C)_{p+q} / F_{p-1} Tot(C)_{p+q}
    \\
    & \coloneqq
    \frac{
      \underset{ {n_1 + n_2 = p+q} \atop {n_1 \leq p} }{\oplus} C_{n_1, n_2}
    }
    {
      \underset{ {n_1 + n_2 = p+q} \atop {n_1 \lt p} }{\oplus} C_{n_1, n_2}      
    }
    \\
    & \simeq
    C_{p,q}
    \,.
  \end{aligned}
$$

The first page is the chain homology of the [[associated graded]] chain complex:

$$
  \begin{aligned}
    E^1_{p,q} 
    & \simeq
    H_{p+q}(G_p Tot(C)_\bullet)
    \\
    & \simeq
    H_{p+q}( C_{p,\bullet} )
    \\
    & \simeq H_q(C_{p, \bullet})
  \end{aligned}
  \,.
$$

In particular this means that representatives of $[c] \in E^1_{p,q}$ are given by $c \in C_{p,q}$ such that $\partial^{vert} c = 0$. It follows that $\partial^1 \colon E^1_{p,q} \to E^1_{p-1, q}$, which by the definition of a [[total complex]] acts as $\partial^{hor} \pm \partial^{vert}$, acts on these representatives just as $\partial^{hor}$ and this gives the second page

$$
  E^2_{p,q} \simeq ker(\partial^1_{p-1,q})/im(\partial^1_{p,q})
  \simeq
  H_p(H_q^{vert}(C_{\bullet, \bullet}))
  \,.
$$

Finally, for $C_{\bullet, \bullet}$ concentrated in $0 \leq p,q$ the corresponding [[filtered chain complex]] $F_p Tot(C)_\bullet$ is a non-negatively graded chain complex with filtration bounded below. Therefore the spectral sequence converges as claimed by the general discussion at _[spectral sequence of a filtered complex - convergence](spectral+sequence+of+a+filtered+complex#ConvergenceGeneral)_.

=--


## Examples

A plethora of types of spectral sequences are special cases of the spectral sequence of a double complex, for instance

* [[Frölicher spectral sequence]].

For the moment see at _[[spectral sequence]]_ for a list.




## References

Dedicated discussion of the case of spectral sequences of double complexes is for instance in 

* Ravi Vakil, _Spectral Sequences: Friend or Foe?_ ([pdf](http://math.stanford.edu/~vakil/0708-216/216ss.pdf)) 

or in section 25, lecture 9 of 

* [[Rick Jardine]], _Lectures on Homotopy Theory_ ([pdf](http://www.math.uwo.ca/~jardine/papers/HomTh/lecture009.pdf))

Details are usually discussed for the more general case of a _[[spectral sequence of a filtered complex]]_.


[[!redirects spectral sequences of a double complex]]
[[!redirects spectral sequences of double complexes]]
