
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Group Theory
+-- {: .hide}
[[!include group theory - contents]]
=--
#### Monoidal categories
+--{: .hide}
[[!include monoidal categories - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

For $A$ and $B$ two [[abelian groups]], their _tensor product_ $A \otimes B$ is a new abelian group which is such that a [[group homomorphism]] $A \otimes B \to C$ is equivalently a [[bilinear map]] out of $A$ and $B$.

## Definition
 {#Definition}

+-- {: .num_defn}
###### Definition

Let [[Ab]] be the collection of [[abelian groups]], regarded as a [[multicategory]] whose [[multimorphisms]] are the [[multilinear maps]] $A_1, \cdots, A_n \to B$.

The [[tensor product]] $A, B \mapsto A \otimes B$ in this multicategory is the **tensor product of abelian groups.

=--

Equivalently this means explicitly:

+-- {: .num_defn #ExplicitTensorProduct}
###### Definition

For $A, B$ two [[abelian groups]], their **tensor product of abelian groups** is the abelian group $A \otimes B$ which is the [[quotient]] of the [[free abelian group]] on the [[product]] ([[direct sum]]) $A \times B$
by the [[generators and relations|relations]] 

* $(a_1,b)+(a_2,b)\sim (a_1+a_2,b)$ 

* $(a,b_1)+(a,b_2)\sim (a,b_1+b_2)$

for all $a, a_1, a_2 \in A$ and $b, b_1, b_2 \in B$.

=--

In words: it is the group whose elements are presented by pairs of elements in $A$ and $B$ and such that the group operation for one argument fixed is that of the other group in the other argument.

+-- {: .num_remark}
###### Remark

The 0-ary relations $(0,b)\sim 0$ and $(a,0)\sim 0$ follow automatically; one needs them explicitly only if one generalises to [[abelian monoids]].

=--

+-- {: .num_remark #TheCanonicalMap}
###### Remark

By definition of the [[free construction]] and the [[quotient]] there is a canonical [[function]] of the underlying sets

$$
  A \times B \stackrel{\otimes}{\to} A \otimes B
  \,.
$$

On elements this sends $(a,b)$ to the equivalence class that it represents under the above equivalence relations.

=--

The following relates the tensor product to [[bilinear functions]]. It is a definition or a proposition dependening on whether one takes the notion of bilinear function to be defined before or after that of tensor product of abelian groups.

+-- {: .num_defn}
###### Definition/Proposition

A [[function]] of underlying sets $f : A \times B \to C$
is a [[bilinear function]] precisely if it factors by the morphism of \ref{TheCanonicalMap} through a [[group homomorphism]] $\phi : A \otimes B \to C$ out of the tensor product:

$$
  f : A \times B \stackrel{\otimes}{\to}    
      A \otimes B
      \stackrel{\phi}{\to}
      C
  \,.
$$


=--

## Properties

### Monoidal category structure


+-- {: .num_prop}
###### Proposition

Equipped with the tensor product $\otimes$ of def. \ref{ExplicitTensorProduct} [[Ab]] becomes a [[monoidal category]]. 

The [[unit object]] in $(Ab, \otimes)$ is the additive group of [[integers]] $\mathbb{Z}$. 

=--

+-- {: .proof}
###### Proof

To see that $\mathbb{Z}$ is the unit object, consider for any abelian group $A$ the map

$$
  A \otimes \mathbb{Z} \to A
$$

which sends for $n \in \mathbb{N} \subset \mathbb{Z}$

$$
  (a, n) \mapsto n \cdot a \coloneqq \underbrace{a + a + \cdots + a}_{n\;summands}
  \,.
$$

Due to the quotient relation defining the tensor product, the element on the left is also equal to 

$$
  (a, n) = (a, \underbrace{1 + 1 \cdots + 1}_{n\; summands})
  =
  \underbrace{ (a,1) + (a,1) + \cdots + (a,1) }_{n\; summands}
  \,.
$$

This shows that $A \otimes \mathbb{Z} \to A$ is in fact an [[isomorphism]].

=--

+-- {: .num_prop}
###### Proposition

The tensor product of abelian groups [[distributivity|distributes]] over the [[direct sum]] of abelian groups

$$
  A \otimes \oplus_{s \in S} B_s
  \simeq
  \oplus_{s \in S} ( A \otimes B_s )
  \,.
$$

=--




### Monoids

+-- {: .num_prop}
###### Proposition

A [[monoid]] in $(Ab, \otimes)$ is equivalently a [[ring]].

=--

+-- {: .proof}
###### Proof

Let $(A, \cdot)$ be a [[monoid]] in $(Ab, \otimes)$. The fact that the multiplication

$$
  \cdot : A \otimes A \to A
$$

is bilinear means by the above that for all $a_1, a_2, b \in A$ we have

$$
  (a_1 +  a_2) \cdot b = a_1 \cdot b  + a_2 \cdot b
$$

and

$$
  b \cdot (a_1 +  a_2) = b \cdot a_1 + b \cdot a_2 
  \,.
$$

This is precisely the [[distributivity law]] of the ring.

=--


## Examples

For $n \in \mathbb{N}$ positive we write $\mathbb{Z}_n$ for the [[cyclic group]] of [[order]] $n$, as usual.

+-- {: .num_example}
###### Example

For $a,b \in \mathbb{N}$ and positive, we have

$$
  \mathbb{Z}_a \otimes \mathbb{Z}_b \simeq \mathbb{Z}_{(a,b)}
  \,,
$$

where $(-,-)$ denotes the [[greatest common divisor]].

=--

A proof is spelled out for instance as ([Conrad, theorem 4.1](#Conrad)).

## Related concepts

* [[tensor product of chain complexes]]

* [[tensor product of modules]]

## References

An exposition is in 

* Collin Roberts, _Introduction to the tensor product_ ([pdf](http://www.math.uwaterloo.ca/~cd2rober/Seminars/StudentAlgebra/2011/Fall/2011-10-06.pdf))

and, in the further generality of the [[tensor product of modules]], in 

* Keith Conrad, _Tensor products_ ([pdf](http://www.math.uconn.edu/~kconrad/blurbs/linmultialg/tensorprod.pdf))
 {#Conrad}

[[!redirects tensor product of abelian groups]]

[[!redirects tensor products of abelian groups]]
