
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
=--
=--


* [Wikipedia entry](http://en.wikipedia.org/wiki/Hegel)

* [hegel.net](http://hegel.net)

> Daran mitzuarbeiten, daß die Philosophie der Form der Wissenschaft näher komme – dem Ziele, ihren Namen der Liebe zum Wissen ablegen zu können und wirkliches Wissen zu sein –, ist es, was ich mir vorgesetzt. ([PdG, Vorr. §5](Phenomenology+of+Spirit#Vorrede5))


#Contents#
* table of contents
{:toc}

## Influences
 {#Influences}

> The importance of [[mathematics]] for Hegel should not be underestimated. [[geometry|Geometry]] was among his earliest intellectual interests (cf. Jaeschke , Hegel-Handbuch, 1) and he devoted intensive study to [[Euclidean geometry|Euclid ’s Elements]] in the period leading up to his move from Frankfurt to Jena (cf. Johannes Hoffmeister[ed.], Dokumente zu Hegel’s Entwicklung [ Stuttgart-Bad Cannstatt : Fromann 1936 ], 288–300)... In 1805/6 he taught courses in arithmetic and geometry both in Jena and at the Nuremberg Gymnasium while he was working on the [[Science of Logic]]. (_Hegel and the Metaphysics of Absolute Negativity_ by Brady Bowman, p. 171)

## Perception of Hegel's Naturphilosophie
 {#PerceptionOfHegelsPhilosophy}

Some comments on the perception of Hegel's [[metaphysics]]. For much more discussion of this see ([Redding 12](#Redding12)).

Hegel's [[natural philosophy]] as laid out in particular in his _[[Science of Logic]]_ may easily seem rather mysterious and was accordingly criticized. Being partly a creation myth in the spirit of [[Heraclitus]]'s _[[logos]]_ and being all thoroughly arranged in terms of [[unity of opposites]] that taken at face value are typically plain self-contradictions, to a large extent it seems more a work of [[mysticism]] than of [[philosophy]] or [[science]]. Certainly Hegel does not try to provide observational evidence or rational argument for his statements about, say, the _[[becoming]]_ of _[[nothing]]_ into _[[being]]_, that would allow readers to confirm his conclusions, even though it is precisely his claim that his statements are based on some kind of observation ("speculation" in the original latin sense). Rather he states all his natural philosophy as if a collection of self-evident truths which are all confirmed in themselves, as if a set of [[axioms]] for [[natural philosophy]].

In reaction to this, the rise of the school of [[analytic philosophy]] in England defined itself in its opposition to, and its rejection of, Hegel's [[philosophy]], especially as presented by the British Hegelians. On the other hand, later when the foundations of science underwent the now famous revolutions, for instance with the principle of "[[general relativity]]" in the foundations of [[physics]] and the bolstering of [[intuitionistic logic]] via [[topos theory]] in the [[foundations of mathematics]], it was observed here and there that some of Hegel's old thoughts are in curious harmony with these new developments. A systematic attempt to extract hard mathematical and scientific truth from Hegel's natural philosophy is implicit in the life work of [[William Lawvere]]. He effectively suggested that Hegel's notorious [[unity of opposites]] may usefully be formalized as [[adjoint pairs]] of [[idempotent monad|idempotent]] ([[comonad|co]]-)[[monads]]/[[modalities]] in [[category theory]]/[[topos theory]]. See at _[[category of being]]_ and see  at _[Science of Logic -- Formalization dictionary](http://ncatlab.org/nlab/show/Science%20of%20Logic#formalization_dictionary)_ for an idea of how such a dictionary can be used to read Hegel's natural philosophy as being a kind of pseudocode for an actual axiomatization of [[physics]] in [[type theory]]/[[topos theory]].


The opposition against Hegel's philosophy is expressed for instance in 

* John Stuart Mill, letter of November 4, 1867 to Alexander Bain:

> Besides these I have been toiling through Stirling’s "Secret of Hegel". It is right to learn what Hegel is & one learns it only too well from Stirling’s book. I say "too well" because I found by actual experience of Hegel that conversancy with him tends to deprave one’s intellect. The attempt to unwind an apparently infinite series of self–contradictions, not disguised but openly faced & coined into [illegible word] science by being stamped with a set of big abstract terms, really if persisted in impairs the acquired delicacy of perception of false reasoning & false thinking which has been gained by years of careful mental discipline with terms of real meaning. For some time after I had finished the book all such words as reflexion, development, evolution, &c., gave me a sort of sickening feeling which I have not yet entirely got rid of.

and in

* [[Bertrand Russell]], Chapter XXXI of _[[A History of Western Philosophy]]_ (1945)

> In philosophy ever since the time of Pythagoras there has been an opposition between the men whose thought was mainly inspired by mathematics and those who were more influenced by the empirical sciences. Plato, Thomas Aquinas, Spinoza, and Kant belong to what may be called the mathematical party; Democritus, Aristotle, and the modern empiricist from Locke onwards, belong to the opposite party. In our day a school of philosophy has arisen which sets to work to eliminate Pythagoreanism from the principles of mathematics, and to combine empiricism with an interest in the deductive parts of human knowledge. The aims of this school are less spectacular than those of most philosophers in the past, but some of its achievements are as solid as those of the men of science.

> The origin of this philosophy is in the achievements of mathematicians who set to work to purge their subject of fallacies and slipshod reasoning. The great mathematicians of the seventeenth century were optimistic and anxious for quick results; consequently they left the foundations of analytical geometry and the infinitesimal calculus insecure. Leibnitz believed in actual infinitesimals, but although this belief suited his metaphysics it has no sound basis in mathematics. Weierstrass, soon after the middle of the nineteenth century, showed how to establish the calculus without infinitesimals, and thus at last made it logically secure. Next came [[Georg Cantor]], who developed the theory of continuity and infinite number. “Continuity” had been, until he defined it, a vague word, convenient for philosophers like [[Hegel]], who wished to introduce metaphysical muddles into mathematics. Cantor gave a precise significance to the word, and showed that continuity, as he defined it, was the concept needed by mathematicians and physicist. By this means a great deal of mysticism, such as that of Bergson, was rendered antiquated. 



(Here it worth remarking that not much later [[infinitesimal objects]] as anticipated by [[Gottfried Leibniz]] were given a neat formal basis in [[mathematics]], by formalisms such as [[synthetic differential geometry]] and [[nonstandard analysis]].)

and in

* Hans Reichenbach, p. 72 of _The rise of scientific philosophy_, 1951.

> Hegel has been called the successor of Kant; that is a serious misunderstanding of Kant and an unjustified elevation of Hegel. Kant's system, though proved untenable by later developments, was the attempt of a great mind to establish rationalism on a scientific basis. Hegel's system is the poor construction of a fanatic who has seen one empirical truth and attempts to make it a logical law within the most unscientific of all logics. Whereas Kant's system marks the peak of the historical line of rationalism, Hegel's  system belongs in the period of decay of speculative philosophy which characterizes the nineteenth century.


The point that Hegel's controversial views on the foundations of physics were later partly vindicated by modern developments is made by [[R. G. Collingwood]] in his book _An Essay on Metaphysics_ (1940). He writes concerning the views expressed by the physicist [[Arthur Eddington]] in the 1928 Gifford lectures:

> The discovery by a very distinguished scientist that there are grains of sense in Hegel’s _Naturphilosophie_, and that he feels himself obliged to apologize for having made the discovery, is a sign of the times. How far was the habitual and monotonous execration of Hegel by nineteenth century scientists due to the fact that he violently disliked the science of his own day, and demanded the substitution for it of a physics, which it turns out, was to be in effect the physics that we have now?

This refers to Hegel's complaint about [[Newton's laws of motion]] which give the picture of the planets kept in their orbits by the operation of [[forces]] "like stupid children pushed and pulled into place at drill", while rather they ought to be thought of as moving freely and Eddington's suggestion that according to [[Einstein's laws of motion]] in [[general relativity]] this idea of "free" motion may indeed be argued to be closer to the physical truth.

Another place where Hegel is seen to have have expressed a vision of insights scientifically available only in a distant future is in 

* Slavoj Zizek, _[We need thinking](http://bigthink.com/videos/we-need-thinking)_, May 2012

> I claim that what is happening, for example, in quantum physics in the last 100 of years -- these things which are so daring, incredible, that we cannot include into our conscious view of reality -- that Hegel’s philosophy, with all it’s dialectical paradoxes, can be of some help here.  I claim that reading quantum physics through Hegel and vice versa is very productive.

[[Charles Peirce]] had a more ambivalent view of Hegel:

>My three categories are nothing but Hegel's three grades of thinking. (CP 8.213),

but 

>A _Phenomenology_ which does not reckon with pure mathematics, a science hardly come to years of discretion when Hegel wrote, will be the same pitiful club-footed affair that Hegel produced. (CP 5.40).

## Related concepts

* [[idealism]], 

  [[objective idealism]], [[subjective idealism]]

  [[absolute idealism]]

* [[unity of opposites]], [[Aufhebung]],

  [[abstract general, concrete general and concrete particular]]


## Texts

* _[[Encyclopedia of the Philosophical Sciences]]_

* _[[Science of Logic]]_

* _[[Philosophy of Nature]]_

* _[[Phenomenology of Spirit]]_

* _[[Lectures on the History of Philosophy]]_

* _[[Lectures on the Philosophy of History]]_

* _[[Lectures on the Philosophy of Religion]]_


## References

* {#Redding} [[Paul Redding]],  _Georg Wilhelm Friedrich Hegel_, The Stanford Encyclopedia of Philosophy, Edward N. Zalta (ed.) ([web](http://plato.stanford.edu/entries/hegel/))
 


category: people

[[!redirects Georg Wilhelm Friedrich Hegel]]
[[!redirects Georg Wilhelm Hegel]]
[[!redirects Georg Hegel]]
[[!redirects Hegel]]
[[!redirects G. W. F. Hegel]]