
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

Despite what one might expect, much of [[cosmology]] is based on [[classical physics]]. Certainly the [[standard model of particle physics]] is constructed from _classical [[gravity]]_, namely an [[FRW model]] solution to [[Einstein's equations]], which serves as a fixed "background" over which one considers in a [[semiclassical approximation]] [[quantum fields]], say to model the [[cosmic microwave background radiation]].

On the one hand it is remarkable how well the [[standard model of cosmology]] built this way compares to available experimental data. On the other hand it is clear that a more precise model will need to take [[quantum field theory]] into account more properly. In particular non-classical effects of [[quantum gravity]] will play a role at least close to the initial singularity, if not also for the explanation of the [[cosmological constant]] and other aspects of the [[standard model of cosmology]] which currently don't have a conceptual explanation in the model.

Such a more comprehensively quantum mechanical discussion of [[cosmology]] goes by the term **quantum cosmology**. 

However, despite the existence of this term, quantum cosmology is to a large extent only a hypothetical field of research. This is due to two major open conceptual problems of present day fundamental [[physics]]:

1. the nature of [[quantum gravity]] remains largely unsettled;

1. the very formulations of [[quantum mechanics]]/[[quantum field theory]] available all require, more or less explicitly and to lesser or greater extent, an _external classical observer_ to make sense of the predictions of the theory. This makes sense, in principle, for every subsystem of the [[observable universe]]. But a comprehensive theory of "quantum cosmology" would seem to need a notion of [[observables]] of quantum phenomena by "quantum observers" _internal_ to the quantum system which they observe, instead of by "classical observers" external to that quantum system.

It has been suggested ([Doering-Isham, section 1](#DoeringIsham)) that the second of the conceptual problems above might have a natural solution in terms of the [[internal logic]] of a [[topos]]-incarnation of the [[space of states]] of a quantum mechanical system. One proposed formalization of this is the notion of a _[[nLab:Bohr topos]]_. While these constructions may have something to them, implications, if any, for actual quantum cosmology are not clear yet.

## Related concepts

* [[no boundary proposal]]

## References

### General


* Calcagni, G.; Papantonopoulos, L.; Siopsis, G.; Tsamis, N. (Eds.), _Quantum Gravity and Quantum Cosmology_ Lecture Notes in Physics, Vol. 863

* Claus Kiefer, Barbara Sandhoefer, _Quantum cosmology_ ([arXiv:0804.0672](http://arxiv.org/abs/0804.0672v2))

* J.J.Halliwell, _Introductory Lectures on Quantum Cosmology (1990)_ ([arXiv:0909.2566](http://arxiv.org/abs/0909.2566))

* Edward Anderson, _On the Semiclassical Approach to Quantum Cosmology_ Class. Quant. Grav. 28 185008 (2011) ([arXiv:1101.4916](http://arxiv.org/abs/1101.4916))

### Supersymmetric quantum cosmology

Quantum cosmology for [[supergravity]] and its relation to the [[E10]] [[U-duality]] group is discussed in 

* {#Damour14} [[Thibault Damour]], _Quantum supersymmetric Bianchi IX  Cosmology and its hidden Kac-Moody Structure_, talk at [Gravitation, Solitons and Symmetries](http://www.lestudium-ias.com/#!registration-conference-21-may-gibbons/ci2z) ([[DamourSQC14.pdf:file]])


### On conceptual problems

A survey of conceptual problems in quantum cosmology, or issues regarded as such, is in 

* Claus Kiefer, _Conceptual issues in quantum cosmology_ ([arXiv:gr-qc/9906100](http://arxiv.org/abs/gr-qc/9906100))

Discussion of the problem of internal quantum observers with an eye towards the [[internal logic]] of a [[topos]] is in the introduction of 

* Andreas Doering, [[Chris Isham]], _A Topos Foundation for Theories of Physics: I. Formal Languages for Physics_, J.Math.Phys.49:053515,2008 ([arXiv:quant-ph/0703060](http://arxiv.org/abs/quant-ph/0703060))
 {#DoeringIsham}

For more on this see at _[[Bohr topos]]_.