
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Topology
+-- {: .hide}
[[!include topology - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

The _pseudocircle_ is a [[finite topological space]] which is [[weak homotopy equivalence|weakly homotopy equivalent]] to the standard [[circle]].

In other word, for the purposes of [[homotopy theory]] (up to weak homotopy equivalence), it is equivalent to the circle, yet it is a purely finite combinatorial creature.


## Definition


+-- {: .num_defn }
###### Definition

The **pseudocircle** $\mathbb{S}$ is the [[topological space]]

* whose [[underlying set]] is a $4$-set, say $\{l,r,t,b\}$ (for the 'left side', 'right side', 'top point', and 'bottom point' of the circle) 

* and whose [[topological structure]], given as the collection of [[open subsets]], is
  $$ 
    \{\{l,r,t,b\}, \{l,r,t\}, \{l,r,b\}, \{l,r\}, \{l\}, \{r\}, \empty\}
    \,.
  $$

=--

That is the topology generated by the [[topological base|base]] $\{\{l,r,t\}, \{l,r,b\}, \{l\}, \{r\}\}$ (which is in fact the unique minimal base and furthermore the unique minimal subbase).


+-- {: .num_remark }
###### Remark

As a [[frame]], this topology is a [[subframe]] of the [[frame of opens]] of the usual circle, where the names of $l$, $r$, $t$, and $b$ are taken literally.  

=--

These also name a [[partition]] of the standard [[circle]], and this gives a [[quotient map]] from the circle to the pseudocircle; this map is the promised weak homotopy equivalence, see [below](#RelationToCircle).

## Properties

### Relation to the standard circle
 {#RelationToCircle}
 

+-- {: .num_prop }
###### Proposition

The function of sets

$$
  f : S^1 \to \mathbb{S}
$$

from the standard [[circle]] to the pseudocircle, which sends 

* a point in the open left half of $S^1$ (thought of under the standard [[embedding]] into $\mathbb{R}^2$) to the point $l \in \mathbb{S}$;

* a point in the open right half of $S^1$ to $r \in \mathbb{S}$;

* the top point of $S^1$ to $t \in \mathbb{S}$;

* the bottom point of $S^1$ to $b \in \mathbb{S}$

is a [[continuous function]]. Moreover, it is a [[weak homotopy equivalence]].

=--

See the proof of the general statement at _[finite topological space - properties](finite+topological+space#Properties)_.

+-- {: .num_prop }
###### Proposition

The only continuous functions in the other direction, $\mathbb{S} \to S^1$ are the constant maps.

=--

## References

* Michael McCord, _Singular homology groups and homotopy groups of finite topological spaces_, Duke Math. J. Volume 33, Number 3 (1966), 465-474. ([EUCLID](http://projecteuclid.org/euclid.dmj/1077376525))
 {#McCord}

* Wikipedia, _[Pseudocircle](http://en.wikipedia.org/wiki/Pseudocircle)_
