
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Type theory
+-- {: .hide}
[[!include type theory - contents]]
=--
#### Constructivism, Realizability, Computability
+-- {: .hide}
[[!include constructivism - contents]]
=--
=--
=--



# Contents
* table of contents
{: toc}

## Idea

The _Brouwer-Heyting-Kolmogorov_ interpretation of [[intuitionistic logic]] is a description of [[proofs]] of [[propositions]] in [[intuitionistic logic]] as [[functions]], often [[computable functions]], where it is also called the _[[realizability]] interpretation_. 

This is otherwise known as the paradigm of _[[propositions as types]]_ and _[[proofs as programs]]_, and in a precise form as the [[Curry-Howard correspondence]]. See there for more.

The name "Brouwer-Heyting-Kolmogorov" is due to Troelstra, and it is a matter of some dispute whether Brouwer's name should be included.  Brouwer never explicitly formulated any interpretation of this sort, and remained against all formalism his entire life.  Moreover, [Escardo-Xu](#EscardoXu) have shown that Brouwer's famous intuitionistic theorem "all functions $\mathbb{N}^{\mathbb{N}} \to \mathbb{N}$ are continuous" is actually inconsistent under a literal version of this interpretation (i.e. without including [[propositional truncation]]).  Thus, perhaps it should only be called the "Heyting-Kolmogorov" interpretation.

## Related concepts

* [[realizability topos]]

* [[computational trinitarianism]]

## References 

* Wikipedia, _[BHK interpretation](http://en.wikipedia.org/wiki/BHK_interpretation)_

* L. E. J. Brouwer, _Points and Spaces_ , CJM **6** (1954) pp.1-17. ([pdf](http://cms.math.ca/openaccess/cjm/v6/cjm1954v06.0001-0017.pdf))

* H. Freudenthal , _Zur intuitionistischen Deutung logischer Formeln_ , Comp. Math. **4** (1937) pp.112-116. ([pdf](http://archive.numdam.org/article/CM_1937__4__112_0.pdf))

* A. Heyting , _Die intuitionistische Grundlegung der Mathematik_ , Erkenntnis **2** (1931) pp.106-115.

* A. Heyting , _Bemerkungen zu dem Aufsatz von Herrn Freudenthal “Zur intuitionistischen Deutung logischer Formeln”_ , Comp. Math. **4** (1937) pp.117-118. ([pdf](http://archive.numdam.org/article/CM_1937__4__117_0.pdf))

* A. Kolmogoroff, _Zur Deutung der intuitionistischen Logik_ , Math. Z. **35** (1932) pp.58-65. ([gdz](http://gdz.sub.uni-goettingen.de/dms/load/img/?PPN=GDZPPN002373467))

* G. Kreisel, _Mathematical Logic_ , pp.95-195 in Saaty (ed.), _Lectures on Modern Mathematics III_ , Wiley New York 1965.

* E. G. F. Díez, _Five observations concerning the intended meaning of the intuitionistic logical constants_ , J. Phil. Logic **29** no. 4 (2000) pp.409–424 . ([preprint](https://webs.um.es/picazo/miwiki/lib/exe/fetch.php?id=inicio&cache=cache&media=five_observations_2000_jour_of_phil_logic_29_4_pp409_424.pdf))

* [[Jean-Yves Girard]] et al., _Proofs and Types_ , CUP 1989.

* [[Anne Sjerp Troelstra]], _Principles of Intuitionism_ , Springer Heidelberg 1969. (§2) {#Troelstra69}

* [[Anne Sjerp Troelstra]], _Aspects of Constructive Mathematics_ , pp.973-1052 in Barwise (ed.), _Handbook of Mathematical Logic_ , Elsevier Amsterdam 1977. {#Troelstra77}

* [[Anne Sjerp Troelstra]], _History of Constructivism in the Twentieth Century_ (1991). ([preprint](https://www.illc.uva.nl/Research/Publications/Reports/ML-1991-05.text.pdf)) 
 {#Troelstra91}

* Wouter Pieter Stekelenburg, _Realizability Categories_ , ([arXiv:1301.2134](http://arxiv.org/abs/1301.2134)).

* [[Martin Escardo]] and Chuangjie Xu, _The inconsistency of a Brouwerian continuity principle with the Curry--Howard interpretation_ . ([pdf](http://www.cs.bham.ac.uk/%7Emhe/papers/escardo-xu-inconsistency-continuity.pdf))

Links to many papers on realizability and related topics may be found [here](http://www.staff.science.uu.nl/~ooste110/realizability.html).

For a comment see also 

* [[Robert Harper]], _Extensionality, Intensionality, and Brouwer’s Dictum_ ([web](http://existentialtype.wordpress.com/2012/08/11/extensionality-intensionality-and-brouwers-dictum/))


[[!redirects Brouwer Heyting Kolmogorov interpretation]] 
[[!redirects Brouwer-Heyting-Kolmogorov interpretation]] 
[[!redirects Brouwer–Heyting–Kolmogorov interpretation]] 
[[!redirects BHK interpretation]] 

[[!redirects realizability interpretation]] 
[[!redirects realisability interpretation]] 

[[!redirects BHK correspondence]]