
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Riemannian geometry
+--{: .hide}
[[!include Riemannian geometry - contents]]
=--
#### Gravity
+-- {: .hide}
[[!include gravity contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A _Friedmann–[[Georges Lemaître|Lemaître]]–Robertson–Walker model_ is a [[model (physics)|model]] in [[cosmology]]. It is a solution to [[Einstein's equations]] describing an homogeneous and isotropic expanding or contracting [[spacetime]]. Hence these are solutions used as [[model (in theoretical physics)|models]] in [[cosmology]]. Indeed, an FRW-model is part of the [[standard model of cosmology]].

## Details
 {#Details}

The plain FRW model parameterizes a homogenous and isotropic [[spacetime]] after [[diffeomorphism]] [[gauge fixing]] with a single parameter $t \mapsto a(t)$, the _scale factor of the universe_ depending on coordinate time $t$ (fixed by some gauge condition).

The [[equations of motion]] of the FRW model are then

1. $H^2 \coloneqq (\dot a / a)^2 = 2 \rho - k/a^2$

1. $\ddot a/ a = -(\rho + 3 p)$

1. $\dot \rho + 3 H(\rho + p ) = 0$

where

* $H \coloneqq \dot a/a$ is called the [[Hubble parameter]];

* and

  * $p$ is the [[pressure]] 

  * $\rho$ is the [[density]]

  of a "perfect fluid" of [[matter]] and [[radiation]] filling the universe.

Moreover, the ratio

* $w \coloneqq p/\rho$

is part of the experimental/phenomenological input into the model, which describes which _kind_ of matter/radiation is assumed to fill [[spacetime]]

| w |  source of energy-density filling spacetime |
|--|--|
| 1/3 | radiation or relativistic matter |
| 0 | dust [[matter]] |
| 1 | stiff fluid |
| -1 | [[cosmological constant]] |

The first equation may be rewritten as

$$
  \Omega \coloneqq \Omega_R + \Omega_M + \Omega_\Lambda 
  =
  1 + \frac{k}{a^2 H^2}
$$

where the _density parameter_ $\Omega$ consists of the contribution

* $\Omega_R = 2 \frac{\rho_r}{a^2}$ of [[radiation]];

* $\Omega_M = 2 \frac{\rho_r}{a^2}$ of [[matter]];

* $\Omega_\Lambda =  \frac{\Lambda}{a^2}$ of [[cosmological constant]];

## Related concepts

* [[big bang]]

* [[cosmic inflation]]

* [[standard model of cosmology]]

## References

* [[Matthias Blau]], chapter 33 and 34 of _Lecture notes on general relativity_ ([web](http://www.blau.itp.unibe.ch/GRLecturenotes.html))


* Jorge L. Cervantes-Cota, George Smoot, _Cosmology today -- A brief review_ (2011)([arXiv:1107.1789](http://arxiv.org/abs/1107.1789))


* Wikipedia, _[Friedmann–Lemaître–Robertson–Walker metric](http://en.wikipedia.org/wiki/Friedmann%E2%80%93Lema%C3%AEtre%E2%80%93Robertson%E2%80%93Walker_metric)_

[[!redirects FRW models]]

[[!redirects FRW spacetime]]
[[!redirects FRW spacetimes]]

[[!redirects FLRW model]]
[[!redirects FLRW models]]
[[!redirects FLRW spacetime]]
[[!redirects FLRW spacetimes]]


[[!redirects Friedman-Robertson-Walker model]]
[[!redirects Friedman-Robertson-Walker models]]

[[!redirects Friedman-Lemaitre-Robertson-Walker model]]
[[!redirects Friedman-Lemaitre-Robertson-Walker models]]

[[!redirects Robertson-Walker model]]
[[!redirects Robertson-Walker models]]

