
#Contents#
* table of contents
{:toc}

## Idea

Proof theory is the part of [[mathematical logic]] concerned with the notion of [[proof]]. It was introduced by [[David Hilbert]] under the name _Beweistheorie_ as part of [[Hilbert's program]]. Since [[Gödel's incompleteness theorem]] put an end to the original version of Hilbert's program, proof theory has broadened its scope to include the following:

* **Structural proof theory** This is concerned with the structure of proofs and perspicuous proof calculi for elucidating this structure. This leads to the study of [[sequent calculus]] and [[natural deduction]].

* **Reductive proof theory** This is modern version of [[Hilbert's program]], in which we don't hope to secure all of mathematics with finitistic means, but rather ask: _what rests on what?_ That is, we find reductions between various systems, showing for example that some [[classical logic|classical]] systems can be reduced to [[constructive mathematics|constructive]] systems, or some systems which use _a priori_ [[impredicative]] principles can nevertheless be reduced to [[predicative]] systems. See also: [[reverse mathematics]].

* **[[ordinal analysis|Ordinal analysis]]** Here one analyzes the provably well-founded recursive [[ordinals]] and provably total [[recursive functions]] of a theory by devising suitable proof calculi

* **Proof mining** Here one analyzes proofs of specific statements in order to extract more information than the mere truth of the statement, for instance witnesses or bounds on witnesses of [[existential quantifier|existential]] statements.

## Related concepts

* [[type theory]]

* [[second order arithmetic]], [[elementary function arithmetic]]

* [[proof management system]]

* [[linear logic]]

* [[ordinal analysis]]

## References

* Wikipedia, _[Proof theory](http://en.wikipedia.org/wiki/Proof_theory)_.

* Georg Kreisel, _A Survey of Proof Theory_, JSL 33(3), 1968, 321-388.

* [[Richard Statman]], _[[Structural Complexity of Proofs]]_, 1974

* [[Jean-Yves Girard]], [[Yves Lafont]], and [[Paul Taylor]], _Proofs and Types_, 1990. ([web](http://www.paultaylor.eu/stable/Proofs+Types.html))

* [[Martin Hyland]] provides some abstract perspectives on proof theory as a subject in the introduction to his essay, [Proof Theory in the Abstract](https://www.dpmms.cam.ac.uk/~martin/Research/Publications/2002/pta02.pdf).
