
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Type theory
+-- {: .hide}
[[!include type theory - contents]]
=--
#### Category theory
+-- {: .hide}
[[!include category theory - contents]]
=--
#### Constructivism, Realizability, Computability
+-- {: .hide}
[[!include constructivism - contents]]
=--
=--
=--


# Contents
* table of contents
{: toc}

## Idea

Under the identifications

1. [[propositions as types]]

1. [[programs as proofs]]

1. [[relation between type theory and category theory]]

the following notions are equivalent:

1. A [[proof]] of a [[proposition]]. (In [[logic]].)

2. A [[program]] with output some [[type]]. (In [[type theory]] and [[computer science]].)

3. A [[generalized element]] of an [[object]]. (In [[category theory]].)

This is referred to as "computational trinitarianism" in ([Harper](#Harper)), where also an exposition is given.

> The central dogma of computational trinitarianism holds that Logic, Languages, and Categories are but three manifestations of one divine notion of computation.  There is no preferred route to enlightenment: each aspect provides insights that comprise the experience of computation in our lives.

> Computational trinitarianism entails that any concept arising in one aspect should have meaning from the perspective of the other two.  If you arrive at an insight that has importance for logic, languages, and categories, then you may feel sure that you have elucidated an essential concept of computation--you have made an enduring scientific discovery. ([Harper](#Harper)) 

[[!include types and logic - table]]

## Related concepts

* [[syntax-semantics duality]]

* [[relation between category theory and type theory]]

* [[programs as proofs]], [[propositions as types]]


## References

In the introduction of 

* [[Paul-André Melliès]], _Functorial boxes in string diagrams_, Procceding of _Computer Science Logic 2006_ in Szeged, Hungary. 2006 ([article](https://dumas.ccsd.cnrs.fr/PPS/hal-00154243))
 {#Mellies06}

the insight is recalled to have surfaced in the 1970s, with an early appearance in print being the monograph

* [[Joachim Lambek]], [[Phil Scott]], _Introduction to Higher Order Categorical
Logic_, Cambridge Studies in Advanced Mathematics Vol. 7. Cambridge University Press, 1986.

See also at _[History of categorical semantics of linear type theory](linear+type+theory#HistoryCategoricalSemantics)_ for more on this.

A exposition of the relation between the three concepts is in

* {#Harper} [[Robert Harper]], _The Holy Trinity_ (2011) ([web](http://existentialtype.wordpress.com/2011/03/27/the-holy-trinity/)) 
 

* {#Frumin14} Dan Frumin, _Computational trinitarianism_, Feb 2014 ([prezi slides](http://prezi.com/fnz-4wzsygiq/computational-trinitarianism/))

An exposition with emphasis on [[linear logic]]/[[quantum logic]] and the relation to [[physics]] is in

* [[John Baez]], [[Mike Stay]], _Physics, Topology, Logic and Computation: A Rosetta Stone_, Notes in Physics vol. 813, Springer, Berlin, 2011, pp. 95-174 ([arXiv:0903.0340](http://arxiv.org/abs/0903.0340))

A discussion in the context of [[homotopy type theory]] is in

* [[Mike Shulman]], *Homotopical trinitarianism*, [talk slides](http://home.sandiego.edu/~shulman/papers/trinity.pdf)

For further references see at _[[programs as proofs]]_, _[[propositions as types]]_, and _[[relation between category theory and type theory]]_.


[[!redirects computational trinitarianism]]
[[!redirects computational trinity]]