
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Deduction and Induction
+-- {: .hide}
[[!include deduction and induction - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A **syllogism** is a pattern of [[deduction|deductive]] argument of a certain limited range of form. The study of syllogisms was originated by [[Aristotle]] and later developed by his followers as well as by the Stoics. Syllogisms were central objects of study for medieval logicians.

Syllogisms involve two premises and a conclusion, each expressing a statement of the form that either all, none or some members of a class do or do not have a certain [[property]]. For example,

* No fish is a mammal.
* Some sea creatures are fish.
* Therefore, some sea creatures are not mammals.

In the nineteenth century, syllogism became seen to be insufficiently expressive as more complicated relations and [[quantification]] were encountered. [[Predicate logic]] came to take its place.

## Original definition

The definition by Aristotle that has received the most attention (out of several variants) is from _Prior Analytics_ 24b18-22 (here taken from translation by [Striker (2009)](#Striker)):

>A ‘syllogismos’ is an argument (logos) in which, (i) certain things being posited (tethentôn), (ii) something other than what was laid down (keimenôn) (iii) results by necessity (eks anagkês sumbainei)(iv) because these things are so. By ‘because these things are so’ I mean that it results through these, and by ‘resulting through these’ I mean that no term is required from outside for the necessity to come about.


## Related entries

* [[natural deduction]]

* [[co-Heyting negation]]

## References

* {#SEP} Stanford Encyclopedia of Philosophy, _[Aristotle's logic](http://plato.stanford.edu/entries/aristotle-logic/)_

* Gisela Striker, _Aristotle's Prior Analytics Book I: Translated with an Introduction and Commentary_, OUP, Oxford (2009) [PhilPapers entry](http://philpapers.org/rec/STRAPA-2)
{#Striker}

* [[Georg Hegel]], _[[Lectures on the History of Philosophy]] -- [Aristotle -- Logic](Lectures+on+the+History+of+Philosophy#AristotleLogic)_.

* [[Georg Hegel]], _[[Science of Logic]]  -- [Subjective logic -- Subjectivity -- Syllogism](Science+of+Logic#SchlussSyllogism)_

An interpretation of syllogistic term logic in modern [[predicate logic]] is discussed in detail in the textbook on [[mathematical logic]]:

* {#HilbertAckermann59} [[David Hilbert]], [[Wilhelm Ackermann]], _The calculus of classes (monadic predicate calculus)_ ([web](http://books.google.it/books?id=45ZGMjV9vfcC&pg=PA44#v=onepage&q&f=false)), chapter II of _Grundzüge der Theoretischen Logik_ , 4th ed. Springer Heidelberg 1959 [1928]

After J. Lukasiewicz's classic monograph on Aristotelian logic from a modern point of view, the 1970s saw influential interpretations of it as systems of [[natural deduction]]:

* J. Bacon, _Natural-deduction rules for syllogistic_ , JSL **31** (1966) pp.686-7.

* J. Corcoran, _Completeness of an ancient logic_ , JSL **37** (1972) pp.696-702.

* T. Smiley, _What is a syllogism_ , JPL **2** (1973) pp.136-154.

An approach to Aristotelian logic using [[category theory]] is in

* {#PalmeReyesMacnamaraReyes94} [[Marie La Palme Reyes]], John Macnamara, [[Gonzalo Reyes]] , _Functoriality and Grammatical Role in Syllogisms_ , Notre Dame J. Formal Logic **35** no.1 (1994) pp.41-66. ([Euclid](http://projecteuclid.org/euclid.ndjfl/1040609293), [pdf](http://projecteuclid.org/download/pdf_1/euclid.ndjfl/1040609293))

* {#RRZ94} M. La Palme Reyes, J. Macnamara, [[Gonzalo E. Reyes|G. E. Reyes]], H. Zolfaghari, _The non-Boolean logic of natural language negation_ , Phil. Math. **2** no.1 (1994) pp.45-68.

A proposal for formalization of syllogisms within [[linear logic]] is in 

* Ruggero Pagnan, _A diagrammatic calculus of syllogisms_, Journal of Logic, Language and Information July 2012, Volume 21, Issue 3, pp 347-364 ([arXiv:1001.1707](http://arxiv.org/abs/1001.1707))

* {#Pagnan13} Ruggero Pagnan, _Syllogisms in Rudimentary Linear Logic, Diagrammatically_ ([arXiv:1302.7111](http://arxiv.org/abs/1302.7111))


[[!redirects syllogisms]]

[[!redirects Aristotle's logic]]
[[!redirects Aristotelian logic]]
