
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Topos Theory
+-- {: .hide}
[[!include topos theory - contents]]
=--
#### Category Theory
+-- {: .hide}
[[!include category theory - contents]]
=--
=--
=--



# $\kappa$-ary sites

* table of contents
{: toc}

## Idea

A *$\kappa$-ary site* is a [[site]] whose covering sieves are determined by $\kappa$-small covering families, and which has a very weak sort of finite limits.  These conditions get weaker as $\kappa$ gets larger,  until when $\kappa$ is the size of the universe, every [[small category|small]] site is $\kappa$-ary.

$\kappa$-ary sites are a very general (perhaps the most general) appropriate input for $\kappa$-ary [[exact completion]].

## Definition

Let $\kappa$ be an [[arity class]].

+-- {: .un_defn}
###### Definition
A [[site]] $C$ is **weakly $\kappa$-ary** if for any covering sieve $R$ of an object $V$ in $C$, there exists a $\kappa$-small family $\{p_i: U_i \to V\}_i$ in $C$ such that (1) each $p_i \in R$, and (2) the sieve generated by $\{p_i\}$ is a covering sieve.
=--

This definition can also be rephrased purely in terms of the covering families; see ([Shulman](#Shulman)).

+-- {: .un_defn}
###### Definition
Let $C$ be a site and $G:D\to C$ a [[functor]].  A **local $\kappa$-prelimit** of $G$ is a $\kappa$-small family of [[cones]] $\{q_i: \Delta L \to G \}_i$ in $C$ such that for any cone $r:\Delta u \to G$, the sieve $\{ p: v\to u | r p$ factors through some $q_i \}$ is a covering sieve of $u$.
=--

+-- {: .un_defn}
###### Definition
A **$\kappa$-ary site** is a weakly $\kappa$-ary site which has all *finite* local $\kappa$-prelimits (i.e. whenever $D$ is a [[finite category]]).
=--

## Examples

* If $C$ has a [[trivial topology]], then a local *unary* prelimit (i.e. $\kappa=\{1\}$) is precisely a [[weak limit]].  The trivial topology is always weakly $\kappa$-ary, so a trivial site is unary just when it has weak limits.

* Any limit is, in particular, a local $\kappa$-prelimit.  Thus, any weakly $\kappa$-ary site with finite limits is $\kappa$-ary.

* If the class of *all* cones over $G$ is $\kappa$-ary, then it is a local $\kappa$-prelimit.  Thus, any $\kappa$-small and weakly $\kappa$-ary site is $\kappa$-ary.  In particular, any small site is an *infinitary* site.

* The [[regular topology]] on a [[regular category]] (including an [[exact category]]) is unary.

* The [[coherent topology]] on a [[coherent category]] (including a [[pretopos]]) is finitary.

* Generalizing the previous two examples, the class of all $\kappa$-small and effective-epic families on a [[κ-ary regular category]] (including a [[κ-ary exact category]]) is a $\kappa$-ary topology.  This is called its *$\kappa$-canonical topology*.

* The [[extensive topology]] on a (finitary) [[extensive category]] is finitary.

* The [[canonical topology]] on any [[Grothendieck topos]] is infinitary.

* The [[Zariski topology]] on $CRing^{op}$ is finitary.

## The 2-category of $\kappa$-ary sites

The 2-category $SITE_\kappa$ has $\kappa$-ary sites as its objects, and [[morphisms of sites]] as its morphisms, where we use the more general [[covering-flat functor|covering-flat]] definition of a morphism of sites.

### Properties

* $SITE_\kappa$ is equivalent to a 2-category of [[framed allegory|framed allegories]]; see ([Shulman](#Shulman)).

* $SITE_\kappa$ contains, as a full [[reflective subcategory|reflective]] sub-2-category, the 2-category of [[κ-ary exact categories]] with their $\kappa$-canonical topologies.  The reflector is called [[exact completion]].  When $\kappa$ is the size of the universe, this reflector applied to a small (hence infinitary) site constructs its [[topos of sheaves]].

## References

* [[Michael Shulman]], "Exact completions and small sheaves".  *Theory and Applications of Categories*, Vol. 27, 2012, No. 7, pp 97-173.  [Free online](http://www.tac.mta.ca/tac/volumes/27/7/27-07abs.html)
{#Shulman}

[[!redirects κ-ary site]]
[[!redirects κ-ary sites]]
[[!redirects k-ary site]]
[[!redirects k-ary sites]]
[[!redirects unary site]]
[[!redirects unary sites]]
[[!redirects finitary site]]
[[!redirects finitary sites]]
[[!redirects infinitary site]]
[[!redirects infinitary sites]]
