
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher category theory
+--{: .hide}
[[!include higher category theory - contents]]
=--
=--
=--



#Contents#
* table of contents 
{:toc}

## Idea

The notion of **3-groupoid** is the next higher generalization in [[higher category theory]] of [[groupoid]] and [[2-groupoid]]. 

## Definition

A **3-groupoid** is an [[∞-groupoid]] such that all [[parallel pair]]s of [[k-morphism]] are [[equivalence|equivalent]] for $k \geq 4$: a 3-[[truncated]] [[∞-groupoid]].

Thus, up to [[equivalence of categories|equivalence]], there is no point in mentioning anything beyond $3$-morphisms, except whether two given parallel $3$-morphisms are equivalent. This definition may give a concept more general than your preferred definition of $3$-groupoid, but it will be equivalent; basically, you may have to rephrase equivalence of $3$-morphisms as [[equality]].

See also [[n-groupoid]].

## Models

A general 3-groupoid is [[geometric definition of higher categories|geometrically modeled]] by a 4-[[simplicial skeleton|coskeletal]] [[Kan complex]]. Equivalently -- via the [[homotopy hypothesis]]-theorem -- by a [[homotopy 3-type]].

A small model of this is a 3-[[hypergroupoid]], where all [[horn]]-filelrs in dimension $\geq 4$ are _unique_ .

A 3-groupoid is [[algebraic definition of higher categories|algebraically modeled]] by a [[tricategory]] in which all morphisms are invertible, and by a 3-[[truncated]] [[algebraic Kan complex]]. 

A [[semi-strict infinity-category|semistrict]] [[algebraic definition of higher categories|algebraic model]] for 3-groupoids is provided by the notion of [[Gray-groupoid]]. These in turn are encoded by [[2-crossed module]]s.

An entirely strict algebraic model for 3-groupoids (which no longer models all [[homotopy 3-type]]s) is a 3-[[truncated]] [[strict omega-groupoid]].

## Related concepts

[[!include homotopy n-types - table]]


## References ##

* Simona Paoli, Semistrict models of connected 3-types and Tamsamani’s weak 3-groupoids, _Journal of Pure and Applied Algebra_
**211** (2007), 801-820. ([arXiv](http://arxiv.org/abs/math/0607330))

* [[Carlos Simpson]], _Homotopy types of strict 3-groupoids_  ([arXiv](http://arxiv.org/abs/math/9810059))

[[!redirects 3-groupoids]]
 