
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Type theory
+-- {: .hide}
[[!include type theory - contents]]
=--
#### Constructivism, Realizability, Computability
+-- {: .hide}
[[!include constructivism - contents]]
=--
#### Category theory
+-- {: .hide}
[[!include category theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A formal language ([[theory]]) for expressing [[programs]]. Used and studied in [[computer science]].

## Examples

### Types of programming languages

* [[imperative programming]]

* [[functional programming]]

### Specific examples

* **[[higher order logic]]**:

  * [[Isabelle]]

* **plain [[type theory]]**:

  * [[Haskell]]

* **[[dependent type theory]]**:

  * [[Coq]], [[Agda]], [[NuPRL]], ....

* **[[quantum computation]]**

  * [[Quipper]]

* [[Mathematica]]

## Related concepts

* [[computation]]
* [[computational trinitarianism]]

* [[monad (in computer science)]], [[algebraic side effect]]

* [[proof management system]]

* [[computational topology]]
* [[list of mathematics software]]

* [[domain specific programming language]], [[domain specific embedded programming language]]

## References

* [[Robert Harper]], _[[Practical Foundations for Programming Languages]]_

category: software, applications

[[!redirects programming languages]] 
[[!redirects functional programming language]]
[[!redirects functional programming languages]]
 