
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Knot theory
+--{: .hide}
[[!include knot theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

In 1928, [[J. W. Alexander]] published a paper "Topological Invariants of Knots and Links" in which he defined a polynomial [[knot invariant|invariant]] of [[knots]] and developed new insights including the braid relations.  There are several ways to look at these invariants, some of these use the [[knot group]] previously defined by [[Max Dehn]], but there are also various combinatorial methods derived from Alexander's original one. One of the best known methods is via [[Fox derivatives]] and is described in the classical text by [[Richard Crowell]] and [[Ralph Fox]].

(...)

Consider some 3-manifold given as a [[surface]] [[fiber bundle]] over the circle (notice the _[[virtually fibered conjecture]]_).
For a [[fiber]] surface $T$, the translation of the fibre around the base-space circle determines an element in the mapping-class group of $T$, a homeomorphism $h\colon T \to T$ well defined up to isotopy; this element is called the _holonomy_ of the fiber surface; the _Alexander polynomial_ is the [[characteristic polynomial]] of the map the holonomy  induces on $H_1(T)$.

([Stallings 87](#Stallings87))

##Analogy with number theory

See [Sikora 01, analogy 2.2 (10)](#Sikora01)) for the comparison in [[arithmetic topology]], where Alexander-Fox theory is the analog of [[Iwasawa theory]] ([Morishita, section 7](#Morishita)).

In [Remark 3.3 of Sugiyama 04](#Sugiyama04), the Alexander polynomial is described as the L-function of the knot complement, taken there with the trivial represenation. As such it resembles the local zeta function of a curve.

## References

* [Alexander's original paper](http://homepages.math.uic.edu/~kauffman/Alex.pdf)

*   [[R. H. Crowell]] and [[R. H. Fox]], Introduction to Knot Theory, Springer, Graduate Texts 57, 1963.


Various approaches to the Alexander polynomial are described in introductory texts such as 

* [[N. D. Gilbert]] and [[T. Porter]], Knots and Surfaces, Oxford U.P., 1994.

* {#Stallings87} John Stallings, _Constructions of fibered knots and links_, Proceedings of Symposia in Pure Mathematics, Volume 32,1987 ([pdf](http://www.maths.ed.ac.uk/~aar/papers/stallfib2.pdf))

An analogue in number theory is Iwasawa polynomial. Cf. for number theoretic analogies

* [[Barry Mazur]], _Remarks on the Alexander polynomial_, [pdf](http://www.math.harvard.edu/~mazur/papers/alexander_polynomial.pdf)
* {#Morishita} Masanori Morishita, _Analogies between Knots and Primes, 3-Manifolds and Number Rings_, ([arxiv](http://arxiv.org/abs/0904.3399))
* Masanori Morishita, Knots and primes: an introduction to arithmetic topology, Springer 2012, chapter 12
* Ken-ichi Sugiyama, _The properties of an L-function from a geometric point of view_, 2007 [pdf](http://geoquant2007.mi.ras.ru/sugiyama.pdf)

* {#Sugiyama04} Ken-ichi Sugiyama, _A topological $\mathrm{L}$ -function for a threefold_, 2004 [pdf](http://www.kurims.kyoto-u.ac.jp/~kyodo/kokyuroku/contents/pdf/1376-12.pdf); 

* {#Sugiyama06} Ken-ichi Sugiyama _An analog of the Iwasawa conjecture for a compact hyperbolic threefold_, [math.GT/0606010](http://arxiv.org/abs/math/0606010)

* {#Sikora01} Adam S. Sikora, _Analogies between group actions on 3-manifolds and number fields_, [arXiv:0107210](http://arxiv.org/abs/math/0107210)

Other works

* Takefumi Nosaka, _Twisted cohomology pairings of knots I; diagrammatic computation_, [arxiv/1602.01129](http://arxiv.org/abs/1602.01129); _Twisted cohomology pairings of knots II; to classical invariants_, [arxivs/1602.01131](http://arxiv.org/abs/1602.01131) 
[[!redirects Alexander polynomials]]

category:knot theory


