
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Supergeometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
#### Complex geometry
+--{: .hide}
[[!include complex geometry - contents]]
=--
#### Manifolds and cobordisms
+--{: .hide}
[[!include manifolds and cobordisms - contents]]
=--
=--
=--





#Contents#
* table of contents
{:toc}

## Idea

A _super Riemann surface_ is the analog of a [[Riemann surface]] in [[supergeometry]].

## Examples

A [[Riemann surface]] with [[spin structure]] that is also a [[branched cover]] of $\mathbb{C}P^{(1 \vert 1)}$ is canonically endowed with the structure of a super Riemann surface with [[Ramond punctures]] ([Donagi-Witten 15](#DonagiWitten15)). This implies that [[adinkras]] encode certain very special super Riemann surfaces [Doran & Iga & Landweber & Mendez-Diez 13](#DoranIgaLandweberMendez-Diez13).

## Related concepts

* [[superstring]]

* [[string scattering amplitude]]

* [[picture changing operator]]

* [[adinkra]]

## References

The concept of super Riemann surfaces originates with the following articles:

* [[Daniel Friedan]], _Notes On String Theory and 2-Dimensional Conformal Field Theory_. 1986

* M.A. Baranov, [[Albert Schwarz]],  _On the Multiloop Contribution to the String Theory_ Int.J.Mod.Phys., A2:1773, 1987

* [[Yuri Manin]], _Critical Dimensions of String Theories and the Dualizing Sheaf on the Moduli Space of (Super) Curves_, Funct.Anal.Appl., 20:244-245, 
1987

* S. B. Giddings and P. Nelson, _The Geometry of super Riemann surfaces_, Commun. Math. Phys., 116, (1988), 607


Further discussion of the [[moduli space]] of super Riemann surfaces includes the following:


* [[Edward Witten]], _Notes On Super Riemann Surfaces And Their Moduli_ ([arXiv:1209.2459](http://arxiv.org/abs/1209.2459))

* {#DonagiWitten15} [[Ron Donagi]], [[Edward Witten]], _Supermoduli Space Is Not Projected_, Proc.Symp.Pure Math. 90 (2015) 19-72 ([arXiv:1304.7798](http://arxiv.org/abs/1304.7798))

* [Supermoduli Workshop: May 18 – 22, 2015](http://scgp.stonybrook.edu/archives/10356), videos of lecture courses by [[Pierre Deligne]], [[Eric D'Hoker]], [[Ron Donagi]] and [[Edward Witten]]

Discussion of super Riemann surfaces induced by [[supermultiplets]] for $N$-extended $d = 1$ supersymmetry -- via [[adinkra]] symbols, is due to

* {#DoranIgaLandweberMendez-Diez13} [[Charles Doran]], [[Kevin Iga]], [[Greg Landweber]], [[Stefan Méndez-Diez]], _Geometrization of $\mathcal{N}$-Extended 1-Dimensional Supersymmetry Algebras_ ([arXiv:1311.3736](https://arxiv.org/abs/1311.3736))

* {#DoranIgaKostiukMendes-Diez16} [[Charles Doran]], [[Kevin Iga]], Jordan Kostiuk, [[Stefan Méndez-Diez]], _Geometrization of $\mathcal{N}$-Extended 1-Dimensional Supersymmetry Algebras II_ ([arXiv:1610.09983](https://arxiv.org/abs/1610.09983))


[[!redirects super Riemann surfaces]]
