
#Contents#
* table of contents
{:toc}

## Idea

The _Mordell conjecture_ or _Falting's theorem_ is a statement about the [[finite set|finiteness]] of [[rational points]] on an [[algebraic curve]] over a [[number field]] of [[genus]] $g \gt 1$.

Its statement motivated the introduction of [[anabelian geometry]] ([Grothendieck](#Grothendieck)).

The Mordell conjecture completed a classification of the behavior of rational points on curves over $\mathbb{Q}$. For genus 0 one has no points, or something isomorphic to $\mathbb{P}^1$ and hence infinitely many. For genus 1, the [[Mordell-Weil theorem]] tells us it is either empty or a finitely generated [[abelian group]] (sometimes finite, sometimes infinite). To finish off this type of classification the Mordell conjecture shows that only the finite case can occur for higher genus.

This result also implies many non-trivial results. For example, fix a finite set of primes $S$, a dimension $n$, and a [[polarization degree]] $d$. There are only finitely many [[abelian varieties]] of dimension $n$ and polarization degree $d$ with [[bad reduction]] inside $S$. This result is so interesting that a whole industry popped up asking what other varieties this type of behavior occurs for. It seems to work for [[K3]]s.

## Relation to other statements

The Mordell conjecture is implied by the [[abc conjecture]]. (See there.)

The Mordell conjecture implies [[Tate's isogeny theorem]].

See also [[Vojta's conjecture]].

## References

The Mordell comnjecture originates in 

* [[Louis Mordell]],  _On the rational solutions of the indeterminate equation of the third and fourth degrees_, Proc. Cambridge Philos. Soc. 21: 179–192 (1922)

It was proven in

* [[Gerd Faltings]], _Endlichkeitssätze für abelsche Varietäten über Zahlkörpern_, Inventiones Mathematicae 73 (3): 349–366 (1983) doi:10.1007/BF01388432. 
 {#Faltings}

Reviews include

* [[Barry Mazur]], _Abelian varieties and the Mordell-Lang conjecture_ ([pdf](http://library.msri.org/books/Book39/files/mazur.pdf))

* Enrico Bombieri, _The Mordell conjecture revisited_, _Annali della Scuola Normale Superiore di Pisa - Classe di Scienze_,  Sér. 4, 17 no. 4 (1990), p. 615-640 ([Numdam](http://www.numdam.org/item?id=ASNSP_1990_4_17_4_615_0))

Encyclopedia entries are in

* Encyclopedia of Mathematics, _[Mordell conjecture](http://www.encyclopediaofmath.org/index.php/Mordell_conjecture)_

* Wikipedia, _[Faltings' theorem](http://en.wikipedia.org/wiki/Mordell_conjecture#CITEREFMordell1922)_

The relation to [[anabelian geometry]] originates in

* [[Alexandre Grothendieck]], letter to [[Faltings]] (1983) ([pdf](http://www.math.jussieu.fr/~leila/grothendieckcircle/GtoF.pdf))
 {#Grothendieck}

[[!redirects Mordell's conjecture]]

[[!redirects Mordell Conjecture]]


