
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
#### Linear algebra
+-- {: .hide}
[[!include homotopy - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A [[field]] with [[finite set|finitely]] many elements. 

## Structure 

Let $F$ be a finite field. As $\mathbb{Z}$ is the [[initial object]] in the category of [[rings]], there is a unique ring [[homomorphism]] $\mathbb{Z} \to F$, whose [[(epi, mono) factorization system|regular epi-mono factorization]] is 

$$\mathbb{Z} \twoheadrightarrow \mathbb{Z}/(p) \hookrightarrow F;$$ 

here $p$ is [[prime number|prime]] (irreducible) since any subring of a field has no [[zero divisors]]. Here $\mathbb{Z}/(p)$ is a [[prime field]], usually denoted $\mathbb{F}_p$. 

Thus we have an inclusion of fields $\mathbb{F}_p \to F$; in particular $F$ is an $\mathbb{F}_p$-[[module]] or [[vector space]], clearly of finite dimension $n$. It follows that $F$ has $q = p^n$ elements. 

In addition, since the multiplicative group $F^\times$ is [[cyclic group|cyclic]] (as shown for example at [[root of unity]]), of order $q - 1$, it follows that $F$ is a [[splitting field]] for the polynomial $x^{q-1} - 1 \in \mathbb{F}_p[x]$. As splitting fields are unique up to isomorphism, it follows that up to isomorphism there is just one field of cardinality $q = p^n$; it is denoted $\mathbb{F}_q$.[^fine]

[^fine]: There is no 'canonical' choice of such a splitting field, just as there is no canonical choice of algebraic closure. So 'morally' there is something wrong with saying '[[the]]' finite field $\mathbb{F}_q$, although this word usage can be found in the literature. In the special case $n = 1$ there is no problem: Given fields containing $p$ elements are isomorphic _in a unique way_.

The [[Galois group]] $Gal(\mathbb{F}_{p^n}/\mathbb{F}_p)$ is a cyclic group of order $n$, generated by the [[automorphism]] $\sigma: \mathbb{F}_{p^n} \to \mathbb{F}_{p^n}$ sending $x \mapsto x^p$. (One way to see that $\sigma$ preserves addition is to write ([[binomial theorem]]) 

$$\array{
(x + y)^p & = & \sum_{i=0}^p \binom{p}{i} x^i y^{p-i} \\ 
 & = & x^p + y^p
}$$ 

where the second equation follows from the fact that the integer $p$ divides the numerator of $\frac{p!}{i!(p-i)!}$, but neither factor of the denominator, if $0 \lt i \lt p$. This is true for any [[commutative algebra]] over $\mathbb{F}_p$; see [[freshman's dream]].) 

This $\sigma$ is called the Frobenius (auto)morphism or [[Frobenius map]]. More generally, if $m$ divides $n$, then $\mathbb{F}_{p^m}$ is the fixed field of the automorphism $\sigma^m: x \mapsto x^{p^m}$, and $Gal(\mathbb{F}_{p^n}/\mathbb{F}_{p^m})$ is a cyclic group of order $n/m$ that is generated by this automorphism, which is also called the Frobenius map (for the field extension $\mathbb{F}_{p^n}/\mathbb{F}_{p^m}$), or just "the Frobenius" for short. 

If $K = \widebar{\mathbb{F}_p}$ is an [[algebraic closure]] of $\mathbb{F}_p$, then $K$ is the union (a [[filtered colimit]]) of the system of such finite field extensions $\mathbb{F}_q$ and inclusions between them. If $q = p^n$, then $\mathbb{F}_q$ may be defined to be the fixed field of the automorphism $\sigma^n: K \to K$. 

The Galois group $Gal(K/\mathbb{F}_p)$ is the inverse limit of the system of finite cyclic groups and projections between them; it is isomorphic to the profinite completion 

$$\widehat{\mathbb{Z}} = \hom(\mathbb{Q}/\mathbb{Z}, \mathbb{Q}/\mathbb{Z}) \cong \prod_{primes\; p} \mathbb{Z}_p$$ 

where $\mathbb{Z}_p$ is the group of $p$-[[p-adic integers|adic integers]]. 


## Related concepts

* [[modular arithmetic]]

## References

* Wikipedia, _[Finite field](http://en.wikipedia.org/wiki/Finite_field)_

[[!redirects finite fields]]