+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Complex geometry
+--{: .hide}
[[!include complex geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The _Teichmüller space_ $\mathcal{T}_{\Sigma}$ of a  ([[closed manifold|closed]]) 2-[[dimension|dimensional]] [[manifold]] $\Sigma$  is the [[moduli space of complex structures]] on $\Sigma$, where two complex structures are identified if they are taken into each other by a [[homeomorphism]] $\phi \colon \Sigma \to \Sigma$ which is [[isotopy|isotopic]] to the [[identity]]. 

Since the [[diffeomorphism]] class of  a [[closed manifold]] of dimension 2 is given by its [[genus]] $g\in \mathbb{Z}$, typically one speaks of the Teichmüller space $\mathcal{T}_g$ for each $g$. More generally one considers $\Sigma$s equipped with $n$ punctures/[[boundary]] circle and then writes $\mathcal{T}_{g,n}$. 

Teichmüller space is a [[covering space]] for the [[moduli space of curves]] over the complex numbers (see [below](#RelationToModuliStackOfCurves)). When also the singular [[nodal curve]] is included one speaks of the _[[augmented Teichmüller space]]_ which in turn is a cover of the [[Deligne-Mumford compactification]] of the moduli space of complex curves.



## Properties

### Complex structure on Teichmüller space
 {#ComplexStructureOnTeichmüllerSpace}

Teichmüller space itself carries a [[complex structure]]. 

This was envisioned in ([Teichmüller 44](#Teichmuller44)) and proven in ([Ahlfors 60](#Ahlford60), [Bers 60](#Bers60)).

Review includes ([Schumacher, section 2](#Schumacher))

### Relation to moduli stack of complex curves / Riemann surfaces
 {#RelationToModuliStackOfCurves}

Quotienting the space of complex structures on $\Sigma$ by _all_ [[homeomorphisms]] produces what is called the [[moduli space of curves]] (over the complex numbers). 
Closely related to the [[moduli space of conformal structures]] hence of  [[Riemann surfaces]]. 

Hence the Riemann moduli space is the [[orbifold quotient]] of Teichmüller space by the [[mapping class group]] of $\Sigma$. See ([Hubbard-Koch 13](#HubbardKoch13)).



## Related concepts

* [[Kodaira-Spencer theory]]

* [[moduli space of curves]]

* [[Grothendieck-Teichmüller group]]

* [[quantum Teichmüller theory]]

* [[inter-universal Teichmüller theory]]

* [[Outer space]]

## References

The original articles are

* {#Teichmuller39} [[Oswald Teichmüller]], _Extremale quasikonforme Abbildungen und quadratische Differentiale_, Preußische Akademie der Wissenschaften, nat. Kl. 22 1-197 (1939)

* {#Teichmuller44} [[Oswald Teichmüller]], _Veränderliche Riemannsche Flächen_, Deutsche Math. 7 344-359 (1944)

The complex structure on Teichmüller spaces was fully established in

* {#Ahlfors60} L. Ahlfors, _The complex analytic structure of the space of closed Riemann surfaces_, in _Analytic Functions_, Princeton University Press (1960)

* {#Bers60} [[Lipman Bers]], _Spaces of Riemann surfaces_, Proc. Int. Cong. of Mathematics 1958, Cambridge 1960

Reviews include

* {#Schumacher} Georg Schumacher, _The theory of Teichmüller spaces -- A view towards moduli spaces of Kähler manifolds_ ([pdf](http://www.mathematik.uni-marburg.de/~schumac/ges.pdf))

* Wikipedia, _[Teichmüller space](http://en.wikipedia.org/wiki/Teichm%C3%BCller_space)_ 


Further developments include

* [[Alexander Grothendieck]],  _Techniques de construction en géométrie analytique. I. Description axiomatique de l'espace de Teichmüller et de ses variantes_ Séminaire Henri Cartan 13 no. 1, Exposés No. 7 and 8 (Paris: Secrétariat Mathématique). (1960/1961) ([Numdam](http://www.numdam.org/item?id=SHC_1960-1961__13_1_A4_0))

* {#HubbardKoch13} [[John Hubbard]], [[Sarah Koch]], _An analytic construction of the Deligne-Mumford compactification of the moduli space of curves_ ([arXiv:1301.0062](http://arxiv.org/abs/1301.0062)) 



[[!redirects Teichmüller space]]
[[!redirects Teichmüller spaces]]

[[!redirects Teichmüller orbifold]]
[[!redirects Teichmüller orbifolds]]

[[!redirects Teichmüller stack]]
[[!redirects Teichmüller stacks]]

[[!redirects Teichmüller groupoid]]
[[!redirects Teichmüller groupoids]]