
#Contents#
* table of contents
{:toc}

## Idea

An algebraic curve is an [[algebraic variety]] of dimension $1$. Typically
one restricts considerations to either affine or projective algebraic curves. Most often one treats the plane algebraic curves, i.e. curves
with an embedding into $\mathbf{A}^2$ or $\mathbf{P}^2$; they are the locus of solutions of a single algebraic equation.

An _algebraic curve_ over a [[field]] $F$ is the locus of solutions of $(n-1)$-[[polynomials]] in $n$-[[variables]] of [[type]] $F$, provided the 
Krull dimension of the ring is $1$.


## Properties

### General

* Every projective algebraic curve is [[birationally equivalent]] to a plane algebraic curve
* [[Mordell conjecture]]: every algebraic curve of genus $g\geq 2$ defined over rationals has at least one point over rationals
* To a nonsingular curve $C$ over the field of complex numbers one associates an [[abelian variety]], namely its [[Jacobian variety]] together with the period map or Abel-Jacobi map $C\to J(C)$.

### Function field analogy

[[!include function field analogy -- table]]

## Related concepts

* [[complex curve]], [[Riemann surface]]

* [[arithmetic curve]]

* [[elliptic curve]]

* [[stable curve]], 

* [[moduli stack of curves]]

* [[Jacobian variety]], 

* [[Mordell conjecture]], 

* [[Bezout's theorem]]



## References


* [[William Fulton]], _Algebraic curves_ ([pdf](http://www.math.lsa.umich.edu/~wfulton/CurveBook.pdf))

* Wikipedia, _[Algebraic curve](http://en.wikipedia.org/wiki/Algebraic_curve)_

* Patrick J. Morandi, _Error Correcting Codes and Algebraic Curves_ , lecture notes New Mexico State University 2001. ([pdf](http://www.math.nmsu.edu/~pmorandi/math601f01/LectureNotes.pdf))

[[!redirects algebraic curves]]
