
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Foundations
+-- {: .hide}
[[!include foundations - contents]]
=--
=--
=--

# The Lévy hierarchy
* table of contents
{: toc}

## Idea

In [[logic]], [[model theory]], and [[set theory]], the **Lévy hierarchy** is a [[stratification]] of [[formulas]], [[definable sets]], and (definable) [[classes]] according to the complexity of the unbounded [[quantifiers]].

## Definition

+-- {: .num_defn}
###### Definition

We define classes of formulas $\Sigma_n$, $\Pi_n$, and $\Delta_n$ by [[induction]] on $n$.

* A formula is $\Sigma_0$ iff it is $\Pi_0$ iff it is $\Delta_0$, by definition if it is equivalent to a formula all of whose [[quantifiers]] are [[bounded quantifier|bounded]], i.e. of the form $\forall x\in A$ or $\exists x\in A$.

* A formula is $\Sigma_{n+1}$ if it is equivalent to one of the form $\exists \vec{x}. \phi$, where $\vec{x}$ is a list of variables and $\phi$ is $\Pi_n$.

* A formula is $\Pi_{n+1}$ if it is equivalent to one of the form $\forall \vec{x}. \phi$, where $\vec{x}$ is a list of variables and $\phi$ is $\Sigma_n$.

* A formula is $\Delta_n$ if it is both $\Sigma_n$ and $\Pi_n$.

A class is given one of these labels if it can be defined by a formula which has that label.

=--

+-- {: .num_remark}
###### Remark

The notation "$\Sigma$" and "$\Pi$" can be explained by the fact that the [[existential quantifier]] is related to a [[dependent sum]], while the [[universal quantifier]] is related to the [[dependent product]].

=--

+-- {: .num_remark}
###### Remark

These definitions are most useful in [[classical mathematics]], in which every formula is equivalent to one all of whose unbounded quantifiers are in the front, that is, a formula in [[prenex normal form]], so that every formula belongs to some $\Sigma_n$ or $\Pi_n$.

=--

[[!redirects Levy hierarchy]]
[[!redirects Sigma-n formula]]
[[!redirects Pi-n formula]]
[[!redirects Delta-n formula]]
[[!redirects Σ-n formula]]
[[!redirects Π-n formula]]
[[!redirects Δ-n formula]]
[[!redirects Sigma-0 formula]]
[[!redirects Pi-0 formula]]
[[!redirects Delta-0 formula]]
[[!redirects Σ-0 formula]]
[[!redirects Π-0 formula]]
[[!redirects Δ-0 formula]]
[[!redirects Sigma-1 formula]]
[[!redirects Pi-1 formula]]
[[!redirects Delta-1 formula]]
[[!redirects Σ-1 formula]]
[[!redirects Π-1 formula]]
[[!redirects Δ-1 formula]]
