
#Contents#
* table of contents
{:toc}

## Idea

Let $k$ be a [[field]] of [[characteristic zero]] with [[algebraic closure]] $\overline{k}$ and [[absolute Galois group]] 
$\Gamma_k := Gal (\overline{k}/k)$. Let $X$ be a geometrically connected [[variety]] over $k$. Fix a [[geometric point]], $\overline{x}\in X (\overline{k})$ and let $\pi_1 (X ) \coloneqq \pi_1 (X,  \overline{x})$ be the  [[Galois theory|étale fundamental group]] of $X$. Set $\overline{X} = X \times_k  \overline{k}$ 
and denote by $\pi_1 (\overline{X}) := \pi_1 (\overline{X} ,  \overline{x})$ the  étale fundamental group of $\overline{X}$.  

Grothendieck’s 
fundamental [[short exact sequence]] of [[profinite groups]] ([[SGA1]]), is:

$$
  1  \to\pi_1 (\overline{X})\to\pi_1 (X) \to \Gamma_k \to 1
  \,.
$$
 
By [[functor|functoriality]] of $\pi_1$, the existence of a $k$-point on $X$ implies that the above exact sequence has a [[section]] (is a [[split exact sequence]]). 

This suggests that the converse statement is true whenever $X$ is a proper hyperbolic [[algebraic curve]] over a [[number field]]. This [[conjecture]] is the _section conjecture_ ([Grothendieck 97](#Grothendieck97)).


> (Needs more from Galois Theory and Diophantine geometry below)


##Blog discussions

* [n-Category café](http://golem.ph.utexas.edu/category/2008/03/kim_on_fundamental_groups_in_n.html)

* [Motivic stuff: Cohomology, homotopy theory, and arithmetic geometry](http://homotopical.wordpress.com/tag/section-conjecture/) (Andreas Holmstrom on October 4, 2009)

##Related entries

* [[anabelian geometry]]

##References

* {#Grothendieck97} [[Alexander Grothendieck]],  letter to [[Gerd Faltings]], London Math. Soc. Lecture Note Ser., 242, Geometric Galois actions, 1, 49–58, Cambridge Univ. Press, Cambridge, 1997.


* [[Mohamed Saidi]], _Around the Grothendieck Anabelian Section Conjecture_, [ArXiv:1010.1314v2](http://arxiv.org/pdf/1010.1314v2.pdf).


* [[Minhyong Kim]], _Galois Theory and Diophantine geometry, 2009 ([pdf](http://www.ucl.ac.uk/~ucahmki/cambridgews.pdf))

* [[Jakob Stix]], Evidence for the section conjecture in the theory of arithmetic fundamental groups Habilitationsschrift, School of Mathematics and Computer Science at the Ruprecht-Karls-Universität Heidelberg, January 2011, x+190 pages, to appear as 
Rational Points and Arithmetic of Fundamental Groups, Evidence for the Section Conjecture.
Springer Lecture Notes in Mathematics 2054, xx+pp.249, Springer, 2013.

[[!redirects Grothendieck's section conjecture]]
[[!redirects anabelian section conjecture]]