
#Contents#
* table of contents
{:toc}

##Idea

The notion of _geometric point_ refers to a certain kind of [[morphism]] between [[schemes]] in [[algebraic geometry]]; that is, to a specialized sort of [[generalized element]] of a scheme.

While a [[point]] in a [[topological space]], $X$,  can be thought of as a [[continuous function]] from a singleton space to $X$, in [[algebraic geometry]] the 'spaces' come with more structure as they are [[schemes]] and singletons correspond to the [[prime spectrum|spectra]] of [[fields]].  Category-theoretically, one may think of *any* morphism into $X$ as a [[generalized element|generalized point]] of $X$, but when doing geometry it is often appropriate to restrict to a subclass of these to consider as the (less generalized) "points".

## Definition

Suppose a scheme $S$ is defined over  a field $k$, so is equipped with a morphism to $Spec (k)$. 

+-- {: .num_defn}
###### Definition

A **geometric point** $\xi$ in $S$ is a [[morphism]] from the [[spectrum of a commutative ring|spectrum]] $Spec(\overline{k})$ to $S$ where $\overline{k}$ is an [[algebraic closure]]/[[separable closure]] of $k$.

=--

+-- {: .num_remark}
###### Remark

In general the set of geometric points of a scheme is different from the set of ordinary points of its underlying topological space.

=--


## Related concepts

* [[singular point of an algebraic variety]]

* [[étale fundamental group]]

* [[generalized element]]

* [[geometric fiber]]

* [[section conjecture]]

##References

* [[EGA]]

* [[SGA1]]

* [[James Milne]], section 4 of _[[Lectures on Étale Cohomology]]_

[[!redirects geometric points]]