
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Homotopy theory
+--{: .hide}
[[!include homotopy - contents]]
=--
#### Higher category theory
+--{: .hide}
[[!include higher category theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A _$T$-complex_ is a [[geometric definition of higher categories|higher-dimensional combinatorial structure]] with a class of designated [[thin element]]s.  The concept can be made sense of for various [[geometric shapes for higher structures|shapes]].

In general, the requirements are:

1. Every degenerate element is thin.
1. Every hollow shape has a unique thin filler.
1. If a thin element has every face but one also thin, then the last face is thin as well.

The theory describes a version of [[∞-groupoid|higher groupoids]], rather than [[higher category theory|higher categories]] more generally. See however [[algebraic quasi-categories]] for more.

## Types of $T$-complexes

### Simplicial $T$-complexes

See

* [[simplicial T-complex]];

### Cubical $T$-complexes

See

* [[cubical T-complex]].


## Polyhedral sets and polyhedral $T$-complexes##

There is also a notion of polyhedral $T$-complex, defined in ([Jones, 1983](#Jones)). There are no degeneracies in this theory, but it does allow for the shapes quite, but not completely,  general forms of regular cell decompositions of cells. This gives a solution to the problem of defining general compositions. One has  to define:

1. What are the pieces that might be composable?
1. When are they composable?
1. What is their composite?
1. What are the axioms on the composition?

On the face of it, the last problem seems the hardest. It turns out that the last two $T$-complex axioms are sufficient!  Thus the geometry determines the algebra. 



## References##

See the references at [[simplicial T-complex]]. 

Polyhedral $T$-complexes are discussed in

* David W. Jones, _A general theory of polyhedral sets and the corresponding
  $T$-complexes_. Dissertationes Math. (Rozprawy Mat.) 266 (1988) 110. [Scanned Thesis](http://pages.bangor.ac.uk/~mas010/pdffiles/jones1983polyTComplexes.pdf) or from [RBPhDsSupervised](http://www.bangor.ac.uk/~mas010/doctorates.html)
 
