
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Variational calculus
+--{: .hide}
[[!include variational calculus - contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### $\infty$-Lie theory
+--{: .hide}
[[!include infinity-Lie theory - contents]]
=--
#### Symplectic geometry
+--{: .hide}
[[!include symplectic geometry - contents]]
=--
=--
=--






#Contents#
* table of contents
{:toc}


## Idea

In [[physics]] and specifically in [[field theory]], the _BV-BRST formalism_ is a tool in [[homological algebra]], [[higher differential geometry]] and [[derived geometry]] to handle the [[intersection]]- and [[quotient]]-constructions that appear 

1. in the construction of [[reduced phase space|reduced]] [[phase spaces]] of [[Lagrangian field theories]], in particular including [[gauge theories]]; ("Lagrangian BV")

1. in [[symplectic reduction]] of [[phase spaces]] ("Hamiltonian BV")

In either case  _BRST-BV_ complex $C^\infty(P^{BV})$ is a model in [[dg-geometry]] of a joint [[homotopy intersection]] and [[homotopy quotient]], hence of an [[(∞,1)-colimit]] and [[(∞,1)-limit]], of  a [[space]] in [[higher differential geometry]]/[[derived geometry]].


Accordingly, the BRST-BV complex is built from two main pieces:

1. it contains in positive degree a [[BRST-complex]]: the [[Chevalley-Eilenberg algebra]] of the [[∞-Lie algebroid]] which is the homotopy [[quotient]] ([[action Lie algebroid]]) of the [[gauge group]] (in Lagrangian BV) or of the group of flows generated by the constraintts (in Hamiltonian BFV) -- which is in general an [[∞-group]] in either case -- acting on configuration space $C$;

* it contains in negative degree a [[Koszul-Tate resolution]] of the [[critical locus]] of the [[action functional]] (for Lagrangian BV) or of the constraint surface (in Hamiltonian BFV).




## Lagrangian BV
 {#LagrangianBV}

### Classical BV as homological resolution of reduced phase space
 {#ClassicalBVAsHomologicalResolutionOfReducedPhaseSpace}

The _classical Lagrangian BV-BRST complex_ of a [[Lagrangian field theory]] is, under suitable conditions, a [[homological resolution]] of the [[homotopy intersection]] with the [[Euler-Lagrange equations|Euler-Lagrange]] [[equations of motion]] (this is the BV part) of the [[homotopy quotient]] by the [[infinitesimal symmetries of the Lagrangian]] (this is the BRST part), and hence a homological model of the [[reduced phase space]] of the Lagrangian field theory.

A detailed introduction to the classical Lagrangian BV-BRST formalism is at 

* _[[A first idea of quantum field theory]]_, chapter _[11. Reduced phase space](geometry+of+physics+--+A+first+idea+of+quantum+field+theory#ReducedPhaseSpace)

### Quantum BV as homological (path-)integration
 {#HomologicalIntegration}

We discuss here the interpretation of the _quantum BV-complex_ as a homological implementation of [[integration]] thought of as [[path integral]]-[[quantization]] (in [[perturbative quantum field theory]]). 


We indicate how on a finite dimensional smooth manifold the [[BV-algebra]] appearing in Lagrangian BV-formalism is the dual of the [[de Rham complex]] of [[configuration space]] in the presence of a [[volume form]] and how, by extention, this allows to interpret the BV-complex as a means for defining ([[path integral|path]]-)[[integration]] over general [[configuration spaces]] of [[field (physics)|fields]] by passing to BV-[[cochain cohomology]]. 

(The interpretation of the BV-differential as the dual de Rham differential necessary for this is due to ([Witten 90](#Witten90)) ([Schwarz 92](#Schwarz92)). A particularly clear-sighted account of the general relation is in [Gwilliam 2013](#Gwilliam) ). 

Further [below](#PoincareDualityOnHochschild) we discuss the generalization of these relation in terms of [[Poincaré duality]] on [[Hochschild cohomology|Hochschild (co)homology]].

1. [The idea of path integral quantization](#IdeaOfPathIntegralQuantization)

1. [Multivector fields dual to differential forms](#MultivectorFieldsDualToDifferentialForms)

1. [The quantum master equation: the path integral measure is a closed form](#TheQuantumMasterEquationAsClosureOfIntegralMeasure)

1. [Integration over manifolds by BV cohomology](#IntegrationOverManifoldsByBVCohomology)

1. [BV-quantization](#BVQuantization)

1. [Path integration and quantum observables by BV-cohomology](#PathIntegrationAndQuantumObservablesByBVCohomology)

#### The idea of path integal quantization
 {#IdeaOfPathIntegralQuantization}

The [[path integral]] in [[quantum field theory]] is supposed to be the [[integral]] over a [[configuration space]] $X$ of [[field (physics)|fields]] $\phi$ using a [[measure]] $\mu_S$ which is thought of in the form

$$
  \mu_S(\phi) 
    \coloneqq 
  \exp\left(\frac{i}{\hbar} S\left(\phi\right)\right) \cdot \mu(\phi)
  \;\;\;\;
  \phi \in X
  \,,
$$

for $\mu$ some other measure and $S : X \to \mathbb{R}$ the _[[action functional]]_ of the [[theory (physics)|theory]].

For $f$ a [[smooth function]] on the space of [[field (physics)|fields]] its value as an [[observable]] of the system is supposed to be what would be the [[expectation value]]

$$
  \langle f \rangle_S
  =
  \frac{\int_{\phi \in Fields} f(\phi) \cdot \mu(\phi)}{\int_{\phi \in Fields} \mu(\phi) }
$$

if the measure existed. Of course this does not make sense in terms of the usual notion of [[integration]] against [[measures]] since such measures do not exists except in the most simplest situation. But there is a [[cohomology|cohomological]] notion of integration where instead of actually performing an integral, we identify its value, if it exists, with a cohomology class and generally interpret that cohomology class as the expectation value, even if an actual integral against a measure does not exist. This is what BV formalism achieves, which we discuss after some preliminaries below in _[Integration over manifolds by BV cohomology](#IntegrationOverManifoldsByBVCohomology)_.

#### Multivector fields dual to differential forms
 {#MultivectorFieldsDualToDifferentialForms}

If one thinks of $X$ as an ordinary $(d \lt \infty)$-[[dimension|dimensional]] [[smooth manifold]], then $\mu_S$ will be given by a [[volume form]], $\mu_S \in \Omega^d(X)$. By contraction of [[multivector fields]] with [[differential forms]], every choice of volume form on $X$ induces an [[isomorphism]] between [[differential forms]] and [[polyvector fields]]

$$
  \mu 
    \colon 
  \Omega^\bullet(X) 
    \stackrel{\simeq}{\longrightarrow}
  \wedge^{-\bullet} \Gamma(T X)
  \,,
$$

which is usefully thought of as reversing degrees. Under this isomorphism the [[deRham differential]] maps to a [[divergence]] operator, the _[[BV-operator]]_, conventionally denoted

$$
  \Delta
  \;\coloneqq\;
  \mu \circ d_{dR} \circ \mu^{-1}
  
$$

which interacts naturally with the canonical bracket on multivector fields: the [[Schouten bracket]]. (See at _[[polyvector field]]_ for more details.)


+-- {: .num_defn #TheDualBVComplexOfTheDeRhamComplexOnAManifolds}
###### Definition

For $X$ an [[orientation|oriented]] [[smooth manifold]] of [[dimension]] $n \in \mathbb{N}$ and for $\mu \in \Omega^n(X)$a [[volume form]], write

$$
  BV(X, \mu)
  \coloneqq
  (\wedge^\bullet \Gamma(T X), \Delta_\mu)
$$

for the [[cochain complex]] induced on [[multivector fields]] by dualizing the [[de Rham differential]] with $\mu$.

=--

+-- {: .num_remark #BVComplexOfManifoldIsPoisson0}
###### Remark

The [[Schouten bracket]] on $BV(X,\mu)$ makes this cochain complex a [[Poisson 0-algebra]].

=--

For more see at _[[relation between BV and BD]]_.


#### The quantum master equation: the path integral measure is a closed form
 {#TheQuantumMasterEquationAsClosureOfIntegralMeasure}

Observe that

* if we think of 

  * the measure $\mu$ as some closed reference differential form on $X$;

  *  the exponentiated action functional $exp\left(\frac{i}{\hbar}S\left(-\right)\right)$ as a [[multivector field]] on $X$;

  * the expression $exp(\frac{i}{\hbar}S(-)) \mu$ as the contraction of this multivector field with $\mu$

* then the **BV quantum master equaton**
$\Delta \exp(\frac{i}{\hbar}S) = 0$ says nothing but that
$exp(\frac{i}{\hbar}S(-)) \mu$ is a _closed differential form_.

* If we furthermore take into account that in the presence of gauge symmetries the space $X$ is not a plain manifold but the $L_\infty$-[[Lie infinity-algebroid|algebroid]] of the gauge symmetries acting on the space of fields, hence an [[NQ-supermanifold]] (whose Chevalley-Eilenberg algebra is the **BRST complex**), then this just says that $\exp(\frac{i}{\hbar}S) \mu$ is an [[integration over supermanifolds|integrable form]] in the sense of [[integration over supermanifolds|integration theory of supermanifolds]].

This means that Lagrangian BV formalism is nothing but a way of describing closed differential forms on [[Lie infinity-algebroid]] in terms of multivectors contracted into a reference differention form. The multivectors dual to degree 0 elements in the $L_\infty$-[[Lie infinity-algebroid|algebroid]] are the so-called "**anti-fields**", while those dual to the higher degree elements are the so-called "**anti-ghosts**".


#### Integration over manifolds by BV-cohomology
 {#IntegrationOverManifoldsByBVCohomology}

The following proposition about integration of differential $n$-forms is the archetype for interpreting cohomology in BV-complexes in terms of [[integration]]. See also at _[[cohomological interpretation]]_.

+-- {: .num_example}
###### Example

On the [[open ball]] of [[dimension]] $n$, the [[integration of differential forms]] of compact support $\int \;\colon\; \Omega^n_{cp} \to \mathbb{R}$ is equivalently given by the projection onto the [[quotient]] by the exact forms, hence by passing to [[cochain cohomology]] in the truncated [[de Rham complex]] $C^\infty(B^n) \to \cdots \to \Omega^{n-1}(B^n) \to \Omega^n(B^n)$.

=--

This "integration without integration" is discussed in more detail at _[[Lie integration]]_.

Let $X$ be a [[closed manifold|closed]] [[orientation|oriented]] [[smooth manifold]] of [[finite number]] [[dimension]] $n$ and let $\mu_S \in \Omega^n(X)$ be any [[volume form]]. Let again 

$$
  BV(X,\mu_S) \coloneqq( \wedge^\bullet \Gamma(T X), \Delta_{\mu_S} )
$$ 

be the corresponding dual [[cochain complex]] of the [[de Rham complex]] by def. \ref{TheDualBVComplexOfTheDeRhamComplexOnAManifolds} above. 

+-- {: .num_defn #ExpectationValueOfFunctionOnManifold}
###### Definition

For $f \in C^\infty(X)$ a [[smooth function]], its **[[expectation value]]** with respect to $\mu_S$ is

$$
  \langle f\rangle_{\mu_S}
  \coloneqq
  \frac{ \int_X f \cdot \mu_S }{\int_X \mu_S } 
  \,.
$$

=--

Write $[-]_{BV}$ for the [[cochain cohomology]] classes in the BV complex $BV(X, \mu_S)$.


+-- {: .num_prop #ExpectationValueOfFunctionOnManifoldByBVCohomology}
###### Proposition

For $f \in BV(X,\mu_S)_0 \simeq C^\infty(X)$ the cohomology class of $f$ in the BV complex is the [[expectation value]] of $f$, def. \ref{ExpectationValueOfFunctionOnManifold} times the cohomology class of the unit function 1:

$$
  [f]_{BV}
  = 
  \langle f\rangle_{\mu_S}
  [1]_{BV}
  \,.
$$

=--

See ([Gwilliam 13, lemma 2.2.2](#Gwilliam)).

#### BV quantization
 {#BVQuantization}

Let $X$ be a [[closed manifold]] as above and write $BV(X, \mu)$ for the BV-complex def. \ref{TheDualBVComplexOfTheDeRhamComplexOnAManifolds}, induced by a given [[volume form]] $\mu \in \Omega^n(X)$.

+-- {: .num_prop #ShiftInBVDifferentialOnManifoldDueToFunctional}
###### Proposition

If $S \in C^\infty(X)$ then the BV-complex induced via def. \ref{TheDualBVComplexOfTheDeRhamComplexOnAManifolds} by the volume form

$$
  \mu_S \coloneqq \exp\left(\frac{1}{\hbar} S\right) \cdot \mu
$$

(for any constant $\hbar$ to be read as [[Planck's constant]]) has BV-differential related to that of $\mu$ itself by

$$
  \Delta_{\mu_S}
  = 
  \Delta_\mu + \frac{1}{\hbar}\iota_{d S}
  \,,
$$

where $\iota_{d S} : \wedge^\bullet \Gamma(T X) \to \wedge^{\bullet-1} \Gamma(T X)$ is the operation of acting with a [[vector field]] on $S$ by [[differentiation]], extended as a graded [[derivation]] to [[multivector fields]].

=--

+-- {: .num_prop #ClassicalBVComplexOnManifoldAsDerivedCriticalLocus}
###### Proposition

The complex

$$
  BV_{cl}(X, S)
  \coloneqq
  (\wedge^\bullet \Gamma(T X), \iota_{d S})
$$

is the [[derived critical locus]] of the function $S$.

=--

By the discussion at _[[derived critical locus]]_.

+-- {: .num_remark #ClassicalAndQuantumBVComplexOverManifold}
###### Remark

Prop. \ref{ShiftInBVDifferentialOnManifoldDueToFunctional} and prop. \ref{ClassicalBVComplexOnManifoldAsDerivedCriticalLocus} together say that the BV-complex of a manifold $X$ for a volume form $\mu_S$ shifted from a background volume form $\mu$ by a function $\exp\left(\frac{1}{\hbar} S\right)$ is an $\hbar$-deformation of the [[derived critical locus]] of $S$ by a contribution of the background volume form $\mu$.

We call $(\wedge^\bullet \Gamma(T X), \iota_{d S})$ the **classical BV complex** and $(\wedge^\bullet \Gamma(T X), \iota_{d S} + \hbar \Delta_{\mu} )$ the **quantum BV complex** of the manifold $X$ equipped with the function $S$ and the voume form $\mu$. 

=--

The crucial idea now is the following.

+-- {: .num_remark}
###### Remark
**(central idea of BV quantization)**

In the above discussion of BV complexes over finite-dimensional manifolds, the construction of the **classical BV complex** in remark \ref{ClassicalAndQuantumBVComplexOverManifold} as a [[derived critical locus]] directly makes sense in great generality for [[action functionals]] $S$ defined on spaces of [[field (physics)|fields]] more general than finite-dimensional [[smooth manifolds]]. (It makes sense in a general context of [[differential cohesion]], see at _[differential  cohesive infinity-topos -- critical locus](differential+cohesive+infinity-topos#CriticalLocus)_). On the other hand, the construction of the quantum BV complex as the dual to the de Rham complex by a [[volume form]] by def. \ref{TheDualBVComplexOfTheDeRhamComplexOnAManifolds} breaks down as soon as the space of fields is no longer a finite dimensional manifold, hence breaks down for all but the most degenerate [[quantum field theories]]. But by remark \ref{ClassicalAndQuantumBVComplexOverManifold} we may instead think of the quantum BV complex as a certain **deformation** of the classical BV complex, and _that_ notion continues to make sense in full generality.

And once such a deformation of a critical locus has been obtained, we may read prop. \ref{ExpectationValueOfFunctionOnManifoldByBVCohomology} the other way round and regard the [[cochain cohomology]] of the deformed complex as the _definition_ of quantum expectation values of [[observables]].

=--

See for instance ([Park, 2.1](#Park))

In order to implement this idea, we need to axiomatize those properties of classical BV complexes and their quantum deformation as above which we demand to be preserved by the generalization away from finite dimensional manifolds. This is what the following definitions do.

+-- {: .num_defn #ClassicalBVComplexAsPoisson0Algebra}
###### Definition

A **classical BV complex** is a [[cochain complex]] equipped with the structure of a [[Poisson 0-algebra]].

=--

+-- {: .num_defn #BeilinsonDrinfeldAlgebra}
###### Definition

A **quantum BV complex** or **Beilinson-Drinfeld algebra** is a $\mathbb{Z}$-[[graded algebra]] $A$ over the ring $\mathbb{R} [ [ \hbar ] ]$ of [[formal power series]] in a formal constant $\hbar$, equipped with a [[Poisson 0-algebra|Poisson bracket]] $\{-,-\}$ of degree 1 and with an operator $\Delta \colon A \to A$ of degree 1 which satisfies:

1. $\Delta^2 = 0$

1. $\Delta( a b) = (\Delta a) b  + (-1)^{\vert a\vert} a (\Delta b) + \hbar \{a,b\}$ for all homogenous elements $a, b \in A$

=--

In ([Gwilliam 2013](#Gwilliam)) this is def. 2.2.5.

+-- {: .num_remark}
###### Remark

A [[Beilinson-Drinfeld algebra]] is _not_ a [[dg-algebra]] with [[differential]] $\Delta$: the Poisson bracket $\hbar \{-,-\}$ measures the failure for the differential to satisfy the [[Leibniz rule]]. In particular the $\Delta$-[[cohomology]] is _not_ an [[associative algebra]].

In this respect the notion of BV-quantization via BD-algebras differs from other traditional notions of BV-quantization, where one demands the quantum BV-complex to be a noncommutative dg-algebra deformation of the classical BV complex. But instead the BD-algebras induced by a [[local action functional]] and varying over open subsets of [[spacetime]]/[[worldvolume]] form a [[factorization algebra]] and _that_ encodes the [[algebra of observables]]: the _[[factorization algebra of observables]]_ (see there for more).

=--

But:

+-- {: .num_defn #ClassicalLimitOfBeilinsonDrinfeldAlgebra}
###### Definition

For $A_\hbar$ a [[Beilinson-Drinfeld algebra]], its [[classical limit]] is the [[tensor product of algebras]]

$$
  A_{\hbar = 0}
  \coloneqq 
  A_\hbar \otimes_{\mathbb{R}[ [ \hbar ] ]} \mathbb{R}
$$

hence the result of setting the formal parameter $\hbar$ ("[[Planck's constant]]") to 0. 

=--

+-- {: .num_remark}
###### Remark

The classical limit of a [[Beilinson-Drinfeld algebra]] is canonically a classical BV-complex, def. \ref{ClassicalBVComplexAsPoisson0Algebra}.

=--

+-- {: .num_defn #BVQuantizationByBDAlgebra}
###### Definition

For $A_{\hbar = 0}$ a classical BV complex, def. \ref{ClassicalBVComplexAsPoisson0Algebra}, a **BV quantization** of it is a [[Beilinson-Drinfeld algebra]] $A_{\hbar}$, def. \ref{BeilinsonDrinfeldAlgebra} whose classical limit, def. \ref{ClassicalLimitOfBeilinsonDrinfeldAlgebra}, is the given $A_{\hbar = 0}$.

=--

In ([Gwilliam 2013](#Gwilliam)) this is def. 2.2.6.


[[!include action (physics) - table]]

#### Quantum observables by BV-cohomology
 {#PathIntegrationAndQuantumObservablesByBVCohomology}


+-- {: .num_defn }
###### Definition

Given a [[quantum BV-complex]], its [[cochain cohomology]] are the **[[expectation values]] of [[observables]]** of the [[theory (physics)|theory]].

Specifically, an observable is a closed element $f$ in the quantum BV-complex and its _expectation value_ is its image $[f]$ in [[cochain cohomology]]. 

=--

+-- {: .num_remark }
###### Remark

Given a [[quantum BV-complex]] by def. \ref{BVQuantizationByBDAlgebra}
its [[cochain cohomology]] is, by definition, a perturbation of that of its [[classical limit]] BV complex, def. \ref{ClassicalLimitOfBeilinsonDrinfeldAlgebra}. Accordingly, the quantum observables may be computed from the classical observables by the [[homological perturbation lemma]]. For [[free field theories]] this yields [[Wick's lemma]] and [[Feynman diagrams]] for computing observables. ([Gwilliam 2013, section 2.3](#Gwilliam)).

=--

+-- {: .num_remark }
###### Remark

For local theories (...) [[gauge fixing operator]] (...) [[Hodge theory]] (...)

=--

(...)

### Poincar&#233; duality on Hochschild (co)homology and framed little disk algebra
 {#PoincareDualityOnHochschild}

The [above](#HomologicalIntegration) duality between [[differential forms]] and [[multivector field]] may be understood in a more general context.

Multivector fields may be understood in terms of [[Hochschild cohomology]] of $C$.
Under the identification of 
[[Hochschild homology]]/[[cyclic homology]] with  the [[de Rham complex]] the product of the  [[action functional]] 
$\exp(i S(-))$ with a formal [[measure]] $vol$
on $C$ is regarded as a [[cycle]] in [[cyclic homology]]. Or rather, 
an [[isomorphism]] with [[Hochschild cohomology]] is picked,
and interpreted as a choice of [[volume form]] $vol$ and 
$\exp(i S(-))$ is regarded as a cocycle in cyclic cohomology, hence
as a [[multivector field]] whose closure condition
$\Delta \exp(i S(-)) = 0 $
is the quantum master equation of BV-formalism.

By the identification of [[Hochschild cohomology]]  
with functions on [[derived loop space]]s we know that 
the operator $\Delta$ encodes the rotation of loops. 
Accordingly, the resuling [[BV-algebra]] has an interpretation
as an algebra over (the homology of) the 
[[framed little disk operad]]. 


For certain algebras $A$ there exists [[Poincaré duality]] between [[Hochschild cohomology]] and [[Hochschild homology]]

$$
  \tau : HH_i(A) \to HH^{n-i}(A)
$$

([VanDenBergh](#VanDenBergh)) and this takes the [[Connes coboundary operator]] to the [[BV operator]] ([Ginzburg](#Ginzburg)).


## Hamiltonian BFV -- Homotopical Poisson reduction
 {#HamiltonianBV}

The following is a rough survey of homotopical Poisson reduction, following ([Stasheff 96](#Stasheff96)).

Let $(X, \{-,-\})$ be a [[smooth manifold|smooth]] [[Poisson manifold]]. 

Let $A := C^\infty(X)$ be its [[associative algebra|algebra]] of [[smooth function]]s. 

Consider 

* an [[ideal]] $I \subset A$

* that is closed under the Poisson bracket

  $\{I,I\} \subset I$

  (one says that we have _[[first class constraint]]_ or that the 0-locus of $I$ is _coisotropic_)


By the Poisson bracket $I$ acts on $A$. The **Poisson reduction** of $X$ by $I$ is the combined

1. passage to the 0-locus of $I$, which algebraically (dually) is passage to the quotient algebra $A/I$;

1. passage to the quotient of $X$ by the $I$-[[action]], which dually is the passage to the invariant subalgebra $A^I$.

This may be achieved in different orders:

+-- {: .num_defn }
###### Definition

The **Sniatycky-Weinstein reduction is the object

$$
  A_{SW} := (A/I)^I
  \,.
$$


The **Dirac reduction** is

$$
  A_{Dirac} := N(I)/I
$$

where $N(I) = \{f \in A | \{f, I\} \subset I\}$ is the "subalgebra of [[observable]]s".

=--

+-- {: .num_prop }
###### Proposition

These two algebras are [[isomorphic]]

$$
  A_{red} := A_{SW} \simeq A_{Dirac}
  \,.
$$

=--

+-- {: .num_example }
###### Example

Suppose a [[Lie algebra]] $\mathfrak{g}$ acts on the [[Poisson manifold]] $X$, by [[Hamiltonian vector fields]]. This is equivalently encoded in a [[moment map]] $\mu : X \to \mathfrak{g}^*$. 

Let then $I$ be the [[ideal]] of functions that vanish on $\mu^{-1}(0)$. This is always coisotropic. 

Then $A_{red}$ is the algebraic dual to the preimage $\mu^{-1}(0)$ quotiented by the Lie algebra action: the "constraint surface" quotiented by the symmetries.

In fact, if 0 is a [[regular value]] of $\mu$ then $X_{red} := \mu^{-1}(0)/G$ is a submanifold and

$$
  A_{red} \simeq C^\infty(X_{red})
  \,.
$$ 

=--


We now discuss the BRST-BV complex for the set of constraints $I$ on $(X, \{-,-\})$, which will be a resolution of $A_{red}$ in the following sense:

* instead of forming the [[quotient]] $X/G$ we form the [[action groupoid]] or [[quotient stack]] $X//G$. More precisely we do this for the infinitesimal action and consider a quotient [[Lie algebroid]];

* instead of forming the intersecton $X|_{I = 0}$ we consider its derived locus.


Let $\{T_1, \cdots, T_N\}$ be any finite set of gnerators of the [[ideal]] $I$. Then there exists a non-positively graded [[cochain complex]] on the graded algebra

$$
  A \otimes Sym(V)
  \,,
$$

where $V$ is a [[graded vector space]] in non-positive degree and $Sym(V)$ is its symmetric [[tensor algebra]]: the [[Koszul-Tate resolution]] of $C^\infty(X)/I$.

Then on

$$
  A \otimes Sym(V) \otimes Sym(V^*)
$$

(with $V^*$ in non-negative degree)

there is an evident graded generalization of the Poisson bracket on $A$, which is on $V$ and $V^*$ just the canonical pairing.

Write $\{c^\alpha\}$ for the [[basis]] for $V^*$, called the **[[ghost]]**. Write $\{\pi_\alpha\}$ for the dual basis on $V$, called the **ghost momenta**.

+-- {: .num_theorem }
###### Theorem
**(Henneaux, Stasheff et al.)**

([[homological perturbation theory]])

There exists an element 

$$
  \Omega \in A \otimes S(V) \otimes S(V^*)
$$

the **BRST-BV charge** such that

* $\{\Omega, \Omega\} =  0$, so that $(A\otimes S(V) \otimes S(V^*), d := \{\Omega, -\})$ is a [[cochain complex]], in fact a [[dg-algebra]];

* the [[cochain cohomology]] is

  $$
    H^0(A \otimes S(V) \otimes S(V^*), d = \{\Omega, -\}) = A/I
    \;
  $$

  $$
    H^{\lt 0}(A \otimes S(V) \otimes S(V^*), d = \{\Omega, -\}) = 0
    \;
  $$

  (which says that this is in non-positive degree a resolution of the constraint locus $A/I$)

* If $I$ is a regular ideal (meaing that $V$ can be chosen to be concentrated in degree 1) or the vanishing ideal of a coisotropic submanifold, then the cohomology in positive degree 


  $$
    H^{\bullet \geq 0}(A \otimes S(V) \otimes S(V^*), d = \{\Omega, 0\})
    \simeq
    H^\bullet(CE(A/I, I/I^2))
  $$

  is isomorphic to the [[infinity-Lie algebra cohomology|Lie algebroid cohomology]] of the [[Lie algebroid]] whose [[Lie-Rinehart algebra]] is $(A/I, I/I^2)$

  (which says that in positive degree the BRST-BV complex is a resolution of the [[action Lie algebroid]] of $\{I,-\}$ acting on $X$).

=--

+-- {: .num_theorem }
###### Theorem
**(Oh-Park, Cattaneo-Felder)** If $C \subset X$ is coisotropic, there is an [[L-infinity algebra]]-structure on $\wedge^\bullet  \Gamma(N C)$ such that the induced bracket on $H^0 = A_{red}$ is the given one;

=--


+-- {: .num_theorem }
###### Theorem
**(Sch&#228;tz)** The BRST-BV complex with $\{-,-\}$ as its Lie bracket is [[quasi-isomorphism|quasi-isomorphic]] to the above.

=--




## Related concepts

* [[BRST complex]]

* [[local BV-BRST complex]]

* [[variational BV-BRST bicomplex]]

* [[homotopy BV algebra]]


## References 
 {#References}

### General
  {#ReferencesGeneral}

A classical standard references for the Lagrangian formalism is

* {#Henneaux90} [[Marc Henneaux]], _Lectures on the Antifield-BRST formalism for gauge theories_, Nuclear Physics B (Proceedings Supplement) 18A (1990) 47-106 ([pdf](http://www.math.uni-hamburg.de/home/schweigert/ws07/henneaux2.pdf))

Similarly the bulk of the textbook

* {#HenneauxTeitelboim} [[Marc Henneaux]], [[Claudio Teitelboim]], _[[Quantization of Gauge Systems]]_, Princeton University Press 1992. xxviii+520 pp.

considers the Hamiltonian formulation. Chapters 17 and 18 are about the Lagrangian ("antifield") formulation, with section 18.4 devoted to the relation between the two.

The [[L-infinity algebroid]]-structure of the [[local BV-BRST complex]] on the [[jet bundle]] is made manifest in

* {#Barnich10} [[Glenn Barnich]], equation(3) of _A note on gauge systems from the point of view of Lie algebroids_, in P. Kielanowski, V. Buchstaber, A. Odzijewicz, 
M. Schlichenmaier, T Voronov,  (eds.) XXIX Workshop on Geometric Methods in Physics, vol. 1307 of AIP Conference Proceedings, 1307, 7 (2010) ([arXiv:1010.0899](https://arxiv.org/abs/1010.0899), [doi:/10.1063/1.3527427]( https://doi.org/10.1063/1.3527427))
 

### Lagrangian BV
 {#ReferencesForLagrangianBV}

#### For Lagrangian theories
 {#ReferencesForLagrangianBVForLagrangianTheories}

The original articles are

* {#BV81} [[Igor Batalin]], [[Grigori Vilkovisky]],  _Gauge Algebra and Quantization_, Phys. Lett. B 102 (1): 27&#8211;31, 1981 (<a href="https://doi.org/10.1016/0370-2693(81)90205-7">doi:10.1016/0370-2693(81)90205-7</a>) 


* {#BV83} [[Igor Batalin]], [[Grigori Vilkovisky]],  (1983). _Quantization of Gauge Theories with Linearly Dependent Generators_, Phys. Rev. D 28 (10): 2567&#8211;2582. doi:10.1103/PhysRevD.28.2567.  Erratum-ibid. 30 (1984) 508 doi:10.1103/PhysRevD.30.508


* [[Igor Batalin]], [[Grigori Vilkovisky]], _Existence Theorem For Gauge Algebra_, J. Math. Phys. 26 (1985) 172-184.

Reviews are in

* [[Joaquim Gomis]], J. Paris, S. Samuel, _Antibrackets, Antifields and Gauge Theory Quantization_ ([arXiv:hep-th/9412228](http://arxiv.org/abs/hep-th/9412228))

* {#Park} J. Park, _Pursuing the quantum world_ ([pdf](http://cds.cern.ch/record/638963/files/0308130.pdf))
 

Geometrical aspects were pioneered in 

* [[Albert Schwarz]], _[[semiclassical approximation|Semiclassical approximation]] in Batalin-Vilkovisky formalism_, Comm. Math. Phys.  __158__ (1993), no. 2, 373--396, [euclid](http://projecteuclid.org/euclid.cmp/1104254246)


* M. Alexandrov, [[M. Kontsevich]], [[Albert Schwarz]], O. Zaboronsky, _The geometry of the master equation and topological quantum field theory_, Int. J. Modern Phys. A 12(7):1405&#8211;1429, 1997, [hep-th/9502010](http://arxiv.org/abs/hep-th/9502010)

A systematic account of the classical master equation is also in

* [[David Kazhdan]], _The classical master equation in the finite-dimensional case_ ([pdf](http://math.berkeley.edu/~theojf/KazhdanNotes.pdf))

* {#FelderKazhdan} [[Giovanni Felder]], [[David Kazhdan]], _The classical master equation_ ([arXiv:1212.1631](http://arxiv.org/abs/1212.1631)) 
 


Other discussions include

* [[Domenico Fiorenza]], _An introduction to the Batalin-Vilkovisky formalism_, Lecture given at the Recontres Math&#233;matiques de Glanon, July 2003, [arXiv:math/0402057](http://arxiv.org/abs/math/0402057)

*  [[A. Cattaneo]], _From topological field theory to 
deformation quantization and reduction_, ICM 2006. ([pdf](http://www.math.uzh.ch/fileadmin/math/preprints/icm.pdf))

*  M. B&#228;chtold, _On the finite dimensional BV formalism_, 2005. ([pdf](http://www.math.uzh.ch/reports/04_05.pdf))

* Carlo Albert, Bea Bleile, [[Jürg Fröhlich]], _Batalin-Vilkovisky integrals in finite dimensions_, [arXiv/0812.0464](http://eprintweb.org/S/article/math-ph/0812.0464)

* Qiu and Zabzine, _Introduction to Graded Geometry, Batalin-Vilkovisky Formalism and their Applications_, [arXiv/1105.2680](http://arxiv.org/pdf/1105.2680v2).

The [[perturbative quantum field theory|perturbative quantization]] of [[gauge theories]] ([[Yang-Mills theory]]) in [[causal perturbation theory]]/[[perturbative AQFT]] is discussed (for trivial [[principal bundles]] and restricted to [[gauge invariant observables]]) via [[BRST-complex]]/[[BV-formalism]] in

* {#Hollands07} [[Stefan Hollands]], _Renormalized Quantum Yang-Mills Fields in Curved Spacetime_, Rev. Math. Phys.20:1033-1172, 2008 ([arXiv:0705.3340](https://arxiv.org/abs/0705.3340))

* {#FredenhagenRejzner11a} [[Klaus Fredenhagen]], [[Kasia Rejzner]], _Batalin-Vilkovisky formalism in the functional approach to classical field theory_, Commun. Math. Phys. 314(1), 93&#8211;127 (2012) ([arXiv:1101.5112](https://arxiv.org/abs/1101.5112))

* {#FredenhagenRejzner11b} [[Klaus Fredenhagen]], [[Kasia Rejzner]], _Batalin-Vilkovisky formalism in perturbative algebraic quantum field theory_, Commun. Math. Phys. 317(3), 697&#8211;725 (2012) ([arXiv:1110.5232](https://arxiv.org/abs/1110.5232))

* {#Rejzner11} [[Katarzyna Rejzner]], _Batalin-Vilkovisky formalism in locally covariant field theory_ ([arXiv:1111.5130](https://arxiv.org/abs/1111.5130))

* {#Rejzner13} [[Katarzyna Rejzner]], _Remarks on local symmetry invariance in perturbative algebraic quantum field theory_ ([arXiv:1301.7037](https://arxiv.org/abs/1301.7037))

and surveyed in

* {#Rejzner16} [[Kasia Rejzner]], section 7 of _Perturbative algebraic quantum field theory_ Springer 2016 ([web](https://link.springer.com/book/10.1007%2F978-3-319-25901-7))



Discussion for field theories with [[boundary conditions]] and going in the direction of [[extended TQFT|extended field theory]]/[[local quantum field theory]] is in 

* {#CattaneoMnevReshetikhin12} [[Alberto Cattaneo]], [[Pavel Mnev]], [[Nicolai Reshetikhin]], _Classical BV theories on manifolds with boundary_, [arXiv:1201.0290](http://arxiv.org/abs/1201.0290); _Classical and quantum Lagrangian field theories with boundary_, [arXiv:1207.0239](http://arxiv.org/abs/1207.0239); 
_Perturbative quantum gauge theories on manifolds with boundary_, [arxiv/1507.01221](http://arxiv.org/abs/1507.01221)

A discussion of BV-BRST formalism in the general context of [[perturbative quantum field theory]] is in

* [[Kevin Costello]], _[[Renormalization and Effective Field Theory]]_

Relation to [[Feynman diagrams]] is made explicit in

* [[Owen Gwilliam]], [[Theo Johnson-Freyd]], _How to derive Feynman diagrams for finite-dimensional integrals directly from the BV formalism_ (2011) ([arXiv:1202.1554](http://arxiv.org/abs/1202.1554))

See also 

* [[Theo Johnson-Freyd]], _Star-quantization via lattice topological field theory_, talk at [String-Math 2013](http://scgp.stonybrook.edu/events/event-pages/string-math-2013) ([pdf](http://media.scgp.stonybrook.edu/presentations/20130618_johnson-freyd.pdf))

The interpretation of the BV quantum master equation as a description of closed differential forms acting as measures on infinite-dimensional spaces of fields is described in

* [[Edward Witten]], _A note on the antibracket formalism_, Modern Physics Letters A, __5__, n. 7, 487--494, [MR91h:81178](http://www.ams.org/mathscinet-getitem?mr=91h:81178), [doi](http://dx.doi.org/10.1142/S0217732390000561), [scan](http://ccdb4fs.kek.jp/cgi-bin/img_index?9004090)
{#Witten90}

* {#Schwarz92} [[Albert Schwarz]], _Geometry of Batalin-Vilkovisky quantization_ ([arXiv:hep-th/9205088](http://arxiv.org/abs/hep-th/9205088))
 

This isomorphisms between the [[de Rham complex]] and the complex of [[polyvector field]]s is reviewed for instance on p. 3 of

* Thomas Willwacher, Damien Calaque _Formality of cyclic cochains_ ([arXiv:0806.4095](http://arxiv.org/abs/0806.4095))
{#WillwacherCalaque}

and in section 2 of 

* [[Alberto Cattaneo]], [[Domenico Fiorenza]], Riccardo Longoni, _On the Hochschild-Kostant-Rosenberg map for graded manifolds_ ([pdf](http://www.math.uzh.ch/fileadmin/math/preprints/05-06.pdf))
{#CattaneoFiorenzaLongoni}

A discussion in the general context of [[BV-algebras]] is in

* {#Roger} [[Claude Roger]], _Gerstenhaber and Batalin-Vilkovisky algebras_, Archivum mathematicum, Volume 45 (2009), No. 4 ([pdf](http://www.emis.de/journals/AM/09-4/roger.pdf))


The generalization of this to [[Poincaré duality]] on Hochschild (co)homollogy is in 

* M. Van den Bergh, _A relation between Hochschild homology and cohomology for Gorenstein rings_ . Proc. Amer. Math. Soc. 126 (1998), 1345&#8211;1348; ([JSTOR](http://www.jstor.org/stable/118786)) 

  Correction: Proc. Amer. Math. Soc. 130 (2002), 2809&#8211;2810.
{#VanDenBergh}

with more on that in

* U. Kr&#228;hmer, _Poincar&#233; duality in Hochschild cohomology_
  ([pdf](http://www.maths.gla.ac.uk/~ukraehmer/brussels.pdf))

* [[Victor Ginzburg]], _Calabi-Yau Algebras_  ([arXiv](http://arxiv.org/abs/math.AG/0612139)) 
{#Ginzburg}

The application in [[string theory]]/[[string field theory]] is discussed in

* B. Zwiebach, _Closed string field theory: Quantum action and the B-V master equation_, Nucl. Phys. B 390, 33-152 (1993)

A mathematically oriented reformulation of some of this (in the context of [[TCFT]] ) is in 

* [[Kevin Costello]], _The Gromov-Witten potential associated to a TCFT_ ([pdf](http://www.math.northwestern.edu/~costello/0509264.pdf))

Here the analog of the [[virtual fundamental class]] on the [[moduli space]] of surfaces is realized as a solution to the BV-master equation.

The perspective on the BV-complex as a [[schreiber:derived critical locus]] is indicated in

* {#CostelloGwilliam} [[nLab:Kevin Costello]], [[nLab:Owen Gwilliam]], _Factorization algebras in perturbative quantum field theory -- Derived critical locus_ ([web](http://math.northwestern.edu/~costello/factorization_public.html#[[Derived%20critical%20locus]])) 


A clear discussion of the BV-complex as a means for homological [[path integral]] [[quantization]] is in 

* {#Gwilliam} [[Owen Gwilliam]], _Factorization algebras and free field theories_ PhD thesis (2013) ([[GwilliamThesis.pdf:file]])
 

Related Chern-Simons type graded action functionals are discussed also in 

* M.V. Movshev, [[Albert Schwarz]], _Generalized Chern-Simons action and maximally supersymmetric gauge theories_ ([arXiv:1304.7500](http://arxiv.org/abs/1304.7500))

Lectures, discussing also the relation to the [[graph complex]] are

* Jian Qiu, [[Maxim Zabzine]], _Introduction to graded geometry, Batalin-Vilkovisky formalism and their applications_, [arxiv/1105.2680](http://arxiv.org/abs/1105.2680); _Knot weight systems from graded symplectic geometry_, [arxiv/1110.5234](http://arxiv.org/abs/1110.5234); _Odd Chern-Simons theory, Lie algebra cohomology and characteristic classes_, [arxiv/0912.1243](http://arxiv.org/abs/0912.1243)
* Klaus Fredenhagen, Katarzyna Rejzner, _Batalin-Vilkovisky formalism in perturbative algebraic quantum field theory_, [arxiv/1110.5232](http://arxiv.org/abs/1110.5232)

Gluing aspects are in focus of the program explained in 

* Alberto S. Cattaneo, Pavel Mnev, Nicolai Reshetikhin, _Perturbative BV theories with Segal-like gluing_, [arxiv/1602.00741](http://arxiv.org/abs/1602.00741)

#### For non-Lagrangian theories
 {#ReferencesForNonLagrangianEquations}

The whole formalism also applies to the locus of solutions of [[differential equation]]s that are not necessarily the [[Euler-Lagrange equation]]s of an [[action functional]]. Discussion of this more general case is in 

* D.S. Kaparulin, S.L. Lyakhovich, [[A.A. Sharapov]], _Local BRST cohomology in (non-)Lagrangian field theory_ ([arXiv:1106.4252](http://arxiv.org/abs/1106.4252))

* D.S. Kaparulin, S.L. Lyakhovich, A.A. Sharapov, _Rigid Symmetries and Conservation Laws in Non-Lagrangian Field Theory _ ([arXiv:1001.0091](http://arxiv.org/abs/1001.0091))

* S.L. Lyakhovich, A.A. Sharapov, _Quantizing non-Lagrangian gauge theories: an augmentation method_ ([arXiv:hep-th/0612086](http://arxiv.org/abs/hep-th/0612086))

* S.L. Lyakhovich, A.A. Sharapov, _BRST theory without Hamiltonian and Lagrangian_ ([arXiv:hep-th/0411247](http://arxiv.org/abs/hep-th/0411247))

Section 4.5 of 

* [[Gennadi Sardanashvily]], _Advanced Classical Field Theory_ (2009) ([pdf](http://www.g-sardanashvily.ru/book09.pdf))

This also makes the connection to 

* P. Olver, _Applications of Lie Groups to Differential Equations_ (Springer-Verlag, Berlin) (1986)

#### For CFT/vertex algebras

A class of "free" vertex algebras are also quantized using Batalin-Vilkovisky formalism, with results on quantization of [[BCOV theory]] important for understanding [[mirror symmetry]], in

* Si Li, _Vertex algebras and quantum master equation_, [arxiv/1612.01292](https://arxiv.org/abs/1612.01292)


### Hamiltonian BFV


BRST formalism is discussed in 

* [[Glenn Barnich]], Friedemann Brandt, [[Marc Henneaux]], _Local BRST cohomology in gauge theories_, Phys. Rep. __338__ (2000), no. 5, 439&#8211;569, [hep-th/0002245](http://xxx.lanl.gov/abs/hep-th/0002245), <a href="http://dx.doi.org/10.1016/S0370-1573(00)00049-1">doi</a>

The original references on Hamiltonian BFV formalism are

* [[Igor Batalin]], [[Grigori Vilkovisky]], _Relativistic S-matrix of dynamical systems with boson and fermion constraints_ , Phys. Lett. __B69__ (1977) 309-312; 

* [[Igor Batalin]], [[Efim Fradkin]], _A generalized canonical formalism and quantization of reducible gauge theories_ , Phys. Lett.
B122 (1983) 157-164.

Homological Poisson reduction is discussed in 

* {#Stasheff96} [[Jim Stasheff]], _Homological Reduction of Constrained Poisson Algebras_, J. Differential Geom. Volume 45, Number 1 (1997), 221-240 ([arXiv:q-alg/9603021](http://arxiv.org/abs/q-alg/9603021), [Euclid](https://projecteuclid.org/euclid.jdg/1214459757))


Remarks  on the [[homotopy theory]] interpretation of BRST-BV are in

* [[Jim Stasheff]], _The (secret?) homological algebra of the Batalin-Vilkovisky approach_ ([arXiv](http://arxiv.org/abs/hep-th/9712157))



A standard textbook on the application of BRST-BV to [[gauge theory]] is

* [[Marc Henneaux]], [[Claudio Teitelboim]], _Quantization of gauge systems_, Princeton University Press 1992. xxviii+520 pp.

* [[Glenn Barnich]], Friedemann Brandt, [[Marc Henneaux]], _Local BRST cohomology in the antifield formalism. I. General theorems_, [euclid](http://projecteuclid.org/euclid.cmp/1104275094), [MR97c:81186](http://www.ams.org/mathscinet-getitem?mr=97c:81186)


 * _Basics of Poisson reduction_ ([blog](http://golem.ph.utexas.edu/category/2008/07/poisson_reduction.html))

 * Alejandro Cabrera, _Homological BV-BRST methods: from QFT to Poisson reduction_ ([pdf](http://www.math.uni-hamburg.de/home/schreiber/Charla_IMPA_BRST.pdf))

 * [[Jeremy Butterfield]], _On symplectic reduction in classical mechanis_ ([pdf](http://philsci-archive.pitt.edu/archive/00002373/01/ButterfieldNHSympRed.pdf))



* S. Lyakhovich, A. Sharapov,  _BRST theory without Hamiltonian and Lagrangian_ ([pdf](http://arxiv.org/PS_cache/hep-th/pdf/0411/0411247v2.pdf))

* [[Florian Schätz]], _BFV-complex and higher homotopy structures_ ([pdf](http://www.math.ist.utl.pt/~fschaetz/BFV-complex.pdf))

* MO: [what is the BV formalism and its uses](http://mathoverflow.net/questions/30352/what-is-the-batalin-vilkovisky-formalism-and-what-are-its-uses-in-mathematics/32443#32443)

### Multisymplectic BRST
 {#ReferencesMultisymplectic}

In the context of [[multisymplectic geometry]]

* Sean Hrabak, _Ambient Diffeomorphism Symmetries of Embedded Submanifolds, Multisymplectic BRST and Pseudoholomorphic Embeddings_ ([arXiv:math-ph/9904026](http://arxiv.org/abs/math-ph/9904026))

* Sean Hrabak, _On a Multisymplectic Formulation of the Classical BRST symmetry for First Order Field Theories Part I: Algebraic Structures_ ([arXiv:math-ph/9901012](http://arxiv.org/abs/math-ph/9901012))

* Sean Hrabak, _On a Multisymplectic Formulation of the Classical BRST Symmetry for First Order Field Theories Part II: Geometric Structures_ ([arXiv:math-ph/9901013](http://arxiv.org/abs/math-ph/9901013))

based on 

* I. Kanatchikov, _On field theoretic generalizations of a Poisson algebra_, Rept.Math.Phys. 40 (1997) 225 ([arXiv:hep-th/9710069](http://arxiv.org/abs/hep-th/9710069))



[[!redirects Batalin-Vilkovisky formalism]]
[[!redirects Batalin-Vilkovisky theory]]

[[!redirects BV-formalism]]
[[!redirects BV formalism]]

[[!redirects BV-theory]]
[[!redirects BV theory]]
[[!redirects BV-BRST formalism]]
[[!redirects BV-BRST quantization]]
[[!redirects BV-BRST quantisation]]
[[!redirects BV/BRST formalism]]
[[!redirects BV/BRST quantization]]
[[!redirects BV/BRST quantisation]]
  
[[!redirects BRST complex]]
[[!redirects BRST-complex]]


[[!redirects BV-BRST complex]]
[[!redirects BRST-BV complex]]
[[!redirects BV-BRST complexes]]
[[!redirects BRST-BV complexes]]


[[!redirects BRST-BV formalism]]

[[!redirects antifield formalism]]

[[!redirects BV-differential]]
[[!redirects BV-differentials]]

[[!redirects BV differential]]
[[!redirects BVdifferentials]]


[[!redirects BV-BRST-differential]]
[[!redirects BV-BRST-differentials]]


[[!redirects BV-BRST differential]]
[[!redirects BV-BRST differentials]]


[[!redirects BV-complex]]
[[!redirects BV-complexes]]
[[!redirects BV complex]]
[[!redirects BV complexes]]



[[!redirects classical BV-complex]]
[[!redirects classical BV-complexes]]
[[!redirects classical BV complex]]
[[!redirects classical BV complexes]]

[[!redirects BV-quantization]]
[[!redirects BV quantization]]

[[!redirects quantum BV-complex]]
[[!redirects quantum BV-complexes]]
[[!redirects quantum BV complex]]
[[!redirects quantum BV complexes]]

[[!redirects BV-BRST cohomology]]
[[!redirects BV-BRST cohomologies]]

[[!redirects BV-BRST theory]]

[[!redirects BV-BRST Lagrangian density]]
[[!redirects BV-BRST Lagrangian densities]]

