
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Complex geometry
+-- {: .hide}
[[!include synthetic complex geometry - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

The notion of _complex analytic space_ is the notion of _[[analytic space]]_ in [[complex geometry]]; the generalization of the notion of [[complex manifold]] to spaces with [[singularity|singularities]].


## Definition

A _complex analytic test space_ is a common vanishing locus of a set of [[holomorphic functions]] $\mathbb{C}^n \to \mathbb{C}$. This is naturally a [[locally ringed space]] over the [[complex numbers]] $\mathbb{C}$. A complex analytic space is a [[locally ringed space]] over $\mathbb{C}$ that is locally isomorphic to such a complex analytic test space.


## Properties

### Local contractibility

A _smooth_ complex analytic space is locally isomorphic to a [[polydisc]] and hence locally contractible. See also ([Berkovich, p.2](#Berkovich)).

### GAGA theorems

Comparison to complex [[algebraic varieties]] ([[GAGA]]):

* [[comparison theorem (étale cohomology)]]

* [[Chow's theorem]]

## Related concepts

* [[complex analytic topology]]

* [[comparison theorem (etale cohomology)]]

* [[real analytic space]]

## References

Introductions include

* Brian Osserman, _Complex varieties and the analytic topology_ ([pdf](http://www.math.ucdavis.edu/~osserman/classes/248B-W10/analytic-top.pdf))

Generalization of smooth complex analytic spaces to smooth $p$-adic analytic spaces is discussed in 

* [[Vladimir Berkovich]], _Smooth $p$-adic analytic spaces ([[Berkovich spaces]]) are locally contractible_ ([pdf](http://www.wisdom.weizmann.ac.il/~vova/Inven_1999_137_contra.pdf))
 {#Berkovich}

Discussion in [[higher geometry]]/[[higher algebra]] ([[derived complex analytic spaces]]) is in 

* {#Lurie08} [[Jacob Lurie]], section 4.4. of _[[Structured Spaces]]_, 2008

* [[Jacob Lurie]], sections 11 and 12 of _[[Closed Immersions]]_


[[!redirects complex analytic space]]
[[!redirects complex analytic spaces]]

[[!redirects complex analytic variety]]
[[!redirects complex analytic varieties]]
