
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The _[[localization of a ring|localization]]_ of a  [[commutative ring]] $R$ at a [[set]] $S$ of its [[elements]] is a new ring $R[S]^{-1}$ in which the elements of $S$ become invertible ([[unit|units]]) and which is [[universal property|universal]] with this property. 

When interpreting a ring under [[Isbell duality]] as the [[ring of functions]] on some [[space]] $X$ (its [[spectrum of a commutative ring|spectrum]]), then localizing it at $S$ corresponds to restricting to the complement of the subspace $Y \hookrightarrow X$ on which the elements in $S$ vanish.

See also _[[commutative localization]]_ and _[[localization of a ring]] (noncommutative)_. 

## Definition

### For commutative rings

Let $R$ be a [[commutative ring]]. Let $S \hookrightarrow U(R)$ be a [[multiplicative subset]] of the underlying [[set]].

The following gives the [[universal property]] of the localization.

+-- {: .num_defn #UniversalPropertyOfLocalizationOfARing}
###### Definition

The **localization** $L_S \colon R \to R[S^{-1}]$ is a [[homomorphism]] to another commutative ring $R[S^{-1}]$ such that 

1. for all elements $s \in S \hookrightarrow R$ the image $L_S(s) \in R[S^{-1}]$ is invertible (is a [[unit]]);

1. for every other homomorphism $R \to \tilde R$ with this property, there is a unique [[homomorphism]] $R[S^{-1}] \to \tilde R$ such that we have a [[commuting diagram]]

   $$
     \array{
       R &\stackrel{L_S}{\to}& R[S^{-1}]
       \\
       & \searrow & \downarrow
       \\
       && \tilde R
     }
     \,.
   $$

=--

The following gives an explicit description of the localization

+-- {: .num_defn }
###### Definition

For $R$ a [[commutative ring]] and $s \in R$ an element, the 
localization of $R$ at $s$ is

$$
  A[s^{-1}] = A[X](X s - 1)
  \,.
$$

=--

(e.g. [Sullivan 70, first pages](#Sullivan70))

+-- {: .num_remark }
###### Remark

The [[Isbell duality|formal duals]] $Spec(R[S^{-1}]) \longrightarrow Spec(R)$ of the localization maps $R \longrightarrow R[S^{-1}]$ (under forming [[spectrum of a commutative ring|spectra]]) serve as the standard [[open immersion of schemes|open immersions]] that define the [[Zariski topology]] on [[algebraic varieties]].

=--

### For $E_\infty$-rings
 {#ForEInfinityRings}

(...) By the lifting property of etale morphisms for $E_\infty$-rings, see [here](étale+morphism+of+E-∞+rings#LocalizationOfRings). (...)


## Examples

* [[Cohn localization]]

## Related concepts

* [[localization of an abelian group]]

* [[localization of a module]]

* [[localization of a ring]], [[localization of a category]]

* [[completion of a ring]]

## References

A classical set of lecture notes is

* {#Sullivan70} [[Dennis Sullivan]], _Localization, Periodicity and Galois Symmetry_ (The 1970 MIT notes) edited by [[Andrew Ranicki]], K-Monographs in Mathematics, Dordrecht: Springer ([pdf](http://www.maths.ed.ac.uk/~aar/surgery/gtop.pdf)) 

Other accounts of the basics include

* {#Gathmann} Andreas Gathmann, _Localization_ ([[GathmannLocalization.pdf:file]])

* [[The Stacks Project]], 10.9. _Localization_

* Yoshifumi Tsuchimoto, Review of commutative (usual) affine schemes. _[Localization of a commutative ring](http://www.math.kochi-u.ac.jp/docky/bourdoki/NAS/nas002/node4.html)_

[[!redirects localizations of a commutative ring]]

[[!redirects localization of commutative rings]]
[[!redirects Localization of commutative rings]]
[[!redirects localizations of commutative rings]]
[[!redirects Localizations of commutative rings]]