
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The name for an  [[instanton]] [[gauge field]] configuration in $SU(2)$-[[Yang-Mills theory]] (describing the [[weak nuclear force]]).

The BPTS construction considers -- on a 4-dimensional [[Minkowski spacetime]] [[Wick rotation|Wick rotated]] to the Euclidean $\mathbb{R}^4$ -- [[gauge field]] configurations for [[gauge group]] the [[special unitary group]] $SU(2)$ that have vanishing [[field strength]] outside some finite radius. These are then equivalently configurations on the 4-[[sphere]]. The BPTS instanton is the $SU(2)$-gauge field whose underlying $SU(2)$-[[principal bundle]]  has [[second Chern class]]=instanton number equal to $\pm1 \in \mathbb{Z} \simeq H^4(S^4, \mathbb{Z})$.

The physics literature typically focuses on describing this $SU(2)$-bundle in terms of the [[Cech cohomology|Cech cocycle]] which after [[covering]] the 4-sphere with two 4-[[balls]] (two "hemispheres") is given by an $SU(2)$-vaued transition function on the intersection of these two balls, which has the [[homotopy type]] of the 3-spehere. Since also the [[manifold]] underlying the [[special unitary group|special unitary]] [[Lie group]] $SU(2)$ is [[diffeomorphism|diffeomorphic]] to $S^3$, this allows to encode the classes of $SU(2)$-[[principal bundles]]/$SU(2)$-instantons on $S^4$ in terms of [[homotopy classes]] of maps $S^3 \to S^3$, and this is what much of the literature focuses on.

## $SU(2)$-instantons from the correct maths to the traditional physics story
 {#FromTheMathsToThePhysicsStory}

[[!include SU2-instantons from the correct maths to the traditional physics story]]

## Related concepts

* [[Yang-Mills instanton]]

  * [[instanton in QCD]]

## References

The original articles are

* A. A. Belavin, A.M. Polyakov, A.S. Schwartz, Yu.S. Tyupkin, _Pseudoparticle solutions of the Yang-Mills equations_, Phys. Lett. B 59 (1), 85-87 (1975) <a href="http://dx.doi.org/10.1016/0370-2693(75)90163-X">doi</a>

* A. A. Belavin, V.A. Fateev, A.S. Schwarz, Yu.S. Tyupkin, _Quantum fluctuations of multi-instanton solutions_, Phys. Lett. B 83 (3-4), 317-320 (1979) <a href="http://dx.doi.org/10.1016/0370-2693(79)91117-1">doi</a>

For surveys and introductions see the references at _[[Yang-Mills instanton]]_.


[[!redirects BPST-instanton]]

[[!redirects BPTS instanton]]
[[!redirects BPST instanton]]

[[!redirects BPST-instantons]]
[[!redirects BPTS-instantons]]

[[!redirects BPTS instantons]]
[[!redirects BPST instantons]]

