
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### $(0,1)$-Category theory
+--{: .hide}
[[!include (0,1)-category theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## In the sense of order theory

An **order** on a set $S$ is (usually) a binary [[relation]] that is, at the very least, [[transitive relation|transitive]].

Actually, there are several different notions of order that are each useful in their own ways:

* [[direction]]
* [[linear order]]
* [[partial order]]
* [[preorder]]
* [[quasiorder]]
* [[total order]]
* [[well-order]]

The closely related notion of a [[cyclic order]] is not actually a binary relation but a ternary relation.

The study of orders is [[order theory]].

## In the sense of group theory

A mostly unrelated notion from [[group theory]] is the [[cardinality]] $|G|$ of the [[underlying set]] of a [[group]] $G$, especially when this is [[finite set|finite]].  By extension, one speaks of the order of an element $x \in G$, as the order of the [[cyclic group|cyclic]] [[subgroup]] $\langle x\rangle$ generated by the element.  For example, the order of a [[permutation]] $\pi \in S_n$ is the least integer $1 \le k\le n$ such that $\pi^k = id$.

Sometimes one thinks of an [[infinite set|infinite]] group as having order [[zero]].  The orders then have the natural order relation of [[divisibility]].

## Other meanings

The term 'order' can also be used fairly generically as a synonym of 'degree' or 'rank', as in [[first-order logic]], the order of a [[differential equation]], etc.  Of course, these various orders form a [[well-order]], so this is not entirely unrelated either.


[[!redirects order]]
[[!redirects orders]]
[[!redirects order relation]]
[[!redirects order relations]]
