
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Type theory
+-- {: .hide}
[[!include type theory - contents]]
=--
#### Foundations
+-- {: .hide}
[[!include foundations - contents]]
=--
#### Mathematics
+-- {: .hide}
[[!include mathematicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

In the context of [[foundations of mathematics]] the term **practical foundations** (following a term introduced in ([Taylor](#Taylor))) refers to emphasis on conceptually natural formalizations. 

> In my own education I was fortunate to have two teachers who used the term “foundations” in a common-sense way (rather than in the speculative way of the Bolzano-Frege-Peano-Russell tradition). This way is exemplified by their work in Foundations of Algebraic Topology, published in 1952 by [Eilenberg](#EilenbergSteenrod) (with Steenrod), and The Mechanical Foundations of Elasticity and Fluid Mechanics, published in the same year by Truesdell. The orientation of these works seemed to be “concentrate the essence of practice and in turn use the result to guide practice”. ([Lawvere 2003: 213](#Lawvere))

   Formal systems of interest here are [[natural deduction]] in [[type theories]], which allow natural expressions for central concepts in mathematics, notably via their [[categorical semantics]] and the conceptual strength of [[category theory]] (see [Harper](#Harper)).

## References

* [[Paul Taylor]], _Practical Foundations of Mathematics_, Cambridge University Press ([web](http://www.cs.man.ac.uk/~pt/Practical-Foundations/html/index.html))
{#Taylor}

* [[William Lawvere]], _Foundations and applications: axiomatization and education_, Bulletin of Symbolic Logic 9 (2003), 213-224 ([ps](http://www.math.ucla.edu/~asl/bsl/0902/0902-006.ps))
 {#Lawvere}

Under [[computational trinitarianism]] this corresponds to a practical foundation in [[program|programming]], laid out in

*  [[Robert Harper]], _Practical Foundations for Programming Languages_ ([web](http://www.cs.cmu.edu/~rwh/plbook/book.pdf))
{#Harper}

A foundation for [[algebraic topology]] in this practical spirit is laid out in 

* [[Samuel Eilenberg]], [[Norman Steenrod]], _[[Foundations of Algebraic Topology]]_
  {#EilenbergSteenrod}


[[!redirects practical foundation]]
[[!redirects practical foundations]]
[[!redirects practical foundations of mathematics]]
