
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Complex geometry
+--{: .hide}
[[!include complex geometry - contents]]
=--
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

To every nonsingular [[algebraic curve]] $C$ (over the [[complex numbers]]) of [[genus of a surface|genus]] $g$ one associates the Jacobian variety or simply Jacobian $J(C)$ either via [[differential 1-forms]] or equivalently via [[line bundles]]:

the Jacobian is the [[moduli space]] of [[degree of a coherent sheaf|degree]]-$0$ [[line bundles]] over $C$, i.e. the connected component 

$$
  Jac(X) = Pic_0(X)
$$ 

of the identity of the [[Picard scheme]] of $C$. See also at _[intermediate Jacobian -- Examples -- Jacobian](intermediate+Jacobian#ExamplePicard)_.

Jacobian varieties are the most important class of [[abelian varieties]]. 


## Properties

### Abel-Jacobi map

The __[[Abel-Jacobi map]]__ $C\to J(C)$ is defined with help of [[periods]] ...)

### Line bundles and theta functions

over the [[complex numbers]], [[line bundles]] on a Jacobian variety over a given [[Riemann surface]] are naturally encoded by [[Riemann theta functions]].

## Related concepts

* [[Albanese variety]]

* [[Prym variety]], [[Prym-Tyurin variety]]

[[!include moduli of higher lines -- table]]


## References

* wikipedia [Jacobian variety](http://en.wikipedia.org/wiki/Jacobian_variety), [Abel-Jacobi map](http://en.wikipedia.org/wiki/Abel%E2%80%93Jacobi_map)

* P. Griffiths, J. Harris, _Principles of algebraic geometry_

* A. Beauville, _Jacobiennes des courbes spectrales et systèmes Hamiltoniens complètement intégrables_, Acta Math. __164__ (1990), 211-235.

A generalizatioin of Abel-Jacobi map to the setting of formal deformation theory is in

* [[Domenico Fiorenza]], Marco Manetti, _Formal Abel-Jacobi maps_, [arxiv/1610.08684](https://arxiv.org/abs/1610.08684)

Review for [[Riemann surfaces]] includes

* [[Razvan Gelca]], [[Alejandro Uribe]], section 2 of _From classical theta functions to topological quantum field theory_  ([arXiv:1006.3252](http://arxiv.org/abs/1006.3252), [slides pdf](http://www.math.ttu.edu/~rgelca/berk.pdf))


[[!redirects Jacobian varieties]]
[[!redirects Jacobi variety]]