
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Quantum field theory
+--{: .hide}
[[!include functorial quantum field theory - contents]]
=--
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The _Turaev-Viro model_, or more precisely _Turaev-Viro-Barrett-Westbury model_, is a [[3d TQFT]] construction induced from a [[spherical category]]/[[fusion category]] $\mathcal{C}$. 

If $\mathcal{C}$ is moreover a [[modular tensor category]] then there exists also the [[Reshetikhin-Turaev construction]] [[3d TQFT]]. In this case the
Turaev-Viro model is something like the "norm square" of the [[Reshetikhin-Turaev construction]] on $\mathcal{C}$.

For $G$ a [[finite group]] and $\mathcal{C} = Vect_G$ the [[category]] of $G$-[[graded vector spaces]] the Turaev-Viro model describes the $G$-[[Dijkgraaf-Witten theory]], also the [[Levin-Wen model]].

See for instance the introduction of ([Kirillov-Balsam 10](#KirillovBalson10)) for a review.



## Properties

### As an extended TQFT

The Turaev-Viro model has been constructed as a 3-2-1 [[extended TQFT]] in ([Kirillov-Balsam 10](#KirillovBalsam10), [Balsam 10a](#Balsam10a), [Balsam 10b](#Balsam10b)).

Related but different is the construction of fully extended [[3d TQFT]] from [[fusion categories]] via the [[cobordism theorem]], see at _[fusion category -- Relation to extended 3d TQFT](fusion%20category#RelationtoTQFT)_ for more on this.


## References

The original article

* [[Vladimir Turaev]] and O. Ya. Viro, _State sum invariants of 3-manifolds and quantum 6jsymbols_, Topology 31 (1992), no. 4, 865–902, DOI 10.1016/0040-9383(92)90015-A. MR1191386 

* [[Vladimir Turaev]], _Quantum invariants of knots and 3-manifolds_, vol. 18 of de Gruyter Studies in Mathematics. Walter de Gruyter & Co., Berlin, 1994

constructed 3-manifold invariants from quantum [[6j symbols]]. See also 

* [[Adrian Ocneanu]], _Chirality for operator algebras_, In _Subfactors (Kyuzeso, 1993), pp. 39-63. World Sci. Publ., River Edge, NJ, 1994

In

* [[John Barrett]], [[Bruce Westbury]], _Invariants of piecewise-linear 3-manifolds_, Trans. Amer. Math. Soc. 348 (1996), no. 10, 3997–4022, DOI 10.1090/S0002-9947-96-01660-1. MR1357878 (97f:57017)

* [[John Barrett]], [[Bruce Westbury]], _Spherical Categories_ ([arXiv:hep-th/9310164](http://arxiv.org/abs/hep-th/9310164))

it was shown that this construction proceeds from any [[spherical category|spherical]] [[fusion category]].



Refinement of the construction to an [[extended TQFT]] is in 

* {#KirillovBalsam10} [[Alexander Kirillov]] Jr., [[Benjamin Balsam]], _Turaev-Viro invariants as an extended TQFT_ ([arXiv:1004.1533](http://arxiv.org/abs/1004.1533))

* {#Balsam10a} [[Benjamin Balsam]], _Turaev-Viro invariants as an extended TQFT II_ ([arXiv:1010.1222](http://arxiv.org/abs/1010.1222))

* {#Balsam10b} [[Benjamin Balsam]], _Turaev-Viro invariants as an extended TQFT II_ ([arXiv:1012.0560](http://arxiv.org/abs/1012.0560))

Discussion that relates the [[quantization of 3d Chern-Simons theory]] to the [[Reshetikhin-Turaev construction]] of a 3d-[[TQFT]] from the [[modular tensor category]] induced by $G$ is in 

* {#Andersen} [[Jørgen Andersen]], _A geometric formula for the Witten-Reshetikhin-Turaev Quantum Invariants and some applications_ ([arXiv:1206.2785](arxiv.org/abs/1206.2785))
 
and references cited there.

A relation to the [[Levin-Wen model]] is discussed in

* Alexander Kirillov Jr, _String-net model of Turaev-Viro invariants_ ([arXiv:1106.6033](http://arxiv.org/abs/1106.6033))


[[!redirects Turaev-Viro construction]]
[[!redirects Turaev-Viro-Barrett-Westbury model]]


