
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
#### Lie theory
+--{: .hide}
[[!include infinity-Lie theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Statement

Given a [[Lie algebra]] $g$ which is [[flat module|flat]] as a $k$-[[module]] over a [[commutative ring|commmutative ground ring]] $k\supset\mathbb{Q}$ containing the [[rational numbers|rationals]], consider the [[universal enveloping algebra]] $U(g)=\cup_{i= 0}^\infty U^i(g)$ as a [[filtered algebra]] and a [[Hopf algebra]], where $g$ is the subspace of [[primitive elements]]. 

The __Poincaré–Birkhoff–Witt theorem__ (often abbreviated to PBW theorem) says that the [[associated graded algebra]] is canonically [[isomorphism|isomorphic]] to the [[symmetric algebra]] $Sym(g)$ as an algebra, and the projection $U(g)\to Gr U(g)\cong Sym(g)$ is an  isomorphism of $k$-[[coalgebras]].  

The fact that associated graded algebra is isomorphic to the symmetric algebra is a weak form of the theorem and it is usually proved either by very explicit and long calculation constructing certain representation or by application of the [[zoranskoda:diamond lemma]]. The induced Poisson structure on $Sym(g)$ is the linear Poisson structure for the corresponding $g$. 

The notions of Lie algebra, symmetric algebra, enveloping algebra, etc. can also be formulated in the context of a $k$-linear [[tensor category]] (with finite direct sums and split idempotents, and also with countable coproducts over which the tensor product distributes in case one wants to work with ungraded objects), and the PBW theorem remains valid in that context. In particular, the PBW theorem may be formulated and proven for [[superalgebra|super Lie algebras]]. Details may be found in [Deligne-Morgan](#DM).  

## Related concepts

* [[Lie-Poisson structure]]

## References

* {#Quillen69} [[Daniel Quillen]], appendix B.3 of _Rational homotopy theory_, Annals of Math., 90(1969), 205–295 ([JSTOR](http://www.jstor.org/stable/1970725), [pdf](http://www.math.northwestern.edu/~konter/gtrs/rational.pdf)) 


* wikipedia [Poincaré–Birkhoff–Witt theorem](http://en.wikipedia.org/wiki/Poincaré–Birkhoff–Witt_theorem), [[eom]]: [Birkhoff%E2%80%93Witt_theorem](http://www.encyclopediaofmath.org/index.php/Birkhoff%E2%80%93Witt_theorem)

* [[Pierre Deligne]], [[John Morgan]], _Notes on Supersymmetry, chapter I_. In _[[Quantum Fields and Strings]]: A Course for Mathematicians_ (vol. I), Amer. Math. Soc. 1999. 
{#DM}

* Pierre-Paul Grivel, _Une histoire du théorème de Poincaré-Birkhoff-Witt_, Expo. Math. __22__ (2004), no. 2, 145–184 [MR2005b:17024](http://www.ams.org/mathscinet-getitem?mr=2056653) <a href="http://dx.doi.org/10.1016/S0723-0869(04)80010-0">doi</a>

[[!redirects Poincaré–Birkhoff–Witt theorem]]
[[!redirects Poincare-Birkhoff-Witt theorem]] 
