
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

(This article is about primitive elements in coalgebra theory, not about primitive elements for finite [[field extensions]].)  

## Definition

Working over a [[commutative ring]] $R$, recall that a _unital_ or _coaugmented_ [[coalgebra]] is an $R$-[[coalgebra]] $(C, \Delta: C \to C \otimes_R C, \epsilon: C \to R)$ equipped with a coalgebra map $u: R \to C$. Abusing notation, denote $u(1) \in C$ by $1$. 

### Primitive element in a coalgebra

An element  $x$ in a [[coalgebra]] $C$ is __primitive__ if $\Delta(x) = 1\otimes x + x\otimes 1$. This condition implies $\epsilon(x) = 0$. 

This notion generalizes straightforwardly to unital [[corings]] over $R$. 

### Primitive element in a comodule

Let $N$ be a [[comodule]] over $C$, with co-action map $\Psi \colon N \longrightarrow C \otimes_R N$. Then an element $n \in N$ is called a **primitive element** or **[[coinvariant]]** if $\Psi(n) = 1 \otimes n$.

The $R$-module $prim(N)$ of primitive elements of $N$ is [[natural isomorphism|naturally]] to 

1. the module of comodule homomorphisms out of $R$ into $N$

   $$
     prim(N) \simeq Hom_{C}(R,N)
     \,.
   $$

1. the [[cotensor product]] of $N$ with $A$

   $$
     prim(N) \simeq A \Box_R N
     \,.
   $$



## Properties

### Primitives in a Hopf algebra 

A straightforward calculation shows that the module of primitive elements in a [[Hopf algebra]] $H$ (or even in a [[bialgebra]] $H$) is a Lie subalgebra of the underlying [[Lie algebra]] of $H$ (whose bracket is the algebra [[commutator]]). 
Thus, taking primitive elements yields a functor 

$$P: HopfAlg \to LieAlg$$ 

(and of course we have more generally a functor $P: BiAlg \to LieAlg$ which is an extension along the full inclusion $HopfAlg \to BiAlg$). 

For a Lie algebra $L$, let $U(L)$ be its [[universal enveloping algebra]]: 

$$U(L) = T(L)/I$$ 

where $I$ is the two-sided ideal generated by elements of the form $x y - y x - [x, y]$ where $x, y \in L$. This carries a bialgebra structure whose comultiplication $\delta: U(L) \to U(L) \otimes U(L)$ is uniquely determined by the rule $\delta(x) = 1 \otimes x + x \otimes 1$ for $x \in L$. Since this says $x \in L$ is primitive, the counit $\epsilon: U(L) \to R$ is forced to be the algebra map such $\epsilon(x) = 0$ for all $x \in L$, and also the Hopf antipode is uniquely determined: $\sigma(x) = -x$ for $x \in L$. 

The following proposition is entirely straightfoward: 

+-- {: .num_prop} 
###### Proposition 
The functor $U: LieAlg \to BiAlg$ is [[left adjoint]] to the functor $P: BiAlg \to LieAlg$. 
=-- 

This result is essentially tautologous and holds for any commutative ring of arbitrary characteristic. (This despite the fact that the $U(L)$ as defined above is not as well-behaved in nonzero characteristic as one might like; e.g. the [[PBW theorem]] fails.) More information on this adjunction may require more restrictive hypotheses: 

+-- {: .num_prop} 
###### Proposition 
For $R = k$ a [[field]] of [[characteristic zero]], the [[adjunction unit|unit]] $L \to P U(L)$ is an [[isomorphism]]. 
=-- 

An immediate consequence is that for such ground fields $k$, the functor $U: LieAlg \to BiAlg$ is [[fully faithful functor|fully faithful]]. Of course, $U$ lands in the full subcategory of cocommutative Hopf algebras, which is exactly the category of [[group objects]] in the [[cartesian monoidal category]] of [[cocommutative coalgebras]]. 

The [[Milnor-Moore theorem]] gives further information: for Hopf algebras over a field of characteristic zero, the counit $U P(H) \to H$ is a monomorphism, and an isomorphism in case $H$ satisfies a suitable conilpotency condition. 

(More needs to be added.) 

[[!redirects primitive element in a coalgebra]]

[[!redirects primitive elements]]