
# Contents
* table of contents
{: toc}

## Idea

The "EPR paradox" is an argument (historically perceived of as leading to a "[[paradox]]") about fundamental properties of [[quantum mechanics]], due to ([EPR](#EPR)).

The argument begins by giving a necessary condition for a [[theory]] to be complete, that every element of reality features in the theory.

It goes on to note that for noncommuting operators/[[quantum observables]], the [[wave function]] cannot simultaneously be an [[eigenstate]] for both. Hence, it is not the case that both quantities are represented in the theory. From this they conclude that either [[quantum mechanics]] is incomplete or else not both of the quantities are real.

The second part of the argument sees the famous example of an [[entanglement|entangled pair]] of [[particles]]. The argument here now relies on what they take to be a sufficient condition for reality, that a quantity be predictable without disturbing the system. However, if I allow the two particles to travel far from each other, it appears that by making [[measurements]] on one particle I can predict both of two noncommuting quantities of the other system (admittedly, not simultaneously) without disturbing it. Both quantities then are real.

Thus they conclude that quantum mechanics is not complete.

...  Need to talk about separability and locality. Then link to [[Bell inequality|Bell's inequalities]].


## References

The original article is

* [[Albert Einstein]], B. Podolsky, N. Rosen, _Can the Quantum-Mechanical Description of Physical Reality be Considered Complete?_ Physical Review 47 (10): 777–780. (1935)
 {#EPR}

A thorough treatment is in

* Arthur Fine, _The Einstein-Podolsky-Rosen Argument in Quantum Theory_, Stanford Encyclopedia of Philosophy ([web](http://plato.stanford.edu/entries/qt-epr/))

* Anthony Sudbery, Quantum mechanics and the particles of nature: An outline for mathematicians (in chapter 5)

A survey is in 

* Wikipedia, _[EPR paradox](http://en.wikipedia.org/wiki/EPR_paradox)_


[[!redirects EPR paradox]]
[[!redirects Einstein-Podolsky-Rosen paradox]]
[[!redirects Einstein–Podolsky–Rosen paradox]]
[[!redirects Einstein--Podolsky--Rosen paradox]]

[[!redirects EPR argument]]
[[!redirects Einstein-Podolsky-Rosen argument]]
[[!redirects Einstein–Podolsky–Rosen argument]]
[[!redirects Einstein--Podolsky--Rosen argument]]
