* About this page

  * Scope and perspective
  * Layers of exposition
  * The full story in a few formal words

* Coordinate systems

  * Model Layer

    * The continuum real (world-)line
    * Cartesian spaces and smooth functions
    * The fundamental theorems about smooth functions

  * Semantic Layer

    * The algebraic theory of smooth algebras
    * The coverage of differentially good open covers
    * The slice category

  * Syntactic Layer

    * Judgments about types and terms
    * Natural deduction rules for product types
    * Natural deduction rules for dependent sum types
    * Dictionary: type theory / category theory

* Smooth spaces

  * Model Layer

    * Plots of smooth spaces and their gluing
    * Homomorphisms of smooth spaces
    * Products and fiber products of smooth spaces
    * Smooth mapping spaces and smooth moduli spaces
    * The smooth moduli space of smooth functions
    * Outlook

  * Semantic Layer

    * Toposes
    * Subobjects
    * Slice toposes
    * Local, connected and cohesive toposes
    * The topos of smooth spaces

      * Connectedness
      * Locality
      * Cohesion

  * Syntactic Layer

    * Natural deduction rules for dependent product types
    * Internal logic of a toposThe type of propositions
    * Cohesive modality I: Sharp types

* Differential forms

  * Model Layer

    * Differential forms on abstract coordinate systems
    * Differential forms on smooth spaces

  * Semantic Layer

    * Concrete smooth spaces
    * Smooth space of differential forms on a smooth space

  * Syntactic Layer

    * Images

* Differentiation

  * Model Layer

    * Differentiation of smooth functions and differential forms

      * Differentiation on coordinate patches
      * Differentiation on smooth spaces
      * Example: The electromagnetic field strength

    * Variational calculus

      * Discrete points of a smooth space
      * Smooth functionals
      * Functional derivative / variational derivative
      * Euler-Lagrange equations

    * $\mathcal{D}$-geometry

      * Infinitesimal smooth loci
      * de Rham space
      * Jet bundles

  * Semantic Layer

    * Synthetic differential geometry
    * Tangent bundle
    * Differential equations
    * Differential cohesion of the topos of smooth spaces
    * Differential cohesion
    * de Rham space
    * Jet bundle
    * Formally étale / formally unramified / formally smooth

  * Syntactic Layer

    * Differential homotopy type theory

* Smooth homotopy types

  * Model Layer

    * Gauge transformations in electromagnetism
    * Groupoids
    * Smooth groupoids
    * Differential 1-forms are smooth incremental path measures

  * Semantic Layer

    * ∞-Toposes
    * Slice ∞-toposes
    * Local, ∞-connected and cohesive ∞-toposes
    * The ∞-topos of smooth ∞-groupoids
    * Local ∞-Connectedness
    * Locality
    * Cohesion

  * Syntactic Layer

    * Identity types
    * Homotopy type theory
    * Cohesive modality II: flat types

* Groups

  * Model Layer

    * Groups
    * Dold-Kan correspondence

  * Semantic Layer

    * A ∞-types
    * ∞-Groups

  * Syntactic Layer

    * Pointed connected types
    * Identity types of connected types

* Principal bundles

  * Model Layer

    * Connected groupoids
    * Universal principal bundle
    * Principal bundles
    * Weakly principal simplicial bundles

  * Semantic Layer

    * Principal ∞-bundles

  * Syntactic Layer

* Actions, representations and associated bundles

  * Model Layer

    * Actions
    * Associated bundle
    * Representations up to coherent homotopy

  * Semantic Layer

    * ∞-Actions
    * Associated ∞-bundles

  * Syntactic Layer

    * The context of a pointed connected type: representation theory
    * Dependent product over a pointed connected type: invariants
    * Dependent sum over a pointed connected type: quotients

* Manifolds

  * Model Layer

    * Smooth manifolds
    * Tangent bundle

  * Semantic Layer

    * Manifolds modeled on an object

  * Syntactic Layer

* $G$-Structure

  * Model Layer

    * Reduction of structure group
    * Vielbein, orthogonal structure
    * Almost complex structure
    * Almost Hermitean structure
    * Almost symplectic structure
    * Metaplectic structure
    * Metalinear structure
    * Generalized complex geometry
    * Type II geometry
    * Generalized Calabi-Yau structure
    * Exceptional generalized geometry
    * Spin structure, String structure, Fivebrane structure

  * Semantic Layer
  * Syntactic Layer

* Riemannian geometry

  * Model Layer
  * Semantic Layer
  * Syntactic Layer

* Integration

  * Model Layer

    * Integration
    * Integration of differential forms
    * Integration in ordinary differential cohomology
    * Lie integration
    * Transgression
    * Transgression of differential forms
    * Transgression of circle n-bundles with connection
    * Action functionals from transgression

  * Semantic Layer
  * Syntactic Layer

* Flat connections

  * Model Layer
  * Semantic Layer
  * Syntactic Layer

* de Rham Coefficients

  * Model Layer

    * Lie-algebra valued differential 1-forms
    * The de Rham complex

  * Semantic Layer

    * De Rham coefficient objects
    * Recovering smooth differential forms from cohesive de Rham coefficients

  * Syntactic Layer

* Maurer-Cartan forms

  * Model Layer

    * Maurer-Cartan form on a Lie group

  *Semantic Layer

    * Maurer-Cartan form on a cohesive ∞-group
    * Maurer-Cartan forms on smooth ∞-groups
    * Cohesive differentiation
    * Universal curvature characteristic forms

  * Syntactic Layer

* Circle-principal connections

  * Model Layer

    * Circle-principal connections
    * Dirac charge quantization and the electromagnetic field
    * Deligne cohomology and Cheeger-Simons differential characters
    * Circle-principal 2-connection
    * Magnetic charge and the B-field
    * Circle-principal 3-connection
    * The 3d Chern-Simons action functional and the C-field

  * Semantic Layer

    * Smooth differential cohomology
    * Higher holonomy

  * Syntactic Layer

* Characteristic classes

  * Model Layer
  * Semantic Layer
  * Syntactic Layer

* Circle-principal n-connection

  * Model Layer
  * Semantic Layer
  * Syntactic Layer

* Action functionals for Chern-Simons-type gauge theories

  * Model Layer
  * Semantic Layer
  * Syntactic Layer

* Abelian Chern-Simons theory

  * Model Layer
  * Semantic Layer
  * Syntactic Layer

* Principal connections

  * Model Layer

    * Yang-Mills theory

  * Semantic Layer
  * Syntactic Layer

* Associated bundles

  * Model Layer

    * Associated vector bundle
    * Spin geometry

  * Semantic Layer
  * Syntactic Layer

* Covariant derivative
* Einstein-Yang-Mills theory
* Symplectic geometry
* Geometric quantization
* Supergeometric coordinate systems

  * Model Layer
  * Semantic Layer
  * Syntactic Layer

* References

  * General
  * Differential forms and parallel transport
  * Mathematical quantum field theory
  * Further