
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Arithmetic
+--{: .hide}
[[!include arithmetic geometry - contents]]
=--
=--
=--



# Contents
* table of contents
{: toc}

## Idea

A _sum_ is a result of an operation called _addition_ and denoted $+$ (binary), $0$ (nullary), or $\sum$ (arbitrary).

* A [[group]] (or similar algebraic structure) $A$ is _written additively_ if its operation is a sum: $a,b \in A \;\vdash\; (a + b) \in A$.  Examples include addition of [[natural numbers]] (an abelian [[monoid]]) and the generalisation to other kinds of [[number]]s (most of which form abelian groups or at least abelian monoids, although the [[ordinal numbers]] form a nonabelian monoid).

* In the case of numbers or more generally any [[topological abelian group]] or [[topological vector space]] (and generalizations), we can consider sums of [[infinite series]], and more generally [[integrals]]. (There are however also noncommutative integrals when the order of summation/multiplication of noncommuting quantities is taken into account.)

* In a [[category]] the term _sum_ may refer to the [[coproduct]] of two [[objects]]; in particular, the sum of two [[abstract sets]] is their [[disjoint union]].  The sum of objects in a [[preadditive category]] may refer to the [[biproduct]] or [[direct sum]].

* In a [[poset]] this becomes the notion of [[join]]; in particular, the [[union]] of two [[concrete sets]] ([[material set theory|material sets]] or [[subsets]] of a fixed set $U$) was once often called their _sum_.

* A more general notion of sum in [[category theory]] and [[type theory]] is that of the _[[dependent sum]]_ of a family of objects.


## Related concepts

* [[product]]


[[!redirects sum]]
[[!redirects sums]]
[[!redirects additive operation]]
[[!redirects addition]]
