
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Graph theory
+-- {: .hide}
[[!include graph theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A [[graph]] is _reflexive_ if for each [[vertex]] $v$ there is a (specified) [[edge]] $v \to v$.


A **reflexive [[quiver]]** has a specified identity edge $i_X: X \to X$ on each object (vertex) $X$.
The [[free category]] on a reflexive quiver has the same objects,
 [[identity morphism]]s corresponding to the identity edges,
 and non-identity morphisms consisting of paths of non-identity edges.

## Properties 

+-- {: .num_prop} 
###### Proposition 
The category of reflexive directed graphs $RefGph$, i.e., reflexive [[quivers]], equipped with the functor $U: RefGph \to Set$ which sends a graph to its set of edges, is [[monadic functor|monadic]] over $Set$. 
=-- 

+-- {: .proof} 
###### Proof 
$RefGph$ is the category of functors $R \to Set$ where $R$ is the [[walking structure|walking]] [[reflexive fork]], consisting of two objects $0, 1$ and generated by arrows $i: 0 \to 1$ and $s, t: 1 \to 0$ subject to $s i = 1_0 = t i$ and no other relations. This $R$ is in turn the [[Cauchy completion]] of a monoid $M$ consisting of two elements $e_0 = i s, e_1 = i t$ and an identity, with multiplication $e_0 e_0 = e_0 = e_1 e_0$ and $e_1 e_1 = e_1 = e_0 e_1$, and therefore $RefGph$ is equivalent to the category of functors $M \to Set$, i.e., the category of $M$-sets $Set^M$. This is the category of algebras of the monad $M \times -$ whose monad structure is induced from the monoid structure of $M$. 
=-- 

## Related concepts

* [[reflexive relation]]

[[!redirects reflexive graphs]]

