
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Graph theory
+-- {: .hide}
[[!include graph theory - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

A __vertex__ is a _[[point]]_ in a [[graph]] or [[simplicial set]] or similar. In the context of [[simplicial sets]] it is a 0-[[dimension|dimensional]] [[simplex]].

## Terminological remarks

Vertices are also sometimes called **points** (somewhat old-fashioned, e.g. [Harary, Chapter 2](#HararyGraphTheory)) or **nodes** (more frequently in [[computer science]]).  In specialized contexts other terms are used.  For instance, the two classes of vertices of a [[Petri net]] are called "places" or "species" and "transitions" or "reactions", respectively;
in an [[automaton]] the vertices are called "states"; 
and for [[quasicategories]] (particular simplicial sets) the vertices are also called [[objects]].

Historically, the use of "vertex" for a point of an abstract graph probably derives from the natural connections between [[graph theory]] and the theory of [[polyhedra]], which have "vertices".  One such connection is [[Ernst Steinitz|Steinitz's]] [[Steinitz's theorem|1916 theorem]] on the one-dimensional skeleta of [[polyhedra]] in three-dimensional [[Euclidean space]].


## Related concepts

* [[graph]], [[directed graph]], [[quiver]], [[digraph]]

* [[simplicial set]]

* [[edge]]

* **vertex**, [[simplex]], [[dendrex]]



## References


* Frank Harary: Graph Theory. Addison-Wesley. 1969
{#HararyGraphTheory}



[[!redirects vertex]]
[[!redirects vertices]]
[[!redirects node]]
[[!redirects nodes]]
