
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

_Continuum mechanics_ refers to the [[physics]]/[[mechanics]] of continuous bodies such as notably [[fluids]] but also [[solids]] ([[solid state physics]]). As opposed to the mechanics of point [[particles]] (to which it is of course related by various limiting processes).

## Related concepts

* [[classical mechanics]], [[quantum mechanics]]

  * [[kinematics]], [[dynamics]]

  * [[rigid body dynamics]]

* [[Hamiltonian mechanics]], [[Lagrangian mechanics]]

* [[cohesion]], [[elasticity]], [[solidity]]

## References

### General

* Wikipedia, _[Continuum mechanics](http://en.wikipedia.org/wiki/Continuum_mechanics)_

* G&eacute;rard A Maugin, _Continuum Mechanics Through the Twentieth Century: A Concise Historical Perspective_, 2013

### Formalization

The [[axiom|axiomatization]] of [[continuum mechanics]] [[internal logic|internal]] to [[toposes]] has led [[William Lawvere]] to the introduction of [[synthetic differential geometry]]

* [[William Lawvere]], _Toposes of laws of motion_ , transcript of a talk in Montreal, Sept. 1997 ([pdf](http://www.acsu.buffalo.edu/~wlawvere/ToposMotion.pdf))

and to the notion of [[cohesion]]

* [[William Lawvere]], _[[Some Thoughts on the Future of Category Theory]]_ in A. Carboni, M. Pedicchio, G. Rosolini, _Category Theory_  , [[Como|Proceedings of the International Conference held in Como]], Lecture Notes in Mathematics 1488, Springer (1991)

* [[William Lawvere]], _Axiomatic cohesion_ Theory and Applications of Categories, Vol. 19, No. 3, 2007, pp. 41–49. ([pdf](http://www.tac.mta.ca/tac/volumes/19/3/19-03.pdf))

For more on this see also the collection

* [[William Lawvere]], [[Stephen Schanuel]] (eds.), _[[Categories in Continuum Physics]]_, Lectures given at a Workshop held at SUNY, Buffalo 1982, Lecture Notes in Mathematics 1174, 986  

and

* [[William Lawvere]], _Variable sets, topoi and etendu_ Notices Amer. Math. Soc.
22 (1975) A675.

* W. Noll, _The foundations of mechanics and thermodynamics_ Springer, 1974.

### History

Early precursor of continuum mechanics has been argued to be recognizable in [[Descartes]]'s mechanism ([Dusek 99, p.23](#Dusek99)).

* {#Dusek99} V. Dusek, _The Holistic Inspirations of Physics_ NewBrunswick: Rutgers University Press (1999) ([review](http://www.jstor.org/stable/188634?seq=1))


[[!redirects continuum physics]]

[[!redirects classical continuum mechanics]]