
# Idempotent semirings
* table of contents
{: toc}

## Idea

Recall that a [[semiring]] is a set $R$ equipped with two binary operations, denoted $+$, and $\cdot$ and called _addition_ and _multiplication_, satisfying the ring (or [[rng]]) axioms except that there may not be a zero nor a negative.


## Definition

An idempotent semiring (also known as a _dioid_) is one in which addition is [[idempotent]]: $x + x = x$, for all $x\in R$.


## Terminology

The term _dioid_  is sometimes used as an alternative name for idempotent semirings.


## Examples

*  Any [[quantale]] is an idempotent semiring, or dioid, under [[join]] and multiplication.

* The [[powerset]] of the set of languages over a given alphabet forms an idempotent semiring in which $L + L' = L \cup L'$ and multiplication is given by concatentation.

*  The [[tropical semiring|tropical algebra]] and the [[max-plus algebra]] are idempotent semirings.


[[!redirects idempotent semiring]]
[[!redirects idempotent semirings]]
[[!redirects dioid]]
[[!redirects dioids]]
