### Overview

__Enumerative geometry__ is a branch of [[algebraic geometry]] which counts a number of solutions to various geometric problems, usually stated for data in _general position_. Usually the solution is a nonnegative integer, but some vaguely defined intuitive enumerative problems have rigorous reformulations in terms of integration on moduli spaces and can yield answers which are, say, rational numbers. Most studied enumerative problems are problems of intersection theory of algebraic subvarieties and the solution is often found by cohomological methods. 

### Examples

How many plane conics are tangent simultaneously to 5 given plane conics in general position ? The answer is 3264, see Griffiths-Harris, _Principles of algebraic geometry_ for a detailed treatment. A further question is how many of them are real ? see Frank Sottile, [3264 real curves](http://www.math.tamu.edu/~sottile/research/stories/3264/index.html).

### Related entries and references

* [[intersection theory]]
* [[Gromov-Witten invariant]]
* [[Schubert calculus]]
* wikipedia [enumerative geometry](http://en.wikipedia.org/wiki/Enumerative_geometry)
* William Fulton, _Introduction to intersection theory in algebraic geometry_, CBMS 54, AMS, 1996, second edition