
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
#### Higher geometry
+--{: .hide}
[[!include higher geometry - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea
 {#Idea}

Intersection theory studies literally the [[intersection]] of pairs of sub-spaces inside an ambient [[space]]. Historically [[Bézout's theorem]] described the signed ([[integer]]-valued) [[number]] of points at which two [[algebraic curves]] meet transversally inside an ambient [[algebraic surface]]. Dually, under [[Poincaré duality]], this integer is the evaluation of the [[cup product]] of the duals of the two [[fundamental classes]] of the curves on that of the ambient spaces, and hence the [[cup product]] on mid-degree cohomology classes is also called the _[[intersection product]]_ and is one central aspect of intersection theory.

However, if the sub-spaces do not intersect sufficiently transversally, then their plain set-theoretic number of intersection points will not agree with the cohomological [[intersection product]] thus defined. Historically [[Serre's intersection formula]] was a first step to remedy this by replacing the plain [[tensor product]] of [[structure sheaves]] (which is what [[Isbell duality|dually]] describes the [[intersection]] of the [[varieties]]) is replaced by a [[Tor]], hence by its [[derived functor]]. 

In the modern version of the theory (as indicated e.g. in the introduction of ([Lurie-Spaces](#LurieSpaces))) this is interpreted as saying that the intersection is to be taken in _[[derived algebraic geometry]]_ (and the fundamental classes are to be taken to be [[virtual fundamental classes]]). 

With intersection theory interpreted in [[(infinity,1)-topos theory]] this way then the nature of Bézout's original statement should hold in full generality essentially without further assumptions and this would be the central statement of intersection theory:

_the [[cup product]] of two [[virtual fundamental classes]] of mid-dimensional subspaces  equals the fundamental class of their derived intersection_.


## Related concepts

* [[intersection product]]

* [[Gromov-Witten invariant]], 

* [[Riemann-Roch theorem]], 

* [[enumerative geometry]], 

* [[Bezout theorem]], 

* [[virtual fundamental class]], [[Mumford class]], [[homological mirror symmetry]], [[Schubert calculus]]

## References

Introductions and surveys include

* Wikipedia, _[Intersection theory](http://en.wikipedia.org/wiki/Intersection_theory)_

* [[William Fulton]], _Introduction to intersection theory in algebraic geometry_, CBMS 54, AMS, 1996, second edition

* [[Akhil Mathew]], _Intersection theory on surfaces_, 2013 ([web](http://amathew.wordpress.com/2013/01/27/intersection-theory-on-surfaces/))

* [[Günther Trautmann]], _Introduction to intersection theory_, 2007 ([[IntersTh.pdf:file]])

The perspective in [[derived algebraic geometry]] was clearly articulated in the introduction of 

* {#LurieSpaces} [[Jacob Lurie]], _[[Structured Spaces]]_

See also

* [[David Mumford]], _Towards an enumerative geometry of the moduli space of curves_, Arithmetic and geometry, Vol. II, Birkhäuser Boston, Boston, MA, 1983, pp. 271–328, [MR85j:14046](http://www.ams.org/mathscinet-getitem?mr=85j:14046)

* [[Maxim Kontsevich]], _Intersection theory on the moduli spaces of curves and the matrix. Airy function_, Comm.Math.Phys.,vol.147(1992),1-23, [pdf](http://193.51.104.7/~maxim/TEXTS/intersection_theory_6.pdf); _Intersection theory on the moduli spaces of curves_, Functional.Anal.Appl.,25:2(1991) [pdf](http://193.51.104.7/~maxim/TEXTS/Intersection%20theory%20and%20Airy%20function.pdf)
