
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Geometric quantization
+--{: .hide}
[[!include geometric quantization - contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### Symplectic geometry
+--{: .hide}
[[!include symplectic geometry - contents]]
=--
#### Complex geometry
+--{: .hide}
[[!include complex geometry - contents]]
=--
=--
=--




#Contents#
* table of contents
{:toc}

## Idea

A _Kähler polarization_ of a [[symplectic manifold]] is a [[polarization]] by a compatible [[Kähler manifold]] structure.

Given a [[prequantization]] of a Kähler polarized symplectic manifold by a [[holomorphic line bundle]], then the polarized sections are the _[[holomorphic sections]]_.

Hence the concept of Kähler polarization is that special case of _[[polarization]]_ which connects most intimately the [[symplectic geometry]] to [[complex analytic geometry]]. The generalization of this from [[complex analytic geometry]] to more general [[algebraic geometry]] is the concept of a _[[polarized algebraic variety]]_.


For more see at

* _[polarization -- Kähler polarizations](polarization#K%C3%A4hlerPolarization)_ 

* _[geometric quantization -- Quantum state space as space of polarized sections](http://ncatlab.org/nlab/show/geometric%20quantization#Polarizations)_

## Definition

### In terms of $G$-structures

In terms of [[G-structures]] this means that it is a lift from an [[integrability of G-structures|integrable]] $Sp(2n,\mathbb{R}) \hookrightarrow GL(2n,\mathbb{R})$-[[G-structure]] ([[integrability of G-structure|integrable]] [[almost symplectic structure]]) to a first-order integrable $U(n) \hookrightarrow Sp(2n,\mathbb{R}) \hookrightarrow GL(2n,\mathbb{R})$-[[G-structure|structure]] ([[integrable G-structure|first-order integrable]] [[almost Hermitian structure]]).

### In terms of distributions in the complexified tangent bundle

(...)

$$
  \mathcal{P} \subset T_{\mathbb{C}} T X
$$

$$
  \mathcal{P} \cap \overline{\mathcal{P}} = 0
$$

$$
  \mathcal{P} = \left\{J v - i v \;|\; v \in T X \right\}
$$


## Related concepts

* [[real polarization]]

* [[p-convex polarization]]

* [[almost Kähler quantization]]

* [[spin^c quantization]]

* [[metaplectic quantization]]


## References

Discussion of the functoriality of Kähler polarization quantization with respect to the choice of [[metaplectic correction|metaplectically]] corrected Kähler structure is in section 3 of 

* Lauridsen, _Aspects of quantum mathematics  -- Hitchin connections and the AJ conjecture_, PhD thesis Aarhus 2010 ([pdf](http://pure.au.dk/portal/files/41741925/imf_phd_2010_mrl.pdf))


[[!redirects Kähler polarizations]]
