
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
#### Integration theory
+-- {: .hide}
[[!include integration theory - contents]]
=--
#### Differential cohomology
+--{: .hide}
[[!include differential cohomology - contents]]
=--
=--
=--



  

#Contents#
* table of contents
{:toc}

## Idea

_Geometric quantization via push-forward_  or _$Spin^{\mathbb{C}}$-quantization_ is a variant of _[[geometric quantization]]_ in which the step from a [[prequantum bundle]] to the [[space of states]] is not (explicitly) performed by a choice of [[polarization]] and forming the space of polarized [[sections]], but by a choice of [[spin^c structure]] and forming the [[fiber integration in differential K-theory]] of the prequantum connection. Specifically, this refines the notion of geometric quantization via [[Kähler polarizations]]. 

## Definition

See at _[[geometric quantization]]_ the sections

* _[Quantum state space as index of Dolbeault-Dirac operator](geometric+quantization#IndexOfDolbeaultDiracOperator)_

* _[Quantum state spaces as index of the Spin^c-Dirac operator](geometric+quantization#AsIndexOfSpinCDiracOperator)_

## Properties

### Relation to geometric quantization via Kähler polarization

(...) see ([DaSilva-Karshon-Tolman, lemma 2.7, remark 2.9](#DaSilva)) (...)

### Relation to symplectic reduction

(...) see _[[Guillemin-Sternberg geometric quantization conjecture]]_

## Related concepts

* [[metaplectic quantization]]

* [[real polarization]], [[Kähler polarization]]

* [[almost Kähler quantization]]

[[!include orientations in higher quantization - table]]



## References
 {#References}

A survey is in 

* Reyer Sjamaar, _Symplectic reduction and Riemann-Roch formulas for multiplicities_, Bull. Amer. Math. Soc. 33 (1996), 327-338  ([AMS](http://www.ams.org/journals/bull/1996-33-03/S0273-0979-96-00661-1/))


The idea originates around

* [[David Metzler]], _A K-Theoretic Note on Geometric Quantization_ ([arXiv:math/9809031](http://arxiv.org/abs/math/9809031))
 {#Metzler}

based on

* [[Hans Duistermaat]], [[Victor Guillemin]], [[Eckhard Meinrenken]], [[Siye Wu]], _Symplectic reduction and Riemann-Roch for circle actions_, Mathematical Research Letters 2, 259–266 (1995) ([pdf](http://intlpress.com/_newsite/site/pub/files/_fulltext/journals/mrl/1995/0002/0003/MRL-1995-0002-0003-A-003.pdf))

and is highlighted in the general context of [[geometric quantization]] in 

* [[Viktor Ginzburg]], [[Victor Guillemin]], [[Yael Karshon]], _Moment maps, cobordisms, and Hamiltonian group actions_, AMS (2002)

  (Section 6.8 "Geometric quantization as a push-forward")

and the last section of 

* _Stable complex and $Spin^c$-structures_ ([[StableComplexSpinC.pdf:file]])

A detailed analysis of push-forward quantization of general [[presymplectic manifolds]] is in 

* [[Ana Canas da Silva]], [[Yael Karshon]], Susan Tolman, _Quantization of Presymplectic Manifolds and Circle Actions_, Trans. Amer. Math. Soc. 352 (2000), 525-552 ([arXiv:dg-ga/9705008](http://arxiv.org/abs/dg-ga/9705008))

A first proof of the [[Guillemin-Sternberg geometric quantization conjecture]] in terms of $Spin^c$-quantization is in 

* [[Eckhard Meinrenken]], _Symplectic surgery and the $Spin^c$-Dirac operator_, Adv. Math. 134 (1998), 240-277.


A suggestion that geometric push-forward quantization is best understood to proceed to take values in [[KK-theory]] is in 

* [[Klaas Landsman]], _Functorial quantization and the Guillemin-Sternberg conjecture_, Proc. Bialowieza 2002 ([arXiv:math-ph/0307059](http://arxiv.org/abs/math-ph/0307059))

* [[Rogier Bos]], _Groupoids in geometric quantization_ PhD Thesis (2007) ([pdf](http://www.math.ist.utl.pt/~rbos/ProefschriftA4.pdf))
 {#Bos}

A refined realization of the [[Guillemin-Sternberg geometric quantization conjecture]] was conjectured in

* [[Peter Hochs]], [[Klaas Landsman]], _The Guillemin-Sternberg conjecture for noncompact groups and spaces_ ([arXiv:math-ph/0512022](http://arxiv.org/abs/math-ph/0512022))

based on the thesis

* [[Peter Hochs]], _Quantisation commutes with reduction for cocompact Hamiltonian group actions_ ([pdf](http://www.math.ru.nl/~landsman/ThesisPeterHochs.pdf))

and was proven in 

* [[Varghese Mathai]], [[Weiping Zhang]], _Geometric quantization for proper actions_, Advances in Mathematics 225:1224-1247 (2010) ([arXiv:0806.3138](http://arxiv.org/abs/0806.3138))

Similar discussion is in 

* [[Paul-Emile Paradan]], _Spin-quantization commutes with reduction_ ([arXiv:0911.1067](http://arxiv.org/abs/0911.1067))

based on

* [[Paul-Emile Paradan]], _Localization of the Riemann-Roch character_ ([arXiv:math/9911024](http://arxiv.org/abs/math/9911024))
 
Discussion of push-forward not over manifolds but over [[moduli stacks]] as relevant in [[Chern-Simons theory]] is in

* [[Daniel Freed]], [[Michael Hopkins]], [[Constantin Teleman]], section 3 of _Consistent Orientation of Moduli Spaces_ ([arXiv:0711.1909](http://arxiv.org/abs/0711.1909))

* [[Shay Fuchs]], _$Spin^{\mathbb{C}}$-quantization, prequantization and cutting_, Ph.D. thesis, University of Toronto (2008) ([pdf](https://tspace.library.utoronto.ca/bitstream/1807/11205/1/Fuchs_Shay_Z_200806_PhD_thesis.pdf))

Discussion of this push-forward quantization as higher [[geometric quantization of symplectic groupoids]] is in

* [[Joost Nuiten]], _[[schreiber:master thesis Nuiten|Cohomological quantization of local prequantum boundary field theory]]_, MSc thesis, Utrecht, August 2013 ([thesis pdf](http://ncatlab.org/schreiber/files/thesisNuiten.pdf), [archived version](https://dspace.library.uu.nl/handle/1874/282756), [talk slides](http://ncatlab.org/schreiber/files/thesisNuitenTalk.pdf))


[[!redirects spin-c quantization]]

[[!redirects spin^c quantization]]

[[!redirects spin^c geometric quantization]]

[[!redirects geometric quantization via push-forward]]
[[!redirects geometric quantization via push-forward in generalized cohomology]]
