Under construction

##Idea##

As well as considering modalities applied to propositions in _propositional_ [[modal logic]], logicians have also studied modalities applied to [[predicate logic]], or **first-order modal logic**. Here we can represent statements such as 
: $\Box \exists x F x$, Necessarily there exists something which is $F$.
: $\exists x \Box F x$, There exists something which is necessarily $F$.

In the possible worlds setting, we think of a world containing a collection of individuals, instantiating various relations. Then we may require that for an individual in one world, for every related world there be a **counterpart** there. See Kracht & Kutz.

Various axioms concerning the interaction of the quantifiers and modal operators have been suggested, such as the **converse Barcan formula**

$$
\Box \forall x F x \to \forall x \Box F x,
$$

but this is not considered to hold generally.



##Semantics##

Awodey and Kishida showed that S4 first-order modal logic is complete with respect to a [[sheaf]]-theoretic semantics. Other approaches involve modal metaframes (Shehtman/Skvortsov 1993), counterpart frames (Kracht/Kutz 2002), coherence frames (Kracht/Kutz 2005), general metaframes (Shirasu 1998) and [[ionads]].

## Related entiries

* [[adjoint logic]]


##References##

* [[Steve Awodey]] and [[Kohei Kishida]], _Topology and Modality: The Topological Interpretation of First-Order Modal Logic_, ([pdf](http://www.fmf.uni-lj.si/storage/10064/Awodey_Kishida.pdf?access=4e412100ed9d47ac9186902397fc455d))
* Marcus Kracht and Oliver Kutz, _Logically Possible Worlds and Counterpart Semantics for Modal Logic_,([pdf](http://wwwhomes.uni-bielefeld.de/mkracht/html/counterparts.pdf))
* Kracht/Kutz 2002, The Semantics of Modal Predicate Logic I. Counterpart–Frames., Advances in Modal Logic. Volume 3
* Kracht/Kutz 2005, The Semantics of Modal Predicate Logic II. Modal Individuals Revisited, ASL Lecture Notes in Logic, vol. 22, pp. 60–97. ([pdf](http://reference.kfupm.edu.sa/content/s/e/the_semantics_of_modal_predicate_logic_i_55167.pdf)).
* Shirasu 1998, Hiroyuki Shirasu, Duality in super-intuitionistic and modal predicate logics,
* Shehtman/Skvortsov 1993, Maximal Kripke–Type Semantics for Modal and Superintuitionistic Predicate Logics, Annals of Pure and Applied Logic, vol. 63 (1993), pp. 69–101.