
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Manifolds and cobordisms
+-- {: .hide}
[[!include manifolds and cobordisms - contents]]
=--
#### Topology
+--{: .hide}
[[!include topology - contents]]
=--
=--
=--



# Contents
* table of contents
{: toc}

## Idea

It may superficially seem that every [[locally Euclidean space]] is a [[Hausdorff topological space]], since [[Euclidean space]] is. While the analogous conclusion is in fact true for genuine "local" properties of Euclidean space (such as the $T_1$-[[separation axiom]], [[sober topological space|sobriety]] and [[locally compact topological space|local compactness]], see [this prop.](topological+manifold#LocalPropertiesOfLocallyEuclideanSpace)), it is actually wrong for the "non-local" $T_2$= Hausdorff-conditon: There are [[locally Euclidean spaces]] which are not [[Hausdorff topological spaces]], such as the [[line with two origins]].

Since a ([[paracompact topological space|paracompact]]/[[sigma-compact]]) [[Hausdorff topological space|Hausdorff]] [[locally Euclidean space]] is called a _[[topological manifold]]_, (paracompact/sigma-compact) non-Hausdorff locally Euclidean spaces are sometimes referred to as "non-Hausdorff manifolds" (an instance of the [[red herring principle]]).



## Examples

The usual example is the [[line with two origins]]: the [[real line]] with the point $0$ 'doubled'.  Explicitly, this is a [[quotient space]] of $\mathbb{R} \times \{a,b\}$ (given the [[product topology]] and with $\{a,b\}$ given the [[discrete topology]]) by the [[equivalence relation]] generated by identifying $(x,a)$ with $(y,b)$ iff $x = y \ne 0$.


## References

* Mathieu Baillif, Alexandre Gabard, _Manifolds: Hausdorffness versus homogeneity_ ([arXiv:0609098](http://arxiv.org/abs/math.GN/0609098))

* Steven L. Kent, Roy A. Mimna, and Jamal K. Tartir, _A Note on Topological Properties of  Non-Hausdorff Manifolds_, ([web](http://www.hindawi.com/journals/ijmms/2009/891785/))


[[!redirects non-Hausdorff manifold]]
[[!redirects non-Hausdorff manifolds]]
[[!redirects nonHausdorff manifold]]
[[!redirects nonHausdorff manifolds]]

[[!redirects non-Hausdorff locally Euclidean space]]
[[!redirects non-Hausdorff locally Euclidean spaces]]
