**Tame topology** is the name for the largely programmatic quest for a refoundation of [[topology]] and [[geometry]] that avoids 'pathological' objects like space-filling curves or counter-intuitive results like the [[Banch-Tarski theorem|Banach-Tarski paradox]] that occur in the traditional approach. The advantages of such a program that has among others been proposed by [[A. Grothendieck]] and [[W. Lawvere]] are philosophical by reconciling concepts and intuitions on space as well as technical by excluding pathological spaces.

The notion of [[o-minimal structure]] has been proposed as a reasonable candidate for an axiomatic approach to this hoped-for tame topology ( _topologie modérée_). 

* Michel Coste, _An Introduction to O-Minimal Geometry_ , Lecture notes Pisa 1999. ([pdf](http://perso.univ-rennes1.fr/michel.coste/polyens/OMIN.pdf))

* [[F. William Lawvere]], _Some Thoughts on the Future of Category Theory_ , pp.1-13 in Springer LNM vol. 1488 (1991).

* [[F. W. Lawvere]], _Left and right adjoint operations on spaces and data types_ , Theoretical Computer Science **316** (2004) pp.105-111.

* [[Lou van den Dries]], _Exponential rings, exponential polynomials and exponential functions_ , Pacific Journal of Mathematics **113** no.1 (1984) pp.51–66. ([pdf](http://projecteuclid.org/download/pdf_1/euclid.pjm/1102709376))

* [[Lou van den Dries]], _A Generalization of the Tarski-Seidenberg
Theorem and Some Nondefinability Results_ , Bull. Am. Math. Soc.
**15** (1986) pp.189-193. ([pdf](http://projecteuclid.org/download/pdf_1/euclid.bams/1183553469))

* [[Lou van den Dries]], _Tame topology and O-minimal structures_, London Math. Soc. Lecture Notes Series __248__, Cambridge U. Press 1998. 

* [[Alexandre Grothendieck]], _Esquisse d'un Programme_, section 5. English translation available in Geometric Galois Actions I (edited by L. Schneps and P. Lochak), LMS Lecture Notes Ser. 242, CUP 1997. 

* Yuliy Baryshnikov, Robert Ghrist, _Euler integration over definable functions_ ([pdf](http://www.math.upenn.edu/~ghrist/preprints/definable.pdf)) 

* Jean Philippe Rolin, 