
#Contents#
* table of contents
{:toc}

## Idea

Roughly speaking, a __spectral curve__ is a locus of zeros of the [[characteristic polynomial]] of the [[Lax pair|Lax matrix]] of a classical [[integrable system]]. 

[[Hitchin]] has taken a deeper geometric point of view in terms of the [[moduli space]] of [[stable vector bundles]] of fixed rank $r$ and degree $d$ over a fixed projective nonsingular curve $\Sigma$ of [[genus]] $g$. A point in the [[cotangent bundle]] of this bundle is a stable vector bundle equipped with a 1-form valued endomorphism; to each such datum one associates a spectral curve. 

## Related concepts

* [[topological recursion]]

## References

* [[Nigel Hitchin|N.J. Hitchin]], _The self-duality equations on a Riemann surface_, Proc. London Math. Soc. (3) 55 (1987), no. 1, 59–126, [MR887284](http://www.ams.org/mathscinet-getitem?mr=887284) [doi](http://dx.doi.org/10.1112/plms/s3-55.1.59); _Stable bundles and integrable systems_, Duke Math. J. , 54 (1987) pp. 91–114 [MR89a:32021](http://www.ams.org/mathscinet-getitem?mr=89a:32021) [doi](http://dx.doi.org/10.1215/S0012-7094-87-05408-1) [euclid](http://projecteuclid.org/euclid.dmj/1077305506)

* O. Babelon, D. Bernard, M. Talon, _Introduction to classical integrable systems_, Cambridge Univ. Press 2003.

* Eyal Markman, _Spectral curves and integrable systems_ Compositio Math. __93__ no. 3 (1994), p. 255-290, [numdam](http://www.numdam.org/item?id=CM_1994__93_3_255_0)

* [[Ron Donagi]], Eyal Markman, _Spectral covers, algebraically completely integrable, Hamiltonian systems, and moduli of bundles_, pp. 1-119 in Integrable systems and quantum groups (expanded CIME lectures, Montecatini Terme, 1993), Lecture Notes in Math. __1620__ (1996) [arXiv:alg-geom/9507017](http://arxiv.org/abs/alg-geom/9507017), [MR97h:14017](http://www.ams.org/mathscinet-getitem?mr=1397273)

* [[Ron Donagi]], _Spectral covers_, MSRI series 28, [pdf](http://www.msri.org/publications/books/Book28/files/donagi.pdf)

* A. Beauville, _Jacobiennes des courbes spectrales et systèmes Hamiltoniens complètement intégrables_, Acta Math. __164__ (1990), 211-235,
[MR86c:32030](http://www.ams.org/mathscinet-getitem?mr=86c:32030), [doi](http://dx.doi.org/10.1007/BF02392754)

* A. Beauville, M. S. Narasimhan, S. Ramanan, _Spectral curves and the generalized theta divisor_, J. Reine Angew. Math. 398 (1989), 169-179.

* [[Carlos Simpson|Carlos T. Simpson]], _Higgs bundles and local systems_, Publ. Mathématiques de l'IHÉS, 75 (1992), p. 5-95, [numdam](http://www.numdam.org/item?id=PMIHES_1992__75__5_0)

* J. C. Hurtubise, _Integrable systems and algebraic surfaces_, Duke Math. J. __83__:1 (1996), 19-50, [euclid](http://projecteuclid.org/euclid.dmj/1077244044); erratum  Duke Math. J. __84__:3 (1996), 815, [euclid](http://projecteuclid.org/euclid.dmj/1077244246) 

* Anton Izosimov, _Singularities of integrable systems and algebraic curves_, [arxiv/1509.08996](http://arxiv.org/abs/1509.08996)

Quantum spectral curve:

* V. Talalaev, _The quantum Gaudin system_, Funct. Anal. Appl. __40__, 73–77 (2006) ( _Квантовая система Годена_, Функц. анализ и его прил. __40__, вып. 1, 2006, с. 86–91, [pdf](http://www.mathnet.ru/php/getFT.phtml?jrnid=faa&paperid=25&what=fullt&option_lang=rus))

* Д. Талалаев, А. Червов, _Уравнение КЗ, G-оперы, квантовая редукция Дринфельда–Соколова и квантовое тождество Гамильтона–Кэли_, Zapiski Naučnyh Seminarov POMI __360__, 2008, 246–259, [pdf](http://www.mathnet.ru/php/getFT.phtml?jrnid=znsl&paperid=2168&what=fullt&option_lang=rus); Engl, transl. in J. Math, Sci. (New York), 2009, 158:6, 904–911, [doi](http://dx.doi.org/10.1007/s10958-009-9415-1)

[[!redirects spectral curves]]