
#Contents#
* table of contents
{:toc}

## Idea

__Affine__ $k$-variety is a locus of zeros of a set of polynomials in the affine $n$-dimensional space $\mathbf{A}^n_k$. Usually $k$ is taken to be a field. 

## Definition

Given a field $k$, an __affine $k$-variety__ is a [[maximal spectrum]] (= set of [[maximal ideals]]) of a finitely generated [[noetherian ring|noetherian]] (commutative unital) $k$-[[commutative algebra]] without [[nilpotent element|nilpotents]], equipped with the [[Zariski topology]]; the algebra can be recovered as the coordinate ring of the variety; this correspondence is an equivalence of categories, if the morphisms are properly defined.

  Affine varieties can be embedded as closed subvarieties into an [[affine space]] (in the sense of algebraic geometry). As topological spaces affine varieties are [[noetherian space|noetherian]]. 

## Properties

### Cohomology
 {#Cohomology}

For $X$ an affine variety then its [[abelian sheaf cohomology]]
with [[coefficients]] in the [[structure sheaf]] satisfies

$$
  H^{\bullet \geq 1}(X,\mathcal{O}_X) = 0
  \,.
$$

The converse requires in addition some finiteness condition. ([Ballico 08](#Ballico08)).

## Related concepts

* [[affine scheme]]

* [[spectrum of a commutative ring]]

* [[Stein space]], [[Cartesian space]]


## References

* {#Ballico08} E. Ballico, _A characterization of affine varieties_ 2008

[[!redirects affine varieties]]