__Faà di Bruno formula__ is a remarkable combinatorial formula for higher derivatives of a composition of functions. There are various modern approaches to the related mathematics, using Joyal's theory of [[species]], operads, graphs/trees, [[combinatorial Hopf algebra]]s and so on. 

### Literature

* [[Imma Gálvez-Carrillo]], [[Joachim Kock]], [[Andrew Tonks]], Groupoids and Faa di Bruno formulae for Green functions in bialgebras of trees [arxiv/1207.6404](http://arxiv.org/abs/1207.6404) (cf. also Kock's combinatorics [page](http://mat.uab.es/~kock/comb-pQFT.html))

> We prove a Faà di Bruno formula for the Green function in the bialgebra of P-trees, for any polynomial endofunctor P. The formula appears as relative homotopy cardinality of an equivalence of groupoids. For suitable choices of P, the result implies also formulae for Green functions in bialgebras of graphs. 

* [[Doron Zeilberger]], _Toward a combinatorial proof of the Jacobian conjecture?_ in  _Combinatoire énumérative_ (Montreal, Que., 1985/Quebec, Que., 1985), 370–380, Lecture Notes in Math. __1234__, Springer 1986. [MR89c:05009](http://www.ams.org/mathscinet-getitem?mr=927775)
* Eliahu Levy, _Why do partitions occur in Faa di Bruno's chain rule for higher derivatives?_, [math.GM/0602183](http://arxiv.org/abs/math/0602183).
* E. Di Nardo, G. Guarino, D. Senato, _A new algorithm for computing the multivariate Faà di Bruno's formula_, [arxiv/1012.6008](http://arxiv.org/abs/1012.6008)
* Miguel A. Mendez, _Combinatorial differential operators in: Faà di
Bruno formula, enumeration of ballot paths, enriched rooted trees and
increasing rooted trees_, [arXiv:1610.03602](https://arxiv.org/abs/1610.03602)

In works of T. J. Robinson the formula is treated in the context of vertex algebras, calculus with [[formal power series]] and in logarithmic calculus, as well as in a connection to the [[umbral calculus]]:

* Thomas J. Robinson, _New perspectives on exponentiated derivations, the formal Taylor theorem, and Faà di Bruno's formula_, Proc.Conf.Vert.Op.Alg., Cont.Math. __497__ (2009) 185-198 [arxiv/0903.3391](http://arxiv.org/abs/0903.3391); _Formal calculus and umbral calculus_, Electronic Journal of Combinatorics, 17(1) (2010) R95 [arxiv/0912.0961](http://arxiv.org/abs/0912.0961) 

### Faà di Bruno Hopf algebra

* Christian Brouder, Alessandra Frabetti, Christian Krattenthaler, _Non-commutative Hopf algebra of formal diffeomorphisms_, Adv. Math. __200__:2 (2006) 479-524 [pdf](http://www.sciencedirect.com/science/article/pii/S0001870805000265/pdf?md5=cb2367d0f3f8b07bf9799d61be34a595&pid=1-s2.0-S0001870805000265-main.pdf)

* Kurusch Ebrahimi-Fard, Frederic Patras, _Exponential renormalization_, Annales Henri Poincare 11:943-971,2010, [arxiv/1003.1679](http://arxiv.org/abs/1003.1679) [doi](http://dx.doi.org/10.1007/s00023-010-0050-7)
 
> Using Dyson's identity for Green's functions as well as the link between the Faà di Bruno Hopf algebra and the Hopf algebras of Feynman graphs, its relation to the composition of formal power series is analyzed. 

* Hector Figueroa, Jose M. Gracia-Bondia, Joseph C. Varilly, _Faà di Bruno Hopf algebras_, article at Springer [[eom]], [math.CO/0508337](http://arxiv.org/abs/math/0508337)

* Jean-Paul Bultel, _Combinatorial properties of the noncommutative Faà di Bruno algebra_, J. of Algebraic Combinatorics 38:243–273 (2013) [MR3081645](http://www.ams.org/mathscinet-getitem?mr=3081645)

> We give a new combinatorial interpretation of the noncommutative [[Lagrange inversion]] formula, more precisely, of the formula of Brouder–Frabetti–Krattenthaler for the antipode of the noncommutative Faà di Bruno algebra.

[[!redirects Faà di Bruno Hopf algebra]]
[[!redirects Faà di Bruno formula]]
[[!redirects Faà di Bruno algebra]]