


# The second Fraenkel model
* table of contents
{: toc}

## Idea

The _second Fraenkel model_ is a model of the [[set theory]] [[ZFA]] that doesn't satisfy the [[axiom of choice]]. It was one of the first examples of a [[permutation model]] of set theory.

The [[basic Fraenkel model]] is similar, but uses the automorphism group of a [[countable set]].


## Description

Fraenkel's description used the language of [[material set theory]], and indeed most set theorists would give the description of the Fraenkel model using this language, but it can be described quite simply from a [[structural set theory|structural]] perspective, and then the original version can be recovered by considering [[pure sets]] (allowing [[urelement|atoms]]).

The model is given by the [[topos]] of [[sets]] with an [[action]] of an [[open subset|open]] [[subgroup]] of the [[group]] $(\mathbb{Z}/2)^\mathbb{N}$ for a certain [[topological group|topology]] on this group. Open subgroups are the finite-[[index]] subgroups $\prod_{i\in I} H_i\times (\mathbb{Z}/2)^{(\mathbb{N} - I)}$ for finite $I\subset \mathbb{N}$ and $H_i \le \mathbb{Z}/2$. Arrows in this topos are allowed to be equivariant for an open (possibly proper) subgroup of the groups acting on the domain and codomain.

[[!redirects Fraenkel model of ZFA]]
[[!redirects second Fraenkel model of ZFA]]
[[!redirects Fraenkel model]]
[[!redirects second Fraenkel model]]
[[!redirects Fraenkel model of ZFA]]
[[!redirects Frankel model of ZFA]]
