* table of contents
{: toc}

## Idea

The _basic Fraenkel model_ is a model of the [[set theory]] [[ZFA]] that doesn't satisfy the [[axiom of choice]]. It was one of the first examples of a [[permutation model]] of set theory. In the basic Fraenkel model, we have a countable set of atoms $A$, and we take the full permutation group $G$ of $A$. The normal filter of subgroups is generated by the stabilizers of finite subsets of $A$.

The [[second Fraenkel model]] is similar, but uses the [[countable set|countable]] group $(\mathbb{Z}/2\mathbb{Z})^\mathbb{N}$.

## Description

### Material set theory

In the language of [[material set theory]], this is just a [[Fraenkel-Mostowski model]] given by a countable set of atoms $A$ with the full permutation group $G$ acting on it. The normal filter of subgroups is generated by the [[stabilizers]] of [[finite]] subsets of $A$, ie. groups of the form
$$
  Stab (K) = \{ g \in G: \forall x \in K, gx = x\},
$$
where $K$ is a finite subset of $A$.

### Structural set theory

We can take the same group $G$ as above, with topology generated by the stabilizers $Stab (K)$. We can then form the [[topos]] of [[category of continuous G sets|continuous G-sets]], whose objects are [[sets]] with a continuous [[action]] of $G$ (with the set given the discrete topology), and morphisms are the $G$-equivariant maps. This topos is also known as the [[Schanuel topos]].

The [[internal logic]] of this topos can be identified with the standard logic of the material model of ZFA constructed above, if we interpret the universal quantifiers in ZFA suitably (eg. via [[stack semantics]], or other semantics as mentioned in [[Fraenkel-Mostowski models]])

## Properties

It is clear that the set of atoms in the Fraenkel-Mostowski model cannot be linearly ordered. So the ordering principle (that every set can be linearly ordered) fails. Consequently, the [[axiom of choice]], [[prime ideal theorem#boolean_pit_and_the_ultrafilter_principle|boolean prime ideal theorem]] etc. all fail. In fact, even countable choice fails.

We can consider the object $\mathcal{A}$ consisting of the set of atoms with the obvious action of $G$. It can be shown that this does not biject with any finite set (ie. a set that is a finite coproduct of the terminal object), but any injection $\mathcal{A} \to \mathcal{A}$ must be a surjection (this is true both as an external statement or as a statement in the [[internal logic]]). So this is an example of a [[Dedekind-finite]] but not [[finite]] set.

## Variations

We can consider the case where we have more atoms, or allow stabilizers of larger subsets. In different cases, weak versions of Choice may hold. For example, if we have $\aleph_1$ many atoms, and take the normal filter generated by stabilizers of countable subsets, then the axiom of choice holds for any well-ordered family of sets. Details can be found in the book [Consequences of the Axiom of Choice](#consequences).

## Related concepts

 * [[Fraenkel-Mostowski model]]
 * [[G-set]]
 * [[topos of G-sets]]
 * [[second Fraenkel model]]
 * [[Schanuel topos]]
 * [[ZFA]]

## References

The model is given by $\mathcal{N}1$ in the book

 * {#consequences} Paul Howard, Jean E. Rubin, _Consequences of the Axiom of Choice_, AMS Mathematical Surveys and Monographs 59

The various properties of the model are listed in detail. Variations of the model are listed as $\mathcal{N}12$ and $\mathcal{N}16$.


[[!redirects basic Fraenkel model of ZFA]]