
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Model category theory
+--{: .hide}
[[!include model category theory - contents]]
=--
#### Homotopy theory
+--{: .hide}
[[!include homotopy - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A _model structure for homotopy $n$-types_ with $n \in \mathbb{N}$ is a [[model category]] which [[presentable (infinity,1)-category|presents]] an [[(n,1)-category|(n+1,1)-category]] of [[homotopy n-types]] hence of [[n-truncated objects in an (∞,1)-category|n-truncated objects]] in some ambient [[(∞,1)-category]]. 

For plain homotopy $n$-types (in [[∞Grpd]]/[[Top]]) this is a presentation of the collection of [[n-groupoids]]. With respect to an arbitrary [[(∞,1)-topos]] it is a presentation of [[n-stacks]]. 

Typically these model structures can be obtained as the [[Bousfield localization of model categories|left Bousfield localization]] of model structure that present the ambient [[(∞,1)-category]] of all [[homotopy types]].

## References

* J. Cabello, A. Garzon, _Quillen's theory for algebraic models of $n$-types_, Extracta mathematica Vol. 9, Num. 1, 42-47 (1994)

* J. Cabello, A. Garzon, _Closed model structures for algebraic models of $n$-types_, Journal of pure and applied algebra 103 (1995) 287-302

* J.  Cabello, _Estructuras de modelos de Quillen para categorías 
que modelan algebraicamente tipos de homotopía de espacios_, Ph.D. thesis, Universidad de Granada. 
(1993)


* [[Georg Biedermann]], _On the homotopy theory of n-types_ (2006) ([arXiv:math/0604514](http://arxiv.org/abs/math/0604514))

The case of homotopy 1-types in an [[(∞,1)-topos]], hence of [[(2,1)-sheaves]]/[[stacks]] is discussed in 

* [[Sharon Hollander]], _A homotopy theory for stacks_ ([arXiv:math.AT/0110247](http://arxiv.org/abs/math.AT/0110247))
{#Hollander}

[[!redirects model structures for homotopy n-types]]
[[!redirects model category structure for homotopy n-types]]
[[!redirects model category structures for homotopy n-types]]

[[!redirects model structure for n-groupoids]]
