
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The [[standard model of cosmology]] including [[dark energy]] and [[dark matter]] is in very good agreement with observation on scales above those of galaxies, but in its standard version becomes problematic below this scale (there are variants that address this, such as [[fuzzy dark matter]]).

Curiously though, the particular behaviour of experimental data on these "small" cosmological scales turns out to have a remarkably simple and universal phenomenological fit by a simple modification of the [[force]] law of [[Newtonian mechanics]] ("Newton's third law", corrections from [[general relativity]] are typically very small for the effects in question). 

_MOND_ is the abbreviation for this _modified Newtonian dynamics_ ([Milgrom 83 a](#Milgrom83a), [Milgrom 83 b](#Milgrom83b), [Milgrom 83 c](#Milgrom83c)). This refers to the proposal of modifying Newton's third law 

$$
  F = m a
$$

relating the [[force]] experienced by a body of [[mass]] $m$ to its [[acceleration]] $a$ by an expression of the form

$$
  F = m \,\mu(a/a_0)\, a
$$

for some acceleration scale $a_0$ and some interpolating function $\mu \colon \mathbb{R} \to \mathbb{R}$.

The motivation is that choosing the constant $a_0$ and the function $\mu$ suitably, then such a modified formula fits the rotation-velocities of observed [[galaxies]] in dependence of the [[radius]] remarkably well, something which the [[standard model of cosmology]] with [[dark matter]] still has some problems with (but see [Kaplinghat-Turner 02](#KaplinghatTurner02), [BLSF 09](#BLSF09), [Chan 13](#Chan13)). 

## Consistent theory embedding?

Of course an ad-hoc such modification of the basic laws of physics breaks many established properties of physics, such as the [[principle of equivalence]] in [[general relativity]] and various [[conservation laws]]. It must be that this modified Newtonian force law is the effect of some more fundamental theory. The only proposal for such a theory apart from [[gravity]]+[[dark matter]] itself ([Kaplinghat-Turner 02](#KaplinghatTurner02), [BLSF 09](#BLSF09), [Chan 13](#Chan13)) is to add to Einstein gravity a unit vector field and a [[scalar field]] ([Bekenstein 04](#Bekenstein04), "TeVeS"), themselves thus otherwise unobserved "dark fields", as it were,  but, as opposed to say the [[axion]] dark matter candidate, not motivated beyond the desire to fit galaxy rotation curves.

From [Bekenstein 04, p. 9](#Bekenstein04) one sees explicitly that TeVeS is just Einstein-gravity coupled to peculiar "matter" fields:

<img src="https://ncatlab.org/nlab/files/TeVeSActionFunctional.jpg" width="600">

## Related concepts

* An alternative proposal is that of [[fuzzy dark matter]], where the theory of gravity is left as is, but one assumes that there is [[dark matter]] which is so extremely light that its [[de Broglie wavelength]] is of the scales of galaxies. Such [[fuzzy dark matter]] models make the same prediction as cold dark matter on cosmological scales, but change behaviour on scales of galaxies due to the [[quantum physics|quantum]] nature of these light particles becoming relevant here. This change of behaviour has been argued to account for the kind of effects that MOND is a fit for.

## References

### Original articles

The concept of MOND is due to

* {#Milgrom83a} [[Mordehai Milgrom]], _A modification of the Newtonian dynamics as a possible alternative to the hidden mass hypothesis_, Astrophysical Journal. 270: 365&#8211;370. (1983) doi:10.1086/161130.

* {#Milgrom83b} [[Mordehai Milgrom]], _A modification of the Newtonian dynamics - Implications for galaxies_, Astrophysical Journal. 270: 371&#8211;389. (1983) doi:10.1086/161131.

* {#Milgrom83c} [[Mordehai Milgrom]], _A modification of the Newtonian dynamics - Implications for galaxy systems_, Astrophysical Journal. 270: 384. (1983) doi:10.1086/161132

and its most popular relativistic completion TeVeS is due to

* {#Bekenstein04} [[Jacob Bekenstein]], _Relativistic gravitation theory for the modified Newtonian dynamics paradigm_, Physical Review D, 70 (8): 083509, ([arXiv:astro-ph/0403694](https://arxiv.org/abs/astro-ph/0403694))

### Review

General review includes

* Beno&#238;t Famaey and Stacy S. McGaugh, _Modified Newtonian Dynamics (MOND): Observational Phenomenology and Relativistic Extensions_,2012, Living Reviews in Relativity, 15, 10  ([arXiv:1112.3960](https://arxiv.org/abs/1112.3960))

* Joe Silk, Gary A. Mamon, _The Current Status of Galaxy Formation_ ([arXiv:1207.3080](http://arxiv.org/abs/1207.3080))

* Wikipedia, _[Modified Newtonian dynamics](https://en.wikipedia.org/wiki/Modified_Newtonian_dynamics)_

* Wikipedia, _[Tensor&#8211;vector&#8211;scalar gravity](https://en.wikipedia.org/wiki/Tensor%E2%80%93vector%E2%80%93scalar_gravity)_


### Experimental constraints

The stark failure of plain MOND to fit data on large cosmological scales is highlighted in

* {#Dodelson11} Scott Dodelson, _The Real Problem with MOND_,  Int. J. Mod. Phys. D, 20, 2749 (2011).  ([arXiv:1112.1320](https://arxiv.org/abs/1112.1320))

The instability of its relativistic completion by TeVeS was pointed out in 

* Michael D. Seifert, _Stability of spherically symmetric solutions in modified theories of gravity_, Phys.Rev.D76:064002, 2007 ([arXiv:gr-qc/0703060](https://arxiv.org/abs/gr-qc/0703060))

{#ConstraintsFromMergingNeutronStars} The detection of [[gravitational waves]] coincident with [[electromagnetic radiation]] from merging [[neutron stars]] (event GW170817, [LIGO-Virgo 17](LIGO-Virgo#LIGOVirgo17)) constrains relativistic completions of MOND:

* Jose Mar&#237;a Ezquiaga, Miguel Zumalac&#225;rregui, _Dark Energy after GW170817_ ([arXiv:1710.05901](https://arxiv.org/abs/1710.05901))

* Sibel Boran, Shantanu Desai, Emre Kahya, Richard Woodard, _GW170817 Falsifies Dark Matter Emulators_ ([arXiv:1710.06168](https://arxiv.org/abs/1710.06168))

The observation of a galaxy that does not exhibit the effect which MOND claims is universal (otherwise attributed to the presence of [[dark matter]]) is reported in

* {#vanDokkum18} Pieter van Dokkum et.al. _A galaxy lacking dark matter_, Nature volume 555, 2018 pages 629–632 ([arXiv:1803.10237](https://arxiv.org/abs/1803.10237), [doi:10.1038/nature25767](https://www.nature.com/articles/nature25767))

> Regardless of the formation history of NGC1052–DF2, its existence has implications for the dark matter paradigm. Our results demonstrate that dark matter is separable from galaxies, which is (under certain circumstances) expected if it is bound to baryons through nothing but gravity. The "[[bullet cluster]]" demonstrates that dark matter does not always trace the bulk of the baryonic mass, which in clusters is in the form of gas.  NGC1052–DF2 enables us to make the complementary point that dark matter does not always coincide with galaxies either:  it is a distinct "substance" that may or may not be present in a galaxy.   Furthermore,  and paradoxically, the existence of NGC1052–DF2 may falsify
alternatives to dark matter. In theories such as [[MOND]] and the recently proposed emergent gravity paradigm a "dark matter" signature should always be detected, as it is an unavoidable consequence of the presence of ordinary matter. In fact, it had been argued previously that the apparent absence of galaxies such as NGC1052–DF2 constituted a falsification of the standard cosmological model, and evidence for modified gravity.


### MOND phenomenology from actual dark matter

Derivations of the MOND phenomenology from actual [[dark matter]] is discussed in the following articles:

* {#KaplinghatTurner02} Manoj Kaplinghat, Michael S. Turner, _How Cold Dark Matter Theory Explains Milgrom's Law_, Astrophys.J. 569 (2002) L19 ([arXiv:astro-ph/0107284](https://arxiv.org/abs/astro-ph/0107284))

* {#BLSF09} Jean-Philippe Bruneton, Stefano Liberati, Lorenzo Sindoni, Benoit Famaey, _Reconciling MOND and dark matter?_, Journal of Cosmology and Astroparticle Physics, Issue 03, pp. 021 (2009) ([arXiv:0811.3143](https://arxiv.org/abs/0811.3143))

* {#Chan13} Man Ho Chan, _Reconciliation of MOND and Dark Matter theory_, Phys. Rev. D, 88, 103501 (2013) ([arXiv:1310.6801](https://arxiv.org/abs/1310.6801))

and specifically for [[axion|axionic]] [[fuzzy dark matter]]:

* {#HOTW16} [[Lam Hui]], [[Jeremiah Ostriker]], [[Scott Tremaine]], [[Edward Witten]], _On the hypothesis that cosmological dark matter is composed of ultra-light bosons_,  Phys. Rev. D 95, 043541 (2017) ([arXiv:1610.08297](https://arxiv.org/abs/1610.08297))

and for fuzzy dark matter with [[superfluid]]-effects includes in

* {#BerezhianiKhoury15} [[Lasha Berezhiani]], [[Justin Khoury]], _Theory of Dark Matter Superfluidity_, Phys. Rev. D 92, 103510 (2015) ([arXiv:1507.01019](https://arxiv.org/abs/1507.01019))

* {#Khoury16} [[Justin Khoury]], _Another Path for the Emergence of Modified Galactic Dynamics from Dark Matter Superfluidity_, Phys. Rev. D 93, 103533 (2016) ([arXiv:1602.05961](https://arxiv.org/abs/1602.05961))

 

