
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Category theory
+-- {: .hide}
[[!include category theory - contents]]
=--
#### Mapping space
+--{: .hide}
[[!include mapping space - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Definition

An [[internal hom]] in a [[(2,1)-topos]] of [[stacks]] or generally in an [[(∞,1)-topos]] of [[∞-stacks]] is often called a **mapping stack** or **[[mapping ∞-stack]]**, in analogy with _[[mapping space]]_.

## Properties

By the general formula for [[internal homs]] in [[toposes]], for $X, A \in \mathbf{H}$ two stacks or $\infty$-stacks, their mapping stack assigns to an object $U \in C$ in a [[site]] or [[(∞,1)-site]] of definition the [[groupoid]] or [[∞-groupoid]] given by

$$
 [X, A] \;\colon\; U \mapsto \mathbf{H}(X \times U, A)
  \,.
$$

## Related concepts

* [[mapping ∞-stack]]

## References

Mapping stacks of [[orbifolds]] have been discussed in 

* W. Chen, _On a notion of maps between orbifolds_, I. Function spaces, Commun. Contemp. Math. 8 (2006), no. 5, 569–620.

More general results in the context of [[differentiable stacks]] are in

* {#RobertsVozzo16} [[David Roberts]], [[Raymond Vozzo]], _The smooth Hom-stack of an orbifold_ ([arXiv:1610.05904](https://arxiv.org/abs/1610.05904))

generalizing the discussion at _[[manifold structure of mapping spaces]]_ to stacks.

That the mapping stack out of the circle into a topological stack is again a topological stack is often attributed to

* [[Ernesto Lupercio]], [[Bernardo Uribe]], _Loop groupoids, gerbes, and twisted sectors on orbifolds_ In _Orbifolds in mathematics and physics_ (Madison, WI, 2001), volume 310 of Contemp. Math., pages 163184. Amer. Math. Soc., Providence, RI, 2002.

General mapping stacks of [[topological stacks]] are discussed in 

* {#Noohi08} [[Behrang Noohi]], _Mapping stacks of topological stacks_ ([arXiv:0809.2373](http://arxiv.org/abs/0809.2373))
 


[[!redirects mapping stacks]]

[[!redirects Hom stack]]
[[!redirects Hom stacks]]
[[!redirects hom stack]]
[[!redirects hom stacks]]
[[!redirects Hom-stack]]
[[!redirects Hom-stacks]]
[[!redirects hom-stack]]
[[!redirects hom-stacks]]
