
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The $\mathbb{Z}_2$-[[orbifold]]/[[higher orientifold]] [[fixed point]] in [[Hořava-Witten theory]] might be called it _[[O-plane|O9-plane]]_ but is often called the _M9-brane_ (e.g. [GKSTY 02, section 3](#GKSTY02), [Moore-Peradze-Saulina 04](#MoorePeradzeSaulina04)), even though it is on a different conceptual footing than the genuine [[M2-brane]] and [[M5-brane]].

In ([Hull 97, pages 8-9](#Hull97)) the M9-brane was argued to be the object whose charge is the [[Poincaré duality|Poincaré dual]] to the time-component of the [[M2-brane]] charge as it appears in the [[M-theory super Lie algebra]] via

$$
  \wedge^2 (\mathbb{R}^{10,1})^\ast 
    \simeq 
  \wedge^2 (\mathbb{R}^{10})^\ast \oplus \wedge^{9} \mathbb{R}^{10}
  \,.
$$ 

 
(In the same way the time component of the [[M5-brane]] charge is argued to be dual to the charge of the [[KK-monopole]], see there.)


Under the [[duality in string theory|duality]] between [[M-theory]] and [[type IIA string theory]] the M9-brane may be identified with the [[O8-plane]]:

<img src="https://ncatlab.org/nlab/files/O8DualToM9.jpg" width="600"/>

> from [GKSTY 02, section 3](#GKSTY02)

This may be used to understand the [[gauge enhancement]] to [[E8]]-[[gauge groups]] at the [[heterotic string theory|heterotic]] boundary of [[Horava-Witten theory]]:

[[ViaO8GaugeEnhancementOnM9.jpg:file]]

<img src="https://ncatlab.org/nlab/files/ViaO8GaugeEnhancementOnM9.jpg" width="600"/>

> from [GKSTY 02, section 3](#GKSTY02)



## Related concepts

* [[ninebrane group]], [[ninebrane structure]]

* [[KK monopole]]

[[!include table of branes]]


## References


Discussion of a possible [[black brane|black]] 9-brane in 11d is in 

* {#Hull97} [[Chris Hull]], _Gravitational Duality, Branes and Charges_, Nucl. Phys. B509 (1998) 216-251 ([arXiv:hep-th/9705162](http://arxiv.org/abs/hep-th/9705162))

The term "M9-brane" maybe originates in

* [[Eric Bergshoeff]], Jan Pieter van der Schaar, _On M-9-branes_ ([arXiv:hep-th/9806069](http://arxiv.org/abs/hep-th/9806069))

A proposal for a description of the M9 as an [[schreiber:infinity-Wess-Zumino-Witten theory|higher WZW theory]] is in

* Takeshi Sato, _A 10-form Gauge Potential and an M-9-brane Wess-Zumino Action in Massive 11D Theory_, Phys. Lett. B477 (2000) 457-468 ([arXiv:hep-th/9912030](http://arxiv.org/abs/hep-th/9912030))

Discussion of how the [[M2-brane]] and the [[M5-brane]] may arise from this by [[tachyon condensation]] is in

* Laurent Houart, Yolanda Lozano, _Brane Descent Relations in M-theory_, Phys.Lett. B479 (2000) 299-307 ([arXiv:hep-th/0001170](http://arxiv.org/abs/hep-th/0001170))

Discussion of the M9 as the dual in [[Horava-Witten theory]] of [[O8-planes]] in [[type II string theory]] is in

* {#GKSTY02} E. Gorbatov, V.S. Kaplunovsky, J. Sonnenschein, [[Stefan Theisen]], S. Yankielowicz, section 3 of _On Heterotic Orbifolds, M Theory and Type I' Brane Engineering_, JHEP 0205:015, 2002 ([arXiv:hep-th/0108135](https://arxiv.org/abs/hep-th/0108135))

see also at _[Intersection of D6s with O8s](intersecting+D-brane+model#IntersectionOfD6WithO8)_

Cohomological discussion of [[ninebrane structures]] is in

* {#Sati14} [[Hisham Sati]], _Ninebrane structures_ ([arXiv:1405.7686](http://arxiv.org/abs/1405.7686))

See also

* [[Paul Howe]], A. Kaya, [[Ergin Sezgin]], P. Sundell, _Codimension One Branes_ ([arXiv:hep-th/0001169](http://arxiv.org/abs/hep-th/0001169))

* {#MoorePeradzeSaulina04} [[Gregory Moore]], Grigor Peradze, [[Natalia Saulina]], _Instabilities in heterotic M-theory induced by open membrane instantons_, Nucl.Phys. B607 (2001) 117-154 ([arXiv:hep-th/0012104](http://arxiv.org/abs/hep-th/0012104))

* Takeshi Sato, _On M-9-branes and their dimensional reductions_, Nucl. Phys. Proc. Suppl. 102 (2001) 107-112 ([arXiv:hep-th/0102084](http://arxiv.org/abs/hep-th/0102084))


Discussion of open [[M5-branes]] ending on the M9 is in

* [[Eric Bergshoeff]], [[Gary Gibbons]], [[Paul Townsend]], _Open M5-branes_, Phys. Rev. Lett. 97:231601 2006 ([arXiv:hep-th/0607193](http://arxiv.org/abs/hep-th/0607193))




[[!redirects M9-branes]]

[[!redirects O9 plane]]
[[!redirects O9 planes]]

[[!redirects O9-plane]]
[[!redirects O9-planes]]