
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Model category theory
+--{: .hide}
[[!include model category theory - contents]]
=--
#### Higher category theory
+-- {: .hide}
[[!include higher category theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

For $\Theta_n$ the $n$-truncation of the [[Theta-category]], an _$n$-[[cellular set]]_, hence a [[presheaf]] on $\Theta_n$, may be viewed as a collection of [[n-morphisms]] of an "$n$-graph" underlying an [[(∞,n)-category]]. The _model structure on cellular sets_ ([Ara](#Ara)) models $(\infty,n)$-categories this way. This model is referred to as _[[n-quasicategories]]_.

## Definition

Let $\Theta_n$ be the [[Theta category]] restricted to $n$-cells. The _model structure on cellular sets_ is the [[Cisinski model structure]] on the [[category of presheaves]] $PSh(\Theta_n)$ defined by the following [localizer](Cisinski+model+structure#Localizer): (...)

In ([Ara](#Ara)) the fibrant objects in this model structure are called **$n$-quasi-categories**, see _[Relation to quasi-categories](#RelationToQuasiCategories) below_.

## Properties

### Relation to quasi-categories
 {#RelationToQuasiCategories}

For $n = 1$ we have $\Theta_1 \simeq \Delta$ is the [[simplex category]]; and the model structure on 1-cellular sets reproduces the [[model structure for quasi-categories]]. ([Ara, theorem 5.26](#Ara))

### Relation to $\Theta_n$-spaces

The model structure on $\Theta_n$-cellular sets is [[Quillen equivalence|Quillen equivalent]] to that [[Theta space|Θ-n spaces]].  ([Ara, theorem 7.4](#Ara)).

## References

* [[Dimitri Ara]], _Higher quasi-categories vs higher Rezk spaces_ ([arXiv:1206.4354](http://arxiv.org/abs/1206.4354))
 {#Ara}

