
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher category theory
+--{: .hide}
[[!include higher category theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The cellular _$n$-globe_ is the globular analog of the cellular $n$-[[simplex]]. It is one of the basic [[geometric shapes for higher structures]].

## Definition

The **cellular $n$-globe** $G_n$ is the [[globular set]] represented by the object $[n]$ in the [[globe category]] $G$:

$$
  G_n := Hom_G(-,[n])
  \,.
$$

## Examples

The 0-globe is the singleton [[set]], the category with a single morphism.

The 1-globe is the [[interval category]].

The 3-globe looks like this

<img src="http://www.math.uni-hamburg.de/home/schreiber/pics/3globe.gif" alt=""/>


## Properties

### $n$-Category structure

There is a unique structure of a [[strict omega-category]], an [[n-category]] in fact, on the $n$-globe. This makes the collection of $n$-globes arrange themselves into a _co-globular $\omega$-category_, i.e. a functor

$$
  G \to \omega Cat
$$
$$
  [n] \mapsto G_n
  \,.
$$

### Relation to simplices

The _[[orientals]]_ translate between [[simplices]] and globles.

## References

See the references at _[[strict omega-category]]_ and at _[[oriental]]_.


[[!redirects n-globe]]
[[!redirects 1-globe]]
[[!redirects 2-globe]]
[[!redirects 3-globe]]
[[!redirects glob]]
[[!redirects globes]]
[[!redirects n-globes]]
[[!redirects 1-globes]]
[[!redirects 2-globes]]
[[!redirects 3-globes]]
[[!redirects globs]]
