
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### $\infty$-Lie theory
+--{: .hide}
[[!include infinity-Lie theory - contents]]
=--
#### Symplectic geometry
+--{: .hide}
[[!include symplectic geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A _Dirac manifold_ is a [[smooth manifold]] with a [[Dirac structure]] in the sense of ([Courant 90](#Courant)). 

(Beware that sometimes "Dirac structure" is used for Dirac brackets in earlier contexts which are related but not formalized in this way.) 

An _almost Dirac structure_ on a manifold $X$ is a subbundle $L\subset T X \oplus T^*X$ of the tangent [[Courant algebroid]],  which is [[isotropic submanifold|isotropic]] under a certain symmetric pairing. An almost Dirac structure is a Dirac structure if it satisfies an integrability condition. 

## Properties

### Relation to Lagrangian dg-submanifolds

A [[Courant Lie 2-algebroid]] is a [[symplectic Lie n-algebroid]] for $n = 2$. Dirac structures are related to the [[Lagrangian dg-submanifolds]] (see there) of the dg-manifold formally dual to its [[Chevalley-Eilenberg algebra]].

### Relation to D-branes

With suitable identifications Dirac structures characterize [[D-branes]]. This is argued generally in ([Asakawa-Sasa-Watamura](#AsakawaSasaWatamura)). 

An example is the canonical [[Cartan-Dirac structure on a Lie group]], which yields the [[conjugacy classes]] of the Lie group as leaves. These are indeed known to be the D-branes of the [[WZW model]] on that Lie group.

## Examples

* [[Cartan-Dirac structure on a Lie group]]

## Related concepts

* [[polarization]]

* [[Poisson structure]]

[[!include infinity-CS theory for binary non-degenerate invariant polynomial - table]]


## References

### General

The original articles are

* [[Ted Courant]], [[Alan Weinstein]], _Beyond Poisson structures_, preprint, Berkeley 1986 [pdf](http://math.berkeley.edu/~alanw/Beyond.pdf)

* [[Irene Dorfman]], _Dirac structures of integrable evolution equations_, Phys. Lett. A 125 (1987), no. 5, 240–246 <a href="http://dx.doi.org/10.1016/0375-9601(87)90201-5">doi</a> [MR89b:58088](http://www.ams.org/mathscinet-getitem?mr=918697)

* [[Ted Courant]], _Dirac manifolds_, Trans. Amer. Math. Soc. __319__ (1990), no. 2, 631–661 [MR90m:58065](http://www.ams.org/mathscinet-getitem?mr=998124) [doi](http://dx.doi.org/10.2307/2001258); _Tangent Dirac structures_, J. Phys. A 23 (1990), no. 22, 5153–5168 [MR92d:58064](http://www.ams.org/mathscinet-getitem?mr=1085863) [iop](http://stacks.iop.org/0305-4470/23/5153)
 {#Courant}

* [[Irene Dorfman]], _Dirac structures and integrability of non-linear evolution equations_, John Wiley and sons, 1993. xii+176 pp. [MR94j:58081](http://www.ams.org/mathscinet-getitem?mr=1237398)


Lecture notes include section 2 of 

* [[Henrique Bursztyn]], [[Alan Weinstein]], _Poisson geometry and Morita equivalence_ ([arXiv:0402347](http://arxiv.org/abs/math/0402347))

The generalization of Dirac structures from base manifolds to base [[Lie groupoids]] ("multiplicative Dirac structure") is discussed in 

* [[Cristian Ortiz]], _Multiplicative Dirac structures_ ([arXiv:1212.0176](http://arxiv.org/abs/1212.0176))

Further references include

* [[Anton Alekseev]], Eric Meinrenken, _Dirac structures and Dixmier-Douady bundles_, Int. Math. Res. Not. IMRN 2012, no. 4, 904–956. [MR2889163](http://www.ams.org/mathscinet-getitem?mr=2889163)

### Relation to D-branes
 {#ReferencesRelationToDBranes}

A relation between Dirac structures and [[D-branes]] is discussed in

* Tsuguhiko Asakawa, Shuhei Sasa, Satoshi Watamura, _D-branes in Generalized Geometry and Dirac-Born-Infeld Action_ ([arXiv:1206.6964](http://arxiv.org/abs/1206.6964))
 {#AsakawaSasaWatamura}

Related observations for D-branes in the [[WZW model]] had long been made (unpublished) for the [[Cartan-Dirac structure]] over a Lie group.


[[!redirects Dirac structures]]
[[!redirects Dirac manifolds]]
[[!redirects Dirac structure]]