
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Monoidal categories
+--{: .hide}
[[!include monoidal categories - contents]]
=--
#### Group Theory
+-- {: .hide}
[[!include group theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Definition

For $(\mathcal{C}, \otimes)$ a [[monoidal 2-category]], its **Picard 3-group** or **Picard-Brauer 3-group** is the [[3-group]] induced on the full sub-2-groupoid $PIC(\mathcal{C}, \otimes)$ on the objects that are invertible under the tensor product. 

* If $(\mathcal{C}, \otimes)$ is a [[braided monoidal 2-category]], then $PIC(\mathcal{C}, \otimes)$ is a [[braided 3-group]]. 

* If $(\mathcal{C}, \otimes)$ is a [[sylleptic monoidal 2-category]], then $PIC(\mathcal{C}, \otimes)$ is a [[sylleptic 3-group]]. 

* If $(\mathcal{C}, \otimes)$ is a [[symmetric monoidal 2-category]], then $PIC(\mathcal{C}, \otimes)$ is a [[abelian 3-group]]. 

  In this case this is the [[n-truncated object in an (infinity,1)-category|3-truncation]] of the [[Picard ∞-group]].


## Examples

* For $R$ a [[commutative ring]] and $2Mod_R$ the 2-category of [[2-modules]] over $R$, hence of [[associative algebras]] over $R$ and [[bimodules]] between them and [[intertwiners]] between those, the corresponding Picard 3-group may be thought of as that of [[line 2-bundles]] over $Spec R$. It has as [[homotopy groups]] the [[Brauer group]], the [[Picard group]] and the [[group of units]] of $R$.

## Related concepts

* [[Picard group]], [[Brauer group]]

* [[Picard 2-group]]

* [[Picard ∞-group]]

## References
 {#References}

The Picard 3-group, or rather the [[monoidal 2-category]] that it sits in, was maybe first made explicit in the last part of

* R. Gordon, A.J. Power, [[Ross Street]], _Coherence for tricategories_, Memoirs of the American Math. Society 117 (1995) Number 558.

The corresponding [[Kan complex]] is discussed in

* [[John Duskin]], _The Azumaya complex of a commutative ring_, Categorical algebra and its applications (Louvain-La-Neuve, 1987), 107-117, Lecture Notes in Math., 1348, Springer, Berlin, 1988. 

A summary of these considerations is in section 12 of 

* [[Ross Street]], _Categorical and combinatorial aspects of descent theory_ ([arXiv:math.CT/0303175](http://arxiv.org/abs/math.CT/0303175))

A refinement to [[stable homotopy theory]] is discussed in 

* {#Sagave11} [[Steffen Sagave]], _Spectra of units for periodic ring spectra_ ([arXiv:1111.6731](http://arxiv.org/abs/1111.6731))

See also the discussion of higher [[Brauer groups]] in stable homotopy theory (which in turn are a "non-connective delooping"of $Pic(-)$) in 

* {#Szymik11} [[Markus Szymik]], _Brauer spaces for commutative rings and structured ring spectra_ ([arXiv:1110.2956](http://arxiv.org/abs/1110.2956))

* {#BakerRichterSzymik12} [[Andrew Baker]], [[Birgit Richter]], [[Markus Szymik]], _Brauer groups for commutative $\mathbb{S}$-algebras_, J. Pure Appl. Algebra 216 (2012) 2361–2376 ([arXiv:1005.5370](http://arxiv.org/abs/1005.5370))


[[!redirects Picard 3-groups]]

[[!redirects Picard-Brauer 3-group]]
[[!redirects Picard-Brauer 3-groups]]

[[!redirects Brauer-Picard 3-group]]
[[!redirects Brauer-Picard 3-groups]]


[[!redirects Picard 2-groupoid]]
[[!redirects Picard 2-groupoids]]
