

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Monoidal categories
+--{: .hide}
[[!include monoidal categories - contents]]
=--
#### Group Theory
+-- {: .hide}
[[!include group theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Definition

For $(\mathcal{C}, \otimes)$ a [[monoidal (∞,1)-category]], its **Picard $\infty$-group** is the [[∞-group]] induced on the full sub-[[∞-groupoid]] $PIC(\mathcal{C}, \otimes)$ on the objects that are invertible under the tensor product. 

## Properties

### Relation to Brauer $\infty$-group and $\infty$-group of units

For $E$ an [[E-∞ ring]] and $Mod(E)$ its [[(∞,1)-category of ∞-modules]], then the Picard $\infty$-group is a "non-connected [[delooping]]" of the [[∞-group of units]] in that

$$
  \Omega Pic(E)\simeq GL_1(E)
  \,.
$$

Conversely $Pic(-)$ itself has a further non-connected delooping by the [[Brauer ∞-group]] $Br(-)$ in that

$$
  \Omega Br(E)\simeq Pic(E)
$$

([Szymik 11, theorem 5.7](#Szymik11)).

## Related concepts

* [[Picard group]], [[Picard stack]]

  * [[Brauer group]]

* [[Picard 2-group]]

* [[Picard 3-group]]

* **Picard $\infty$-group**, [[Picard ∞-stack]]

## References

* {#Sagave11} [[Steffen Sagave]], _Spectra of units for periodic ring spectra_ ([arXiv:1111.6731](http://arxiv.org/abs/1111.6731))

See also the discussion of higher [[Brauer groups]] in stable homotopy theory (which in turn are a "non-connective delooping"of $Pic(-)$) in 

* {#Szymik11} [[Markus Szymik]], _Brauer spaces for commutative rings and structured ring spectra_ ([arXiv:1110.2956](http://arxiv.org/abs/1110.2956))

* {#BakerRichterSzymik12} [[Andrew Baker]], [[Birgit Richter]], [[Markus Szymik]], _Brauer groups for commutative $\mathbb{S}$-algebras_, J. Pure Appl. Algebra 216 (2012) 2361–2376 ([arXiv:1005.5370](http://arxiv.org/abs/1005.5370))



[[!redirects Picard infinity-group]]
[[!redirects Picard infinity-groups]]
[[!redirects Picard ∞-groups]]

[[!redirects Picard ∞-group]]

[[!redirects Picard ∞-groupoid]]
[[!redirects Picard infinity-groupoid]]
[[!redirects Picard ∞-groupoids]]
[[!redirects Picard infinity-groupoids]]

