
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

Kadeishvili's theorem says that every [[A-∞-algebra]] (in [[chain complexes]]) is equivalent, as an $A_\infty$-algebra, to its [[cohomology]] ring.
  

## Statement

+-- {: .num_theorem #KadeishviliTheorem}
###### Theorem

Let $A$ be an [[A-∞-algebra]] in [[chain complexes]] and let $H^\bullet(A)$ be the [[cohomology]] ring of $A$. There is an $A_\infty$-algebra structure on $H^\bullet(A)$ with $m_1 = 0$ and $m_2$ induced by the multiplication on $A$, constructed from the $A_\infty$-structure of $A$, such that there
is a [[quasi-isomorphism]] of $A_\infty$-algebras $H^\bullet(A) \to A$ lifting the identity of $H^\bullet(A)$. This $A_\infty$-algebra structure on $H^\bullet(A)$ is unique up to quasi-isomorphism.

=--

This is due to ([Kadeishvili](#Kadeishvili)). A clear English exposition with applications to Kähler manifolds is in ([Merkulov](#Merkulov)).

+-- {: .num_prop }
###### Proposition

The $A_\infty$-brackets on $H^\bullet(A)$ by theorem \ref{KadeishviliTheorem} are up to a sign equal to the [[Massey products]] on cohomology, whenever the latter are defined.

=--

References for this statement are listed at _[Massey product -- Relation to A-infinity algebra](Massey+product#ReferencesRelationToAInfinity)_.


## References

* [[T. V. Kadeishvili]], _On the theory of homology of fiber spaces_, (Russian) International Topology Conference (Moscow State Univ., Moscow, 1979). Uspekhi Mat. Nauk 35 (1980), no. 3(213), 183–188. Translated in Russ. Math. Surv. 35 (1980), no. 3, 231–238.
 {#Kadeishvili}

* [[S. A. Merkulov]], _Strong homotopy algebras of a Kähler manifold_, Internat. Math. Res. Notices 1999, no. 3, 153–164.
 {#Merkulov}


