
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
#### Complex geometry
+--{: .hide}
[[!include complex geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Statement

On a smooth projective [[complex manifold]], every rational [[Hodge cycle]] is a linear combination of classes $cl(Z)$ of [[algebraic cycles]].

A [[pure motives|motivic]] reformulation is as follows.
Let $SmProj^{cor}_\mathbf{C}$ denote the category of [[algebraic correspondences]] of smooth projective [[algebraic varieties]] over the [[complex numbers]].
The canonical functor
  $$ SmProj^{cor} \to HS^{pure} $$
to the category of rational [[pure Hodge structures]], given by taking rational [[Betti cohomology]], is [[fully faithful]].

(The [[Tate conjecture]] is the analogue where $\mathbf{C}$ is replaced by a [[finite field]] or [[number field]], and the target category of [[pure Hodge structures]] is replaced by the [[l-adic representations]] of the [[absolute Galois group]].)

## Related concepts

* [[Hodge theory]], [[Hodge theorem]]
* [[integral Hodge conjecture]]
* [[Tate conjecture]]

## References

* [[Pierre Deligne]], _The Hodge conjecture_ ([pdf](http://www.claymath.org/millennium/Hodge_Conjecture/hodge.pdf))

* [[Claire Voisin]], _[[Hodge theory and Complex algebraic geometry]]_.

Lecture notes from a summer school on [[Hodge theory]]:

* [[Claire Voisin]], _Lectures on the Hodge and Grothendieck-Hodge conjectures_, Rend. Sem. Mat. Univ. Politec. Torino, Vol. 69, 2 (2011), pp. 149-198, [pdf](http://www.seminariomatematico.unito.it/rendiconti/69-2/149.pdf).

* [[Annette Huber]], _Slice filtration on motives and the Hodge conjecture (with an appendix by J. Ayoub_ ([pdf](http://home.mathematik.uni-freiburg.de/arithgeom/preprints/huber-hodge-mn.pdf)).

* Mathoverflow, [Equivalent descriptions of Hodge conjecture](http://mathoverflow.net/questions/236820/equivalent-descriptions-of-hodge-conjecture), [Why is the hodge conjecture so important](http://mathoverflow.net/questions/54197/why-is-the-hodge-conjecture-so-important), [Refinement of Hodge conjecture](http://mathoverflow.net/questions/258088/refinement-of-hodge-conjecture), [Generalized Hodge conjecture for triangulated motives](http://mathoverflow.net/questions/244483/reference-generalized-hodge-conjecture-for-triangulated-motives),
[Equivalence between statements of Hodge conjecture](http://mathoverflow.net/questions/103365/equivalence-between-statements-of-hodge-conjecture), [Interesting implications on the theory of Motives if the hodge conjecture holds](http://mathoverflow.net/questions/248684/interesting-implications-on-the-theory-of-motives-if-the-hodge-conjecture-holds), [Heuristics for the hodge conjecture](http://mathoverflow.net/questions/101129/heuristics-for-the-hodge-conjecture)

---
Add info also on Hodge conjecture: Lewis: A Survey of the Hodge conjecture. Deligne's Clay formulation.

<http://burttotaro.wordpress.com/2012/03/18/why-believe-the-hodge-conjecture/>

Can add Jossen's work as an answer here, when it appears:
<http://mathoverflow.net/questions/17020/why-do-people-think-that-abelian-varieties-are-the-hardest-case-for-the-hodge-con>

Van Geemen: An introduction to the Hodge conjecture for abelian varieties

[arXiv:0907.2503](http://front.math.ucdavis.edu/0907.2503) The Hodge conjecture for self-products of certain K3 surfaces
from arXiv Front: math.AG by Ulrich Schlickewei
We use a result of van Geemen to determine the endomorphism algebra of the
Kuga--Satake variety of a K3 surface with real multiplication. This is applied
to prove the Hodge conjecture for self-products of double covers of $\PP^2$
which are ramified along six lines.
