



+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Representation theory
+-- {: .hide}
[[!include representation theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Definition

Let $E$ be a finite-dimensional Euclidean vector space, i.e. a real vector space equipped with a positive-definite inner product $\langle | \rangle$. For convenience, given any vectors $v, w \in E$ with $w \neq 0$, we define the notation $v \dashv w \coloneqq 2 \frac{\langle v | w \rangle}{\langle w | w \rangle}$. Notice that this is precisely twice the coefficient of $w$ when we take the orthogonal projection of $v$ onto the line generated by $w$. We denote by $\sigma_w$ the reflection in the hyperplane $P_w \coloneqq \{ w \}^{\perp}$, which is given by the formula
$$\sigma_w(v) = v - (v\dashv w)w$$

A **root system** in $E$ is a finite set of nonzero vectors $\Delta \subset E \setminus \{0 \}$ satisfying the following axioms:

1. $\Delta$ spans $E$.

1. If $\alpha \in \Delta$, then the reflection $\sigma_\alpha$ permutes $\Delta$.

1. (Integrality) If $\alpha, \beta \in \Delta$ then $\alpha \dashv \beta \in \mathbb{Z}$.

If in addition for every $\alpha \in \Delta$ we have $\operatorname{span}(\alpha) \cap \Delta = \{- \alpha, \alpha \},$ then we say that the root system is **reduced**. Equivalently, a root system is reduced if each $\alpha \in \Delta$ determines a unique reflection. Many authors require that root systems are reduced, but we will specify here when root systems are reduced or not.

## Weyl group

The Weyl group of a root system $\Delta$ in $E$ is the finite subgroup $W(\Delta)$ of the orthogonal group $\operatorname{O}(E)$ generate by the reflections $\sigma_\alpha$, $\alpha \in \Delta$. Thus, the Weyl group can also be seen as a subgroup of the permutation group of $\Delta$.

## Category of root systems

Given root systems $\Delta$ in $E$ and $\Delta'$ in $E'$, we define a **morphism of root systems** from $\Delta$ to $\Delta'$ to be a linear map $f: E \to E'$ such that $f(\Delta) \subseteq \Delta'$ and $f(\alpha) \dashv f(\beta) = \alpha \dashv \beta$ for all $\alpha, \beta \in \Delta$.

## Weyl group of a root system


## Related concepts

* [[weight (in representation theory)]]

* [[maximal torus]], [[Cartan subalgebra]]

## References

* Peter Woit, _Topics in representation theory: Roots and weights_ ([pdf](http://www.math.columbia.edu/~woit/notes6.pdf))

* The Unapologetic Mathematician, _The category of root systems_ ([blog](https://unapologetic.wordpress.com/2010/01/22/the-category-of-root-systems/))



[[!redirects weight lattice]]
[[!redirects weight lattices]]


[[!redirects root system]]
