


+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Symplectic geometry
+--{: .hide}
[[!include symplectic geometry - contents]]
=--
#### Geometric quantization
+--{: .hide}
[[!include geometric quantization - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A _Heisenberg $n$-group_ is a sub-[[∞-group]] of a [[quantomorphism n-group]] of a [[n-plectic geometry|n-plectic space]] $(G, \omega)$ equipped with [[∞-group]] structure, on those whose underlying [[n-plectomorphisms]] act  by lect [[∞-action]] of $G$ on itself. This is the higher refinement of the traditional notion of _[[Heisenberg group]]_.

## Definition

For $(G, \omega)$ an [[n-plectic geometry]] with [[higher geometric quantization|higher geometric prequantization]] $(G, \nabla)$ and for $G$ equipped with [[∞-group]] structure, the corresponding _Heisenberg $\infty$-group_ is the sub-[[∞-group]] of the [[quantomorphism n-group]] on those elements whose corresponding [[n-plectomorphism]] is given by such a left action.

The corresponding [[Lie n-algebra]] is the _[[Heisenberg Lie n-algebra]]_.

## Properties

### Relation to parameterized WZW models

* [[parameterized WZW model]]

## Examples

### String 2-group is Heisenberg 2-group of WZW gerbe

For $G$ a compact simply connected simple [[Lie group]], there is the "[[WZW gerbe]]", hence the [[circle n-bundle with connection|circle 2-bundle with connection]] on $G$ whose [[curvature]] 3-form is the [[left invariant differential form|left invariant]] extension $\langle \theta \wedge [\theta \wedge \theta]\rangle$ of the canonical Lie algebra 3-cocycle to the group

$$
  \mathcal{L}_{WZW} \;\colon\; G \longrightarrow \mathbf{B}^2 
  \,.
$$

+-- {: .num_prop }
###### Proposition

The string 2-group is the [[smooth infinity-group|smooth 2-groupo]] of [[automorphism infinity-group|automorphism]] of $\mathcal{L}_{WZW}$ which cover the left [[action]] of $G$ on itself (hence the "[[Heisenberg 2-group]]" of $\mathcal{L}_{WZW}$ regarded as a [[prequantum 2-bundle]])

$$
  \mathbf{Aut}(\mathcal{L}_{WZW}) \simeq String(G)
  \,,
$$

=--

This is due to ([Fiorenza-Rogers-Schreiber 13, section 6.2.1](#FiorenzaRogersSchreiber13)).


## Related concepts

[[!include geometric quantization extensions - table]]


## References

* [[Domenico Fiorenza]], [[Chris Rogers]], [[Urs Schreiber]], _[[schreiber:Higher geometric prequantum theory]]_, 2013 ([arXiv:1304.0236](http://arxiv.org/abs/1304.0236))
  {#FiorenzaRogersSchreiber13}



[[!redirects Heisenberg ∞-group]]
[[!redirects Heisenberg infinity-group]]

[[!redirects Heisenberg n-groups]]
[[!redirects Heisenberg ∞-groups]]
[[!redirects Heisenberg infinity-groups]]

[[!redirects Heisenberg 2-group]]
[[!redirects Heisenberg 2-groups]]