
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

In general a _Freund-Rubin compactification_ ([Freund-Rubin 80](#FreundRubin80)) is a [[Kaluza-Klein compactification]] of a theory of [[gravity]] coupled to [[gauge fields]] or more generally [[higher gauge fields]] with [[flux]] ([[field strength]]) on the compact [[fiber]] spaces such that the result is stable (an example of [[moduli stabilization]] via [[flux compactification]]).

One example are [[Kaluza-Klein compactifications]] of 6d [[Einstein-Maxwell theory]] with [[magnetic flux]] on a 2-dimensional [[fiber]] space ([[sphere]] or [[torus]]) ([RDSS 83](#RDSS83)). This serves these days as a toy example for [[flux compactifications]] and [[moduli stabilization]] in [[string theory]].
 
In the [[string theory]] literature often _the Freund-Rubin compactification_ refers by default to a [[Kaluza-Klein mechanism|Kaluza-Klein compactification]] of [[11-dimensional supergravity]] on a [[manifold]] $X_7$  of [[dimension]] 7 (in the original [[model (in theoretical physics)|model]] a round 7-[[sphere]]) with non-vanishing constant 4-form [[field strength]] ("flux") of the [[supergravity C-field]] in the remaining four dimensional [[anti-de Sitter spacetimes]] $AdS_4$.

If $X_7$ has [[weak G2 holonomy]] with weakness parameter/[[cosmological constant]] $\lambda$ the scale of the flux, then this yields $N = 1$ [[supersymmetry]] in the [[effective QFT]] in four dimensions, discussed at _[[M-theory on G2-manifolds]]_. The [[KK-reduction]] on the circle fiber of these solutions to [[type IIA supergravity]] yields type IIA sugra on [[complex projective space]] $\mathbb{C}P^3$ ([Nilsson-Pope 84](#NilssonPope84), [ABJM 08](#ABJM08))

If $X_7 = S^7/G_{ADE}$ is an [[orbifold]] of the round [[7-sphere]] by an finite group $G_{ADE} \subset SU(2)$ in the [[ADE-classification]], then Freund-Rubin describes the [[near horizon geometry]] of coincident black [[M2-branes]] at an [[ADE-singularity]], see at _[M2-brane -- As a black brane](M2-brane#AsABlackBrane)_.

## Related concepts

* [[Kaluza-Klein mechanism]]

* [[M-theory on G2-manifolds]], [[G2-MSSM]]

* [[AdS-CFT]]

## References

The original article is 

* {#FreundRubin80} [[Peter Freund]] and M. A. Rubin, _Dynamics Of Dimensional Reduction_, Phys. Lett. B 97, 233 (1980).

The class of Freund-Rubin compactifications of 6d [[Einstein-Maxwell theory]] down to 4d is due to

*  {#RDSS83} S. Randjbar-Daemi, [[Abdus Salam]] and J. A. Strathdee, _Spontaneous Compactification In Six-Dimensional Einstein-Maxwell Theory_, Nucl. Phys. B 214, 491 (1983) ([spire](https://inspirehep.net/record/182427/))

now a popoular toy example for [[flux compactifications]] and [[moduli stabilization]] in [[string theory]].


A detailed textbook account is in

* {#CastellaniDAuriaFre} [[Leonardo Castellani]], [[Riccardo D'Auria]], [[Pietro Fré]], volume 2, chapters V.4-V8 of _[[Supergravity and Superstrings - A Geometric Perspective]]_, World Scientific (1991)

Discussion of compactification along the fibration $S^1 \to S^7 \to \mathbb{C}P^3$ is in

* {#NilssonPope84} [[Bengt Nilsson]], [[Christopher Pope]], _Hopf Fibration of Eleven-dimensional Supergravity_, Class.Quant.Grav. 1 (1984) 499 ([Spire](http://inspirehep.net/record/202535/))

* {#ABJM08} [[Ofer Aharony]], Oren Bergman, Daniel Louis Jafferis, [[Juan Maldacena]], _$N=6$ superconformal Chern-Simons-matter theories, M2-branes and their gravity duals_ ([arXiv:0806.1218](http://arxiv.org/abs/0806.1218), [[ABJM model]])

Discussion of the case that $X_7$ is an [[orbifold]] or has other [[singularities]] (the case of interest for realistic [[phenomenology]] in [[M-theory on G2-manifolds]]) includes

* [[Bobby Acharya]], F. Denef, C. Hofman, [[Neil Lambert]], _Freund-Rubin Revisited_ ([arXiv:hep-th/0308046](http://arxiv.org/abs/hep-th/0308046))

Specifically, discussion of an [[ADE classification]] of 1/2 [[BPS state|BPS]]-compactifications on $S^7/\Gamma$ for a [[finite group]] $\Gamma$ is in 

* Paul de Medeiros, [[José Figueroa-O'Farrill]], Sunil Gadhia, [[Elena Méndez-Escobar]], _Half-BPS quotients in M-theory: ADE with a twist_, 	JHEP 0910:038,2009 ([arXiv:0909.0163](http://arxiv.org/abs/0909.0163), [pdf slides](http://www.maths.ed.ac.uk/~jmf/CV/Seminars/YRM2010.pdf))


Discussion of [[weak G2 holonomy]] on $X_7$ is in 

* [[Adel Bilal]], J.-P. Derendinger, K. Sfetsos, _(Weak) $G_2$ Holonomy from Self-duality, Flux and Supersymmetry_, Nucl.Phys. B628 (2002) 112-132 ([arXiv:hep-th/0111274](http://arxiv.org/abs/hep-th/0111274))



[[!redirects Freund-Rubin compactifications]]