# Frechet--Urysohn spaces
* tic
{: toc}


## Idea

A Frechet--Urysohn (or Frechet--Uryson) space is a [[topological space]] in which the [[closed subspace|closure]] of a [[subspace]] may be described using only [[sequences]].


## Definition

Recall that, given any subset $A$ of *any* topological space, a point $x$ belongs to the closure of $A$ if and only if $x$ is a limit point of at least one [[net]] whose elements belong to $A$.

A topological space is __Frechet--Uryson__ (or __Frechet--Urysohn__) if a point $x$ of the closure of any given subset $A$ of $X$ is a limit point of at least one [[sequence]] whose elements belong to $A$.


## Examples

Every [[first-countable space]] is a Frechet--Uryson space.


## Properties

Every Frechet–Uryson space is a [[sequential space]].


[[!redirects Frechet-Uryson space ]]
[[!redirects Frechet–Uryson space]]
[[!redirects Frechet--Uryson space]]
[[!redirects Frechet-Urysohn space]]
[[!redirects Frechet–Urysohn space]]
[[!redirects Frechet--Urysohn space]]
[[!redirects Frechet-Uryson spaces]]
[[!redirects Frechet–Uryson spaces]]
[[!redirects Frechet--Uryson spaces]]
[[!redirects Frechet-Urysohn spaces]]
[[!redirects Frechet–Urysohn spaces]]
[[!redirects Frechet--Urysohn spaces]]