
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The [[waves]] of the [[electromagnetic field]] in [[electromagnetism]] are called _light_ (sometimes the term is limited to the [[frequency]] range of _visible light_ and a bit below that ([[infrared]]) and above that ([[ultraviolet]])): light is appearing as _[[electromagnetic radiation]]_. 

## Properties

The [[quanta]] of light are [[photons]]. The [[speed of light]] in [[vacuum]] plays a special role in the laws of physics, see at _[[special relativity]]_. 

## Terminology 

In physics, the term "light" is usually applied to cover the frequency range that includes humanly visible light and a little beyond in either direction, where photons have the requisite energy to slightly alter molecular configurations within the retina to produce sight sensations in animals, (approximately 390 to 740 nm in wavelength). Other terms (e.g. radio waves, X-rays) are then applied to cover other regions in the electromagnetic spectrum; the general term is just "electromagnetic radiation". 

Some physicists however use the term "light" to cover any form of electromagnetic radiation. From Feynman's _QED: The Strange Theory of Light and Matter_, we have (p. 10) 

* Another possibility, especially if the lecturer is a physicist, is that he uses ordinary words in a funny way. Physicists often use ordinary words such as "work" or "action" or"energy" or even, as you shall see, "light" for some technical purpose. Thus, when I talk about "work" in physics, I don't mean the same thing as when I talk about "work" on the street. During this lecture I might use one of those words without noticing that it is being used in this unusual way.I'll try my best to catch myself-that's my job-but it is an error that is easy to make.

and (p. 13) 

* When I say "light" in these lectures, I don't mean simply the light we can see, from red to blue. It turns out that visible light is just a part of a long scale that's analogous to a musical scale in which there are notes higher than you can hear and other notes lower than you can hear. The scale of light can be described by numbers&#8212;called the frequency&#8212;and as the numbers get higher, the light goes from red to blue to violet to ultraviolet. We can't see ultraviolet light, but it can affect photographic plates. Its still light&#8212; only the number is different. (We shouldn't be so provincial: what we can detect directly with our own instrument, the eye, isn't the only thing in the world!) If we continue simply to change the number, we go out into X-rays, gamma rays, and so on. If we change the number in the other direction, we go from blue to red to infrared (heat) waves, then television waves and radio waves. For me, all of that is "light" I'm going to use just red light for most of my examples, but the theory of quantum electrodynamics extends over the entire range that I have described. 

## Related concepts

* [[photon]], [[laser]]

* [[gravitational wave]]

* [[pp-wave spacetime]]

* [[radiation]]

## References

* Wikipedia, _[Light](http://en.wikipedia.org/wiki/Light)_


[[!redirects light]]

[[!redirects electromagnetic wave]]
[[!redirects electromagnetic waves]]
[[!redirects EM wave]]
[[!redirects EM waves]]
[[!redirects em wave]]
[[!redirects em waves]]

[[!redirects light wave]]
[[!redirects light waves]]
