
#Contents#
* table of contents
{:toc}

## Definition

A [[function]] $f$ from $A$ to $B$ is __injective__ if $x = y$ whenever $f(x) = f(y)$.  An injective function is also called __one-to-one__ or an __injection__; it is the same as a [[monomorphism]] in [[Set|the category of sets]].

A _[[bijection]]_ is a function that is both injective and [[surjection|surjective]].

In [[constructive mathematics]], a [[strongly extensional function]] between sets equipped with tight [[apartness relation]]s is called __strongly injective__ if $f(x) \ne f(y)$ whenever $x \ne y$ (which implies that the function is injective).  This is the same as a [[regular monomorphism]] in the category of such sets and strongly extensional functions (while any merely injective function, if strongly extensional, is still a monomorphism).  Some authors use 'one-to-one' for an injective function as defined above and reserve 'injective' for the stronger notion.

## Related concepts

* [[surjection]]

* [[monomorphism]]

* [[embedding]]

* [[monomorphism in an (infinity,1)-category]]

[[!redirects injective function]]
[[!redirects strongly injective function]]
[[!redirects injective functions]]
[[!redirects strongly injective functions]]
[[!redirects injections]]
[[!redirects one-to-one function]]
[[!redirects one-to-one functions]]
[[!redirects injective]]

[[!redirects injective map]]
[[!redirects injective maps]]

[[!redirects inclusion]]
[[!redirects inclusions]]
