
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### $(\infty,1)$-Topos Theory
+--{: .hide}
[[!include (infinity,1)-topos - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

For $\mathcal{T}$ a [[sheaf topos]], $G \in Grp(\mathcal{T})$ a [[group object]] and $V \in \mathcal{T}$ any object, and for $\rho \colon V \times G \to V$ an [[action]] of $G$ on $V$  , the **quotient stack** $V//G$ is the [[quotient]] of this action but formed not in $\mathcal{T}$ but under the inclusion

$$
  \mathcal{T} \hookrightarrow \mathbf{H}
$$

into the [[(2,1)-topos]] over the given [[site]] of definition: it is the quotient after regarding the action as an [[infinity-action]] in $\mathbf{H}$.

This is the geometric version of the notion of _[[action groupoid]]_. A wider notion of the quotient stack may be defined using more general internal groupoids. Indeed,
the [[small fibration]] obtained by the [[externalization]] of an internal groupoid in a site with pullbacks will be a [[fibered category]] which is a candidate for a quotient stack in this context. For many interesting sites, sometimes under additional conditions on the internal groupoid, the resulting small fibration is indeed a stack.

If the [[stabilizer subgroups]] of the [[action]] are [[finite groups]], then the quotient stack is an [[orbifold]]/[[Deligne-Mumford stack]] --the "quotient orbifold".

## Properties

### Relation to principal and associated bundles

For $V = *$ the [[terminal object]], one writes $\mathbf{B}G \coloneqq *//G$.  This is the [[moduli stack]] for $G$-[[principal bundles]]. It is also the trivial _$G$-[[gerbe]]_.

There is a canonical projection $\overline{\rho} \;\colon\; V//G \to \mathbf{B}G$. This is the [[universal associated infinity-bundle|universal rho-associated bundle]].


## Related concepts

* [[quotient]], [[quotient space]], [[quotient type]]

* [[action groupoid]]

* [[local quotient stack]]

* [[Borel construction]]

* [[(infinity,1)-colimit]], [[infinity-action]]

* [[mapping stack]]

* [[orbifold]], [[Deligne-Mumford stack]]

* [[geometric invariant theory]]


## References

(...)

* [[Jack Morava]], _Theories of anything_ ([arXiv:1202.0684](http://arxiv.org/abs/1202.0684))

[[!redirects quotient stacks]]

[[!redirects orbifold quotient]]
[[!redirects orbifold quotients]]

[[!redirects quotient orbifold]]
[[!redirects quotient orbifolds]]

[[!redirects stacky quotient]]
