
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
#### Fields and quanta
+--{: .hide}
[[!include fields and quanta - table]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

The _neutrino_ is one of the fundamental [[particles]]/[[matter]] [[field (physics)|fields]] in the [[standard model of particle physics]].

## Neutrino masses

On neutrino [[masses]] and the [[standard model of particle physics]] as an [[effective field theory]]:

> I also noted at the same time that interactions between a pair of lepton doublets and a pair of scalar doublets can generate a neutrino mass, which is suppressed only by a factor $M^{-1}$, and that therefore with a reasonable estimate of $M$ could produce observable neutrino oscillations. The subsequent confirmation of neutrino oscillations lends support to the view of the Standard Model as an effective field theory, with M somewhere in the neighborhood of $10^{16} GeV$. ([Weinberg 09, p. 15](#Weinberg09))

In fact this scale is about the standard for [[grand unified theories]], see for instance ([Mohapatra 06](#Mohapatra06)) for more on this relation, and see at _[[seesaw mechanism]]_.

## History and prediction

The history of the prediction of the neutrino is interesting and may (or may not) contain some general lessons for theoretical physics/[[mathematical physics]].

Before 1930 [[experiments]] detected an apparent violation of the [[conservation law]] for [[energy]] in processes of [[beta decay]]. 

Back then [[Niels Bohr]] proposed that, therefore, apparently the fundamental [[conservation laws]] in [[physics]] may be violated and possibly only hold [[probability theory|statistically]] over many quantum mechanical processes, but possibly not microscopically.

Opposed to this was the suggestion by [[Wolfgang Pauli]], who insisted that the [[conservation laws]] ought to hold true, and that therefore there must be an undetected new [[fundamental particle]] created in [[beta decay]], which carries the apparently missing [[energy]].

Pauli with his argument and suggestion turned out to be right. The missing particle -- called the _neutrino_ by [[Enrico Fermi]] in 1933 -- was finally directly detected in 1956, hence 26 years after its proposal. (Compare maybe to the [[Higgs boson]] for which detection came 50 years after prediction.)

Notice that back then, predicting unobserved and possibly practically unobservable [[fundamental particles]] was not taken as lightly as in some circles it is these days (e.g. in [[supersymmetry]] and/or [[string theory]]). In ([AP 06, p. 7](#AP06)) Pauli is quoted on this as having said:

> I've done a terrible thing today, something which no theoretical physicist should ever do. I have suggested something that can never be verified experimentally.

But concerning the motivation for this predictions, notice that back around 1915 [[Emmy Noether]] had proven the theorem now named after her -- [[Noether's theorem|Noether's first theorem]] -- which asserts that [[symmetries]] of [[equations of motion]] in [[physics]] correspond to [[conservation laws]]. In particular if a system (notably the [[forces]] and [[interactions]] of [[fundamental particles]]) does not change over [[time]], then [[Noether's theorem|Noether's first theorem]] asserts that the [[energy]] of the system must be conserved.
The theorem applies as soon as the [[physics]] is described by a [[local Lagrangian]]/[[local action functional]] and the [[principle of extremal action]]. This was in principle well established in 1930, even though maybe not as widely appreciated as it could have been. The generalization of this to [[quantum mechanics]] and [[quantum field theory]] was maybe fully understood only later.

But in view of this theorem, Bohr's suggestion that energy conservation fails would have implied that fundamental physics is not governed by an [[action principle]], something arguably more dramatic than some violation of some energy conservation might seem.

Today Pauli is widely acknowledged for holding up the conservation laws against Bohr's proposal, see for instance ([AP 06, p. 6](#AP06)), where it says:

> Pauli's belief in the absolute credibility of symmetry principles led him to defend conservation laws even when at that time the empirical evidence was doubtful. His prediction of the neutrino is a great example.

But on the other hand, it seems that Pauli's respect for the conservation laws was not informed by Noether's theorem, but rested rather on an intuitive feeling, for in ([AP 06, p.5](#AP06)) Pauli is quoted as late as 1953 thus:

> I am very much in favour of the general principle to bring empirical conservation laws and invariance properties in connection with mathematical groups of transformations of the laws of nature.

While this does support the correct answer, it seems to be a rather weak way of stating it, given that Noether's theorem establishes this "connection" as a theorem, already back in 1915.

Similarly, in ([AP 06, p. 6](#AP06)) Pauli is quoted as reacting to Bohr's proposal by saying:

> I am myself fairly convinced $[...]$ that Bohr with his corresponding deliberations concerning a violation of energy conservation is entirely on the wrong track! $[...]$ The idea of a violation of the conservation of energy in β-decay is and remains, in my opinion, cheap and very clumsy philosophy.

If Pauli had really been relying on symmetry and the Noether theorem, he could have said "provably wrong" instead of just "cheap and clumsy". Especially since "clumsy" suggests "possible, even if not enjoyable", where in fact it is impossible unless the whole foundations of physics are changed.






## References

* Wikipedia, _[Neutrino](http://en.wikipedia.org/wiki/Neutrino)_

A discussion of Pauli's thoughts leading him to the prediction of the neutrino is in 

* Atmanspacher, Primas,  _Pauli's ideas..._, 2006 ([pdf](http://www.igpp.de/english/tda/pdf/paulijcs8.pdf))
  {#AP06}

Comments on neutrinos masses as a hint for the [[standard model of particle physics]] being an [[effective field theory]] are in

* [[Steven Weinberg]], _Effective Field Theory, Past and Future_ ([arXiv:0908.1964](http://arxiv.org/abs/0908.1964))
 {#Weinberg09}

And more on this in relation to [[GUT]] models includes

* {#Mohapatra06} R. N. Mohapatra, _Models of Neutrino Masses: A Brief Overview_, 2006 ([pdf](http://lss.fnal.gov/conf/C0606131/2.2mohapat.pdf))

* {#Witten17} [[Edward Witten]], p. 2 of _Symmetry and Emergence_ ([arXiv:1710.01791](https://arxiv.org/abs/1710.01791))

[[!redirects neutrino]]
[[!redirects neutrinos]]
[[!redirects neutriono]]
