
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
#### Fields and quanta
+-- {: .hide}
[[!include fields and quanta - table]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

The [[observable universe]] at large scales seems to behave as if it contains large amount of [[matter]] which does have a [[gravity|gravitational effect]] but does not emit [[electromagnetic radiation]] and hence remains "dark" to telescopes. This hypothetical matter is therefore called _dark matter_.

There are various astronomical observations that suggest the existence of dark matter

1. galaxy rotation curves -- the speed of rotation of [[galaxies]] as a function of the distance from their center cannot be explained by the observed visible matter, but an explanation of this dependence by gravitating matter requires the presence of plenty of dark matter;

1. cosmic microwave background fluctuations -- the measured fluctuations in the [[cosmic microwave background]] are very well fitted by the [[standard model of cosmology]] with cold dark matter (CDM) included. (see also [Resonaances, 18 Jan 2013](#Resonaances)).

1. Simulations of [[structure formation]] in the universe seem to require existence of dark matter in order to reproduce results compatible with observation.

Any further details about the nature of this hypothetical dark matter remain elusive to date. Possible classes of candidates go by various names. For instance "weakly interacting massive particles" ("WIMP"s), hence massive particles that interact via [[gravity]] and the [[weak nuclear force]], but not via [[electromagnetism]]. In [[supersymmetry|supersymmetric]] [[theory (physics)|theories]], the _lightest supersmmetric particle_ (LSP, such as the [[gravitino]] or the [[neutralino]]) is a natural candidate for dark matter ([EHNOS 84](#EHNOS84), reviewed in [Ellis-Olive 10](#EllisOlive10))


## Related concepts

* [[bullet cluster]]

* [[fuzzy dark matter]]

* [[dark energy]], [[dark radiation]]

* [[standard model of cosmology]]

* [[MOND]]


## References

### General

Review includes

* {#Einasto09} Jaan Einasto, _Dark matter_ ([arXiv:0901.0632](https://arxiv.org/abs/0901.0632)) 2009

* [[Syksy Räsänen]], _Dark matter_ cosmo 2015 lecture notes ([pdf](http://www.courses.physics.helsinki.fi/teor/cos1/cosmo2015_07.pdf))

* Wikipedia, _[Dark matter](http://en.wikipedia.org/wiki/Dark_matter)_

* [[Matthew Strassler]], _[Current hints of dark matter](http://profmattstrassler.com/articles-and-posts/relativity-space-astronomy-and-cosmology/dark-matter/current-hints-of-dark-matter-413/)_

* {#Resonaances} Resonaances, _[How many neutrinos in the sky](http://resonaances.blogspot.de/2013/01/how-many-neutrinos-in-sky.html)_

* [[Ethan Siegel]], _[Seven independent pieces of evidence for dark matter](https://medium.com/starts-with-a-bang/7-independent-pieces-of-evidence-for-dark-matter-3692126a2283)_, _[Ten things everyone should know about dark matter](https://medium.com/starts-with-a-bang/10-facts-everyone-should-know-about-dark-matter-1ce2b222cf08)_ 2015


### Evidence
 {#Evidence}

* Pieter van Dokkum et.al. _A galaxy lacking dark matter_, Nature volume 555, 2018 pages 629–632 ([arXiv:1803.10237](https://arxiv.org/abs/1803.10237), [doi:10.1038/nature25767](https://www.nature.com/articles/nature25767))

> Regardless of the formation history of NGC1052–DF2, its existence has implications for the dark matter paradigm. Our results demonstrate that dark matter is separable from galaxies, which is (under certain circumstances) expected if it is bound to baryons through nothing but gravity. The "[[bullet cluster]]" demonstrates that dark matter does not always trace the bulk of the baryonic mass, which in clusters is in the form of gas.  NGC1052–DF2 enables us to make the complementary point that dark matter does not always coincide with galaxies either:  it is a distinct "substance" that may or may not be present in a galaxy.   Furthermore,  and paradoxically, the existence of NGC1052–DF2 may falsify
alternatives to dark matter. In theories such as [[MOND]] and the recently proposed emergent gravity paradigm a "dark matter" signature should always be detected, as it is an unavoidable consequence of the presence of ordinary matter. In fact, it had been argued previously that the apparent absence of galaxies such as NGC1052–DF2 constituted a falsification of the standard cosmological model, and evidence for modified gravity.


### Axions

The observation that the "invisible [[axion]]" is a candidate for dark 
matter is due to three groups:

* {#PreskillWiseWilcek83} [[John Preskill]], M. Wise, [[Frank Wilcek]], _Cosmology of the invisible axion_, Phys. Lett. B 120:127-32 (1983)

* {#AbbottSikivie83} L.F. Abbott, P. Sikivie, _A Cosmological Bound on the Invisible Axion_, Phys.Lett. B120:133-36 (1983)

* {#DineFischler83} [[Michael Dine]], [[Willy Fischler]], _The Not So Harmless Axion_, Phys.Lett. B120:137-141 (1983)


A proposal that [[axions]] account for [[fuzzy dark matter]], and thus fix the [[WIMP]] model for dark matter with its problem of reproducing galactic rotation curves, is in

* {#HOTW16} Lam Hui, Jeremiah P. Ostriker, Scott Tremaine, [[Edward Witten]], _On the hypothesis that cosmological dark matter is composed of ultra-light bosons_, Phys. Rev. D 95, 043541 (2017) ([arXiv:1610.08297](https://arxiv.org/abs/1610.08297))

### Lightest super-partner 


The observation that the lightest supersymmetric particle is a natural dark matter candidate goes back to 

* {#EHNOS84} [[John Ellis]],  J.S. Hagelin, Dimitri V. Nanopoulos, [[Keith Olive]], M. Srednicki  _Supersymmetric relics from the Big Bang_, Nuclear Physics B 238[2]: 453-76, 1984 ([SPIRE](http://inspirehep.net/record/191839?ln=en))

with review in 

* {#EllisOlive10} [[John Ellis]], [[Keith Olive]], _Supersymmetric Dark Matter Candidates_ ([arXiv:1001.3651](http://arxiv.org/abs/1001.3651))



[[!redirects WIMP]]
[[!redirects WIMPs]]

[[!redirects weakly interacting massive particle]]
[[!redirects weakly interacting massive particles]]