
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Super-Geometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Definition

The [[connected component]] of the [[subgroup]] of [[outer automorphisms]] of the [[super Poincaré group]] (in some given dimension for some real [[spin representation]] (= "number of supersymmetries")) which fixes the underlying [[Poincaré group]] is called its _R-symmetry_ group (e.g. [de Wit 02, p. 5-6](#deWit02)).

So these are transformations acting on just the spinors, leaving the vectors alone, such that in particular the super-bracket that pairs two spinors to a vector remains invariant.

For the real [[spin representations]] in dimension 3,4 and 6 which are induced by the [[normed division algebra]] $\mathbb{A} = \mathbb{R}, \mathbb{C}, \mathbb{H}$, respectively (see at _[[division algebra and supersymmetry]]_) and for $N$ supersymmetries (i.e. the spin representation being the [[direct sum]] of $N$ copies of a real irrep) then the R-symmetry group at least includes the $N \times N$ $\mathbb{A}$-[[unitary matrices]] ([Varadarajan 04, section 6.7](#Varadarajan04)).

Geometrically, when realizing [[supergravity]] theories by [[KK-compactification]] of [[11-dimensional supergravity]] then this R-symmetry may be thought of as arising from residual [[isometries]] of the compactification space. 

In [[gauged supergravity]], in turn, part of the [[global symmetry|global]] R-symmetry is promoted to an actual [[gauge group]].

For instance the $SO(8)$ R-symmetry and gauging of [[4d supergravity]] (...say which version...) may be understood geometrically by compactification of 11d supergravity on an $S^7$ fiber (e.g. [de Wit 02, section 5](#deWit02)).

## References

* [[Daniel Freed]], lectures 3 and 5 of _Five lectures on supersymmetry_, 1998

* {#deWit02} [[Bernard de Wit]], section 2.5 of _Supergravity_, 2002 ([pdf](http://www.staff.science.uu.nl/~wit00103/lhlect1.pdf))

* {#Varadarajan04} [[Veeravalli Varadarajan]], section 6.7 of _[[Supersymmetry for mathematicians]]: An introduction_, Courant lecture notes in mathematics, American Mathematical Society, Providence, R.I (2004)


* Wikipedia, _[R-Symmetry](http://en.wikipedia.org/wiki/R-symmetry)_

[[!redirects R-symmetries]]

[[!redirects R-symmetry group]]
[[!redirects R-symmetry groups]]
