
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The _Hamilton-Jacobi equation_ is a first-order nonlinear [[partial differential equation]] that arises in [[variational calculus]] and which gives, in particular, a formulation  of the [[laws of motion]] in [[classical mechanics]]. 

It relates the principal function ([[action functional]] as a function of certain arguments) with the [[Hamiltonian]]. In one dimension it is of the form

$$
\frac{\partial S}{\partial t} + H\left(t, x, \frac{\partial S}{\partial x}\right) = 0
$$

## Related concepts

* [[Hamilton's equations]]

* [[prequantized Lagrangian correspondence]]

* [[Bohmian mechanics]]


## References

* [[eom]]: [Hamilton-Jacobi theory](http://www.encyclopediaofmath.org/index.php/Hamilton-Jacobi_theory)
* [wikipedia](http://en.wikipedia.org/wiki/Hamilton%E2%80%93Jacobi_equation), [scholarpedia](http://www.scholarpedia.org/article/Hamilton-Jacobi_equation)
* V.I. Arnol'd, _Mathematical methods of classical mechanics_
* [[Shlomo Sternberg]], _Lectures in differential geometry_
* L. Vitagliano, _Hamilton-Jacobi diffieties_, [arxiv/1104.0162](http://arxiv.org/abs/1104.0162)

Specifically for [[quadratic Hamiltonians]]:

* {#RobbinSalamon93} [[Joel Robbin]],  [[Dietmar Salamon]], remark 3.4 in _Feynman path integrals on phase space and the metaplectic representation_ in [[Dietmar Salamon]] (ed.), _Symplectic Geometry_, LMS Lecture Note series 192 (1993) ([[RobbinSalamonMetaplectic.pdf:file]])

[[!redirects Hamilton-Jacobi equations]]

[[!redirects Hamilton-Jacobi theory]]

[[!redirects Hamilton-Jacobi action]]
[[!redirects Hamilton-Jacobi actions]]

