
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
#### Quantum field theory
+--{: .hide}
[[!include functorial quantum field theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

Given a [[local action functional]] on [[field (physics)|fields]] which are [[sections]] of a suitable [[field bundle]], [[perturbation theory]] and [[renormalization]] allow to assign to [[open subsets]] of [[spacetime]]/[[worldvolume]] the corresponding [[quantum BV-complexes]]/[[Beilinson-Drinfeld algebras]]. This assignment is canonically equipped with the structure of a [[factorization algebra]], the _factorization algebra of observables_ of the [[theory (physics)|theory]].

This formalization of [[algebraic quantum field theory]] is similar to, but a bit different from, the notion of _[[local net of observables]]_.

## Examples

* Over a Riemann surface: [[vertex operator algebra]] ([Gwilliam, section 6.3, section 6.5](#Gwilliam))

* (...)

## Related concepts

[[!include Isbell duality - table]]

* [[chiral algebra]], [[topological chiral homology]]

## References

A fairly comprehensive account of factorization algebras as a formalization of [[perturbation theory|perturbative]] [[quantum field theory]] (see at _[[factorization algebra of observables]]_) is in 

* [[Kevin Costello]], [[Owen Gwilliam]], _[[Factorization algebras in perturbative quantum field theory]]_ 

* {#Gwilliam} [[Owen Gwilliam]], _Factorization algebras and free field theories_ PhD thesis ([[GwilliamThesis.pdf:file]])
 

and the beginning of

* [[Kevin Costello]], _Notes on supersymmetric and holomorphic field theories in dimensions 2 and 4_ ([arXiv:1111.4234](http://arxiv.org/abs/1111.4234))

Lecture notes include

* [[Kevin Costello]] (with [[Owen Gwilliam]]), _Factorizaton algebras in perturbative quantum field theory_ in [[Oberwolfach Workshop, June 2009 -- Strings, Fields, Topology|Strings, Field, Topology]], Oberwolfach report No 28, 2009 ([pdf](http://www.mfo.de/programme/schedule/2009/24/OWR_2009_28.pdf#page=12))

  This can also be found mentioned in the talk notes of the [[Northwestern TFT Conference 2009]], see in particular

  * notes by  [[Christoph Wockel]], [[costello.pdf:file]]

  * notes by Evan Jenkins on the same talk: [Factorization algebras in perturbative quantum gravity](http://www.math.uchicago.edu/~ejenkins/notes/nwtft/25may-kc.pdf)

[[!redirects factorization algebras of observables]]

[[!redirects factorization algebra of local observables]]
[[!redirects factorization algebras of local observables]]
