
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

Given a [[local Lagrangian density]] $L$ defining the [[action functional]] of a [[local field theory]], typically it splits as a sum

$$
  L = L_{free} + L_{int}
$$ 

of a term $L_{free}$ that defines a [[free field theory]] ([[kinetic energy]]) and a remainder $L_{int}$ defining the interactions of a corresponding [[interacting field theory]]. That remainder then describes the _interactions_ that the otherwise free fields undergo.

The _[[interaction picture]]_ of [[quantum physics]] serves to decompose the [[quantization]] of [[local field theories]] such that the interaction is seen as a [[perturbation]] of the quantization of the [[free field theory]]. This underlies most constructions of [[perturbative quantum field theory]], including the mathematically rigorous formulation via [[causal perturbation theory]].

## Examples

* [[phi^n interaction]]

* [[electron-photon interaction]]

*  The [[holonomy]] of a [[circle bundle with connection]] gives the _[[gauge theory|gauge]] interaction_ term for a [[particle]] [[sigma-model]] charged under an [[electromagnetic field]] given by a [[line bundle with connection]].

* More generally the [[volume holonomy]] of a [[circle n-bundle with connection]] gives the _[[higher gauge theory|higher gauge]]_ interaction of an $(n-1)$-[[brane]] [[sigma model]], for instance the [[string]] sigma-model charged under the [[B-field]] or the [[membrane]] sigma-model charged under the [[supergravity C-field]].

## Related concepts

* [[renormalizable interaction]]

* [[interacting field theory]]

* [[interacting field algebra]]

* [[perturbative quantum field theory]]

* [[scattering]], [[scattering matrix]]

* [[hidden sector]]

[[!include action (physics) - table]]

[[!redirects interactions]]

[[!redirects interaction term]]
[[!redirects interaction terms]]

[[!redirects gauge interaction]]

