
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### $\infty$-Lie theory
+--{: .hide}
[[!include infinity-Lie theory - contents]]
=--
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

For all $n \in \mathbb{N}$ there is supposed to be a pair of [[adjoint (∞,1)-functors]] 

$$
  E_n Alg \stackrel{\overset{\mathcal{U}_n}{\leftarrow}}{\underset{}{\to}}
  L_\infty
$$

between [[E-n algebras]] and [[L-∞ algebras]], suitably factoring through [[Poisson n-algebras]].

The [[left adjoint]] $\mathcal{U}_n$ sends an [[L-∞ algebra]] to its _universal enveloping $E_n$-algebra_ in that for $n = 1$ and for $\mathfrak{g}$ an ordinary [[Lie algebra]], $\mathcal{U}_1(\mathfrak{g})$ is the [[associative algebra]] (an $E_1$=[[A-∞ algebra|A-∞]] algebra) which is the ordinary [[universal enveloping algebra]] of $\mathfrak{g}$.

## Examples and applications

* [[Weyl n-algebra]]

## References
 {#References}

Discussion for $n = 1$, hence universal [[A-∞ algebra|A-∞]]-enveloping algebras of [[L-∞ algebras]] is around theorem 3.1, 3.3 in 

* [[Tom Lada]], [[Martin Markl]], _Strongly homotopy Lie algebras_ ([arXiv:hep-th/9406095](http://arxiv.org/abs/hep-th/9406095))


and more details have been worked out here:

* Vladimir Baranovsky, _A universal enveloping for L-infinity algebras_ ([https://arxiv.org/abs/0706.13960](https://arxiv.org/abs/0706.1396))

Aspects of general enveloping $E_n$-alebras are mentioned in the context of [[factorization homology]] in section 5 and in particular around the bottom of p. 18 in

* [[John Francis]], _Factorization homology of topological manifolds_ ([arXiv:1206.5522](http://arxiv.org/abs/1206.5522))

and more specifically in the context of [[factorization algebras of observables]] around remark 4.5.5 of 

* {#Gwilliam} [[Owen Gwilliam]], _Factorization algebras and free field theories_ PhD thesis ([pdf](http://math.berkeley.edu/~gwilliam/thesis.pdf))
 


The fact that $\mathcal{U}_1$ reproduces the traditional [[universal enveloping algebra]] of a Lie algebra is prop. 4.6.1 in ([Gwilliam](#Gwilliam)).

See also

* [[John Francis]], [[Dennis Gaitsgory]], _Chiral Koszul duality_ ([arXiv:1103.5803](http://arxiv.org/abs/1103.5803))


[[!redirects universal enveloping E-n algebras]]

