
# Sources in computational topology
* table of contents
{: toc}

## Books

* H.  Edelsbrunner and J.L Harer, _[[Computational Topology, An Introduction]]_, AMS, 2010. ([webpage](http://www.ams.org/bookstore-getitem/item=MBK-69))

* A. Zomorodian, _Topology for Computing_, Cambridge University Press, 2005, [publishers' webpage](http://www.cambridge.org/gb/knowledge/isbn/item1171674/?site_locale=en_GB)

* Tomasz Kaczynski, Konstantin Mischaikow and Marian Mrozek, _Computational Homology_, Appl. Math. Sci. Vol. 157, Springer Verlag, NY 2004, [webpage](http://www.springer.com/mathematics/applications/book/978-0-387-40853-8)

* Sergei Matveev, _Algorithmic Topology and Classification of 3-Manifolds_, Second Edition,
Algorithms and Computations in mathematics, Volume 9, Springer Verlag, NY 2007, ISBN 978-3-540-45898-2

## Websites

* [Chomp](http://chomp.rutgers.edu)

* [Comptop](http://comptop.stanford.edu/) -- applied and computational topology group at Stanford University.

* [HAP](http://hamilton.nuigalway.ie/Hap/www/SideLinks/About/aboutContents.html) --  although primarily concerned with Homological Algebra Programming, (whence HAP), this library of GAP based programs includes some of relevance to topology. (See also [CHA](http://hamilton.nuigalway.ie/CHA/).

*  [Kenzo](http://www-fourier.ujf-grenoble.fr/~sergerar/Kenzo/) -- effective algebraic topology as viewed by Francis Sergeraert (Grenoble).



## Software

* [javaplex](http://code.google.com/p/javaplex) - Java library for computing persistent topological invariants
* [Perseus](http://www.sas.upenn.edu/~vnanda/perseus) -- C++ persistent homology software based on Discrete Morse theory.
* [jPlex](http://comptop.stanford.edu/u/programs/jplex/index.html)
* [Dionysus](http://www.mrzv.org/software/dionysus) -- C++ library for computing persistent homology
* Plex for Matlab: older, [C++ based version of Plex](http://comptop.stanford.edu/u/programs/plex.html)

category: topology, applications
[[!redirects sources in computational topology]]
