
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Symplectic geometry
+--{: .hide}
[[!include symplectic geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

Darboux's theorem states that a [[smooth manifold]] $X$ equipped with a [[differential 1-form]] $\theta$ which is sufficiently non-degenerate admits local [[coordinate charts]] $\phi_i \colon\mathbb{R}^{2n} \to X$ on which $\theta$ takes the canonical form $\phi_i^\ast \theta = \sum_{k} x^{2k} \mathbf{d} x^{2k+1}$.

In particular 

* for $(X, \omega)$ a [[symplectic manifold]] there are local charts in which the [[symplectic form]] $\omega$ takes the form $\phi_i^\ast \omega = \sum_{k} \mathbf{d} x^{2k} \wedge \mathbf{d} x^{2k+1}$;

* similarly, for [[contact manifolds]] there are adapated local charts.

(e.g. [Arnold 78, p. 362](#Arnold78))

For the case of symplectic manifolds the Darboux theorem may also be read as saying that a [[G-structure]] for $G = Sp(2n)$ the [[symplectic group]] (hence an [[almost symplectic structure]]) is an [[integrable G-structure]] already when it is first-order integrable, i.e. [[torsion of a G-structure|torsion]]-free, i.e. symplectic. See at _[integrability of G-structures -- Examples -- Symplectic structure](integrability+of+G-structures#ExampleSymplecticStructure)_.

## Related concepts

* [[canonical coordinates]], [[canonical momenta]]

* [[integrable G-structure]]

## References

Lecture notes include

* [[Andreas Čap]], section 1.8 of _Differential Geometry 2_, 2011/2012 ([pdf](http:///www.mat.univie.ac.at/~cap/files/Diffgeom2.pdf))

* {#Pasquotto} Federica Pasquotto, _Linear $G$-structures by example_ ([pdf](http://www.few.vu.nl/~pasquott/course16.pdf))

Textbook accounts include

* {#Arnold78} [[Vladimir Arnol'd]], _[[Mathematical methods of classical mechanics]]_, Graduate texts in Mathematics 60 (1978)

See also

* Wikipedia, _[Darboux theorem](http://en.wikipedia.org/wiki/Darboux%27s_theorem)_

A version for [[supergeometry]] is due to

* [[Bertram Kostant]], in Lecture Notes in Mathematics vol.570, 177, (Bleuler, K. and Reetz, A.eds), Proc. Conf. on Diff. Geom. Meth. in Math. Phys., Bonn 1975., Springer-Verlag, Berlin, 1977

A version for prequantized symplectic manifolds ([[prequantum bundles]]) is discussed in

* {#FaureTsujii12} Frédéric Faure, Masato Tsujii, around prop. 2.15 of _Prequantum transfer operator for symplectic Anosov diffeomorphism_ ([arXiv:1206.0282](http://arxiv.org/abs/1206.0282))


A version for [[shifted symplectic structures]] ([[BV-BRST complex|BV-brackets]]) on [[stacks]] is discussed in 

* [[Christopher Brav]], [[Vittoria Bussi]], [[Dominic Joyce]], _A 'Darboux theorem' for derived schemes with shifted symplectic structure_ ([arXiv:1305.6302](http://arxiv.org/abs/1305.6302))

* [[Oren Ben-Bassat]], [[Christopher Brav]], [[Vittoria Bussi]], [[Dominic Joyce]], _A 'Darboux Theorem' for shifted symplectic structures on derived Artin stacks, with applications_ ([arXiv:1312.0090](http://arxiv.org/abs/1312.0090))



[[!redirects Darboux theorem]]

[[!redirects Darboux coordinate chart]]
[[!redirects Darboux coordinate charts]]

[[!redirects Darboux chart]]
[[!redirects Darboux charts]]

[[!redirects Darboux coordinate]]
[[!redirects Darboux coordinates]]
