
#Contents#
* table of contents
{:toc}

## Definition

### Algebra of function on a set

For $R$ a [[ring]] and $S$ a [[set]], the set of [[functions]] $S \to R$ (to the underlying set of $R$) is itself naturally an [[associative algebra]] over $R$, where addition and multiplication is given pointwise in $S$ by addition and multiplication in $R$: for $f_1, f_2 \colon S \to R$ their sum is the function

$$
  (f_1 + f_2) \colon s \mapsto f_1(s) + f_2(s) \in R
  \,,
$$

their product is the function

$$
  (f_1 \cdot f_2) \colon s \mapsto f_1(s) f_2(s) \in R
$$

and the [[ring]] inclusion $R \to [S,R]$ is given by sending $r \in R$ to the constant function with value $r$.

### Algebra of functions on an $\infty$-stack

More generally, in the context of [[(∞,1)-topos theory]] and [[higher algebra]], there is a notion of [[function algebras on ∞-stacks]].

## Properties

### Relation to free modules

If $S$ is a [[finite set]] or else if one restricts to functions that are non-vanishing only for finitely many elements in $S$, then the algebra of functions with values in $R$ also forms the [[free module]] over $R$ generated by $S$.

### Duality between algebra and geometry

Sending [[spaces]] to their suitable algebras of functions constitutes a basic [[duality]] operation that relates [[geometry]] and [[algebra]]. For more on this see at _[[Isbell duality]]_.

## Related concepts

* [[pullback of functions]]

[[!redirects algebras of functions]]
[[!redirects function algebra]]
[[!redirects function algebras]]

[[!redirects function ring]]
[[!redirects function rings]]

[[!redirects ring of functions]]
[[!redirects rings of functions]]
