> not to be confused with [[Wigner's theorem]]

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
#### Representation theory
+-- {: .hide}
[[!include representation theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The identification of [[particle]] species with [[irreducible representation|irreducible]] [[unitary representations]] of the [[symmetry group]] acting on [[matter]] [[field (physics)|fields]] over [[spacetime]]. Named after [[Eugene Wigner]].

For details see at 

* _[[unitary representation of the Poincaré group]]_.

* _[[unitary representation of the super Poincaré group]]_.

Usese a method that goes back to Frobenius and came to be known as "Wigner's little group method" or the "Mackey machine" ([Mackey 68](#Mackey68)). 

## Related concepts

* [[Doplicher-Roberts reconstruction theorem]]

* [[Deligne's theorem on tensor categories]] -- [Relevance for Supersymmetry](Deligne's+theorem+on+tensor+categories#RelevanceForSupersymmetry)

* [[supermultiplet]]

## References

The original article is

* {#Wigner39} [[Eugene Wigner]], _On unitary representations of the inhomogeneous Lorentz group_, Annals of Mathematics, 40 (1939) 149&#8211;204

The observation that Wigner's representations $U_{(-)}$ are those for which all the maps $g \mapsto \langle \Phi \vert U_g \Psi \rangle$ are [[measurable function|measurable]] and their correspondence of irreducible unitary representations to [[induced representations]] of irreps of the [[stabilizer group]] of a given momentum is (e.g. [Dragon 16](#Dragon16)) due to

* {#Mackey68} [[George Mackey]], _Induced Representations of Groups and Quantum Mechanics_, W. A. Benjamin, New York, 1968

Review includes

* {#Schroer96} [[Bert Schroer]], _Wigner Representation Theory of the Poincar&#233;
Group, Localization, Statistics and the S-Matrix_, 1996  ([pdf](http://cds.cern.ch/record/308785/files/9608092.pdf))

* {#Dragon16} [[Norbert Dragon]], _Currents for Arbitrary Helicity_ ([arXiv:1601.07825](http://arxiv.org/abs/1601.07825))

* Wikipedia, _[Wigner's classification](http://en.wikipedia.org/wiki/Wigner%27s_classification)_

[[!redirects Wigner's classification]]

[[!redirects Wigner-Weyl theory]]