
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### $\infty$-Lie theory
+--{: .hide}
[[!include infinity-Lie theory - contents]]
=--
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
#### Equality and Equivalence
+--{: .hide}
[[!include equality and equivalence - contents]]
=--
=--
=--




#Contents#
* table of contents
{:toc}

## Definition

### In dg-Lie algebras

For $(\mathfrak{g}, [-,-],\partial)$ a [[dg-Lie algebra]] (the [[differential]] of degree -1), a **Maurer-Cartan element** in $\mathfrak{g}$ is

* an element $a \in \mathfrak{g}_1$ of degree -1

* such that the **Maurer-Cartan equation** holds

  $$
    \partial a + \frac{1}{2}[a,a] = 0 
     \,.
  $$

This is a special case of MC elements for [[L-∞ algebras]], which we discuss next.

### In $L_\infty$-algebras
 {#InLInfinityAlgebras}

For $\mathfrak{g}$ an [[L-∞ algebra]] with brackets $[-,\cdots,-]_k$, a Maurer-Cartan element is an element $a \in \mathfrak{g}$ such that

$$
  \sum_{k = 0}^\infty \frac{1}{k!} [a, \cdots, a]_k
  = 
  0
  \,.
$$ 


## Properties
 {#Properties}

### As $L_\infty$-homomorphisms
  {#AsHomomorphisms}

For $\mathfrak{g}$ an [[L-∞ algebra]] and $A$ a [[dg-algebra]], also the [[tensor product]] $A \otimes \mathfrak{g}$ naturally inherits the structure of an [[L-∞ algebra]]. 

Let $\mathfrak{g}$ be of [[finite type]] and write $CE(\mathfrak{g})$ for the [[Chevalley-Eilenberg algebra]] of $\mathfrak{g}$. Then MC-elements in $A \otimes \mathfrak{g}$ correspond bijectively to dg-algebra homomorphisms $A \leftarrow CE(\mathfrak{g})$:

$$
  MC(A \otimes \mathfrak{g})
  \simeq
  Hom_{dgAlg}(CE(\mathfrak{g}), A)
  \,.
$$

A reference for this is for instance around def. 3.1 in ([Hain](#Hain)).

We unwind in steps how this comes about.

The space of [[graded algebra]] [[homomorphisms]] $A  \leftarrow CE(\mathfrak{g})$ is a subspace of the space of [[linear maps]] of [[graded vector spaces]], and since $\mathrm{CE}(\mathfrak{g})$ is freely
generated as a graded algebra and is of finite type by assumption, this is isomorphic to the
space of grading preserving homomorphisms 

$$
  \mathrm{Hom}_{\mathrm{Vect}[{\mathbb{Z}]}}(\mathfrak{g}^*,A)
$$ 

of linear grading-preserving maps from the graded vector space $\mathfrak{g}^*$ of dual generators to $A$. By the usual relation in $\mathrm{Vect}[\mathbb{Z}]$ for $\mathfrak{g}$ of finite type, this is isomorphic to the space of elements of total degree degree 1 in elements of $A$ tensored with $\mathfrak{g}$:

$$
  (A \otimes \mathfrak{g})_1  
  \simeq
  \mathrm{Hom}_{\mathrm{Vect}[{\mathbb{Z}]}}(\mathfrak{g}^*,A)
  \,.
$$ 

The dg-algebra homomorphism form the subspace of this space

$$
    \mathrm{Hom}_{dgAlg}(\mathrm{CE}(\mathfrak{g}),A)
    \hookrightarrow
    \mathrm{Hom}_{grAlg}(\mathrm{CE}(\mathfrak{g}),A)
    \simeq
    (A \otimes \mathfrak{g})_1
$$ 

on elements that respect the differential. Under the above equivalence this are elements $a$ in $(A \otimes \mathfrak{g})_1$ satisfying a certain condition. By inspection one finds that this condition is precisely the MC equation


$$
  d_A A + \partial a  + [a \cdot_A a]_2 + [a \cdot_A a \cdot_A a ]_3
      + \cdots = 0
      \,.
$$    

For instance if $A = \Omega^\bullet(X)$ is the [[de Rham algebra]] of a [[smooth manifold]] $X$, then $MC(A \otimes \mathfrak{g})$ is the space of flat [[infinity-Lie algebroid-valued differential form|L-∞ algebra valued differential forms]] on $X$. See there for more details.


## Examples


For $\mathfrak{g}$ a [[Lie algebra]], $X$ a [[smooth manifold]], there is a canonical dg-Lie algebra structure on $\Omega^\bullet(X) \otimes \mathfrak{g}$. 

A Maurer-Cartan element is then precisely a [[Lie algebra valued 1-form]] $A$ whose [[curvature]] 2-form vanishes

$$
  d_{dR} A + [A \wedge A] = 0
  \,.
$$

## Range of versions and applications

_Maurer--Cartan equation_ is a name for very many related equations in [[geometry]], [[algebra]], [[deformation theory]], [[category theory]] and [[quantization theory]]. Such equations express for example certain conditions in theory of isometric embedding of submanifolds into a euclidean space ('structure equations', with relations to the Lie groups $O(n)$), invariance of invariant differential forms ([[Maurer-Cartan form|Maurer-Cartan forms]]) on Lie groups, flatness of connections on principal or associated fibre bundles, the solutions in some contexts parametrize infinitesimal deformations, or define [[twisting cochain|twisting cochains]].
In the context of BV-quantization, a Maurer--Cartan equation has the role of classical master equation.

A Maurer--Cartan equation for $A_\infty$-[[A-infinity-algebra|algebra]]s is usually referred to as a _generalized Maurer--Cartan equation_ as it has more summands than the one for [[dg-algebra]]s. In some contexts like $A_\infty$-[[A-infinity-category|categories]], some authors prefer the geometric terminology 'homological vector field' as a datum on a formal geometric space which satisfies a Maurer--Cartan equation. Solutions to Maurer-Cartan equation for a dg- or $A_\infty$ algebra are called Maurer-Cartan elements. 

## Maurer-Cartan and Lie theory

[[Sophus Lie]] considered groups of transformations first and discovered [[Lie algebra]]s only later (letter to Mayer, 1874). He has shown that infinitesimally one can solve the Maurer--Cartan equations for a given set of structure constants of a finite-dimensional Lie algebra. This means that one can construct a neighborhood with either the invariant differential form, or dually the invariant vector fields whose commutator corresponds to the commutator of the Lie algebra. This amounts to integrating the Lie algebra to a [[local Lie group]]. Only much later, Elie Cartan succeeded in proving the global version of integration, that is the Cartan--Lie theorem. J-P. Serre in an influential textbook called the Cartan--Lie theorem the "[[Lie's three theorems|third Lie theorem]]", which became a rather popular term in recent years, though one should correctly call so just the theorem on local solvability of Maurer--Cartan equation.  

## References

The historical article of <a href="http://en.wikipedia.org/wiki/Ludwig_Maurer">L. Maurer</a> is 

* L. Maurer, _Über allgemeinere Invarianten-Systeme_,
Münch. Ber. __18__ (1888), 103-150.

A MathOverflow entry about Maurer-Cartan forms for Lie groups: [maurer-cartan-form](http://mathoverflow.net/questions/34418/maurer-cartan-form)

For literature on the third Lie theorem from the point of view of Maurer--Cartan equations, compare the following references:

* Sigurdur Helgason, Differential geometry, Lie groups, and symmetric spaces
* N. Bourbaki, Lie algebras and lie groups, historical appendix 
* F. Engel, P. Heegaard, Sophus Lie Samlede Avhandliger (Collected works) 

* [[Andrey Lazarev]], _Maurer-Cartan moduli and models for function spaces_, [arxiv/1109.3715](http://arxiv.org/abs/1109.3715)

Around def. 3.1 in

* R. M. Hain, _Twisting cochains and duality between minimal algebras and minimal Lie algebras_, Trans. Amer. Math. Soc. **277** (1983), no. 1, 397--411.
 {#Hain}

[[!redirects Maurer-Cartan equation]]
[[!redirects Maurer-Cartan elements]]
[[!redirects Maurer-Cartan element]]