
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The construction of [[quantum field theory]] is often considered only in the [[infinitesimal neighbourhood]] of the [[classical field theory|classical]] [[free field theory]]; this is called _[[perturbative quantum field theory]]_. Since this very coarse (but remarkably succesful) perturbative concept of quantum field theory has come to often be considered by default, one speaks of _non-perturbative quantum field theory_ in order to amplify that the full theory is meant to be considered, not just the perturbative approximation.

An important [[non-perturbative effect]] in experimentally observed [[quantum physics]] that is invisible to [[perturbative QFT]] is the [[confinement]] and the [[mass gap]] of [[quantum chromodynamics]] ([[Yang-Mills theory]] with [[simple Lie group|simple]] [[gauge group]]).

Presently non-perturbative quantum field theories have been constructed only in simple toy examples, such as for [[free field theories]] (no interaction) or in low [[spacetime]] [[dimension]] (e.g. [[2d CFTs]]) or for [[topological quantum field theories]]. 

Indeed the example of non-perturbative [[quantization of Yang-Mills theory]] (see there) in 4 dimensions, or even just enough of it to find the expected [[mass gap]] of the theory, is listed as one of the open "Millenium Problems" by the Clay Mathematics Institute.

One attempt to construct non-perturbative quantum field theories on [[Minkowski spacetime]] was to make rigorous sense of the [[path integral]] for the [[Wick rotation|Wick-rotated]] Euclidean theory by construction of suitable [[measures]]. This approach is known as "[[constructive quantum field theory]]". It worked for [[scalar field theory]] such as [[phi^4 theory]]  in spacetime dimension 2 and 3, but (so far) not in dimension 4.

It may be noteworthy that the established construction of [[perturbative quantum field theory]] has been understood to be an example of the systematic process of [[quantization]] called [[formal deformation quantization]], specifically as an example of [[Fedosov deformation quantization]] ([Collini 16](perturbative+algebraic+quantum+field+theory#Collini16)). Since the non-perturbative version of [[formal deformation quantization]] is _[[strict C*-algebraic deformation quantization]]_ the latter might be a useful perspective on the problem.

## Related concepts


* [[non-perturbative effect]]

* [[conformal bootstrap]]

* [[instanton]]

* [[superselection sector]]

* [[non-perturbative string theory]]

## References

Outlook from the point of view of [[causal perturbation theory]]/[[locally covariant perturbative quantum field theory]] is in


* {#HollandsWald14} [[Stefan Hollands]], [[Robert Wald]], section 4.1 of _Quantum fields in curved spacetime_, Physics Reports Volume 574, 16 April 2015, Pages 1-35 ([arXiv:1401.2026](https://arxiv.org/abs/1401.2026))


A textbook account in the school of [[AQFT]] is in 

* [[Franco Strocchi]], _An Introduction to Non-Perturbative Foundations of Quantum Field Theory_, Oxford University Press, 2013



Lectures notes for non-perturbative [[supersymmetry|supersymmetric]] QFT (such as in [[AdS-CFT]]) includes

* John Terning, _TASI-2002 Lectures: Non-perturbative Supersymmetry_ ([arXiv:hep-th/0306119](http://arxiv.org/abs/hep-th/0306119))



[[!redirects non-perturbative QFT]]

[[!redirects non-perturbative quantum field theories]]

[[!redirects non-perturbative field theory]]
[[!redirects non-perturbative field theories]]


[[!redirects nonperturbative quantum field theory]]
[[!redirects nonperturbative quantum field theories]]

[[!redirects nonperturbative QFT]]
[[!redirects nonperturbative QFTs]]

