
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Gravity
+-- {: .hide}
[[!include gravity contents]]
=--
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--

# Newton\'s gravitational constant
* table of contents
{: toc}

## Idea

[[Isaac Newton|Newton]]\'s [[gravity|gravitational]] constant provided a [[unit of measurement|unit]] conversion between units of [[spacetime]] and units of [[mass]]/[[energy]].


## Motivation

According to [[Albert Einstein|Einstein]]\'s theory of [[general relativity]], the [[Einstein tensor]] $G$ of the [[pseudoRiemannian metric]] $g$ on [[spacetime]] is proportional to the [[stress-energy tensor]] $T$ of the [[matter]] and [[radiation]] in spacetime.  (For simplicity, let any [[cosmological constant]] or other [[dark energy]] be included in $T$.)  The simplest way to state this proportion is as an equality:
$$ G = T $$
or (with [[tensor]] indices)
$$ G_{a,b} = T_{a,b} .$$

However, conventional [[units of measurement]] don\'t allow this equality, and so we write
$$ G_{a,b} = k T_{a,b} ,$$
where the constant $k$ is about $1.67732 \times 10^{-9} \m^3 \kg^{-1} \s^{-2} $ in [[SI unit]]s.  (Depending on how one handles the conversion between the space and time components of $G$ and $T$, there could be extra factors of the [[speed of light]] constant $2.99792458 \times 10^8 \m \s^{-1}$.)

This factor is essentially the gravitational constant; however, the __gravitational constant__ is traditionally taken to be smaller by a factor of $8 \pi$:
$$ G \approx 6.67385 \times 10^{-11} \m^3 \kg^{-1} \s^{-2} .$$
(Yes, the same letter is used for this constant as for the Einstein tensor!)  Although this yields
$$ G_{a,b} = 8 \pi G T_{a,b} $$
in general relativity, it gives the simplest formula for the [[fictional force]] of gravity in the nonrelativistic limit:
$$ F = G \frac{m_1 m_2}{r^2} $$
for the [[force]] exerted by either [[mass]] $m_i$ on the other at a distance $r$.  (It was in this context that Newton used the constant.)


## Measurement

There is good stuff to say here about how we only know this constant to about 6 significant digits and why consequently the kilogramme must still be defined by a specific reference object.

## Related concepts

* [[physical unit]]

* [[Schwarzschild radius]]

* [[Planck mass]], [[Planck length]]

## References

* Wikipedia, _[Gravitational constant](http://en.wikipedia.org/wiki/Gravitational_constant)_


[[!redirects gravitational constant]]
[[!redirects Gravitational constant]]
[[!redirects Newton's constant]]
[[!redirects Newton&39;s constant]]
[[!redirects Newton's constant]]
[[!redirects Newton\'s constant]]
[[!redirects Newton's constant]]
