
#Contents#
* table of contents
{:toc}

## Idea

A class of 2d [[conformal field theories]] which are not rational conformal field theories but are the closest to them in the class of irrational. The appearance of the logarithmic term corresponds to the nontrivial $2\times 2$ Jordan blocks for the $L_0$ operator. Many models of LCFT seem to be related to the quantum groups at even root of unity.

## References

* [[John Cardy]], _Logarithmic conformal field theories as limits of ordinary CFTs and some physical applications_, [arXiv:1302.4279](http://arxiv.org/abs/1302.4279)
* D. Adamović, A. Milas, _Lattice construction of logarithmic modules for certain vertex algebras_, Selecta Math. New Ser. __15__ (2009), 535--561 [arxiv/0902.3417](http://arxiv.org/abs/0902.3417); _An analogue of modular BPZ equation in logarithmic (super)conformal field theory_, to appear in Contemporary Mathematics 497; _An explicit realization of logarithmic modules for the vertex operator algebra $W_{p,p'}$_, [arxiv/1202.6667](http://arxiv.org/abs/1202.6667); $C_2$-cofinite W-algebras and their logarithmic representations_, [arxiv/1212.6771](http://arxiv.org/abs/1212.6771); _Logarithmic intertwining operators and $W(2,2p-1)$-algebras_, J.Math.Phys.48:073503, 2007, [arxiv/math.RT/0702081](http://arxiv.org/abs/math/0702081)
* 2011 workshop [Logarithmic CFT and representation theory](http://www.phys.ens.fr/~jacobsen/acfta/ws_1.html)
* Matthias R Gaberdiel, [[Ingo Runkel]], _From boundary to bulk in logarithmic CFT_, J. Phys. A: Math. Theor. 41 075402 (2008) [doi](http://dx.doi.org/10.1088/1751-8113/41/7/075402)
* A. M. Semikhatov, I. Yu. Tipunin, _Logarithmic $\widehat{sl}(2)$ CFT models from Nichols algebras 1_, [arxiv/1301.2235](http://arxiv.org/abs/1301.2235)
* A. M. Semikhatov, _Factorizable ribbon quantum groups in logarithmic conformal field theories_, Theor.Math.Phys.154:433-453, 2008 [arxiv/0705.4267](http://arxiv.org/abs/0705.4267);  _A Heisenberg double addition to the logarithmic Kazhdan--Lusztig duality_, Lett.Math.Phys.92:81-98, 2010 [arxiv/0905.2215](http://arxiv.org/abs/0905.2215) 
* B L Feigin, A M Gainutdinov, A M Semikhatov, I Yu Tipunin, _Logarithmic extensions of minimal models: characters and modular transformations_, Nucl.Phys. __B757__:303-343,2006 [hep-th/0606196](http://arxiv.org/abs/hep-th/0606196); _Modular group representations and fusion in logarithmic conformal field theories
and in the quantum group center_, Commun. Math. Phys. 265 (2006) 47–93; _Kazhdan–Lusztig correspondence for the representation category of the triplet $W$-algebra in logarithmic CFT_, Theor. Math. Phys. 148 (2006) 1210–1235; _Kazhdan–Lusztig-dual quantum group for logarithmic extensions of Virasoro minimal models_, J. Math. Phys. __48__ (2007) 032303
* Philippe Ruelle, _Logarithmic conformal invariance in the Abelian sandpile model_, [arxiv/1303.4310](http://arxiv.org/abs/1303.4310)
* David Ridout, Simon Wood, _Bosonic ghosts at $c=2$ as a logarithmic CFT_, [arxiv/1408.4185](http://arxiv.org/abs/1408.4185)

category: physics
[[!redirects logarithmic CFTs]]
[[!redirects logarithmic conformal field theory]]
[[!redirects logarithmic conformal field theoroes]]

