Given a [[fibered category]] $\pi=\pi_F: F\to C$, a [[presheaf]] of [[group]]s $\hat{G}:C^{\mathrm{op}}\to\mathrm{Grp}$ (possibly [[representable functor|representable]]), an object $X$ in $C$, and an [[action]] $\hat\nu: \hat{G}\times h_X\to h_X$ (generalizing the action $G\times X\to X$ in the representable case), one says that the object $\rho$ in the fiber $F_X = \pi^{-1}(\mathrm{id}_X)$ is __$\hat{G}$-equivariant__ if $\hat{G}\circ\pi$ is equipped with an action on $h_\rho$, i.e., it is equipped with a natural transformation $\sigma:(\hat{G}\circ\pi)\times h_\rho : F^{\mathrm{op}}\to\mathrm{Set}$ such that for any $\xi\in F$, $\sigma_\xi:\hat{G}(\pi(\xi))\times\mathrm{Hom}_F(\xi,\rho)\to\mathrm{Hom}_F(\xi,\rho)$ satisfies the action axiom of a group $\hat{G}(\pi(\xi))$ on a set $\mathrm{Hom}_F(\xi,\rho)$, and such that $\pi(\sigma)=\hat\nu$. The $\hat{G}$-equivariant objects naturally form a fibered category $\pi^{\hat{G}}:F^{\hat{G}}\to C$ of equivariant objects.

Alternatively, if $F$ and $C$ are [[complete category|complete]] and $\hat{G}$ is represented by $G$ in $C$, the equivariant fiber over a $G$-object $X$ is simply the fiber over the [[simplicial object]] $[ X/G ]$ (the simplicial [[Borel construction]]), that is the category of Cartesian functors $(\sigma^F,\sigma^C):\mathrm{Id}_{\Delta^{\mathrm{op}}}\to\pi_F$ from the opposite of the category of [[simplex|simplices]] $\Delta^{\mathrm{op}}$ considered as a fibered category $\mathrm{Id}_{\Delta^{\mathrm{op}}}:\Delta^{\mathrm{op}}\to\Delta^{\mathrm{op}}$ to the fibered category $\pi_F:F\to C$, such that the bottom component is $\sigma_C = [X/G]:\Delta^{\mathrm{op}}\to C$.

Equivariant objects in fibered categories generalize [[equivariant sheaf|equivariant sheaves]] which in turn generalize (sheaves of sections of) $G$-[[equivariant bundle]]s. The description of $G$-equivariant sheaves via cartesian sections over the simplicial Borel construction translates into the statement that they form the category equivalent to the subcategory of the category of [[Deligne sheaf|Deligne sheaves]] over the simplicial Borel construction all of whose structure morphisms are isomorphisms. Mumford has expressed $G$-equivariant sheaves over a $G$-space $(X,\nu)$ as sheaves $\rho$ equipped with an isomorphism $\theta:\nu^*(\rho)\to p^*(\rho)$ where $p:G\times X\to X$ is the projection and $\nu:G\times X\to X$ is the action, and such that $\theta$ satisfies a certain cocycle condition, which is an identity of sheaves over $G\times G\times X$.

For $G$-equivariant sheaves over a *topological* $G$-space $(X,\nu)$ (as opposed to a $G$-object $(X,\nu)$ in a Grothendieck [[site]]), one can extend the canonical equivalence between étale spaces over $X$ and sheaves over $X$ to a canonical equivalence between étale $G$-spaces over $(X,\nu)$ and $G$-equivariant sheaves over $(X,\nu)$.

##Literature##
* P. Deligne, Théorie de Hodge : III. Publications Mathématiques de l'IHÉS, 44 (1974), p. 5--77 
([numdam](http://www.numdam.org/item?id=PMIHES_1974__44__5_0))
* S. MacLane, I. Moerdijk, Sheaves in geometry and logic, Springer 1992.
* D. Mumford, Geometric invariant theory. Ergebnisse der Mathematik und ihrer Grenzgebiete, Neue Folge, Band 34. Springer 1965. 2nd edition with J. Fogarty, Springer 1982.
* Z. Škoda, Some equivariant constructions in noncommutative algebraic geometry, accepted to Georgian Math. J., [arXiv:0811.4770](http://arxiv.org/abs/0811.4770).
* A. Vistoli, Grothendieck topologies, fibered categories and descent theory. Fundamental algebraic geometry, 1--104, Math. Surveys Monogr., 123, AMS 2005, [arXiv:math.AG/0412512](http://front.math.ucdavis.edu/0412.5512).