The Springer theory is an important approach to the representation theory of [[Weyl group]]s or semisimple algebraic groups. In particular, it features so called Springer representations, which are associated to the unipotent conjugacy classes with an additional parameter, via so called Springer correspondence. 

* wikipedia [Springer correspondence](http://en.wikipedia.org/wiki/Springer_correspondence)
* T. A. Springer, _A construction of representations of Weyl groups_, Invent. Math. __44__ (1978), no. 3, 279–293 [MR0491988](http://www.ams.org/mathscinet-getitem?mr=0491988) [doi](http://dx.doi.org/10.1007%2FBF01403165) 
* N. Chriss, V. Ginzburg, _Representation theory and complex geometry_, Birkhäuser 1997. x+495 pp.

Kazhdan and Lusztig geometrically realized the Springer correspondence via the study of the [[Steinberg variety]] placing its study within the [[geometric representation theory]]:

* [[David Kazhdan]], [[George Lusztig]], _A topological approach to Springer’s representations_, Adv. in Math. __38__ (1980), no. 2, 222–228 [MR82f:20076](http://www.ams.org/mathscinet-getitem?mr=597198) [doi](http://dx.doi.org/10.1016/0001-8708(80)90005-5)
* G. Lusztig, N. Spaltenstein, _On the generalized Springer correspondence for classical groups_, Advanced Studies in Pure Mathematics __6__ (1985) 289–316.
* N. Spaltenstein, _On the generalized Springer correspondence for exceptional groups_, Advanced Studies in Pure Mathematics __6__ (1985) 317–338.
* Ryoshi Hotta, _On Springer’s representations_, J. Fac. Sci. Univ. Tokyo Sect. IA Math. 28 (1981), no. 3, 863–876 (1982) [MR83h:20038](http://www.ams.org/mathscinet-getitem?mr=656061)
* D. Clausen, _Springer correspondence_, Harvard thesis, [pdf](http://www.math.harvard.edu/theses/senior/clausen/clausen.pdf)
* Mikhail Grinberg, _A generalization of Springer theory using nearby cycles_, Represent. Theory __2__ (1998), 410-431 [pdf](http://www.ams.org/journals/ert/1998-002-12/S1088-4165-98-00053-3/S1088-4165-98-00053-3.pdf)

* Julia Sauter, _A survey on Springer theory_, [arxiv/1307.0973](http://arxiv.org/abs/1307.0973)
* Gwyn Bellamy, Travis Schedler, _Kostka polynomials from nilpotent cones and Springer fiber cohomology_, [arxiv/1509.02520](http://arxiv.org/abs/1509.02520)

Some higher categorical aspects are more explicitly present in the works of Nadler and coworkers:

* [[David Nadler]], _Springer theory via the [[Hitchin fibration]]_, [arxiv/0806.4566](http://arxiv.org/abs/0806.4566)

* [[David Ben-Zvi]], David Nadler, _Elliptic Springer theory_, [arxiv/1302.7053](http://arxiv.org/abs/1302.7053)

Elements of the analogue of Springer theory for [[global field]]s are in

* Zhiwei Yun, _Towards a Global Springer Theory I: The affine Weyl group action_, [arxiv/0810.2146](http://arxiv.org/abs/0810.2146)

[[!redirects Springer theory]]
[[!redirects Springer's theory]]
[[!redirects Springer's representation]]
[[!redirects Springer representation]]