
# $N$-complexes
* table of contents
{: toc}


## Idea

While (co)[[chain complexes]] involve $d^2 = 0$, _(co)chain $N$-complexes_ involve a differential $d$ satisfying $d^N = 0$, where $N$ is a [[positive integer]] bigger than $2$.


## References

The $N=3$ case has been studied in 

* W. Mayer, _A new homology theory, I, II_, Annals of Math. __43__ (1942), 370–380, 594–605.

The modern attention to the subject started in

* [[Mikhail Kapranov|M. M. Kapranov]], _On the q-analog of homological algebra_, [q-alg/9611005](http://arxiv.org/abs/q-alg/9611005)

* Michel Dubois-Violette, _Lectures on differentials, generalized differentials and on some examples related to theoretical physics_, [math.QA/0005256](http://arxiv.org/abs/math/0005256)

* Michel Dubois-Violette, _Tensor product of N-complexes and
generalization of graded differential algebras_, Bulg. J. Phys. __36__ (2009) 227–236 [pdf](http://www.bjp-bg.com/papers/bjp2009_3_227-236.pdf)

* Michel Dubois-Violette, Marc Henneaux, _Tensor fields of mixed Young symmetry type and N-complexes_, [math.QA/0110088](http://arxiv.org/abs/math/0110088) [doi](http://dx.doi.org/10.1007/s002200200610)

In the following article the $N$-homological versions of [[Tor]] and [[Ext]] functors are expressed in terms of classical Tor and Ext (of course, with shifted indices). As a consequence of this type of result, the interest in the $N$-homological algebra somewhat diminished. 

* Christian Kassel, Marc Wambst, _Algèbre homologique des N-complexes et homologie de Hochschild aux racines de l'unité_, Publ. RIMS, Kyoto Univ. __34__ (1998), p. 91-114 [pdf](http://www.euro-math-soc.eu/jemsaccess/journals/show_pdf.php?issn=0034-5318&vol=34&iss=2&rank=1) [q-alg/9705001](http://arxiv.org/abs/q-alg/9705001)


category: algebra

[[!redirects N-complex]]
[[!redirects N-complexes]]
