
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Analysis
+-- {: .hide}
[[!include analysis - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Calculus

In various areas of [[mathematics]] there are some standard objects and operations on them and often reasonings and rules of those are expressed in symbolic (typically) sequences which are usually viewed as acts of calculations. Calculus (Latin: 'pebble', 'stone', as for example a bead on an abacus) would be then a set of rules for those calculations. There are for example [[propositional calculus]], [[predicate logic|predicate calculus]], [[sequent calculus]], [[deduction calculus]] as forms of [[logic]], [[relational calculus]] at the interface of logic and [[set theory]], the [[lambda calculus]] in [[type theory]], the probabilistic calculus, the [[matrix calculus]], [[Schubert calculus]], famously [[differential calculus]], and various variants in [[analysis]] like [[tensor calculus]], [[functional calculus]], [[variational calculus]], [[umbral calculus]] etc.. A version of differential calculus in [[homotopy theory]] is [[Goodwillie calculus]]. Then there is [[calculus of fractions]] in [[localization]] theory.

In many, perhaps most Anglophone university curricula, the term "calculus" is a standard abbreviation for the standard basic course in [[differential calculus]] and [[integral calculus]]. A less ambiguous and once common term for such a course is _infinitesimal calculus_[^1] (even where actual infinitesimals were never actually introduced); also still in frequent use these days is simply "the calculus". From the point of view of research mathematics this is the (usually nonrigorous) introduction into the subject properly called mathematical analysis or simply _[[analysis]]_. Thus, while "calculus" has a standard meaning for Anglophone undergraduate students, "calculus" in the context of research mathematics is considered a rather ambiguous and overloaded term, although "the calculus" without further qualifiers may still used by mathematicians today to refer to the differential and integral calculus. 

[^1]: Even if actual infinitesimals are not discussed in classical approaches to the differential calculus, they are nevertheless there *implicitly*, inasmuch as a derivative in any incarnation is a rate of infinitesimal change. From this point of view, the term 'infinitesimal calculus' or 'infinitesimal analysis' is an eminently reasonable description of differential/integral calculus, that accurately situates it within the vast body of general mathematical [[analysis]] which deals with limit processes more generally. 

## Formal calculus

The problem with the ambiguity of the term _calculus_ extends somewhat to "formal calculus". The name is sometimes used for symbolic logical systems where the deducibility is given by syntactic rules, hence "formal". 

More often the term "formal" pertains to various calculi which are akin to infinitesimal calculus, but without the analytic tools like limiting procedure, but rather applying formal rules of differentiation, integration and so on. Many 
examples from abstract derivations and differential calculi on noncommutative associative algebras, regular differential operators on algebraic [[scheme]]s to Goodwillie calculus of functors belong to this wide group. [[Joyal]]'s [[species]] are a particular formal tool which can (among other things) relating calculi with power series and applying those to [[combinatorics]]. Particularly often one says formal calculus for formal rules of differentiation and integration with formal power series, formal Laurent series and generalizations. Thus formal calculi define the infinitesimal calculus and its generalizations and analogues without usage of proper mathematical analysis. This, of course, can be done for quite a different (sometimes smaller, sometimes larger) class of formal objects replacing functions which the operations are applied upon. 

In order to mark the subject and ideas, the $n$Lab tag [formal calculus](/nlab/list/formal+calculus) will be used for the analogues of infinitesimal calculus defined in areas or in a manner not using mathematical analysis. The tag will not be used for entries on various "calculi" which are not analogues of infinitesimal calculus. 

## References

* [[Michael Spivak]], _[[Calculus on Manifolds]]_ (1971)

Discussion of the history of differential calculus with emphasis on its roots all the way back in [[Zeno's paradoxes of motion]] is in 

* {#Boyer49} Carl Benjamin Boyer, _The history of the Calculus and its conceptual development_, Dover 1949 

Closely related to the notion of "a calculus" is the notion of "an algebra", for example we have "[[relational calculus]]" and "the algebra of relations", or we have [[partial combinatory algebra|combinatory algebra]] and "the calculus of combinators". Thus "calculus" and "algebra" in these contexts are often used interchangeably, both referring to modes of reckoning by symbolic manipulations in a formal system. For some discussion of possible distinctions between the two terms, see this MathOverflow discussion: 

* Steffen Jensen (https://mathoverflow.net/users/8797/steffen-jensen), Difference between a 'calculus' and an 'algebra', URL (version: 2011-12-08): [https://mathoverflow.net/q/36758](https://mathoverflow.net/q/36758). 



category: disambiguation, analysis, formal calculus

[[!redirects calculi]]
[[!redirects formal calculus]]
[[!redirects formal calculi]]