
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Symplectic geometry
+--{: .hide}
[[!include symplectic geometry - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

### Traditional notion

Given a [[presymplectic manifold]] $(X,\omega)$ there is the [[Poisson bracket]] [[Lie algebra]] $\mathfrak{Poisson}(X.\omega)$ of [[Hamiltonians]] and their [[Hamiltonian vector fields]]. This is a [[extension of Lie algebras]] of the Lie algebra of just Hamiltonian vecotor fields. Over a [[connected topological space|connected]] manifold it is an extension by $\mathbb{R}$. The [[Lie integration]] of this extension is the [[quantomorphism group]]-extension of the group of [[Hamiltonian symplectomorphisms]].

These extensions are called **Kostant-Souriau extensions** after [[Bertram Kostant]] and [[Jean-Marie Souriau]]. They play a central role in [[geometric quantization]].

### Refinement to higher geometry

For $(X,\omega)$ a [[pre-n-plectic manifold]] there is an [[L-∞ algebra]] extension that generalizes the Kostant Souriau extension: the [[Poisson bracket L-∞ algebra]] ([Rogers](#Rogers)).

These in turn are special cases of [[L-∞ algebra cohomology|L-∞ algebra extension]]/[[∞-group extensions]] which are variants of the [[higher Atiyah groupoid]]-extensions that exist in general in [[cohesive]] [[higher geometry]] ([Hgpt](#Hgpt)), as indicated in the following table:

[[!include geometric quantization extensions - table]]


## References

The traditional Kostant-Souriau extension appears for instance prop. 2.3.9 in 

* [[Jean-Luc Brylinski]], _Loop spaces, characteristic classes and geometric quantization_, Birkhäuser (1993)

The refinement to [[n-plectic geometry]] is due to 

* [[Chris Rogers]], _$L_\infty$ algebras from multisymplectic geometry_ , 
Letters in Mathematical Physics April 2012, Volume 100, Issue 1, pp 29-50  ([arXiv:1005.2230](http://arxiv.org/abs/1005.2230), [journal](http://link.springer.com/article/10.1007%2Fs11005-011-0493-x)).
 {#Rogers}

A general characterization in [[higher geometry]] is in 

* _[[schreiber:Higher geometric prequantum theory]]_

[[!redirects Kostant-Souriau extensions]]

[[!redirects Kostant-Souriau central extension]]
[[!redirects Kostant-Souriau central extensions]]

[[!redirects Kostant Souriau extension]]
[[!redirects Kostant Souriau extensions]]

