__Fernando Zalamea Traba__ is a mathematician at Universidad Nacional de Colombia at Bogotá with main interests in [[categorical logic]], non-classical logic, [[history]] and [[philosophy]] of mathematics. He is also writing essays in cultural studies.

### On the difference between modern and contemporary mathematics

Just as [[Albert Lautman]] identified 5 features characteristic of advanced (post mid-19th century) mathematics (1-5 in this list), Zalamea identifies an additional set of 5 characteristics (6-10 in this list) which emerge only in the mid 20th century and (in addition to 1-5, which are conserved) define contemporary mathematics:

1. the _complex hierarchisation_ of various theories, irreducible to systems of _intermediate_ deduction; 

2. the _richness_ of the models, irreducible to linguistic manipulation; 

3. the _unity_ of structural methods and of conceptual polarites, beyond the effective multiplicity of models; 

4. the _dynamics_ of the creative activity, in a permanent back-and-forth between freedom and saturation, open to the Platonic division and the Platonic dialectic; 

5. the _mathematically demonstrable relation_ between what is multiple on a given level and what is singular on another, through a sophisticated lattice of mixed ascents and descents.

6. the structural _impurity_ of arithmetic (Weil's conjectures, Langlands program, the theorems of Deligne, Faltings and Wiles etc.)

7. the systematic _geometrization_ of all environments of mathematics (sheaves, homologies, cobordisms, geometrical logic etc.)

8. the _schematization_ and the liberation from set theoretical, algebraic, and topological restrictions (groupoids, categories, schemas, topoi, motifs etc..)

9. the _fluxion_ and deformation of the usual boundaries of mathematical structures (nonlinearity, noncommutativity, nonelemantarity, quantization etc)

10. the _reflexivity_ of theories and models onto themselves (classification theory, fixed-point theorems, monstrous models, elementary/nonelementary classes etc..)

### On reintegrating our dispersed culture

from

* [Peirce and Latin American “razonabilidad”: forerunners of Transmodernity](http://lnx.journalofpragmatism.eu/wp-content/uploads/2009/11/09-zalamea.pdf), 2009

> A programmatic construction of a sheaf of partial cultural gluings could then be articulated around three main pieces of information: (I) Methodological forces: topological and transformational thinking, universal relatives, logic of sheaves, residuation theory, pendulum weaving, etc. (II) Cultural realizations: critical theory, metaphoric sedimentation, contaminating strata, mediating hierarchies, etc. (III) Projective goals: description of  reflective residues (gluing local and global), dense fabrics (joining multipolar threads), plastic generic forms (allowing continuity and dislocating dualisms), etc. It is our contention that (i) Peirce’s system and many mathematical tools, both modern (Riemann, Galois) and contemporary (Grothendieck), provide all the necessary theoretical background to support (I); (ii) Germany’s critical dialectical tradition and Latin America’s TRANS essayists give good examples of how to deal with (II); and (iii) the very “end” of Postmodernism as such, with its reformulations within Modernism and Transmodernism, show the imperative of the integrated relativity, plasticity and contamination sought in (III). Precise labours on these problems will take years, but, with many non-standard tools at hand, pragmaticism and “razonabilidad” can lead the way.

###References

* [web](http://www.docentes.unal.edu.co/fzalameat)

* Fernando Zalamea, _Filosofía sintética de las matemáticas contemporáneas_, (Spanish) Obra Selecta. Editorial Universidad Nacional de Colombia, Bogotá, 2009. 231 pp. [MR2599170](http://www.ams.org/mathscinet-getitem?mr=2599170), ISBN: 978-958-719-206-3, [pdf](<http://files.acervopeirceano.webnode.es/200000065-18c1b19bb9/Zalamea-Fil-Sint-Mat-Cont.pdf>). Transl. into English by Zachary Luke Fraser: _Synthetic philosophy of contemporary mathematics_, Sep. 2011. [bookpage](http://www.urbanomic.com/pub_syntheticmath.php). Some excerpts are [here](http://ifile.it/2c3qgz5) (pdf). 
* G. Maddalena, F. Zalamea, _A new analytic/synthetic/horotic paradigm. From mathematical gesture to synthetic/horotic reasoning._, European journal of pragmatism and American philosphy 2009 [pdf](http://lnx.journalofpragmatism.eu/wp-content/uploads/2012/12/18_maddalena_zalamea.pdf)
* Fernando Zalamea Traba, _Ariada y Penélope. Redes y mixturas en el mundo contemporáneo_, 2004 	
* Fernando Zalamea Traba, _America – una trama integral: Transversalidad, bordes y abismos en la cultura americana, siglos XIX y XX_, Biblioteca abierta. Estudios interdisciplinarios 2009
* F. Zalamea, Versus Laboratory Seminar 24: _Sheaf Logic & Philosophical Synthesis_, mp3 audio file <https://archive.org/download/VersusLaboratorySeminar24SheafLogicPhilosophicalSynthesisWith/Sem24-FernandoZalamea_02.mp3>
* [[Giuseppe Longo]], _[Synthetic Philosophy of Mathematics and Natural Sciences: Conceptual Analyses from a Grothendieckian Perspective. (Reflections on “Synthetic Philosophy of Contemporary Mathematics” by Fernando Zalamea).](http://www.di.ens.fr/users/longo/files/PhilosophyAndCognition/Review-Zalamea-Grothendieck.pdf)_ 
category: people, philosophy

[[!redirects Fernando Zalamea Traba]]