
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
#### Symplectic geometry
+--{: .hide}
[[!include symplectic geometry - contents]]
=--
#### $\infty$-Lie theory
+--{: .hide}
[[!include infinity-Lie theory - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

For $(X, \pi)$ a [[Poisson manifold]], its _Poisson cohomology_ ([Lichnerowicz](#Lichnerowicz)) is equivalently the [[Lie algebroid cohomology]] $H^\bullet(CE(\mathfrak{P}))$ of the corresponding [[Poisson Lie algebroid]] $\mathfrak{P}$, hence the [[cochain cohomology]] of its [[Chevalley-Eilenberg algebra]] $\mathfrak{P}$ ([Huebschmann](#Huebschmann)).

Similarly if one generalizes from the the Poisson algebra of functions on a smooth manifold is generalized to any [[Poisson algebra]], the corresponding _Poisson cohomology_ is that of the corresponding Poisson [[Lie-Rinehart pair]].

## References

The notion of Poisson cohomology was introduced in 

* [[André Lichnerowicz]], Les variétés de Poisson et leurs algèbres de Lie associées, J. Differential Geometry 12 (1977), 253-300 [MR0501133](http://www.ams.org/mathscinet-getitem?mr=0501133) [euclid](http://projecteuclid.org/euclid.jdg/1214433987)
 {#Lichnerowicz}

A textbook reference on Poisson cohomology is section 3.6 (for $H^0$ and $H^1$) and sec. 18.4 (in terms of a cohomology for Lie algebroids) in 

* A. Cannas da Silva, [[Alan Weinstein]], _Geometric models for noncommutative algebras_, Amer. Math. Soc. 1999 (Berkeley Mathematics Lecture Notes) [pdf](http://math.berkeley.edu/%7Ealanw/Models.pdf) [errata](http://math.berkeley.edu/%7Ealanw/Modelserrata.pdf)

* Izu Vaisman, _Remarks on the Lichnerowicz-Poisson cohomology_, Annales de l'institut Fourier 40.4 (1990): 951-963. <http://eudml.org/doc/74907>.

The observation that Poisson cohomology is just the [[Lie algebroid cohomology]] of the corresponding [[Poisson Lie algebroid]] is originally due to 1990 article 

* [[Johannes Huebschmann]], _Poisson cohomology and quantization_ J. Reine Angew. Math. __408__ (1990), 57-113, [MR1058984](http://www.ams.org/mathscinet-getitem?mr=1058984) [doi](http://dx.doi.org/10.1515/crll.1990.408.57), reprinted at [arXiv:1303.3903](http://arxiv.org/abs/1303.3903)
 {#Huebschmann}

A different flavour is variational Poisson cohomology

* A. De Sole, [[Victor Kac]], _Essential variational Poisson cohomology_, Comm. Math. Phys. __313__ (2012), no. 3, 837-864 [arxiv/1106.5882](http://arxiv.org/abs/1106.5882); _The variational Poisson cohomology_, Jpn.
J. Math. 8, (2013), 1-145 [arxiv/1106.0082](http://arxiv.org/abs/1106.0082)
