

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Arithmetic
+--{: .hide}
[[!include arithmetic geometry - contents]]
=--
=--
=--


# Positive numbers
* table of contents
{: toc}

## Definition

Typically, a __positive number__ is a [[real number]] $p$ such that, using the usual [[linear order]] on the [[real line]],
\[ p \gt 0 \label{strict}\]
For emphasis, such a number may be called __strictly positive__ or __[[positive definiteness|positive definite]]__.

A real number $p$ is __nonnegative__ if
\[ p \geq 0 ,\label{weak}\]
using the usual [[total order]] on the real line.  The only nonnegative number that is not positive is [[zero]].  Such a number may also be called __weakly positive__ or __[[positive definiteness|positive semidefinite]]__; sometimes (especially in French), it is called simply 'positive'.

The formulas (eq:strict) and (eq:weak) may be used as well for $p$ taken from various extensions and restrictions of the real line.  For example:

*  If $p$ is a [[rational number]], then we may use the usual orders on the set of rational numbers, or equivalently interpret $p$ as a special real number and use the definitions for a real number.  Thus positive rational numbers specialise positive real numbers.  (The same thing goes for other [[subalgebras]] of the real line.)
*  If $p$ is a [[complex number]], then we may use the usual [[quasiorder]] and [[partial order]] on the [[complex plane]], or equivalently require first that $p$ is real and then use the definitions for a real number.  Thus positive complex numbers are the same as positive real numbers.  However, the term 'nonnegative' should not be used here.  (The same thing goes for other [[hypercomplex number|hypercomplex]] extensions of the real line.)
*  If $p$ is a [[surreal number]], then we use the usual orders on the surreal line; we may *not* assume that $p$ is real this time.  Thus positive surreal numbers generalise positive real numbers.  (The same thing goes for other [[hypperreal number|hyperreal]] extensions of the real line.)

The set of (say real) positive numbers may be denoted $\dot{\mathbb{R}}^+$, $]0,\infty[$, $\mathbb{R}_{\gt0}$, or in many other ways; the corresponding notations for the set of nonnegative numbers are $\mathbb{R}^+$, $[0,\infty[$, and $\mathbb{R}_{\geq0}$.


## Applications

[[Karl Weierstrass|Karl Weierstraß]]\'s [[epsilontic analysis]] relies on repeatedly [[quantification|quantifying]] over the (strictly) positive real numbers.  These positive numbers are typically denoted $\epsilon$ and $\delta$, hence the term 'epsilontics'.  This quantification replaces the use of (individual) positive [[infinitesimal numbers]] in intuitive pre-epsilontic analysis (or in rigorous post-epsilontic [[nonstandard analysis]]).  In [[predicative mathematics]], one may prefer to quantify over positive [[rational numbers]], or even over the numbers $1/n$ for $n$ a positive [[integer]], instead.  (The important thing is to have a [[small set]] of positive numbers whose [[topological closure]] includes [[zero]].)

## Related concepts

* [[even number]], [[odd number]]

* [[sign function]]

[[!redirects positive number]]
[[!redirects positive numbers]]

[[!redirects strictly positive number]]
[[!redirects strictly positive numbers]]

[[!redirects nonnegative number]]
[[!redirects nonnegative numbers]]
[[!redirects non-negative number]]
[[!redirects non-negative numbers]]

[[!redirects weakly positive number]]
[[!redirects weakly positive numbers]]

[[!redirects positive real number]]
[[!redirects positive real numbers]]
[[!redirects positive real]]
[[!redirects positive reals]]

[[!redirects negative number]]
[[!redirects negative numbers]]

[[!redirects negative real number]]
[[!redirects negative real numbers]]

[[!redirects non-negative number]]
[[!redirects non-negative numbers]]


[[!redirects non-negative real number]]
[[!redirects non-negative real numbers]]


