
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Category theory
+-- {: .hide}
[[!include category theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Definition

$\Fin\Set$ is the [[category]] of [[finite set]]s and all [[function]]s between them: the [[full subcategory]] of [[Set]] on finite sets.  


(For [[constructive mathematics|constructive]] purposes, take the strictest sense of 'finite'.)

It is easy (and thus common) to make $\Fin\Set$ [[skeleton|skeletal]]; there is one [[object]] for each [[natural number]] $n$ (including $n = 0$), and a [[morphism]] from $m$ to $n$ is an $m$-tuple $(f_0, \ldots, f_{m-1})$ of numbers satisfying $0 \leq f_i \lt n$.  This amounts to identifying $n$ with the set $\{0, \ldots, n - 1\}$.  (Sometimes $\{1, \ldots, n\}$ is used instead.)

## Properties

### Opposite category
 {#OppositeCategory}

+-- {: .num_prop}
###### Proposition

The [[opposite category]] of $FinSet$ is [[equivalence of categories|equivalent]] to that of finite [[Boolean algebras]]

$$
  FinSet^{op} \simeq FinBool
  \,.
$$

This equivalence is induced by the [[power set]]-[[functor]]

$$
  \mathcal{P} \;\colon\; FinSet^{op} \stackrel{\simeq}{\to} FinBool
  \,.
$$

=--

This is discussed for instance as ([Awodey, prop. 7.31](#Awodey)). For the generalization to all sets see at _[Set -- Properties -- Opposite category and Boolean algebras](Set#OppositeCategory)_. See at _[[Stone duality]]_ for more on this.

+-- {: .num_remark}
###### Remark

In constructive mathematics, for any flavor of _[[finite set|finite]]_, $\mathcal{P}$ defines an equivalence of $FinSet$ with the opposite category of that of those [[complete lattice|complete]] [[atom|atomic]] [[Heyting algebras]] whose set of atomic elements is finite (in the same sense as in the definition of $FinSet$).

=--


### In topos theory

The category $FinSet$ is an [[elementary topos]] and the inclusion $FinSet \hookrightarrow Set$ is a [[logical morphism]] of toposes. ([[Elephant|Elephant, example 2.1.2]]).

Mathematics done within or about $\Fin\Set$ is [[finite mathematics]].

A [[presheaf]] of sets on $\Fin\Set$ is a [[symmetric set]]; one generally uses the skeletal version of $\Fin\Set$ for this.

The [[copresheaf]] category $[FinSet,Set]$ is the [[classifying topos]] for the _[[theory of objects]]_ (the empty theory over the signature with one sort and no primitive symbols except equality). ([[Elephant|Elephant, D3.2]]).


### Subcategories of $FinSet$

The [[simplex category]] $\Delta$ embeds into $\Fin\Set$ as a category with the same objects but fewer morphisms. The category of [[cyclic set]]s introduced by Connes lies in between. All the three are special cases of extensions of $\Delta$ by a group in a particularly nice way. Full classification of allowed [[skew-simplicial sets]] has been given by Krasauskas and independently by Loday and Fiedorowicz.

### As a Lawvere theory

The [[cartesian monoidal category]] $FinSet_+$ of nonempty finite sets is the multi-sorted [[Lawvere theory]] of unbiased [[boolean algebra]]s. As a [[lawvere theory]], $FinSet$ has one more sort, corresponding to $\emptyset$, and one more model, in which every sort has exactly one element (in all the other models, the sort corresponding to $\emptyset$ is empty).




## Related concepts

* [[permutation category]]

* [[braid category]]

* [[finite homotopy type]]

## References

* [[Steve Awodey]], _[Category Theory](http://www.andrew.cmu.edu/course/80-413-713/) -- lecture 7_ ([pdf](http://www.andrew.cmu.edu/course/80-413-713/notes/chap07.pdf))
 {#Awodey}

category: category

[[!redirects category of finite sets]]
