
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Topology
+-- {: .hide}
[[!include topology - contents]]
=--
#### Algebra
+-- {: .hide}
[[!include higher algebra - contents]]
=--
#### Noncommutative geometry
+--{: .hide}
[[!include noncommutative geometry - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

A _dense subalgebra_ of a [[topological algebra]] is a [[subalgebra]] which is also a [[dense subspace]].

For instance, the algebra of [[smooth functions]] on a given [[smooth manifold]] $M$ is a dense subalgebra of the [[C-star-algebra]] of [[continuous functions]] on $X$.  Conversely, if we start with a [[commutative C-star-algebra]] $A$ and view it as the algebra of continuous maps on its [[spectrum]] $S$, then picking a dense subalgebra of $A$ may specify a [[smooth structure]] on $S$ (which may be any [[compactum|compact Hausdorff space]]).  For [[noncommutative geometry]], we can let $A$ be an arbitrary $C^*$-algebra. One also speaks of **smooth C-star algebras** if a $C^\ast$-algebra is equipped with an inverse system of inclusions of dense subalgebra (a noncommutative version of [[Frechet spaces]]).

Hence equipping a [[C-star-algebra]] with a choice of dense subalgebra serves may be thought of as refining from [[noncommutative topology]] to [[noncommutative geometry]]. This is for instance what happens in the definition of [[spectral triples]] and in smooth refinements of [[KK-theory]].

## Related concepts

* [[F-star-algebra]]

## References

* E. Kissin, V. S. Shulman, _Differential properties of some dense subalgebras of $C^\ast$-algebras_,  Proceedings of The Edinburgh Mathematical Society, vol. 37, no. 03 (1994)

* Larry Schweitzer, _Dense nuclear Fréchet ideals in $C^\ast$-algebras_ ([arXiv:1205.0089](http://arxiv.org/abs/1205.0089))


[[!redirects dense subalgebra]]
[[!redirects dense subalgebras]]

[[!redirects smooth C-star-algebra]]
[[!redirects smooth C-star-algebras]]

[[!redirects smooth C*-algebra]]
[[!redirects smooth C*-algebras]]



