
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Category theory
+-- {: .hide}
[[!include category theory - contents]]
=--
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
#### Duality
+--{: .hide}
[[!include duality - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The notion of  _Tannakian category_ is an abstraction of the kind of data that enters the _[[Tannaka reconstruction theorem]]_: it is a suitable [[monoidal category]] $\mathcal{C}$ -- playing the role of a category of [[representations]]/[[actions]] of some algebraic structure over some [[base ring]] $R$ -- and equipped with a [[monoidal functor]] $\mathcal{C} \to R Mod$ to $R$-[[modules]] or similar -- playing the role of the [[forgetful functor]] which forgets the [[action]] (the "[[fiber functor]]").

## Related concepts

* [[Tannaka duality]]

* [[Deligne's theorem on tensor categories]]

## References

* N. Saavedra Rivano, _Catégories Tannakiennes_, Lecture Notes in Mathematics 265, Springer-Verlag, Berlin-New York, (1972).

* [[Pierre Deligne]], _[[Catégories Tannakiennes]]_, The Grothendieck Festschrift, Volume 2, 111--195. Birkhäuser, 1990.

* [[Larry Breen]], _Tannakian categories_, in _Motives_, Proceedings of Symposia in Pure Mathematics, 55, Providence, R.I.: American Mathematical Society, 1994.  

The relation to [[motives]] is disucssed in

* [[Pierre Deligne]], [[James Milne]], _Tannakian categories_ ([web](http://www.jmilne.org/math/xnotes/tc.html))

* [[Pierre Deligne]], [[James Milne]], A. Ogus, K-y Shih, _Hodge cycles, motives, and Shimura varieties_, Lecture Notes in Mathematics, 900, Springer-Verlag, Berlin-New York, (1982).  [Annotated and corrected version (2012)](http://www.jmilne.org/math/xnotes/tc.pdf) (PDF).

* [[Yves André]], _Une introduction aux motifs (motifs purs, motifs mixtes, périodes)_,  Panoramas et Synthèses, 17, Paris: Société Mathématique de France. (2004)

* R. Sujatha, _Motives from a categorical point of view_, notes from Franco-Asian Conference on Motives, IHES, 2006.  [PDF](http://www.math.tifr.res.in/~sujatha/ihes.pdf)

[[!redirects Tannakian categories]]
[[!redirects Tannaka category]]
[[!redirects Tannaka categories]]

