
#Contents#
* table of contents
{:toc}

## Idea

Given a [[topological group]] $G$, a (continuous) $G$-set is a [[set]] $X$ equipped with a continuous group [[action]] $\mu: G \times X \to X$, where $X$ is given the discrete topology.

In the case where $G$ is a discrete group, the continuity requirement is void, and this is just a [[permutation representation]] of the discrete group $G$.

Note that since $X$ must be given the discrete topology, this behaves rather unlike [[topological G-spaces]]. In particular, a topological group does not act continuously on itself, in general. Thus this notion is not too useful when $G$ is a "usual" topology group like $SU(2)$. Instead, the topology on the group acts as a [[filter]] of subgroups (where the filter contains the open subgroups), and each element of a continuous $G$-set is required to have a "large" stabilizer.

The $G$-sets form a [[category]], where the morphisms are the $G$-invariant maps. See [[category of G sets]].

## Properties

+-- {: .num_prop}
###### Proposition {#ContinuousCharacterization}
Let $G$ be a topological group, and $X$ be a set with a $G$ action $\mu: G \times X \to X$. Then the action is continuous if and only if the stabilizer of each element is open.
=--

+-- {: .proof}
###### Proof
Suppose $\mu$ is continuous. Since $X$ has the discrete topology, $\{x\}$ is an open subset of $X$. So $\mu^{-1}(\{x\})$ is open. So we know the stabilizer
$$
  I_x = \{g \in G: g \cdot x = x\} = \{g \in G: (g, x) \in \mu^{-1}(\{x\})\}
$$
is open.

Conversely, suppose each such set is open. Given any (necessarily open) subset $A \subseteq X$, its inverse image is
$$
  \mu^{-1}(A) = \bigcup_{a \in A} \mu^{-1}(\{a\}).
$$
So it suffices to show that each $\mu^{-1}(\{a\})$ is open. We have
$$
  \mu^{-1}(\{a\}) = \bigcup_{x \in X}\{g \in G: g \cdot x = a\} \times \{x\}.
$$
Thus we only have to show that for each $a, x \in X$, the set $\{g \in G: g \cdot x = a\}$ is open. If there is no such $g$, then this is empty, hence open. Otherwise, let $g_0$ be such that $g_0 \cdot x= a$.  Then we have
$$
  \{g \in G: g \cdot x = a\} = g_0 \cdot I_x.
$$
Since $g_0$ is a homeomorphism, and $I_x$ is open, this is open. So done.
=--

## Examples

### Discrete groups

In the following examples, all groups are discrete.

* A $\mathbb{Z}_2$-set is a set equipped with an [[involution]].

* Any [[permutation]] $\pi : X \to X$ gives $X$ the structure of a $\mathbb{Z}$-set, with the action of $\mathbb{Z}$ on $X$ defined by iterated composition of $\pi$ or $\pi^{-1}$.

* $G$ is itself a $G$-set via the (left or right) [[regular representation]]. 

* A [[normal subgroup]] $N \lhd G$ defines a $G$-set by the action of [[conjugation]].

* For $G$ a [[finite group]] then [[Mackey functors]] on [[finite set|finite]] $G$-sets are equivalent to genuine [[G-spectra]].

### Continuous groups

* The group $\Sigma_N$ of permutations of the natural numbers can be given the topology generated by the stabilizers of finite subsets of $N$. This acts continuously on $N$. This is used in the construction of the [[basic Fraenkel model]].

## Related concepts

* [[topological G-space]]

* [[category of G sets]]

* [[Galois theory]]

* [[action]]: a $G$-set is a set with an _action_ of the given group, $G$.

* [[Borel model structure]]

* [[Burnside ring]], [[Burnside category]]

[[!redirects G-sets]]