
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Functional analysis
+-- {: .hide}
[[!include functional analysis - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

Given a [[manifold]] $X$, there is a [[Hilbert space]] $L^2(X)$ whose elements are square-[[integration of differential forms|integrable]] [[half-densities]] on $X$, and whose [[inner product]] is given by [[tensor product|tensoring]] two half-densities to an actual [[density]] and then [[integration of differential forms|integrating]] that over $X$.

This Hilbert space is often called the _canonical Hilbert space_ of $X$, in contrast with the [[L-2-spaces]] $L^2(X,\mu)$ of $\mu$-[[integrable function|integrable]] [[functions]] for every choice of [[measure]] $\mu$ on $X$.

The notion of canonical Hilbert spaces originates in the context of [[geometric quantization]] in ([Guillemin-Sternberg](#GuilleminSternberg)). It directly corresponds to the "canonical" construction of [[groupoid convolution algebras]] (see there for details) from sections of half-density bundles without choice of a [[Haar measure]]. 


## References

The notion originates in [[geometric quantization]] around

* [[Victor Guillemin]], [[Shlomo Sternberg]], _Geometric asymptotics_ Math. Surveys, 14, Amer. Math. Soc., Providence, R.I., 1977; MR 58 # 24404.
 {#GuilleminSternberg}

Related lecture notes include

* Sean Bates, [[Alan Weinstein]], _Lectures on the geometry of quantization_, [pdf](http://www.math.berkeley.edu/~alanw/GofQ.pdf)


Applications in [[operator algebra]] theory appear in 

* [[Alain Connes]], _[[Noncommutative Geometry]]_



[[!redirects canonical Hilbert space of half-densities]]
[[!redirects canonical Hilbert spaces of half-densities]]
[[!redirects canonical Hilbert-space of half-densities]]
[[!redirects canonical Hilbert-spaces of half-densities]]
