
> under construction

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Algebra
+-- {: .hide}
[[!include higher algebra - contents]]
=--
#### Operator algebra
+-- {: .hide}
[[!include AQFT and operator algebra contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A _Hopf $C^\ast$-algebra_ according to ([Vaes-VanDale](#VaesDaele)) is a [[C-star algebra]] equipped with [[stuff, structure, property|structure and property]] analogous to that of a [[Hopf algebra]] structure on the underlying [[associative algebra]]. 

A _weak $C^\ast$-Hopf algebra_ according to ([Böhm-Szlachanyi](#BohmSzlachanyi)) is a [[star-algebra|star]]-[[weak Hopf algebra]] such that has a faithful [[star-representation]] on a [[Hilbert space]].

With suitable definitions the central [[Tannaka duality]]-property of [[Hopf algebras]] (that their [[representation category]] is a [[rigid monoidal category]] with [[fiber functor]]) is lifted to the [[operator algebra]] context: the $C^\ast$-[[representation category]] of a (weak) $C^\ast$-Hopf algebra is a rigid monoidal _[[C-star-category]]_ with [[fiber functor]]. ([Böhm-Szlachanyi](#BohmSzlachanyi)).



## References

$C^\ast$ algebras equipped with a suitable [[coproduct]], but without an [[antipode]] -- hence just $C^\ast$-[[bialgebras]] -- , are considered in

* S. Baaj, [[Georges Skandalis]], _Unitaires multiplicatifs et dualit&eacute; pour les produits crois&eacute;s de $C^\ast$-alg&egrave;bres. Ann. scient.  Ec. Norm. Sup., 4e s&eacute;rie, 26 (1993), 425–488.

* J.-M. Vallin, _$C^\ast$-alg&egrave;bres de Hopf et $C^\ast$-alg&egrave;bres de Kac._ Proc. London Math. Soc. (3)50 (1985), 131–174.

The issue of how to add the definition of the [[antipode]] in the $C^\ast$-context is discussed in 

* Stefaan Vaes, Alfons Van Daele, _Hopf $C^\ast$-algebras_, Proc. London Math. Soc. (3) 82, 2001, 337-384. ([arXiv:math/9907030](http://arxiv.org/abs/math/9907030))
 {#VaesDaele}

Weak $C^\ast$-Hopf algebras and their [[C-star categories]] of [[representations]] are discussed in

* [[Gabi Böhm]], [[Kornel Szlachanyi]], _A Coassociative C*-Quantum Group with Non-Integral Dimensions_ ([arXiv:q-alg/9509008](http://arxiv.org/abs/q-alg/9509008))

  _Weak $C^\ast$-Hopf  algebras_ ([pdf](http://matwbn.icm.edu.pl/ksiazki/bcp/bcp40/bcp4011.pdf))
 {#BohmSzlachanyi}

[[!redirects Hopf C-star-algebras]]



[[!redirects Hopf C*-algebra]]
[[!redirects Hopf C*-algebras]]

[[!redirects Hopf C-star algebra]]
[[!redirects Hopf C-star algebras]]

[[!redirects Hopf-C*-algebra]]
[[!redirects Hopf-C*-algebras]]

[[!redirects Hopf-C-star algebra]]
[[!redirects Hopf-C-star algebras]]


[[!redirects C-star Hopf algebra]]
[[!redirects C-star Hopf algebras]]
[[!redirects C* Hopf algebra]]
[[!redirects C* Hopf algebras]]
[[!redirects C-* Hopf algebra]]
[[!redirects C-* Hopf algebras]]


[[!redirects weak C* Hopf algebra]]
[[!redirects weak C* Hopf algebras]]
[[!redirects weak C-* Hopf algebra]]
[[!redirects weak C-* Hopf algebras]]

