
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Higher linear algebra
+-- {: .hide}
[[!include homotopy - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

On a [[complex]] [[vector space]] a _sesquilinear map_ is a [[function]] of two arguments which is a [[linear function]] in one argument and complex anti-linear in the other.

More generally:

Let $A$ be a [[star algebra]]. Then every left $A$-[[module]] $\rho_l \colon A \otimes V \longrightarrow V$ canonically becomes a right module $\rho_r \colon V \otimes A \longrightarrow A$ by setting

$$
  \rho_r(v,a) \coloneqq a^\ast v
$$

and vice versa. 

With this operation understood to turn a left module $V$ into a right module, then a sesquilinear form on $V$ is simply an element in the [[tensor product of modules]]

$$
  V^\ast \otimes_A V^\ast
$$

of the $A$-linear dual $V^\ast$ of $V$ with itself. 

## Related concepts

* [[bilinear form]], [[quadratic form]]

* [[symplectic form]], [[Kähler form]], [[Hermitian form]]


## References

* [[Brian Osserman]], _A primer on sesquilinear forms_ ([pdf](https://www.math.ucdavis.edu/~osserman/classes/150B-W13/sesquilinear.pdf))

* Wikipedia, _[Sesquilinear form](https://en.wikipedia.org/wiki/Sesquilinear_form)_


[[!redirects sesquilinear maps]]
[[!redirects sesquilinear function]]
[[!redirects sesquilinear functions]]

[[!redirects sesquilinear forms]]

[[!redirects sesquilinear map]]

