
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Geometric quantization
+--{: .hide}
[[!include geometric quantization - contents]]
=--
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### Symplectic geometry
+--{: .hide}
[[!include symplectic geometry - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

The _Guillemin-Sternberg conjecture_ states that, given a [[symplectic manifold]] equipped with a [[Hamiltonian action]] by some group, under suitable conditions the processes of [[geometric quantization]] and of [[symplectic reduction]] can be interchanged without changing the result (a [[representation]] of the [[group]] on the [[space of quantum states]]). This is usually abbreviated to: 

* _quantization commutes with reduction_. 

Since [[symplectic reduction]] also means restricting a [[mechanical system]] to a constraint surface, one may also read this as saying:

* _quantization commutes with imposing constraints_.

The original article ([Guillemin-Sternberg 82](#GuilleminSternberg82)) proved this statement for the case of [[compact Lie groups]] acting on [[compact topological space|compact]] [[Kähler manifolds]] and for [[geometric quantization]] via [[Kähler polarizations]].

For the more powerful and more flexible [[geometric quantization by push-forward]], the corresponding statement is widely known as the _Guillemin-Sternberg conjecture_.  Since its formulation, this, too, has been proven in fair generality, see the [References](#References) below.

## Related concepts

* [[symplectic reduction]], [[presymplectic reduction]] ([[gauge reduction]]), [[Poisson reduction]], [[BV-BRST formalism]]

* [[equivariant cohomology]]

[[!include symplectic reduction - table]]

* [[light-cone gauge quantization]]

## References
 {#References}

The original statement is due to

* [[Victor Guillemin]], [[Shlomo Sternberg]], _Geometric quantization and multiplicities of group representations, Invent. Math. 67 (1982), no. 3, 515–538.
 {#GuilleminSternberg82}

The first proof in [[geometric quantization by push-forward]] for compact groups acting on compact manifolds appears in 

* [[Eckhard Meinrenken]], _Symplectic surgery and the $Spin^c$-Dirac operator_, Adv. Math. 134 (1998), 240-277.

A survey is in 

* [[Michèle Vergne]], _Quantification géométrique et r´éduction symplectique, Séminaire Bourbaki, Vol. 2000/2001. Astérisque No. 282 (2002), Exp. No. 888, viii, 249–278.

Discussion for [[Kähler polarizations]] of mildly singular phase spaces is in 

* [[Johannes Huebschmann]], _Kähler quantization and reduction_, J. reine angew. Math. 591 (2006), 75-109 ([arXiv:math/0207166](http://arxiv.org/abs/math/0207166))

The generalization to non-compact groups acting on non-compact spaces (but with compact quotients, hence "co-compactly") by passing to [[KK-theory]] and defining the push-forward by the Baum-Connes [[analytic assembly map]] was proposed in 

* [[Klaas Landsman]] _Functorial quantization and the Guillemin-Sternberg conjecture_. In S. Ali, G. Emch, A. Odzijewicz, M. Schlichenmaier, and S. Woronowicz (eds.), _Twenty years of Bialowieza: a mathematical anthology_, pages 23–45, Singapore, 2005. World Scientific. ([arXiv:math-ph/0307059](http://arxiv.org/abs/math-ph/0307059))

and proven for various cases in

* [[Peter Hochs]], [[Klaas Landsman]], _The Guillemin-Sternberg conjecture for noncompact groups and spaces_ ([arXiv:math-ph/0512022](http://arxiv.org/abs/math-ph/0512022))

based on

* [[Peter Hochs]], _Quantisation commutes with reduction for cocompact Hamiltonian group actions_ ([pdf](http://www.math.ru.nl/~landsman/ThesisPeterHochs.pdf))

Discussion taking into account the [[metaplectic correction]] is in 

* Brian Hall, William Kirwin, _Unitarity in "quantization commutes with reduction"_, Comm. Math. Phys. 275 (2007), no. 3, pages 401 -- 442 ([arXiv:math/0610005](http://arxiv.org/abs/math/0610005))


The full statement for this general case was then proven in 

* {#MathaiZhang} [[Varghese Mathai]], [[Weiping Zhang]] (appendix by [[Ulrich Bunke]]), _Geometric quantization for proper actions_, Advances in Mathematics
Volume 225, Issue 3, 20 October 2010, Pages 1224–1247 ([arXiv:0806.3138](http://arxiv.org/abs/0806.3138))
 

Lecture notes on this are in 

* [[Weiping Zhang]], _Analytic aspects of geometric quantization_, 2009 ([pdf](http://www.math.ac.cn/PPT/PPT-hlg-lecture/ppt-hlg-2008/zhangweiping-hlg.pdf))

Further generalizations are discussed in 

* [[Peter Hochs]], [[Varghese Mathai]], _Quantizing tame actions_ ([arXiv:1309.6760](http://arxiv.org/abs/1309.6760))

* Jord Boeijink, [[Klaas Landsman]], [[Walter van Suijlekom]], _Quantization commutes with singular reduction: cotangent bundles of compact Lie groups_ ([arXiv:1508.06763](http://arxiv.org/abs/1508.06763))

Similar discussion is in 

* [[Paul-Emile Paradan]], _Spin-quantization commutes with reduction_ ([arXiv:0911.1067](http://arxiv.org/abs/0911.1067))

based on 

* [[Paul-Emile Paradan]], _Localization of the Riemann-Roch character_ ([arXiv:math/9911024](http://arxiv.org/abs/math/9911024))

Discussion specifically for [[circle group]] [[actions]] is in 

*  [[Ana Cannas da Silva]], [[Yael Karshon]], Susan Tolman, _Quantization of Presymplectic Manifolds and Circle Actions_ ([arXiv:dg-ga/9705008](http://arxiv.org/abs/dg-ga/9705008))

[[!redirects geometric quantization conjecture]]
[[!redirects quantization commutes with reduction]]
[[!redirects reduction commutes with quantization]]