
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A _trialgebra_ is meant to be a structure at least similar to or involving an [[associative algebra]] but equipped with two further compatible algebra structures, the first additional one making it a [[bialgebra]], the second one making it then a trialgebra.

In the spirit of [[Tannaka duality]], this is to be such that the [[category of modules]] of the associative algebra underlying the trialgebra inherits the structure not just of a [[monoidal category]] (as it does for a bialgebra), but even of a [[Hopf monoidal category]].

Notice that next the [[2-category]] of [[module categories]] over a [[Hopf monoidal category]] inherits the structure of a [[monoidal 2-category]]. This finally has a [[3-category]] of module 2-categories. 

In the spirit of _[[n-modules]]_ by iterated internalization, this 3-category may be thought of as the [[4-module]] (over the groun field), presented by the trialgebra.

Accordingly, trialgebras may be thought of as 4-[[bases]] for [[spaces of quantum states]] of [[extended TQFTs|extended]] [[4d TQFTs]] . This has been the main motivation for considering them in ([Pfeiffer 04](#Pfeiffer)) (not quite in the above language), in turn forming a 2-basis for the correspondinf [[Hopf monoidal categories]] in ([Crane-Frenkel 04](#CraneFrenkel)). A review of related literature is in ([Baez-Lauda 09, p. 98](#BaezLauda))



## Related concepts

* [[algebra]], [[module]]

  * [[2d TQFT]]

* [[bialgebra]],  [[2-module]]

  * [[quantum group]]

  * [[3d TQFT]]

* **trialgebra**, [[3-module]]

  * [[quantum 2-group]]

  * [[4d TQFT]]

[[!include structure on algebras and their module categories - table]]

## References

A proposal for the definition of trialgebras is in

* [[Hendryk Pfeiffer]], _2-Groups, trialgebras and their Hopf categories of representations_, Adv. Math. 212 No. 1 (2007) 62-108 ([arXiv:math/0411468](http://arxiv.org/abs/math/0411468))
 {#Pfeiffer}

motivated from the definition of [[Hopf monoidal categories]] in 

* [[Louis Crane]], [[Igor Frenkel]], _Four dimensional topological quantum field theory, Hopf categories, and the canonical bases_, J.Math.Phys. 35 (1994) 5136-5154, ([arXiv:hep-th/9405183](http://arxiv.org/abs/hep-th/9405183))
 {#CraneFrenkel}

A survey of related references is in p. 98 of 

* [[John Baez]], [[Aaron Lauda]], _A prehistory of $n$-categorical physics_, in _Deep beauty_, 13-128, Cambridge Univ. Press, Cambridge, 2011 ([arXiv:0908.2469](http://arxiv.org/abs/0908.2469))
 {#BaezLauda}


[[!redirects trialgebras]]