+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Homotopy theory
+--{: .hide}
[[!include homotopy - contents]]=--
#### Model category theory
+--{: .hide}
[[!include model category theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A **relative category** is an extremely weak version of a [[category with weak equivalences]], providing the bare minimum needed to present an [[(∞,1)-category]]. The idea goes back to at least Dwyer and Kan [1980], but was first studied systematically by Barwick and Kan [2012].

## Definition

A **relative category** $C$ is a pair $(und C, weq C)$, where $und C$ is a [[category]] and $W$ is a [[wide subcategory]]. A morphism in $weq C$ is said to be a **weak equivalence** in $C$. A **relative functor** $f : C \to D$ is a [[functor]] $f : und C \to und D$ that preserves weak equivalences in the obvious sense.

The **homotopy category** of a relative category $C$ is the ordinary category $Ho C$ obtained from $und C$ by [[localization|freely inverting]] the weak equivalences in $C$. 

## Refinements

* A **semi-saturated relative category** is a relative category $C$ such that every isomorphism in $und C$ is a weak equivalence in $C$.

* A [[category with weak equivalences]] is a semi-saturated relative category $C$ such that $weq C$ has the [[two-out-of-three property]].

* A [[homotopical category]] is a relative category $C$ such that $weq C$ has the [[two-out-of-six property]]; note that this automatically makes $C$ a category with weak equivalences.

* A **saturated homotopical category** is a relative category $C$ such that a morphism is a weak equivalence _if and only if_ it is invertible in $Ho C$; note that any such relative category must be a homotopical category in particular.

## Examples

Any ordinary category $C$ gives rise to three relative categories in a functorial way:

* A **minimal relative category** $min C$, in which the only weak equivalences are [[identity morphism|identities]].

* A **minimal homotopical category** $min^+ C$, in which the only weak equivalences are [[isomorphism|isomorphisms]].

* A **maximal homotopical category** $max C$, in which every morphism is a weak equivalence.

## Remarks 

Let $\mathbf{RelCat}$ be the category of small relative categories and relative functors. It is a [[locally presentable category|locally finitely presentable]] [[cartesian closed category]], and we refer to the exponential object $[C, D]_h$ as the **relative functor category**. $\mathbf{RelCat}$ is, in particular, a (strict) [[2-category]].

Let $\mathbf{SsRelCat}$ be the full subcategory of semi-saturated relative categories. The inclusion $\mathbf{SsRelCat} \hookrightarrow \mathbf{RelCat}$ has a left [[adjoint]] that preserves finite [[product|products]], so $\mathbf{SsRelCat}$ is a [[reflective subcategory|reflective]] [[exponential ideal]] of $\mathbf{RelCat}$.

There are then the following strings of adjunctions:
$$min \dashv und \dashv max \dashv weq : \mathbf{RelCat} \to \mathbf{Cat}$$
$$Ho \dashv min^+ : \mathbf{Cat} \to \mathbf{RelCat}$$
$$Ho \dashv min^+ \dashv und \dashv max \dashv weq : \mathbf{SsRelCat} \to \mathbf{Cat}$$
Moreover, because $min^+$ embeds $\mathbf{Cat}$ as a reflective exponential ideal in $\mathbf{SsRelCat}$ and in $\mathbf{RelCat}$, the functor $Ho : \mathbf{SsRelCat} \to \mathbf{Cat}$ preserves finite products.

## Presentation of $(\infty,1)$-categories

The theory of relative categories presents a theory of [[(∞,1)-category|(∞,1)-categories]] in the following sense:


+-- {: .num_theorem}
###### Theorem
There exists an adjunction
$$K_\xi \dashv N_\xi : \mathbf{RelCat} \to \mathbf{ssSet}$$
such that every left [[Bousfield localization of model categories|Bousfield localization]] of the [[Reedy model structure]] on the category $\mathbf{ssSet}$ of [[bisimplicial sets]] induces a [[cofibrantly generated model category|cofibrantly-generated]] [[proper model category|left proper]] [[model category|model structure]] on $\mathbf{RelCat}$ making the adjunction a [[Quillen equivalence]]. In particular, there exists a model structure on $\mathbf{RelCat}$ that is Quillen equivalent to the [[model structure for complete Segal spaces]] on $\mathbf{ssSet}$.
=--

This is discussed in further detail at [[model structure on categories with weak equivalences]].

## Related concepts

* [[simplicial localization]]

## References

* [[William Dwyer]], [[Daniel Kan]], _Simplicial localizations of categories_. Journal of Pure and Applied Algebra 17 (1980) pp. 267–284.

* [[Clark Barwick]], [[Daniel Kan]], _Relative categories: Another model for the homotopy theory of homotopy theories_. Indagationes Mathematicae 23 (2012) pp. 42–68.


[[!redirects relative categories]]
