
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

By "module category" may be meant 

1. a [[category]] equipped with an [[action]] of a [[monoidal category]].

1. a [[category of modules]] of a [[monoid]] (e.g. an [[associative algebra]]).

Here we consider the first sense. For the second, see at _[[category of modules]]_.


The collection of module categories over a monoidal category forms a [[2-category]] of module categories.


## Definition

Let $\mathcal{M}$ be a monoidal category and $B\mathcal{M}$ its [[delooping]] as a [[bicategory]]. A (left) module category is then simply a 2-functor $B\mathcal{M} \to \mathcal{Cat}$.

Written out, this amounts to:

* A category $\mathcal{C}$
* A monoidal functor $\mathcal{M} \to \mathcal{End}(\mathcal{C})$

Further expanding this definition, we have the following data:

* A category $\mathcal{C}$
* A functor $- \triangleright -\colon \mathcal{C} \times \mathcal{M} \to \mathcal{M}$
* A natural isomorphism $\alpha_{A,B,X}\colon A \triangleright (B \triangleright X) \to (A \otimes B) \triangleright X$ satisfying a pentagon axiom involving the associator of $\mathcal{M}$
* A natural isomorphism $\lambda_X\colon I \triangleright X \to X$, where $I$ is the monoidal unit of $\mathcal{M}$, compatible with the left unitor of $\mathcal{M}$.

An obvious example is given by a monoidal category, which has an action on itself by left multiplication.

## Related concepts

* [[bimodule category]]

* [[module]]

* [[module 2-category]]

* [[module over a monoidal functor]]

## References

For instance

* [[G. Janelidze]], [[G.M. Kelly]], _A note on actions of a monoidal category_, Theory and Applications of Categories, Vol. 9, No. 4, 2001, pp. 61–91, [pdf](http://www.tac.mta.ca/tac/volumes/9/n4/n4.pdf).

* [[R. Gordon]], [[A.J. Power]], _Enrichment through variation_, J. Pure Appl. Algebra 120 (1997), 167-185.

* {#DSPS13} [[Chris Douglas]], [[Chris Schommer-Pries]], [[Noah Snyder]], _Dualizable tensor categories_ ([arXiv:1312.7188](http://arxiv.org/abs/1312.7188))

[[!redirects module categories]]

[[!redirects 2-category of module categories]]
[[!redirects 2-categories of module categories]]
