
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Operator algebra
+--{: .hide}
[[!include AQFT and operator algebra contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A type of [[C*-algebra]].

Many equivalent definitions, not all of which were known to be equivalent when they were made. Usually credited to Takesaki (1964). An important characterization in terms of an appropriate "approximation property" was given by Lance (1972).

(...)

+-- {: .num_example }
###### Example

Every [[commutative C*-algebra]] is nuclear.

If $H$ is an infinite-dimensional Hilbert space then $B(H)$ is not nuclear.

=--


## Properties

### Relation to KK-theory

On K-nuclear $C^\ast$-algebras $C$, the [[KK-theory]] functor $KK(C,-)$ preserves [[short exact sequences]] in the middle (satisfies [[excision]]). ([Kasparov 80](#Kasparov80), [Skandalis 88](#Skandalis88)).

Hence restricted to nuclear $C*$-algebras the canonical functor $KK \to E$ from [[KK-theory]] to [[E-theory]] (see there) is a [[full and faithful functor]].

## References

The notion was studied as a condition for [[excision]] in [[KK-theory]] in section 7 of 

* [[Gennady Kasparov]], _The operator $K$-functor and extensions of $C^{\ast}$-algebras_, Izv. Akad. Nauk SSSR Ser. Mat. __44__  (1980), no. 3, 571–636, 719, [MR81m:58075](http://www.ams.org/mathscinet-getitem?mr=582160), [Zbl](http://www.zentralblatt-math.org/zmath/search/?an=Zbl%200464.46054%7CZbl%200448.46051), [abstract](http://www.mathnet.ru/php/archive.phtml?wshow=paper&jrnid=im&paperid=1739&option_lang=eng), [english doi](http://dx.doi.org/10.1070%2FIM1981v016n03ABEH001320), free Russian original: [pdf](http://www.mathnet.ru/php/getFT.phtml?jrnid=im&paperid=1739&volume=44&year=1980&issue=3&fpage=571&what=fullt&option_lang=eng)
 {#Kasparov80}

The generalization to K-nuclearity was introduced and discussed in

* [[Georges Skandalis]], _Une notion de nuclearit&eacute; en K-theorie_, K-Theory 1 (1988) 549-574.
 {#Skandalis88}



* Wikipedia, _[Nuclear C-star-algebra](http://en.wikipedia.org/wiki/Nuclear_C*-algebra)_

[[!redirects nuclear C-star-algebra]]
[[!redirects nuclear C-star-algebras]]

[[!redirects nuclear C*-algebras]]

[[!redirects K-nuclear C-star-algebra]]
[[!redirects K-nuclear C-star-algebras]]

[[!redirects K-nuclear C*-algebra]]
[[!redirects K-nuclear C*-algebras]]


