## Idea

The binary Golay code is an [[abelian group]] which is a 12-dimensional subspace of the [[vector space]] $\mathbb{F}_2^{24}$. It is used in coding theory (see [[binary linear code]]) and the theory of [[sporadic finite simple groups]].

## Definition

Consider the 24-element set $X = \{1,\ldots,24\}$, and the free vector space on it, identified with the [[power set]] of $X$. The the **binary Golay code** (sometimes called the _extended_ binary Golay code to distinguish it from the _perfect_ binary Golay code, which uses only 23 elements of $X$) has basis constructed as follows ...

(see [Wikipedia](http://en.wikipedia.org/wiki/Binary_Golay_code) for the time being)

The automorphism group of the binary Golay code is the [[Mathieu group]] $M_{24}$, and the other Mathieu group are obtained as stabilisers of various sets in the Golay code. There is a unique central extension of the binary Golay code by $\mathbb{Z}/2$ which is not a group but a [[code loop]], and can be used to construct the [[Monster group]].


## Related entries

* [[coding theory]]

* [[binary linear code]]

* [[Mathieu group]]

* [[combinatorial design]]

* [[Leech lattice]]

* [[adinkra]] 



