
# Code loops
* table of contents
{: toc}

## Overview

A **code loop** is a certain sort of [[Moufang loop]] constructed as a central extension of certain vector spaces over the [[finite field]] $\mathbb{F}_2$. In particular, such vector spaces are taken to be doubly even [[binary linear code]]s.

A general result about the existence of code loops is as follows.

+-- {: .num_theorem}
###### Theorem
([Griess](#Griess)).
Every doubly even binary code has a unique extension by a non-associative Moufang loop.
=--

This can be seen as a result about the cohomology used to define code loops, namely that it is isomorphic to $\mathbb{Z}/2$ (one always has the trivial extension, which is just a group).

Code loops were originally defined independently by Robert Griess and Richard Parker. A modern description is in ([Hsu](#Hsu)).

Parker's code loop was used by [[John Conway]] to construct the [[Monster group]], and arises from taking the binary code to be the [[binary Golay code]].


## References

* Robert Griess, _Code loops_, J. Algebra __100__ (1986), no. 1, 224–234. <http://dx.doi.org/10.1016/0021-8693(86)90075-X>
{#Griess}

* Tim Hsu, _Explicit constructions of code loops as centrally twisted products_, Math. Proc. Cambridge Philos. Soc. 128 (2000), no. 2, 223–232 ([journal](http://journals.cambridge.org/action/displayAbstract?fromPage=online&aid=37707&fulltextType=RA&fileId=S030500419900403X));
{#Hsu} 

* Tim Hsu, _Moufang loops of class 2 and cubic forms_, Math. Proc. Camb. Phil. Soc. __128__ (2000), 197-222 (on the arXiv as [math.GR/9611214](http://arxiv.org/abs/math/9611214) under the title _Class 2 Moufang loops, small Frattini Moufang loops, and code loops_). 

[[!redirects code loops]]
