
# Contents
* table of contents
{: toc}

## Idea

A [[physical system]] in [[solid state physics]] consisting of [[electrons]] confined to an essentially 2-dimensional surface and subject to a perpendicular [[magnetic field]].

In an appropriate limit of low [[temperature]] aspects of this system are described by the [[topological quantum field theory]] called _[[Chern-Simons theory]]_. In this limit the system has been proposed as constituting a possible implementation of [[topological quantum computation]].


## References

* Wikipedia, _[Quantum Hall effect](https://en.wikipedia.org/wiki/Quantum_Hall_effect)_, _[Fractional quantum Hall effect](http://en.wikipedia.org/wiki/Fractional_quantum_Hall_effect)_

A quick review of the description via [[Chern-Simons theory]] with further pointers is in the introduction of 

* Spencer D. Stirling, _Abelian Chern-Simons theory with toral gauge group, modular tensor categories, and group categories_, [arXiv:0807.2857](http://arxiv.org/abs/0807.2857)

J. Bellissard introduced an approach via [[noncommutative geometry]] and Connes-Chern character: 

* J. Bellissard, A. van Elst, H. Schulz Baldes, _The noncommutative geometry of the quantum Hall effect_, 79 pages, J. Math. Phys. __35__, 5373 (1994) [cond-mat/9411052](http://arxiv.org/abs/cond-mat/9411052) [doi](http://link.aip.org/link/doi/10.1063/1.530758)

In terms of [[Berry phase]] and Chern numbers in 

* Joseph E. Avron, Daniel Osadchy, Ruedi Seiler, _A Topological look at the quantum Hall effect_, Physics Today __56__:8, [doi](http://dx.doi.org/10.1063/1.1611351)

Relation to non-abelian Statistics (and eventually connection to braiding, modular tensor categories, and [[topological quantum computing]] followed) was made initially in 

* [[Gregory Moore]], N. Read, _Nonabelions in the fractional quantum Hall effect_, Nucl. Phys. 360B(1991)362 [pdf](http://www.physics.rutgers.edu/~gmoore/MooreReadNonabelions.pdf)

For a more recent discussion of these connections see

* Chetan Nayak, Steven H. Simon, Ady Stern, [[Michael Freedman]], Sankar Das Sarma, Non-Abelian Anyons and Topological Quantum Computation, ([arXiv:0707.1888] (http://arxiv.org/abs/0707.1889))


category: physics
[[!redirects quantum Hall effect]]
[[!redirects quantum hall effect]]
[[!redirects fractional quantum Hall effect]]
