
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Outline

The concept of _scattering_ refers to [[physics|physical]] process in which some matter or wave which has stable, say linear trajectory (or wave distribution) in distant past, comes into the area where it interacts with some localized perturbation (or other such waves), which results in different stable state (or distribution of states) in far future.  Examples include light scattering, scattering of matter beams, scatterring of solitons and multisolitons (which preserve their identity after a long while), 
and scattering in quantum mechanics, including variants like QFT and superstring theory. The condition that the perturbation (interaction) is localized is someties relaxed (for example, in the case of the scattering for Schroedinger operator corresponding to the Coulomb potential, the waves are substantially perturbed even
asymptotically at infinity, because the Coulomb potential does not fall sufficiently fast far away from the source).

The basic concepts are time evolution operator, adiabatic switching, [[interaction picture]] and the ingoing and outgoing states. 

### Direct and inverse problems of scattering

Scattering theory wants to predict the so called __scattering data__ which give the distribution of scattered waves (particles), i.e. of outgoing states in terms of ingoing states and knowledge of the __scattering interaction/potential__ on which the waves are scattered. This is the direct problem of scattering. Conversely, one can try to find out the potential/interaction by observing the results of scattering experiments, what boils to the knowledge of scattering data; hence finding the physics from knowledge of scattering data. Symbolically, fundamental physics experiments 
in fact seek for the interaction which will correspond to scattering data. However, 
when we try to do this literally, calculating the interaction potential from the scattering data, we call it the inverse scattering method. While in quantum mechanics, the inverse scattering method applies to a linear problem a variant applies to the study of nonlinear equations like nonlinear Schroedinger equation; 
some cases lead to the integrability at classical or at quantized level. Thus
we have the [[classical inverse scattering method|classical]] and the [[quantum inverse scattering method]] within the subject of [[integrable systems]].

## Related concepts

* [[scattering amplitude]]

* [[scattering cross section]]

* [[scattering matrix]]

* [[Møller operator]]

* [[n-point function]], [[correlator]]

* [[Feynman diagram]]

* [[perturbation theory]]

* [[abstract scattering theory]]


## References

* wikipedia: [scattering](http://en.wikipedia.org/wiki/Scattering), [scattering theory](http://en.wikipedia.org/wiki/Scattering_theory), [inverse scattering](http://en.wikipedia.org/wiki/Inverse_scattering), [Raman scattering](http://en.wikipedia.org/wiki/Raman_scattering), [Rayleigh scattering](http://en.wikipedia.org/wiki/Rayleigh_scattering),


category: physics

[[!redirects scattering theory]]

[[!redirects scattering process]]
[[!redirects scattering processes]]


