
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

In [[quantum mechanics]] based on a [[Hilbert space]] $H$ wth quantum evolution semigroup of [[unitary operators]] $U(t)$, $t\in \mathbf{R}$, Lax and Phillips formulated an abstract formulation of [[scattering]] theory, based on two distinguished subspaces of
states $\mathcal{D}_-$ of ingoing states and $\mathcal{D}_+$ of outgoing states satisfying certain system of axioms. 

Apart from [[quantum mechanics]], abstract scattering theory has other interesting special cases, applying to the theory of [[automorphic form|automorphic functions]] (due to an idea of [[Israel Gelfand]], later realized by B. S. Pavlov and L. D. Faddeev), zeta function analysis and so on.

## Related concepts

* [[scattering amplitude]]

* [[scattering matrix]]

* [[scattering cross section]]

## References

* Peter D. Lax, Ralph S. Phillips,  _Scattering theory_, Bull. Amer. Math. Soc. Volume 70, Number 1 (1964), 130-142 [euclid](http://projecteuclid.org/euclid.bams/1183525789) [MR0167868](http://www.ams.org/mathscinet-getitem?mr=0167868); _Scattering theory_ (book), Academic Press 1990, 2nd ed. [gBooks](http://books.google.hr/books?id=vgqMqqCnf5AC&lpg=PP1&pg=PP1#v=onepage&q&f=false); _Scattering theory for automorphic functions, Annals of Mathematics Studies __87__, Princeton Univ. Press 1976

* B. S. Pavlov, L. D. Faddeev, _Scattering theory and automorphic functions_, Zapiski Sem. LOMI __27__ (1972) 161-193

Extension of the method which Lax and Phillips used for automorphic forms ($SL(2,\mathbf{R})$-case) to the case of more general harmonic analysis on more general Riemannian [[symmetric spaces]] is studied in

* M. A. [[Semenov-Tian-Shansky]], _Harmonic analysis on Riemannian symmetric spaces of negative curvature and the scattering theory_, Izvestiya Akademii Nauk USSR __40__:3 (1976) 562-592

category: physics