
#Contents#
* table of contents
{:toc}

## Idea

In general, a _domain wall_ is a [[QFT with defects|defect]] of [[codimension]] 1.

More specifically, in a [[gauge theory]] with a degenerate [[vacuum]] (such as when a [[Higgs mechanism]] applies), the [[moduli space]] of [[vacua]] is the [[quotient]] $G/H$ (the [[coset]]) of the [[gauge group]] $G$ by the [[stabilizer subgroup]] $H \hookrightarrow G$ of any of these vacua ([[spontaneous symmetry breaking]]).

This means that gauge equivalence classes of vacuum configurations on a [[spacetime]] $X$ are given by [[homotopy]] classes of maps $X \to \Pi(G/H)$ (where the notation on the right denotes the underlying [[homotopy type]] of the [[coset]] space, $\Pi$ is the [[shape modality]]).

If [[spacetime]] is locally to be taken of the form $\mathbb{R} \times (\mathbb{R}^3 - D^1 \times \mathbb{R}^2)$, hence with a 1-dimensional ("wall"-like) piece taken out, them homotopy classes of maps $X \to \Pi(G/H)$ are classified by the 0-th [[homotopy group]] $\pi_0(G/H)$. For a given nontrivial element here the corresponding [[vacuum]] is said to contain a **domain wall defect**. 

For more see at _[[QFT with defects]]_ the section _[Topological defects from spontaneously broken symmetry](http://ncatlab.org/nlab/show/QFT+with+defects#DefectsFromBrokenSymmetry)_.


## Related concepts

* [[cosmic string]], [[monopole]]

[[!include field theory with boundaries and defects - table]]


* [[wall crossing]]


## References

* [[Alexander Vilenkin]], E.P.S. Shellard, _Cosmic strings and other topological defects_, Cambridge University Press (1994)
 {#VilenkinShellard94}

* Wikipedia, _[Domain wall](http://en.wikipedia.org/wiki/Domain_wall)_

[[!redirects domain walls]]
