
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Category Theory
+-- {: .hide}
[[!include category theory - contents]]
=--
#### Topos Theory
+-- {: .hide}
[[!include topos theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}


## Definition


A **cyclic set** is a [[presheaf]] on the _[[cyclic category]]_ (which is often called [[Connes' cyclic category]] though it is cocyclic, with the usual contravariant confusion), which is intermediate between a [[symmetric set]] and a [[simplicial set]]. With [[Set]] replaced by a general [[category]] one speaks of a _[[cyclic object]]_.

The concept of cyclic sets/objects is used in the description of the cyclic structure on [[Hochschild homology]]/[[Hochschild cohomology]] and hence for the discussion on [[cyclic homology]]/[[cyclic cohomology]].

Just like the [[category]] of [[geometric shapes for higher structures|shapes]] for [[simplicial sets]] (the [[simplex category]]) may be identified with the full [[subcategory]] of [[Cat]] on the finite nonempty [[ordinals]] $[n]$;  and like the shape category for [[symmetric sets]] ([[FinSet]]) may be identified with the full subcategory of [[Cat]] on their [[localizations]] $[n]^{-1}[n]$, so the [[cycle category]] $\Lambda$, is the full subcategory of [[Cat]] whose [[objects]] are the categories $[n]_\Lambda$ which are freely generated by the graph $0\to 1\to 2\to\ldots\to n\to 0$. If the overall composition $0\to 0$ is set equal to identity we obtain symmetric sets again. 

We can also explain cyclic sets and more general [[cyclic objects]]
in terms of standard generators.

A $\mathbf{Z}$-cyclic (synonym: [[paracyclic object]])
in a [[category]] $C$ is a [[simplicial object]] $F_\bullet$ in $C$ together with
a sequence of [[isomorphisms]] $t_n : F_n \rightarrow F_n$, $n\geq 1$, such that
$$\array{
\partial_i t_n = t_{n-1} \partial_{i-1},\,\, i \gt 0, &
\sigma_i t_n = t_{n+1} \sigma_{i-1},\,\, i \gt0, \\
\partial_0 t_n = \partial_n, & \sigma_0 t_n = t_{n+1}^2 \sigma_n,
}$$
where $\partial_i$ are boundaries, $\sigma_i$ are degeneracies.
A $\mathbf Z$-cocyclic ([[paracocyclic object|paracocyclic]]) object in
$C$ is a $\mathbf{Z}$-cyclic object in $C^{\mathrm{op}}$.
$\mathbf Z$-(co)cyclic object is (co)cyclic if,
in addition, $t_n^{n+1} = 1$

## Properties

### As a classifying topos

The [[category]] of cyclic sets, being a [[presheaf category]] is a [[topos]], and hence is the [[classifying topos]] for some [[geometric theory]]. This turns out to be the theory of [[abstract circles]] ([Moerdijk 96](#Moerdijk96)). 
A further analysis can be found in ([Caramello Wentzlaff 14](#CaramelloWentzlaff14)).
Accordingly there is an [[infinity-action]] of the [[circle group]] on the [[geometric realization]] of a cyclic set (see also [Drinfeld 03](#Drinfeld03)).

### Model category structure and $S^1$-equivariant homotopy theory
 {#ModelCategoryStructure}

There is a [[model category]]-structure on the category of
cyclic sets, which makes it a presentation for
$S^1$-[[equivariant homotopy theory]] ([Spalinski 95](#Spalinski95), [Blumberg 04](#Blumberg04)).

## Related concepts

* [[cyclic cohomology]]

* [[skew-simplicial set]], [[symmetric set]], [[simplicial set]]

* [[cyclotomic spectrum]]

## References

The definition is originally due to 

* [[Alain Connes]], _Cohomologie cyclique et foncteurs $Ext^n$_, C.R.A.S. **269** (1983), S&#233;rie I, 953-958

Connections to [[simplicial sets]] are in:

* [[Alain Connes]], Caterina Consani, _Cyclic structures and the topos of simplicial sets_, [1309.0394](http://arxiv.org/abs/1309.0394)

The identification of the category of cyclic sets as the [[classifying topos]] for [[abstract circles]] is due to 

* {#Moerdijk96} [[Ieke Moerdijk]], _Cyclic sets as a classifying topos_, 1996 ([[MoerdijkCyclic.pdf:file]])

* {#CaramelloWentzlaff14} Olivia Caramello, Nicholas Wentzlaff, _Cyclic theories_, 2014 ([arXiv:1406.5479](http://arxiv.org/abs/1406.5479))

The resulting circle-action on the ([[geometric realization]] of) cyclic sets is also discussed in 

* {#Drinfeld03} [[Vladimir Drinfeld]], _On the notion of geometric realization_ ([arXiv:0304064](http://arxiv.org/abs/math/0304064))

The [[homotopy theory]] of cyclic sets and its relation to $S^1$-[[equivariant homotopy theory]] is discussed in 

* {#Spalinski95} J. Spalinski, _Strong homotopy theory of cyclic sets_, J. of Pure and Appl. Alg. 99 (1995), 35&#8211;52.

* {#Blumberg04} [[Andrew Blumberg]], _A discrete model of $S^1$-homotopy theory_ ([arXiv:math/0411183](http://arxiv.org/abs/math/0411183))

An old query is archived in $n$Forum [here](http://nforum.mathforge.org/discussion/5822/cyclic-set/?Focus=46240#Comment_46240).

There are fairly recent slides by Spalinski on the subject [here](http://www.mimuw.edu.pl/~cat09/slides/Spalinski.pdf), which also discuss relationships with [[dihedral sets]] and [[quaternionic set]]s, as studied by [[Loday]].

See also 

* {#Malkiewich15} [[Cary Malkiewich]], _A visual introduction to cyclic sets and cyclotomic spectra_, 2015 ([pdf](http://math.uiuc.edu/~cmalkiew/ytm_2015.pdf))

[[!redirects cyclic sets]]