
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Bundles
+-- {: .hide}
[[!include bundles - contents]]
=--
#### Topology
+--{: .hide}
[[!include topology - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The _clutching construction_ is the construction of a $G$-[[principal bundle]] on an [[n-sphere]] from a [[cocycle]] in $G$-[[Cech cohomology]] given by the [[covering]] of the $n$-sphere by two [[hemi-n-spheres]] that overlap a bit at the equator, and one single transition function on that equator $S^{n-1} \to G$.

## Examples

### Basic example

The [[Möbius strip]] is the result of the single non-trivial clutching construction for [[real vector bundles|real]] [[line bundle]] over the [[circle]].

### In physics

In [[physics]], in [[gauge theory]], the clutching construction plays a central role in the discussion of [[Yang-Mills instantons]], and [[monopoles]] ([[Dirac monopole]]). Here the discussion is usually given in terms of [[gauge fields]] on $n$-dimensional [[Minkowski spacetime]] such that they [[vanishing at infinity|vanish at infinity]]. Equivalently this means that one has [[gauge fields]] on the [[one-point compactification]] of Minkowski spacetime, which is the [[n-sphere]]. The transition function of the clutching construction then appears as the asymptotic [[gauge transformation]].

## Related concepts

* [[QCD instanton]], [[Yang-Mills instanton]]

## References

Reviews include

* [[Allen Hatcher]], page 22 of _Vector bundles and K-theory_ ([web](http://www.math.cornell.edu/~hatcher/VBKT/VBpage.html))

* {#Wirthmuller12} [[Klaus Wirthmüller]], p. 17-28 of _Vector bundles and K-theory_, 2012 ([pdf](ftp://www.mathematik.uni-kl.de/pub/scripts/wirthm/Top/vbkt_skript.pdf))


* Wikipedia, _[Clutching construction](http://en.wikipedia.org/wiki/Clutching_construction)_


[[!redirects clutching constructions]]

[[!redirects clutching function]]
[[!redirects clutching functions]]
