
#Contents#
* table of contents
{:toc}

## Idea

In a [[gauge theory]] with a degenerate [[vacuum]] (such as when a [[Higgs mechanism]] applies), the [[moduli space]] of [[vacua]] is the [[quotient]] $G/H$ (the [[coset]]) of the [[gauge group]] $G$ by the [[stabilizer subgroup]] $H \hookrightarrow G$ of any of these vacua ([[spontaneous symmetry breaking]]).

This means that gauge equivalence classes of vaccum configurations on a [[spacetime]] $X$ are given by [[homotopy]] classes of maps $X \to \Pi(G/H)$ (where the notation on the right denotes the underlying [[homotopy type]] of the [[coset]] space, $\Pi$ is the [[shape modality]]).

If [[spacetime]] is locally to be taken of the form $\mathbb{R} \times (\mathbb{R}^3 - D^2 \times \mathbb{R}^1)$, hence with a 1-dimensional ("string"-like) piece taken out, then homotopy classes of maps $X \to \Pi(G/H)$ are classified by the [[fundamental group]] $\pi_1(G/H)$. For a given nontrivial element here the correponding [[vacuum]] is said to contain a **cosmic string defect**. ("Cosmic" just because this effect is thought to be most relevant on scales of [[cosmology]].)

In other words this means that the vacuum strcture changes continuously as one moves around the string, but has a [[singularity]] on the locus of the string itself.

For more see at _[[QFT with defects]]_ the section _[Topological defects from spontaneously broken symmetry](http://ncatlab.org/nlab/show/QFT+with+defects#DefectsFromBrokenSymmetry)_.

## Related concepts

* [[domain wall]], [[monopole]]

* [[vortex]]

There is *no* real relation to _[[strings]]_ as in [[string theory]].


## References

* [[Alexander Vilenkin]], E.P.S. Shellard, _Cosmic strings and other topological defects_, Cambridge University Press (1994)
 {#VilenkinShellard94}


[[!redirects cosmic strings]]
