
#Gromov's homotopy principle or h-principle
* table of contents
{:toc}

## Definition

Let $p: X\to B$ be a smooth [[fiber bundle]] and the space $X^{(r)}$ of $r$-[[jets]]  of [[sections]] of $p$; there is an induced [[projection]] $X^{(r)}\to B$ which makes it into a smooth bundle.  

One considers a fixed partial differential relation (see [[differential equation]]) which is a subset $R\subset X^{(r)}$. One is interested in finding [[formal geometry|formal]] sections $s$ of $X^{(r)}\to B$ whose image is in $R$, and which are, in addition, __holonomic sections__, i.e. equal to the $r$-jet $J_f^r$ of a $C^r$-section $f$ of $p:X\to B$. One says that $R$ satisfies the __h-principle__ if every formal section of $R$ is homotopic to a holonomic section within the appropriate topological space of formal sections. 

##  Applications and examples

For example, in the case of holomorphic fiber bundles $R$ may be the Cauchy-Riemann relation, thus the question is if there is a deformation of a continuous section into a holomorphic one. In other words, one wants to reduce the problem of existence of maps of certain type to the analogous topological problem. Applications include results on the spaces of immersions, submersions, k-mersions, holomorphic maps, symplectic and isometric embeddings, contact structures and so on. 

##  General methods

Gromov introduced many techniques of proving the h-principle including the method of microflexible/continuous sheaves, the methods of convex integration and the removal of singularities.  

## Related concepts

* [[Oka principle]]  

## References

* [[eom]]: [H-principle](http://www.encyclopediaofmath.org/index.php/H-principle), [convex integration](http://www.encyclopediaofmath.org/index.php/Convex_integration); wikipedia: [homotopy principle](https://en.wikipedia.org/wiki/Homotopy_principle)
* MathOverflow: [h-principle-and-pdes](http://mathoverflow.net/questions/88513/h-principle-and-pdes)
* [[Mikhail Gromov]], _Partial differential relations_, Ergebn. Math. Grenzgeb. (3), 9, Springer (1986)
* M. Gromov, _A topological technique for the construction of solutions of differential equations and inequalities_, Proc. Int. Congress Math. Nice 1970, vol. 2, 221-225, [djvu w OCR](http://www.mathunion.org/ICM/ICM1970.2/Main/icm1970.2.0221.0226.ocr.djvu), [pdf](http://www.mathunion.org/ICM/ICM1970.2/Main/icm1970.2.0221.0226.ocr.pdf)
* M. Gromov, Papers on h-principle: geometric methods for solving partial differential equations/inequalities and the homotopy structure in the spaces of their solutions, [list](http://www.ihes.fr/~gromov/topics/topic2.html) (with some links)
* Y. Eliashberg, N. Mishachev, _Introduction to the h-principle_, Graduate Studies in Mathematics 48. Amer. Math. Soc. 2002 [gBooks](http://books.google.co.uk/books?isbn=0821832271)

* [[John Francis]], _[The h-principle in topology](http://www1.math.northwestern.edu/~jnkf/classes/hprin/)_ (overview [pdf](http://math.northwestern.edu/~jnkf/classes/hprin/1overview.pdf))


* Andrés Angel, Johannes Ebert, _Gromov's h-principle and its applications research seminar_, 2010, outline [pdf](http://wwwmath.uni-muenster.de/u/jeber_02/frueherelehre/hprinciple.pdf) (with useful bibliography)
* [London h-principle learning seminar](http://www.homepages.ucl.ac.uk/~ucahcwe/h-principle.html)


[[!redirects homotopy principle]]