
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
#### Mathematics
+-- {: .hide}
[[!include mathematicscontents]]
=--
#### Foundations
+-- {: .hide}
[[!include foundations - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Statement

The sixth in the famous list of [[Hilbert's problems]] asks for the formalization/[[axiom|axiomatization]] of [[physics]] in [[mathematics]]. The original version in the way Hilbert stated it ([Hilbert 1901](#Hilbert1901)) is the following (translated from the original German):

> **6. Mathematical Treatment of the Axioms of Physics.** The investigations on the [[foundations]] of [[geometry]] suggest the problem: To treat in the same manner, by means of [[axioms]], those [[physics|physical sciences]] in which already today [[mathematics]] plays an important part; in the first rank are the [[probability theory|theory of probabilities]] and [[mechanics]]. ([full text](http://aleph0.clarku.edu/~djoyce/hilbert/problems.html#prob6))

Discussion of background and historical context is in the ICM06 speech ([Corry 06](#Corry06)), where it says

> From all the problems in the list, the sixth is the only one that continually engaged $[$Hilbert's$]$ efforts over a very long period, at least between 1894 and 1932.

Hence not the least due to Hilbert himself, meanwhile of course several aspects of physics have been formalized, while others are certainly still waiting to be understood in a systematic fashion. 

Hilbert's original example of [[probability theory]] is considered to be fully axiomatized since the 1930s by the concepts of [[measure theory]]. For the example of _[[mechanics]]_ the status of the axiomatization crucially depends on how widely one understands the term today. The special case of [[classical mechanics]] which Hilbert was origially referring to has been fully formalized by means of [[symplectic geometry]] and [[variational calculus]]. Hilbert himself then contributed to the application of this formalization to [[gravity]] ("[[Einstein-Hilbert action]]", see [Sauer 99](#Sauer1999)) and the formalization of the refinement of classical mechanics to [[quantum mechanics]] ("[[Hilbert space]]"). Even though to this day the ontological status of quantum mechanics as a [[theory of physics]] is the topic of debates, certainly the mathematics of quantum mechanics as such is fully captured by [[functional analysis]] and [[operator algebra]] theory. But this situation changes drastically when one passes to what since around the 1950s is understood to be the more fundamental and general version of mechanics in nature, namely _[[quantum field theory]]_. Since the 1960 the [[Haag-Kastler axioms]] ("[[AQFT]]") have been proposed as an axiomatization for quantum field theory and crucially for _[[local quantum field theory]]_. While these axioms had some success in laying a foundation for structural results such as the [[PCT theorem]], their continuing lack of relevant examples ([[models]]) in dimensions greater than 2 seems to indicate that something is missing. Modern developments in [[higher algebra]] and [[higher geometry]] suggest that a refinement of the axioms to the context of [[homotopy theory]] is necessary and natural. More on this is below in _[Modern formalization of local quantum field theory](#ModernFormalizationOfLocalQuantumFieldTheory)_

## Modern formalization of local quantum field theory
 {#ModernFormalizationOfLocalQuantumFieldTheory}

(...)

## Related pages

* [[mathematical physics]], [[higher category theory and physics]], [[geometry of physics]]

Related expositions include the following:

* [[geometry of physics]]

* [[fiber bundles in physics]]

* [[higher category theory and physics]]

* [[string theory FAQ]]

* [[twisted smooth cohomology in string theory]]

* [[motives in physics]]

* [[Hilbert's sixth problem]]

* [[model theory and physics]]

* [[L-infinity algebras in physics]]

* [[motivation for sheaves, cohomology and higher stacks]]

* [[applications of (higher) category theory]]

* [[motivation for higher differential geometry]]

* [[motivation for cohesion]]




## References

The original list of [[Hilbert's problems]] appears in 

* [[David Hilbert]], _Mathematical Problems_, Bulletin of the American Mathematical Society, vol. 8, no. 10 (1902), pp. 437-479. Earlier publications (in the original German) appeared in Göttinger Nachrichten, 1900, pp. 253-297, and Archiv der Mathematik und Physik, 3dser., vol. 1 (1901), pp. 44-63, 213-237. ([AMS](http://www.ams.org/journals/bull/1902-08-10/home.html), [pdf](http://www.ams.org/journals/bull/1902-08-10/S0002-9904-1902-00923-3/S0002-9904-1902-00923-3.pdf), [html](aleph0.clarku.edu/~djoyce/hilbert/problems.html))
 {#Hilbert1901}

The historical context of the sixth problem is laid out in some detail in 

* [[Leo Corry]], _David Hilbert and the axiomatization of physics: From Grundlagen der Geometrie to Grundlagen der Physik_, Archimedes: New Studies in the History and
Philosophy of Science and Technology 10, Kluwer Academic Publishers, Dordrecht 2004.([pdf](http://tau.ac.il/~corry/publications/articles/pdf/hilbert.pdf))

* [[Leo Corry]], _On the origins of Hilbert's sixth problem: physics and the empiricist approach to axiomatization_, Proceedings of the [International Congress of Mathematics in Madrid 2006](http://www.icm2006.org/) ([pdf](http://www.tau.ac.il/~corry/publications/articles/pdf/Hilbert%20ICM.pdf)) 
 {#Corry06}

Hilbert's own work on the foundations of the [[classical field theory]] of [[gravity]] ([[general relativity]]) is surveyed in

* Tilman Sauer,  _The relativity of discovery: Hilbert's first note on the foundations of physics". Arch. Hist. Exact Sci. 53 (6): 529–575. (1999). ([arXiv:physics/9811050](http://arxiv.org/abs/physics/9811050))
 {#Sauer1999}

Surveys of the sixths problem include

* Wikipedia, _[Hilbert's sixth problem](http://en.wikipedia.org/wiki/Hilbert%27s_sixth_problem)_



[[!redirects Hilbert's 6th problem]]
