
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Operator algebra
+-- {: .hide}
[[!include AQFT and operator algebra contents]]
=--
#### Noncommutative geometry
+--{: .hide}
[[!include noncommutative geometry - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A [[crossed product algebra|crossed product]] [[C*-algebra]].

## Properties

### Equivalence to convolution algebra

If the $A$ is a [[C*-algebra]] [[algebra of functions|of functions]] on some [[topological space]] $X$ and the [[action]] of $G$ on $A$ is induced from an [[action]] on $X$, then in good cases the crossed product algebra is equivalent to the [[convolution algebra]] of the [[action groupoid]].

e.g. ([Land 13, prop. 4.2](#Land13), [Soltan, section 5.1](#Soltan), [Bos 07, example 12.2.8](#Bos07)) also ([Connes 06, around p. 13](#Connes06))

## Related concepts

* [[Baum-Connes conjecture]]

## References

A standard textbook account (with an eye towards [[KK-theory]]) is section 10 of

* [[Bruce Blackadar]], _[[K-Theory for Operator Algebras]]_

Original articles include

* M. A. Rieffel, _Proper actions of groups on C∗-algebras_ Mappings of operator algebras (Philadelphia, PA, 1988), 141–182, Progr. Math. 84, Birkhäuser Boston, Boston, MA, 1990. ([pdf](http://math.berkeley.edu/~rieffel/papers/properactions.pdf))

* Jonathan Henry Brown, _Proper actions of groupoids on $C^*$-algebras_ ([arXiv:0907.5570](http://arxiv.org/abs/0907.5570))

Detailed lecture notes are in

* Piotr Soltan, _$C^\ast$-Algebras, group actions and crossed products_, lecture notes ([pdf](http://www.fuw.edu.pl/~psoltan/prace/C*-algebras,%20group%20actions%20and%20crossed%20products%20%28lecture%20notes%29.pdf))
 {#Soltan}

A survey of [[noncommutative geometry]] with a bunch of examples of crossed product $C^\ast$-algebras is

* [[Alain Connes]], _A walk in the non-commutative garden_ ([arXiv:math/0601054](http://arxiv.org/abs/math/0601054))
 {#Connes06}

Further discussion in the context of the [[Baum-Connes conjecture]] is in 

* Markus Land, _The Analytical Assembly Map and Index Theory_, ([arXiv:1306.5657](http://arxiv.org/abs/1306.5657))
 {#Land13}


Applications to [[geometric quantization]] and specifically [[geometric quantization by push-forward]] are indicated in

* Roger Bos, _Groupoids in geometric quantization_, 2007 ([pdf](http://www.math.ru.nl/~landsman/ProefschriftRogier.pdf))
 {#Bos07}


(...)

[[!redirects crossed product C-star algebra]]
[[!redirects crossed product C*-algebras]]
[[!redirects crossed product C-star algebras]]

