
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Category theory
+-- {: .hide}
[[!include category theory - contents]]
=--
#### Topos Theory
+-- {: .hide}
[[!include mathematicscontents]]
=--
#### Homological algebra
+--{: .hide}
[[!include homological algebra - contents]]
=--
=--
=--



This entry provides a hyperlinked index for the book

* [[Masaki Kashiwara]], [[Pierre Schapira]], 
 
  _Categories and Sheaves_, 
  
  Grundlehren der Mathematischen Wissenschaften __332__, Springer (2006)

on basics of [[category theory]] and the foundations of [[homological algebra]] and [[abelian sheaf cohomology]].

See also the related lecture notes

* [[Pierre Schapira]], _Categories and homological algebra_ (2011) ([pdf](http://people.math.jussieu.fr/~schapira/lectnotes/HomAl.pdf))
 {#Schapira}


**Summary**

The book discusses the theory of [[presheaf|presheaves]] and [[sheaf|sheaves]] with an eye towards their application in [[homological algebra]] and with an outlook on [[stack]]s.

A self-contained introduction of the basics of [[presheaf]]-categories with detailed discussion of [[representable functor]]s and the corresponding notions of [[limit]]s, [[colimit]]s, [[adjoint functor]]s and [[ind-object]]s forms the first third of the book.

The second part describes central concepts and tools of modern category-theoretic [[homological algebra]] in terms of [[derived category|derived]] [[triangulated category|triangulated categories]].

The last part merges these two threads in a discussion of [[sheaf|sheaves]] in general and [[abelian sheaf|abelian sheaves]] in particular. This provides the machinery for the consideration of [[abelian sheaf cohomology]] conceptually embedded into the general notion of [[cohomology]] and [[(infinity,1)-category of (infinity,1)-sheaves|higher stacks]], on which the last section provides an outlook.

The organization and emphasis of the book (for instance of the [[category of sheaves]] as a [[localization]] of the category of [[presheaf|presheaves]]) makes it a suitable 1-categorical preparation for the [[infinity-category|infinity-categorical]] discussion of sheaves in

* J. Lurie, _[[Higher Topos Theory]]_

and of triangulated categories, i.e. [[stable (infinity,1)-category|stable infinity-categories]], in 

* J. Lurie, _[[Stable Infinity-Categories]]_

On the other hand, [[topos]]-theoretic aspects of the [[category of sheaves]] are not emphasized, here 

* Moerdijk-MacLane, _[[Sheaves in Geometry and Logic]]_

is the natural complementary reading. In particular sections V and VII there are directly useful for supplementing the concept of [[geometric morphism]] and its relation to [[localization]]. 


#Contents#
* table of contents
{:toc}

The following lists chapterwise linked lists of keywords to relevant and related existing entries, as far as they already exist. 

For a pedagogical motivation of the general topic under consideration here see

* [[motivation for sheaves, cohomology and higher stacks]]


## 1 The language of categories

* [[foundations]]

  * [[ETCS]]

  * [[Grothendieck universe]]

* [[category]]
  
  * [[morphism]]

    * [[hom-set]]

    * [[identity morphism]]

    * [[epimorphism]]
  
    * [[monomorphism]]

    * [[inverse]]

    * [[isomorphism]]

    * [[endomorphism]]

    * [[automorphism]]

  * [[object]]

    * [[initial object]]

    * [[terminal object]]

    * [[zero object]]

  * [[small category]]
  
  * [[locally small category]]

  * [[finite category]]

  * [[opposite category]]

  * [[subcategory]]

  * general examples

    * [[discrete category]]

    * [[partial order|poset]]

    * [[groupoid]]

    * [[monoid]]

    * [[group]]

    * [[arrow category]]

      * [[comma category]]

        * [[category of elements]]
   
        * [[generalized universal bundle]]

      * [[subobject]]

  * [[partially ordered category]]

  * concrete examples

    * classical examples: sets with [[stuff, structure, property|extra structure]]    

      * [[Set]]

      * [[Top]]

      * [[Vect]]

      * [[simplex category]]

    * [[point]]

    * [[globe]]

    * [[fundamental groupoid]]

* [[functor]]

  * [[stuff, structure, property]]

    * [[forgetful functor]]

    * [[essentially surjective functor]]

    * [[full functor]]

    * [[faithful functor]]

    * [[subcategory]]

  * [[natural transformation]]

    * [[functor category]]

    * [[skeleton]]

    * [[equivalence|equivalence of categories]]

  * [[contravariant functor]]

* [[presheaf]]

  * [[representable functor]]

  * [[Yoneda lemma]]

    * [[Yoneda embedding]]

    * [[Yoneda extension]]
 
    * [[free cocompletion]]

    * [[co-Yoneda lemma]]

  * [[adjoint functor]]

    * [[adjunction]]

    * [[examples of adjoint functors]]


* functor and presheaf categories

  * [[simplicial set]]

  * [[presheaf on open subsets]]

## 2 Limits

* [[limit]]

  * [[colimit]]

  * examples
   
    * [[limits and colimits by example]]

    * [[product]]

    * [[coproduct]]

    * [[pullback]]
 
    * [[pushout]]
 
    * [[fiber product]]
  
    * [[equalizer]]

    * [[coequalizer]]

    * [[kernel]]

    * [[cokernel]]

  * [[weighted limit]]

  * [[continuous functor]]

* [[Kan extension]]

  * [[Yoneda extension]]

* [[cofinal functor]]

* [[cofinally small category]]

## 3 Filtrant Limits

* [[filtered category]]

* [[filtered limit]]

* [[exact functor]]

  * [[flat functor]]


## 4 Tensor Categories

* [[monoidal category]]

  * [[braided monoidal category]]

  * [[closed monoidal category]]

* [[enriched category theory]]

  * [[enriched category]]


## 5 Generators and Representability

* [[image]]

  * [[coimage]]

  * [[strict morphism]]

    * [[strict epimorphism]]

    * [[regular epimorphism]]

* [[subobject]]

* [[generator]]

## 6 Indization of Categories

* [[ind-object]]

  * [[pro-object]]

  * [[finitely presentable object]]

  * [[compact object]]



## 7 Localization

* [[homotopical category]]

  * [[category with weak equivalences]]

  * [[category of fibrant objects]]

  * [[Waldhausen category]]

  * [[model category]]

* [[localization]]

  * [[calculus of fractions]]
   
    * [[multiplicative system]]

    * [[category of fractions]]

  * [[geometric embedding]]

  * [[homotopy category]]

  * [[derived functor]]



## 8 Additive and Abelian Categories

* [[group object]]

* [[Ab]]

* [[Ab-enriched category]]

* [[additive and abelian categories]]

  * [[pre-additive category]]

  * [[additive category]]

  * [[pre-abelian category]]

  * [[abelian category]]

  * [[semi-abelian category]]

  * [[Grothendieck category]]

* [[biproduct]]

  * [[direct sum]]

  * [[matrix calculus]]

* [[chain complex]]

  * [[kernel]]

  * [[cokernel]]

  * [[homology]]


## 9 $\pi$-accesible Objects and $F$-injective Objects


## 10 Triangulated Categories

* [[stable (infinity,1)-category]]

* [[triangulated category]]

* [[cohomological functor]]

* [[null system]]


## 11 Complexes in Additive Categories

* [[homological algebra]]

  * [[category with translation]]

  * [[differential object]]

    * [[complex]]

    * [[double complex]]
  
  * [[mapping cone]] 

  * [[category of chain complexes]]



## 12 Complexes in Abelian Categories

* [[snake lemma]]

* [[quasi-isomorphism]]



## 13 Derived Categories

* [[derived category]]

* [[derived functor on a derived category]]


## 14 Unbounded Derived Categories

* [[injective object]]

* [[projective object]]


## 15 Indization and Derivation of Abelian Categories


## 16 Grothendieck Topologies

* [[coverage]]

  * [[Grothendieck topology]]

    * [[Lawvere-Tierney topology]]

  * [[sieve]]

  * [[local epimorphism]]

  * [[local isomorphism]]

  * [[dense monomorphism]]

* [[site]]


## 17 Sheaves on Grothendieck Topologies

* [[category of sheaves]]

  * [[sheaf]]

  * [[sheafification]]

    * [[geometric morphism]]

    * sheafification with respect to a  [[Lawvere-Tierney topology]]

    * [[IPC-property]]

  * operations

    * [[direct image]]

    * [[inverse image]]

    * [[restriction and extension of sheaves]]

## 18 Abelian Sheaves

* hindsight motivation

  * [[simplicial presheaf|simplicial sheaf]]

  * [[Dold-Kan correspondence]]

  * [[abelian sheaf]]

* [[closed monoidal structure on sheaves]]

* [[ringed site]]

* [[abelian sheaf cohomology]]

  * [[Deligne cohomology]]


## 19 Stacks and Twisted Sheaves

* [[higher category theory]]

  * [[2-category]]

  * [[2-groupoid]]

* [[stack]]

* outloook and further reading

  * [[infinity-stack homotopically]]

    * [[simplicial presheaf]]

    * [[model structure on simplicial presheaves]]

    * [[descent for simplicial presheaves]]

  * [[Higher Topos Theory]]

    * [[(infinity,1)-category of (infinity,1)-sheaves]]

    * [[descent]]


category: reference