
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Harmonic analysis
+-- {: .hide}
[[!include harmonic analysis - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

Sampling theory is a branch of [[harmonic analysis]], especially relevant for [[computation|computational]] harmonic analysis. 

## Theorems

The basic result is the Kotelnikov-Whittaker-Nyquist-Shannon theorem.

## Related entries

* [[wavelet]]

* [[curvelet]]

* [[coherent state]]

* [[signal processing]]

* [[time series]]

* [[information geometry]]

## Literature

* wikipedia: [sampling (signal processing)](http://en.wikipedia.org/wiki/Sampling_%28signal_processing%29), [Nyquist-Shannon sampling theorem](http://en.wikipedia.org/wiki/Nyquist%E2%80%93Shannon_sampling_theorem), [Whittaker-Shannon interpolation formula](http://en.wikipedia.org/wiki/Whittaker%E2%80%93Shannon_interpolation_formula), [signal processing](https://en.wikipedia.org/wiki/Signal_processing)
* [[Claude Shannon]], _Communication in the presence of noise_, Proc. Institute of Radio Engineers __37__:1, pp. 10–21, Jan. 1949 [IEEE reprint](http://www.stanford.edu/class/ee104/shannonpaper.pdf)
* V. A. Kotelnikov, _On the carrying capacity of the ether and wire in telecommunications_, Material for the First All-Union Conference on Questions of Communication, Izd. Red. Upr. Svyazi RKKA, Moscow, 1933 [english pdf](http://ict.open.ac.uk/classics/1.pdf)
* Kabe Moen, Hrvoje Šikić, Guido Weiss, Edward Wilson, _A panorama of sampling theory_, in: Excursions in Harmonic Analysis, vol. 1, Applied and Numerical Harmonic Analysis 2013, pp 107-123  [doi](http://dx.doi.org/10.1007/978-0-8176-8376-4_6)
* Hrvoje Šikić, Edward N. Wilson, _Lattice invariant subspaces and sampling_, Appl. Comput. Harmon. Anal. __31__ (2011), no. 1, 26–43 [MR2012i:42042](http://www.ams.org/mathscinet-getitem?mr=2795873) [doi](http://dx.doi.org/10.1016/j.acha.2010.09.006)
* Hernández, Eugenio; Šikić, Hrvoje; Weiss, Guido L.; Wilson, Edward N., _The Zak transform(s)_, in: Wavelets and multiscale analysis, 151–157, Appl. Numer. Harmon. Anal., Birkhäuser/Springer, New York, 2011 [MR2012e:44005](http://www.ams.org/mathscinet-getitem?mr=2789161) [doi](http://dx.doi.org/10.1007/978-0-8176-8095-4_8)
* Laurent Freidel, [[nlab:Shahn Majid]], _Noncommutative harmonic analysis, sampling theory and the Duflo map in $2+1$ quantum gravity_, Classical Quantum Gravity __25__ (2008), no. 4, 045006 [MR2009f:83058](http://www.ams.org/mathscinet-getitem?mr=2388191), [doi](http://dx.doi.org/10.1088/0264-9381/25/4/045006)

category: analysis, applications, probability