
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### $\infty$-Lie theory
+--{: .hide}
[[!include infinity-Lie theory - contents]]
=--
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A [[super L-infinity algebra|super Lie 2-algebra]] [[infinity-Lie algebra cohomology|extension]] of the [[super Poincare Lie algebra]] in $D = 10$ for $N=2$ supersymmetry (as in [[type II supergravity]]).

The [[Chevalley-Eilenberg algebra]] of the $\mathfrak{sugra}_{typeII}$ (defining it) is that of the $D = 10$ $N = 2$ [[super Poincaré Lie algebra]] generated from $\{E, \Psi\}$ with one further generator $B$ in degree 2 and [[differential]] given schematically by

$$
  d B = \overline{\Psi} \Gamma^a \Gamma_{11} \Psi E_a
  \,.
$$

This is ([CAIB 99, equation (6.3)](#CAIB99)) for type IIA with $N = (1,1)$ and in ([Sakaguchi 99 (2.4) and (2.25)](#Sakaguchi99)) for type IIB with $N = (2,0)$.

It also makes sense to write $\mathfrak{string}_{IIA}$ and $\mathfrak{string}_{IIB}$ for these. See also at _[[string Lie 2-algebra]]_.

## Properties

The [[cocycles]] of the exceptional [[∞-Lie algebra cohomology]] of $\mathfrak{sugra}_{typeII}$ induce the [[Green-Schwarz action functional]] [[schreiber:infinity-Wess-Zumino-Witten theory]]-terms for the [[D-branes]] of [[type II superstring theory]] ([CAIB 99, section 6.1](#CAIB99) for IIA and ([Sakaguchi 99, section 2](#Sakaguchi99)) for IIB):

[[!include brane scan]]

## Related concepts

* [[string Lie 2-algebra]]

[[supergravity Lie 6-algebra]] $\to$ [[supergravity Lie 3-algebra]] $\to$ [[super Poincaré Lie algebra]]

* [[type II supersymmetry algebra]]

## References

The [[type IIA supergravity]] Lie 2-algebra and its [[D-brane]]-[[Green-Schwarz action functional]]-type cocycles are discussed in section 6 of

* C. Chrysso‌malakos, [[José de Azcárraga]], J. M. Izquierdo and C. Pérez Bueno, _The geometry of branes and extended superspaces_ ([arXiv:hep-th/9904137](http://arxiv.org/abs/hep-th/9904137))
 {#CAIB99}

The [[type IIB supergravity]] Lie 2-algebra and its [[D-brane]]-[[Green-Schwarz action functional]]-type cocycles are discussed in section 2 of 


* Makoto Sakaguchi, _IIB-Branes and New Spacetime Superalgebras_,  JHEP 0004 (2000) 019 ([arXiv:hep-th/9909143](http://arxiv.org/abs/hep-th/9909143))
 {#Sakaguchi99}

The formulation in [[super L-infinity algebra]] theory is in 

* [[Domenico Fiorenza]], [[Hisham Sati]], [[Urs Schreiber]], _[[schreiber:The brane bouquet|Super Lie n-algebra extensions, higher WZW models and super p-branes with tensor multiplet fields]]_


