
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}


## Idea

The [[D-brane]] of [[dimension]] 6+1 in [[type IIA string theory]].

## Relation to other branes
 {#RelationToOtherBranes}

### To the KK-monopole in M-theory

The lift of the D6 to [[M-theory]] is the [[Kaluza-Klein monopole]] there ([Townsend 95](#Townsend95)). 

One way to understand this is as follows: the [[first Chern class]] of the M-theory [[circle bundle]] is the [[D0-brane]] degree-2 [[RR-field|RR-]][[field strength]] $R_0$. By the [[self-dual higher gauge field|self-duality]] of the [[RR-fields]] this is the [[Hodge duality|Hodge dual]] of the D6-brane degree-8 field strength. Now given a  [[Kaluza-Klein monopole]] after removing the locus of the monopole where the circle-[[fiber]] degenerates (as in the original [[Dirac charge quantization]] argument) it is a non-degenerated circle bundle such that the [[integration of differential forms|integral]] of the 2-form $R_0$ over any [[2-sphere]] surrounding the singular locus is non-trivial. By the usual yoga of [[electric-magnetic duality]] this integral measures the [[magnetic flux]] of a D6-brane sitting at the singular locus.
For more on this see at _[Kaluza-Klein monopole -- Relation to the D6-brane](Kaluza-Klein+monopole#RelationToTheD6Brane)_, and see at _[[M-theory lift of gauge enhancement on D6-branes]]_.

### To D7-branes

The [[T-duality|T-dual]] of the D6 branes is the [[D7-brane]] in [[type IIB string theory]].

### Table of branes

[[!include F-branes -- table]]

## Phenomenology -- Intersecting D-brane models

D6-branes are the main ingredient in type IIA [[string phenomenology]] in the guise of [[intersecting D-brane models]], see also at [[string phenomenology]] the section _[Models in type II with intersecting branes](string+phenomenology#ModelsInTypeIIWithIntersectingBranes)_.


<img src="https://ncatlab.org/nlab/files/D6BranesIntersectingAtAnAngle.png" width="650"/>

> graphics grabbed from [Ibáñez-Uranga 12](#IbanezUranga12)


## Related concept

[[!include table of branes]]

## References

The relation to the [[Kaluza-Klein monopole]] in [[M-theory]] is due to

* {#Townsend95} [[Paul Townsend]], _The eleven-dimensional supermembrane revisited_, Phys.Lett.B350:184-187,1995 ([arXiv:hep-th/9501068](http://arxiv.org/abs/hep-th/9501068))

Further discussion and derivation of the [[Chan-Paton gauge field]] content on the D6 from the KK-monopole is discussed in 

* [[César Gómez]], [[Juan José Manjarín]], _A note on the dyonic D6-brane_ ([arXiv:hep-th/0302096](http://arxiv.org/abs/hep-th/0302096))

* [[Juan José Manjarín]], _Topics on D-brane charges with B-fields_, Int.J.Geom.Meth.Mod.Phys. 1 (2004) ([arXiv:hep-th/0405074](http://arxiv.org/abs/hep-th/0405074))

Discussion of D6 [[intersecting branes]] for [[intersecting D-brane models]]:

* {#IbanezUranga12} [[Luis Ibáñez]], [[Angel Uranga]], _[[String Theory and Particle Physics -- An Introduction to String Phenomenology]]_, Cambridge 2012

* [[Angel Uranga]], _Model building in IIA: Intersecting
brane worlds_, 2012 ([pdf](http://scgp.stonybrook.edu/wp-content/uploads/2012/05/Uranga-Lecture-Notes-1.pdf))


[[!redirects D6-branes]]