
> This page is about a general theorem in [[topos theory]]. For other meanings see e.g. [[comparison theorem (étale cohomology)]].

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context###
#### Topos Theory
+-- {: .hide}
[[!include topos theory - contents]]
=--
=--
=--

# The comparison lemma
* table of contents
{: toc}

## Idea

A [[functor]] from a [[category]] to a [[site]] induces a [[Grothendieck topology|topology]] on the source category.  The **comparison lemma** says that, under certain conditions, such a functor induces an [[equivalence of categories|equivalence]] between the [[category of sheaves|categories of sheaves]] on the sites.


## Induced topology

Let $u : B \to C$ be a functor with $C$ a [[site]].  Recall that the topology __induced__ on $B$ by $u$ is defined to be the finest one such that $u$ is a [[continuous functor]], i.e. such that the map $G \mapsto G \circ u$ takes [[sheaves]] on $C$ to sheaves on $B$.


## Statement

+-- {: .num_theorem #SGA4}
###### Theorem

Let $B$ be a [[small category]], $C$ a [[site]], and $u : B \to C$ a [[fully faithful]] functor.  Consider $B$ as a site with the topology induced by $u$.  If every object $x \in C$ has a covering $(u(a_\alpha) \to x)$ by objects of $B$, then $u : B \to C$ induces an [[equivalence]] of [[category of sheaves|categories of sheaves]] (of sets) $B^\sim \to C^\sim$.
=--

In [this paper](#Beilinson2011), Beilinson proves the following generalisation of the classical comparison lemma.

+-- {: .num_theorem #Beilinson}
###### Theorem

Let $B$ be an [[essentially small category]] and $C$ be an essentially small [[site]].  Suppose that $u : B \to C$ is a faithful functor which exhibits a [[dense subsite]], hence satisfying the following condition:

(B) for every object $x \in C$ and finite family $(x \to u(a_\alpha))_\alpha$, with $a_\alpha \in B$, there exists a [[covering family]] $(u(b_\beta) \to x)_\beta$ of $x$ such that every composite $u(b_\beta) \to x \to u(a_\alpha)$ lies in the image of $\Hom(b_\beta, a_\alpha) \hookrightarrow \Hom(u(b_\beta), u(a_\alpha))$.

Then

* The topology on $B$ induced by $u$ has the following simple description: a [[sieve]] $(x_\gamma \to x)_\gamma$ is [[covering sieve|covering]] iff the sieve generated by the family $(u(x_\gamma) \to u(x))_\gamma$ is covering in $C$.

* The functor $u : B \to C$ induces an [[equivalence]] of [[category of sheaves|categories of sheaves]] (of sets) $B^\sim \to C^\sim$.
=--


## References

* [[Jean-Louis Verdier]], _Fonctorialité de catégories de faisceaux_, _Théorie des topos et cohomologie étale de schémas_ (SGA 4), Tome 1, Lect. Notes in Math. 269, Springer-Verlag, 1972, pp. 265–298.

* [[Alexander Beilinson]], _p-adic periods and derived de Rham cohomology_.  [arXiv:1102.1294](http://arxiv.org/abs/1102.1294)
  {#Beilinson2011}

Section C2.2. of

* [[Peter Johnstone]], _[[Sketches of an Elephant]]_

[[!redirects Comparison lemma]]
[[!redirects comparison lemma]]
[[!redirects the comparison lemma]]
