
#Contents#
* table of contents
{:toc}

## Idea

Let $S$ be a [[noetherian scheme]].  The **h-topology** is a [[Grothendieck topology]] on the category of schemes, used by [[Vladimir Voevodsky]] to construct a [[triangulated category]] $DM$ of [[mixed motive|mixed]] [[motives]].

## Definition

A morphism $p : X \to Y$ of [[schemes]] is called a [[topological epimorphism]] if the underlying topological space of $Y$ is a quotient space of the underlying topological space of $X$, i.e. $p$ is surjective and a subset $A \subset Y$ is open iff its preimage $p^{-1}(A) \subset X$ is open.  Such a morphism is further called a [[universal]] topological epimorphism if this property is preserved under any [[base change]].

Consider the [[pretopology]] on the category of [[schemes]] whose covering families are finite families $(p_i : U_i \to X)_i$ such that $p_i$ are of finite type and $\sqcup p_i : \sqcup U_i \to X$ is a [[topological epimorphism|universal topological epimorphism]].  The [[Grothendieck topology]] generated by this pretopology is called the **h-topology** on the category of schemes.

The h-topology is stronger than the [[etale topology|etale]] and [[proper topology|proper]] topologies.

## See also

* [[motives]]
* [[qfh-topology]]
* [[cdh-topology]]
* [[etale topology]]

## References

* [[Vladimir Voevodsky]], _Homology of schemes and covariant motives_, thesis, ProQuest LLC, Ann Arbor, MI, pp. 64, 1992, [pdf](https://www.math.ias.edu/vladimir/sites/math.ias.edu.vladimir/files/homology_of_schemes_thesis_published.pdf).

* [[Vladimir Voevodsky]], _Homology of schemes, I_.  1994, K-theory Preprint Archives, [url](http://www.math.uiuc.edu/K-theory/0031/)

* [[David Rydh]], _Submersions and effective descent of étale morphisms_,
Bull. Soc. Math. France 138(2) (2010), 181–230, [publ](http://smf4.emath.fr/Publications/Bulletin/138/html/smf_bull_138_181-230.php), [pdf](https://people.kth.se/~dary/submersion20100305.pdf).