
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
#### Group Theory
+-- {: .hide}
[[!include group theory - contents]]
=--
#### Motivic cohomology
+--{: .hide}
[[!include motivic cohomology - contents]]
=--
=--
=--





#Contents#
* table of contents
{:toc}

## Idea

What is called the _cosmic Galois group_ is a _[[motivic Galois group]]_ that naturally [[action|acts]] on structures in [[renormalization]] in [[quantum field theory]]. The actual [[renormalization group]] is a 1-parameter [[subgroup]] of the cosmic Galois group.

In more detail, in ([Connes-Marcolli 04](#ConnesMarcolli04)) the authors consider a [[differential equation]] satisfied by divergences appearing in the [[Hopf algebra]] formulation of [[renormalization]] (see there).  This leads to a [[category]] of "equisingular flat connections" that turns out to be a [[Tannakian category]], meaning that it is equivalent to the [[category of modules]] over some pro-algebraic group $G$. The authors observe that $G$ [[action|acts]] on any renormalizable [[theory (physics)|theory]] in a nice way. Due to this property [[Pierre Cartier]] referred to this as the _cosmic Galois group_:

> La parent&eacute; de plus en plus manifeste entre le [[groupe de Grothendieck-Teichmüller]] d'une part, et le groupe de renormalisation de la Th&eacute;orie Quantique des Champs n'est sans doute que la premi&egrave;re manifestation d'un groupe de sym&eacute;trie des constantes fondamentales de la physique, une esp&egrave;ce de groupe de Galois cosmique!" ([[Pierre Cartier]] according to [Connes 12](#Connes12), see also the end of [Cartier 01](#Cartier01)).

This cosmic Galois group $G$ is (non-canonically) isomorphic to some [[motivic Galois group]].

In ([Kitchloo-Morava 12](#KitchlooMorava12)) the cosmic Galois group is related to the motivic/[[Tannaka duality|Tannakian group]] of a motivic stabilization of the [[symplectic category]] of [[symplectic manifolds]] and [[Lagrangian correspondences]] between them, the _[[stable symplectic category]]_ ([Kitchloo 12](#Kitchloo12)).

## Related concepts

* [[motivic Galois group]]

* [[Grothendieck-Teichmüller group]]

## References

The "cosmic Galois group" in [[renormalization]] theory was introduced in 

* {#ConnesMarcolli04} [[Alain Connes]], [[Matilde Marcolli]], _Renormalization and motivic Galois theory_ ([arXiv:math/0409306](http://arxiv.org/abs/math/0409306)) 
 

The name originates in 

* {#Cartier01} [[Pierre Cartier]] _A mad day’s work: from Grothendieck to Connes and Kontsevich The evolution of concepts of space and symmetry_, Bull. Amer. Math. Soc. __38__ (2001), 389-408, [pdf](http://www.ams.org/bull/2001-38-04/S0273-0979-01-00913-2/S0273-0979-01-00913-2.pdf)
 


A similar statement about a [[motivic Galois group]] acting on the space of [[deformation quantizations]] of a [[free field theory]] appeared earlier in 

* [[Maxim Kontsevich]], _Operads and Motives in Deformation Quantization_, Lett. Math. Phys.48:35-72,1999 ([arXiv:math/9904055](http://arxiv.org/abs/math/9904055))

Review and exposition includes

* {#Connes12} [[Alain Connes]], talk at [Galois 200th birthday conference](http://www.galois.ihp.fr/manifestations/colloque/) January (2012) [pdf slides](http://www.alainconnes.org/docs/slidesgaloisihp1.pdf)
 
* {#Brown15} [[Francis Brown]], _Feynman Amplitudes and Cosmic Galois group_ ([arXiv:1512.06409](https://arxiv.org/abs/1512.06409))


A technical review of aspects of this is in 

* [[Jack Morava]], _The motivic Thom isomorphism_ ([web](http://www.math.uiuc.edu/K-theory/0654/),  [pdf](http://www.math.uiuc.edu/K-theory/0654/gamma2.pdf))


See also

* [[Paul Goerss]], _Toward a Kozmik Galois group_, talk at Northwester, April 2010 ([pdf](http://www.math.northwestern.edu/~pgoerss/midwest10/MidW010.pdf))

* [[Jack Morava]], _The Cosmic Galois group as Koszul dual to Waldhausen's A(pt)_ ([arXiv:1108.4627](http://arxiv.org/abs/1108.4627))

A review of cosmic Galois/Grothendieck-Teichmüller group and a discussion from the perspective of the [[motivic symplectic category]] is section 5 of 

* {#KitchlooMorava12} [[Nitu Kitchloo]], [[Jack Morava]], _The Grothendieck--Teichmüller group and the stable symplectic category_, 2012.  ([arxiv:1212.6905](http://arxiv.org/abs/1212.6905))
 

based on 

* [[Nitu Kitchloo]], _The Stable Symplectic Category and Geometric Quantization_ ([arXiv:1204.5720](http://arxiv.org/abs/1204.5720v1))
 {#Kitchloo12}


* [MO discussion](http://mathoverflow.net/questions/94954/connes-kreimer-hopf-algebra-and-cosmic-galois-group)

[[!redirects cosmic Galois groups]]