
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Motivic cohomology
+--{: .hide}
[[!include motivic cohomology - contents]]
=--
#### Group Theory
+-- {: .hide}
[[!include group theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

A slight variant $\tilde Mot_{num}(k,\mathbb{Q})$ of the [[category of pure motives|category of pure]] [[numerical motives]] $Mot_{num}(k,\mathbb{Q})$ is a [[Tannakian category]] [[equivalence of categories|equivalent]] to a [[category of representations]] of some [[algebraic group]] $GMot_k$:

$$
  Mot_{num}(k,\mathbb{Q}) \simeq Rep(GMot_k)
  \,.
$$

In the sense of [[Galois theory]], that [[algebraic group]] is called the _motivic Galois group_ for pure motives. There is also a motivic Galois group of mixed motives. 

That group is, or is closely related to, the group of algebraic _[[periods]]_, and as such is related to expressions appearing in [[deformation quantization]] and in [[renormalization]] in [[quantum field theory]], whence it is also sometimes referred to as the _[[cosmic Galois group]]_. See there for more on this.
 

##(Mixed) Motivic Galois groups


###Nori's Motivic Galois group

[[M. Levine]], _Mixed motives._ (3.3 Motives by Tannakian formalism) In, Handbook of K-theory, Vol. 1, Friedlander and Grayson, eds., p. 429–521, Springer Verlag (2005).([pdf](https://www.uni-due.de/~bm0032/publ/MixMotKHB.pdf)).

###Ayoub's Motivic Galois group 

* [[Joseph Ayoub]], _L'algèbre de Hopf et le groupe de Galois motiviques d'un corps de caractéristique nulle I_,
([pdf] (http://user.math.uzh.ch/ayoub/PDF-Files/GaloisMotivic-1.pdf)).{#Ayoub}

* [[Joseph Ayoub]], _L'algèbre de Hopf et le groupe de Galois motiviques d'un corps de caractéristique nulle II_, ([pdf](http://user.math.uzh.ch/ayoub/PDF-Files/GaloisMotivic-2.pdf)).

* [[Joseph Ayoub]], _From motives to comodules over the motivic Hopf algebra_, ([pdf](http://user.math.uzh.ch/ayoub/PDF-Files/Motivic-Hopf-3.pdf)).

[[Joseph Ayoub]], [Lecture 1](https://www.youtube.com/watch?v=f4vgBfPkiWg),[Lecture 2](https://www.youtube.com/watch?v=JHSdJ28iED0),[Lecture 3](https://www.youtube.com/watch?v=j967ozw9nXU), The lectures were held within the framework of the (Junior) Hausdorff Trimester Program Topology and the Workshop: Interactions between operads and motives.

[Mathoverflow, Derived version of equivalence between motives and representations of Motivic galois groups?](http://mathoverflow.net/questions/254341/derived-version-of-equivalence-between-motives-and-representations-of-motivic-ga).

###Comparison

_Ayoub’s weak Tannakian formalism applied to the Betti realization for Voevodsky motives yields a pro-algebraic group, a candidate for the motivic Galois group.  In particular, each Voevodsky motive gives rise to a representation of this group. On the other hand Nori motives are just representations of Nori’s motivic Galois group._ These groups are isomorphic.

* [[Utsav Choudhury]], [[Martin Gallauer Alves de Souza]], _An isomorphism of motivic galois groups_, ([arXiv:1410.6104](https://arxiv.org/pdf/1410.6104v2.pdf)).

_the existence of a motivic t-structure (which renders the Betti realization
t-exact) would imply the isomorphism of motivic Galois groups._

* [[J.P.Pridham]], _Tannaka duality for enhanced triangulated categories_, ([arXiv:1309.0637](https://arxiv.org/pdf/1309.0637v4.pdf)).

##Noncommutative Motivic Galois groups

* [[Matilde Marcolli]], [[Gonçalo Tabuada]] _Unconditional noncommutative motivic galois groups_,([arXiv:1112.5422](https://arxiv.org/pdf/1112.5422.pdf)).

* [[Matilde Marcolli]], [[Gonçalo Tabuada]] _Noncommutative numerical motives, Tannakian structures, and motivic Galois groups._ J. Eur. Math. Soc. 18 (2016), 623-655. doi: 10.4171/JEMS/598

## References

### General

A quick survey is in 

* [[Bruno Kahn]], _Motivic Galois groups_ ([pdf](http://www.math.jussieu.fr/~kahn/preprints/PaloAlto2.pdf))
 {#Kahn}

More is in 

* [[Jean-Pierre Serre]], _Propriétés conjecturales des groups de Galois motiviques et des représentations l-adiques_, in U. Jannsen, S. Kleiman, J.-P. Serre (eds)  _Motives_, Proceedings of Symposia in Pure Mathematics, AMS, vol. 55, part 1, 377 - 400 (1994).

* [[Yves André]], _Groupes de Galois motiviques et périodes_, ([pdf](http://www.bourbaki.ens.fr/TEXTES/1104.pdf)), Séminaire Bourbaki, 68ème année, 2015-2016 n°1104.

* AB Goncharov, _Polylogarithms and Motivic galois groups_, ([pdf](http://users.math.yale.edu/users/ag727/polylog.pdf)).

* R Sujatha, _Motives from a categorical point of view_, ([pdf](http://www.math.tifr.res.in/~sujatha/ihes.pdf)).

* [[Minhyong Kim]], _(Videos) Motivic fundamental groups and Diophantine geometry_, [I](https://www.youtube.com/watch?v=qiR8un1mwIA), [II](https://www.youtube.com/watch?v=SZLE_dqf5lk). 

* Annette Huber, Stefan Müller-Stach, _On the relation between Nori motives and Kontsevich periods_, [arxiv/1105.0865](http://arxiv.org/abs/1105.0865)

> We show that the spectrum of Kontsevich's algebra of formal periods is a torsor under the motivic Galois group for mixed motives over the rational numbers. This assertion is stated without proof by Kontsevich and originally due to Nori. In a series of appendices, we also provide the necessary details on Nori's category of motives.

[Mathoverflow, What are the possible motivic Galois groups over Q
?](http://mathoverflow.net/questions/127633/what-are-the-possible-motivic-galois-groups-over-mathbb-q?rq=1).

[Mathoverflow, Why would the category of Motives be Tannakian?](http://mathoverflow.net/questions/71660/why-would-the-category-of-motives-be-tannakian).

### Relation to Grothendieck-Teichmüller group

The [[Grothendieck-Teichmüller group]] is supposed to be a [[quotient]] of the motivic Galois group. This is a conjecture due to ([Drinfeld 91](#Drinfeld91)).

* [[Vladimir Drinfel'd]], _On quasi-triangular Quasi-Hopf algebras and a group closely related with $Gal(\overline{\mathbb{Q}/\mathbb{Q}})$, Leningrad Math. J., 2 (1991), 829 - 860.
 {#Drinfeld91}


### In quantum field theory

A conjecture that the motivic Galois group naturally acts on the space of [[deformation quantizations]] of [[free field theories]] is in section 5 of 

* [[Maxim Kontsevich]], _Operads and motives in deformation quantization_, Lett. Math. Phys.48:35-72, 1999 ([arXiv:math/9904055](http://arxiv.org/abs/math/9904055))

Regarding that this approach is related to Hodge theory periods, and that QFT can be attacked using the Batalin-Vilkovsky formalism, Barannikov has developed
further the Batalin-Vilkovisky geometry and related Hodge theory in a direction which is probably a ground for better understanding of motivic Galois group as well. 

An analogous statement, that a motivic Galois group naturally acts on structures in [[renormalization]] is in

* [[Alain Connes]], [[Matilde Marcolli]], _Renormalization and motivic Galois theory_, [arXiv:math/0409306](http://arxiv.org/abs/math/0409306) 
 {#ConnesMarcolli04}

* [[Alain Connes]], _Symetries Galoisiennes et Renormalisation_, [arXiv:math/0211199](https://arxiv.org/abs/math/0211199)

For more along these lines see at _[[cosmic Galois group]]_.

###Grothendieck's Yoga Remarks

## Related concepts

* [[Galois theory]]

* [[motive]]

* [[cosmic Galois group]], [[Grothendieck-Teichmüller group]]

[[!redirects motivic Galois groups]]