
#Contents#
* table of contents
{:toc}

## Definition

Let $X$ be a [[noetherian scheme]].  One defines a **$k$-dimensional algebraic [[cycle]]** as an element of the [[free abelian group]] $Z_k(X)$ generated by the [[closed subspace|closed]] [[integral scheme|integral]] subschemes of [[dimension]] $k$, and dually a $k$-[[codimension|codimensional]] cycle is an element of the [[free group]] $Z^k(X)$ generated by the closed integral subschemes of [[codimension]] $k$ in $X$.  (An important special case is the group $Z^1(X)$ of 1-codimensional cycles, better known as the group of **[[Weil divisors]]**.)  One usually writes a cycle as a formal sum

$$ C = \sum_{Z \subset X} n_Z.[Z] $$

## Direct image and inverse image of cycles

For [[proper morphisms]] $f : X \to Y$, one defines the [[direct image]] of a $k$-cycle by assigning

$$ f_*([Z]) = \deg_{R(f(Z))}(R(Z)) . [f(Z)] $$

when $\dim(f(Z)) = \dim(Z)$ and 0 otherwise.  Here $f(Z)$ is considered as an integral subscheme of $Y$ with the [[reduced scheme|reduced]] subscheme structure induced from $Y$.  $R(Z)$ denotes the field of [[rational functions]] on $Z$ and $\deg$ denotes the degree of the [[field extension]].  One gets homomorphisms $f_* : Z_k(X) \to Z_k(Y)$ for each $k$.

For [[flat morphisms]] of [[relative dimension]] $n$, one defines the inverse image of a $k$-cycle by assigning, for a closed integral subscheme $Z \subset Y$ of dimension $k$,

$$ f^*([Z]) = \sum_{Z_\alpha \subset f^{-1}(Z)} \length_{O_{X,z_\alpha}}(O_{f^{-1}(Z),z_\alpha}) [Z_\alpha] $$

where the sum is taken over the [[irreducible components]] $Z_\alpha$ of $f^{-1}(Z)$, $\length$ denotes length of [[modules]], and $z_\alpha$ are the [[generic points]] of $Z_\alpha$.  Hence one gets homomorphisms $f^* : Z_k(Y) \to Z_{k+n}(X)$.

## Weil divisors and rational functions

A **[[Weil divisor]]** on $X$ is a 1-codimensional cycle.

A [[rational function]] $r \in R(X)$ on an [[integral scheme]] $X$ corresponds via canonical isomorphisms $R(X) \to \Frac(O_{X,x})$, for every $x \in X$, to elements $a_x/b_x \in \Frac(O_{X,x})$, and one defines the **order of vanishing** of $r$ at $x$ as

$$ \ord_x(r) = \length_{O_{X,x}}(O_{X,x}/(a_x)) - \length_{O_{X,x}}(O_{X,x}/(b_x)) $$

where $\length$ denotes length of [[modules]].

Then one defines the **[[Weil divisor]] associated to the rational function $r$** as

$$ div(r) = \sum_{Z \subset X} \ord_z(r).[Z] $$

where the sum goes over closed integral subschemes $Z$ of codimension 1 and with [[generic point]] $z \in Z$.

## Related concepts

* [[Chow groups]]

* [[Cartier divisor]]

* [[Abel-Jacobi map]]

* [[standard conjectures]]

## References

Standard references are

* [[EGA IV]], section 21
* [[Stacks Project]], [02QQ](http://stacks.math.columbia.edu/tag/02QQ)

On the relation with [[Weil cohomology theories]], [[algebraic K-theory]], [[Beilinson-Lichtenbaum conjectures]], and [[motivic cohomology]]:

* [[Marc Levine]], _Algebraic cycle complexes_, talk notes, 2008, [pdf](https://www.uni-due.de/~bm0032/publ/CycleComplexes.pdf).

A relation to [[iterated integrals]] and [[diffeological spaces]] is discussed in 

* [[Richard Hain]], _Iterated Integrals and Algebraic Cycles: Examples and Prospects_ ([arXiv:](http://arxiv.org/abs/math/0109204))

[[!redirects algebraic cycles]]