
# Euclid
* table of contents
{: toc}

## Life and work

__Euclid__ (Εὐκλείδης) of Alexandria was the ancient author of the _[[Elements]]_, a treatise consisting of thirteen books covering [[Euclidean geometry|plane and solid geometry]], arithmetic (elementary [[number theory]]), and an early theory of [[real numbers]]. He is regarded as the preeminent organizer of the [[mathematics]] of the Hellenistic world, and his work exerted a decisive influence, through the centuries to come, on the understanding and cultural image of mathematics as a rigorous deductive discipline.

Euclid\'s rigour became a byword for mathematics (and specifically for geometry) until the 19th century, particularly in contrast to the slapdash approach of [[infinitesimal calculus]].  By the end of that century, however, mathematical rigour had progressed beyond Euclid, and [[David Hilbert]] had to reorganise the foundations of geometry to fill in some of Euclid\'s gaps.

There is little hard data on Euclid as a person; it seems to be generally agreed that he worked and taught at the library at Alexandria during the reign of Ptolemy I (*circa* 300 BC), having earlier received his training in mathematics from students of Plato at Plato’s Academy in Athens.

One could say that Euclid was the ancient version of [[Bourbaki]], who quite consciously fancied and presented themselves as a modern-day Euclid, collecting and reorganizing the mathematics of the day in rigorous logical form. (The naming of Bourbaki's _magnum opus_, the _[[Elements of Mathematics]]_, is of course no coincidence.) One notable stylistic difference: Euclid freely employed pictures as visual aids to the logical demonstrations in the _Elements_, whereas Bourbaki wrote in rather a puritanical spirit, sternly forbidding the use of pictorial representations, perhaps to avoid the kinds of errors that Hilbert patched in Euclid\'s work.


## The _Elements_

(Include some words on the extent to which Euclid actually wrote this by himself, or collected treatises which were works of others, etc.  Either on [[Elements|a separate page]], or else here with a redirect.) 


## Related entries

*  [[Euclidean domain]]
*  [[Euclidean geometry]]
*  [[Euclidean relation]]
*  [[Euclidean space]]
*  [[Euclidean topology]]
*  _[[Elements]]_ (his book)


## External links

*  [English Wikipedia](http://en.wikipedia.org/wiki/Euclid)

*  [An English translation of _Elements_ ](http://www.mathcs.clarku.edu/~djoyce/java/elements/elements.html) 

* Online article on Euclid ([web](http://www.mathopenref.com/euclid.html)) 

* [St. Andrews history article](http://www-groups.dcs.st-and.ac.uk/history/Biographies/Euclid.html)


category: people

[[!redirects Euclid]]
[[!redirects Euclidean]]
[[!redirects euclidean]]
[[!redirects Εὐκλείδης]]
[[!redirects Ευκλείδης]]
[[!redirects Ευκλειδης]]
