
# Quasi-symmetric functions
* table of contents
{: toc}

## Idea

Quasi symmetric functions are a generalisation of [[symmetric functions]] and are closely related to [[noncommutative symmetric functions]].

## Definition

+--{: .num_defn #qsymmfn}
###### Definition
Let $X$ be a totally ordered set of indeterminants.  Let $R$ be a ring.  A [[polynomial]] in $R[X]$ or a [[power series]] in $R[ [X] ]$ is said to be **quasi-symmetric** if whenever $X_1 \lt X_2 \lt \dots \lt X_n$ and $Y_1 \lt Y_2 \lt \dots \lt Y_n$ are finite sets of indeterminants then the coefficients of $X_1^{i_1} X_2^{i_2} \cdots X_n^{i_n}$ and $Y_1^{i_1} Y_2^{i_2} \cdots Y_n^{i_n}$ are the same.
=--

+-- {: .num_defn #qsymm}
###### Definition
The ring $\QSymm^{\hat{}}$ is defined as the ring of quasi-symmetric power series over $\mathbb{Z}$ in countably many variables.  Its subring $\QSymm$ is defined as the ring of quasi-symmetric polynomials (meaning, power series of bounded degree).
=--


## References

(Copied from [[noncommutative symmetric function]] as the two concepts are often studied together.)

### Research articles 

* G. Duchamp, F. Hivert, J.-Y. Thibon, _Noncommutative symmetric functions VI: free quasi-symmetric functions and related algebras_, Internat. J. Alg. Comput. 12 (2002), 671–717.
* [[I. M. Gelfand]], D. Krob, A. Lascoux, B. Leclerc, V. S. Retakh, J.-Y. Thibon, _Noncommutative symmetric functions_, Adv. in Math. __112__ (1995), 218–348, [hep-th/9407124](http://arxiv.org/abs/hep-th/9407124)
* Jean-Christophe Novelli, Jean-Yves Thibon, _Noncommutative symmetric functions and Lagrange inversion_, [math.CO/0512570](http://arxiv.org/abs/math/0512570); _Noncommutative symmetric functions and an amazing matrix_ [arxiv/1109.1184](http://arxiv.org/abs/1109.1184)
* Lenny Tevlin, _Noncommutative Monomial Symmetric Functions_, Formal Power Series and Algebraic Combinatorics Nankai University, Tianjin, China, 2007, proceedings [pdf](http://www.fpsac.org/FPSAC07/SITE07/PDF-Proceedings/Talks/83.pdf)
* D. Krob, J.-Y. Thibon, _Noncommutative symmetric functions IV: Quantum linear groups and Hecke algebras at $q = 0$_, [pdf](http://hal.inria.fr/docs/00/05/79/10/PDF/ncsf4.pdf)
* Christos A. Athanasiadis, _Power sum expansion of chromatic quasisymmetric functions_, [arxiv/1409.2595](http://arxiv.org/abs/1409.2595)


### Long surveys and lecture notes

* Michael Hazewinkel, _Symmetric functions, noncommutative symmetric functions and quasisymmetric functions_, [pdf](http://oai.cwi.nl/oai/asset/10344/10344B.pdf)
* [[V. Retakh]] and R. Wilson, Advanced Course on Quasideterminants and Universal Localization: [pdf](http://castellet.cat/Publications/quaderns/Quadern41.pdf) (see the part _Factorization of Noncommutative Polynomials
and Noncommutative Symmetric Functions_)


### Expositions/short summaries

* Mike Zabrocki, _Non-commutative symmetric functions II:
Combinatorics and coinvariants_, slides from a talk [pdf](http://garsia.math.yorku.ca/~zabrocki/talks/coinvariants.pdf), III: A representation theoretical approach [pdf](http://garsia.math.yorku.ca/~zabrocki/talks/reptheory.pdf)
* Lenny Tevlin, _Introduction to quasisymmetric and noncommutative
symmetric functions_, slides, Fields Institute 2010  [pdf](http://www.fields.utoronto.ca/programs/scientific/10-11/schubert/Noncommutative-Symmetric-and-Quasi-Symmetric-Functions-Fields-2010.pdf)


category: combinatorics

[[!redirects quasi-symmetric function]]
[[!redirects quasi-symmetric functions]]
[[!redirects quasisymmetric function]]
[[!redirects quasisymmetric functions]]
