
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Type theory
+-- {: .hide}
[[!include type theory - contents]]
=--
#### Foundations
+-- {: .hide}
[[!include foundations - contents]]
=--
#### Homotopy theory
+-- {: .hide}
[[!include homotopy - contents]]
=--
#### $(\infty,1)$-Topos Theory
+-- {: .hide}
[[!include (infinity,1)-topos - contents]]
=--
=--
=--

An introductory textbook on [[homotopy type theory]] and its use as a [[foundations of mathematics]]:

* [[UF-IAS-2012|Univalent Foundations Project]]

  _Homotopy Type Theory -- Univalent Foundations of Mathematics_

  (**[web](http://homotopytypetheory.org/book/)**, **[pdf](http://hottheory.files.wordpress.com/2013/03/hott-online-323-g28e4374.pdf)**, **[[Planet Math|PM]] [wiki version](http://planetmath.org/node/87534)**)

<div style="float:right;margin:0 20px 10px 20px;"><img width = "250" src="http://hottheory.files.wordpress.com/2013/03/cover-web.png?w=208&h=300" alt="HoTT book cover" /></div>

**About the book** (from the cover)

> [[homotopy type theory|Homotopy type theory]] is a new branch of [[mathematics]] that combines aspects of several different fields in a surprising way. It is based on a recently discovered connection between [[homotopy theory]] and [[type theory]]. It touches on topics as seemingly distant as the [[homotopy groups of spheres]], the [[algorithms]] for [[type checking]], and the definition of [[weak ∞-groupoids]]. Homotopy type theory offers a new "[[univalence|univalent]]" [[foundation of mathematics]], in which a central role is played by [[Vladimir Voevodsky|Voevodsky]]’s [[univalence axiom]] and [[higher inductive types]]. The present book is intended as a first systematic exposition of the basics of [[univalent foundations]], and a collection of examples of this new style of [[reasoning]] — but without requiring the reader to know or learn any [[formal logic]], or to use any [[computer proof assistant]]. We believe that [[univalent foundations]] will eventually become a viable alternative to [[set theory]] as the “implicit foundation” for the unformalized mathematics done by most mathematicians.


* A more detailed description of the contents here:

  [http://golem.ph.utexas.edu/category/2013/06/the_hott_book.html#more](http://golem.ph.utexas.edu/category/2013/06/the_hott_book.html#more)

* And a description of the "sociology" of the writing of the book is here:

  [[Andrej Bauer]], _The HoTT book_ ([web](http://audrey.fmf.uni-lj.si/hott.html), [alternative](http://math.andrej.com/2013/06/20/the-hott-book/))


category: reference

[[!redirects HoTT Book]]
[[!redirects The HoTT Book]]
[[!redirects HoTT book]]
[[!redirects The HoTT book]]

[[!redirects the HoTT book]]

[[!redirects Homotopy Type Theory – Univalent Foundations of Mathematics]]