
# Contents
* table of contents
{: toc}

## Definition

For $I$ a [[set]], the _Kronecker delta-function_ is the [[function]] $I \times I \to \{0,1\}$ which takes the value 0 everywhere except on the [[diagonal]], where it takes the value 1.

Often one writes for [[elements]] $i,j \in I$

$$
  \delta^{i}_j \coloneqq \delta(i,j) 
  \,.
$$

Then

$$
  \delta^i_j
  =
  \left\{
   \array{
     1 & if i = j
     \\
     0 & otherwise
   }
  \right.
$$

In [[constructive mathematics]], it is necessary that $I$ have [[decidable equality]]; alternatively, one could let the Kronecker delta take values in the [[lower reals]].

## Generalizations

* The Kronecker delta is the [[characteristic map]] of the [[diagonal function]] into $I \times I$. More generally, we may call the [[characteristic morphism]] of a [[diagonal morphism]] in any category with a [[subobject classifier]] a "Kronecker delta".

* In the context of [[profunctors]]/[[graph of a functor|graphs of functors]], we can view the Kronecker delta as the decategorification of the [[Hom]] profunctor. 

## Related concepts

* [[Dirac delta distribution]]
* [[graph of a functor]]

## References

Named after [[Leopold Kronecker]]. 

See also 

* Wikipedia, _[Kronecker delta](https://en.wikipedia.org/wiki/Kronecker_delta)_

[[!redirects Kronecker delta]]
[[!redirects Kronecker delta function]]
