

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Index theory
+-- {: .hide}
[[!include index theory - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The _analytic assembly map_ is a natural [[morphism]] from $G$-[[equivariant cohomology|equivariant]] [[topological K-theory]] to the [[operator K-theory]] of a corresponding [[crossed product C*-algebra]].

More generally in equivariant [[KK-theory]] this is called the _Kasparov descent map_  and is of the form

$$
  KK^G(A,B) \to KK(G \ltimes A, G \ltimes B)
$$

where on the left we have $G$-equivariant KK-theory and on the right ordinary [[KK-theory]] of [[crossed product C*-algebras]] (which by the discussion there are models for the [[groupoid convolution algebras]] of $G$-[[action groupoids]]).

(recalled as [Blackadar, theorem 20.6.2](#Blackadar))

## Properties

The [[Baum-Connes conjecture]] states that under some conditions the analytic assembly map is in fact an [[isomorphism]]. The [[Novikov conjecture]] makes statements about it being an [[injection]]. The _[[Green-Julg theorem]]_ states that under some (milder) conditions the Kasparov desent map is an [[isomorphism]].

## Related concepts

* [[Novikov conjecture]]

* [[Baum-Connes conjecture]]

## References

The construction goes back to 

* [[Gennady Kasparov]], _The index of invariant elliptic operators, K-theory, and Lie group representations_. Dokl. Akad. Nauk. USSR, vol. 268, (1983), 533-537.

An introduction is in

* [[Alain Valette]], _Introduction to the Baum-Connes conjecture_  ([pdf](http://www.univ-orleans.fr/mapmo/membres/chatterji/Valette.pdf))

A textbook account is in 

* [[Bruce Blackadar]], _[[K-Theory for Operator Algebras]]_
 {#Blackadar}


See also

* Markus Land, _The Analytical Assembly Map and Index Theory_, ([arXiv:1306.5657](http://arxiv.org/abs/1306.5657))
 {#Land13}

[[!redirects assembly maps]]

[[!redirects Baum-Connes assembly map]]
[[!redirects Baum-Connes assembly maps]]

[[!redirects analytic assembly map]]
[[!redirects analytic assembly maps]]
