
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

A _Baum-Douglas geometric cycle_ on a given [[manifold]] $X$ is a representative for [[K-homology]] classes on $X$. It is given by a [[submanifold]] $Q \hookrightarrow X$ equipped with [[spin^c structure]] and with a [[complex vector bundle]]. The [[equivalence relation]] identifying such data that represents the same [[K-homology]] class includes a compatible [[bordism]] relation. 

Viewed as a [[correspondence]] of the form

$$
  X \stackrel{}{\leftarrow} (Q,E) \to \ast
$$

a Baum-Douglas geometric cycle is a special case of the spans that represent classes in [[KK-theory]] (between manifolds) according to ([Connes-Skandalis 84, section 3](#ConnesSkandalis84)).

In [[string theory]] Baum-Douglas cycles constitute one formalization of the concept of [[D-brane]] carrying a [[Chan-Paton gauge field]] ([Reis-Szabo 05](#ReisSzabo05), [Szabo 08](#Szabo08)): the submanifold $Q$ represents the [[worldvolume]] of the D-brane and the [[complex vector bundle]] it carries the [[Chan-Paton gauge field]].


## Related concepts

* [[motivic function]]

## References

The original articles are

* [[Paul Baum]], R. Douglas, _K-homology and index theory: Operator Algebras and Applications (R. Kadison editor), volume 38 of Proceedings of Symposia in Pure Math., 117-173, Providence RI, 1982. AMS.

* [[Paul Baum]], R. Douglas. _Index theory, bordism, and K-homology_, Contemp. Math. 10: 1-31 1982.

A generalization to [[twisted K-theory|twisted]] homology is discussed in section of

* [[Bai-Ling Wang]], _Geometric cycles, index theory and twisted K-homology_,  Journal of Noncommutative Geometry ([arXiv:0710.1625](http://arxiv.org/abs/0710.1625))


A generalization to geometric (co)-cocycles for KK-theory is in section 3 of 

* {#ConnesSkandalis84} [[Alain Connes]], [[Georges Skandalis]], _The longitudinal index theorem for foliations_. Publ. Res. Inst. Math. Sci. 20,
no. 6, 1139–1183 (1984) ([pdf](http://www.alainconnes.org/docs/longitudinal.pdf))
 

More generally, a construction of general [[homology theories]] in a similar fashion is discussed in 

* S. Buoncristiano, C. P. Rourke and B. J. Sanderson, _A geometric approach to homology theory_, Cambridge Univ. Press, Cambridge, Mass. (1976)

and a construction of [[bivariant cohomology theories]] in this spirit is in 

* Martin Jakob, _Bivariant theories for smooth manifolds_, Applied Categorical Structures 10 no. 3 (2002)

The interpretation as a formalization of [[D-branes]] in [[string theory]] is highlighted in

* {#ReisSzabo05} Rui Reis, [[Richard Szabo]], _Geometric K-Homology of Flat D-Branes_ ,Commun.Math.Phys. 266 (2006) 71-122 ([arXiv:hep-th/0507043](https://arxiv.org/abs/hep-th/0507043))

* {#Szabo08} [[Richard Szabo]], _D-branes and bivariant K-theory_, Noncommutative Geometry and Physics 3 1 (2013): 131. ([arXiv:0809.3029](http://arxiv.org/abs/0809.3029))


[[!redirects Baum-Douglas geometric cycles]]
