
#Contents#
* table of contents
{:toc}

## Idea

For a given [[manifold]] $X$ a _Baum-Douglas geoemtric cycle_ on $X$ is data consisting of a [[submanifold]] $Q \hookrightarrow X$ carrying a [[vector bundle]] $E\to X$ such that this represents a class in [[K-homology]] under a suitable [[equivalence relation]].

Viewed as a [[correspondence]] of the form

$$
  X \stackrel{}{\leftarrow} (Q,E) \to \ast
$$

a Baum-Douglas geometric cycle is a special case of the spans that represent classes in [[KK-theory]] (between manifolds) according to ([Connes-Skandalis 84, section 3](#ConnesSkandalis84)).

## References

The general idea of geometric cycles for [[homology theories]] goes back to

* [[William Fulton]], [[Robert MacPherson]], _Categorical framework for the study of singular spaces_, Memoirs of the AMS, 243, 1981

The original articles by Baum and Douglas are

* [[Paul Baum]], R. Douglas, _K-homology and index theory: Operator Algebras and Applications (R. Kadison editor), volume 38 of Proceedings of Symposia in Pure Math., 117-173,
Providence RI, 1982. AMS.

* [[Paul Baum]], R. Douglas. _Index theory, bordism, and K-homology_, Contemp. Math. 10: 1-31 1982.

The proof that these geometric cycles indeed model all of [[K-homology]] is due to 

* [[Paul Baum]], [[Nigel Higson]], [[Thomas Schick]], _On the Equivalence of Geometric and Analytic K-Homology_ ([arXiv:math/0701484](http://arxiv.org/abs/math/0701484))

* Jeff Raven, _An equivariant bivariant Chern character_, PhD Thesis 

A generalization to geometric (co)-cocycles for [[KK-theory]] is in section 3 of 

* [[Alain Connes]], [[Georges Skandalis]], _The longitudinal index theorem for foliations_. Publ. Res. Inst. Math. Sci. 20,
no. 6, 1139–1183 (1984) ([pdf](http://www.alainconnes.org/docs/longitudinal.pdf))
 {#ConnesSkandalis84}

and for [[equivariant KK-theory]] in 

* [[Heath Emerson]], [[Ralf Meyer]], _Bivariant K-theory via correspondences_, Adv. Math. 225 (2010), 2883-2919 ([arXiv:0812.4949](http://arxiv.org/abs/0812.4949))

For further such generalizations see at [[bivariant cohomology theory]].

Generalization to [[twisted K-homology]] is in 

* [[Bai-Ling Wang]], _Geometric cycles, index theory and twisted K-homology_ ([arXiv:0710.1625](http://arxiv.org/abs/0710.1625))

[[!redirects Baum-Douglas geometric cycles]]

