
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Quantum field theory
+--{: .hide}
[[!include functorial quantum field theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

An effect in [[non-perturbative quantum field theory]] that cannot be seen in [[perturbative quantum field theory]] is called a _non-perturbative effect_.

More in detail, [[theory (physics)|theories]] with [[instantons]] [[field (physics)|field]] configurations (such as in [[Yang-Mills theory]], hence in [[QCD]] and [[QED]]) or [[branes]] (such as in [[string theory]]), etc., are expected to have [[observables]] which as [[functions]] of the [[coupling constant]] $g$ are [[transseries]] of the form

$$
  Z(g)
  = 
  \sum_n a_n g^n
  + 
  e^{-A/g}
  \sum_n a_n^{(1)} g^n
  +
  e^{-B/g^2}
  \sum_n b_n^{(1)} g^n
  \,,
$$

where the first sum is the [[Feynman perturbation series]] itself and where the terms with a [[analytic function|non-analytic]] dependence of the form $\exp(-A/g)$ or $\exp(-A/g)$ are the contributions of the [[instantons]]. Since all the [[derivatives]] of the functions $g \mapsto e^{-1/g}$ or $$g \mapsto e^{-1/g^2}$$ vanish at [[coupling constant]] $g = 0$, the [[Taylor series]] of this part of the observble does not appear in [[perturbative QFT]], even though it is present. Therefore this is called a _non-perturbative effect_.

Related is _[[resurgence theory]]_. See also at _[perturbation theory -- Divergence/convergence](perturbation+theory#DivergenceConvergence)_ for more.

## Examples


### Confinement and the mass gap

A central example of a non-perturbative effect is [[confinement]] (hence the "mass gap") in [[Yang-Mills theory]]. Perturbation theory is not suited to explain this (e.g [Espiru 94, section 7](http://arxiv.org/abs/hep-ph/9410287)).


## Related concepts

* [[transseries]], [[resurgence theory]]

* [[fiber bundles in physics]]

* [[instanton]], [[brane]], [[renormalon]]

  * [[membrane instanton]]

* [[lattice gauge theory]]

* [perturbation theory -- convergence/divergence](perturbation+theory#DivergenceConvergence)

* [string theory FAQ -- Isn't it fatal that the string perturbation series does not converge?](string+theory+FAQ#NonConvergenceOfPerturbationSeries)

## References

### In field theory

The non-perturbative effects in [[QCD]] are in

* [[Marcos Mariño]], _Instantons and Large $N$ -- An introduction to non-perturbative methods in QFT_ ([pdf](http://laces.web.cern.ch/laces/LACES10/notes/instlargen.pdf))

and in ([[super Yang-Mills theory|super]]-)[[Yang-Mills theory]] and [[string theory]] is in

* [[Marcos Mariño]], _Lectures on non-perturbative effects in large N gauge theories, matrix models and strings_ ([arXiv:1206.6272](http://arxiv.org/abs/1206.6272))

* {#Marino15} [[Marcos Mariño]], _Non-perturbative effects in string theory and AdS/CFT_, [Spring School on Superstring Theory and Related Topics 2015](http://indico.ictp.it/event/a14251/)  ([[MarinoNonPerturbative.pdf:file]], [pdf](http://indico.ictp.it/event/a14251/session/89/contribution/401/material/0/0.pdf))


### In string theory

The form of the contribution of non-perturbative effects in string theory was originally observed in 

* [[Stephen Shenker]], _The Strength of nonperturbative effects in string theory_, presented at the Cargese Workshop on Random Surfaces, Quantum Gravity and Strings, Cargese, France, May 1990 ([spire](http://inspirehep.net/record/298523?ln=en))

The interpretation via [[D-branes]] of non-perturbative effects in the string [[coupling constant]] is due to

* {#Polchinski94} [[Joseph Polchinski]], _Combinatorics of boundaries in string theory_, Phys. Rev. D 50, 6041 (1994) ([arXiv:hep-th/9407031](https://arxiv.org/abs/hep-th/9407031))


The identification of non-perturbative contributions in [[string theory]] with brane contributions is due to

* {#BeckerBeckerStrominger95} [[Katrin Becker]], [[Melanie Becker]], [[Andrew Strominger]], _Five-branes, membranes and nonperturbative string theory_, Nucl. Phys. B 456, 130 (1995) ([hep-th/9507158](http://arxiv.org/abs/hep-th/9507158))

Reviews specifically in [[type II string theory]] include

* Hugo Looyestijn, _Non-perturbative effects in type IIA string theory_, Master Thesis 2006 ([pdf](http://testweb.science.uu.nl/ITF/teaching/2006/Looyestijn.pdf))

* [[Angel Uranga]], _Non-perturbative effects and D-brane instanton resummation
in string theory_ ([[UrangaNonPerturbativeBrane.pdf:file]], [pdf](https://indico.cern.ch/event/75810/contributions/1250733/attachments/1050849/1498253/uranga.pdf))

### In M-Theory

The relation of non-pertrubative effects in string theory to [[M-theory]] goes back to

* {#Witten95} [[Edward Witten]], section 2.2 of _[[String Theory Dynamics In Various Dimensions]]_, Nucl.Phys.B443:85-126,1995 ([arXiv:hep-th/9503124](http://arxiv.org/abs/hep-th/9503124))

In [Becker-Becker-Strominger 95](#BeckerBeckerStrominger95) it was realized that the [[worldsheet instantons]] and [[D-brane instantons]] of string theory unify to [[membrane instantons]] (see [Marino 15, section 1.3](#Marino15))


[[!redirects non-perturbative effects]]
[[!redirects non-perturvative effects]]


[[!redirects nonperturbative effect]]
[[!redirects nonperturbative effects]]
