
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### $(\infty,1)$-Category theory
+-- {: .hide}
[[!include quasi-category theory contents]]
=--
#### Stable Homotopy theory
+-- {: .hide}
[[!include stable homotopy theory - contents]]
=--
=--
=--

# Contents
* table of contents
{: toc}

## Idea

A stable [[(∞,1)-category]] $C$, is a pointed $(\infty,1)$-category with finite [[limit]]s which is _stable_ under forming [[loop space objects]]: 

$C$ has a [[zero object]] and the corresponding loop [[(∞,1)-functor]]

$$
  \Omega : C \to C
$$

is an _equivalence_ with inverse the [[suspension object]] functor

$$
  C \leftarrow C : \Sigma
  \,.
$$


This means that the objects of a stable $(\infty,1)$-category are stable in the sense of [[stable homotopy theory]]: they behave as if they were [[spectrum|spectra]].

Indeed, every $(\infty,1)$-category with finite [[limit]]s has a free [[stabilization]] to a stable $(\infty,1)$-category $Stab(C)$, and the objects of $Stab(C)$ are the [[spectrum object]]s of $C$.

The [[homotopy category of an (∞,1)-category]] of a stable $\infty$-category is a [[triangulated category]].  

Notice that the definition of triangulated categories is involved and their behaviour is bad, whereas the definition of stable $\infty$-category is simple and natural.  The complexity and bad behavior of triangulated categories comes from them being the [[decategorification]] of a structure that is natural in [[higher category theory]].

## Definition

As with ordinary categories, an  object in a [[(infinity,1)-category]] is a [[zero object]] if it is both [[initial object]] and a [[terminal object]]. An $(\infty,1)$-category with a zero object is a **pointed** $(\infty,1)$-category.

+-- {: .num_defn}
###### Definition


In a pointed [[(∞,1)-category]] $C$ with [[zero object]] $0$, the **kernel** of a morphism $g : Y \to Z$ is the [[(∞,1)-pullback]]

$$
  \array{
     ker(g) &\to& Y
     \\
     \downarrow && \downarrow^g
     \\
     0 &\to& Z
  }
$$

(so that $ker(g) \to Y \stackrel{g}{\to} Z$ is a [[fibration sequence]])

and the **cokernel** of $f:X\to Y$ is the [[(∞,1)-pushout]]

$$
  \array{
     X &\stackrel{f}{\to}& Y
     \\
     \downarrow && \downarrow
     \\
     0 &\to& coker(f)
  }
  \,.
$$

An arbitrary commuting square in $C$ of the form

$$
  \array{
     X &\stackrel{f}{\to}& Y
     \\
     \downarrow && \downarrow^g
     \\
     0 &\to& Z
  }
$$

is a **triangle** in $C$. A pullback triangle is called an **exact triangle** and a pushout triangle a **coexact triangle**. By the universal property of pullback and pushout, to any triangle are associated canonical morphisms $X\to\ker(g)$ and $coker(f)\to Z$. In particular, for every exact triangle there is a canonical morphism $coker(ker(g)\to Y)\to Z$ and for every coexact triangle there is a canonical morphism $X\to ker(Y\to coker(f))$. 

=--

+-- {: .num_defn}
###### Definition

A **stable $(\infty,1)$-category** is a pointed $(\infty,1)$-category such that

* for every morphism in $C$ kernel and cokernel exist;

* every exact triangle is coexact and vice versa, i.e. every morphism is the cokernel of its kernel and the kernel of its cokernel. 

=--

+-- {: .num_remark}
###### Remark

The notion of stable $\infty$-category should not be confused with that of a [[k-tuply monoidal n-category|stably monoidal]] $\infty$-category.  A connection between the terms is that the [[stable (∞,1)-category of spectra]] is the prototypical stable $\infty$-category, while _connective_ spectra (not all spectra) can be identified with [[k-tuply groupal n-groupoid|stably groupal]] $\infty$-groupoids, aka _infinite loop spaces_ or 
$E_\infty$-[[E-infinity space|spaces]].

=--

## Constructions in stable $\infty$-categories

### Looping and delooping

The relevance of the axioms of a stable $(\infty,1)$-category is that they imply that not only does every object $X$ have a [[loop space object]] $\Omega X$ defined by the exact triangle

$$
  \array{
    \Omega X &\to& 0
    \\
    \downarrow && \downarrow
    \\
    0 &\to& X
  }
$$

but also that, conversely, every object $X$ has a [[suspension object]]
$\Sigma X$ defined by the coexact triangle

$$
  \array{
    X &\to& 0
    \\
    \downarrow && \downarrow
    \\
    0 &\to& \Sigma X
  }
  \,.
$$

These arrange into $(\infty,1)$-endofunctors

$$
  \Omega : C \to C
$$
$$
  \Sigma : C \to C
$$
which are autoequivalences of $C$ that are inverses of each other.


### Stabilization

For every pointed $(\infty,1)$-category with finite [[limit]]s which is not yet stable there is its free [[stabilization]] (see there for more details): 

a stable $(\infty,1)$-category $Sp(C)$ that can be defined as the [[limit in a quasi-category|limit]] in the [[(∞,1)-category of (∞,1)-categories]]

$$
  Sp(C) := holim(   \cdots \to C \stackrel{\Omega}{\to} C \stackrel{\Omega}{\to} C )

  \,.
$$

For $C =$ [[Top]] the $(\infty,1)$-category of topological spaces, $Sp(Top)$ is the familiar [[stable (∞,1)-category of spectra]] (whose [[homotopy category of an (∞,1)-category|homotopy category]] is the [[stable homotopy category]]) used in [[stable homotopy theory]] (which gives stable $(\infty,1)$-categories their name).

Moreover, every [[derived category]] of an [[abelian category]] is the triangulated homotopy category of a stable $(\infty,1)$-category. 

Hence stable homotopy theory and homological algebra are both special cases of the theory of stable $(\infty,1)$-categories.

## Properties

### Enrichment over spectra

Stable $\infty$-categories are naturally [[enriched (∞,1)-categories]] over the [[(∞,1)-category of spectra]] ([Gepner-Haugseng 13](#GepnerHaugseng13)).

### The homotopy category: triangulated categories

The [[homotopy category of an (∞,1)-category|homotopy category]] $Ho(C)$ of a stable $(\infty,1)$-category $C$ -- its [[decategorification]] to an ordinary [[category]] -- is less well behaved than the original stable $(\infty,1)$-category, but remembers a shadow of some of its structure: this shadow is the structure of a [[triangulated category]] on $Ho(C)$

* the **translation functor** $T : Ho(C) \to Ho(C)$ comes from the [[suspension object|suspenesion]] functor $\Sigma : C \to C$;

* the **distinguished triangles** in $Ho(C)$ are pieces of the [[fibration sequence]]s in $C$.


For details see [StabCat, section 3](http://arxiv.org/PS_cache/math/pdf/0608/0608228v5.pdf#page=6).

Alternately, one can first pass to a [[stable derivator]], and thence to a triangulated category.  Any suitably complete and cocomplete $(\infty,1)$-category has an underlying [[derivator]], and the underlying derivator of a stable $(\infty,1)$-category is always stable---while the underlying category of any stable derivator is triangulated.  But the derivator retains more useful information about the original stable $(\infty,1)$-category than does its triangulated homotopy category.


### Models  
 {#alternativemodels}

In direct analogy to how a general [[(∞,1)-category]] may be [[presentable (∞,1)-category|presented]] by [[model category]], a stable $(\infty,1)$-categories may be presented by a

* [[stable model category]].

or a

* pre-triangulated [[spectral category]].

There are further variants and special cases of these models.
The following three concepts are equivalent to each other and special cases of the above models, or equivalent in characteristic 0.

* [[pretriangulated dg-category]]

* [[Frobenius category]]

(e.g. [Cohn 13](#Cohn13), see also [Schwede](#Schwede))

A [[triangulated category]] linear over a field $k$ can canonically be refined to 

* an [[enhanced triangulated category]]:

  * a [[pretriangulated dg-category|pretriangulated]] [[dg-category]];

* an [[A-infinity-category]];

* a stable $(\infinity,1)$-category.

If $k$ has characteristic 0, then all these three concepts become equivalent.


### Stabilization and localization of presheaf $(\infty,1)$-categories   
 {#StabGiraud}

+-- {: .num_prop}
###### Proposition


Let $C$ and $D$ be [[(infinity,1)-category|(∞,1)-categories]] and
$Func(C,D)$ the [[(∞,1)-category of (∞,1)-functors]] between them.

Its [[stabilization]] is equivalent to the functor category into the stabilization of $C$:

$$
  Stab(Func(C,D)) \simeq Func(C,Stab(D))
  \,.
$$

In particular, consider the case $D = $ [[∞Grpd]] where $Stab(D) = Stab(\infty Grpd) = Sp$ (= the [[stable (∞,1)-category of spectra]]). One has $Func(C^{op}, D) = Func(C^{op}, \infty Grpd) =: PSh_{(\infty,1)}(C)$ is the [[(∞,1)-category of (∞,1)-presheaves]], and $Func(C^{op},Sp) =: PSh_{(\infty,1)}^{Sp}(C)$ is the [[(∞,1)-category]] of [[(∞,1)-presheaves]] of [[spectra]], we get

$$
  Stab(PSh_{(\infty,1)}(C)) \simeq PSh_{(\infty,1)}^{Sp}(C)
  \,.
$$

=--

This is [StabCat, example 10.13](#StabCat) .


+-- {: .num_prop #StableGiraud}
###### Proposition
**("stable Giraud theorem")**

Let $C$ be an [[(∞,1)-category]]. Then $C$ is stable and [[presentable (∞,1)-category]] if and only if $C$ is equivalent to an [[accessible (infinity,1)-category|accessible]] left-exact [[localization of an (∞,1)-category|localization]] of the [[(∞,1)-category]] of presheaves of spectra on some small [[(∞,1)-category]] $E$, so that there is an adjunction

$$
  C \stackrel{\stackrel{lex}{\leftarrow}}{\hookrightarrow}
  PSh^{Sp}(E) \simeq Stab(PSh(E))
  \,.
$$

=--

This is [Higher Algebra, Proposition 1.4.4.9](#HigherAlgebra).

This is the stable analog of the statement that every 
[[(∞,1)-category of (∞,1)-sheaves]] is a left exact localization of
an $(\infty,1)$-category of presheaves.

A more intrinsic [[(∞,1)-topos]]-theoretic version of this statement (not mentioning a choice of [[(∞,1)-site]]) is the following:

+-- {: .num_prop #StabilizationBySheavesOfSpectra}
###### Proposition

Let $\mathbf{H}$ be an [[(∞,1)-topos]] and write 

$$
  Sh_\infty(\mathbf{H}, Spectra)
  \coloneqq
  Func_{lex}(\mathbf{H}^{op}, Spectra)
$$

for the [[(∞,1)-category]] of _[[sheaves of spectra]]_ on $\mathbf{H}$ (with respect to its [[canonical topology]]), hence the  [[(∞,1)-category]] of [[left exact (∞,1)-functors]] from the [[opposite (∞,1)-category]] of $\mathbf{H}$ to the [[(∞,1)-category of spectra]].

This exhibits the [[stabilization]] of $\mathbf{H}$:

$$
  Stab(\mathbf{H}) \simeq Sh_\infty(\mathbf{H}, Spectra)
  \,.
$$


=--

This is ([[Spectral Schemes|Lurie "Spectral Schemes", remark 1.2]]).


See at _[[sheaf of spectra]]_ and _[[model structure on presheaves of spectra]]_ for more.

### As categories of modules over $A_\infty$-ring(oid)s
 {#AsCategoriesOfModules}

In terms of ([[stable model category|stable]]) [[model category|model categories]], something like an analog of this statement is 
([Schwede-Shipley, theorem 3.3.3](#SchwedeShipley)):


+-- {: .num_prop #ModuleProp}
###### Proposition

Let $\mathcal{C}$ be a _[[stable model category]]_ that is in addition

* a [[simplicial model category]];

* a [[cofibrantly generated model category]];
* a [[proper model category]];

* with a [[set]] $S$ of [[compact object|compact]] generators;

then there is a chain of [[simplicial Quillen adjunction|sSet-enriched]] [[Quillen equivalences]]  linking $\mathcal{C}$ to the the [[spectrum]]-[[enriched functor category]] 

$$
  \mathcal{C} \simeq_Q A_S Mod \coloneqq Sp Cat(A_S, Sp)
$$

equipped with the [[global model structure on functors]],
where $A_S$ is the $Sp$-[[enriched category]] whose set of objects is $S$

=--

This is  in ([Schwede-Shipley, theorem 3.3.3](#SchwedeShipley))

+-- {: .num_remark}
###### Remark

An $Sp$-enriched category is a homotopy-theoretic analog of an [[Ab-enriched category]], which may be thought of as a many-object version of a [[ring]], a "[[ringoid]]". Accordingly, an $Sp$-enriched category is an $A_\infty$-ringoid. It is has a single object then (as a pointed category) it is an [[A-infinity algebra]].

=--

Hence:

+-- {: .num_cor}
###### Corollary

If if in prop. \ref{ModuleProp} there is just one compact generator $P \in \mathcal{C}$, then there is a one-object $Sp$-enriched category, hence an [[A-infinity algebra]] $A$, which is the [[endomorphisms]] $A \simeq End_{\mathcal{C}}(P)$, and the [[stable model category]] is its [[category of modules]]:

$$
  \mathcal{C} \simeq_Q A Mod
  \,.
$$



=--

This is  in ([Schwede-Shipley, theorem 3.1.1](#SchwedeShipley))

If $A$ is an [[Eilenberg-MacLane spectrum]], then this identifies the corresponding stable model categories with the [[model structure on unbounded chain complexes]].

This is ([Schwede-Shipley 03, theorem 5.1.6](#SchwedeShipley03)).


+-- {: .num_remark}
###### Remark

This may be thought of as a homotopy-theoretic analog of the [[Freyd-Mitchell embedding theorem]] for [[abelian categories]].

=--

+-- {: .num_remark}
###### Remark

One way to read this is that [[formal duals]] of presentable [[stable infinity-categories]] are a model for [[spaces]] in ("[[derived noncommutative geometry|derived]]") [[noncommutative geometry]].

=--





### Dold-Kan correspondence

* [[infinity-Dold-Kan correspondence]]

## Examples

* [[(∞,1)-category of chain complexes]]

* [[(∞,1)-category of (∞,1)-modules]]


* [[Fukaya category]], [[Lagrangian cobordism]]

## Related concepts

* [[additive (∞,1)-category]]

* [[Stab(∞,1)Cat]]

* [[stable homotopy theory]]

* [[stable model category]]

* [[spectral category]]

* [[dg-category]], [[dg-nerve]]

* [[A-∞ category]]

* [[triangulated category]], [[enhanced triangulated category]]

* [[t-structure on a stable (∞,1)-category]], [[heart of a stable (∞,1)-category]]

* [[K-theory of a stable (∞,1)-category]]

* [[spectral sequence of a filtered stable homotopy type]]

* [[prime spectrum of a symmetric monoidal stable (∞,1)-category]]


## References

The abstract [[(∞,1)-category theory|(∞,1)-category theoretical]] notion was introduced and studied in

* [[Jacob Lurie]], _[[Stable Infinity-Categories]]_
 {#StabCat}

This appears in a more comprehensive context of [[higher algebra]] as section 1 of 

* {#HigherAlgebra} [[Jacob Lurie]], _[[Higher Algebra]]_

A brief introduction is in

* [[Yonatan Harpaz]], _Introduction to stable $\infty$-categories_, October 2013 ([[HarpazStableInfinityCategory2013.pdf:file]])
  {#Harpaz2013}

Discussion of how $k$-linear [[dg-categories]]/[[A-infinity categories]] present $k$-linear stable $(\infty,1)$-categories is in 

* {#Cohn13} [[Lee Cohn]], _Differential Graded Categories are k-linear Stable Infinity Categories_ ([arXiv:1308.2587](http://arxiv.org/abs/1308.2587))

* {#Faonte13} [[Giovanni Faonte]], _Simplicial nerve of an A-infinity category_ ([arXiv:1312.2127](http://arxiv.org/abs/1312.2127))


A diagram of the interrelation of all the models for stable $(\infty,1)$-categories with a useful list of literature for each can be found in these seminar notes:

* {#Schwede} [[Stefan Schwede]], _Enhancements of triangulated categories_

For discussion of the [[stable model category]] models of stable $\infty$-categories see

* [[Stefan Schwede]], [[Brooke Shipley]], _Classification of stable model categories_ ([Hopf pdf](http://hopf.math.purdue.edu/Schwede-Shipley/class.final.pdf)) and ([arXiv:math/0108143](http://arxiv.org/abs/math/0108143))
 {#SchwedeShipley}

The enrichment over spectra is made precise in

* {#GepnerHaugseng13} [[David Gepner]], [[Rune Haugseng]], _Enriched ∞-categories via non-symmetric ∞-operads_ ([arXiv:1312.3178](http://arxiv.org/abs/1312.3178))

[[!redirects stable (infinity,1)-category]]
[[!redirects stable (infinity, 1)-category]]
[[!redirects stable (infinity,1)-categories]]
[[!redirects stable (infinity, 1)-categories]]
[[!redirects stable (∞,1)-category]]
[[!redirects stable (∞, 1)-category]]
[[!redirects stable (∞,1)-categories]]
[[!redirects stable (∞, 1)-categories]]

[[!redirects stable infinity-category]]
[[!redirects stable infinity-categories]]
[[!redirects stable ∞-category]]
[[!redirects stable ∞-categories]]

[[!redirects stable (infinity,1)-topos]]