
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Higher linear algebra
+-- {: .hide}
[[!include homotopy - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The notion of _$A_\infty$-field_ is to the notion of [[A-∞ algebra]] as that of _[[field]]_ is to [[associative algebra]]/[[ring]].

## Definition

+-- {: .num_defn #InfinityField}
###### Definition

An [[A-∞ ring]] or in fact just an [[H-space]] $A$ is a **field** if $\pi_\bullet A$ is a [[graded field]].

=--

For instance ([Lurie, lecture 24, def. 3](#LurieLecture)).

## Properties

For $E$ an $\infty$-field, def. \ref{InfinityField}, then it carries the structure of an [[∞-module]] over the $n$th [[Morava K-theory]] spectrum $K(n)$, for some $n$. 

([Lurie 10, lect 25, cor 10](#LurieLect25))

This follows with the [[nilpotence theorem]].

## Examples

* For $k$ an ordinary [[field]], the [[Eilenberg-Mac Lane spectrum]] of $k$, $H k$, is an $A_\infty$-field.
* The [[Morava K-theory]] [[A-∞ rings]] $K(n)$ are the basic $A_\infty$-fields. See at _[Morava K-theory  -- As infinity-Fields](Morava+K-theory#AsInfinityFields)_, where $K(0) \simeq H \mathbb{Q}$ and we define $K(\infty)$ as $H \mathbb{F}_p$.

## Related concepts

* [[chromatic homotopy theory]]

## References

Definition 3 in 

* [[Jacob Lurie]], _[[Chromatic Homotopy Theory]]_, Lecture series 2010, Lecture 24 _Uniqueness of Morava K-theory_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture24.pdf))
 {#LurieLecture}

* [[Jacob Lurie]], _[[Chromatic Homotopy Theory]]_, Lecture series 2010,
Lecture 25 _The Nilpotence lemma_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture25.pdf))
 {#LurieLect25}

[[!redirects infinity-fields]]

[[!redirects ∞-field]]
[[!redirects ∞-fields]]
