
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Cohomology
+--{: .hide}
[[!include cohomology - contents]]
=--
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}


## Idea

A localization of the truncated [[Brown-Peterson spectrum]]. A form of [[Morava E-theory]].

## Properties

### Orientation

The [[orientation in generalized cohomology|orientation]] of [[Morava E-theory]] is discussed in ([Sati-Kriz 04](#SatiKriz04), [Buhné 11](#Buhne11)). It is essentially given by the vanishing of the seventh [[integral Stiefel-Whitney class]] $W_7$. 

Notice that this is in analogy to how [[orientation in generalized cohomology|orientation]] in [[complex K-theory]] is given by the vanishing third [[integral Stiefel-Whitney class]] $W_3$ ([[spin^c-structure]]).

Precisely:

+-- {: .num_prop}
###### Proposition

Let $X$ be a [[connected topological space|connected]] [[closed manifold]] of [[dimension]] 10 with [[spin structure]]. This is [[orientation in generalized cohomology|generalized oriented]] in second [[integral Morava K-theory]] $\tilde K(2)$ (for $p = 2$) precisely if its seventh [[integral Stiefel-Whitney class]] vanishes, $W_7(X) = 0$.

=--

This is ([Buhné 11, prop. 8.1.13](#Buhne11)), following ([Sati-Kriz 04](#SatiKriz04)).

+-- {: .num_prop}
###### Proposition

Let $X$ be a [[connected topological space|connected]] [[closed manifold]] of [[dimension]] 10 with [[spin structure]]. This is [[orientation in generalized cohomology|generalized oriented]] in second Johnson-Wilons cohomology theory ([[Morava E-theory]]) $E(2)$ (for $p = 2$) precisely if its seventh [[integral Stiefel-Whitney class]] vanishes, $W_7(X) = 0$.

=--

This is ([Buhné 11, cor. 8.1.14](#Buhne11)), following ([Sati-Kriz 04](#SatiKriz04)).


## References

The original article is

* David Copeland Johnson, W. Stephen Wilson, _BP operations and Morava's extraordinary K-theories._, Math. Z. 144 (1): 55−75 (1975)

Discussion of [[orientation in generalized cohomology|orientation]] in Johnson-Wilson theory and relation to the [[Diaconescu-Moore-Witten anomaly]] is in 

* [[Igor Kriz]], [[Hisham Sati]], _M-theory, type IIA superstrings, and elliptic cohomology_, Adv. Theor.
Math. Phys. 8 (2004), no. 2, 345–394 ([arXiv:hep-th/0404013](http://arxiv.org/abs/hep-th/0404013))
 {#SatiKriz04}

* [[Lukas Buhné]], _[[Properties of Integral Morava K-Theory and the Asserted Application to the Diaconescu-Moore-Witten Anomaly]]_, Diploma thesis, Hamburg (2011)
 {#Buhne11}

[[!redirects Johnson-Wilson spectra]]

[[!redirects Johnson-Wilson cohomology theory]]
[[!redirects Johnson-Wilson cohomology theories]]

[[!redirects Johnson-Wilson theory]]
[[!redirects Johnson-Wilson theories]]

