
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Physics
+--{: .hide}
[[!include physicscontents]]
=--
#### $\infty$-Chern-Weil theory
+--{: .hide}
[[!include infinity-Chern-Weil theory - contents]]
=--
#### Differential cohomology
+--{: .hide}
[[!include differential cohomology - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

The _Yang monopole_ A [[monopole]] in [[Yang-Mills theory]].
The generalization of the [[Dirac monopole]] from 3+1 dimensional [[spacetime]] to 5+1 dimensional [[spacetime]].

## Definition
 {#Definition}

### Recalling the Dirac monopole

For comparison, first note that the Dirac monopole is a [[circle group]] [[principal bundle]] with non-trivial [[first Chern class]] on a [[spacetime]] of the form

$$
  X_4 \;\coloneqq\; (\mathbb{R}^3_{space} - \{0\}) \times \mathbb{R}_{time}
$$

witnessed (via [[Chern-Weil theory]]) by the [[magnetic charge]]

$$
  Q = \int_{S^2} F_\nabla \in \mathbb{Z} \hookrightarrow \mathbb{R}
$$

which is the [[integration of differential forms|integration]] of the [[curvature]] [[differential 2-form]] $F_\nabla$ of any [[principal connection]] $\nabla$ on this bundle over any [[sphere]] wrapping the removed origin of $\mathbb{R}^3$. We may think of the Dirac monopole as being an effective [[magnetic monopole]] "[[particle]]" with [[worldline]] $\{0\} \times \mathbb{R}_{time}$. But in the above description we can just as well remove a little 3-[[ball]] $D^3_\epsilon$ from space, instead of just a point, and when viewed as such the Dirac monopole is a 2-[[brane]] with [[worldvolume]] $(\partial D_\epsilon) \times \mathbb{R}_{times}$.

### The Yang monopole

Now analogously, a _Yang monopole_ is a nontrivial [[special unitary group]]-[[principal bundle]] (for which there is no non-trivial [[first Chern class]]) with non-trivial _[[second Chern class]]_ on 

$$
  X_6 \coloneqq (\mathbb{R}^5_{space} - \{0\}) \times \mathbb{R}_{time}
$$

witnessed (via [[Chern-Weil theory]]) by the [[instanton number]]

$$
  Q = \int_{S^4} \langle F_\nabla \wedge F_\nabla\rangle \in \mathbb{Z} \hookrightarrow \mathbb{R}
$$

which is the [[integration of differential forms|integration]] of the [[curvature]] [[differential 2-form]] $F_\nabla$ wedge-squared and evaluated in the canonical [[Killing form]] [[invariant polynomial]] to a [[differential 4-form]] of any [[principal connection]] $\nabla$ on this bundle over any 4-[[sphere]] wrapping the removed origin of $\mathbb{R}^5$.

As before, we may equivalently think of removing instead of just a point a small 5-[[ball]] $D_{\epsilon}^5$ and then the Yang monopole appears as a 4-[[brane]] with [[worldvolume]] $(\partial D_\epsilon^5) \times \mathbb{R}_{time}$. This is how the Yang monopole appears in [[string theory]]/[[M-theory]] ([Bergsgoeff-Gibbons-Townsend 06](BergsgoeffGibbonsTownsend06)).

In terms of [[higher gauge theory]] the Yang monopole is seen to be more directly analogous to the [[Dirac monopole]]: the 4-form $\langle F_\nabla \wedge F_\nabla\rangle$ is actually the [[curvature]] 4-form of a [[circle n-bundle with connection|circle 3-bundle with connection]] on [[spacetime]] which is induced from the given $SU(N)$-[[principal connection]], namely the [[Chern-Simons circle 3-bundle]] which is modulated by the [[universal characteristic class]] that is the differential refinement of the second Chern class:

$$
  \mathbf{c}_2 \colon \mathbf{B}SU(N)_{conn} \to \mathbf{B}^3 U(1)_{conn}
$$

(this is discussed at _[[differential string structure]]_). Hence $\mathbf{c}_2(\nabla)$ is a [[circle n-bundle with connection|3-connection]] with [[curvature]] 

$$
  F_{\mathbf{c}_2(\nabla)} =  \langle F_\nabla \wedge F_\nabla \rangle
  \,.
$$

Now the analog of the [[first Chern class]] as one passes to such [[circle n-bundles]] is called the higher [[Dixmier-Douady class]], and the Yang monopole charge is just this 2-Dixmier-Douady class of the [[Chern-Simons circle 3-bundle]] induced by a $SU(N)$-[[principal connection]] with corresponding [[instanton number]]:

$$
  Q = \int_{S^4} F_{\mathbf{c}_2(\nabla)} \in \mathbb{Z} \hookrightarrow \mathbb{R}
  \,. 
$$



## Examples

### In M-brane theory

The end-surface of an [[M5-brane]] ending on an [[M9-brane]] is a Yang-monopole in the M5 [[worldvolume]] ([Bergsgoeff-Gibbons-Townsend 06](#BergsgoeffGibbonsTownsend06)).

## References

### General

The Yang monopole was introduced as a generalization to 5+1 dimensional [[spacetime]] of the [[Dirac monopole]] in 3+1 dimensional spacetime in

* [[Chen Ning Yang]], _Generalization of Dirac’s Monopole to $SU(2)$ Gauge Fields_,  J. Math. Phys. 19, 320 (1978).


More general discussion is in 

* Tigran Tchrakian, _Dirac-Yang monopoles and their regular counterparts_ ([arXiv:hep-th/0612249](http://arxiv.org/abs/hep-th/0612249))

### In string theory

Appearance of Yang monopoles in [[string theory]] goes back to 

* Adil Belhaj, Pablo Diaz, Antonio Segui, _On the Superstring Realization of the Yang Monopole_ ([arXiv:hep-th/0703255](http://arxiv.org/abs/hep-th/0703255))

The appearance of the Yang monopole as the [[boundary]] of an open [[M5-brane]] ending on an [[M9-brane]] is discussed in

* [[Eric Bergshoeff]], [[Gary Gibbons]], [[Paul Townsend]], _Open M5-branes_, Phys.Rev.Lett.97:231601 2006 ([arXiv:hep-th/0607193](http://arxiv.org/abs/hep-th/0607193))
 {#BergsgoeffGibbonsTownsend06}

Based on this a Yang monopole is realized in [[type IIA string theory]] in section 2 of

* Adil Belhaj, Pablo Diaz, Antonio Segui, _The Yang Monopole in IIA Superstring: Multi-charge Disease and Enhancon Cure_ ([arXiv:1102.1538](http://arxiv.org/abs/1102.1538))


[[!redirects Yang monopoles]]