
> This entry is about the notion of naturalness in ([[particle physics|particle]]-)[[physics]]. For the notion in [[mathematics]] see at _[[natural transformation]]_.

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Physics
+-- {: .hide}
[[!include physicscontents]]
=--
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

In ([[particle physics|particle]]-)[[physics]] the term "naturalness" refers to the vague idea that a [[model (physics)|model]] of physics is expected to work without requiring unlikely-looking ad-hoc coincidences of its parameters, and that instead all such "conspiracies" among parameter values are to have some systematic cause, such as some [[symmetry]] of the model.

An archetypical example, which at times has been referred to as _the_ naturalness probem of the [[standard model of particle physics]], is that the [[mass]] of the [[Higgs boson]] is first of all many orders of magnitude below the [[Planck scale]], while at the same time potentially receiving very large potential quantum corrections from the presence of (potentially undetected) heavy particles, which therefore must coincidentally cancel out. This is also called the _[[hierarchy problem]]_.

Accordingly, a popular suggestion has been that there should be a symmetry which is to naturally explain this otherwise coincidental cancellation, namely low-energy [[supersymmetry]]. The failure of such a symmetry to be observed at the [[LHC]] experiment is leading to a re-examination of the naturalness paradigm.

A key problem is arguably that the principle has been used in a very vague and very ambiguous sense. Even apart from the problem of which large or small numbers are to be regarded as "unlikely" (see the [quote below](#WilsonOnNaturalness) from [Wilson 04](#Wilson04)), there is technical fine print. An attempt to bring some clarity into the situation is in ([Clarke 17](#Clarke17)).

> {#WilsonOnNaturalness} $[ \cdots ]$ The claim was that it would be unnatural for such particles to have masses small enough to be detectable soon. But this claim makes no sense when one becomes familiar with the history of physics. There have been a number of cases where numbers arose that were unexpectedly small or large. An early example was the very large distance to the nearest star as compared to the distance to the Sun, as needed by Copernicus, because otherwise the nearest stars would have exhibited measurable parallax as the Earth moved around the Sun. Within elementary particle physics, one has unexpectedly large ratios of masses, such as the large ratio of the muon mass to the electron mass. There is also the very small value of the weak coupling constant. In the time since my paper was written, another set of unexpectedly small masses was discovered: the neutrino masses. There is also the riddle of dark energy in cosmology, with its implication of possibly an extremely small value for the cosmological constant in Einstein's theory of general relativity. This blunder was potentially more serious, if it caused any subsequent researchers to dismiss possibilities for very large or very small values for parameters that now must be taken seriously.

> ([Wilson 04, p. 10](#Wilson04))

{#FromKane17} From [Kane 17](#Kane17), in a discussion of [[G2-MSSM]] model building:

> Until recently there were no theories predicting the values of superpartner masses. The arguments based on ‘naturalness’ are basically like saying the weather tomorrow should be the same as today. The opposite of naturalness is having a theory. $[$...$]$ Claims $[$superpartners$]$ should have been seen would be valid given so called naturalness arguments, but are wrong in actual theories. Many of us think that is a misuse of the idea of naturalness, but it is the fashionable use.  

(p. 33 (3-2))

> Some arguments (‘naturalness’) can be used to estimate what values $[$MSSM parameters$]$ might have. If those arguments were correct some superpartners would already have been discovered at the CERN LHC. It would have been nice if the naturalness arguments had worked, but they did not. Since they were not predictions from a theory it is not clear how to interpret that. 

(p. 39 (4-3))

> The failure of naïve naturalness to describe the world tells us we should look harder for a theory that does, an ‘ultraviolet completion’. Compactified string/ M-theories appear to be strong candidates for such a theory. The alternative to naturalness, often neglected as an alternative, is having a theory. 

(p. 57 (6-1))

## Related concepts

* [[hierarchy problem]]

* [[split supersymmetry]]

## References

Survey and discussion includes

* {#Clarke17} [[Jackson Clarke]], _[Naturalness: A Pragmatist's Guide](http://syymmetries.blogspot.de/2017/06/naturalness-pragmatists-guide.html)_, 2017 

* [[Gian Francesco Giudice]], _Naturally Speaking: The Naturalness Criterion and Physics at the LHC_ ([arXiv:0801.2562](https://arxiv.org/abs/0801.2562))

* [[Porter Williams]], _Naturalness, the autonomy of scales, and the 125 GeV Higgs_, Studies in History and Philosophy of Science Part B: Studies in History and Philosophy of Modern Physics, Volume 51, August 2015, Pages 82&#8211;96 ([publisher](http://www.sciencedirect.com/science/article/pii/S1355219815000416), [PhilSciArchive](http://philsci-archive.pitt.edu/11529/))

* [[Matthew Strassler]], _[Naturalness](http://profmattstrassler.com/articles-and-posts/particle-physics-basics/the-hierarchy-problem/naturalness/)_

* [[Simon Friedrich]], _[Fine-Tuning](https://seop.illc.uva.nl/entries/fine-tuning/)_, Stanford Encyclopedia of Philosophy, 2017

* [[Gian Francesco Giudice]], _The Dawn of the Post-Naturalness Era_ ([arXiv:1710.07663](https://arxiv.org/abs/1710.07663))

Critical comments are in

* {#Wilson04} [[Kenneth Wilson]], _The Origins of Lattice Gauge Theory_, ([arXiv:hep-lat/0412043](http://arxiv.org/abs/hep-lat/0412043))

* [[Petr Horava]], _Surprises with Nonrelativistic Naturalness_, Int. J. Mod. Phys. D25 (2016) 1645007 ([arXiv:1608.06287](http://arxiv.org/abs/1608.06287))

* {#Kane17} [[Gordon Kane]], _String theory and the real world_, Morgan & Claypool, 2017 (<a href="http://iopscience.iop.org/book/978-1-6817-4489-6">doi:0.1088/978-1-6817-4489-6</a>)


See also

* Wikipedia, _[Naturalness (physics)](http://en.wikipedia.org/wiki/Naturalness_%28physics%29)_ 


[[!redirects naturality]]

[[!redirects fine-tuning]]
[[!redirects fine-tunings]]
