
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Stable Homotopy theory
+--{: .hide}
[[!include stable homotopy theory - contents]]
=--
#### Higher algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Definition

A _periodic ring spectrum_ is a [[ring spectrum]]/[[A-∞ ring]] which [[Brown representability theorem|represents]] a [[periodic cohomology theory]].

A common case are the _even periodic_ or _2-periodic_ ring spectra, in particular those representing [[even cohomology theories]].

## Properties

### Periodicity of the $\infty$-category of $\infty$-modules
 {#PeriodicityOnModules}

For $E$ an [[E-∞ ring]] representing a [[periodic ring spectrum]], double [[suspension]]/[[looping]] on any $E$-[[∞-module]] $N$ is equivalent to the identity

$$
  \Omega^2 N \simeq N \simeq \Sigma^2 N
  \,.
$$

This equivalence ought to be [[coherence|coherent]] to yield a $\mathbb{Z}/2\mathbb{Z}$ [[∞-action]] on the [[(∞,1)-category of (∞,1)-modules]] $E Mod$ ([MO discussion](http://mathoverflow.net/q/46399/381)).

### Landweber exact functor theorem

There is an analogue of the [[Landweber exact functor theorem]] for [[even cohomology theory|even]] 2-[[periodic cohomology theories]], with [[MU]] replaced by [[MP]] ([Hovey-Strickland 99, theorem 2.8](#HoveyStrickland99), [Lurie lecture 18, prop. 11](#LurieLect18)).




## Examples


[[even cohomology theory|even]] 2-periodic:

* [[KU]]

* [[MP]]

* [[elliptic spectrum]]

* [[2-periodic Morava K-theory]]

* [[Morava E-theory]]


## References

The concept of even 2-periodic multiplicative cohomology theories originates with

* {#AndoHopkinsStrickland} [[Matthew Ando]], [[Michael Hopkins]], [[Neil Strickland]], _Elliptic spectra, the Witten genus, and the theorem of the cube_, Inventiones Mathematicae, 146:595–687, 2001, DOI 10.1007/s002220100175

The analogue of the [[Landweber exact functor theorem]] for even 2-periodic cohomology is discussed in

* {#HoveyStrickland99} [[Mark Hovey]], [[Neil Strickland]], theorem 2.8 of _Morava K-theories and localisation_ Mem. Amer. Math. Soc., 139(666):viii+100, 1999.


* {#LurieLect18} [[Jacob Lurie]], _[[Chromatic Homotopy Theory]]_, Lecture series 2010 , Lecture 18 _Even periodic cohomology theories_ ([pdf](http://www.math.harvard.edu/~lurie/252xnotes/Lecture18.pdf))

The $\mathbb{Z}/2$-graded formalism ([[supercommutative superalgebra]]) for modules over $E_\infty$-algebras over an even periodic ring spectrum:

* {#Rezk09} [[Charles Rezk]], _The congruence criterion for power operations in Morava E-theory_, Homology, Homotopy and Applications, Vol. 11 (2009), No. 2, pp.327-379 ([arXiv:0902.2499](https://arxiv.org/abs/0902.2499))

See also

* [[Akhil Mathew]], Lennart Meier, section 2.1 of _Affineness and chromatic homotopy theory_, J. Topol. 8 (2015), no. 2, 476--528 ([arXiv:1311.0514](https://arxiv.org/abs/1311.0514))


[[!redirects periodic ring spectra]]

[[!redirects periodic A-∞ ring]]
[[!redirects periodic A-∞ rings]]

[[!redirects periodic A-infinity ring]]
[[!redirects periodic A-infinity rings]]

[[!redirects periodic E-∞ ring]]
[[!redirects periodic E-∞ rings]]

[[!redirects periodic E-infinity ring]]
[[!redirects periodic E-infinity rings]]

[[!redirects even periodic ring spectrum]]
[[!redirects even periodic ring spectra]]

[[!redirects 2-periodic ring spectrum]]
[[!redirects 2-periodic ring spectra]]

