
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Relations
+-- {: .hide}
[[!include relations - contents]]
=--
#### Equality and Equivalence
+-- {: .hide}
[[!include equality and equivalence - contents]]
=--
#### Foundations
+-- {: .hide}
[[!include foundations - contents]]
=--
=--
=--

In [[constructive mathematics]], an __inequality relation__ is a [[binary relation]] that is [[irreflexive relation|irreflexive]] and [[symmetric relation|symmetric]].  An inequality relation is often denoted ‘$\ne$’ (infix) or a variation.

Although this concept is nontrivial in [[classical mathematics]], one does not usually run across it there; this is because one is usually interested in _tight_ inequalities (see below), and [[excluded middle]] shows that the only tight inequality (on a given [[set]]) is the [[denial inequality]] (the [[negation]] of [[equality relation|equality]]).

The term 'inequality relation' is often shortened to 'inequality', but it should not be confused with [[order]] relations (the sort typically denoted ‘$\le$’ or a variation).  Sometimes 'inequation' is used for a statement containing an inequality relation (much as 'equation' is used for a statement containing an equality relation), leaving 'inequality' to mean a statement containing an order relation).

Specific types of inequality relations include:

*  A _[[tight relation|tight]]_ inequality, that is one such that $x = y$ holds whenever $x \ne y$ fails.
*  An _[[apartness relation]]_, that is an inequality relation that is also a [[comparison]] relation.
*  The _[[denial inequality]]_, the [[negation]] of [[equality relation|equality]].


[[!redirects inequality relation]]
[[!redirects inequality relations]]

[[!redirects inequality]]
[[!redirects inequalities]]

[[!redirects tight inequality]]
[[!redirects tight inequalities]]
[[!redirects tight inequality relation]]
[[!redirects tight inequality relations]]
