
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### String theory
+-- {: .hide}
[[!include string theory - contents]]
=--
=--
=--


#Contents#
* table of contents
{:toc}

## Idea

The _Brandenberger-Vafa mechanism_ is an argument, using ingredients of [[string theory]], to deduce that the [[observable universe]] is a [[spacetime]] of 3+1 _large_ [[dimensions]] (in addition to small higher dimensions in a [[Kaluza-Klein compactification]]). This is part of the issue of [[moduli stabilization]]. One also speaks of "brane gas cosmology".

The idea is that in the presence of [[strings]] and [[branes]], then the winding modes of these objects around [[cycles]] of the compactified dimensions (i.e. [[wrapped branes]]) induce an energy barrier for compact dimensions to grow large. A more detailed analysis of a "brane gas cosmology" is then argued to yield that exactly 3+1 spactime dimensions may grow large.

A similar claim, with very different methods, is made in ([Kim-Nishimura-Tsuchiya 12](#KimNishimuraTsuchiya12)), via computer simulation of the [[IKKT matrix model]] for [[type IIB string theory]].

## Related concepts

* [[cosmology]]

* [[moduli stabilization]]

* [[landscape of string theory vacua]]

## References

The original article is

* [[Robert Brandenberger]], [[Cumrun Vafa]], _Superstrings in the Early Universe_, Nucl.Phys. B316 (1989) 391 ([web](http://inspirehep.net/record/263348))

Review includes

* {#Easson00} Damien A. Easson, section 3 of _The Interface of Cosmology with String and M(ILLENNIUM) Theory_, Int.J.Mod.Phys.A16:4803-4843,2001 ([arXiv:hep-th/0003086](http://arxiv.org/abs/hep-th/0003086))

Further developments include

* {#WatsonBrandenberger03} Scott Watson, [[Robert Brandenberger]], _Stabilization of Extra Dimensions at Tree Level_, JCAP 0311 (2003) 008 ([arXiv:hep-th/0307044](http://arxiv.org/abs/hep-th/0307044))

* [[Brian Greene]], Daniel Kabat, Stefanos Marnerides, _On three dimensions as the preferred dimensionality of space via the Brandenberger-Vafa mechanism_,   10.1103/PhysRevD.88.043527  ([arXiv:1212.2115](http://arxiv.org/abs/1212.2115))


* [[Robert Brandenberger]], Damien A. Easson, Dagny Kimberly, _Loitering Phase in Brane Gas Cosmology_, Nucl.Phys. B623 (2002) 421-436 ([arXiv:hep-th/0109165](http://arxiv.org/abs/hep-th/0109165))

* Jin Young Kim, _Stabilization of the Extra Dimensions in Brane Gas Cosmology with Bulk Flux_, Phys.Lett.B652:43-52,2007 ([arXiv:hep-th/0608131](https://arxiv.org/abs/hep-th/0608131))


* [[Brian Greene]], Daniel Kabat, Stefanos Marnerides, _On three dimensions as the preferred dimensionality of space via the Brandenberger-Vafa mechanism_ ([arXiv:1212.2115](http://arxiv.org/abs/1212.2115))


For a very different argument coming to the same conclusion, within the [[IKKT matrix model]] for [[type IIB string theory]], see

* {#KimNishimuraTsuchiya12} S.-W. Kim, J. Nishimura, and A. Tsuchiya, _Expanding (3+1)-dimensional universe from a Lorentzian matrix model for superstring theory in (9+1)-dimensions_, Phys. Rev. Lett. 108, 011601 (2012), ([arXiv:1108.1540](https://arxiv.org/abs/1108.1540)).

* S.-W. Kim, J. Nishimura, and A. Tsuchiya, _Late time behaviors of the expanding universe in the IIB matrix model_, JHEP 10, 147 (2012), ([arXiv:1208.0711](https://arxiv.org/abs/1208.0711)).

[[!redirects brane gas cosmology]]
