
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Compact objects
+-- {: .hide}
[[!include compact object - contents]]
=--
=--
=--

# Contents 
* table of contents
{: toc}

## Idea

An [[object]] of a [[category]] is called *compact* if it is "finite" or "small" in some precise sense. There are however different formalizations of this idea. Here discussed is the notion, usually going by this term, where an object $X$  is called _compact_ if mapping out of it commutes with [[filtered colimits]]. 

This means that if any other object $A$ is given as the [[colimit]] of a "suitably increasing" family of objects $\{A_i\}$, then every morphism 

$$
  X \to A = \lim_{\to_i} A_i
$$

out of the compact object $X$ into that colimit factors through one of the inclusions $A_i \to \underset{\to_i}\lim A_i$.

The notion of _[[small object]]_ is essentially the same, with a bit more flexibility on when the family $\{A_i\}$ is taken to be "suitably increasing". An important application of the above factorization property is accordingly named the _[[small object argument]]_.
On the other hand, there is also the notion of _[[finite object]]_ (in a [[topos]]) which, while closely related, is different. See also _[Subtleties and different meanings](#SubtletiesAndDifferentMeanings)_ below.



## Definition 
{#FinitelyPresentableObject}

+-- {: .num_defn }
###### Definition

Let $C$ be a [[locally small category]] that admits [[filtered colimits]]. Then an [[object]] $X \in C$ is **compact**, (or **finitely presented** or **finitely presentable** or **of finite presentation**), if the [[corepresentable functor]]

$$
  Hom_C(X,-) : C \to Set
$$

[[preserved limit|preserves]] these [[filtered colimits]].  This means that for every [[filtered category]] $D$ and every functor $F : D \to C$, the canonical morphism

$$
  \underset{\to_d}{\lim} C(X,F(d)) \stackrel{\simeq}{\to} 
  C(X, \underset{\to_d}{\lim} F(d))
$$

is an [[isomorphism]].

More generally, if $\kappa$ is a [[regular cardinal]], then an object $X$ such that $C(X,-)$ commutes with $\kappa$-[[filtered colimits]] is called **$\kappa$-compact**, or **$\kappa$-presented** or **$\kappa$-presentable**.  An object which is $\kappa$-compact for some regular $\kappa$ is called a [[small object]].

=--

## Properties
  {#Properties}

+-- {: .num_prop}
###### Proposition

A $\kappa$-small [[colimit]] of $\kappa$-compact objects is again a $\kappa$-compact object.

=--

+-- {: .proof}
###### Proof

Let $D$ be a $\kappa$-[[small category]] and $X : D \to C$ a [[diagram]] of $\kappa$-compact objects. Let $I$ be a $\kappa$-[[filtered category]] and $A : I \to C$ a $\kappa$-filtered diagram in $C$. Then

$$
  Hom(\lim_{\to_d} X_d, \lim_{\to_i} A_i)
  \simeq
  \lim_{\leftarrow_d} Hom(X_d, \lim_{\to_i} A_i)
$$

by general properties of the [[hom functor]]. Now using that every $X_d$ is $\kappa$-compact and $I$ is $\kappa$-filtered this is

$$
  \cdots 
  \simeq
  \lim_{\leftarrow_d} \lim_{\to_i} Hom(X_d, A_i)
  \,.
$$

Since this (co)limit is taken in [[Set]] ,the $\kappa$-small limit over $D$ commutes with the $\kappa$-filtered colimit

$$
  \cdots 
  \simeq
  \lim_{\to_i} \lim_{\leftarrow_d}  Hom(X_d, A_i)
  \,.
$$

We can take the limit again to a colimit in the first argument

$$
  \cdots 
  \simeq
  \lim_{\to_i}  Hom(\lim_{\to_d}  X_d, A_i)
  \,,
$$

which proves the claim.


=--

## Examples 
 {#Examples}

* In $C = $ [[Set]] an object is compact precisely if it is a [[finite set]].
For this to hold constructively, [[filtered categories]] (appearing in the definition of _[[filtered colimit]]_) have to be understood as categories admitting cocones of every _Bishop-finite_ diagram.
(An object of Set is a [[finite set|Kuratowski-finite]] precisely if it is a [[finitely generated object]], or equivalently if it is [[compact space|compact]] when regarded as a [[discrete object|discrete]] topological space.)

* For $C$ a [[topos]], $X$ is compact if:
    * $C$ is a [[Grothendieck topos | sheaf topos]] on a site whose topology is generated by finite covering families and $X$ is a representable sheaf;

    * in particular if $C$ is a [[coherent topos]] and $X$ is a [[coherent object]].

However, there exist compact objects which are not coherent, c.f. the [[Elephant]], D3.3.12.

* In $C = $ [[Grp]] an object is compact precisely if it is [[finitely presented group|finitely presented]] as a group.

* More generally, if $C$ is any [[variety of algebras]], then an object is compact precisely if it is [[finitely presented algebra|finitely presented]] as an algebra.  A proof may be found in  [Adámek-Rosický 94, Corollary 3.13 ](#AdamekRosicky94).

* Let $X$ be a [[topological space]] and let $C = Op(X)$ be the [[category of open subsets]] of $X$. Then an [[open subset]] $U \in C$ is a compact object in $C$ precisely if it is a [[compact space|compact topological space]].  (It is *not* true that $X$ is a compact object of $Top$ iff it is a compact topological space; see below.)

* A [[finite-dimensional vector space]] is compact in [[Vect]], see [here](finite-dimensional+vector+space#CompactClosure).

## Subtleties and different meanings 
 {#SubtletiesAndDifferentMeanings}

One has to be careful about the following variations of the theme of compactness.

(Some of these subtleties are resolved by noticing that there is a hierarchy of notions of compact objects that are secretly different but partly go by the same name. Some discussion of this is currently at _[[compact topos]]_, but more detailed discussion should eventually be somewhere...)

In the [[Elephant]], what Johnstone calls _compact objects_ are those objects such that the [[top]] element of the [[poset of subobjects]] $\operatorname{Sub}(C)$ is a [[compact element]]; he reserves the term _finitely-presented_ for the notion of compact on this page.

### Compactness in additive categories 
  {#CompactnessInAdditiveCategories}

When $C$ is an [[additive category]] (often a [[triangulated category]]), an object $x$ in $C$ is called **compact** if for every set $S$ of objects of $C$ such that the coproduct $\coprod_{s\in S} s$ exists, the canonical map
$$
\coprod_{s\in S} C(x,s)\to C(x,\coprod_{s\in S}s)
$$
is an [[isomorphism]] of [[commutative monoid|commutative monoids]]. 

Here is an application of this concept to characterize which abelian categories are categories of modules of some ring:

+-- {: .un_theorem}
###### Theorem

Let $C$ be an abelian category.  If $C$ has all [[small category|small]] [[coproducts]] and has a compact [[projective object| projective]] [[generator]], then $C \simeq R Mod$ for some ring $R$.  In fact, in this situation we can take $R = C(x,x)^{op}$ where $x$ is any compact projective generator.   Conversely, if $C \simeq R Mod$, then $C$ has all small coproducts and $x = R$ is a compact projective generator.
=--


+-- {: .proof}
###### Proof

This theorem, minus the explicit description of $R$, can be found as Exercise F on page 103 of Peter Freyd's book [Abelian Categories](http://www.emis.de/journals/TAC/reprints/articles/3/tr3.pdf#page=132).
The first part of this theorem can also be found as Prop. 2.1.7. of Victor Ginzburg's [Lectures on noncommutative geometry](http://arxiv.org/PS_cache/math/pdf/0506/0506603v1.pdf#page=4).  Conversely, it is easy to see that $R$ is a compact projective generator of $R Mod$. 
=--

+--{.query}
Zoran: While Ginzburg's reference is surely a worthy to look at, it would be better not to give false impression that this [[reconstruction theorem]] is due Ginzburg or at all new. It is rather a classical and well know fact probably from early 1960s, essentially small strengthening of a variant of a circle of abelian reconstruction theorems including the [Gabriel-Popescu theorem](http://myyn.org/m/article/gabriel-popescu-theorem-for-ab5-categories)(probably our variant could be read off from classical algera book by Faith for example, or Popescu's book on abelian categories, in any case it is well known in [[noncommutative algebraic geometry]]). In fact for this fact, if I think better, the reconstruction belongs usually to expositions which treat classical Morita theory for rings. 
=--

A triangulated category is __compactly generated__ if it is generated (see [[generator]]) by a _set_ of compact objects.

The notion can be modified for categories [[enriched category|enriched]] over a [[closed monoidal category]] (compare to the notions of finite and/or rigid objects in various contexts).

Compact objects in the derived categories of quasicoherent sheaves over a scheme are called [[perfect complexes]]. Any [[compact object]] in the [[category of modules]] over a perfect ring is finitely generated as a module.  


In non-additive contexts, the above definition is not right.  For instance, with this definition a [[topological space]] would be compact iff it is [[connected space|connected]].  In general one should expect to instead preserve filtered colimits, as above.


### Compact objects in $Top$
 {#CompactObjectsInTop}

Recall the above example of [[compact space|compact topological spaces]].  Notice that the statement which one might expect, that a topological space $X$ is [[compact space|compact]] if it is a compact object in [[Top]], is not quite right in general.

A counterexample is given for instance on page 49 of [[Mark Hovey|Hovey]]'s _Model Categories_, which itself was corrected by Don Stanley (see the [errata](http://hopf.math.purdue.edu/Hovey/model-err.pdf) of that book).
See also the blog discussion 
[here](http://golem.ph.utexas.edu/category/2009/05/journal_club_geometric_infinit_3.html#c023790).

Namely, the two-element set with the [[indiscrete topology]] is a compact space $X$ for which 
 \[
 Hom(X, -): Top \rightarrow Top
\]
doesn’t preserve filtered colimits, in fact not even [[sequential colimit|colimits of sequences]] (functors out of the [[poset|ordered set]] of [[natural numbers]]). 

For example, consider the sequence of spaces 
 \[
 X_n=[n,\infty) \times \{0,1\}
\]
where the [[open sets]] are of the form 
\[
 [n, \infty] \times \{0\} \cup [m,\infty) \times \{1\}
\]
(where $m \geq n$), plus the empty set. Define $X_n \rightarrow X_{n+1}$ so that it sends a pair $(k, \epsilon)$ to itself if $k \gt n$, and $(n,\epsilon)$ to $(n+1,\epsilon)$. This defines a functor 
\[
F: \mathbb{N} \rightarrow Top 
\]
The colimit $X_\infty$ of this sequence is the two-element set $\{0,1\}$ with the indiscrete topology. However, the identity map on this space does not factor through any of the canonical maps $X_n \rightarrow X_\infty$. It follows that 
the comparison map 
\[
 colim_n Hom(X_\infty, X_n) \rightarrow Hom(X_\infty, X_\infty)
\]
is not surjective, and therefore not an isomorphism. 

+--{.query}
_[[Todd Trimble|Todd]]_ (posted from n-category cafe): I don’t know if the story is any different for $X$ compact _Hausdorff_, but it could be worth considering. 
=--

But with a bit of care on the assumptions, similar results do hold:

If $Y$ is compact, then 
$hom(Y,-)$ preserves colimits of functors mapping out of [[limit ordinals]], provided that the arrows of the cocone diagram, 
 \[
 X_\alpha \rightarrow X_\beta,
\]
are [[closed map|closed]] inclusions of $T_1$[[separation axiom|-spaces]]. (This applies for example to the sequence of inclusions of n-skeleta in a [[CW-complex]]. Taking $Y=S_k$, this has obvious desirable consequences for the functor $\pi_k$.) 

This example is discussed on page 50 of Hovey’s book. 

Hovey wants this result in view of a [[small object argument]] on the way to proving that $Top$ is a [[model category]]. See [this lemma](classical+model+structure+on+topological+spaces#CompactSubsetsAreSmallInCellComplexes) at _[[classical model structure on topological spaces]]_.

## Related concepts

* [[compact element]] (in a [[(0,1)-category]])

* **compact object**

* [[compact topos]]

* [[compact object in an (∞,1)-category]]

* [[small object]], [[small object argument]]

* [[finitely generated object]]

* [[locally presentable category]], [[accessible category]]

* [[compactly generated (∞,1)-category]]

[[!include finite objects -- table]]


## References {#references}

Compact objects are discussed under the term "finitely presentable" or "finitely-presentable" objects for instance in

* {#AdamekRosicky94} [[Jiří Adámek]], [[Jiří Rosický]], _[[Locally Presentable and Accessible Categories]]_, Cambridge University Press in the London Mathematical Society Lecture Note Series, number 189, (1994)

*  [[Masaki Kashiwara]], [[Pierre Schapira]], around Definition 6.3.3 of _[[Categories and Sheaves]]_;

* [[Peter Johnstone]], _[[Stone Spaces]]_, Definition VI.1.8;

* [[Peter Johnstone]], the _[[Elephant]]_, D2.3.1.

For the pages quoted in the context of the discussion of compact objects in [[Top]] see

* [[Mark Hovey]], _Model categories_.

For the general definition with an eye towards the definition of [[compact object in an (infinity,1)-category]]  see section A.1.1 section 5.3.4 of 

* [[Jacob Lurie]], _[[Higher Topos Theory]]_



[[!redirects compact object]]
[[!redirects compact objects]]

[[!redirects finitely presentable object]]
[[!redirects finitely presentable objects]]

[[!redirects finitely-presentable object]]
[[!redirects finitely-presentable objects]]

[[!redirects presentable object]]
[[!redirects presentable objects]]