
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

(...)

A point of view in [[philosophy]].

(...)

A prominent example is [[Georg Hegel]]'s [[natural philosophy]] as expressed in his _[[Science of Logic]]_. In opposition to this is the school of [[analytic philosophy]] which aims to make use of formal reasoning in [[first-order logic]]. However [[William Lawvere]] argued that key Hegelian concepts such as _[[unity of opposites]]_, _[[Aufhebung]]_, _[[category of being]]_, do have useful formalization in [[modal type theory]] (or its [[categorical semantics]]).


## Relation to physics

> There are quite a few steps between an empiricist and a Hegelian (or objective idealist). The former's view of scientific [[theory (physics)|theory]] generally is that it's an efficient encoding of the [[observations]] we make of the world, accompanied typically by a wariness about taking the [[theory (physics)|theory]] too seriously, e.g., as to what it says about the unobservable. Observations, on the other hand, are fairly straightforwardly given to us by the world. Science's basic task is to codify them, so that we can predict and sometimes control nature.

> Germany had for many years gone down a non-empiricist path. Kant had wanted to know, given the existence of [[mathematics]] and [[mechanics|Newtonian theory]], what must be the case about our cognitive faculties. He worked out that we impose certain structures in our construction of experience, time and space, causality, etc. No simple empiricism then. We can't see the world as it is in itself. He read off twelve "categories" from the types of judgement we make.

> [[Hegel]] criticises him for only *listing* the 12 categories. The thing was to deduce them from first principles. What could come first? A Logic of the Idea. We starting with Being and Nothingness, note their identity and simultaneously their difference, deduce Becoming, and off we go, through a large number of twists and turns to explain why the world must be as it is.

> The world is secondary. The Idea has an internal dynamic which is driven by the dialectical process. It requires a world to play itself out in. We are a vehicle for the Idea.

> For Hegel, there's no Kantian separation between us and the thing-in-itself, unexperienced through our faculties. We and our experience are just one part of the working out of the Idea.

> ([[David Corfield]], [forum comment, June 2013](http://nforum.mathforge.org/discussion/4973/synthetic-quantum-field-theory/?Focus=40500#Comment_40500))

## Related concepts

* [[doctrine of ideas]]

* [[objective logic]]

* [[idealism]]

  * objective idealism

  * [[subjective idealism]]

  * [[absolute idealism]]

## References

* Wikipedia, _[Objective idealism](http://en.wikipedia.org/wiki/Objective_idealism)_

