
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
=--
=--

An ancient [[philosophy|philosopher]].

* [Wikipedia page](http://en.wikipedia.org/wiki/Heraclitus)

Voiced thoughts similar to the [[unity of opposites]] later promoted by [[Hegel]] and argued by [[William Lawvere]] to be embodied in [[adjoint modalities]].
This and further discussion of the relevance in modern [[philosophy of mathematics]] is in ([Lambek](#Lambek))

## Hegel on Heraclitus

Hegel wrote (according to [this](http://en.wikipedia.org/wiki/Georg_Wilhelm_Friedrich_Hegel#Heraclitus)):

> {#HegelOnHeraclitus} [[Heraclitus]] is the one who first declared the nature of the infinite and first grasped nature as in itself infinite, that is, its essence as process. The origin of [[philosophy]] is to be dated from Heraclitus. His is the persistent Idea that is the same in all philosophers up to the present day, as it was the Idea of Plato and Aristotle."



[[Georg Hegel]], _[[Lectures on the History of Philosophy]] -- [Hercatitus](https://www.marxists.org/reference/archive/hegel/works/hp/hpheraclitus.htm)_:


> {#HegelHistory1a} If we put aside the Ionics, who did not understand the Absolute as Thought, and the Pythagoreans likewise, we have the pure Being of the Eleatics, and the dialectic which denies all finite relationships. Thought to the latter is the process of such manifestations; the world in itself is the apparent, and pure Being alone the true. The dialectic of Zeno thus lays hold of the determinations which rest in the content itself, but it may, in so far, also be called subjective dialectic, inasmuch as it rests in the contemplative subject, and the one, without this movement of the dialectic, is abstract identity. The next step from the existence of the dialectic as movement in the subject, is that it must necessarily itself become objective. If Aristotle blames Thales for doing away with motion, because change cannot be understood from Being, and likewise misses the actual in the Pythagorean numbers and Platonic Ideas, taken as the substances of the things which participate in them, Heraclitus at least understands the absolute as just this process of the dialectic. The dialectic is thus three-fold: (a) the external dialectic, a reasoning which goes over and over again without ever reaching the soul of the thing; (b) immanent dialectic of the object, but falling within the contemplation of the subject; (g) the objectivity of Heraclitus which takes the dialectic itself as principle. The advance requisite and made by Heraclitus is the progression from Being as the first immediate thought, to the category of Becoming as the second. This is the first concrete, the Absolute, as in it the unity of opposites. Thus with Heraclitus the philosophic Idea is to be met with in its speculative form; the reasoning of [[Parmenides]] and [[Zeno]] is abstract understanding. Heraclitus was thus universally esteemed a deep philosopher and even was decried as such. Here we see land; 

> {#HegelHistory1b} there is no proposition of Heraclitus which I have not adopted in my Logic.

> Diogenes Laërtius says (IX. 1) that Heraclitus flourished about the 69th Olympiad (500 B.C.), and that he was of Ephesus and in part contemporaneous with Parmeuides: he began the separation and withdrawal of philosophers from public affairs and the interests of the country, and devoted himself in his isolation entirely to Philosophy. We have thus three stages: (a) the seven sages as statesmen, regents and lawgivers; (b) the Pythagorean aristocratic league; (g) an interest in science for its own sake. Little more is known of Heraclitus’ life than his relations to his countrymen the Ephesians, and according to Diogenes Laërtius (IX. 15, 3), these were for the most part found in the fact that they despised him and were yet more profoundly despised by him — a relationship such as we have now-a-days, when each man exists for himself, and despises everyone else. In the case of this noble character, the disdain and sense of separation from the crowd emanates from the deep sense of the perversity of the ordinary ideas and life of his people: in reference to this, isolated expressions used on various occasions are still preserved. Cicero (Tusc. Quæst. V. 36) and Diogenes Laërtius (IX. 2) relate that Heraclitus said: “The Ephesians all deserve to have their necks broken as they grow up, so that the town should be left to minors “ (people now say that only youth knows how to govern), “because they drove away his friend Hermodorus, the best of them all, and gave as their reason for so doing that amongst them none should be more excellent than the rest; and if any one were so, it should be elsewhere and amongst others.” It was for the same reason that in the Athenian Democracy great men were banished. Diogenes adds: “His fellow-citizens asked him to take part in the administration of public affairs, but he declined, because he did not like their constitution, laws and administration.” Proclus (T. III. pp. 115, 116, ed. Cousin) says: “The noble Heraclitus blamed the people for being devoid of understanding or thought. ‘What is,’ he says, ‘their understanding or their prudence? Most of them are bad, and few are good.’” Diogenes Laërtius (IX. 6) furthermore says: “ Antisthenes cites, as a proof of Heraclitus’ greatness, that he left his kingdom to his brother.” He expresses in the strongest manner his contempt for what is esteemed to be truth and right, in the letter preserved to us by Diogenes (IX. 13, 14), in which, to the invitation of Darius Hystaspes, “to make him acquainted with Greek wisdom — for his work on Nature contains a very forcible theory of the world, but it is in many passages obscure — to come to him and explain to him what required explanation” (this is certainly not very probable if Heraclitus’ turn of mind was also Oriental), he is said to have replied: “All mortal men depart from truth and justice and are given over to excess and vain opinions according to their evil understandings. But I, since I have attained to an oblivion of all evil, and shun the overpowering envy that follows me, and the vanity of high position, shall not come to Persia. I am content with little and live in my own way.” The only work that he wrote, and the title of which, Diogenes tells us, was by some stated to be “The Muses” and by others “On Nature,” he deposited in the temple of Diana at Ephesus. It seems to have been preserved until modern times; the fragments which have come down to us are collected together in Stephanus’ Poësis philosophica (p. 129, seq.). Schleiermacher also collected them and arranged them in a characteristic way. The title is “Heraclitus, the Dark, of Ephesus, as represented in fragments of his work and by the testimony of the ancients,” and it is to be found in Wolf and Buttmann “Museum of ancient Learning,” vol. I. (Berlin, 1807) pp. 315-533. Seventy-three passages are given. Kreuzer made one hope that he would work at Heraclitus more critically and with a knowledge of the language. He made a more complete collection, particularly from grammarians; however, as, for lack of time, he left it to be worked up by a younger scholar, and as the latter died, it never came before the public. Compilations of the kind are as a rule too copious: they contain a mass of learning and are more easily written than read. Heraclitus has been considered obscure, and is indeed celebrated for this; it also drew upon him the name of skoteinoς. Cicero (De Nat. Deor. I. 26; III. 14; De Finib. II. 5) takes up a wrong idea, as often happens to him; he thinks that Heraclitus purposely wrote obscurely. Any such design would, however, be a very shallow one, and it is really nothing but the shallowness of Cicero himself ascribed by him to Heraclitus. Heraclitus’ obscurity is rather a result of neglecting proper composition and of imperfect language; this is what was thought by Aristotle (Rhet. III. 5), who, from a grammatical point of view, ascribed it to a want of punctuation: “We do not know whether a word belongs to what precedes or what succeeds.” Demetrius is of the same opinion (De Elocutione, § 192, p. 78, ed. Schneider). Socrates, as Diogenes Laërtius relates (II. 22; IX. 11-12), said of this book: “What he understood of it was excellent, and what he did not understand he believed to be as good, but it requires a vigorous (Dhliou) swimmer to make his way through it.” The obscurity of this philosophy, however, chiefly consists in there being profound speculative thought contained in it; the Notion, the Idea, is foreign to the understanding and cannot be grasped by it, though it may find mathematics quite simple. Plato studied the philosophy of Heraclitus with special diligence; we find much of it quoted in his works, and he got his earlier philosophic education most indubitably from this source, so that Heraclitus may be called Plato’s teacher. Hippocrates, likewise, is a philosopher of Heraclitus’ school. What is preserved to us of Heraclitus’ philosophy at first seems very contradictory, but we find the Notion making its appearance, and a man of profound reflection revealed. Zeno began to abrogate the opposed predicates, and he shows the opposition in movement, an assertion of limitation and an abrogation of the same; Zeno expressed the infinite, but on its negative side only, in reference to its contradiction as being the untrue. In Heraclitus we see the perfection of knowledge so far as it has gone, a perfecting of the Idea into a totality, which is the beginning of Philosophy, since it expresses the essence of the Idea, the Notion of the infinite, the potentially and actively existent, as that which it is, i.e. as the unity of opposites. From Heraclitus dates the ever-remaining Idea which is the same in all philosophers to the present day, as it was the Idea of Plato and of Aristotle.

> 1. Concerning the universal principle, this bold mind, Aristotle tells us (Metaph. IV. 3 and 7), first uttered the great saying: “Being and non-being are the same; everything is and yet is not.” The truth only is as the unity of distinct opposites and, indeed, of the pure opposition of being and non-being; but with the Eleatics we have the abstract understanding that Being is alone the truth. We say, in place of using the expression of Heraclitus, that the Absolute is the unity of being and non-being. When we understand that proposition as that “Being is and yet is not,” this does not seem to make much sense, but only to imply complete negation and want of thought. But we have another sentence that gives the meaning of the principle better. For Heraclitus says: “Everything is in a state of flux; nothing subsists nor does it ever remain the same.” And Plato further says of Heraclitus: “He compares things to the current of a river: no one can go twice into the same stream,”[1] for it flows on and other water is disturbed. Aristotle tells us (Met. IV. 5) that his successors even said “it could not once be entered,” for it changed directly; what is, is not again. Aristotle (De Cœlo, III. 1) goes on to say that Heraclitus declares that “there is only one that remains, and from out of this all else is formed; all except this one is not enduring (pagiwς).”

> This universal principle is better characterized as Becoming, the truth of Being; since everything is and is not, Heraclitus hereby expressed that everything is Becoming. Not merely does origination belong to it, but passing away as well; both are not independent, but identical. It is a great advance in thought to pass from Being to Becoming, even if, as the first unity of opposite determinations, it is still abstract. Because in this relationship both must be unrestful and therefore contain within themselves the principle of life, the lack of motion which Aristotle has demonstrated in the earlier philosophies is supplied, and this last is even made to be the principle. This philosophy is thus not one past and gone; its principle is essential, and is to be found in the beginning of my Logic, immediately after Being and Nothing. The recognition of the fact that Being and non-being are abstractions devoid of truth, that the first truth is to be found in Becoming, forms a great advance. The understanding comprehends both as having truth and value in isolation; reason, on the other hand, recognizes the one in the other, and sees that in the one its “other” is contained. If we do not take the conception of existence as complete, the pure Being of simple thought in which everything definite is denied, is the absolute negative; but nothing is the same, or just this self-identity. We here have an absolute transition into the opposite which Zeno did not reach, for he remained at the proposition, “From nothing, comes nothing.” With Heraclitus, however, the moment of negativity is immanent, and the Notion of Philosophy as complete is therefore dealt with.

> In the first place we have here the abstract idea of Being and non-being in a form altogether immediate and general; but when we look closer, we find that Heraclitus also conceived of the opposites and their unification in a more definite manner. He says: “The opposites are combined in the self-same one, just as honey is both sweet and bitter.” Sextus remarks of this (Pyrrh. Hyp. I. 29, §§ 210, 211; II. 6, § 63): “Heraclitus, like the Sceptics, proceeds from ordinary ideas; no one will deny that healthy men call honey sweet, while those who are sick will say it is bitter.” If it is only sweet, it cannot alter its nature in another individual; it would in all places and even to the jaundiced patient be sweet. Aristotle (De mundo, 5) quotes this from Heraclitus: “Join together the complete whole and the incomplete” (the whole makes itself the part, and the meaning of the part is to become the whole), “what coincides and what conflicts, what is harmonious and what discordant, and from out of them all comes one, and from one, all.” This one is not an abstraction, but the activity of dividing itself into opposites; the dead infinite is a poor abstraction as compared with the depths of Heraclitus. All that is concrete, as that God created the world, divided Himself, begot a Son, is contained in this determination. Sextus Empiricus mentions (adv. Math. IX. 337) that Heraclitus said: “The part is something different from the whole and is yet the same as the whole; substance is the whole and the part, the whole in the universe and the part in this living being.” Plato says in his Symposium (p. 187, Steph. ; p. 397, Bekk.) of Heraclitus’ principle: “The one, separated from itself, makes itself one with itself like the harmony of the bow and the lyre.” He then makes Eryximachus, who speaks in the Symposium, criticize this thus: “In harmony there is discord, or it arises from opposites; for harmony does not arise from height and depth in that they are different, but from their union through the art of music.” But this does not contradict Heraclitus, who means the same thing. That which is simple, the repetition of a tone, is no harmony; difference is clearly necessary to harmony, or a definite antithesis; for it is the absolute becoming and not mere change. The real fact is that each particular tone is different from another — not abstractly so from any other, but from its other — and thus it also can be one. Each particular only is, in so far as its opposite is implicitly contained in its Notion. Subjectivity is thus the “other” of objectivity and not of a piece of paper, which would be meaningless; since each is the “other” of the “other” as its “other,” we here have their identity. This is Heraclitus’ great principle; it may seem obscure, but it is speculative. And this to the understanding which maintains the independence of Being and non-being, the subjective and objective, the real and the ideal, is always difficult and dim. In his system Heraclitus did not rest content with thus expressing himself in Notions, or with what is purely logical. But in addition to this universal form in which he advanced his principle, he gave his idea a real and more natural form, and hence he is still reckoned as belonging to the Ionic school of natural philosophers.

> However, as regards this form of reality, historians are at variance; most of them, and amongst others, Aristotle (Met. I. 3, 8), say that he maintained fire to be the existent principle; others, according to Sextus (adv. Math. IX. 360; X. 233), say it was air, and others again assert that he made vapour to be the principle rather than air; even time is, in Sextus (adv. Math. X. 216), given as the primary existence. The question arises as to how this diversity is to be comprehended. It must not be believed that all these accounts are to be ascribed to the inaccuracy of historians, for the witnesses are of the best, like Aristotle and Sextus Empiricus, who do not speak casually of these forms, but definitely, without, however, remarking upon any such differences and contradictions. We seem to have a better reason in the obscurity of the writing of Heraclitus, which might, by the confusion of its expression, give occasion to misunderstanding. But when regarded closer, this difficulty, which is evident when merely looked at superficially, disappears; it is in the profoundly significant conceptions of Heraclitus that the true way out of this difficulty manifests itself. Heraclitus could no longer, like Thales, express water, air or anything similar as an absolute principle — he could no longer do so in the form of a primeval element from which the rest proceeds — because he thought of Being as identical with non-being, or the infinite Notion; thus the existent, absolute principle cannot with him come forth as a definite and actual thing such as water, but must be water in alteration, or as process only.

> a. Understanding the abstract process as time, Heraclitus said: “Time is the first corporeal existence,” as Sextus (adv. Math. X. 231, 232) puts it. Corporeal is an unfortunate expression; the Sceptics frequently pick out the crudest expressions or make thoughts crude in the first place so that they may afterwards dispense with them. Corporeal here means abstract sensuousness; time, as the first sensuous existence, is the abstract representation of process. It is because Heraclitus did not rest at the logical expression of Becoming, but gave to his principle the form of the existent, that it was necessary that time should first present itself to him as such; for in the sensuously perceptible it is the first form of Becoming. Time is pure Becoming as perceived, the pure Notion, that which is simple, and the harmony issuing from absolute opposites; its essential nature is to be and not to be in one unity, and besides this, it has no other character. It is not that time is or is not, for time is non-being immediately in Being and Being immediately in non-being: it is the transition out of Being into non-being, the abstract Notion, but in an objective form, i.e. in so far as it is for us. In time there is no past and future, but only the now, and this is, but is not as regards the past; and this non-being, as future, turns round into Being. If we were to say how that which Heraclitus recognized as principle, might, in the pure form in which he recognized it, exist for consciousness, we could mention nothing else but time; and it quite accords with the principle of thought in Heraclitus to define time as the first form of Becoming.

> b. But this pure, objective Notion must realize itself more fully, and thus we find in fact, that Heraclitus detertermined the process in a more markedly physical manner. In time we have the moments of Being and non-being manifested as negative only, or as vanishing immediately; if we wish to express both these moments as one independent totality, the question is asked, which physical existence corresponds to this determination. To Heraclitus the truth is to have grasped the essential being of nature, i.e. to have represented it as implicitly infinite, as process in itself; and consequently it is evident to us that Heraclitus could not say that the primary principle is air, water, or any such thing. They are not themselves process, but fire is process; and thus he maintains fire to be the elementary principle, and this is the real form of the Heraclitean principle, the soul and substance of the nature-process. Fire is physical time, absolute unrest, absolute disintegration of existence, the passing away of the “other,” but also of itself; and hence we can understand how Heraclitus, proceeding from his fundamental determination, could quite logically call fire the Notion of the process.

> c. He further made this fire to be a real process; because its reality is for itself the whole process, the moments have become concretely determined. Fire, as the metamorphosis of bodily things, is the transformation and exhalation of the determinate; for this process Heraclitus used a particular word — evaporation (anaqumiasiς) — but it is rather transition. Aristotle (De anim. I. 2) says of Heraclitus in this regard, that, according to his view, “the soul is the principle because it is evaporation, the origination of everything; it is what is most incorporeal and always in a state of flux.” This is quite applicable to the primary principle of Heraclitus.

> 2. Furthermore he determined the real process in its abstract moments by separating two sides in it — “the way upwards (odos anw) and the way downwards (odos katw)” — the one being division, in that it is the existence of opposites, and the other the unification of these existent opposites. Corresponding to these, he had, according to Diogenes (IX. 8), the further determinations of enmity and strife (polemoς eriς), and friendship and harmony (omologia, eirhnh); of these two, enmity and strife is that which is the principle of the origination of differences; but what leads to combustion is harmony and peace.” In enmity amongst men, the one sets himself up independently of the other, or is for himself and realizes himself; but unity and peace is sinking out of independence into indivisibility or non-reality. Everything is three-fold and thereby real unity; nature is the never-resting, and the all is the transition out of the one into the other, from division into unity, and from unity into division.

> The more detailed accounts of this real process are, in great measure, deficient and contradictory. In this connection, it is in some accounts [3] said of Heraclitus that he defined it thus: “Of the forms taken by fire there is first of all the sea, and then of it half is the earth and the other half the lightning flash (prhsthr),” the fire which springs up. This is general and very obscure. Diogenes Laërtius (IX. 9) says: “Fire is condensed into moisture, and when concrete it becomes water; water hardens into earth and this is the way downwards. The earth then again becomes fluid, and from it moisture supervenes, and from this the evaporation of the sea, from which all else arises; this is the way upwards. Water divides into a dark evaporation, becoming earth, and into what is pure, sparkling, becoming fire and burning in the solar sphere; what is fiery becomes meteors, planets and stars.” These are thus not still, dead stars, but are regarded as in Becoming, as being eternally productive. We thus have, on the whole, a metamorphosis of fire. These oriental, metaphorical expressions are, however, in Heraclitus not to be taken in their strictly sensuous signification, and as if these changes were present to the outward observation; but they depict the nature of these elements by which the earth eternally creates its suns and comets.

> Nature is thus a circle. With this in view, we find Heraclitus, according to Clement of Alexandria (Strom. V. 14, p. 711), saying: “The universe was made neither by God nor man, but it ever was and is, and will be, a living fire, that which, in accordance with its Jaws, (metrw) kindles and goes out.” We now understand what Aristotle says of the principle being the soul, since the latter is evaporation; that is to say, fire, as this self-moving process of the world, is the soul. Another statement follows, which is also found in Clement of Alexandria (Strom. VI. 2, p. 746): “To souls (to the living) death is the becoming water; to water death is the becoming earth; on the other hand from earth, water arises, and from water, the soul.” Thus, on the whole, this process is one of extinction, of going back from opposition into unity, of the re-awakening of the former, and of issuing forth from one. The extinction of the soul, of the fire in water, the conflagration that finally results, some, and amongst others, Diogenes Laërtius (IX. 8), Eusebius (Præp. Evang. XIV. 3) and Tennemann (Vol. I. p. 218), falsely assert to be a conflagration of the world. What Heraclitus is said to have spoken of as a conflagration of this world, was thought to be an imaginary idea that after a certain time — as, according to our ideas, at the end of the world — the world would disappear in flames. But we see at once from passages which are most clear, [4] that this conflagration is not meant, but that it is the perpetual burning up as the Becoming of friendship, the universal life and the universal process of the universe. In respect of the fact that, according to Heraclitus, fire is the animating, or the soul, we find in Plutarch (De esu. cam. I. p. 995, ed. Xyl.) an expression which may seem odd, namely, that “the driest soul is the best.” We certainly do not esteem the most moist the best, but, on the other hand, the one which is most alive; however dry here signifies fiery and thus the driest soul is pure fire, and this is not lifeless but life itself.

> These are the principal moments of the real life-process I will stop here a moment because we here find expressed the whole Notion of speculative reflection regarding Nature. In this Notion, one moment and one element goes over into the other; fire becomes water, water earth and fire. The contention about the transmutation and immutability of the elements is an old one; in this conception the ordinary, sensuous science of nature separates itself from natural philosophy. In the speculative point of view, which is that of Heraclitus, the simple substance in fire and the other elements in itself becomes metamorphosed; in the other, all transition is abolished and only an external separation of what is already there is maintained. Water is just water, fire is fire, etc. If the former point of view upholds transmutation, the latter believes in the possibility of demonstrating the opposite; it no longer, indeed, maintains water, fire, etc., to be simple realities, for it resolves them into hydrogen, oxygen, etc, but it asserts their immutability. It justly asserts that what is asserted and implied in the speculative point of view, must also have the truth of actuality; for if to be the speculative means to be the very nature and principle of its elements, this must likewise be present. We are wrong in representing the speculative to be something existent only in thought or inwardly, which is no one knows where. It is really present, but men of learning shut their eyes to it because of their limited point of view. If we listen to their account, they only, observe and may what they see; but their observation is not true, for unconsciously they transform what is seen through their limited and stereotyped conception; the strife is not due to the opposition between observation and the absolute Notion, but between the one Notion and the other. They show that changes — such as that of water into earth — are non-existent. Even in modern times this transformation was indeed maintained, for when water was distilled, a residuum of earth was found. On this subject, however, Lavoisier carried on a number of very conclusive researches; he weighed all the receptacles, and it was shown that the residuum proceeded from the vessels. There is a superficial process that does not carry us beyond the determinate nature of substance. They say in reference to it, “water does not change into air but only into moisture, and moisture always condenses back into water again.” But in this they merely fix on a one-sided, insufficient process, and give it out to be the absolute process. In the real process of nature they, however, found by experience that the crystal dissolved gives water, and in the crystal, water is lost and solidifies, or becomes the so-called water of crystallization; they found that the evaporation of the earth is not to be found as moisture, in outward form in the air, for air remains quite pure, or hydrogen entirely disappears in pure air; they have sought in vain to find hydrogen in the atmospheric air. Similarly they discovered that quite dry air in which they can show neither moisture nor hydrogen, passes into mist, rain, etc. These are their observations, but they spoilt all their perceptions of changes by the fixed conception which they brought with them of whole and part, and of consistence out of parts, and of the previous presence as such, of what manifests itself in coming into existence. When the crystal dissolved reveals water, they say, “it is not that water has arisen, for it was already present there.” When water in its decomposition reveals hydrogen and oxygen, that means, according to them, “these last have not arisen for they were already there as such, as the parts of which the water subsists.” But they can neither demonstrate water in crystal nor oxygen and hydrogen in water, and the same is true of “latent heat.” As we find in all expression of perception and experience, as soon as men speak, there is a Notion present; it cannot be withheld, for in consciousness there always is a touch of universality and truth. For the Notion is the real principle, but it is only to cultured reason that it is absolute Notion, and not if it remains, as here, confined in a determinate form. Hence these men necessarily attain to their limits, and they are troubled because they do not find hydrogen in air; hygrometers, flasks full of air brought down from heights by an air-balloon, do not show it to exist. And similarly the water of crystallization is no longer water, but is changed into earth.

> To come back to Heraclitus, there is only one thing wanting to the process, which is that its simple principle should be recognized as universal Notion. The permanence and rest which Aristotle gives, may be missed. Heraclitus, indeed, says that everything flows on, that nothing is existent and only the one remains; but that is the Notion of the unity which only exists in opposition and not of that reflected within itself. This one, in its unity with the movement of the individuals, is the genus, or in its infinitude the simple Notion as thought; as such, the Idea has still to be determined, and we shall thus find it again as the nouς of Anaxagoras. The universal is the immediate simple unity in opposition which goes back into itself as a process of differences; but this is also found in Heraclitus; he called this unity in opposition Fate (eimarmenh) or Necessity.[5] And the Notion of necessity is none other than this, that determinateness constitutes the principle of the existent as individual, but in that very way, relates it to its opposite: this is the absolute “connection (logoς) that permeates the Being of the whole.” He calls this “the ethereal body, the seed of the Becoming of everything”;[6] that to him is the Idea, the universal as reality, as process at rest

> 3. There is still something else to consider, and that is what position in this principle Heraclitus gives to consciousness; his philosophy has, on the whole, a bent towards a philosophy of nature, for the principle, although logical, is apprehended as the universal nature-process. How does this logoς come to consciousness? How is it related to the individual soul? I shall explain this here in greater detail: it is a beautiful, natural, child-like manner of speaking truth of the truth. The universal and the unity of the principle of consciousness and of the object, and the necessity of objectivity, make their first appearance here. Several passages from Heraclitus are preserved respecting his views of knowledge. From his principle that everything that is, at the same time is not, it immediately follows that he holds that sensuous certainty has no truth; for it is the certainty for which something exists as actual, which is not so in fact. Not this immediate Being, but absolute mediation, Being as thought of, Thought itself, is the true Being. Heraclitus in this relation says of sensuous perception — according to Clement of Alexandria — (Strom. III. 3, p. 520): “What we see waking is dead, but what we see sleeping, a dream,” and in Sextus (adv. Math. VII. 126, 127), “Men’s eyes and ears are bad witnesses, for they have barbarous souls. Reason (logoς) is the judge of truth, not the arbitrary, but the only divine and universal judge “ — this is the measure, the rhythm, that runs through the Being of everything. Absolute necessity is just the having the truth in consciousness; but every thought, or what proceeds from the individual, every relation in which there is only form and which has the content of the ordinary idea, is not such; what is so is the universal understanding, the developed consciousness of necessity, the identity of subjective and objective. Heraclitus says in this connection, according to Diogenes (IX. 1): “Much learning (polumaqih) does not instruct the mind, else it had instructed Hesiod, Pythagoras, Xenophanes and Hecatæus. The only wisdom is to know the reason that reigns over all.”

> Sextus (adv. Math. VII. 127-133), further describes the attitude of the subjective consciousness, of particular reason, to the universal, to this nature-process. That attitude has still a very physical appearance, resembling the state of mind we suppose in men who are mad or asleep. The waking man is related to things in a universal way, which is in conformity with the relation of the things and is the way in which others also regard them, and yet he still retains his independence. If, and in so far as I stand in the objectively intelligent connection of this state of mind, I am, just because of this externality, in finitude; but waking, I have the knowledge of the necessity of a connection in the form of objectivity, the knowledge of the universal existence, and thus the Idea in finite form. Sextus puts this in definite form: “Everything that surrounds us is logical and intelligent” — yet not therefore accompanied by consciousness.

> “If we draw this universal reality through our breath, we shall be intelligent, but we are so waking only, sleeping we are in oblivion.” The waking consciousness of the outer world, what belongs to the sphere of the understanding, is rather what may be called a condition; but here it is taken as the whole of rational consciousness. “For in sleep the channels of feeling are closed and the understanding that is in us is prevented from uniting (sumfuiaς) with the surroundings; the breath is the only connection (prosfusiς) maintained, and it may be compared to a root.” This breath is thus distinguished from the universal breath, i.e. from the being of another for us. Reason is this process with the objective: when we are not in connection with the whole, we only dream. “Separated, the understanding loses the power of consciousness (mnhmonikhn dunamin) that it formerly had.” The mind as individual unity only, loses objectivity, is not in individuality universal, is not the Thought which has itself as object. “In a waking condition, however, the understanding — gazing through the channels of sense as though it were through a window, and forming a relationship with the surroundings — maintains the logical power.” We here have the ideal in its native simplicity. “In the same way as coals which come near fire, themselves take fire, but apart from it, go out, the part which is cut off from the surroundings in our bodies becomes, through the separation, almost irrational.” This confutes those who think that God gives wisdom in sleep or in somnambulism. “But in connection with the many channels it becomes similar to the whole. This whole, the universal and divine understanding, in unity with which we are logical, is, according to Heraclitus, the essence of truth. Hence that which appears as the universal to all, carries with it conviction, for it has part in the universal and divine Logos, while what is subscribed to by an individual carries with it no conviction from the opposite cause. He says in the beginning of his book on Nature: “Since the surroundings are reason, men are irrational both before they hear and when they first hear. For since what happens, happens according to this reason, they are still inexperienced when they search the sayings; and the works which I expound, distinguishing the nature of everything and explaining its relations. But other men do not know what they do awake, just as they forget what they do in sleep.” Heraclitus says further: “We do and think everything in that we participate in the divine understanding (logoς). Hence we must follow the universal understanding. But many live as if they had an understanding (fronhsin) of their own; the understanding is, however, nothing but interpretation” (being conscious) “of the manner in which all is ordered. Hence in so far as we participate in the knowledge (mnhmhς) of it, we are in the truth; but in so far as we are singular (idiaswmen) we are in error.” Great and important words! We cannot speak of truth in a truer or less prejudiced way. Consciousness as consciousness of the universal, is alone consciousness of truth; but consciousness of individuality and action as individual, an originality which becomes a singularity of content or of form, is the untrue and bad. Wickedness and error thus are constituted by isolating thought and thereby bringing about a separation from the universal. Men usually consider, when they speak of thinking something, that it must be something particular, but this is quite a delusion.

> However much Heraclitus may maintain that there is no truth in sensuous knowledge because all that exists is in a state of flux, and that the existence of sensuous certainty is not while it is, he maintains the objective method in knowledge to be none the less necessary. The rational, the true, that which I know, is indeed a withdrawal from the objective as from what is sensuous, individual, definite and existent; but what reason knows within itself is necessity or the universal of being; it is the principle of thought, as it is the principle of the world. It is this contemplation of truth that Spinoza in his Ethics (P. II. propos. XLIV., coroll. II. p. 118, ed. Paul), calls “a contemplation of things in the guise of eternity.” The being-for-self of reason is not an objectless consciousness, or a dream, but a knowledge, that which is for itself; but this being-for-self is awake, or is objective and universal, i.e. is the same for all. The dream is a knowledge of something of which I alone know; fancy may be instanced as just such a dream. Similarly it is by feeling that something is for me alone, and that I have something in me as in this subject; the feeling may profess to be ever so elevated, yet it really in the case that for me as this subject, it is what I feel, and not an object independent of me. But in truth, the object is for me something essentially free, and I am for my. self devoid of subjectivity; similarly this object is no imaginary one made an object by me alone, but is in itself a universal.

> There are, besides, many other fragments of Heraclitus, solitary expressions, such as his saying, “men are mortal gods, and gods immortal men; living in death to the former and dying is their life.” [7]

> Life is the death of the gods, death is the life of the gods; the divine is the rising through thought above mere nature which belongs to death. Hence Heraclitus also says, according to Sextus (adv. Math. VII., 349): “the power of thinking is outside the body,” which, in a remarkable way, Tennemann makes into: “outside of men.” In Sextus (Pyrrh. Hyp. III 24, § 230) we further read; “Heraclitus says that both life and death are united in our life as in our death; for if we live, our souls are dead and buried in us, but if we die, our souls arise and live.” We may, in fact, say of Heraclitus what Socrates said: “What remains to us of Heraclitus is excellent, and we must conjecture of what is lost, that it was as excellent.” Or if we wish to consider fate so just as always to preserve to posterity what is best, we must at least say of what we have of Heraclitus, that it is worthy of this preservation.



## Related pages

* [[logos]]

* [[Adjointness in Foundations]]


## References

* {#Lambek} [[Joachim Lambek]], _The Influence of Heraclitus on Modern Mathematics_, In _Scientific Philosophy Today: Essays in Honor of Mario Bunge_, edited by Joseph Agassi and Robert S Cohen, 111–21. Boston: D. Reidel Publishing Co. (1981)

  (on the formalization of [[duality]] via [[adjunctions]] in [[category theory]])

* [[Hegel]], _[[Science of Logic]]_



category: people