
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
=--
=--

## Hegel on Anaxagoras

In the _[[Science of Logic]]_, [[Hegel]] writes

> [WdL §54](Science+of+Logic#54) Anaxagoras wird als derjenige gepriesen, der zuerst den Gedanken ausgesprochen habe, daß der [[nous]], der Gedanke, das Princip der Welt, daß das Wesen der Welt als der Gedanke bestimmt ist. Er hat damit den Grund zu einer Intellektualansicht des Universums gelegt, deren reine Gestalt die Logik seyn muß. Es ist in ihr nicht um ein Denken über etwas, das für sich außer dem Denken zu Grunde läge, zu thun, um Formen, welche bloße Merkmale der Wahrheit abgeben sollten; sondern die nothwendigen Formen und eigenen Bestimmungen des Denkens sind der Inhalt und die höchste Wahrheit selbst.

> WdL §54 Anaxagoras is praised as the man who first declared that [[Nous]], thought, is the principle of the world, that the essence of the world is to be defined as thought. In so doing he laid the foundation for an intellectual view of the universe, the pure form of which must be logic. What we are dealing with in logic is not a thinking about something which exists independently as a base for our thinking and apart from it, nor forms which are supposed to provide mere signs or distinguishing marks of truth; on the contrary, the necessary forms and self-consciousness of thought are the content and the ultimate truth itself.

See also the paragraph from the [[Lectures on the History of Philosophy]] starting with "[Das Prinzip des Anaxagoras war ...](#DasPrinzipDesAnaxagorasWar)".

The following is Hegel on Anaxagoras in his _[[Lectures on the History of Philosophy]]_.

### Introduction

> Hier fängt erst an, ein Licht aufzugehen (es ist zwar noch schwach): Der Verstand wird als das Prinzip anerkannt. Von Anaxagoras sagt schon Aristoteles: »Der aber, der sagte, daß die Vernunft wie in dem Lebenden, so auch in der Natur die Ursache ist der Welt und aller Ordnung, ist wie ein Nüchterner erschienen gegen die [, die] vorher ins Blinde (eikê) sprachen.« Die Philosophen vor Anaxagoras, sagt Aristoteles, »sind den Fechtern, die wir Naturalisten nennen, zu vergleichen. Wie diese oft sich in ihrem Herumtummeln gute Stöße tun, aber nicht nach der Kunst, so scheinen auch diese Philosophen kein Bewußtsein über das zu haben, was sie sagen.« Dies Bewußtsein hat zuerst Anaxagoras gehabt, indem er sagt, der Gedanke ist das an und für sich seiende Allgemeine, der reine Gedanke ist das Wahre. Anaxagoras ist wie ein Nüchterner unter Trunkenen erschienen; aber auch sein Stoß geht noch ziemlich ins Blaue hinein.
Als Prinzipien haben wir gesehen das Sein, das Werden, das Eins; es sind Gedanken, allgemeine, nichts Sinnliches, auch nicht Vorstellungen der Phantasie; der Inhalt, die Teile desselben aber sind genommen aus dem Sinnlichen, es sind Gedanken in irgendeiner Bestimmung. Anaxagoras nun sagt, das Allgemeine – nicht Götter, sinnliche Prinzipien, Elemente, noch Gedanken, die wesentlich als bestimmte sind (Reflexionsbestimmungen) –, sondern der Gedanke selbst, an und für sich, das Allgemeine ohne Gegensatz, alles in sich befassend, ist die Substanz. Hierbei müssen wir uns nicht den subjektiven Gedanken vorstellen; wir denken beim Denken sogleich an unser Denken, wie es im Bewußtsein ist. Hier ist dagegen der ganz objektive Gedanke gemeint, das Allgemeine, der tätige Verstand; wie wir sagen, es ist Verstand, Vernunft in der Welt, auch in der Natur, – oder wie[369] wir von Gattungen in der Natur sprechen: sie sind das Allgemeine. Ein Hund ist ein Tier, dies ist seine Gattung, sein Substantielles; er selbst ist dies. Dies Gesetz, dieser Verstand, diese Vernunft ist selbst immanent in der Natur, ist das Wesen der Natur; sie ist nicht von außen formiert, wie die Menschen einen Stuhl machen. Der Tisch ist auch vernünftig gemacht, aber es ist ein äußerlicher Verstand diesem Holze. Aber diese äußere Form, die der Verstand sein soll, fällt uns beim Sprechen vom Verstande sogleich ein. Hier aber ist der Verstand, das Allgemeine gemeint, was die immanente Natur des Gegenstandes selbst ist. Dies ist das Prinzip. Bisher hatten wir Gedanken, jetzt ist es der Gedanke selbst, der zum Prinzip gemacht ist.

> Der [[nous]] ist nichtdenkendes Wesen draußen, das die Welt eingerichtet; so ist der Gedanke des Anaxagoras ganz verdorben, ihm alles philosophische Interesse benommen. Denn ein Individuelles, Einzelnes draußen ist ganz in die Vorstellung herabgefallen und deren Dualismus; ein denkendes sogenanntes Wesen ist kein Gedanke mehr, ist ein Subjekt. Das wahrhaft Allgemeine ist nicht abstrakt, gerade das Allgemeine (Gute, Schöne, Zweck) [ist] dies, in und aus sich selbst das Besondere an und für sich zu bestimmen, – nicht äußerlicher Zweck.

### Life

> Vor seiner Philosophie haben wir seine Lebensumstände zu betrachten. Mit ihm sehen wir die Philosophie in das eigentliche Griechenland, das bisher noch keine hatte, und zwar nach Athen wandern; bisher war Kleinasien oder Italien der Sitz der Philosophie gewesen. Anaxagoras, selbst ein Kleinasiate, lebte vorzüglich in Athen, das, wie das Haupt der griechischen Macht, so jetzt auch der Sitz und Mittelpunkt der Künste und der Wissenschaften war. Anaxagoras lebte in der großen Zeit zwischen den medischen Kriegen und dem Zeitalter des Perikles. Er fällt in die schönste Zeit des griechischen athenischen Lebens und berührt noch den Untergang oder vielmehr den Übergang in den Untergang, in das Sterben des schönen athenischen Lebens. Die Schlacht bei[370] Marathon ist in der 72., die bei Salamis in der 75. Olympiade; in der 81. (456 v. Chr.) kam Anaxagoras nach Athen.
Anaxagoras, Ol. 70 (500 v. Chr.) geboren, ist früher als Demokrit und dem Alter nach ebenso als Empedokles, doch mit diesen überhaupt wie mit Parmenides gleichzeitig; er ist so alt als Zenon. Seine Vaterstadt ist Klazomenai in Lydien, nicht sehr weit von Kolophon und dann Ephesos, auf einer Landenge, die eine große Halbinsel mit dem festen Lande zusammenhängt.

> Anaxagoras schließt diese Periode, nach ihm beginnt eine neue. Er wird, nach der beliebten Ansicht vom genealogischen Übergehen der Prinzipien von Lehrer auf Schüler, weil er aus Ionien war, oft als ein Fortsetzer der ionischen Schule, als ionischer Philosoph vorgestellt; denn Hermotimos von Klazomenai war sein Lehrer. Auch wird er zu diesem Behufe zu einem Schüler des Anaximenes gemacht, dessen Geburt aber in Ol. 55-58 gesetzt wird, also fünfzehn Olympiaden (d.h. 60 Jahre) früher.
Sein Leben besteht kurz darin, daß er sich auf das Studium der Wissenschaften legte, von den öffentlichen Angelegenheiten zurückzog, viele Reisen machte und zuletzt nach einigen im dreißigsten, wahrscheinlicher im fünfundvierzigsten Jahre seines Alters nach Athen kam. Er kam am günstigsten, in der blühendsten Zeit der Stadt dahin; Perikles stand an der Spitze des Staats und erhob ihn zum höchsten Glanze, das ist der Silberblick des atheniensischen Lebens. Perikles suchte den Anaxagoras auf und lebte mit ihm in sehr vertrautem Umgang. Athen hatte damals den Kulminationspunkt seiner schönen Größe erreicht; besonders ist der Gegensatz von Athen und Lakedämon in dieser Zeit interessant. Athen und Lakedämon waren die beiden griechischen Nationen, die um die erste Stelle in Griechenland miteinander[371] wetteiferten. Athens ist im Gegensatze Lakedämons zu erwähnen, – der Prinzipien dieser berühmten Staaten. Keine Kunst und Wissenschaft war bei den Lakedämoniern. Daß Athen der Sitz der Wissenschaften und schönen Künste war, hatte es der Eigentümlichkeit seiner Verfassung und seines ganzen Geistes zu danken.

> Lakedämon ist ebenso seiner Verfassung nach hochzuachten. Die Lakedämonier hatten den strengen dorischen Geist durch ihre konsequente Verfassung geordnet – eine Verfassung, worin der Hauptzug ist, daß die Individualität, alle persönliche Besonderheit dem Allgemeinen, dem Zwecke des Staats, dem Leben des Staats untergeordnet ist oder vielmehr aufgeopfert war, – daß das Individuum das Bewußtsein seiner Ehre, Gültigkeit usf. nur in dem Bewußtsein der Tätigkeit, des Lebens, des Handelns für den Staat hat. Ein Volk von solcher gediegenen Einheit, worin Wille des Einzelnen eigentlich ganz verschwunden ist, machte einen unüberwindlichen Zusammenhang aus; und Lakedämon wurde deswegen an die Spitze der Griechen gestellt und erhielt die Hegemonie, wie wir sie in den trojanischen Zeiten bei den Argivern sahen.

> Dies ist ein großes Prinzip, was in jedem wahrhaften Staate sein muß, was aber bei den Lakedämoniern in seiner Einseitigkeit geblieben ist; diese Einseitigkeit ist von den Atheniensern gemieden, und dadurch sind sie größer geworden. In Lakedämon war die Eigentümlichkeit, Persönlichkeit, Individualität nachgesetzt, und so, daß das Individuum nicht für sich seine freie Ausbildung, Äußerung haben konnte; sie war nicht anerkannt, daher nicht in Übereinstimmung gebracht, nicht in Einheit gesetzt mit dem allgemeinen Zweck des Staats. Dieses allgemeine Leben, dies Aufheben des Rechts der Besonderheit, der Subjektivität, ging bei den Lakedämoniern sehr weit; und wir finden dasselbe Prinzip in Platons Republik auf seine Weise.

> Aber das Allgemeine ist nur lebendiger Geist, insofern das einzelne Bewußtsein sich als solches in ihm findet, – das[372] Allgemeine nicht das unmittelbare Leben und Sein des Individuums, die Substanz nur ausmacht, sondern das bewußte Leben. Wie die Einzelheit, die von dem Allgemeinen sich trennt, ohnmächtig ist und zugrunde geht, ebenso kann die einseitige allgemeine, die seiende Sitte der Individualität nicht widerstehen. Der lakedämonische Geist, der auf die Freiheit des Bewußtseins nicht gerechnet und dessen Allgemeines sich von ihr isoliert hatte, mußte sie deswegen als dem Allgemeinen entgegengesetzt hervorbrechen sehen. Und wenn wir zuerst als Befreier Griechenlands von seinen Tyrannen die Spartaner auftreten sehen, denen selbst Athen die Verjagung der Nachkommen des Peisistratos verdankt, so geht ihr Verhältnis zu ihren Bundesgenossen bald in gemeine, niederträchtige Gewalt über und im Inneren, im Staate ebenso in eine harte Aristokratie sowie die festgesetzte Gleichheit des Eigentums (oder Bestimmtheit des Eigentums, daß bei jeder Familie ihr Erbgut bliebe und durch Verbannung eigentlichen Geldes und Handels und Wandels die Möglichkeit der Ungleichheit des Reichtums verbannt würde) in eine Habsucht über, die dem Allgemeinen entgegen brutal und niederträchtig wurde.

> Dies wesentliche Moment der Besonderheit, nicht in den Staat aufgenommen, damit nicht gesetzlich, sittlich (moralisch zunächst) gemacht, erscheint als Laster. Alle Momente der Idee sind vorhanden in einer vernünftigen Organisation; ist Leber isoliert als Galle, so würde sie darum nicht mehr und nicht weniger tätig sein, -aber als feindlich, sie zeigte sich als vom Körper, der leiblichen Ökonomie sich isolierend.

> Den Atheniensern hatte hingegen Solon nicht nur Gleichheit der Rechte, Einheit des Geistes zu ihrer Verfassung gemacht, sondern auch der Individualität ihren Spielraum gegeben, dem Volke (nicht Ephoren) die Staatsgewalt anvertraut, die es nach Verjagung seiner Tyrannen an sich nahm und so in Wahrheit ein freies Volk wurde. Der Einzelne hatte selbst das Ganze in ihm, sein Bewußtsein und Tun im Ganzen; Ausbildung des freien Bewußtseins muß sich darin finden.[373]

> Bei den Atheniensern war auch Demokratie und reinere Demokratie als in Sparta. Jeder Bürger hatte sein substantielles Bewußtsein in der Einheit mit den Gesetzen, mit dem Staate; aber zugleich war der Individualität, dem Geiste, dem Gedanken des Individuums freigelassen, sich zu gewähren, zu äußern, zu ergehen. So sehen wir in diesem Prinzip die Freiheit der Individualität in ihrer Größe auftreten. Das Prinzip der subjektiven Freiheit erscheint zunächst noch verbunden, in Einigkeit mit der allgemeinen Grundlage der griechischen Sittlichkeit, des Gesetzlichen, selbst mit der Mythologie; und so brachte es in seinem Ergehen, indem der Geist, das Genie seine Konzeptionen frei ausgebären konnte, diese großen Kunstwerke der bildenden schönen Künste und die unsterblichen Werke der Poesie und Geschichte hervor. Das Prinzip der Subjektivität hatte insofern noch nicht die Form angenommen, daß die Besonderheit als solche freigelassen, auch der Inhalt ein subjektiv besonderer, wenigstens im Unterschiede von der allgemeinen Grundlage, der allgemeinen Sittlichkeit, der allgemeinen Religion, den allgemeinen Gesetzen sein sollte. Wir sehen also nicht besonders modifizierte Einfälle haben, sondern den großen, sittlichen, gediegenen göttlichen Inhalt in diesen Werken für das Bewußtsein zum Gegenstande gemacht, vor das Bewußtsein überhaupt gebracht. Wir werden später sehen die Form der Subjektivität für sich freiwerden und in den Gegensatz treten gegen das Substantielle, die Sitte, die Religion, das Gesetz.

> Die Grundlage von diesem Prinzip der Subjektivität, aber die noch ganz allgemeine Grundlage, sehen wir im Anaxagoras. Er lebte etwas früher als Sokrates, aber sie kannten sich noch. Er kam in dieser Zeit, deren Prinzip eben angegeben ist, nach Athen.

> Athen, nach den persischen Kriegen, unterwarf sich den größten Teil der griechischen Inseln sowie eine Menge Seestädte in Thrakien und sonst weiter hinein ins Schwarze Meer. In diesem edlen, freien, gebildeten Volke der Erste[374] des Staats zu sein, – dies Glück wurde Perikles, und dieser Umstand erhebt ihn in der Schätzung der Individualität so hoch, wie wenige Menschen gesetzt werden können. Von allem, was groß unter den Menschen ist, ist die Herrschaft über den Willen der Menschen, die einen Willen haben, das Größte, denn diese herrschende Individualität muß wie die allgemeinste, so die lebendigste sein, – ein Los für Sterbliche, wie es wenige oder keins mehr gibt. Die Größe seiner Individualität war ebenso tief als durchgebildet, ebenso ernst (er hat nie gelacht) als energisch und ruhig; Athen hatte ihn den ganzen Tag. Von Perikles sind uns bei Thukydides einige Reden an das Volk erhalten, denen es wohl wenige Werke an die Seite zu setzen gibt. Unter Perikles findet sich die höchste Ausbildung des sittlichen Gemeinwesens, der Schwebepunkt, wo die Individualität noch unter und im Allgemeinen gehalten ist. Gleich darauf wird die Individualität übermächtig, indem ihre Lebendigkeit in die Extreme gefallen, da der Staat noch nicht als Staat selbständig in sich organisiert ist. Indem das Wesen des athenischen Staats der allgemeine Geist, der Religionsglaube an dies ihr Wesen war, so verschwindet mit dem Verschwinden dieses Glaubens das innere Wesen des Volks, da der Geist nicht als Begriff wie in unseren Staaten ist. Der rasche Übergang hierzu ist der nous die Subjektivität, als Wesen, Reflexionin-sich, – nicht Abstraktion.
Athen war der Sitz, ein Kranz von Sternen der Kunst und Wissenschaft. Wie sich die größten Künstler in Athen sammelten, ebenso haben sich die berühmtesten Philosophen und Sophisten dort aufgehalten: Aischylos, Sophokles, Aristophanes, Thukydides, Diogenes von Apollonia, Protagoras, Anaxagoras und andere Kleinasiaten. Kleinasien selbst fiel unter die Herrschaft der Perser, und mit dem Verluste ihrer Freiheit starb auch die Philosophie bei ihnen aus.

> Anaxagoras lebte in dieser Zeit in Athen, ein Freund des[375] Perikles, ehe dieser mit Staatsgeschäften sich beschäftigte. Aber es wird auch gesagt, er sei in Dürftigkeit gekommen, weil Perikles ihn vernachlässigt habe, – die Lampe nicht mit 01 versehen, die ihn erleuchtet.

> Wichtiger ist, daß Anaxagoras, wie nachher Sokrates und viele andere Philosophen, angeklagt wurde wegen Verachtung der Götter, welche das Volk dafür nähme. Es tritt Gegensatz der Prosa des Verstandes gegen poetisch religiöse Ansicht ein. Bestimmt wird erzählt, Anaxagoras habe die Sonne, die Sterne für glühende Steine gehalten (es wird ihm auch, nach anderen, Schuld gegeben, etwas, das die Propheten für ein Wunder – Omen – ausgegeben, auf natürliche Weise erklärt zu haben); es steht damit in Verbindung, daß er es vorausgesagt haben soll, daß am Tage von Aigos Potamos, wo die Athener gegen Lysander ihre letzte Flotte verloren, ein Stein vom Himmel fiel.
Überhaupt konnte schon bei Thales, Anaximander usf. die Bemerkung gemacht werden, daß sie Sonne, Mond, Erde und Gestirne zu Dingen machten und sie auf verschiedene Weise vorstellten, – Vorstellungen, die übrigens keine weitere Beachtung verdienen; denn diese Seite gehört eigentlich der Bildung. Alle ihre Vorstellungen von solchen Gegenständen enthalten das Gemeinschaftliche, daß die Natur durch sie entgöttert worden. Sie vertilgten die poetische Ansicht der Natur, die allem, was sonst jetzt für leblos gilt, ein eigentliches Leben, etwa auch Empfinden und, wenn man will, ein Sein überhaupt nach Weise des Bewußtseins zuschrieb. Diese poetische Ansicht zogen sie in die prosaische herab. Die Sonne wird als materielles Ding genommen, wie wir sie dafür halten, ist nicht mehr lebendiger Gott; diese Gegenstände sind uns bloße Dinge, dem Geiste äußerliche, geistlose Gegenstände. Dinge kann man herleiten von Denken. Dies[376] Denken tut wesentlich, daß es solche Gegenstände, Vorstellungen davon, die man göttlich, poetisch nennen kann, mit dem ganzen Umfange des Aberglaubens, verjagt, sie herabsetzt zu dem, was man natürliche Dinge nennt. Denn im Denken weiß der Geist sich als das wahrhaft Seiende, Wirkliche. Denken ist die Identität seiner und des Seins; für den Geist setzt sich im Denken das Ungeistige, Äußerliche zu Dingen herab, zum Negativen des Geistes.

> Der Verlust jener Ansicht ist nicht zu beklagen, als ob damit die Einheit mit der Natur, schöner Glaube, unschuldige Reinheit und Kindlichkeit des Geistes verlorengegangen wäre. Unschuldig und kindlich mag sie wohl sein; aber die Vernunft ist eben das Herausgehen aus solcher Unschuld und Einheit mit der Natur. Sobald der Geist sich selbst erfaßt, für sich ist, muß er eben darum das Andere seiner sich als ein Negatives des Bewußtseins entgegensetzen, d.h. zu einem Geistlosen, zu bewußt- und leblosen Dingen bestimmen – und erst aus diesem Gegenstande zu sich kommen. Es ist dies diese Befestigung der sich bewegenden Dinge, die wir in den Mythen der Alten antreffen, die z.B. erzählen, daß die Argonauten die Felsen an der Meerenge des Hellesponts, die vorher wie Scheren sich bewegt hätten, festgestellt haben. Ebenso befestigte die fortschreitende Bildung das, was vorher eigene Bewegung und Leben in sich selbst zu haben gemeint wurde, und machte es zu ruhenden Dingen.
Dieser Übergang solcher mythischen Ansicht zur prosaischen kommt hier zum Bewußtsein der Athenienser. Solche prosaische Ansicht setzt voraus, daß dem Menschen innerlich ganz andere Forderungen aufgehen, als er sonst gehabt hat. Darin liegen also die Spuren der wichtigen, notwendigen Konversion, die in den Vorstellungen der Menschen durch das Erstarken des Denkens, durch das Bewußtsein seiner selbst, durch die Philosophie gemacht ist.

> Die Erscheinung solcher Anklage des Atheismus, die wir noch ausführlicher bei Sokrates berühren werden, ist bei Anaxagoras äußerlich aus dem näheren Grunde begreiflich,[377] daß die Athener auf Perikles eifersüchtig waren; daß die mit Perikles um den ersten Platz in Athen wetteiferten und ihn nicht unmittelbar (öffentlich) anzutasten wagten, seine Lieblinge gerichtlich angriffen und der Neid ihn durch die Anklage seines Freundes zu kränken suchte. So hatte man auch seine Freundin Aspasia zur Anklage gebracht; und der edle Perikles mußte, um sie von der Verdammung zu retten, die einzelnen Bürger Athens mit Tränen um ihre Lossprechung bitten. Das athenische Volk forderte in seiner Freiheit an seine Machthaber, denen es ein Übergewicht zuließ solche Akte, durch welche sie sich ebenso das Bewußtsein ihrer Demütigung vor dem Volke gaben; das Volk revanchierte sich so für das Übergewicht, welches die großen Männer hatten, übte selbst die Nemesis und setzte sich in Gleichgewicht mit ihnen, so wie sie wiederum das Gefühl ihrer Abhängigkeit, Unterwürfigkeit und Machtlosigkeit vor ihm dartaten.

> Die Nachrichten über den Erfolg dieser Anklage des Anaxagoras sind ganz widersprechend und zweifelhaft; wenigstens befreite ihn Perikles von der Verurteilung zum Tode. Und entweder wurde er, nach einigen, nur zur Verbannung verurteilt, nachdem Perikles ihn vor das Volk geführt und für ihn sprach und bat, der schon durch sein Alter und Abzehrung und Schwäche das Mitleid des Volkes erregte. Oder andere sagen, er sei mit Hilfe des Perikles aus Athen geflohen und wurde abwesend zum Tode verurteilt und das Urteil nicht an ihm vollzogen. Oder andere sagen, er sei freigesprochen worden; aber aus Verdruß über diese Anklage und Besorgnis ihrer Wiederholung habe er Athen freiwillig verlassen, und im etlichen und 60. oder 70. Jahre sei er in Lampsakos in der 88. Olympiade (428 v. Chr.) gestorben.

### The general principle of thought

> Der Zusammenhang seiner Philosophie mit den vorhergehenden ist: In Heraklits Idee als Bewegung sind alle Momente absolut verschwindende; Empedokles ist Zusammenfassen dieser Bewegung in die Einheit, aber eine synthetische, ebenso Leukipp und Demokrit, – aber so, daß bei Empedokles die Momente dieser Einheit die seienden Elemente des Feuers, Wassers usf. sind, bei diesen aber reine Abstraktionen, an sich seiende Wesen, Gedanken; hierdurch aber ist unmittelbar die Allgemeinheit gesetzt, denn die Entgegengesetzten haben keinen sinnlichen Halt mehr. Die Einheit kehrt als allgemeine in sich zurück aus der Entgegensetzung (in dem Synthesieren ist das Entgegengesetzte noch getrennt von ihr für sich, nicht der Gedanke selbst das Sein), – der Gedanke, als reiner freier Prozeß in sich selbst, das sich selbst bestimmende Allgemeine, nicht unterschieden vom bewußten Gedanken. Im Anaxagoras tut sich ein ganz anderes Reich auf.

> Aristoteles sagt: »Anaxagoras hat erst diese Bestimmungen angefangen«, – ist also der erste, der das absolute Wesen als Verstand oder Allgemeines aussprach, als Denken (nicht Vernunft). Aristoteles und dann andere nach ihm führen das trockene Faktum an, daß ein Hermotimos auch aus Klazomenai dazu Veranlassung gegeben; aber deutlich, bestimmt habe dies Anaxagoras getan. Damit ist dann wenig gedient, da wir weiter nichts erfahren von Hermotimos' Philosophie; viel mag es nicht gewesen sein. Andere haben viel historische Untersuchungen über diesen Hermotimos angestellt. Dieser Name kommt noch einmal vor: α) Wir haben ihn schon angeführt in der Liste derer, von denen erzählt wird, daß Pythagoras, vor seinem Leben als Pythagoras, sie gewesen sei. β) Wir haben eine Geschichte von[379] Hermotimos: er habe nämlich die eigene Gabe besessen, als Seele seinen Leib zu verlassen. Dies sei ihm aber am Ende schlecht bekommen, denn seine Frau, mit der er Händel hatte und die sonst wohl wußte, wie es damit war, zeigte diesen von seiner Seele verlassenen Leib ihren Bekannten als tot, und er wurde verbrannt, ehe die Seele sich eingestellt hatte, die sich freilich wird verwundert haben. Es ist nicht der Mühe wert, zu untersuchen, was dieser alten Geschichte zugrunde liegt, d.h. wie wir die Sache ansehen wollen; man könnte an Verzückung dabei denken. Wir haben eine Menge solcher Geschichten von alten Philosophen, wie von Pherekydes, Epimenides usf.; daß dieser z.B. (eine Schlafmütze) siebenundfünfzig Jahre geschlafen habe.

> {#DasPrinzipDesAnaxagorasWar} Das Prinzip des Anaxagoras war, daß er den [[nous]] Gedanken oder Verstand überhaupt, als das einfache Wesen der Welt, für das Absolute erkannt hat. Die Einfachheit des nous ist nicht ein Sein, sondern Allgemeinheit (Einheit). Allgemeines ist einfach und von sich unterschieden, – aber so, daß der Unterschied unmittelbar aufgehoben wird und diese Identität gesetzt, für sich ist, das Wesen nicht ein Scheinen in sich, Einzelheit – Reflexion an und für sich bestimmt – ist. Dies Allgemeine für sich, abgetrennt, existiert rein nur als Denken. Es existiert auch als Natur, gegenständliches Wesen, aber dann nicht mehr rein für sich, sondern die Besonderheit als ein Unmittelbares an ihm habend; so Raum und Zeit z.B., das Ideellste, Allgemeinste der Natur als solcher. Aber es gibt keinen reinen Raum und Zeit und Bewegung, sondern dies Allgemeine hat die Besonderheit unmittelbar an ihm, – bestimmter Raum, Luft, Erde man kann keinen reinen Raum zeigen, sowenig als die Materie. Denken ist also dies Allgemeine, aber rein für sich: Ich bin Ich, Ich = Ich. Ich unterscheide eins von mir, aber dieselbe reine Einheit bleibt, – nicht Bewegung, ein Unterschied,[380] der nicht unterschieden, Fürmichsein. Und in allem, was ich denke, wenn das Denken einen bestimmten Inhalt hat, so ist es mein Gedanke, – ich bin mir in diesem Gegenstande ebenso bewußt.

> {#DiesAllgemeineSoFuerSichSeiende} Dies Allgemeine, so für sich Seiende, tritt aber ebenso dem Einzelnen – oder der Gedanke dem Seienden – bestimmt gegenüber. Hier wäre nun die spekulative Einheit dieses Allgemeinen mit dem Einzelnen zu betrachten, wie diese als absolute Einheit gesetzt ist; aber dies wird freilich bei den Alten nicht angetroffen, – den Begriff selbst zu begreifen. Den sich zu einem System realisierenden, als Universum organisierten Verstand, diesen reinen Begriff haben wir nicht zu erwarten. Wie Anaxagoras den [[nous]] erklärt, den Begriff desselben gegeben, gibt Aristoteles näher an: Das Allgemeine hat die zwei Seiten, α) reine Bewegung zu sein, und β) das Allgemeine, Ruhende, Einfache. Es ist darum zu tun, das Prinzip der Bewegung aufzuzeigen, – daß dies das Sichselbstbewegende und dies das Denken (als für sich existierend) ist. So Aristoteles. »Nous ist ihm (Anaxagoras) dasselbe mit Seele.« So unterscheiden wir Seele als das Sichselbstbewegende, unmittelbar Einzelne; aber als einfach ist der nous das Allgemeine. Der Gedanke bewegt um etwas willen, der Zweck ist das erste Einfache (die Gattung ist Zweck), er ist das Erste, welches sich zum Resultate macht, – bei den Alten Gutes und Böses, d.h. eben Zweck als Positives und als Negatives.

> Diese Bestimmung ist eine sehr wichtige; sie hatte auch bei Anaxagoras noch keine große Ausführung. Während die bisherigen Prinzipien (Aristoteles unterscheidet zuerst Qualität, poion dann Materie und Stoff) stoffartig sind, außer dem Heraklitischen Prozeß, der drittens Prinzip der Bewegung ist, so tritt viertens das Umweswillen, die Zweckbestimmung mit dem nous ein. Dies ist das in sich Konkrete. Aristoteles fügt nach der oben (S. 217) angeführten Stelle[381] hinzu: »Nach diesen« (Ioniern und anderen) »und nach solchen Ursachen« (Wasser, Feuer usf.), »da sie nicht hinreichend sind, die Natur der Dinge zu erzeugen (gennêsai), sind die Philosophen von der Wahrheit selbst, wie schon gesagt, gezwungen worden, weiter zu gehen nach dem damit verbundenen Prinzip (tên echomenên archên). Denn daß auf einer Seite alles sich gut und schön verhalte, anderes aber erzeugt werde, – dazu ist weder die Erde noch sonst ein Prinzip hinreichend, auch scheinen jene dies nicht gemeint zu haben, noch macht es sich gut (kalôs echei), dem Selbstbewegen und dem Zufall (automatô kai tychê) ein solches Werk zu überlassen.« Gut und schön drückt den einfachen, ruhenden Begriff aus, Veränderung den Begriff in seiner Bewegung.

> Mit diesem Prinzip kommen nun folgende Bestimmungen herein: a) Verstand überhaupt ist die sich selbst bestimmende Tätigkeit; dies fehlte bisher. Das Werden des Heraklit, was nur Prozeß ist (eimarenê), ist noch nicht das sich selbständig, unabhängig Bestimmende. In der sich selbst bestimmenden Tätigkeit ist zugleich enthalten, daß die Tätigkeit, indem sie den Prozeß macht, sich erhält als das Allgemeine, Sichselbstgleiche. Das Feuer (der Prozeß nach Heraklit) erstirbt; es ist Übergang ins Andere, keine Selbständigkeit. Es ist auch Kreis, Rückkehr zum Feuer; aber das Prinzip erhält sich in seinen Bestimmungen nicht. Es ist nur Übergehen ins Entgegengesetzte gesetzt, – nicht das Allgemeine, welches sich in beiden Formen erhält. ß) Bestimmung der Allgemeinheit liegt darin, wenn sie auch noch nicht förmlich ausgedrückt ist; es bleibt in der Beziehung auf sich in der Bestimmung. Darin liegt 7) Zweck, das Gute.

> Ich habe schon neulich (S. 348 f.) auf den Begriff des Zwecks aufmerksam gemacht. Wir dürfen dabei nicht bloß an die Form des Zwecks denken, wie er in uns, in den Bewußten ist. Wir haben einen Zweck; er ist meine Vorstellung, sie ist[382] für sich, kann sich realisieren oder auch nicht. Es liegt im Zweck die Tätigkeit des Realisierens, wir vollführen diese Bestimmung; und das Produzierte muß dem Zwecke gemäß sein, – wenn man nicht ungeschickt ist, muß das Objekt nichts anderes enthalten als der Zweck. Es ist ein Übergang von der Subjektivität zur Objektivität: ich bin unzufrieden mit meinem Zweck, daß er nur subjektiv ist; meine Tätigkeit ist, ihm diesen Mangel zu benehmen und ihn objektiv zu machen. In der Objektivität hat sich der Zweck erhalten. Ich habe z.B. den Zweck, ein Haus zu bauen, ich bin deshalb tätig; es kommt heraus das Haus, der Zweck ist darin realisiert.

> Wir müssen aber nicht bei der Vorstellung von diesem subjektiven Zweck stehenbleiben, wo beide, ich und der Zweck, selbständig existieren, wie wir dies gewöhnlich tun. Z.B. Gott, als weise, regiert nach Zwecken; da ist die Vorstellung, daß der Zweck für sich ist, in einem vorstellenden, weisen Wesen. 

> {DasAllgemeineDesZwecks} Das Allgemeine des Zwecks ist aber, daß er eine für sich feste Bestimmung ist und daß dann diese Bestimmung, die durch die Bestimmung der Tätigkeit gesetzt ist, weiter tätig ist, den Zweck zu realisieren, ihm Dasein zu geben; aber dies Dasein ist beherrscht durch den Zweck, und er ist darin erhalten. Dies ist, daß der Zweck das Wahrhafte, die Seele einer Sache ist. Das Gute gibt sich selbst Inhalt, indem es mit diesem Inhalt tätig ist, dieser Inhalt sich an Anderes wendet, so erhält sich in der Realität die erste Bestimmung, und es kommt kein anderer Inhalt heraus. Was vorher schon vorhanden war, und was nachher ist, nachdem der Inhalt in die Äußerlichkeit getreten ist, beides ist dasselbe; und das ist der Zweck.

> {#DasGroessteBeispielBietetDasLebendige} Das größte Beispiel hiervon bietet das Lebendige dar; es erhält sich so, weil es an sich Zweck ist. Das Lebendige existiert, arbeitet, hat Triebe, diese Triebe sind seine Zwecke; es weiß nichts von diesen Zwecken, es ist bloß lebendig, – es sind erste Bestimmungen, die fest sind. Das Tier arbeitet, diese Triebe zu befriedigen, d.h. den Zweck zu erreichen; es verhält sich zu äußeren Dingen, teils mechanisch, teils chemisch. Aber das Verhältnis seiner Tätigkeit bleibt nicht mechanisch, chemisch. Das Produkt, das Resultat ist vielmehr das Tier selbst, es ist Selbstzweck, es bringt in seiner Tätigkeit nur sich selbst hervor; jene mechanischen usf. Verhältnisse werden darin vernichtet und verkehrt. Im mechanischen und chemischen Verhältnis ist dagegen das Resultat ein Anderes; das Chemische erhält sich nicht. Im Zwecke aber ist das Resultat der Anfang, – Anfang und Ende sind gleich. Selbsterhaltung ist fortdauerndes Produzieren, wodurch nichts Neues entsteht – Zurücknahme der Tätigkeit zum Hervorbringen seiner selbst –, immer nur das Alte.


## related entries

* [[Nous]]

## References

* Wikipedia, _[Anaxagoras](http://en.wikipedia.org/wiki/Anaxagoras)_


* [[Georg Hegel]], _[[Science of Logic]]_

* [[Georg Hegel]], _[[Lectures on the History of Philosophy]] -- [Anaxagoras](Lectures+on+the+History+of+Philosophy#Anaxagoras)_

category: people