
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Algebra
+--{: .hide}
[[!include higher algebra - contents]]
=--
=--
=--

#Rigs and semirings#
* table of contents
{:toc}

## Idea

A __rig__ is a [[ring]] 'without negatives' (hence the missing 'n' in the name, get it?).  Rigs are commonly also called __semirings__, but by analogy with [[semigroup]] it would be more appropriate to use that word for a ring having neither negatives nor even zero, so that is what we will do here.

## Definition

A _rig_ is a [[set]] $R$ with binary operations of addition and multiplication, such that

* $R$ is a [[monoid]] under multiplication;
* $R$ is an [[abelian monoid]] (for a rig) or an abelian [[semigroup]] (for a semiring) under addition;
* multiplication distributes over addition, i.e. the distributivity laws hold:
  $$x\cdot (y+z) = (x\cdot y) + (x\cdot z)$$
  $$(y+z)\cdot x = (y\cdot x) + (z\cdot x)$$
  and also the absorption/annihilation laws, which are their nullary version:
  $$0\cdot x = 0 = x\cdot 0$$

In a ring, absorption follows from distributivity, since $0\cdot x + 0\cdot x = (0+0)\cdot x = 0\cdot x$ and we can cancel one copy to obtain $0\cdot x = 0$.  In a [[rig]], however, we have to assert absorption separately.

More sophisticatedly, we can say that, just as a ring is a [[monoid object]] in [[abelian group]]s, so a rig is a monoid object in abelian monoids and a semiring is a monoid object in abelian [[semigroup]]s, where abelian groups, abelian monoids and abelian semigroups have suitable monoidal structures (they are not the cartesian ones).

Equivalently, a semiring is the [[hom-set]] of of a [[semicategory]] with a single object that is [[enriched category|enriched]] in [[Ab]].

### Further weakening

As with rings, one sometimes considers non-associative or non-unital versions (where multiplication may not be [[associative]] or may have no [[identity]]).  It is rarer to remove requirements from addition as we have done here.  But notice that while $R$ can be proved (from the other axioms) to be an [[abelian group]] under addition (and therefore a ring) as long as it is a [[group]], this argument does not go through if it is only a monoid.  If we assert only distributivity on one side, however, then we can have a noncommutative addition; see [[near-ring]].

## Properties

Many rigs are either [[ring]]s or [[distributive lattice]]s.  Indeed, a ring is precisely a rig that forms a group under addition, while a distributive lattice is precisely a commutative rig in which the operations are idempotent.  Note that a [[Boolean algebra]] is a rig in both ways: as a lattice and as a [[Boolean ring]].

Any rig can be "completed" to a ring by adding negatives, in the same way that the natural numbers are completed to the integers.  When applied to the set of isomorphism classes of objects in a rig category, the result is part of [[algebraic K-theory]]. More formally, the ring completion of a rig $R$ is obtained by applying the [[group completion]] functor to the underlying additive monoid of $R$, and extending the rig multiplication to a ring multiplication by exploiting distributivity; this gives the [[left adjoint]] $F: Rig \to Ring$ to the forgetful functor $U: Ring \to Rig$. Note however that the unit of the [[adjunction]] $R \to U F(R)$ is not [[monomorphism|monic]] if the additive monoid of $R$ is not [[cancellation monoid|cancellative]], despite an informal convention that "[[completion]]" should usually mean a [[monad]] where the unit *is* monic. 

Matrices of rigs can be used to formulate versions of [[matrix mechanics]].


## Examples

Some rigs which are neither rings nor distributive lattices include:

* The [[natural numbers]].
* The nonnegative [[rational number]]s and the nonnegative [[real numbers]].
* Polynomials with coefficients in any rig.
* The set of isomorphism classes of objects in any [[distributive category]], or more generally in any [[rig category]].
* The [[tropical rig]], which is $\mathbb{R}\cup \{\infty\}$ with addition $x\oplus y = min(x,y)$  and multiplication $x\otimes y = x+y$.

 Tropical rigs are one of an important class of [[idempotent semirings]]. 

* The [[ideals]] of a [[commutative ring]] form a rig under ideal addition and multiplication, where the unit and zero ideals are the unit and zero elements of the rig, respectively.  They also form a [[distributive lattice]] and therefore a rig in another way; note that the addition operation is the same in both rigs but the multiplication operation is different (being intersection in the lattice).

## Related concepts

* [[rng]] ([[nonunital ring]])

* [[ring]], [[near-ring]]

* [[tropical geometry]]

* [[tropical semiring]]

* [[idempotent semiring]]

* A [[categorification]] of the notion of rig is the notion of [[rig category]], or more generally [[colax-distributive rig category]].  See also [[2-rig]] and [[distributivity for monoidal structures]].

* [[semi-monoid]]/[[semi-group]]

* [[semi-category]], [[semi-Segal space]]

* [[semi-simplicial set]]

* [[Burnside rig]]

## References

* Jonathan S. Golan, _Semirings and their applications_. Updated and expanded version of The theory of semirings, with applications to mathematics and theoretical computer science, Longman Sci. Tech., Harlow, 1992, MR1163371. Kluwer Academic Publishers, Dordrecht, 1999. xii+381 pp.
* [[M. Marcolli]], R. Thomgren, _Thermodynamical semirings_, [arXiv:
1108.2874](http://arxiv.org/abs/1108.2874)
* wikipedia [semiring](http://en.wikipedia.org/wiki/Semiring)

[[!redirects rigs]]

[[!redirects semiring]]
[[!redirects semirings]]

[[!redirects semi-ring]]
[[!redirects semi-rings]]

