
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
=--
=--

#Contents#
* table of contents
{:toc}

## Idea

The [[philosophy|philosophical]] system laid out by [[Baruch Spinoza]]. Titled "Ethics" but starting from a first-principles [[ontology]] which is formulated in the style of [[logic|logical]] [[deduction]], as famous at that time from the development of [[Euclidean geometry]].

## Substance

At the heart of Spinoza's system is his concept of _[[substance]]_

> {#PerSubstantiamIntelligo} **Ethik, def. 3** Per substantiam intelligo id quod in se est et per se concipitur; hoc est id cuius conceptus non indiget conceptu alterius rei, a quo formari debeat

> [EDef3S3](#EDef3S3) By substance I understand what is in itself and is conceived through itself, i.e., that whose concept does not require the concept of another thing, from which it must be formed.

He claims that substance thus understood is God. 

> **Ethik, def. 6** Unter Gott verstehe ich das absolut unendliche Wesen, d.h. die Substanz, welche aus unendlichen Attributen besteht, von denen ein jedes ewiges und unendliches Sein ausdrückt.

and states:

> {#Prop15} **Proposition 15** Whatever is, is in God, and nothing can be or be conceived without God.



> [SEP](http://plato.stanford.edu/entries/spinoza/#GodNat): As soon as this preliminary conclusion has been established, Spinoza immediately reveals the objective of his attack. His definition of God—condemned since his excommunication from the Jewish community as a “God existing in only a philosophical sense”—is meant to preclude any anthropomorphizing of the divine being. In the scholium to proposition fifteen, he writes against “those who feign a God, like man, consisting of a body and a mind, and subject to passions. But how far they wander from the true knowledge of God, is sufficiently established by what has already been demonstrated.” Besides being false, such an anthropomorphic conception of God can have only deleterious effects on human freedom and activity, insofar as it fosters a life enslaved to hope and fear and the superstitions to which such emotions give rise.

## Relation to Hegel's system

[[Georg Hegel]] in his _[[Science of Logic]]_ claims to describe a system which subsumes Spinoza's, but which refines it by extending it to more fundamental stages. _Hegel's system_ proceeds from (what he calls) stages of determinations of _[[being]]_ to stages of determinations of the _essence_ to culminate in _substance_, "the final unity of essence and being" ([WdL §1235](Science+of+Logic#1235)), which Hegel claims ([WdL §1287](Science+of+Logic#1287)) to be the _substance_ of Spinoza's system.

## Hegel on Spinoza's system
 {#HegelOnSpinoza}

From [[Georg Hegel]], _[[Lectures on the History of Philosophy]] -- [Spinoza](https://www.marxists.org/reference/archive/hegel/works/hp/hpspinoz.htm)_:

> As regards the philosophy of Spinoza, it is very simple, and on the whole easy to comprehend; the difficulty which it presents is due partly to the limitations of the method in which Spinoza presents his thoughts, and partly to his narrow range of ideas, which causes him in an unsatisfactory way to pass over important points of view and cardinal questions. Spinoza's system is that of Descartes made objective in the form of absolute truth. The simple thought of Spinoza's idealism is this: The true is simply and solely the one substance, whose attributes are thought and extension or nature: and only this absolute unity is reality, it alone is God. It is, as with Descartes, the unity of thought and Being, or that which contains the Notion of its existence in itself. The Cartesian substance, as Idea, has certainly Being included in its Notion; but it is only Being as abstract, not as real Being or as extension (supra, p. 241). With Descartes corporeality and the thinking 'I' are altogether independent Beings; this independence of the two extremes is done away with in Spinozism by their becoming moments of the one absolute Being. This expression signifies that Being must be grasped as the unity of opposites; the chief consideration is not to let slip the opposition and set it aside, but to reconcile and resolve it. Since then it is thought and Being, and no longer the abstractions of the finite and infinite, or of limit and the unlimited, that form the opposition (supra, p. 161), Being is here more definitely regarded as extension; for in its abstraction it would be really only that return into itself, that simple equality with itself, which constitutes thought (supra, p. 229). The pure thought of Spinoza is therefore not the simple universal of Plato, for it has likewise come to know the absolute opposition of Notion and Being.

> Taken as a whole, this constitutes the Idea of Spinoza, and it is just what pure being was to the Eleatics (Vol. 1. pp. 244, 252). This Idea of Spinoza's we must allow to be in the main true and well-grounded; absolute substance is the truth, but it is not the whole truth; in order to be this it must also be thought of as in itself active and living, and by that very means it must determine itself as mind. But substance with Spinoza is only the universal and consequently the abstract determination of mind; it may undoubtedly be said that this thought is the foundation of all true views — not, however, as their absolutely fixed and permanent basis, but as the abstract unity which mind is in itself. It is therefore worthy of note that thought must begin by placing itself at the standpoint of Spinozism; to be a follower of Spinoza is the essential commencement of all Philosophy. For as we saw above (Vol. I. p. 144), when man begins to philosophize, the soul must commence by bathing in this ether of the One Substance, in which all that man has held as true has disappeared; this negation of all that is particular, to which every philosopher must have come, is the liberation of the mind and its absolute foundation. The difference between our standpoint and that of the Eleatic philosophy is only this, that through the agency of Christianity concrete individuality is in the modern world present throughout in spirit. But in spite of the infinite demands on the part of the concrete, substance with Spinoza is not yet determined as in itself concrete. As the concrete is thus not present in the content of substance, it is therefore to be found within reflecting thought alone, and it is only from the endless oppositions of this last that the required unity emerges. Of substance as such there is nothing more to be said; all that we can do is to speak of the different ways in which Philosophy has dealt with it, and the opposites which in it are abrogated. The difference depends on the nature of the opposites which are held to be abrogated in substance. Spinoza is far from having proved this unity as convincingly as was done by the ancients; but what constitutes the grandeur of Spinoza's manner of thought is that he is able to renounce all that is determinate and particular, and restrict himself to the One, giving heed to this alone.

> 1. Spinoza begins (Eth. P. I pp. 35, 36) with a series of definitions, from which we take the following.

> a. Spinoza's first definition is of the Cause of itself. He says: “By that which is causa sui, its own cause, I understand that whose essence” (or Notion) “involves existence, or which cannot be conceived except as existent.” The unity of existence and universal thought is asserted from the very first, and this unity will ever be the question at issue. “The cause of itself” is a noteworthy expression, for while we picture to ourselves that the effect stands in opposition to the cause, the cause of itself is the cause which, while it operates and separates an “other,” at the same time produces only itself, and in the production therefore does away with this distinction. The establishing of itself as an other is loss or degeneration, and at the same time the negation of this loss; this is a purely speculative Notion, indeed a fundamental Notion in all speculation. The cause in which the cause is identical with the effect, is the infinite cause (infra, p. 263); if Spinoza had further developed what lies in causa sui, substance with him would not have been rigid and unworkable.

> b. The second definition is that of the finite. “That thing is said to be finite in its kind which can be limited by another of the same nature.” For it comes then to an end, it is not there; what is there is something else. This something else must, however, be of a like nature; for those things which are to limit each other must, in order to be able to limit each other, touch each other, and consequently have a relation to each other, that is to say they must be of one nature, stand on a like basis, and have a common sphere. That is the affirmative side of the limit. “Thus a thought is” only “limited by another thought, a body by another body, but thoughts are not limited by bodies nor" conversely "bodies by thoughts.” We saw this (p. 244) with Descartes: thought is an independent; totality and so is extension, they have nothing to do with one another; they do not limit each other, each is included in itself.

> c. The third definition is that of substance. “By substance I understand that which exists in itself and is conceived by itself, i.e. the conception of which does not require the aid of the conception of any other thing for its formation (a quo formari debeat);” otherwise it would be finite, accidental. What cannot have a conception formed of it without the aid of something else, is not independent, but is dependent upon that something else.

> d. In the fourth place Spinoza defines attributes, which, as the moment coming, second to substance, belong to it. “By attribute I understand that which the mind perceives as constituting the essence of substance;” and to Spinoza this alone is true. This is an important determination; the attribute is undoubtedly a determinateness, but at the same time it remains a totality. Spinoza, like Descartes, accepts only two attributes, thought and extension. The understanding grasps them as the reality of substance, but the reality is not higher than the substance, for it is only reality in the view of the understanding, which falls outside substance. Each of the two ways of regarding substance — extension and thought — contains no doubt the whole content of substance, but only in one form, which the understanding brings with it; and for this very reason both sides are in themselves identical and infinite. This is the true completion; but where substance passes over into attribute is not stated.

> e. The fifth definition has to do with what comes third in relation to substance, the mode. “By mode I understand the affections of substance, or that which is in something else, through the aid of which also it is conceived.” Thus substance is conceived through itself; attribute is not conceived through itself, but has a relation to the conceiving understanding, in so far as this last conceives reality; mode, finally, is what is not conceived as reality, but through and in something else.

> These last three moments Spinoza ought not merely to have established in this way as conceptions, he ought to have deduced them; they are especially important, and correspond with what we more definitely distinguish as universal, particular and individual. They must not, however, be taken as formal, but in their true concrete sense; the concrete universal is substance, the concrete particular is the concrete species; the Father and Son in the Christian dogma are similarly particular, but each of them contains the whole nature of God, only under a different form. The mode is the individual, the finite as such, which enters into external connection with what is “other.” In this Spinoza only descends to a lower stage, the mode is only the foregoing warped and stunted. Spinoza's defect is therefore this, that he takes the third moment as mode alone, as a false individuality. True individuality and subjectivity is not a mere retreat from the universal, not merely something clearly determinate; for, as clearly determinate, it is at the same time Being-for-itself, determined by itself alone. The individual, the subjective, is even in being so the return to the universal; and in that it is at home with itself, it is itself the universal. The return consists simply and solely in the fact of the particular being in itself the universal; to this return Spinoza did not attain. Rigid substantiality is the last point he reached, not infinite form; this he knew not, and thus determinateness continually vanishes from his thought.

> f. In the sixth place, the definition of the infinite is also of importance, for in the infinite Spinoza defines more strictly than anywhere else the Notion of the Notion. The infinite has a double significance, according as it is taken as the infinitely many or as the absolutely infinite (infra, p. 263). “The infinite in its kind is not such in respect of all possible attributes; but the absolutely infinite is that to whose essence all belongs that expresses an essence and contains no negation.” In the same sense Spinoza distinguishes in the nine-and-twentieth Letter (Oper. T. I. pp. 526-532) the infinite of imagination from the infinite of thought (intellectus), the actual (actu) infinite. Most men, when they wish to strive after the sublime, get no farther than the first of these; this is the false infinite, just as when one says “and so on into infinity,” meaning perhaps the infinity of space from star to star, or else the infinity of time. An infinite numerical series in mathematics is exactly the same thing. If a certain fraction is represented as a decimal fraction, it is incomplete; 1/7 is, on the contrary, the true infinite, and therefore not an incomplete expression, although the content here is of course limited. It is infinity in the incorrect sense that one usually has in view when infinity is spoken of; and even if it is looked on as sublime, it yet is nothing present, and only goes ever out into the negative, without being actual (actu). But for Spinoza the infinite is not the fixing of a limit and then passing beyond the limit fixed — the sensuous infinity — but absolute infinity, the positive, which has complete and present in itself an absolute multiplicity which has no Beyond. Philosophic infinity, that which is infinite actu, Spinoza therefore calls the absolute affirmation of itself. This is quite correct, only it might have been better expressed as: “It is the negation of negation.” Spinoza here also employs geometrical figures as illustrations of the Notion of infinity. In his Opera postuma, preceding his Ethics, and also in the letter quoted above, he has two circles, one of which lies within the other, which have not, however, a common centre.


<div style="float:left;margin:0 10px 10px 0;"><img src="https://www.marxists.org/reference/archive/hegel/images/spinoza1.jpg" alt="eccentric circle" /></div>

> “The inequalities of the space between A B and C D exceed every number; and yet the space which lies between is not so very great.” That is to say, if I wish to determine them all, I must enter upon an infinite series. This “beyond” always, however, remains defective, is always affected with negation; and yet this false infinite is there to hand, circumscribed, affirmative, actual and present in that plane as a complete space between the two circles. Or a finite line consists of an infinite number of points; and yet the line is present here and determined; the “beyond” of the infinite number of points, which are not complete, is in it complete and called back into unity. The infinite should be represented as actually present, and this comes to pass in the Notion of the cause of itself, which is therefore the true infinity. As soon as the cause has something else opposed to it — the effect — finitude is present; but here this something else is at the same time abrogated and it becomes once more the cause itself. The affirmative is thus negation of negation, since, according to the well-known grammatical rule, duplex negatio affirmat. In the same way Spinoza's earlier definitions have also the infinite already implied in them, for instance in the case of the just mentioned cause of itself, inasmuch as he defines it as that whose essence involves existence (supra, p. 258). Notion and existence are each the Beyond of the other; but cause of itself, as thus including them, is really the carrying back of this “beyond” into unity. Or (supra, p. 259) “Substance is that which is in itself and is conceived from itself;” that is the same unity of Notion and existence. The infinite is in the same way in itself and has also its Notion in itself; its Notion is its Being, and its Being its Notion; true infinity is therefore to be found in Spinoza. But he has no consciousness of this; he has not recognized this Notion as absolute Notion, and therefore has not expressed it as a moment of true existence; for with him the Notion falls outside of existence, into the thought of existence.

> g. Finally Spinoza says in the seventh place: “God is a Being absolutely infinite, i.e. a substance consisting of infinite attributes, each of which expresses an eternal and infinite essence.” Does substance, one might here ask, possess an infinite number of attributes? But as with Spinoza there are only two attributes, thought and extension, with which he invests God, “infinite” is not to be taken here in the sense of the indeterminate but positively, as a circle is perfect infinity in itself.

> The whole of Spinoza's philosophy is contained in these definitions, which, however, taken as a whole are formal; it is really a weak point in Spinoza that he begins thus with definitions. In mathematics this method is permitted, because at the outset we there make assumptions, such as that of the point and line; but in Philosophy the content should be known as the absolutely true. It is all very well to grant the correctness of the name-definition, and acknowledge that the word “substance” corresponds with the conception which the definition indicates, but it is quite another question to determine whether this content is absolutely true. Such a question is not asked in the case of geometrical propositions, but in philosophic investigation it is the very thing to be first considered, and this Spinoza has not done. Instead of only explaining these simple thoughts and representing them as concrete in the definitions which he makes, what he ought to have done was to examine whether this content is true. To all appearance it is only the explanation of the words that is given, but the content of the words is held to be established. All further content is merely derived from that, and proved thereby; for on the first content all the rest depends, and if it is established as a basis, the other necessarily follows. “The attribute is that which the understanding thinks of God.” But here the question is: How does it come that besides the Deity there now appears the understanding, which applies to absolute substance the two forms of thought and extension? and whence come these two forms themselves? Thus everything proceeds inwards, and not outwards; the determinations are not developed from substance, it does not resolve itself into these attributes.

> 2. These definitions are followed by axioms and propositions in which Spinoza proves a great variety of points. He descends from the universal of substance through the particular, thought and extension, to the individual. He has thus all three moments of the Notion, or they are essential to him. But the mode, under which head falls individuality, he does not recognize as essential, or as constituting a moment of true existence in that existence; for it disappears in existence, or it is not raised into the Notion.

> a. The main point then is that Spinoza proves from these Notions that there is only One Substance, God. It is a simple chain of reasoning, a very formal proof. “Fifth Proposition: There cannot be two or more substances of the same nature or of the same attribute.” This is implied already in the definitions; the proof is therefore a useless and, wearisome toil, which only serves to render Spinoza more difficult to understand. “If there were several” (substances of the same attribute) “they must be distinguished from one another either by the diversity of their attributes or by the diversity of their affections” (modes). “If they are distinguished by their attributes, it would be directly conceded that there is only one substance having the same attribute.” For the attributes are simply what the understanding grasps as the essence of the one substance, which is determined in itself, and not through anything else. “But if these substances were distinguished by their affections, since substance is by nature prior to its affections it would follow that if from substance its affections were abstracted and it were regarded in itself, i.e., in its truth, it could henceforth not be regarded as distinct from other substances.” “Eighth Proposition: All substance is necessarily infinite. Proof: For otherwise it must be limited by another substance of the same nature, in which case there would be two substances of the same attribute, which is contrary to the fifth proposition.” “Every attribute must be conceived for itself,” as determination reflected on itself. “For attribute is what the mind conceives of substance as constituting its essence, from which it follows that it must be conceived through itself,” i.e., substance is what is conceived through itself (see the fourth and third definitions). “Therefore we may not argue from the plurality of attributes to a plurality of substances, for each is conceived by itself, and they have all been, always and at the same time, in substance, without the possibility of the one being produced by the other.” “Substance is indivisible. For if the parts retained the nature of the substance, there would be several substances of the same nature, which is contrary to the fifth proposition. If not, infinite substance would cease to exist, which is absurd.”(3)

> “Fourteenth Proposition: No other substance than God can either exist or be conceived. Proof: God is the absolutely infinite substance, to whom can be denied no attribute which expresses the essence of substance, and He exists necessarily; therefore if there were a substance other than God, it must be explained by means of an attribute of God.” Consequently the substance would not have its own being, but that of God, and therefore would not be a substance. Or if it were still to be substance, “then there would necessarily follow the possibility of there being two substances with the same attribute, which according to the fifth proposition is absurd. From this it then follows that the thing extended and the thing that thinks” are not substances, but “are either attributes of God, or affections of His attributes.” By these proofs and others like them not much is to be gained. “Fifteenth proposition: What is, is in God, and cannot exist or be conceived without God.” “Sixteenth proposition: By the necessity of the divine nature infinite things must follow in infinite modes, i.e., all that can fall under the infinite understanding. God is therefore the absolute First Cause.”

> Spinoza then ascribes freedom and necessity to God: “God is the absolute free cause, who is determined by nothing outside of Himself, for He exists solely by the necessity of His nature. There is no cause which inwardly or outwardly moves Him to act, except the perfection of His nature. His activity is by the laws of His Being necessary and eternal; what therefore follows from His absolute nature, from His attributes, is eternal as it follows from the nature of the triangle from eternity and to eternity that it, three angles are equal to two right angles." That is to say, His Being is His absolute power; actus and potentia, Thought and Being, are in Him one. God has not therefore any other thoughts which He could not have actualized. “God is the immanent cause of all things, not the transient (transiens),” i.e., external cause. “His essence and His existence are the same, namely, the truth. A thing which is determined to perform some action, is, since God is cause, necessarily determined thereto by God; and a thing which is thus determined cannot render itself undetermined. In nature nothing is contingent. Will is not a free cause, but only a necessary cause, only a mode; it is therefore determined by another. God acts in accordance with no final causes (sub ratione boni). Those who assert that He does so, appear to establish something apart from God, which does not depend on God, and which God in His working keeps in view, as though it were an end. If this view is taken, God is not a free cause, but is subject to fate. It is equally inadmissible to subject all things to the arbitrary pleasure of God, i.e., to His indifferent will.”(4) He is determined solely by His own nature, the activity of God is thus His power, and that is necessity. He is then absolute power in contrast to wisdom, which sets up definite aims, and consequently limitations; particular aims, thoughts of what is about to come to pass, and the like are therefore put out of the question. But beyond this universal, no advance is made; for it must be noticed a negation. Moreover, if God is the cause of the world, it is implied that He is finite; for the world is here put beside God as something different from Him.

> b. The greatest difficulty in Spinoza is, in the distinctions to which he comes, to grasp the relation of this determinate to God, at the same time preserving the determination. “God is a thinking Being, because all individual thoughts are modes which express God's nature in a certain and determinate manner; there pertains therefore to God an attribute the conception of which all individual thoughts involve, and by means of this they also are conceived. God is an extended Being for the same reason.” This means that the same substance, under the attribute of thought, is the intelligible world, and under the attribute of extension, is nature; nature and thought thus both express the same Essence of God. Or, as Spinoza says, “The order and system of natural things is the same as the order of the thoughts. Thus, for instance, the circle which exists in nature, and the idea of the existing circle, which is also in God, are one and the same thing” (they are one and the same content), “which is” merely “expressed by means of different attributes. If we therefore regard nature either under the attribute of extension or of thought, or under any other attribute whatever, we shall find one and the same connection of causes, i.e., the same sequence of things. The formal Being of the idea of the circle can be conceived only by means of the mode of thought, as its proximate cause, and this mode again by means of another, and so on infinitely; so that we must explain the order of the whole of nature, or the connection of causes, by the attribute of thought alone, and if things are considered by the attribute of extension, they must be considered only by the attribute of extension, — and the same holds good. of other causes.”(5) It is one and the same system, which at one time appears as nature, and at another time in the form of thought.

> But Spinoza does not demonstrate how these two are evolved from the one substance, nor does he prove why there can only be two of them. Neither are extension and thought anything to him in themselves, or in truth, but only externally; for their difference is a mere matter of the understanding, which is ranked by Spinoza only among affections (Eth. P. I. Prop. XXXI. Demonst. p. 62), and as such has no truth. This has in recent times been served up again by Schelling in the following form: In themselves, the intelligent world and the corporeal world are the same, only under different forms; so that the intelligent universe is in itself the whole absolute divine totality, and the corporeal universe is equally this same totality. The differences are not in themselves; but the different aspects from which the Absolute is regarded are matters external to it. We take a higher tone in saying that nature and mind are rational; but reason is for us no empty word, for it means the totality which develops itself within itself. Again, it is the standpoint of reflection to regard aspects only, and nothing in itself. This defect appears in Spinoza and Schelling in the fact that they see no necessity why the Notion, as the implicit negative of its unity, should make a separation of itself into different parts; so that out of the simple universal the real, the opposed, itself becomes known. Absolute substance, attribute and mode, Spinoza allows to follow one another as definitions, he adopts them ready-made, without the attributes being developed from the substance, or the modes from the attributes. And more especially in regard to the attributes, there is no necessity evident, why these are thought and extension in particular.

> c. When Spinoza passes on to individual things, especially to self-consciousness, to the freedom of the 'I,' he expresses himself in such a way as rather to lead back all limitations to substance than to maintain a firm grasp of the individual. Thus we already found, the attributes not to be independent, but only the forms in which the understanding grasps substance in its differences; what comes third, the modes, is that under which for Spinoza all difference of things alone falls. Of the modes he says (Ethic. P. I. Prop. XXXII. Demonst. et Coroll. 11. p. 63): In every attribute there are two modes; in extension, these are rest and motion, in thought they are understanding and will (intellectus et voluntas). They are mere modifications which only exist for us apart from God; therefore whatever refers to this difference and is specially brought about by it, is not absolute, but finite. These affections Spinoza sums up (Ethices, P. I. Prop. XXIX. Schol. pp. 61, 62) under the head of natura naturata: “Natura naturans is God regarded as free cause, in so far as He is in Himself and is conceived by Himself: or such attributes of substance as express the eternal and infinite essence. By natura naturata, I understand all that follows from the necessity of the divine nature, or from any of the attributes of God, all modes of the divine attributes, in so far as they are regarded as things which are in God, and which without God can neither exist nor be conceived.” From God proceeds nothing, for all things merely return to the point whence they came, if from themselves the commencement is made.

> These then are Spinoza's general forms, this is his principal idea. Some further determinations have still to be mentioned. He gives definitions of the terms modes, understanding, will, and of the affections, such as joy and sadness.(6) We further find consciousness taken into consideration. Its development is extremely simple, or rather it is not developed at all; Spinoza begins directly with mind. “The essence of man consists of certain modifications of the attributes of God”; these modifications are only something related to our understanding. “If we, therefore, say that the human mind perceives this or that, it means nothing else than that God has this or that idea, not in so far as He is infinite, but in so far as He is expressed by the idea of the human mind. And if we say that God has this or that idea, not in so far as He constitutes the idea of the human mind, but in so far as He has, along with the human mind, the idea of another thing, then we say that the human mind perceives the thing partially or inadequately.” Truth is for Spinoza, on the other hand, the adequate.(7) The idea that all particular content is only, a modification of God is ridiculed by Bayle,(8) who argues from it that God modified as Turks and Austrians, is waging war with Himself; but Bayle has not a trace of the speculative element in him, although he is acute enough as a dialectician, and has contributed to the intelligent discussion of definite subjects.

> The relation of thought and extension in the human consciousness is dealt with by Spinoza as follows: “What has a place in the object” (or rather in the objective) “of the idea which constitutes the human mind must be perceived by the human mind; or there must necessarily be in the mind an idea of this object. The object of the idea which constitutes the human mind is body, or a certain mode of extension. If, then, the object of the idea which constitutes the human mind, is the body, there can happen nothing in the body which is not perceived by the mind. Otherwise the ideas of the affections of the body would not be in God, in so far as He constitutes our mind, but the idea of another thing: that is to say, the ideas of the affections of our body would not be likewise in our mind.” What is perplexing to understand in Spinoza's system is, on the one hand, the absolute identity of thought and Being, and, on the other hand, their absolute indifference to one another, because each of them is a manifestation of the whole essence of God. The unity of the body and consciousness is, according to Spinoza, this, that the individual is a mode of the absolute substance, which, as consciousness, is the representation of the manner in which the body is affected by external things; all that is in consciousness is also in extension, and conversely. “Mind knows itself only in so far as it perceives the ideas of the affections of body,” it has only the idea of the affections of its body; this idea is synthetic combination, as we shall immediately see. “The ideas, whether of the attributes of God or of individual things, do not recognize as their efficient cause their objects themselves, or the things perceived, but God Himself, in so far as He is that which thinks.”(9) Buhle (Geschichte der neuern Philos. Vol. III. Section II. p. 524) sums up these propositions of Spinoza thus: “Thought is inseparably bound up with extension; therefore all that takes place in extension must also take place in consciousness.” Spinoza, however, also accepts both in their separation from one another. The idea of body, he writes (Epistol. LXVI. p. 673), includes only these two in itself, and does not express any other attributes. The body which it represents is regarded under the attribute of extension; but the idea itself is a mode of thought. Here we see a dividing asunder; mere identity, the undistinguishable nature of all things in the Absolute, is insufficient even for Spinoza.

> The individuum, individuality itself, is thus defined by Spinoza (Ethic. P. 11. Prop. XIII. Defin. p. 92): “When several bodies of the same or of different magnitudes are so pressed together that they rest on one another, or when, moving with like or different degrees of rapidity, they communicate their movement to one another in a certain measure, we say that such bodies are united to one another, and that all together they form one body or individuum, which by this union distinguishes itself from all the other bodies." Here we are at the extreme limit of Spinoza's system, and it is here that his weak point appears. Individuation, the one, is a mere synthesis; it is quite a different thing from the Ichts or self-hood of [[Boehme]] (supra, pp. 205-207), since Spinoza has only universality, thought, and not self-consciousness. If, before considering this in reference to the whole, we take it from the other side, namely from the understanding, the distinction really falls under that head it is not deduced, it is found. Thus, as we have already seen (p. 270) “the understanding in act (intellectus actu), as also will, desire, love, must be referred to natura naturata, not to natura naturans. For by the understanding, as recognized for itself, we do not mean absolute thought, but only a certain mode of thought — a mode which is distinct from other modes like desire, love, etc., and on that account must be conceived by means of absolute thought, i.e., by means of an attribute of God which expresses an eternal and infinite essentiality of thought; without which the understanding, as also the rest of the modes of thought, could neither be nor be conceived to be.” (Spinoza, Ethices, P. 1. Propos. XXXI. pp. 62, 63). Spinoza is unacquainted with an infinity of form, which would be something quite different from that of rigid, unyielding substance. What is requisite is to recognize God as the essence of essences, as universal substance, identity, and yet to preserve distinctions.

> Spinoza goes on to say: “What constitutes the real (actuale) existence of the human mind is nothing else than the idea of a particular” (individual) “thing, that actually exists,” not of an infinite thing. “The essence of man involves no necessary existence, i.e., according to the order of nature a man may just as well be as not be.” For the human consciousness, as it does not belong to essence as an attribute, is a mode — a mode of the attribute of thought. But neither is the body, according to Spinoza, the cause of consciousness, nor is consciousness the cause of the body, but the finite cause is here only the relation of like to like; body is determined by body, conception by conception. “The body can neither determine the mind to thought, nor can the mind determine the body to motion, or rest, or anything else. For all modes of thought have God as Cause, in so far as He is a thinking thing, and not in so far as He is revealed by means of another attribute. What therefore determines the mind to thought, is a mode of thought and not of extension; similarly motion and rest of the body must be derived from another body.”(10) I might quote many other such particular propositions from Spinoza, but they are very formal, and a continual repetition of one and the same thing.

> Buhle (Gesch. d. neuern Phil. Vol. III. Section 2, pp. 525-528), attributes limited conceptions to Spinoza: “The soul experiences in the body all the 'other' of which it becomes aware as outside of the body, and it becomes aware of this 'other' only by means of the conceptions of the qualities which the body perceives therein. If, therefore, the body can perceive no qualities of a thing, the soul also can come to no knowledge of it. On the other hand, the soul is equally unable to arrive at the perception of the body which belongs to it; the soul knows not that the body is there, and knows itself even in no other way than by means of the qualities which the body perceives in things which are outside of it, and by means of the conceptions of the same. For the body is an individual thing, determined in a certain manner, which can only gradually, in association with and amidst other individual things, attain to existence, and can preserve itself in existence only as thus connected, combined and associated with others,” i.e., in infinite progress; the body can by no means be conceived from itself. “The soul's consciousness expresses a certain determinate form of a Notion, as the Notion itself expresses a determinate form of an individual thing. But the individual thing, its Notion, and the Notion of this Notion are altogether and entirely one and the same thing, only regarded under different attributes. As the soul is nothing else than the immediate Notion of the body, and is one and the same thing with this, the excellence of the soul can never be anything else than the excellence of the body. The capacities of the understanding are nothing but the capacities of the body, if they are looked at from the corporeal point of view, and the decisions of the will are likewise determinations of the body. Individual things are derived from God in an eternal and infinite manner” (i.e., once and for all), “and not in a transitory, finite and evanescent manner; they are derived from one another merely inasmuch as they mutually produce and destroy each other, but in their eternal existence they endure unchangeable. All individual things mutually presuppose each other; one cannot be thought without the other; that is to say they constitute together an inseparable whole; they exist side by side in one utterly indivisible, infinite Thing, and in no other way whatever.

> 3. We have now to speak of Spinoza's system of morals, and that is a subject of importance. Its great principle is no other than this, that the finite spirit is moral in so far as it has the true Idea, i.e., in so far as it directs its knowledge and will on God, for truth is merely the knowledge of God. It may be said that there is no morality loftier than this, since its only requisite is to have a clear idea of God. The first thing Spinoza speaks of in this regard is the affections: “Everything strives after self-preservation. This striving is the actual essence of the thing, and involves only indefinite time; when referred exclusively to mind, it is termed will; when referred to both mind and body together, it is called desire. Determination of the will (volitio) and Idea are one and the same thing. The sense of liberty rests on this, that men do not know the determining causes of their actions. The affection is a confused Idea; the more clearly and distinctly, therefore, we know the affection, the more it is under our control.”(11) The influence of the affections, as confused and limited (inadequate) ideas, upon human action, constitutes therefore, according to Spinoza, human slavery; of the passionate affections the principal are joy and sorrow; we are in suffering and slavery in so far as we relate ourselves as a part.(12)

> “Our happiness and liberty consist in an enduring and eternal love to God; this intellectual love follows from the nature of mind in so far as it is regarded as eternal truth through the nature of God. The more a man recognizes God's existence and loves Him, the less does he suffer from evil affections and the less is his fear of death.”(13) Spinoza requires in addition the true kind of knowledge. There are, according to him, three kinds of knowledge; in the first, which he calls opinion and imagination, he includes the knowledge which we obtain from an individual object through the senses — a knowledge fragmentary and ill-arranged — also knowledge drawn from signs, pictorial conceptions and memory. The second kind of knowledge is for Spinoza that which we derive from general conceptions and adequate ideas of the properties of things. The third is intuitive knowledge (scientia intuitiva) which rises from the adequate idea of the formal essence of certain attributes of God to the adequate knowledge of the essence of things.”(14) Regarding this last he then says: “The nature of reason is not to contemplate things as contingent, but as necessary . . . to think of all things under a certain form of eternity (sub quadam specie æternitatis);” i.e., in absolutely adequate Notions, i.e. in God. “For the necessity of things is the necessity of the eternal nature of God Himself. Every idea of an individual thing necessarily includes the eternal and infinite essence of God in itself. For individual things are modes of an attribute of God; therefore they must include in themselves His eternal essence. Our mind, in so far as it knows itself and the body under the form of eternity, has to that extent necessarily the knowledge of God, and knows that it is itself in God and is conceived through God. All Ideas, in so far as they are referable to God, are true.”(15) Man must trace back all things to God, for God is the One in All; the eternal essence of God is the one thing that is, the eternal truth is the only thing for man to aim at in his actions. With Spinoza this is not a knowledge arrived at through philosophy, but only knowledge of a truth. “The mind can succeed in tracing back all affections of the body or images of things to God. In proportion as the mind regards all things as necessary, it has a greater power over its affections,” which are arbitrary and contingent. This is the return of the mind to God, and this is human freedom; as mode, on the other hand, the spirit has no freedom, but is determined from without. “From the third kind of knowledge there arises the repose of the mind; the supreme good of the mind is to know God, and this is the highest virtue. This knowledge necessarily produces the intellectual love of God; for it produces a joyfulness accompanied by the Idea of God as cause — i.e. the intellectual love of God. God Himself loves Himself with an infinite intellectual love.”(16) For God can have only Himself as aim and cause; and the end of the subjective mind is to be directed on Him. This is therefore the purest, but also a universal morality.

> In the thirty-sixth Letter (pp. 581-582) Spinoza, speaks of Evil. The allegation is made that God, as the originator of all things and everything, is also the originator of evil, is consequently Himself evil; in this identity all things are one, good and evil are in themselves the same thing, in God's substance this difference has disappeared. Spinoza says in answer to this “I assert the fact that God absolutely and truly” (as cause of Himself) “is the cause of everything that has an essential content” (i.e., affirmative reality) “be it what it may. Now if you can prove to me that evil, error, crime, etc., are something that expresses an essence, I will freely admit to you that God is the originator of crime and evil and error. But I have elsewhere abundantly demonstrated that the form of evil cannot subsist in anything that expresses an essence, and therefore it cannot be said that God is the cause of evil.” Evil is merely negation, privation, limitation, finality, mode — nothing in itself truly real. “Nero's murder of his mother, in so far as it had positive content, was no crime. For Orestes did the same external deed, and had in doing it the same end in view — to kill his mother; and yet he is not blamed,” and so on. The affirmative is the will, the intention, the act of Nero. “Wherein then consists Nero's criminality? In nothing else but that he proved himself ungrateful, merciless, and disobedient. But it is certain that all this expresses no essence, and therefore God was not the cause of it, though He was the cause of Nero's action and intention.” These last are something positive, but yet they do not constitute the crime as such; it is only the negative element, such as mercilessness, etc. that makes the action a crime. “We know that whatever exists, regarded in itself and without taking anything else into consideration, contains a perfection which extends as widely as the essence of the thing itself extends, for the essence is in no way different therefrom." — "Because then,” we find in the thirty-second letter (pp. 541, 543), “God does not regard things abstractly, or form general definitions,” (of what the thing ought to be) “and no more reality is required of things than the Divine understanding and power has given and actually meted out to them; therefore it clearly follows that such privation exists only and solely in respect to our understanding, but not in respect to God;” for God is absolutely real. It is all very well to say this, but it does not meet the case. For in this way God and the respect to our understanding are different. Where is their unity? How is this to be conceived? Spinoza continues in the thirty-sixth letter: “Although the works of the righteous (i.e., of those who have a clear idea of God, to which they direct all their actions and even their thoughts), and” also the works “of the wicked (i.e., of those who have no idea of God, but only ideas of earthly things," — individual, personal interests and opinions, — "by which their actions and thoughts are directed), and all whatsoever exists, necessarily proceed from God's eternal laws and counsels, and perpetually depend on God, they are yet not distinguished from one another in degree, but in essence; for although a mouse as well as an angel depends on God, and sorrow as well as joy, yet a mouse cannot be a kind of angel, and sorrow cannot be a kind of joy," — they are different in essence.

> There is therefore no ground for the objection that Spinoza's philosophy gives the death-blow to morality; we even gain from it the great result that all that is sensuous is mere limitation, and that there is only one true substance, and that human liberty consists in keeping in view this one substance, and in regulating all our conduct in accordance with the mind and will of the Eternal One. But in this philosophy it may with justice be objected that God is conceived only as Substance, and not as Spirit, as concrete. The independence of the human soul is therein also denied, while in the Christian religion every individual appears as determined to salvation. Here, on the contrary, the individual spirit is only a mode, an accident, but not anything substantial. This brings us to a general criticism of the philosophy of Spinoza, in the course of which we shall consider it from three different points of view.

> In the first place Spinozism is asserted to be Atheism — by Jacobi, for instance (Werke, Vol. IV. Section I, p. 216) — because in it no distinction is drawn between God and the world; it makes nature the real God, or lowers God to the level of nature, so that God disappears and only nature is established. But it is not so much God and nature that Spinoza sets up in mutual opposition, as thought and extension; and God is unity, not One made up of two, but absolute Substance, in which has really disappeared the limitation of the subjectivity of thought and nature. Those who speak against Spinoza do so as if it were on God's account that they were interested; but what these opponents are really concerned about is not God, but the finite — themselves. The relationship between God and the finite, to which we belong, may be represented in three different ways: firstly, only the finite exists, and in this way we alone exist, but God does not exist — this is atheism; the finite is here taken absolutely, and is accordingly the substantial. Or, in the second place, God alone exists; the finite has no reality, it is only phenomena, appearance. To say, in the third place, that God exists and we also exist is a false synthetic union, all amicable compromise. It is the popular view of the matter, that the one side has as much substantiality as the other; God is honoured and supreme, but finite things also have Being to exactly the same extent. Reason cannot remain satisfied with this "also,” with indifference like this. The philosophic requisite is therefore to apprehend the unity of these differences in such a way that difference is not let slip, but proceeds eternally from substance, without being, petrified into dualism. Spinoza is raised above this dualism; religion is so also, if we turn its popular conceptions into thoughts. The atheism of the first attitude — when men set up as ultimate the arbitrariness of the will, their own vanity, the finite things of nature, and the world dwells for ever in the mind — is not the standpoint of Spinoza, for whom God is the one and only substance, the world on the contrary being merely an affection or mode of this substance. In the respect that Spinoza does not distinguish God from the world, the finite, it is therefore correct to term his theory atheism, for his words are these: Nature, the human mind, the individual, are God revealed under particular forms. It has been already remarked (pp. 257, 258, 280) that undoubtedly Substance with Spinoza does not perfectly fulfill the conception of God, since it is as Spirit that He is to be conceived. But if Spinoza is called an atheist for the sole reason that he does not distinguish God from the world, it is a misuse of the term. Spinozism might really just as well or even better have been termed Acosmism, since according to its teaching it is not to the world, finite existence, the universe, that reality and permanency are to be ascribed, but rather to God alone as the substantial. Spinoza maintains that there is no such thing as what is known as the world; it is merely a form of God, and in and for itself it is nothing. The world has no true reality, and all this that we know as the world has been cast into the abyss of the one identity. There is therefore no such thing as finite reality, it has no truth whatever; according to Spinoza what is, is God, and God alone. Therefore the allegations of those who accuse Spinoza of atheism are the direct opposite of the truth; with him there is too much God. They say: If God is the identity of mind and nature, then nature or the individual man is God. This is quite correct, but they forget that nature and the individual disappear in this same identity: and they cannot forgive Spinoza for thus annihilating them. Those who defame him in such a way as this are therefore not aiming at maintaining God, but at maintaining the finite and the worldly; they do not fancy their own extinction and that of the world. Spinoza's system is absolute pantheism and monotheism elevated into thought. Spinozism is therefore very far removed from being atheism in the ordinary sense; but in the sense that God is not conceived as spirit, it is atheism. However, in the same way many theologians are also atheists who speak of God only as the Almighty Supreme Being, etc., who refuse to acknowledge God, and who admit the validity and truth of the finite. They are many degrees worse than Spinoza.

> The second point to be considered is the method adopted by Spinoza for setting forth his philosophy; it is the demonstrative method of geometry as employed by Euclid, in which we find definitions, explanations, axioms, and theorems. Even Descartes made it his starting-point that philosophic propositions must be mathematically handled and proved, that they must have the very same evidence as mathematics. The mathematical method is considered superior to all others, on account of the nature of its evidence; and it is natural that independent knowledge in its re-awakening lighted first upon this form, of which it saw so brilliant an example. The mathematical method is, however, ill-adapted for speculative content, and finds its proper place only in the finite sciences of the understanding. In modern times Jacobi has asserted (Werke, Vol. IV. Section I. pp. 217-223) that all demonstration, all scientific knowledge leads back to Spinozism, which alone is a logical method of thought; and because it must lead thither, it is really of no service whatever, but immediate knowledge is what we must depend on. It may be conceded to Jacobi that the method of demonstration leads to Spinozism, if we understand thereby merely the method of knowledge belonging to the understanding. But the fact is that Spinoza is made a testing-point in modern philosophy, so that it may really be said: You are either a Spinozist or not a philosopher at all. This being so, the mathematical and demonstrative method of Spinoza would seem to be only a defect in the external form; but it is the fundamental defect of the whole position. In this method the nature of philosophic knowledge and the object thereof, are entirely misconceived, for mathematical knowledge and method are merely formal in character and consequently altogether unsuited for philosophy. Mathematical knowledge exhibits its proof on the existent object as such, not on the object as conceived; the Notion is lacking throughout; the content of Philosophy, however, is simply the Notion and that which is comprehended by the Notion. Therefore this Notion as the knowledge of the essence is simply one assumed, which falls within the philosophic subject; and this is what represents itself to be the method peculiar to Spinoza's philosophy. Of this demonstrative manner we have already seen these examples: The definitions from which Spinoza takes his start — as in geometry a commencement is made with the line, triangle, &c. — concern universal determinations, such as cause of itself, the finite, substance, attribute, mode, and so on, which are solely and simply accepted and assumed, not deduced, nor proved to be necessary; for Spinoza is not aware of how he arrives at these individual determinations. He further speaks of axioms, for instance (Ethic. P. I. Ax. I. p. 36): “What is, is either in itself or in another.” The determinations “in itself” and “in another” are not shown forth in their necessity: neither is this disjunction proved, it is merely assumed. The propositions have, as such, a subject and predicate which are not similar. When the predicate is proved of the subject and necessarily combined with it, the discrepancy remains that the one as universal is related to the other as particular: therefore even although the relation is proved, there is present at the same time a secondary relation. Mathematical science, in its true propositions respecting a whole, escapes from the difficulty by proving also the converse of the propositions, in this way obtaining for them a special definiteness by proving each proposition in both ways. True propositions may, therefore, be looked on as definitions, and the conversion is the proof of the proposition in the form in which it is expressed. But this means of escaping the difficulty Philosophy cannot well employ, since the subject of which something is proved is itself only the Notion or the universal, and the proposition form is therefore quite superfluous and out of place. What has the form of the subject is in the form of an existent thing, as contrasted with the universal, the content of the proposition. The existent thing is taken as signifying existent in the ordinary sense; it is the word which we use in every-day life, and of which we have a conception that has nothing of the Notion in it. The converse of a proposition would simply read like this: The Notion is that which is thus popularly conceived. This proof from the usage of language — that we also understand this to be the meaning in every-day life, or in other words that the name is correct — has no philosophic significance. But if the proposition is not one like this, but an ordinary proposition, and if the predicate is not the Notion, but some general term or other, a predicate of the subject, such propositions are really not philosophic: we might instance the statement that substance is one and not several, but only that in which substance and unity are the same. Or, in other words, this unity of the two moments is the very thing which the proof has to demonstrate, it is the Notion or the essence. In this case it looks as if the proposition were the matter of chief importance, the truth. But if in these really only so-called propositions, subject and predicate are in truth not alike, because one is individual and the other universal, their relation is essential, i.e., the reason for which they are one. The proof has here a false position indeed, as if that subject were implicit or in itself, whereas subject and predicate are, fundamentally even, moments in separation; in the judgment “God is One,” the subject itself is universal, since it resolves itself into unity. On the other side it is implied in this false position that the proof is brought in from outside merely, as in mathematics from a preceding proposition, and that the proposition is not therefore conceived through itself; thus we see the ordinary method of proof take its middle term, the principle, from anywhere it can, in the same way as in classification it takes its principle of classification. The proposition is then, as it were, a secondary affair; but we must ask if this proposition is true. The result as proposition ought to be truth, but is only knowledge. The movement of knowledge, as proof, falls therefore, in the third place, outside of the proposition, which ought to be the truth. The essential moments of the system are really already completely contained in the pre-suppositions of the definitions, from which all further proofs have merely to be deduced. But whence have we these categories which here appear as definitions? We find them doubtless in ourselves, in scientific culture. The existence of the understanding, the will, extension, is therefore not developed from infinite substance, but it is directly expressed in these determinations, and that quite naturally; for of a truth there exists the One into which everything enters, in order to be absorbed therein, but out of which nothing comes. For as Spinoza has set up the great proposition, all determination implies negation (supra, p. 267), and as of everything, even of thought in contrast to extension, it may be shown that it is determined and finite, what is essential in it rests upon negation. Therefore God alone is the positive, the affirmative, and consequently the one substance; all other things, on the contrary, are only modifications of this substance, and are nothing in and for themselves. Simple determination or negation belongs only to form, but is quite another thing from absolute determinateness or negativity, which is absolute form; in this way of looking at it negation is the negation of negation, and therefore true affirmation. This negative self-conscious moment, the movement of knowledge, which pursues its way in the thought which is present before us, is however certainly lacking to the content of Spinoza's philosophy, or at least it is only externally associated with it, since it falls within self-consciousness. That is to say, thoughts form the content, but they are not self-conscious thoughts or Notions: the content signifies thought, as pure abstract self-consciousness, but an unreasoning knowledge, into which the individual does not enter: the content has not the signification of 'I.' Therefore the case is as in mathematics; a proof is certainly given, conviction must follow, but yet the matter fails to be understood. There is a rigid necessity in the proof, to which the moment of self-consciousness is lacking; the 'I' disappears, gives itself altogether up, merely withers away. Spinoza's procedure is therefore quite correct; yet the individual proposition is false, seeing that it expresses only one side of the negation. The understanding has determinations which do not contradict one another; contradiction the understanding cannot suffer. The negation of negation is, however, contradiction, for in that it negates negation as simple determination, it is on the one hand affirmation, but on the other hand also really negation; and this contradiction, which is a matter pertaining to reason, is lacking in the case of Spinoza. There is lacking the infinite form, spirituality and liberty. I have already mentioned before this (pp. 93, 94; 129-137) that Lullus and Bruno attempted to draw up a system of form, which should embrace and comprehend the one substance which organizes itself into the universe; this attempt Spinoza did not make.

> Because negation was thus conceived by Spinoza in one-sided fashion merely, there is, in the third place, in his system, an utter blotting out of the principle of subjectivity, individuality, personality, the moment of self-consciousness in Being. Thought has only the signification of the universal, not of self-consciousness. It is this lack which has, on the one side, brought the conception of the liberty of the subject into such vehement antagonism to the system of Spinoza, because it set aside the independence of the human consciousness, the so-called liberty which is merely the empty abstraction of independence, and in so doing set aside God, as distinguished from nature and the human consciousness — that is as implicit consciousness of freedom, of the spiritual, which is the negative of the corporeal, and man has also the consciousness that his true Being lies in what is opposed to the corporeal. This has been firmly maintained by religion, theology, and the sound common sense of the common consciousness, and this form of opposition to Spinoza appears first of all in the assertion that freedom is real, and that evil exists. But because for Spinoza, on the other hand, there exists only absolute universal substance as the non-particularized, the truly real — all that is particular and individual, my subjectivity and spirituality, has, on the other hand, as a limited modification whose Notion depends on another, no absolute existence. Thus the soul, the Spirit, in so far as it is an individual Being, is for Spinoza a mere negation, like everything in general that is determined. As all differences and determinations of things and of consciousness simply go back into the One substance, one may say that in the system of Spinoza all things are merely cast down into this abyss of annihilation. But from this abyss nothing comes out; and the particular of which Spinoza speaks is only assumed and presupposed from the ordinary conception, without being justified. Were it to be justified, Spinoza would have to deduce it from his Substance; but that does not open itself out, and therefore comes to no vitality, spirituality or activity. His philosophy has only a rigid and unyielding substance, and not yet spirit; in it we are not at home with ourselves. But the reason that God is not spirit is that He is not the Three in One. Substance remains rigid and petrified, without [[Boehme]]'s sources or springs; for the individual determinations in the form of determinations of the understanding are not [[Boehme]]'s originating spirits, which energize and expand in one another (supra, pp. 202, 203). What we find regarding this particular then is that it is only a modification of absolute substance, which, however, is not declared to be such; for the moment of negativity is what is lacking to this rigid motionlessness, whose single form of activity is this, to divest all things of their determination and particularity and cast them back into the one absolute substance, wherein they are simply swallowed up, and all life in itself is utterly destroyed. This is what we find philosophically inadequate with Spinoza; distinctions are externally present, it is true, but they remain external, since even the negative is not known in itself. Thought is the absolutely abstract, and for that very reason the absolutely negative; it is so in truth, but with Spinoza it is not asserted to be the absolutely negative. But if in opposition to Spinozism we hold fast to the assertion that Spirit, as distinguishing itself from the corporeal, is substantial, actual, true, and in the same way that freedom is not something merely privative, then this actuality in formal thought is doubtless correct, yet it rests only upon feeling; but the further step is that the Idea essentially includes within itself motion and vitality, and that it consequently has in itself the principle of spiritual freedom. On the one hand, therefore, the defect of Spinozism is conceived as consisting in its want of correspondence with actuality; but on the other side it is to be apprehended in a higher sense, I mean in the sense that substance with Spinoza is only the Idea taken altogether abstractly, not in its vitality.

> If, in conclusion, we sum up this criticism that we have offered, we would say that on the one hand with Spinoza negation or privation is distinct from substance; for he merely assumes individual determinations, and does not deduce them from substance. On the other hand the negation is present only as Nothing, for in the absolute there is no mode; the negative is not there, but only its dissolution, its return: we do not find its movement, its Becoming and Being. The negative is conceived altogether as a vanishing moment — not in itself, but only as individual self-consciousness; it is not like the Separator we met with in [[Boehme]]'s system (supra, p. 206). Self-consciousness is born from this ocean, dripping with the water thereof, i.e., never coming to absolute self-hood; the heart, the independence is transfixed — the vital fire is wanting. This lack has to be supplied, the moment of self-consciousness has to be added. It has the following two special aspects, which we now perceive emerging and gaining acceptance; in the first place the objective aspect, that absolute essence obtains in self-consciousness the mode of an object of consciousness for which the “other” exists, or the existent as such, and that what Spinoza, understood by the “modes” is elevated to objective reality its an absolute moment of the absolute; in the second place we have the aspect of self-consciousness, individuality, independence. As was formerly the case with respect to Bacon and [[Boehme]], the former aspect is here taken up by the Englishman, John Locke, the latter by the German Leibnitz; in the first case it did not appear as a moment, nor did it in the second appear as absolute Notion. Now while Spinoza only takes notice of these ordinary conceptions, and. the highest point of view he reaches in regard to them is that they sink and disappear in the one Substance, Locke on the contrary examines the genesis of these conceptions, while Leibnitz opposes to Spinoza the infinite multiplicity of individuals, although all these monads have one monad as the basis of their Being. Both Locke and Leibnitz therefore came forward as opponents of the abovementioned one-sidedness of Spinoza.

## References

* [[Baruch Spinoza]], _Ethik_ ([German hypertext](http://www.zeno.org/Philosophie/M/Spinoza,+Baruch+de/Ethik))

* Wikipedia, _[Spinozism](http://en.wikipedia.org/wiki/Spinozism)_

* Stanford Encyclopedia of Philosophy, _[Spinoza's Metaphysics](http://plato.stanford.edu/entries/spinoza-modal/)_

* Stanford Encyclopedial of Philosophy, _[Baruch Spinoza -- 2. Ethics](http://plato.stanford.edu/entries/spinoza/#Eth)_

* {#EID3} Benedictus de Spinoza: Ethica, I, Def. 3

* {#EDef3S3} Baruch de Spinoza, _Die Ethik nach geometrischer Methode dargestellt_. Band I, 1976, Def. 3, S. 3.


[[!redirects Spinozism]]
[[!redirects Spinozaism]]
[[!redirects Spinoza's System]] 