
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
=--
=--

An ancient [[philosophy|philosopher]] known from [[Plato]]'s [[Parmenides dialogue]], renowned for his [[paradoxes]] (which [[Hegel]] claims to be the origin of [[dialectics]] ) such as [[Zeno's paradox of motion]].

## As seen by Hegel

[[Georg Hegel]], in _[Lectures on the History of Philosophy -- Zeno](Lectures+on+the+History+of+Philosophy)_ writes this:

> {#HegelHistory1} What specially characterizes Zeno is the [[dialectic]] which, properly speaking, begins with him; 

> he is the master of the Eleatic school in whom its pure thought arrives at the movement of the Notion in itself and becomes the pure soul of science. That is to say, in the Eleatics hitherto considered, we only have the proposition: “The nothing has no reality and is not at all, and thus what is called origin and decease disappears.” With Zeno, on the contrary, we certainly see just such an assertion of the one and removal of what contradicts it, but we also see that this assertion is not made the starting point; for reason begins by calmly demonstrating in that which is established as existent, its negation. Parmenides asserts that “The all is immutable, for, in change, the non-being of that which is would be asserted, but Being only is; in saying that “non-being is, the subject and the predicate contradict themselves.” Zeno, on the other hand, says: “Assert your change; in it as change there is the negation to it, or it is nothing.” To the former change existed as motion, definite and complete. Zeno protested against motion as such, or pure motion.

> Pure Being is not motion; it is rather the negation of motion.” We find it specially interesting that there is in Zeno the higher consciousness, the consciousness that when one determination is denied, this negation is itself again a determination, and then in the absolute negation not one determination, but both the opposites must be negated. Zeno anticipated this, and because he foresaw that Being is the opposite of nothing, he denied of the One what must be said of the nothing. But the same thing must occur with all the rest. We find this higher dialectic in Plato’s Parmenides; here it only breaks forth in respect to some determinations, and not to the determination of the One and of Being. The higher consciousness is the consciousness of the nullity of Being as of what is determined as against the nothing, partly found in Heraclitus and then in the Sophists; with them it never has any truth, it has no existence in itself, but is only the for-another, or the assurance of the individual consciousness, and assurance as refutation, i.e. the negative side, of dialectic.

> According to Diogenes Laërtius, (IX. 25) Zeno was like wise an Eleat; he is the youngest, and lived most in company with Parmenides. The latter became very fond of him and adopted him as a son; his own father was called Telentagoras. Not in his State alone was his conduct held in high respect, for his fame was universal, and he was esteemed particularly as a teacher. Plato mentions that men came to him from Athens and other places, in order to profit from his learning. Proud self-sufficiency is ascribed to him by Diogenes (IX. 28) because he — with the exception of a journey made to Athens — continued to reside in Elea, and did not stay a longer time in the great, mighty Athens, and there attain to fame. In very various narratives his death was made for ever celebrated for the strength of his mind evinced in it; it was said that he freed a State (whether his own home at Elea or in Sicily, is not known) from its Tyrant (the name is given differently, but an exact historical account has not been recorded) in the following way, and by the sacrifice of his life. He entered into a plot to overthrow the Tyrant, but this was betrayed. When the Tyrant now, in face of the people, caused him to be tortured in every possible way to get from him an avowal of his confederates, and when he questioned him about the enemies of the State, Zeno first named to the Tyrant all his friends as participators in the plot, and then spoke of the Tyrant himself as the pest of the State. The powerful remonstrances or the horrible tortures and death of Zeno aroused the citizens, inspired them with courage to fall upon the Tyrant, kill him, and liberate themselves. The manner of the end, and his violent and furious state of mind, is very variously depicted. He is said to have pretended to wish to say something into the Tyrant’s ear, and then to have bitten his ear, and thus held him fast until lie was slain by the others. Others say that he seized him by the nose between his teeth; others that as on his reply great tortures were applied, he bit off his tongue and spat it into the Tyrant’s face, to show him that he could get nothing from him, and that he then was pounded in a mortar.

> It has just been noticed that Zeno had the very important character of being the originator of the true objective dialectic. Xenophanes, Parmenides, and Melisibus, start with the proposition: “Nothing is nothing; the nothing does not exist at all, or the like is real existence,” that is, they make one of the opposed predicates to be existence. Now when they encounter the opposite in a determination, they demolish this determination, but it is only demolished through another, through my assertion, through the distinction that I form, by which one side is made to be the true, and the other the null. We have proceeded from a definite proposition; the nullity of the opposite does not appear in itself; it is not that it abrogates itself, i.e. that it contains a contradiction in itself. For instance, I assert of something that it is the null; then I show this by hypothesis in motion, and it follows that it is the null. But another consciousness does not assert this I declare one thing to be directly true; another has the right of asserting something else as directly true, that is to say, motion. Similarly what seems to be the case when one philosophic system contradicts another, is that the first is pre-established, and that men starting from this point of view, combat the other. The matter is thus easily settled by saying: “The other has no truth, because it does not agree with me,” and the other bas the right to say the same. It does not help if I prove my system or my proposition and then conclude that thus the opposite is false; to this other proposition the first always seems to be foreign and external. Falsity must not be demonstrated through another, and as untrue because the opposite is true, but in itself; we find this rational perception in Zeno.

> In Plato’s [[Parmenides]] (pp. 127, 128, Steph., pp. 6, 7, Bekk.) this dialectic is very well described, for Plato makes Socrates say of it: “Zeno in his writings asserts fundamentally the same as does Parmenides, that All is One, but he would feign delude us into believing that he was telling something new. Parmenides thus shows in his poems that All is One; Zeno, on the contrary, shows that the Many cannot be.” Zeno replies, that “He wrote thus really against those who try to make Parmenides’ position ridiculous, for they try to show what absurdities and self-contradictions can be derived from his statements; he thus combats those who deduce Being from the many, in order to show that far more absurdities arise from this than from the statements of Parmenides.” That is the special aim of objective dialectic, in which we no longer maintain simple thought for itself, but see the battle fought with new vigour within the enemy’s camp. Dialectic has in Zeno this negative side, but it bas also to be considered from its positive side.

> According to the ordinary ideas of science, where propositions result from proof, proof is the movement of intelligence, a connection brought about by mediation. Dialectic is either (a) external dialectic, in which this movement is different from the comprehension of the movement, or (b) not a movement of our intelligence only, but what proceeds from the nature of the thing itself, i.e. from the pure Notion of the content. The former is a manner of regarding. objects in such a way that reasons are revealed and new light thrown, by means of which all that was supposed to be firmly fixed, is made to totter; there may be reasons which are altogether external too, and we shall speak further of this dialectic when dealing with the Sophists. The other dialectic, however, is the immanent contemplation of the object; it is taken for itself, without previous hypothesis, idea or obligation, not under any outward conditions, laws or causes; we have to put ourselves right into the thing, to consider the object in itself, and to take it in the determinations which it has. In regarding it thus, it shows from itself that it contains opposed determinations, and thus breaks up; this dialectic we more especially find in the ancients. The subjective dialectic, which reasons from external grounds, is moderate, for it grants that: “In the right there is what is not right, and in the false the true.” True dialectic leaves nothing whatever to its object, as if the latter were deficient on one side only; for it disintegrates itself in the entirety of its nature. The result of this dialectic is null, the negative; the affirmative in it does not yet appear. This true dialectic may be associated with the work of the Eleatics. But in their case the real meaning and quality of philosophic understanding was not great, for they got no further than the fact that through contradiction the object is a nothing.

> Zeno’s dialectic of matter has not been refuted to the present day; even now we have not got beyond it, and the matter is left in uncertainty. Simplicius, writing on the Physics of [[Aristotle]] (p. 30), says: “Zeno proves that if the many is, it must be great and small; if great, the many must be infinite in number” (it must have gone beyond the manifold, as indifferent limit, into the infinite; but what is infinite is no longer large. and no longer many, for it is the negation of the many). “If small, it must be so small as to have no size,” like atoms. “Here he shows that what has neither size, thickness nor mass, cannot be. For if it were added to another, it would not cause its increase; were it, that is to say, to have no size and be added thereto, it could not supplement the size of the other and consequently that which is added is nothing. Similarly were it taken away, the other would not be made less, and thus it is nothing. If what has being is, each existence necessarily has size and thickness, is outside of one another, and one is separate from the other; the same applies to all else (peri tou proucontoς), for it, too, has size, and in it there is what mutually differs (proexei autou ti). But it is the same thing to say something once and to say it over and over again; in it nothing can be a last, nor will there not be another to the other. Thus if many are, they are small and great; small, so that they have no size; great, so that they are infinite.”

> Aristotle (Phys. VI. 9) explains this dialectic further; Zeno’s treatment of motion was above all objectively dialectical. But the particulars which we find in the [[Parmenides]] of [[Plato]] are not his. For Zeno’s consciousness we see simple unmoved thought disappear, but become thinking movement; in that he combats sensuous movement, he concedes it. The reason that dialectic first fell on movement is that the dialectic is itself this movement, or movement itself the dialectic of all that is. The thing, as self-moving, has its dialectic in itself, and movement is the becoming another, self-abrogation. If Aristotle says that Zeno denied movement because it contains an inner contradiction, it is not to be understood to mean that movement did. not exist at all. The point is not that there is movement and that this phenomenon exists; the fact that there is movement is as sensuously certain as that there are elephants; it is not in this sense that Zeno meant to deny movement. The point in question concerns its truth. Movement, however, is held to be untrue, because the conception of it involves a contradiction; by that he meant to say that no true Being eau be predicated of it.

> Zeno’s utterances are to be looked at from this point of view, not as being directed against the reality of motion, as would at first appear, but as pointing out how movement must necessarily be determined, and showing the course which must be taken. Zeno now brings forward four different arguments against motion; the proofs rest on the infinite divisibility of space and time.

> (a) This is his first form of argument: — “Movement has no truth, because what is in motion must first reach the middle of the space before arriving at the end.” Aristotle expresses this thus shortly, because he had earlier treated of and worked out the subject at length. This is to be taken as indicating generally that the continuity of space is pre-supposed. What moves itself must reach a certain, end, this way is a whole. In order to traverse the whole, what is in motion must first pass over the half, and now the end of this half is considered as being the end; but this half of space is again a whole, that which also has a half, and the half of this half must first have been reached, and so on into infinity. Zeno here arrives at the infinite divisibility of space; because space and time are absolutely continuous, there is no point at which the division can stop. Every dimension (and every time and space always have a dimension) is again divisible into two halves, which must be measured off; and however small a space we have, the same conditions reappear. Movement would be the act of passing through these infinite moments, and would therefore never end 4 thus what is in motion cannot reach its end. It is known how Diogenes of Sinope, the Cynic, quite simply refuted these arguments against movement; without speaking he rose and walked about, contradicting them by action. But when reasons are disputed, the only valid refutation is one derived from reasons; men have not merely to satisfy themselves by sensuous assurance, but also to understand. To refute objections is to prove their non-existence, as when they are made to fall away and can hence be adduced no longer; but it is necessary to think of motion as Zeno thought of it, and yet to carry this theory of motion further still.

> We have here the spurious infinite or pure appearance, whose simple principle Philosophy demonstrates as universal Notion, for the first time making its appearance as developed in its contradiction; in the history of Philosophy a consciousness of this contradiction is also attained. Movement, this pure phenomenon, appears as something thought and shown forth in its real being — that is, in its distinction of pure self-identity and pure negativity, the point as distinguished from continuity. To us there is no contradiction in the idea that the here of space and the now of time are considered as a continuity and length; but their Notion is self-contradictory. Self-identity or continuity is absolute cohesion, the destruction of all difference, of all negation, of being for self; the point, on the contrary, is pure being-for-self, absolute self-distinction and the destruction of all identity and all connection with what is different. Both of these, however, are, in space and time, placed in one; space and time are thus the contradiction; it is necessary, first of all, to show the contradiction in movement, for in movement that which is opposed is, to ordinary conceptions, inevitably manifested. Movement is just the reality of time and space, and because this appears and is made manifest, the apparent contradiction is demonstrated, a and it is this contradiction that Zeno notices. The limitation of bisection which is involved in the continuity of space, is not absolute limitation, for that which is limited is again continuity; however, this continuity is again not absolute, for the opposite has to be exhibited in it, the limitation of bisection; but the limitation of continuity is still not thereby established, the half is still continuous, and so on into infinity. In that we say “into infinity,” we place before ourselves a beyond, outside of the ordinary conception, which cannot reach so far. It is certainly an endless going forth, but in the Notion it is present, it is a progression from one opposed determination to others, from continuity to negativity, from negativity to continuity; but both of these are before us. Of these moments one in the process may be called the true one; Zeno first asserts continuous progression in such a way that no limited space can be arrived at as ultimate, or Zeno upholds progression in this limitation.

> The general explanation which Aristotle gives to this contradiction, is that space and time are not infinitely divided, but are only divisible. But it now appears that, because they are divisible — that is, in potentiality — they must actually be infinitely divided, for else they could not be divided into infinity. That is the general answer of the ordinary man in endeavouring to refute the explanation of Aristotle. Bayle (Tom. IV. art. Zénon, not. E.) hence says of Aristotle’s answer that it is “pitoyable: C’est se moquer du monde que de se servir de cette doctrine; car si Ia matière est divisible à l’infini, elle contient un nombre infini de parties. Ce n’est done point un infini en puissance, c’est un infini, qui existe réellement, actuellement. Mais quandmême on accorderait cet infini en puissance, qui deviendrait un infini par Ia division actuelle de ses parties, on ne perdrait pas ses avantages; car le mouvement est une chose, qui a la même vertu, que la division. Il touche une partie de l’espace sans toucher l’autre, et il les touche toutes les unes après les autres. N’est-ce pas les distinguer actuellement? N’est-ce pas faire ce que ferait un géomètre sur une table en tirant des lignes, qui désignassent tous les demiponces? II ne brise pas Ia table en demi-pouces, mais il y fait néanmoins une division, qui marque Ia distinction actuelle des parties; et ie ne crois pas qu’Aristote ent voulu nier, que si l’on tirait une infinité de lignes sur un pouce de matière, on n’y introduisit une division, qui reduirait en infini actuel ce qui n’etait selon lui qu’un infini virtuel.” This si is good! Divisibility is, as potentiality, the universal; there is continuity as well as negativity or the point posited in it — but posited as moment, and not as existent in and for itself. I can divide matter into infinitude, but I only can do so; I do not really divide it into infinitude. This is the infinite, that no one of its moments has reality. It never does happen that, in itself, one or other — that absolute limitation or absolute continuity — actually comes into existence in such a way that the other moment disappears. There are two absolute opposites, but they are moments, i.e. in the simple Notion or in the universal, in thought, if you will; for in thought, in ordinary conception, what is set forth both is and is not at the same time. What is represented either as such. or as an image of the conception, is not a thing; it has no Being, and yet it is not nothing.

> Space and time furthermore, as quantum, form a limited extension, and thus can be measured off; just as I do not actually divide space, neither does the body which is in motion. The partition of space as divided, is not absolute discontinuity [Punktualität], nor is pure continuity the undivided and indivisible; likewise time is not pure negativity or discontinuity, but also continuity. Both are manifested in motion, in which the Notions have their reality for ordinary conception — pure negativity as time, continuity as space. Motion itself is just this actual unity in the opposition, and the sequence of both moments in this unity. To comprehend motion is to express its essence in the form of Notion, i.e., as unity of negativity and continuity; but in them neither continuity nor discreteness can be exhibited as the true existence. If we represent space or time to ourselves as infinitely divided, we have an infinitude of points, but continuity is present therein as a space which comprehends them; as Notion, however, continuity is the fact that all these are alike, and thus in reality they do not appear one out of the other like points. But both these moments make their appearance as existent; if they are manifested indifferently, their Notion is no longer posited, but their existence. In.them as existent, negativity is a limited size, and they exist as limited space and time; actual motion is progression through a limited space — and a limited time and not through infinite space and infinite time.

> That what is in motion must reach the half is the assertion of continuity, i.e. the possibility of division as mere possibility; it is thus always possible in every space, however small. It is said that it is plain that the half must be reached, but in so saying, everything is allowed, including the fact that it never will be reached; for to say so in one case, is the same as saying it an infinite number of times. We mean, on the contrary, that in a larger space the half can be allowed, but we conceive that we must somewhere attain to a space so small that no halving is possible, or an indivisible, non-continuous space which is no space. This, however, is false, for continuity is a necessary determination; there is undoubtedly a smallest in space, i.e. a negation of continuity, but the negation is something quite abstract. Abstract adherence to the subdivision indicated, that is, to continuous bisection into infinitude, is likewise false, for in the conception of a half, the interruption of continuity is involved. We must say that there is no half of space, for space is continuous; a piece of wood may be broken into two halves, but not space, and space only exists in movement. It might equally be said that space consists of an endless number of points, i.e. of infinitely many limits and thus cannot be traversed. Men think themselves able to go from one indivisible point to another, but they do not thereby get any further, for of these there is an unlimited number. Continuity is split up into its opposite, a number which is indefinite; that is to say, if continuity is not admitted, there is no motion. It is false to assert that it is possible when one is reached, or that which is not continuous; for motion is connection. Thus when it was said that continuity is the presupposed possibility of infinite division, continuity is only the hypothesis; but what is exhibited in this continuity is the being of infinitely many, abstractly absolute limits.

> (b) The second proof, which is also the presupposition of continuity and the manifestation of division, is called “Achilles, the Swift.” The ancients loved to clothe difficulties in sensuous representations. Of two bodies moving in one direction, one of which is in front and the other following at a fixed distance and moving quicker than the first, we know that the second will overtake the first. But Zeno says, “The slower can never be overtaken by the quicker.” And he proves it thus: “The second one requires a certain space of time to reach the place from which the one pursued started at the beginning of the given period.” Thus during the time in which the second reached the point where the first was, the latter went over a new space which the second has again to pass through in a part of this period; and in this way it goes into infinity.

         c       d    e   f   g
         B       A     

> B, for instance, traverses two miles (c d) in an hour, A in the same time, one mile (d e); if they are two miles (c d) removed from one another, B has in one hour come to where A was at the beginning of the hour. While B, in the next half hour, goes over the distance crossed by A of one mile (d e), A has got half a mile (e f) further, and so on into infinity. Quicker motion does not help the second body at all in passing over the interval of space by which he is behind: the time which he requires, the slower body always has at its avail in order to accomplish some, although an ever shorter advance; and this, because of the continual division, never quite disappears.

> Aristotle, in speaking of this, puts it shortly thus: “This proof asserts the same endless divisibility, but it is untrue, for the quick will overtake the slow body if the limits to be traversed be granted to it.” This answer is correct and contains all that can be said; that is, there are in this representation two periods of time and two distances, which are separated from one another, i.e. they are limited in relation to one another; when, on the contrary, we admit that time and space are continuous, so that two periods of time or points of space are related to one another as continuous, they are, while being two, not two, but identical. In ordinary language we solve the matter in the easiest, way, for we say: “Because the second is quicker, it covers a greater distance in the same time as the slow; it can therefore come to the place from which the first started and get further still.” After B, at the end of the first hour, arrives at d and A at e, A in one and the same period, that is, in the second hour, goes over the distance e g, and B the distance d g. But this period of time which should be one, is divisible into that in which B accomplishes d e and that in which B passes through e g. A has a start of the first, by which it gets over the distance e f, so that A is at f at the same period as B is at e. The limitation which, according to Aristotle, is to be overcome, which must be penetrated, is thus that of time; since it is continuous, it must, for the solution of the difficulty, be said that what is divisible into two spaces of time is to be conceived of as one, in which B gets from d to e and from e to g, while A passes over the distance c g. In motion two periods, as well as two points in space, are indeed one.

> If we wish to make motion clear to ourselves, we say that,,the body is in one place and then it goes to another; because it moves, it is no longer in the first, but yet not in the second; were it in either it would be at rest. Where then is it? If we say that it is between both, this is to convey nothing at all, for were it between both, it would be in a place, and this presents the same difficulty. But movement means to be in this place and not to be in it, and thus to be in both alike; this is the continuity of space and time which first makes motion possible. Zeno, in the deduction made by him, brought both these points into forcible opposition. The discretion of space and time we also uphold, but there must also be granted to them the over-stepping of limits, i.e. the exhibition of limits as not being, or as being divided periods of time, which are also not divided. In our ordinary ideas we find the same determinations as those on which the dialectic of Zeno rests; we arrive at saying, though unwillingly, that in one period two distances of space are traversed, but we do not say that the quicker comprehends two moments of time in one; for that we fix a definite space. But in order that the slower may lose its precedence, it must be said that it loses its advantage of a moment of time, and indirectly the moment of space.

> Zeno makes limit. division, the moment of discretion in space and time, the only element which is enforced in the whole of his conclusions, and hence results the contradiction. The difficulty is to overcome thought. for what makes the difficulty is always thought alone, since it keeps apart the moments of an object which in their separation are really united. It brought about the Fall, for man ate of the tree of the knowledge of good and evil; but it also remedies these evils.


> (c) The third form, according to Aristotle, is as follows: — Zeno says. “I The flying arrow rests, and for the reason that what is in motion is always in the self-same Now and the self-same Here, in the indistinguishable;” it is here and here and here. It can be said of the arrow that it is always the same, for it is always in the same space and the same time; it does not get beyond its space. does not take in another, that is, a greater or smaller space. That, however, is what we call rest and not motion. In the Here and Now, the becoming “other” is abrogated, limitation indeed being established, but only as moment; since in the Here and Now as such, there is no difference, continuity is here made to prevail against the mere belief in diversity. Each place is a different place, and thus the same; true, objective difference does not come forth in these sensuous relations, but in the spiritual.

> This is also apparent in mechanics; of two bodies the question as to which moves presents itself before us. It requires more than two places — three at least — to determine which of them moves. But it is correct to say this, that motion is plainly relative; whether in absolute space the eye, for instance, rests, or whether it moves, is all the same. Or, according to a proposition brought forward by Newton, if two bodies move round. one another in a circle, it may be asked whether the one rests or both move. Newton tries to decide this by means of an external circumstance, the strain on the string. When I walk on a ship in a direction opposed to the motion of the ship, this is in relation to the ship, motion, and in relation to all else, rest.

> In both the first proofs, continuity in progression has the predominance; there is no absolute limit, but an overstepping of all limits. Here the opposite is established; absolute limitation, the interruption of continuity, without however passing into something else; while discretion is pre-supposed, continuity is maintained. Aristotle says of this proof: “It arises from the fact that it is taken for granted that time consists of the Now; for if this is not conceded, the conclusions will not follow.”

> (d) “The fourth proof,” Aristotle continues, “is derived from similar bodies which move in opposite directions in the space beside a similar body, and with equal velocity, one from one end of the space, the other from the middle. It necessarily results from this that half the time is equal to the double of it. The fallacy rests in this, that Zeno supposes that what is beside the moving body, and what is beside the body at rest, move through an equal distance in equal time with equal velocity, which, however, is untrue.”

                       1  
                  E|-|-|-|-|F
             k    i   m 
             C|-|-|-|-|D 
             g n h 
        A|-|-|-|-|B    

> In a definite space such as a table (A B) let us suppose two bodies of equal length with it and with one another, one of which (C D) lies with one end (C) on the middle (g) of the table, and the other (B F), being in the same direction, has the point (B) only touching the end of the table (h); and supposing they move in opposite directions, and the former (C D) reaches in an hour the end (h) of the table; we have the result ensuing that the one (E F) passes in the half of the time through the same space (1 k) which the other does in the double (g h); hence the half is equal to the double. That is to say, this second passes (let us say, in the point 1) by the whole of the first C D. In the first half-hour 1 goes from m to i, while k only goes from g to n.

                       1  
                  E|-|-|-|-|F
                   k o i   m   
                  C|-|-|-|-|D 
                   g n h 
              A|-|-|-|-|B    

>In the second half-hour 1 goes past o to k, and altogether passes from m to k, or the double of the distance.

                       1  
                  E|-|-|-|-|F
                       k  o i   m 
                       C|-|-|-|-|D 
                   g n h 
               A|-|-|-|-|B    

> This fourth form deals with the contradiction presented in opposite motion; that which is common is given entirely to one body, while it only does part for itself. Here the distance travelled by one body is the sum of the distance travelled by both, just as when I go two feet east, and from the same point another goes two feet west, we are four feet removed from one another; in the distance moved both are positive, and hence have to be added together. Or if I have gone two feet forwards and two feet backwards, although I have walked four feet, I have not moved from the spot; the motion is then nil, for by going forwards and backwards an opposition ensues which annuls itself.

> This is the dialectic of Zeno; he had a knowledge of the determinations which our ideas of space and time contain, and showed in them their contradiction; Kant’s antinomies do no more than Zeno did here. The general result of the Eleatic dialectic has thus become, “the truth is the one, all else is untrue,” just as the Kantian philosophy resulted in “we know appearances only.” On the whole the principle is the same; “the content of knowledge is only an appearance and not truth,” but there is also a great difference present. That is to say, Zeno and the Eleatics in their proposition signified “that the sensuous world, with its multitudinous forms, is in itself appearance only, and has no truth.” But Kant does not mean this, for he asserts: “Because we apply the activity of our thought to the outer world, we constitute it appearance; what is without, first becomes an untruth by the fact that we put therein a mass of determinations. Only our knowledge, the spiritual, is thus appearance; the world is in itself absolute truth; it is our action alone that ruins it, our work is good for nothing.” It shows excessive humility of mind to believe that knowledge has no value; but Christ says, “Are ye not better than the sparrows?” and we are so inasmuch as we are thinking; as sensuous we are as good or as bad as sparrows. Zeno’s dialectic has greater objectivity than this modern dialectic.

> Zeno’s dialectic is limited to Metaphysics; later, with the Sophists, it became general. We here leave the Eleatic school. which perpetuates itself in Leucippus and, on the other side, in the Sophists, in such a way that these last extended the Eleatic conceptions to all reality, and gave to it the relation of consciousness; the former, however, as one who later on worked out the Notion in its abstraction, makes a physical application of it, and one which is opposed to consciousness. There are several other Eleatics mentioned, to Tennemann’s surprise, who, however, cannot interest us. “It is so unexpected,” he says (Vol. I., p. 190), “that the Eleatic system should find disciples; and yet Sextus mentions a certain Xeniades.”
