
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
=--
=--

This page collects material related to 

* [[Georg Hegel]]

  _Lectures on the History of Philosophy_

  ([German hypertext](http://hegel.abcphil.de/html/inhaltsverzeichnis.html), [English hypertext](https://www.marxists.org/reference/archive/hegel/works/hp/hpconten.htm))

on the history of [[philosophy]], presented, essentially, as a progression of philosophical systems ([philosophy as development](#AufeinanderfolgeDerSysteme)) of the _world spirit_ eventually converging ([result](#BisHierher)) to Hegel's own _[[Science of Logic]]_ .

#Contents#
* table of contents
{:toc}

## Introduction

### A. Determination of the History of Philosophy

#### Explanations of the concept determinations of the History of Philosophy

##### a. The concept of development

> Dies Beisichsein des Geistes, dies Zusichselbstkommen desselben kann als sein höchstes, absolutes Ziel ausgesprochen werden. Nur dies will er, und nichts anderes. Alles, was im Himmel und auf Erden geschieht – ewig geschieht –, das Leben Gottes und alles, was zeitlich getan wird, strebt nur danach hin, daß der Geist sich erkenne, sich selber gegenständlich mache, sich finde, für sich selber werde, sich mit sich zusammenschließe. 

##### b. The concept of the concrete


##### c. Philosophy as the recognition of the development of the concrete


#### Consequences for the concept of the history of philosophy

> {#AufeinanderfolgeDerSysteme} Nach dieser Idee behaupte ich nun, daß die Aufeinanderfolge der Systeme der Philosophie in der Geschichte dieselbe ist als die Aufeinanderfolge in der logischen Ableitung der Begriffsbestimmungen der Idee. Ich behaupte, daß, wenn man die Grundbegriffe der in der Geschichte der Philosophie erschienenen Systeme rein dessen entkleidet, was ihre äußerliche Gestaltung, ihre Anwendung auf das Besondere und dergleichen betrifft, so erhält man die verschiedenen Stufen der Bestimmung der Idee selbst in ihrem logischen Begriffe. Umgekehrt, den logischen Fortgang für sich genommen, so hat man darin nach seinen Hauptmomenten den Fortgang der geschichtlichen Erscheinungen;


### B. Relation of philosophy to other fields


### C. Subdivisions, sources, methods of the history of philosophy

### Oriental philosophy

## First part: Greek philosophy

### From Thales to Aristotele

#### From Thales to Anaxagoras

##### A. Ionic philosophy

##### B. Pythagoras 

* [[Pythagoras]]

##### C. The eleatic school

###### 1. Xenophanes

###### 2. Parmenides
 {#Parmenides}

**[[Parmenides]]**

see also here the section ([Plato -- Dialectics -- Parmenides dialogue](#ParmenidesDialogue)).


###### 3. Melissos

###### 4. Zeno
 {#Zeno}

**[[Zeno]]**

([chapter in English hypertext](https://www.marxists.org/reference/archive/hegel/works/hp/hpeleatics.htm))



> {#HegelHistory1} What specially characterizes Zeno is the [[dialectic]] which, properly speaking, begins with him; 

> he is the master of the Eleatic school in whom its pure thought arrives at the movement of the Notion in itself and becomes the pure soul of science. That is to say, in the Eleatics hitherto considered, we only have the proposition: “The nothing has no reality and is not at all, and thus what is called origin and decease disappears.” With Zeno, on the contrary, we certainly see just such an assertion of the one and removal of what contradicts it, but we also see that this assertion is not made the starting point; for reason begins by calmly demonstrating in that which is established as existent, its negation. Parmenides asserts that “The all is immutable, for, in change, the non-being of that which is would be asserted, but Being only is; in saying that “non-being is, the subject and the predicate contradict themselves.” Zeno, on the other hand, says: “Assert your change; in it as change there is the negation to it, or it is nothing.” To the former change existed as motion, definite and complete. Zeno protested against motion as such, or pure motion.

> Pure Being is not motion; it is rather the negation of motion.” We find it specially interesting that there is in Zeno the higher consciousness, the consciousness that when one determination is denied, this negation is itself again a determination, and then in the absolute negation not one determination, but both the opposites must be negated. Zeno anticipated this, and because he foresaw that Being is the opposite of nothing, he denied of the One what must be said of the nothing. But the same thing must occur with all the rest. We find this higher dialectic in Plato’s Parmenides; here it only breaks forth in respect to some determinations, and not to the determination of the One and of Being. The higher consciousness is the consciousness of the nullity of Being as of what is determined as against the nothing, partly found in Heraclitus and then in the Sophists; with them it never has any truth, it has no existence in itself, but is only the for-another, or the assurance of the individual consciousness, and assurance as refutation, i.e. the negative side, of dialectic.

> According to Diogenes Laërtius, (IX. 25) Zeno was like wise an Eleat; he is the youngest, and lived most in company with Parmenides. The latter became very fond of him and adopted him as a son; his own father was called Telentagoras. Not in his State alone was his conduct held in high respect, for his fame was universal, and he was esteemed particularly as a teacher. Plato mentions that men came to him from Athens and other places, in order to profit from his learning. Proud self-sufficiency is ascribed to him by Diogenes (IX. 28) because he — with the exception of a journey made to Athens — continued to reside in Elea, and did not stay a longer time in the great, mighty Athens, and there attain to fame. In very various narratives his death was made for ever celebrated for the strength of his mind evinced in it; it was said that he freed a State (whether his own home at Elea or in Sicily, is not known) from its Tyrant (the name is given differently, but an exact historical account has not been recorded) in the following way, and by the sacrifice of his life. He entered into a plot to overthrow the Tyrant, but this was betrayed. When the Tyrant now, in face of the people, caused him to be tortured in every possible way to get from him an avowal of his confederates, and when he questioned him about the enemies of the State, Zeno first named to the Tyrant all his friends as participators in the plot, and then spoke of the Tyrant himself as the pest of the State. The powerful remonstrances or the horrible tortures and death of Zeno aroused the citizens, inspired them with courage to fall upon the Tyrant, kill him, and liberate themselves. The manner of the end, and his violent and furious state of mind, is very variously depicted. He is said to have pretended to wish to say something into the Tyrant’s ear, and then to have bitten his ear, and thus held him fast until lie was slain by the others. Others say that he seized him by the nose between his teeth; others that as on his reply great tortures were applied, he bit off his tongue and spat it into the Tyrant’s face, to show him that he could get nothing from him, and that he then was pounded in a mortar.

> It has just been noticed that Zeno had the very important character of being the originator of the true objective dialectic. Xenophanes, Parmenides, and Melisibus, start with the proposition: “Nothing is nothing; the nothing does not exist at all, or the like is real existence,” that is, they make one of the opposed predicates to be existence. Now when they encounter the opposite in a determination, they demolish this determination, but it is only demolished through another, through my assertion, through the distinction that I form, by which one side is made to be the true, and the other the null. We have proceeded from a definite proposition; the nullity of the opposite does not appear in itself; it is not that it abrogates itself, i.e. that it contains a contradiction in itself. For instance, I assert of something that it is the null; then I show this by hypothesis in motion, and it follows that it is the null. But another consciousness does not assert this I declare one thing to be directly true; another has the right of asserting something else as directly true, that is to say, motion. Similarly what seems to be the case when one philosophic system contradicts another, is that the first is pre-established, and that men starting from this point of view, combat the other. The matter is thus easily settled by saying: “The other has no truth, because it does not agree with me,” and the other bas the right to say the same. It does not help if I prove my system or my proposition and then conclude that thus the opposite is false; to this other proposition the first always seems to be foreign and external. Falsity must not be demonstrated through another, and as untrue because the opposite is true, but in itself; we find this rational perception in Zeno.


> In Plato’s [[Parmenides]] (pp. 127, 128, Steph., pp. 6, 7, Bekk.) this dialectic is very well described, for Plato makes Socrates say of it: “Zeno in his writings asserts fundamentally the same as does Parmenides, that All is One, but he would feign delude us into believing that he was telling something new. Parmenides thus shows in his poems that All is One; Zeno, on the contrary, shows that the Many cannot be.” Zeno replies, that “He wrote thus really against those who try to make Parmenides’ position ridiculous, for they try to show what absurdities and self-contradictions can be derived from his statements; he thus combats those who deduce Being from the many, in order to show that far more absurdities arise from this than from the statements of Parmenides.” That is the special aim of objective dialectic, in which we no longer maintain simple thought for itself, but see the battle fought with new vigour within the enemy’s camp. Dialectic has in Zeno this negative side, but it bas also to be considered from its positive side.

> According to the ordinary ideas of science, where propositions result from proof, proof is the movement of intelligence, a connection brought about by mediation. Dialectic is either (a) external dialectic, in which this movement is different from the comprehension of the movement, or (b) not a movement of our intelligence only, but what proceeds from the nature of the thing itself, i.e. from the pure Notion of the content. The former is a manner of regarding. objects in such a way that reasons are revealed and new light thrown, by means of which all that was supposed to be firmly fixed, is made to totter; there may be reasons which are altogether external too, and we shall speak further of this dialectic when dealing with the Sophists. The other dialectic, however, is the immanent contemplation of the object; it is taken for itself, without previous hypothesis, idea or obligation, not under any outward conditions, laws or causes; we have to put ourselves right into the thing, to consider the object in itself, and to take it in the determinations which it has. In regarding it thus, it shows from itself that it contains opposed determinations, and thus breaks up; this dialectic we more especially find in the ancients. The subjective dialectic, which reasons from external grounds, is moderate, for it grants that: “In the right there is what is not right, and in the false the true.” True dialectic leaves nothing whatever to its object, as if the latter were deficient on one side only; for it disintegrates itself in the entirety of its nature. The result of this dialectic is null, the negative; the affirmative in it does not yet appear. This true dialectic may be associated with the work of the Eleatics. But in their case the real meaning and quality of philosophic understanding was not great, for they got no further than the fact that through contradiction the object is a nothing.

> Zeno’s dialectic of matter has not been refuted to the present day; even now we have not got beyond it, and the matter is left in uncertainty. Simplicius, writing on the Physics of [[Aristotle]] (p. 30), says: “Zeno proves that if the many is, it must be great and small; if great, the many must be infinite in number” (it must have gone beyond the manifold, as indifferent limit, into the infinite; but what is infinite is no longer large. and no longer many, for it is the negation of the many). “If small, it must be so small as to have no size,” like atoms. “Here he shows that what has neither size, thickness nor mass, cannot be. For if it were added to another, it would not cause its increase; were it, that is to say, to have no size and be added thereto, it could not supplement the size of the other and consequently that which is added is nothing. Similarly were it taken away, the other would not be made less, and thus it is nothing. If what has being is, each existence necessarily has size and thickness, is outside of one another, and one is separate from the other; the same applies to all else (peri tou proucontoς), for it, too, has size, and in it there is what mutually differs (proexei autou ti). But it is the same thing to say something once and to say it over and over again; in it nothing can be a last, nor will there not be another to the other. Thus if many are, they are small and great; small, so that they have no size; great, so that they are infinite.”

> Aristotle (Phys. VI. 9) explains this dialectic further; Zeno’s treatment of motion was above all objectively dialectical. But the particulars which we find in the [[Parmenides]] of [[Plato]] are not his. For Zeno’s consciousness we see simple unmoved thought disappear, but become thinking movement; in that he combats sensuous movement, he concedes it. The reason that dialectic first fell on movement is that the dialectic is itself this movement, or movement itself the dialectic of all that is. The thing, as self-moving, has its dialectic in itself, and movement is the becoming another, self-abrogation. If Aristotle says that Zeno denied movement because it contains an inner contradiction, it is not to be understood to mean that movement did. not exist at all. The point is not that there is movement and that this phenomenon exists; the fact that there is movement is as sensuously certain as that there are elephants; it is not in this sense that Zeno meant to deny movement. The point in question concerns its truth. Movement, however, is held to be untrue, because the conception of it involves a contradiction; by that he meant to say that no true Being eau be predicated of it.

> Zeno’s utterances are to be looked at from this point of view, not as being directed against the reality of motion, as would at first appear, but as pointing out how movement must necessarily be determined, and showing the course which must be taken. Zeno now brings forward four different arguments against motion; the proofs rest on the infinite divisibility of space and time.

> (a) This is his first form of argument: — “Movement has no truth, because what is in motion must first reach the middle of the space before arriving at the end.” Aristotle expresses this thus shortly, because he had earlier treated of and worked out the subject at length. This is to be taken as indicating generally that the continuity of space is pre-supposed. What moves itself must reach a certain, end, this way is a whole. In order to traverse the whole, what is in motion must first pass over the half, and now the end of this half is considered as being the end; but this half of space is again a whole, that which also has a half, and the half of this half must first have been reached, and so on into infinity. Zeno here arrives at the infinite divisibility of space; because space and time are absolutely continuous, there is no point at which the division can stop. Every dimension (and every time and space always have a dimension) is again divisible into two halves, which must be measured off; and however small a space we have, the same conditions reappear. Movement would be the act of passing through these infinite moments, and would therefore never end 4 thus what is in motion cannot reach its end. It is known how Diogenes of Sinope, the Cynic, quite simply refuted these arguments against movement; without speaking he rose and walked about, contradicting them by action. But when reasons are disputed, the only valid refutation is one derived from reasons; men have not merely to satisfy themselves by sensuous assurance, but also to understand. To refute objections is to prove their non-existence, as when they are made to fall away and can hence be adduced no longer; but it is necessary to think of motion as Zeno thought of it, and yet to carry this theory of motion further still.

> We have here the spurious infinite or pure appearance, whose simple principle Philosophy demonstrates as universal Notion, for the first time making its appearance as developed in its contradiction; in the history of Philosophy a consciousness of this contradiction is also attained. Movement, this pure phenomenon, appears as something thought and shown forth in its real being — that is, in its distinction of pure self-identity and pure negativity, the point as distinguished from continuity. To us there is no contradiction in the idea that the here of space and the now of time are considered as a continuity and length; but their Notion is self-contradictory. Self-identity or continuity is absolute cohesion, the destruction of all difference, of all negation, of being for self; the point, on the contrary, is pure being-for-self, absolute self-distinction and the destruction of all identity and all connection with what is different. Both of these, however, are, in space and time, placed in one; space and time are thus the contradiction; it is necessary, first of all, to show the contradiction in movement, for in movement that which is opposed is, to ordinary conceptions, inevitably manifested. Movement is just the reality of time and space, and because this appears and is made manifest, the apparent contradiction is demonstrated, a and it is this contradiction that Zeno notices. The limitation of bisection which is involved in the continuity of space, is not absolute limitation, for that which is limited is again continuity; however, this continuity is again not absolute, for the opposite has to be exhibited in it, the limitation of bisection; but the limitation of continuity is still not thereby established, the half is still continuous, and so on into infinity. In that we say “into infinity,” we place before ourselves a beyond, outside of the ordinary conception, which cannot reach so far. It is certainly an endless going forth, but in the Notion it is present, it is a progression from one opposed determination to others, from continuity to negativity, from negativity to continuity; but both of these are before us. Of these moments one in the process may be called the true one; Zeno first asserts continuous progression in such a way that no limited space can be arrived at as ultimate, or Zeno upholds progression in this limitation.

> The general explanation which Aristotle gives to this contradiction, is that space and time are not infinitely divided, but are only divisible. But it now appears that, because they are divisible — that is, in potentiality — they must actually be infinitely divided, for else they could not be divided into infinity. That is the general answer of the ordinary man in endeavouring to refute the explanation of Aristotle. Bayle (Tom. IV. art. Zénon, not. E.) hence says of Aristotle’s answer that it is “pitoyable: C’est se moquer du monde que de se servir de cette doctrine; car si Ia matière est divisible à l’infini, elle contient un nombre infini de parties. Ce n’est done point un infini en puissance, c’est un infini, qui existe réellement, actuellement. Mais quandmême on accorderait cet infini en puissance, qui deviendrait un infini par Ia division actuelle de ses parties, on ne perdrait pas ses avantages; car le mouvement est une chose, qui a la même vertu, que la division. Il touche une partie de l’espace sans toucher l’autre, et il les touche toutes les unes après les autres. N’est-ce pas les distinguer actuellement? N’est-ce pas faire ce que ferait un géomètre sur une table en tirant des lignes, qui désignassent tous les demiponces? II ne brise pas Ia table en demi-pouces, mais il y fait néanmoins une division, qui marque Ia distinction actuelle des parties; et ie ne crois pas qu’Aristote ent voulu nier, que si l’on tirait une infinité de lignes sur un pouce de matière, on n’y introduisit une division, qui reduirait en infini actuel ce qui n’etait selon lui qu’un infini virtuel.” This si is good! Divisibility is, as potentiality, the universal; there is continuity as well as negativity or the point posited in it — but posited as moment, and not as existent in and for itself. I can divide matter into infinitude, but I only can do so; I do not really divide it into infinitude. This is the infinite, that no one of its moments has reality. It never does happen that, in itself, one or other — that absolute limitation or absolute continuity — actually comes into existence in such a way that the other moment disappears. There are two absolute opposites, but they are moments, i.e. in the simple Notion or in the universal, in thought, if you will; for in thought, in ordinary conception, what is set forth both is and is not at the same time. What is represented either as such. or as an image of the conception, is not a thing; it has no Being, and yet it is not nothing.

> Space and time furthermore, as quantum, form a limited extension, and thus can be measured off; just as I do not actually divide space, neither does the body which is in motion. The partition of space as divided, is not absolute discontinuity [Punktualität], nor is pure continuity the undivided and indivisible; likewise time is not pure negativity or discontinuity, but also continuity. Both are manifested in motion, in which the Notions have their reality for ordinary conception — pure negativity as time, continuity as space. Motion itself is just this actual unity in the opposition, and the sequence of both moments in this unity. To comprehend motion is to express its essence in the form of Notion, i.e., as unity of negativity and continuity; but in them neither continuity nor discreteness can be exhibited as the true existence. If we represent space or time to ourselves as infinitely divided, we have an infinitude of points, but continuity is present therein as a space which comprehends them; as Notion, however, continuity is the fact that all these are alike, and thus in reality they do not appear one out of the other like points. But both these moments make their appearance as existent; if they are manifested indifferently, their Notion is no longer posited, but their existence. In.them as existent, negativity is a limited size, and they exist as limited space and time; actual motion is progression through a limited space — and a limited time and not through infinite space and infinite time.

> That what is in motion must reach the half is the assertion of continuity, i.e. the possibility of division as mere possibility; it is thus always possible in every space, however small. It is said that it is plain that the half must be reached, but in so saying, everything is allowed, including the fact that it never will be reached; for to say so in one case, is the same as saying it an infinite number of times. We mean, on the contrary, that in a larger space the half can be allowed, but we conceive that we must somewhere attain to a space so small that no halving is possible, or an indivisible, non-continuous space which is no space. This, however, is false, for continuity is a necessary determination; there is undoubtedly a smallest in space, i.e. a negation of continuity, but the negation is something quite abstract. Abstract adherence to the subdivision indicated, that is, to continuous bisection into infinitude, is likewise false, for in the conception of a half, the interruption of continuity is involved. We must say that there is no half of space, for space is continuous; a piece of wood may be broken into two halves, but not space, and space only exists in movement. It might equally be said that space consists of an endless number of points, i.e. of infinitely many limits and thus cannot be traversed. Men think themselves able to go from one indivisible point to another, but they do not thereby get any further, for of these there is an unlimited number. Continuity is split up into its opposite, a number which is indefinite; that is to say, if continuity is not admitted, there is no motion. It is false to assert that it is possible when one is reached, or that which is not continuous; for motion is connection. Thus when it was said that continuity is the presupposed possibility of infinite division, continuity is only the hypothesis; but what is exhibited in this continuity is the being of infinitely many, abstractly absolute limits.

> (b) The second proof, which is also the presupposition of continuity and the manifestation of division, is called “Achilles, the Swift.” The ancients loved to clothe difficulties in sensuous representations. Of two bodies moving in one direction, one of which is in front and the other following at a fixed distance and moving quicker than the first, we know that the second will overtake the first. But Zeno says, “The slower can never be overtaken by the quicker.” And he proves it thus: “The second one requires a certain space of time to reach the place from which the one pursued started at the beginning of the given period.” Thus during the time in which the second reached the point where the first was, the latter went over a new space which the second has again to pass through in a part of this period; and in this way it goes into infinity.

         c       d    e   f   g
         B       A     

> B, for instance, traverses two miles (c d) in an hour, A in the same time, one mile (d e); if they are two miles (c d) removed from one another, B has in one hour come to where A was at the beginning of the hour. While B, in the next half hour, goes over the distance crossed by A of one mile (d e), A has got half a mile (e f) further, and so on into infinity. Quicker motion does not help the second body at all in passing over the interval of space by which he is behind: the time which he requires, the slower body always has at its avail in order to accomplish some, although an ever shorter advance; and this, because of the continual division, never quite disappears.

> Aristotle, in speaking of this, puts it shortly thus: “This proof asserts the same endless divisibility, but it is untrue, for the quick will overtake the slow body if the limits to be traversed be granted to it.” This answer is correct and contains all that can be said; that is, there are in this representation two periods of time and two distances, which are separated from one another, i.e. they are limited in relation to one another; when, on the contrary, we admit that time and space are continuous, so that two periods of time or points of space are related to one another as continuous, they are, while being two, not two, but identical. In ordinary language we solve the matter in the easiest, way, for we say: “Because the second is quicker, it covers a greater distance in the same time as the slow; it can therefore come to the place from which the first started and get further still.” After B, at the end of the first hour, arrives at d and A at e, A in one and the same period, that is, in the second hour, goes over the distance e g, and B the distance d g. But this period of time which should be one, is divisible into that in which B accomplishes d e and that in which B passes through e g. A has a start of the first, by which it gets over the distance e f, so that A is at f at the same period as B is at e. The limitation which, according to Aristotle, is to be overcome, which must be penetrated, is thus that of time; since it is continuous, it must, for the solution of the difficulty, be said that what is divisible into two spaces of time is to be conceived of as one, in which B gets from d to e and from e to g, while A passes over the distance c g. In motion two periods, as well as two points in space, are indeed one.

> If we wish to make motion clear to ourselves, we say that,,the body is in one place and then it goes to another; because it moves, it is no longer in the first, but yet not in the second; were it in either it would be at rest. Where then is it? If we say that it is between both, this is to convey nothing at all, for were it between both, it would be in a place, and this presents the same difficulty. But movement means to be in this place and not to be in it, and thus to be in both alike; this is the continuity of space and time which first makes motion possible. Zeno, in the deduction made by him, brought both these points into forcible opposition. The discretion of space and time we also uphold, but there must also be granted to them the over-stepping of limits, i.e. the exhibition of limits as not being, or as being divided periods of time, which are also not divided. In our ordinary ideas we find the same determinations as those on which the dialectic of Zeno rests; we arrive at saying, though unwillingly, that in one period two distances of space are traversed, but we do not say that the quicker comprehends two moments of time in one; for that we fix a definite space. But in order that the slower may lose its precedence, it must be said that it loses its advantage of a moment of time, and indirectly the moment of space.

> Zeno makes limit. division, the moment of discretion in space and time, the only element which is enforced in the whole of his conclusions, and hence results the contradiction. The difficulty is to overcome thought. for what makes the difficulty is always thought alone, since it keeps apart the moments of an object which in their separation are really united. It brought about the Fall, for man ate of the tree of the knowledge of good and evil; but it also remedies these evils.


> (c) The third form, according to Aristotle, is as follows: — Zeno says. “I The flying arrow rests, and for the reason that what is in motion is always in the self-same Now and the self-same Here, in the indistinguishable;” it is here and here and here. It can be said of the arrow that it is always the same, for it is always in the same space and the same time; it does not get beyond its space. does not take in another, that is, a greater or smaller space. That, however, is what we call rest and not motion. In the Here and Now, the becoming “other” is abrogated, limitation indeed being established, but only as moment; since in the Here and Now as such, there is no difference, continuity is here made to prevail against the mere belief in diversity. Each place is a different place, and thus the same; true, objective difference does not come forth in these sensuous relations, but in the spiritual.

> This is also apparent in mechanics; of two bodies the question as to which moves presents itself before us. It requires more than two places — three at least — to determine which of them moves. But it is correct to say this, that motion is plainly relative; whether in absolute space the eye, for instance, rests, or whether it moves, is all the same. Or, according to a proposition brought forward by Newton, if two bodies move round. one another in a circle, it may be asked whether the one rests or both move. Newton tries to decide this by means of an external circumstance, the strain on the string. When I walk on a ship in a direction opposed to the motion of the ship, this is in relation to the ship, motion, and in relation to all else, rest.

> In both the first proofs, continuity in progression has the predominance; there is no absolute limit, but an overstepping of all limits. Here the opposite is established; absolute limitation, the interruption of continuity, without however passing into something else; while discretion is pre-supposed, continuity is maintained. Aristotle says of this proof: “It arises from the fact that it is taken for granted that time consists of the Now; for if this is not conceded, the conclusions will not follow.”

> (d) “The fourth proof,” Aristotle continues, “is derived from similar bodies which move in opposite directions in the space beside a similar body, and with equal velocity, one from one end of the space, the other from the middle. It necessarily results from this that half the time is equal to the double of it. The fallacy rests in this, that Zeno supposes that what is beside the moving body, and what is beside the body at rest, move through an equal distance in equal time with equal velocity, which, however, is untrue.”

                       1  
                  E|-|-|-|-|F
             k    i   m 
             C|-|-|-|-|D 
             g n h 
        A|-|-|-|-|B    

> In a definite space such as a table (A B) let us suppose two bodies of equal length with it and with one another, one of which (C D) lies with one end (C) on the middle (g) of the table, and the other (B F), being in the same direction, has the point (B) only touching the end of the table (h); and supposing they move in opposite directions, and the former (C D) reaches in an hour the end (h) of the table; we have the result ensuing that the one (E F) passes in the half of the time through the same space (1 k) which the other does in the double (g h); hence the half is equal to the double. That is to say, this second passes (let us say, in the point 1) by the whole of the first C D. In the first half-hour 1 goes from m to i, while k only goes from g to n.

                       1  
                  E|-|-|-|-|F
                   k o i   m   
                  C|-|-|-|-|D 
                   g n h 
              A|-|-|-|-|B    

>In the second half-hour 1 goes past o to k, and altogether passes from m to k, or the double of the distance.

                       1  
                  E|-|-|-|-|F
                       k  o i   m 
                       C|-|-|-|-|D 
                   g n h 
               A|-|-|-|-|B    

> This fourth form deals with the contradiction presented in opposite motion; that which is common is given entirely to one body, while it only does part for itself. Here the distance travelled by one body is the sum of the distance travelled by both, just as when I go two feet east, and from the same point another goes two feet west, we are four feet removed from one another; in the distance moved both are positive, and hence have to be added together. Or if I have gone two feet forwards and two feet backwards, although I have walked four feet, I have not moved from the spot; the motion is then nil, for by going forwards and backwards an opposition ensues which annuls itself.

> This is the dialectic of Zeno; he had a knowledge of the determinations which our ideas of space and time contain, and showed in them their contradiction; Kant’s antinomies do no more than Zeno did here. The general result of the Eleatic dialectic has thus become, “the truth is the one, all else is untrue,” just as the Kantian philosophy resulted in “we know appearances only.” On the whole the principle is the same; “the content of knowledge is only an appearance and not truth,” but there is also a great difference present. That is to say, Zeno and the Eleatics in their proposition signified “that the sensuous world, with its multitudinous forms, is in itself appearance only, and has no truth.” But Kant does not mean this, for he asserts: “Because we apply the activity of our thought to the outer world, we constitute it appearance; what is without, first becomes an untruth by the fact that we put therein a mass of determinations. Only our knowledge, the spiritual, is thus appearance; the world is in itself absolute truth; it is our action alone that ruins it, our work is good for nothing.” It shows excessive humility of mind to believe that knowledge has no value; but Christ says, “Are ye not better than the sparrows?” and we are so inasmuch as we are thinking; as sensuous we are as good or as bad as sparrows. Zeno’s dialectic has greater objectivity than this modern dialectic.

> Zeno’s dialectic is limited to Metaphysics; later, with the Sophists, it became general. We here leave the Eleatic school. which perpetuates itself in Leucippus and, on the other side, in the Sophists, in such a way that these last extended the Eleatic conceptions to all reality, and gave to it the relation of consciousness; the former, however, as one who later on worked out the Notion in its abstraction, makes a physical application of it, and one which is opposed to consciousness. There are several other Eleatics mentioned, to Tennemann’s surprise, who, however, cannot interest us. “It is so unexpected,” he says (Vol. I., p. 190), “that the Eleatic system should find disciples; and yet Sextus mentions a certain Xeniades.”


##### D. Heraclitus
 {#Heraclitus}

* [[Heraclitus]]

##### E. Empedokles, Leucippus, and Democritus

##### F. Anaxagoras
 {#Anaxagoras}

* [[Anaxagoras]]

> Hier fängt erst an, ein Licht aufzugehen (es ist zwar noch schwach): Der Verstand wird als das Prinzip anerkannt. Von Anaxagoras sagt schon Aristoteles: »Der aber, der sagte, daß die Vernunft wie in dem Lebenden, so auch in der Natur die Ursache ist der Welt und aller Ordnung, ist wie ein Nüchterner erschienen gegen die [, die] vorher ins Blinde (eikê) sprachen.« Die Philosophen vor Anaxagoras, sagt Aristoteles, »sind den Fechtern, die wir Naturalisten nennen, zu vergleichen. Wie diese oft sich in ihrem Herumtummeln gute Stöße tun, aber nicht nach der Kunst, so scheinen auch diese Philosophen kein Bewußtsein über das zu haben, was sie sagen.« Dies Bewußtsein hat zuerst Anaxagoras gehabt, indem er sagt, der Gedanke ist das an und für sich seiende Allgemeine, der reine Gedanke ist das Wahre. Anaxagoras ist wie ein Nüchterner unter Trunkenen erschienen; aber auch sein Stoß geht noch ziemlich ins Blaue hinein.
Als Prinzipien haben wir gesehen das Sein, das Werden, das Eins; es sind Gedanken, allgemeine, nichts Sinnliches, auch nicht Vorstellungen der Phantasie; der Inhalt, die Teile desselben aber sind genommen aus dem Sinnlichen, es sind Gedanken in irgendeiner Bestimmung. Anaxagoras nun sagt, das Allgemeine – nicht Götter, sinnliche Prinzipien, Elemente, noch Gedanken, die wesentlich als bestimmte sind (Reflexionsbestimmungen) –, sondern der Gedanke selbst, an und für sich, das Allgemeine ohne Gegensatz, alles in sich befassend, ist die Substanz. Hierbei müssen wir uns nicht den subjektiven Gedanken vorstellen; wir denken beim Denken sogleich an unser Denken, wie es im Bewußtsein ist. Hier ist dagegen der ganz objektive Gedanke gemeint, das Allgemeine, der tätige Verstand; wie wir sagen, es ist Verstand, Vernunft in der Welt, auch in der Natur, – oder wie[369] wir von Gattungen in der Natur sprechen: sie sind das Allgemeine. Ein Hund ist ein Tier, dies ist seine Gattung, sein Substantielles; er selbst ist dies. Dies Gesetz, dieser Verstand, diese Vernunft ist selbst immanent in der Natur, ist das Wesen der Natur; sie ist nicht von außen formiert, wie die Menschen einen Stuhl machen. Der Tisch ist auch vernünftig gemacht, aber es ist ein äußerlicher Verstand diesem Holze. Aber diese äußere Form, die der Verstand sein soll, fällt uns beim Sprechen vom Verstande sogleich ein. Hier aber ist der Verstand, das Allgemeine gemeint, was die immanente Natur des Gegenstandes selbst ist. Dies ist das Prinzip. Bisher hatten wir Gedanken, jetzt ist es der Gedanke selbst, der zum Prinzip gemacht ist.

> Der [[nous]] ist nichtdenkendes Wesen draußen, das die Welt eingerichtet; so ist der Gedanke des Anaxagoras ganz verdorben, ihm alles philosophische Interesse benommen. Denn ein Individuelles, Einzelnes draußen ist ganz in die Vorstellung herabgefallen und deren Dualismus; ein denkendes sogenanntes Wesen ist kein Gedanke mehr, ist ein Subjekt. Das wahrhaft Allgemeine ist nicht abstrakt, gerade das Allgemeine (Gute, Schöne, Zweck) [ist] dies, in und aus sich selbst das Besondere an und für sich zu bestimmen, – nicht äußerlicher Zweck.

### Life

> Vor seiner Philosophie haben wir seine Lebensumstände zu betrachten. Mit ihm sehen wir die Philosophie in das eigentliche Griechenland, das bisher noch keine hatte, und zwar nach Athen wandern; bisher war Kleinasien oder Italien der Sitz der Philosophie gewesen. Anaxagoras, selbst ein Kleinasiate, lebte vorzüglich in Athen, das, wie das Haupt der griechischen Macht, so jetzt auch der Sitz und Mittelpunkt der Künste und der Wissenschaften war. Anaxagoras lebte in der großen Zeit zwischen den medischen Kriegen und dem Zeitalter des Perikles. Er fällt in die schönste Zeit des griechischen athenischen Lebens und berührt noch den Untergang oder vielmehr den Übergang in den Untergang, in das Sterben des schönen athenischen Lebens. Die Schlacht bei[370] Marathon ist in der 72., die bei Salamis in der 75. Olympiade; in der 81. (456 v. Chr.) kam Anaxagoras nach Athen.
Anaxagoras, Ol. 70 (500 v. Chr.) geboren, ist früher als Demokrit und dem Alter nach ebenso als Empedokles, doch mit diesen überhaupt wie mit Parmenides gleichzeitig; er ist so alt als Zenon. Seine Vaterstadt ist Klazomenai in Lydien, nicht sehr weit von Kolophon und dann Ephesos, auf einer Landenge, die eine große Halbinsel mit dem festen Lande zusammenhängt.

> Anaxagoras schließt diese Periode, nach ihm beginnt eine neue. Er wird, nach der beliebten Ansicht vom genealogischen Übergehen der Prinzipien von Lehrer auf Schüler, weil er aus Ionien war, oft als ein Fortsetzer der ionischen Schule, als ionischer Philosoph vorgestellt; denn Hermotimos von Klazomenai war sein Lehrer. Auch wird er zu diesem Behufe zu einem Schüler des Anaximenes gemacht, dessen Geburt aber in Ol. 55-58 gesetzt wird, also fünfzehn Olympiaden (d.h. 60 Jahre) früher.
Sein Leben besteht kurz darin, daß er sich auf das Studium der Wissenschaften legte, von den öffentlichen Angelegenheiten zurückzog, viele Reisen machte und zuletzt nach einigen im dreißigsten, wahrscheinlicher im fünfundvierzigsten Jahre seines Alters nach Athen kam. Er kam am günstigsten, in der blühendsten Zeit der Stadt dahin; Perikles stand an der Spitze des Staats und erhob ihn zum höchsten Glanze, das ist der Silberblick des atheniensischen Lebens. Perikles suchte den Anaxagoras auf und lebte mit ihm in sehr vertrautem Umgang. Athen hatte damals den Kulminationspunkt seiner schönen Größe erreicht; besonders ist der Gegensatz von Athen und Lakedämon in dieser Zeit interessant. Athen und Lakedämon waren die beiden griechischen Nationen, die um die erste Stelle in Griechenland miteinander[371] wetteiferten. Athens ist im Gegensatze Lakedämons zu erwähnen, – der Prinzipien dieser berühmten Staaten. Keine Kunst und Wissenschaft war bei den Lakedämoniern. Daß Athen der Sitz der Wissenschaften und schönen Künste war, hatte es der Eigentümlichkeit seiner Verfassung und seines ganzen Geistes zu danken.

> Lakedämon ist ebenso seiner Verfassung nach hochzuachten. Die Lakedämonier hatten den strengen dorischen Geist durch ihre konsequente Verfassung geordnet – eine Verfassung, worin der Hauptzug ist, daß die Individualität, alle persönliche Besonderheit dem Allgemeinen, dem Zwecke des Staats, dem Leben des Staats untergeordnet ist oder vielmehr aufgeopfert war, – daß das Individuum das Bewußtsein seiner Ehre, Gültigkeit usf. nur in dem Bewußtsein der Tätigkeit, des Lebens, des Handelns für den Staat hat. Ein Volk von solcher gediegenen Einheit, worin Wille des Einzelnen eigentlich ganz verschwunden ist, machte einen unüberwindlichen Zusammenhang aus; und Lakedämon wurde deswegen an die Spitze der Griechen gestellt und erhielt die Hegemonie, wie wir sie in den trojanischen Zeiten bei den Argivern sahen.

> Dies ist ein großes Prinzip, was in jedem wahrhaften Staate sein muß, was aber bei den Lakedämoniern in seiner Einseitigkeit geblieben ist; diese Einseitigkeit ist von den Atheniensern gemieden, und dadurch sind sie größer geworden. In Lakedämon war die Eigentümlichkeit, Persönlichkeit, Individualität nachgesetzt, und so, daß das Individuum nicht für sich seine freie Ausbildung, Äußerung haben konnte; sie war nicht anerkannt, daher nicht in Übereinstimmung gebracht, nicht in Einheit gesetzt mit dem allgemeinen Zweck des Staats. Dieses allgemeine Leben, dies Aufheben des Rechts der Besonderheit, der Subjektivität, ging bei den Lakedämoniern sehr weit; und wir finden dasselbe Prinzip in Platons Republik auf seine Weise.

> Aber das Allgemeine ist nur lebendiger Geist, insofern das einzelne Bewußtsein sich als solches in ihm findet, – das[372] Allgemeine nicht das unmittelbare Leben und Sein des Individuums, die Substanz nur ausmacht, sondern das bewußte Leben. Wie die Einzelheit, die von dem Allgemeinen sich trennt, ohnmächtig ist und zugrunde geht, ebenso kann die einseitige allgemeine, die seiende Sitte der Individualität nicht widerstehen. Der lakedämonische Geist, der auf die Freiheit des Bewußtseins nicht gerechnet und dessen Allgemeines sich von ihr isoliert hatte, mußte sie deswegen als dem Allgemeinen entgegengesetzt hervorbrechen sehen. Und wenn wir zuerst als Befreier Griechenlands von seinen Tyrannen die Spartaner auftreten sehen, denen selbst Athen die Verjagung der Nachkommen des Peisistratos verdankt, so geht ihr Verhältnis zu ihren Bundesgenossen bald in gemeine, niederträchtige Gewalt über und im Inneren, im Staate ebenso in eine harte Aristokratie sowie die festgesetzte Gleichheit des Eigentums (oder Bestimmtheit des Eigentums, daß bei jeder Familie ihr Erbgut bliebe und durch Verbannung eigentlichen Geldes und Handels und Wandels die Möglichkeit der Ungleichheit des Reichtums verbannt würde) in eine Habsucht über, die dem Allgemeinen entgegen brutal und niederträchtig wurde.

> Dies wesentliche Moment der Besonderheit, nicht in den Staat aufgenommen, damit nicht gesetzlich, sittlich (moralisch zunächst) gemacht, erscheint als Laster. Alle Momente der Idee sind vorhanden in einer vernünftigen Organisation; ist Leber isoliert als Galle, so würde sie darum nicht mehr und nicht weniger tätig sein, -aber als feindlich, sie zeigte sich als vom Körper, der leiblichen Ökonomie sich isolierend.

> Den Atheniensern hatte hingegen Solon nicht nur Gleichheit der Rechte, Einheit des Geistes zu ihrer Verfassung gemacht, sondern auch der Individualität ihren Spielraum gegeben, dem Volke (nicht Ephoren) die Staatsgewalt anvertraut, die es nach Verjagung seiner Tyrannen an sich nahm und so in Wahrheit ein freies Volk wurde. Der Einzelne hatte selbst das Ganze in ihm, sein Bewußtsein und Tun im Ganzen; Ausbildung des freien Bewußtseins muß sich darin finden.[373]

> Bei den Atheniensern war auch Demokratie und reinere Demokratie als in Sparta. Jeder Bürger hatte sein substantielles Bewußtsein in der Einheit mit den Gesetzen, mit dem Staate; aber zugleich war der Individualität, dem Geiste, dem Gedanken des Individuums freigelassen, sich zu gewähren, zu äußern, zu ergehen. So sehen wir in diesem Prinzip die Freiheit der Individualität in ihrer Größe auftreten. Das Prinzip der subjektiven Freiheit erscheint zunächst noch verbunden, in Einigkeit mit der allgemeinen Grundlage der griechischen Sittlichkeit, des Gesetzlichen, selbst mit der Mythologie; und so brachte es in seinem Ergehen, indem der Geist, das Genie seine Konzeptionen frei ausgebären konnte, diese großen Kunstwerke der bildenden schönen Künste und die unsterblichen Werke der Poesie und Geschichte hervor. Das Prinzip der Subjektivität hatte insofern noch nicht die Form angenommen, daß die Besonderheit als solche freigelassen, auch der Inhalt ein subjektiv besonderer, wenigstens im Unterschiede von der allgemeinen Grundlage, der allgemeinen Sittlichkeit, der allgemeinen Religion, den allgemeinen Gesetzen sein sollte. Wir sehen also nicht besonders modifizierte Einfälle haben, sondern den großen, sittlichen, gediegenen göttlichen Inhalt in diesen Werken für das Bewußtsein zum Gegenstande gemacht, vor das Bewußtsein überhaupt gebracht. Wir werden später sehen die Form der Subjektivität für sich freiwerden und in den Gegensatz treten gegen das Substantielle, die Sitte, die Religion, das Gesetz.

> Die Grundlage von diesem Prinzip der Subjektivität, aber die noch ganz allgemeine Grundlage, sehen wir im Anaxagoras. Er lebte etwas früher als Sokrates, aber sie kannten sich noch. Er kam in dieser Zeit, deren Prinzip eben angegeben ist, nach Athen.

> Athen, nach den persischen Kriegen, unterwarf sich den größten Teil der griechischen Inseln sowie eine Menge Seestädte in Thrakien und sonst weiter hinein ins Schwarze Meer. In diesem edlen, freien, gebildeten Volke der Erste[374] des Staats zu sein, – dies Glück wurde Perikles, und dieser Umstand erhebt ihn in der Schätzung der Individualität so hoch, wie wenige Menschen gesetzt werden können. Von allem, was groß unter den Menschen ist, ist die Herrschaft über den Willen der Menschen, die einen Willen haben, das Größte, denn diese herrschende Individualität muß wie die allgemeinste, so die lebendigste sein, – ein Los für Sterbliche, wie es wenige oder keins mehr gibt. Die Größe seiner Individualität war ebenso tief als durchgebildet, ebenso ernst (er hat nie gelacht) als energisch und ruhig; Athen hatte ihn den ganzen Tag. Von Perikles sind uns bei Thukydides einige Reden an das Volk erhalten, denen es wohl wenige Werke an die Seite zu setzen gibt. Unter Perikles findet sich die höchste Ausbildung des sittlichen Gemeinwesens, der Schwebepunkt, wo die Individualität noch unter und im Allgemeinen gehalten ist. Gleich darauf wird die Individualität übermächtig, indem ihre Lebendigkeit in die Extreme gefallen, da der Staat noch nicht als Staat selbständig in sich organisiert ist. Indem das Wesen des athenischen Staats der allgemeine Geist, der Religionsglaube an dies ihr Wesen war, so verschwindet mit dem Verschwinden dieses Glaubens das innere Wesen des Volks, da der Geist nicht als Begriff wie in unseren Staaten ist. Der rasche Übergang hierzu ist der nous die Subjektivität, als Wesen, Reflexionin-sich, – nicht Abstraktion.
Athen war der Sitz, ein Kranz von Sternen der Kunst und Wissenschaft. Wie sich die größten Künstler in Athen sammelten, ebenso haben sich die berühmtesten Philosophen und Sophisten dort aufgehalten: Aischylos, Sophokles, Aristophanes, Thukydides, Diogenes von Apollonia, Protagoras, Anaxagoras und andere Kleinasiaten. Kleinasien selbst fiel unter die Herrschaft der Perser, und mit dem Verluste ihrer Freiheit starb auch die Philosophie bei ihnen aus.

> Anaxagoras lebte in dieser Zeit in Athen, ein Freund des[375] Perikles, ehe dieser mit Staatsgeschäften sich beschäftigte. Aber es wird auch gesagt, er sei in Dürftigkeit gekommen, weil Perikles ihn vernachlässigt habe, – die Lampe nicht mit 01 versehen, die ihn erleuchtet.

> Wichtiger ist, daß Anaxagoras, wie nachher Sokrates und viele andere Philosophen, angeklagt wurde wegen Verachtung der Götter, welche das Volk dafür nähme. Es tritt Gegensatz der Prosa des Verstandes gegen poetisch religiöse Ansicht ein. Bestimmt wird erzählt, Anaxagoras habe die Sonne, die Sterne für glühende Steine gehalten (es wird ihm auch, nach anderen, Schuld gegeben, etwas, das die Propheten für ein Wunder – Omen – ausgegeben, auf natürliche Weise erklärt zu haben); es steht damit in Verbindung, daß er es vorausgesagt haben soll, daß am Tage von Aigos Potamos, wo die Athener gegen Lysander ihre letzte Flotte verloren, ein Stein vom Himmel fiel.
Überhaupt konnte schon bei Thales, Anaximander usf. die Bemerkung gemacht werden, daß sie Sonne, Mond, Erde und Gestirne zu Dingen machten und sie auf verschiedene Weise vorstellten, – Vorstellungen, die übrigens keine weitere Beachtung verdienen; denn diese Seite gehört eigentlich der Bildung. Alle ihre Vorstellungen von solchen Gegenständen enthalten das Gemeinschaftliche, daß die Natur durch sie entgöttert worden. Sie vertilgten die poetische Ansicht der Natur, die allem, was sonst jetzt für leblos gilt, ein eigentliches Leben, etwa auch Empfinden und, wenn man will, ein Sein überhaupt nach Weise des Bewußtseins zuschrieb. Diese poetische Ansicht zogen sie in die prosaische herab. Die Sonne wird als materielles Ding genommen, wie wir sie dafür halten, ist nicht mehr lebendiger Gott; diese Gegenstände sind uns bloße Dinge, dem Geiste äußerliche, geistlose Gegenstände. Dinge kann man herleiten von Denken. Dies[376] Denken tut wesentlich, daß es solche Gegenstände, Vorstellungen davon, die man göttlich, poetisch nennen kann, mit dem ganzen Umfange des Aberglaubens, verjagt, sie herabsetzt zu dem, was man natürliche Dinge nennt. Denn im Denken weiß der Geist sich als das wahrhaft Seiende, Wirkliche. Denken ist die Identität seiner und des Seins; für den Geist setzt sich im Denken das Ungeistige, Äußerliche zu Dingen herab, zum Negativen des Geistes.

> Der Verlust jener Ansicht ist nicht zu beklagen, als ob damit die Einheit mit der Natur, schöner Glaube, unschuldige Reinheit und Kindlichkeit des Geistes verlorengegangen wäre. Unschuldig und kindlich mag sie wohl sein; aber die Vernunft ist eben das Herausgehen aus solcher Unschuld und Einheit mit der Natur. Sobald der Geist sich selbst erfaßt, für sich ist, muß er eben darum das Andere seiner sich als ein Negatives des Bewußtseins entgegensetzen, d.h. zu einem Geistlosen, zu bewußt- und leblosen Dingen bestimmen – und erst aus diesem Gegenstande zu sich kommen. Es ist dies diese Befestigung der sich bewegenden Dinge, die wir in den Mythen der Alten antreffen, die z.B. erzählen, daß die Argonauten die Felsen an der Meerenge des Hellesponts, die vorher wie Scheren sich bewegt hätten, festgestellt haben. Ebenso befestigte die fortschreitende Bildung das, was vorher eigene Bewegung und Leben in sich selbst zu haben gemeint wurde, und machte es zu ruhenden Dingen.
Dieser Übergang solcher mythischen Ansicht zur prosaischen kommt hier zum Bewußtsein der Athenienser. Solche prosaische Ansicht setzt voraus, daß dem Menschen innerlich ganz andere Forderungen aufgehen, als er sonst gehabt hat. Darin liegen also die Spuren der wichtigen, notwendigen Konversion, die in den Vorstellungen der Menschen durch das Erstarken des Denkens, durch das Bewußtsein seiner selbst, durch die Philosophie gemacht ist.

> Die Erscheinung solcher Anklage des Atheismus, die wir noch ausführlicher bei Sokrates berühren werden, ist bei Anaxagoras äußerlich aus dem näheren Grunde begreiflich,[377] daß die Athener auf Perikles eifersüchtig waren; daß die mit Perikles um den ersten Platz in Athen wetteiferten und ihn nicht unmittelbar (öffentlich) anzutasten wagten, seine Lieblinge gerichtlich angriffen und der Neid ihn durch die Anklage seines Freundes zu kränken suchte. So hatte man auch seine Freundin Aspasia zur Anklage gebracht; und der edle Perikles mußte, um sie von der Verdammung zu retten, die einzelnen Bürger Athens mit Tränen um ihre Lossprechung bitten. Das athenische Volk forderte in seiner Freiheit an seine Machthaber, denen es ein Übergewicht zuließ solche Akte, durch welche sie sich ebenso das Bewußtsein ihrer Demütigung vor dem Volke gaben; das Volk revanchierte sich so für das Übergewicht, welches die großen Männer hatten, übte selbst die Nemesis und setzte sich in Gleichgewicht mit ihnen, so wie sie wiederum das Gefühl ihrer Abhängigkeit, Unterwürfigkeit und Machtlosigkeit vor ihm dartaten.

> Die Nachrichten über den Erfolg dieser Anklage des Anaxagoras sind ganz widersprechend und zweifelhaft; wenigstens befreite ihn Perikles von der Verurteilung zum Tode. Und entweder wurde er, nach einigen, nur zur Verbannung verurteilt, nachdem Perikles ihn vor das Volk geführt und für ihn sprach und bat, der schon durch sein Alter und Abzehrung und Schwäche das Mitleid des Volkes erregte. Oder andere sagen, er sei mit Hilfe des Perikles aus Athen geflohen und wurde abwesend zum Tode verurteilt und das Urteil nicht an ihm vollzogen. Oder andere sagen, er sei freigesprochen worden; aber aus Verdruß über diese Anklage und Besorgnis ihrer Wiederholung habe er Athen freiwillig verlassen, und im etlichen und 60. oder 70. Jahre sei er in Lampsakos in der 88. Olympiade (428 v. Chr.) gestorben.

### The general principle of thought

> Der Zusammenhang seiner Philosophie mit den vorhergehenden ist: In Heraklits Idee als Bewegung sind alle Momente absolut verschwindende; Empedokles ist Zusammenfassen dieser Bewegung in die Einheit, aber eine synthetische, ebenso Leukipp und Demokrit, – aber so, daß bei Empedokles die Momente dieser Einheit die seienden Elemente des Feuers, Wassers usf. sind, bei diesen aber reine Abstraktionen, an sich seiende Wesen, Gedanken; hierdurch aber ist unmittelbar die Allgemeinheit gesetzt, denn die Entgegengesetzten haben keinen sinnlichen Halt mehr. Die Einheit kehrt als allgemeine in sich zurück aus der Entgegensetzung (in dem Synthesieren ist das Entgegengesetzte noch getrennt von ihr für sich, nicht der Gedanke selbst das Sein), – der Gedanke, als reiner freier Prozeß in sich selbst, das sich selbst bestimmende Allgemeine, nicht unterschieden vom bewußten Gedanken. Im Anaxagoras tut sich ein ganz anderes Reich auf.

> Aristoteles sagt: »Anaxagoras hat erst diese Bestimmungen angefangen«, – ist also der erste, der das absolute Wesen als Verstand oder Allgemeines aussprach, als Denken (nicht Vernunft). Aristoteles und dann andere nach ihm führen das trockene Faktum an, daß ein Hermotimos auch aus Klazomenai dazu Veranlassung gegeben; aber deutlich, bestimmt habe dies Anaxagoras getan. Damit ist dann wenig gedient, da wir weiter nichts erfahren von Hermotimos' Philosophie; viel mag es nicht gewesen sein. Andere haben viel historische Untersuchungen über diesen Hermotimos angestellt. Dieser Name kommt noch einmal vor: α) Wir haben ihn schon angeführt in der Liste derer, von denen erzählt wird, daß Pythagoras, vor seinem Leben als Pythagoras, sie gewesen sei. β) Wir haben eine Geschichte von[379] Hermotimos: er habe nämlich die eigene Gabe besessen, als Seele seinen Leib zu verlassen. Dies sei ihm aber am Ende schlecht bekommen, denn seine Frau, mit der er Händel hatte und die sonst wohl wußte, wie es damit war, zeigte diesen von seiner Seele verlassenen Leib ihren Bekannten als tot, und er wurde verbrannt, ehe die Seele sich eingestellt hatte, die sich freilich wird verwundert haben. Es ist nicht der Mühe wert, zu untersuchen, was dieser alten Geschichte zugrunde liegt, d.h. wie wir die Sache ansehen wollen; man könnte an Verzückung dabei denken. Wir haben eine Menge solcher Geschichten von alten Philosophen, wie von Pherekydes, Epimenides usf.; daß dieser z.B. (eine Schlafmütze) siebenundfünfzig Jahre geschlafen habe.

> {#DasPrinzipDesAnaxagorasWar} Das Prinzip des Anaxagoras war, daß er den [[nous]] Gedanken oder Verstand überhaupt, als das einfache Wesen der Welt, für das Absolute erkannt hat. Die Einfachheit des nous ist nicht ein Sein, sondern Allgemeinheit (Einheit). Allgemeines ist einfach und von sich unterschieden, – aber so, daß der Unterschied unmittelbar aufgehoben wird und diese Identität gesetzt, für sich ist, das Wesen nicht ein Scheinen in sich, Einzelheit – Reflexion an und für sich bestimmt – ist. Dies Allgemeine für sich, abgetrennt, existiert rein nur als Denken. Es existiert auch als Natur, gegenständliches Wesen, aber dann nicht mehr rein für sich, sondern die Besonderheit als ein Unmittelbares an ihm habend; so Raum und Zeit z.B., das Ideellste, Allgemeinste der Natur als solcher. Aber es gibt keinen reinen Raum und Zeit und Bewegung, sondern dies Allgemeine hat die Besonderheit unmittelbar an ihm, – bestimmter Raum, Luft, Erde man kann keinen reinen Raum zeigen, sowenig als die Materie. Denken ist also dies Allgemeine, aber rein für sich: Ich bin Ich, Ich = Ich. Ich unterscheide eins von mir, aber dieselbe reine Einheit bleibt, – nicht Bewegung, ein Unterschied,[380] der nicht unterschieden, Fürmichsein. Und in allem, was ich denke, wenn das Denken einen bestimmten Inhalt hat, so ist es mein Gedanke, – ich bin mir in diesem Gegenstande ebenso bewußt.

> {#DiesAllgemeineSoFuerSichSeiende} Dies Allgemeine, so für sich Seiende, tritt aber ebenso dem Einzelnen – oder der Gedanke dem Seienden – bestimmt gegenüber. Hier wäre nun die spekulative Einheit dieses Allgemeinen mit dem Einzelnen zu betrachten, wie diese als absolute Einheit gesetzt ist; aber dies wird freilich bei den Alten nicht angetroffen, – den Begriff selbst zu begreifen. Den sich zu einem System realisierenden, als Universum organisierten Verstand, diesen reinen Begriff haben wir nicht zu erwarten. Wie Anaxagoras den [[nous]] erklärt, den Begriff desselben gegeben, gibt Aristoteles näher an: Das Allgemeine hat die zwei Seiten, α) reine Bewegung zu sein, und β) das Allgemeine, Ruhende, Einfache. Es ist darum zu tun, das Prinzip der Bewegung aufzuzeigen, – daß dies das Sichselbstbewegende und dies das Denken (als für sich existierend) ist. So Aristoteles. »Nous ist ihm (Anaxagoras) dasselbe mit Seele.« So unterscheiden wir Seele als das Sichselbstbewegende, unmittelbar Einzelne; aber als einfach ist der nous das Allgemeine. Der Gedanke bewegt um etwas willen, der Zweck ist das erste Einfache (die Gattung ist Zweck), er ist das Erste, welches sich zum Resultate macht, – bei den Alten Gutes und Böses, d.h. eben Zweck als Positives und als Negatives.

> Diese Bestimmung ist eine sehr wichtige; sie hatte auch bei Anaxagoras noch keine große Ausführung. Während die bisherigen Prinzipien (Aristoteles unterscheidet zuerst Qualität, poion dann Materie und Stoff) stoffartig sind, außer dem Heraklitischen Prozeß, der drittens Prinzip der Bewegung ist, so tritt viertens das Umweswillen, die Zweckbestimmung mit dem nous ein. Dies ist das in sich Konkrete. Aristoteles fügt nach der oben (S. 217) angeführten Stelle[381] hinzu: »Nach diesen« (Ioniern und anderen) »und nach solchen Ursachen« (Wasser, Feuer usf.), »da sie nicht hinreichend sind, die Natur der Dinge zu erzeugen (gennêsai), sind die Philosophen von der Wahrheit selbst, wie schon gesagt, gezwungen worden, weiter zu gehen nach dem damit verbundenen Prinzip (tên echomenên archên). Denn daß auf einer Seite alles sich gut und schön verhalte, anderes aber erzeugt werde, – dazu ist weder die Erde noch sonst ein Prinzip hinreichend, auch scheinen jene dies nicht gemeint zu haben, noch macht es sich gut (kalôs echei), dem Selbstbewegen und dem Zufall (automatô kai tychê) ein solches Werk zu überlassen.« Gut und schön drückt den einfachen, ruhenden Begriff aus, Veränderung den Begriff in seiner Bewegung.

> Mit diesem Prinzip kommen nun folgende Bestimmungen herein: a) Verstand überhaupt ist die sich selbst bestimmende Tätigkeit; dies fehlte bisher. Das Werden des Heraklit, was nur Prozeß ist (eimarenê), ist noch nicht das sich selbständig, unabhängig Bestimmende. In der sich selbst bestimmenden Tätigkeit ist zugleich enthalten, daß die Tätigkeit, indem sie den Prozeß macht, sich erhält als das Allgemeine, Sichselbstgleiche. Das Feuer (der Prozeß nach Heraklit) erstirbt; es ist Übergang ins Andere, keine Selbständigkeit. Es ist auch Kreis, Rückkehr zum Feuer; aber das Prinzip erhält sich in seinen Bestimmungen nicht. Es ist nur Übergehen ins Entgegengesetzte gesetzt, – nicht das Allgemeine, welches sich in beiden Formen erhält. ß) Bestimmung der Allgemeinheit liegt darin, wenn sie auch noch nicht förmlich ausgedrückt ist; es bleibt in der Beziehung auf sich in der Bestimmung. Darin liegt 7) Zweck, das Gute.

> Ich habe schon neulich (S. 348 f.) auf den Begriff des Zwecks aufmerksam gemacht. Wir dürfen dabei nicht bloß an die Form des Zwecks denken, wie er in uns, in den Bewußten ist. Wir haben einen Zweck; er ist meine Vorstellung, sie ist[382] für sich, kann sich realisieren oder auch nicht. Es liegt im Zweck die Tätigkeit des Realisierens, wir vollführen diese Bestimmung; und das Produzierte muß dem Zwecke gemäß sein, – wenn man nicht ungeschickt ist, muß das Objekt nichts anderes enthalten als der Zweck. Es ist ein Übergang von der Subjektivität zur Objektivität: ich bin unzufrieden mit meinem Zweck, daß er nur subjektiv ist; meine Tätigkeit ist, ihm diesen Mangel zu benehmen und ihn objektiv zu machen. In der Objektivität hat sich der Zweck erhalten. Ich habe z.B. den Zweck, ein Haus zu bauen, ich bin deshalb tätig; es kommt heraus das Haus, der Zweck ist darin realisiert.

> Wir müssen aber nicht bei der Vorstellung von diesem subjektiven Zweck stehenbleiben, wo beide, ich und der Zweck, selbständig existieren, wie wir dies gewöhnlich tun. Z.B. Gott, als weise, regiert nach Zwecken; da ist die Vorstellung, daß der Zweck für sich ist, in einem vorstellenden, weisen Wesen. 

> {DasAllgemeineDesZwecks} Das Allgemeine des Zwecks ist aber, daß er eine für sich feste Bestimmung ist und daß dann diese Bestimmung, die durch die Bestimmung der Tätigkeit gesetzt ist, weiter tätig ist, den Zweck zu realisieren, ihm Dasein zu geben; aber dies Dasein ist beherrscht durch den Zweck, und er ist darin erhalten. Dies ist, daß der Zweck das Wahrhafte, die Seele einer Sache ist. Das Gute gibt sich selbst Inhalt, indem es mit diesem Inhalt tätig ist, dieser Inhalt sich an Anderes wendet, so erhält sich in der Realität die erste Bestimmung, und es kommt kein anderer Inhalt heraus. Was vorher schon vorhanden war, und was nachher ist, nachdem der Inhalt in die Äußerlichkeit getreten ist, beides ist dasselbe; und das ist der Zweck.

> {#DasGroessteBeispielBietetDasLebendige} Das größte Beispiel hiervon bietet das Lebendige dar; es erhält sich so, weil es an sich Zweck ist. Das Lebendige existiert, arbeitet, hat Triebe, diese Triebe sind seine Zwecke; es weiß nichts von diesen Zwecken, es ist bloß lebendig, – es sind erste Bestimmungen, die fest sind. Das Tier arbeitet, diese Triebe zu befriedigen, d.h. den Zweck zu erreichen; es verhält sich zu äußeren Dingen, teils mechanisch, teils chemisch. Aber das Verhältnis seiner Tätigkeit bleibt nicht mechanisch, chemisch. Das Produkt, das Resultat ist vielmehr das Tier selbst, es ist Selbstzweck, es bringt in seiner Tätigkeit nur sich selbst hervor; jene mechanischen usf. Verhältnisse werden darin vernichtet und verkehrt. Im mechanischen und chemischen Verhältnis ist dagegen das Resultat ein Anderes; das Chemische erhält sich nicht. Im Zwecke aber ist das Resultat der Anfang, – Anfang und Ende sind gleich. Selbsterhaltung ist fortdauerndes Produzieren, wodurch nichts Neues entsteht – Zurücknahme der Tätigkeit zum Hervorbringen seiner selbst –, immer nur das Alte.


#### From the Sophists to the Socratics

##### A. Sophists

###### 1. Protagoras

###### 2. Gorgias

##### B. Socrates
 {#Socrates}

* [[Socrates]]

##### C. Socratics

#### Plato and Aristotele

##### A. Plato
 {#Plato}

**[[Plato]]**

1. [Dialectic](#PlatoDialectic)

1. [Natural philosophy](#PlatoNaturalPhilosophy)

1. [Philosophy of spirit](#PlatoPhilosophyOfSpirit)

###### 1. Dialectic
 {#PlatoDialectic}

> Das formelle Philosophieren vermag die [[dialectic|Dialektik]] nicht anders zu betrachten, als daß sie eine Kunst sei, das Vorgestellte oder auch die Begriffe zu verwirren, das Nichts derselben aufzuzeigen, so daß ihr Resultat nur negativ ist. Diese Dialektik sehen wir bei Platon häufig, teils in den mehr eigentlich sokratischen, moralischen Dialogen, teils auch in den vielen Dialogen, welche sich auf die Vorstellung der Sophisten von der Wissenschaft beziehen. Aber der Begriff der wahrhaften Dialektik ist, daß sie die notwendige Bewegung der reinen Begriffe aufzeigt, nicht als ob sie dieselben dadurch in Nichts auflöste, sondern eben das Resultat ist, daß sie diese Bewegung sind und (das Resultat einfach ausgedrückt) das Allgemeine eben die Einheit solcher entgegengesetzten Begriffe. Das vollkommene Bewußtsein über diese Natur der Dialektik finden wir nun zwar nicht bei Platon, aber sie selbst, nämlich das absolute Wesen auf diese Weise in reinen Begriffen erkannt, und die Darstellung der Bewegung dieser Begriffe.

> Was das Studium der Platonischen Dialektik erschwert, ist diese Entwicklung und das Aufzeigen des Allgemeinen aus den Vorstellungen. Dieser Anfang, der das Erkennen zu erleichtern scheint, macht wieder die Schwierigkeit größer, da er in ein Feld hineinzieht, worin ganz anderes gilt als in der Vernunft, und dies Feld gegenwärtig macht, dahingegen, wenn in den reinen Begriffen allein fortgegangen und sich bewegt wird, gar nicht an jenes erinnert wird. Allein gerade dadurch gewinnen die Begriffe auch größere Wahrheit. Denn die rein logische Bewegung scheint uns sonst leicht für sich zu sein, ein eigenes Land, welches ein anderes neben ihm hat, das ebenso auch gilt. Aber indem sie dort zusammengebracht werden, so erscheint das Spekulative erst in seiner Wahrheit, daß es nämlich die einzige Wahrheit ist, – die Verwandlung des sinnlichen Meinens in das Denken.

> Es ist schon früher bei Sokrates bemerkt, daß zum Teil das Interesse der Sokratischen Bildung war, zunächst das Allgemeine im Menschen zum Bewußtsein zu bringen. Dies können wir von hier aus als abgetan ansehen und nur bemerken, daß eine Menge von Dialogen des Platon bloß darauf gehen, eine allgemeine Vorstellung zum Bewußtsein zu bringen, von der wir weiter keine Mühe haben; so erregt die Weitläufigkeit des Platon oft Überdruß.

> In unserem Bewußtsein ist zunächst das Einzelne, das unmittelbar Einzelne, das sinnlich Reale, oder es sind auch Verstandesbestimmungen, die uns als ein Letztes, Wahrhaftes gelten. Wir nehmen so das Äußerliche, Sinnliche, Reale im Gegensatz zum Ideellen. Dies ist aber das Allerrealste, das allein Reale; und daß es das einzig Reale ist, ist die Einsicht Platons: Das Allgemeine ist das Ideelle, das Wahre ist das Allgemeine, der Gedanke bestimmt gegen das Sinnliche. Der Inhalt vieler Dialoge ist, zu zeigen, daß das, was als Einzelnes, Vieles ist, nicht das Wahrhafte sei: man muß im Einzelnen nur das Allgemeine betrachten. Das Allgemeine ist zunächst unbestimmt, es ist die Abstraktion und ist als solche nicht konkret in sich; aber es kommt wesentlich auf die weitere Bestimmung des Allgemeinen in sich an. Dieses Allgemeine hat nun Platon die Idee (eidos) genannt, was wir zunächst Gattung, Art übersetzen; und die Idee ist auch allerdings die Gattung, die Art, die aber mehr durch den Gedanken gefaßt ist, mehr für den Gedanken ist. Man muß deshalb aber nicht unter Idee etwas Transzendentales, weit Hinausliegendes sich denken; eidos; ist nicht in der Vorstellung substantiiert, isoliert, sondern die Gattung, das Genus. Idee ist uns geläufiger unter dem Namen des Allgemeinen. Das Schöne, das Wahre, Gute für sich selbst ist Gattung. Wenn freilich unser Verstand meint, Gattung sei nur dies, daß das Äußerliche für uns zum Merkmal, zur Bequemlichkeit zusammengefaßt sei – sie sei ein Zusammenfassen von gleichen Bestimmungen, von mehreren Einzelnen, gemacht durch unsere Reflexion –, so haben wir allerdings das Allgemeine in ganz äußerer Form. Das Tier ist Gattung, es ist lebendig; dies ist seine Gattung, die Lebendigkeit ist sein Substantielles, Wahres, Reelles; nimmt man dem Tier das Leben, so ist es nichts.

> Das Bestreben Platons war nun, diesem Allgemeinen eine Bestimmung zu geben. Das nächste ist die Einsicht, daß das Sinnliche, das unmittelbar Seiende, die Dinge, die uns erscheinen, nichts Wahres sind, weil sie sich verändern, durch Anderes bestimmt werden, nicht durch sich selbst. Dies ist eine Hauptseite, von der Platon oft ausgeht. Das Sinnliche, Beschränkte, Endliche ist das, was nur ist im Verhältnis zu einem Anderen, nur relativ ist; dies ist nichts Wahres im objektiven Sinn, wenn wir auch ganz wahre Vorstellungen davon haben. Es ist an ihm selbst nicht wahr; es ist sowohl es selbst als das Andere, das auch als Seiendes gilt; es ist so der Widerspruch und der unaufgelöste Widerspruch; es ist, und das Andere hat Macht in ihm. Gegen diese Form des Endlichen ist die Dialektik des Platon besonders gerichtet. 

> Es ist schon früher erinnert, daß die Platonische Dialektik den Zweck hat, die endlichen Vorstellungen der Menschen zu verwirren und aufzulösen, um das Bedürfnis der Wissenschaft, diese Richtung auf das, was ist, in ihrem Bewußtsein hervorzubringen. Viele Dialoge des Platon haben diesen Zweck, und sie enden ohne einen affirmativen Inhalt. Ein Inhalt, den er sehr oft behandelt, ist, daß er von der Tugend, Wissenschaft aufzeigt, daß nur eine Tugent, nur eins das Wahre ist; er mache dann so das allgemeine Gute hervorgehen aus den besonderen Tugenden. Die Dialektik hat insofern das Interesse, hat die Wirkung, das Besondere zu konfundieren; und dies geschieht dadurch, daß aufgezeigt wird seine Endlichkeit, die Negation, die in ihm vorhanden ist, daß es nicht in der Tat ist, was es ist, sondern in sein Gegenteil übergehe, daß es eine Grenze hat, eine Negation seiner, die ihm wesentlich ist. Wird diese aufgezeigt, festgehalten, so vergeht es, ist ein Anderes als das, für welches es angenommen wird. Diese Dialektik ist die Bewegung des Gedankens; sie ist wesentlich auf äußerliche Weise, für das reflektierende Bewußtsein nötig, um das Allgemeine, was unsterblich ist, an und für sich ist, unveränderlich ist, hervorgehen zu lassen. Die Dialektik, um das Besondere aufzulösen und so das Allgemeine zu produzieren, ist noch nicht die wahrhafte Dialektik, noch nicht in ihrer wahrhaften Richtung; es ist eine Dialektik, die Platon gemeinschaftlich hat mit den Sophisten, die es sehr gut verstanden haben, das Besondere aufzulösen.

> Die weitere Dialektik hat dann die Bestimmung, das Allgemeine, das durch die Verwirrung des Besonderen hervorgeht, in ihm selbst zu bestimmen und in ihm die Gegensätze aufzulösen, so daß diese Auflösung des Widerspruchs das Affirmative ist. So ist das Allgemeine bestimmt als das, welches die Widersprüche, die Gegensätze in sich auflöst, in sich aufgelöst hat, mithin als das Konkrete, als das in sich Konkrete. Die Dialektik in dieser höheren Bestimmung ist die eigentlich Platonische. So ist die Dialektik als spekulativ, nicht mit einem negativen Resultat endigend; sondern sie zeigt die Vereinigung der Gegensätze auf, die sich vernichtet haben. Hier fängt das für den Verstand Schwierige an. Auch Platon ist selbst noch auf räsonierende Weise dialektisch; die Form der Methode ist noch nicht rein für sich ausgebildet. Seine Dialektik ist oft bloß räsonierend, von einzelnen Gesichtspunkten ausgehend; oft hat sie nur ein negatives Resultat, oft ist sie ohne Resultat. Andererseits ist Platon selbst gegen diese nur räsonierende Dialektik gerichtet, aber man sieht, daß es nicht ohne Schwierigkeit ist; es macht ihm Mühe, den Unterschied gehörig hervorzuheben.

> Was nun die spekulative Dialektik des Platon anbetrifft, so ist dies, was bei ihm anfängt, das Interessanteste, aber auch das Schwierigste in seinen Werken, – so daß man es gewöhnlich nicht kennenlernt, indem man Platonische Schriften studiert. Das Wichtigste in der Platonischen Philosophie ist bei Tennemann gerade gar nicht aufgefaßt, – einiges als dürre ontologische Bestimmungen zusammengetragen. Es ist geistlos, zu sehen beim Platon, ob was für sie abfällt.

> Was sind nun dies für Gedanken, auf die es ankommt? Was sind die reinen Gedanken? Denn die dianoia unterscheidet Platon davon. Man kann über vieles Gedanken haben, wenn man übrigens Gedanken hat. So meint es Platon nicht. Die wahrhaft spekulative Größe Platons, das, wodurch er Epoche macht in der Geschichte der Philosophie und damit in der Weltgeschichte überhaupt, ist die nähere Bestimmung der Idee, – eine Erkenntnis, welche denn einige Jahrhunderte später überhaupt das Grundelement in der Gärung der Weltgeschichte und der neuen Gestaltung des menschlichen Geistes ausmacht.

> Diese nähere Bestimmung kann aus dem Vorhergehenden so gefaßt werden, daß Platon α) das Absolute gefaßt hat als das Sein des Parmenides, aber als das Allgemeine identisch mit dem Nichts, wie Heraklit sagt: das Sein ist sowenig als das Nichts, – dies Werden in einem; β) die pythagoreische Dreiheit (in Zahlbestimmungen) in Gedanken ausgedrückt hat, überhaupt das Absolute als Einheit des Seins und Nichtseins, Einen und Vielen gefaßt hat. Platon ist Vereinigung der vorhergehenden Prinzipien: α) Sein, aber als Allgemeines, Gutes, Wahres, Schönes, bestimmt als Gattung, Zweck, d.h. über das Besondere, Mannigfaltige herrschend es durchdringend, produzierend; – diese selbstproduzierende Tätigkeit ist noch nicht entwickelt, Platon verfällt oft in äußerliche Zweckmäßigkeit; β) Bestimmtheit, Unterschied, pythagoreische Zahlen; γ) Heraklits Veränderung und eleatische Dialektik: letztere äußerliches Tun des Subjekts, den Widerspruch zu zeigen, – jetzt objektive Dialektik (Heraklit), Veränderung, Übergehen der Dinge an ihnen selbst d. i. der Ideen, d. i. hier ihrer Kategorien, nicht die äußerliche Veränderlichkeit, sondern inneres Übergehen aus und durch sich selbst; δ) Sokrates' Denken, das Sokrates nur zum Behuf der moralischen Reflexion-in-sich des Subjekts aufgegeben, als objektiv, – die Idee ist Allgemeines, Gedanke, und ist. Die vorhergehenden Philosophien verschwinden, nicht weil sie widerlegt sind, sondern in ihm.

> Platons Untersuchung versiert ganz im reinen Gedanken; und die reinen Gedanken an und für sich betrachten, heißt Dialektik. Viele seiner Dialoge sind so dialektisch. Solche reine Gedanken sind: Sein und Nichtsein (to on, to ouk on), das Eine und Viele, das Unendliche (Unbegrenzte) und Begrenzte (Begrenzende). Dies sind die Gegenstände, die er für sich betrachtet, – also die rein logische, abstruseste Betrachtung; dies kontrastiert dann freilich sehr mit der Vorstellung von dem schönen, anmutigen, gemütlichen Inhalt des Platon. Diese Betrachtung ist ihm überhaupt das Höchste der Philosophie.

> Dies ist es, was Platon überall als das wahrhafte Philosophieren und Erkennen der Wahrheit ausspricht; darin setzt er den Unterschied des Philosophen vom Sophisten. Die Sophisten betrachten dagegen das Erscheinende (halten es in der Meinung fest), – auch Gedanken, aber nicht die reinen Gedanken, das, was an und für sich ist. Dies ist eine Seite, daß mancher unbefriedigt von dem Studium der Platonischen Werke weggeht. Die angenehmen Einleitungen versprechen, auf einem blumigen Pfade in die Philosophie – und in die höchste, die Platonische – einzuführen. Das geht bald aus. Siehe, da kommen dann als das Höchste die Untersuchungen über das Eine und Viele, Sein und Nichts. So war's nicht gemeint; und man geht still davon weg. Man wundert sich, daß Platon darin die Erkenntnis sucht. Es gehört zum Studium der Dialoge Platons ein interesseloser, gleichgültiger Geist. Wenn man einen Dialog anfängt so findet man eine herrliche Einleitung, schöne Szenen; man findet darin Erhebendes, für die Jugend besonders zusagend. Hat man sich von dem erst einnehmen lassen, so kommt man an das eigentlich Dialektische, an das Spekulative. So geschieht es z.B. im Phaidon, den Mendelssohn modernisiert und in Wolffische Metaphysik verwandelt hat; Anfang und Ende ist erhebend, schön, die Mitte läßt sich mit der Dialektik ein. Hat man sich durch jene schönen Szenen erheben lassen, so muß man jetzt darauf verzichten und sich von den Dornen und Disteln der Metaphysik stechen lassen. Es werden so sehr heterogene Stimmungen erfordert, um die Dialoge Platons durchzugehen, und eine Gleichgültigkeit gegen die verschiedenen Interessen. Liest man mit dem Interesse der Spekulation, so überschlägt man das, was als das Schönste gilt; hat man das Interesse der Erhebung, Erbauung usf., so übergeht man das Spekulative, findet es seinem Interesse unangemessen. Es geht einem wie dem Jünglinge in der Bibel, der dies und das getan und Christus fragte, was er tun solle, ihm zu folgen. Aber als der Herr ihm gebot: Verkauf deine Sachen und gib sie den Armen, so ging der Jüngling traurig fort; so war es nicht gemeint. So haben es manche gut gemeint mit der Philosophie. Vom Wahren, Guten und Schönen ist ihnen die Brust voll, möchten's erkennen und schauen, und was wir tun sollen; haben $[$J. F.$]$ Fries und Gott weiß wen studiert, ihre Brust schwillt vom guten Willen.

> Die dialektische Bewegung im Gedanken hat nun Verhältnis zum Allgemeinen. Das ist die Bestimmung der Idee; sie ist das Allgemeine, aber als das sich selbst Bestimmende, das konkret in sich ist. Dieses kommt nur durch Bewegung in solchen Gedanken, die Gegensatz, Unterschied in sich enthalten. Die Idee ist dann Einheit dieser Unterschiede; und so ist sie bestimmte Idee. Das ist Hauptseite in der Erkenntnis. Sokrates blieb beim Guten, Allgemeinen, an sich konkreten Gedanken stehen; er hat sie nicht entwickelt, nicht durch die Entwicklung aufgezeigt. Durch die dialektische Bewegung und Reduktion zum Resultate würde man die bestimmte Idee erhalten. Es ist nun Mangel bei Platon, daß beides auseinanderfällt. Er spricht von Gerechtigkeit, Gutem, Wahrem. Es ist dabei nicht ihre Entstehung aufgezeigt; sie erscheinen nicht als Resultat, sondern als unmittelbar aufgenommene Voraussetzung. Das Bewußtsein hat die unmittelbare Überzeugung, daß sie der höchste Zweck sind aber diese ihre Bestimmtheit ist nicht gefunden. Viele Dialoge enthalten so nur negative Dialektik; das ist die sokratische Unterredung. Zwecke, Vorstellungen, Meinungen der Individuen werden verwirrt, um Bedürfnis nach Erkenntnis zu erwecken. Dies läßt uns unbefriedigt, weil die Konfusion das Letzte ist. Konkrete Vorstellungen, nicht reine Gedanken werden behandelt. Andere Dialoge stellen Dialektik reiner Gedanken dar; so der Parmenides. Das dogmatische Werk Platons über die Ideen ist verloren; in seinen mündlichen Reden verfuhr er auch systematisch. Aber es sind auch noch Dialoge über diesen Gegenstand übrig, die, eben weil sie mit dem reinen Gedanken umgehen, darum auch zu den schwersten gehören: nämlich der Sophist, Philebos und besonders auch Parmenides. Diese abstrakt spekulative Idee finden wir zunächst im Sophisten und dann im Philebos in ihrem reinen Begriffe ausgedrückt. Das Zusammenfassen der Gegensätze in Eines und das Aussprechen dieser Einheit fehlt im Parmenides. Andere Dialoge haben ebenso mehr nur dies negative Resultat. Wieder in anderen spricht Platon auch diese Einheit aus; so der Philebos und der Sophist.

> Im Sophisten untersucht Platon die reinen Begriffe oder Ideen (eidê, Arten; denn die Ideen sind in der Tat nichts anderes) von Bewegung und Ruhe, Sichselbstgleichheit und Anderssein, Sein und Nichtsein. Er beweist hier gegen Parmenides, daß das Nichtsein ist, ebenso, daß das Einfache, Sichselbstgleiche an dem Anderssein teilhat, die Einheit an der Vielheit. Von den Sophisten sagt er, daß sie im Nichtsein stehenbleiben, und widerlegt nun auch die Sophisten, deren ganzer Standpunkt Nichtsein, Empfindung, das Viele ist. Platon hat das Allgemeine also so bestimmt, daß das Wahrhafte z.B. Einheit des Eins und Vielen, Seins und Nichtseins ist; aber zugleich hat er auch vermieden, oder es lag in seinem Bestreben, zu vermeiden die Zweideutigkeit, die darin liegt, wenn wir von der Einheit des Seins und Nichts usf. sprechen. Bei diesem Ausdruck legen wir den Hauptakzent auf die Einheit. Da verschwindet der Unterschied, als wenn wir nur von ihm abstrahierten. Platon hat sich den Unterschied derselben ebenso auch zu erhalten gesucht. Der Sophist ist weitere Ausführung des Seins und Nichtseins: Alle Dinge sind, haben _ousia_; ebenso kommt ihnen auch _ouk on_ zu; indem die Dinge verschieden sind, eins das andere des anderen, so liegt auch die Bestimmung des Negativen darin. Er sagt also: das Seiende hat teil am Sein, aber ebenso auch am Nichtsein; das Teilhabende hat so beides in einem, dieses ist dann aber auch ebenso verschieden vom Sein und Nichtsein.

> Vorerst drückt Platon im Sophisten das nähere Bewußtsein über die Ideen als abstrakte Allgemeinheiten aus, daß sie nur dies sind, dabei ist nicht stehenzubleiben, – es ist der Einheit der Idee mit sich selbst entgegen. Platon widerlegt α) das Sinnliche, β) die Ideen. Platon betrachtet daselbst die zwei Vorstellungen: 1. daß das Substantielle nur das Körperliche sei (später Materialismus) und nichts Realität habe, als was man mit den Händen greifen könne, $[$ wie $]$ Steine und Eichen, 2. »gehen wir zu den anderen, zu den Freunden der Ideen. Ihre Vorstellung ist, daß das Substantielle unkörperlich, intellektuell sei, und sie trennen das Feld der Veränderung (genesin) davon ab: in die Veränderung, Werden (genesin) falle das Sinnliche, – das Allgemeine sei für sich. Diese stellen die Ideen als unbeweglich vor und sehen die Bestimmungen der Aktivität und Passivität.« Platon setzt entgegen, daß dem wahrhaft Seienden ( _pantelôs onti_ ) Bewegung, Leben, Seele und Denken ( _phronêsis_ /) nicht abgesprochen werden können, daß der _nous_ nirgends und in keinem sein könne, wenn es unbewegt ist. Platon hat ein ausdrückliches Bewußtsein, weitergegangen zu sein als Parmenides: »Das Nichtsein ist gar nicht, und du halte den Gedanken entfernt von diesem Wege.«

> Diese Dialektik nun kämpft hauptsächlich gegen zweierlei: erstens gegen die allgemeine Dialektik, Dialektik im gewöhnlichen Sinne. Von dieser haben wir auch schon gesprochen; Beispiele finden sich besonders bei den Sophisten, auf deren (falsche) Dialektik Platon oft zurückkommt. (Dieser Unterschied ist nicht klar genug behandelt.) Die Sophisten (Protagoras) und andere sagten so: Es ist nichts an und für sich; bitter ist nichts Objektives; was einigen bitter, ist für andere süß: ebenso ist groß, klein usf. relativ; das Große ist unter anderen Umständen klein, das Kleine groß; ebenso Mehr oder Weniger. So ist keine Bestimmung fest. Platon erklärt sich hiergegen. Platon unterscheidet hier diese reine dialektische Erkenntnis (Einsicht, dem Begriffe, dem Wesen nach) von der gemeinen Vorstellungsart des Entgegengesetzten auf bestimmte Weise. Die Einheit des Entgegengesetzten schwebt nämlich jedem Bewußtsein überhaupt vor; aber das Bewußtsein, dem das Vernünftige nicht zum Bewußtsein kommt, hält dabei das Entgegengesetzte immer auseinander. Daß alles eins ist, sagen wir von jedem Dinge: »Es ist dies Eine, und ebenso zeigen wir auch die Vielheit an ihm auf, viele Teile und Eigenschaften«, – aber es wird dabei gesagt, es sei in ganz anderer Rücksicht Eins, als es Vieles ist, bringen diese Gedanken nicht zusammen. So geht das Vorstellen und Reden von einem herüber und hinüber zum anderen. Dies Herüber- und Hinübergehen, mit Bewußtsein angestellt, so ist es die leere Dialektik, die die Gegensätze nicht vereinigt und nicht zur Einheit kommt.

> Platon sagt hierüber: »Wenn jemand seine Freude daran hat, als ob er etwas Schweres gefunden hätte, daß er die Gedanken ( _tous logous_ , die Gründe) von einer Bestimmung zur anderen herüber- und hinüberzieht, so hat er nichts Preiswürdiges getan«, ist im Irrtum; nämlich man zeigt Mangel, Negation am einen und geht zum anderen. »Denn das ist weder etwas Vortreffliches noch Schweres.« Jene Dialektik, die eine Bestimmung aufhebt, indem sie die andere konstatiert, ist eine unrichtige. »Das Schwere und Wahrhafte ist dieses, zu zeigen, daß das, was das Andere ( _heteron_ ) ist, Dasselbe ist, und was Dasselbe ist ( _tauton on_ ), ein Anderes ist, und zwar in einer und derselben Rücksicht; nach derselben Seite, daß das Eine ihnen geschehen ist (d.h. Demselben zu sein ein Anderes, und dem Anderen zu sein Dasselbe), wird auch die andere Bestimmung an ihnen aufgezeigt ( _ekeinê kai kat' ekeino ho phêsi toutô_ – verschiedene Leseart _touto – peponthenai poteron_ ). Dagegen zu zeigen, daß Dasselbe auf irgendeine Weise ( _hamê ge pê_ , in gewisser Rücksicht, irgendwie) ein Anderes und das Andere auch Dasselbe, daß das Große auch klein« (z.B. Protagoras' Würfel) »und das Ähnliche auch unähnlich sei, und sein Gefallen daran haben, so in dem Gedanken (durch Gründe) immer das Entgegengesetzte vorzubringen, – dies ist keine wahrhafte Einsicht (Betrachtung, elenchos) und offenbar ein Erzeugnis solcher, welche erst das Wesen zu berühren anfangen; und muß einer sehr ein Neuling sein im Denken. Alles voneinander abzusondern, ist ein ungeschicktes Verfahren des ungebildeten, unphilosophischen Bewußtseins. Es ist das vollkommene Ausgehen aller Gedanken, alles auseinanderfallen zu lassen; denn eben die Vereinigung der Arten ist der Gedanke.« Es spricht so Platon bestimmt gegen diese Dialektik, etwas zu widerlegen zu wissen nach irgendeinem Gesichtspunkt usw.

> Wir sehen, daß Platon in Ansehung des Inhalts nichts anderes ausdrückt, als was die Indifferenz in der Differenz genannt worden – Differenz absolut Entgegengesetzter, wie Eins und Vieles, Sein und Nichtsein, und die Einheit von diesen, und daß er diesem spekulativen Erkennen das gemeine positive so wohl als negative Denken entgegensetzt, – jenes, das diese Gedanken nicht zusammenbringt, eines [und] auch das andere getrennt gelten läßt oder negativ zwar der Einheit sich bewußt ist, aber einer oberflächlichen, auseinandergehenden Einheit, worin die beiden Momente in der verschiedenen Rücksicht sich trennen.

> Das Zweite, wogegen Platon sich richtet, ist die Dialektik der Eleaten und ihr Satz, der in seiner Art auch Satz der Sophisten ist, nämlich der: »Es ist nur das Sein, und das Nichtsein ist gar nicht.« Dies heißt nun bei den Sophisten, wie dies Platon angibt: Da das Negative gar nicht ist, sondern nur das Seiende, so gibt es nichts Falsches; alles ist; was nicht ist, wissen, empfinden wir nicht; alles Seiende ist wahr. Damit hängt sophistisch zusammen: Was wir empfinden, uns vorstellen, die Zwecke, die wir uns geben, sind affirmativer Inhalt; es ist alles Wahres, was für uns ist, nichts ein Falsches. Platon wirft den Sophisten vor, daß sie den Unterschied von wahr und falsch aufgehoben haben, indem sie sagen, es gibt nichts Falsches; und den Sophisten ist so alles richtig. (Platon hat also das Interesse, das Nichtsein als wesentliche Bestimmung des Seienden aufzuzeigen: »Alles ist, sowohl das Allgemeine als [das] Einzelne ist auf vielfache Weise und ist nicht auf vielfache Weise.«) Die höhere Ausbildung (denn es ist nur der Unterschied der verschiedenen Stufen des Bewußtseins geblieben) gibt so das, was die Sophisten zu geben versprechen: daß nämlich alles, was das Individuum sich nach seinen Zwecken vorsetzt, nach seinem Glauben, seiner Meinung sich zum Zweck macht, affirmativ wahr, richtig sei. Man kann hiernach nicht sagen, dies ist Unrecht, lasterhaft, ein Verbrechen; denn dies drückt aus, daß die Maxime, die Handlung falsch sei. Man kann nicht sagen, diese Meinung ist täuschend; denn nach dem Sinne der Sophisten enthält der Satz dies, daß jeder Zweck, jedes Interesse, insofern es das Meinige ist, affirmativ, mithin wahr und richtig ist. Der Satz an sich sieht ganz abstrakt und unschuldig aus; aber man merkt erst, was man an solchen Abstraktionen hat, wenn man sie in konkreter Gestalt sieht. Nach diesem unschuldigen Satze gibt es kein Laster, kein Verbrechen usf. Die Platonische Dialektik unterscheidet sich wesentlich von dieser Weise der Dialektik.

> Das Nähere im Sinne des Platon ist, daß die Idee, das an und für sich Allgemeine, Gute, Wahre, Schöne für sich selbst zu nehmen ist. Der Mythus, den ich bereits angeführt, geht schon dahin, daß man nicht betrachten müsse eine gute Handlung, einen schönen Menschen, nicht das Subjekt, wovon solche Bestimmungen die Prädikate sind; sondern das, was in solchen Vorstellungen oder Anschauungen nun als Prädikate auftritt, müsse für sich genommen werden, und dies sei das Wahrhafte an und für sich. Dies hängt mit der Weise der Dialektik zusammen, die angeführt ist. Eine Handlung nach der empirischen Vorstellung genommen, kann man sagen, ist gerecht; nach einer anderen Seite kann man an ihr auch entgegengesetzte Bestimmungen aufweisen. Aber es ist ohne solche Individualitäten, ohne solche empirisch Konkrete, das Gute, Wahre für sich zu nehmen; und dies ist allein das, was ist. Die Seele, nach dem göttlichen Schauspiel in die Materie gefallen, freut sich über einen schönen, gerechten Gegenstand; das Wahrhafte ist aber die Tugend, Gerechtigkeit, Schönheit an und für sich, dies nur ist das Wahre. Das Allgemeine für sich, – dies ist es, was durch die Platonische Dialektik näher bestimmt wird. Hiervon kommen mehrere Formen vor; aber diese Formen sind selbst noch sehr allgemein und abstrakt. Die höchste Form bei Platon ist die Identität des Seins und Nichtseins: Das Wahrhafte ist das Seiende, aber dies Seiende ist nicht ohne die Negation. Platon zeigt so auf, daß das Nichtsein ist und daß das Einfache, Sichselbstgleiche teilhat an dem Anderssein, die Einheit teilhat an der Vielheit. Diese Einheit des Seins und Nichtseins findet sich nun auch in der Vorstellung der Sophisten; aber dies allein macht es noch nicht aus. Sondern in weiterer Untersuchung kommt Platon dann zu diesem Resultate, daß das Nichtsein näher bestimmt die Natur des Anderen ist (Einheit, Identität mit sich, – und Unterschied); daß die _genê_ – die Allgemeinheiten, eben die er sonst _ideai_ nennt – vermischt, synthesiert sind (Einheit des Seins und Nichtseins, und zugleich Nichteinheit) und daß das Sein und das Andere durch alles und durch einander hindurchgeht ( _dielêlythota_ ); daß das Andere teilhat ( _metaschon_ ) an dem Sein, inwohnt und durch dieses Inwohnen nicht dasselbe ist mit dem, welchem es inwohnt, sondern ein Verschiedenes, – und als das Andere des Seins ist es notwendig das Nichtsein. Da das Sein dem Anderen ( _thaterou_ ) inwohnt, so ist es nicht dasselbe mit den anderen Gattungen und ist nicht eine jede derselben; so daß es in den unendlich Vielen nicht selbst als ein unendlich Vieles ( _Geteiltes_ ) ist. – Platon spricht es so aus: das, was das Andere ist, ist das Negative überhaupt, – dies ist Dasselbe, das mit sich Identische; das Andere ist das Nichtidentische, und dies Dasselbe ist ebenso das Andere, und zwar in ein und derselben Rücksicht. Es sind nicht verschiedene Seiten, nicht im Widerspruch bleibend; sondern sie sind diese Einheit in einer und derselben Rücksicht, und nach der einen Seite, daß das Eine von ihnen gesetzt ist, sind sie identisch nach derselben Seite. Dies ist die Hauptbestimmung der eigentümlichen Dialektik Platons.

> Daß die Idee des Göttlichen, Ewigen, Schönen das Anundfürsichseiende ist, ist der Anfang der Erhebung des Bewußtseins ins Geistige und in das Bewußtsein, daß das Allgemeine wahrhaft ist. Für die Vorstellung kann es genügen, sich zu begeistern, zu befriedigen durch die Vorstellung des Schönen, Guten; aber das Denken, das denkende Erkennen fragt nach der Bestimmung des Ewigen, Göttlichen. Und diese Bestimmung ist wesentlich nur freie Bestimmung, Bestimmung, die schlechthin die Allgemeinheit nicht aufhält, -eine Begrenzung (denn jede Bestimmung ist Begrenzung), die ebenso das Allgemeine in seiner Unendlichkeit frei für sich läßt. Die Freiheit ist nur in der Rückkehr in sich, das Ununterschiedene ist das Leblose; das tätige, lebendige, konkrete Allgemeine ist daher das, was sich in sich unterscheidet, aber frei darin bleibt. Diese Bestimmtheit besteht nun darin, daß das Eine in dem Anderen, in den Vielen, Unterschiedenen identisch mit sich ist. Dies macht das Wahrhafte, allein Wahrhafte und für das Erkennen allein Interessante aus in dem, was Platonische Philosophie heißt; und weiß man dies nicht, so weiß man die Hauptsache nicht. Der Ausdruck Platons ist: das, was das Andere ist, ist Dasselbe, ist das mit sich Identische; das Andere, das nicht mit sich Identische, ist auch Dasselbe; das Sichselbstgleiche ist auch das Andere, und zwar in ein und derselben Beziehung. Diese Einheit ist nicht darin, wenn man z.B. sagt: Ich, oder Sokrates bin einer. Jeder ist einer, aber er ist auch ein Vieles, hat viele Glieder, Organe, Eigenschaften usf.; er ist einer und auch vieles. So sagt man wohl beides von Sokrates, daß er einer sei, in sich selbst gleich, und auch das Andere, Vieles, in sich ungleich. Dies ist eine Einsicht, ein Ausdruck, der im gewöhnlichsten Bewußtsein vorkommt. Man nimmt es so an: er ist einer, nach anderer Rücksicht auch ein Vieles; und man läßt so die zwei Gedanken auseinanderfallen. Das spekulative Denken aber besteht darin, daß man die Gedanken zusammenbringt; man muß sie zusammenbringen; das ist es, worauf es ankommt. Dies Zusammenbringen der Verschiedenen, Sein und Nichtsein, Eins und Vieles usf., so daß nicht bloß von einem zum anderen übergegangen wird, – dies ist das Innerste und das wahrhaft Große der Platonischen Philosophie. Jedoch nicht in allen Dialogen kommt Platon auf diese Bestimmung; besonders ist dieser höhere Sinn in dem Philebos und Parmenides enthalten (bei Tennemann gar nicht davon die Rede). Es ist das Esoterische der Platonischen Philosophie, das andere ist das Exoterische; aber das ist schlechter Unterschied. Man muß nicht etwa den Unterschied machen, als ob Platon zwei solche Philosophien hätte: eine für die Welt, für die Leute; die andere, das Innere, aufgespart für Vertraute. Das Esoterische ist das Spekulative, das geschrieben und gedruckt ist und doch ein Verborgenes bleibt für die, die nicht das Interesse haben, sich anzustrengen. Ein Geheimnis ist es nicht, und doch verborgen. Zu diesem gehören also jene beiden Dialoge.

> Im Philebos untersucht Platon die Natur des Vergnügens. Den ersten Gegenstand, das sinnliche Vergnügen, bestimmt er als das Unendliche. Für die Reflexion ist das Unendliche das Vornehme, Höchste; aber das Unendliche ist eben das Unbestimmte an sich überhaupt. Es kann bestimmt sein zwar auf mannigfaltige Weise; dies Bestimmte ist aber dann als einzeln, ist das Besondere. Unter Vergnügen stellen wir uns nun vor das unmittelbar Einzelne, Sinnliche; aber es ist das Unbestimmte in der Rücksicht, daß es das bloß Elementarische, wie Feuer, Wasser, nicht das Sichselbstbestimmende ist. Nur die Idee ist das Sichselbstbestimmen, die Identität mit sich. Dem Vergnügen, als dem Unbestimmten, stellt Platon gegenüber das Begrenzende, die Grenze. Im Philebos handelt es sich dann besonders um diesen Gegensatz des Unendlichen und Endlichen, Unbegrenzten und Begrenzenden ( _peras_ , _apeiron_ ). Stellen wir uns dies vor, so denken wir nicht daran, daß durch die Erkenntnis der Natur des Unendlichen, Unbestimmten zugleich auch entschieden wird über das Vergnügen; dies erscheint als einzeln, sinnlich, endlich, während jenes das Metaphysische ist. Aber diese reinen Gedanken sind das Substantielle, wodurch über alles noch so Konkrete, noch so Fernliegende entschieden wird. Wenn Platon vom Vergnügen und der Weisheit gegenüber handelt, so ist es der Gegensatz des Endlichen und Unendlichen. _Peras_ , die Grenze, ist das Schlechtere, wie es scheint, als das _apeiron_ . Alte Philosophen bestimmten es auch so. Bei Platon ist es umgekehrt; es wird dargetan, daß das _peras_ das Wahre sei. Das Unbegrenzte ist noch abstrakt, höher ist das Begrenzte, das Sichselbstbestimmende, Begrenzende. Vergnügen ist das Unbegrenzte ( _aperanton_ ), das sich nicht bestimmt; nur der _nous_ ist das tätige Bestimmen. Das Unendliche ist das Unbestimmte, was eines Mehr oder Weniger fähig ist, was intensiver sein kann oder nicht, kälter, wärmer, trockener, feuchter usf. Das Endliche ist dagegen die Grenze, die Proportion, das Maß, – die immanente freie Bestimmung, mit der und in der die Freiheit bleibt, sich die Freiheit zugleich Existenz gibt. Die Weisheit ist, als das _peras_ , die wahrhafte Ursache, woraus das Vorzügliche entstehe; dieses Maß und Ziel Setzende ist der Zweck an und für sich und das Zweckbestimmende.


> Platon betrachtet dies weiter (das Unendliche ist das, an sich zum Endlichen überzugehen, was der Materie bedarf, um sich zu realisieren, – oder das Endliche, indem es sich setzt, so ist es ein Unterschiedenes, ist ein Anderes, als das Begrenzte ist; das Unendliche ist das Formlose; die freie Form als Tätigkeit ist das Endliche). Durch die Einheit dieser beiden entsteht nun z.B. Gesundheit, Wärme, Kälte, Trockenheit, Feuchtigkeit, ebenso die Harmonie der Musik von hohen und tiefen Tönen, von schnellerer und langsamerer Bewegung, überhaupt entsteht alles Schöne und Vollkommene durch die Einheit solcher Gegensätze. Gesundheit, Schönheit usf. ist so ein Erzeugtes, insofern dazu die Gegensätze verwandt sind; es erscheint so als ein Vermischtes von diesen. Statt der Individualität gebrauchen die Alten häufig: Vermischung, Teilnahme usf. Für uns sind dies unbestimmte, ungenaue Ausdrücke. Also die Gesundheit, Glückseligkeit, Schönheit usf. erscheint als ein Entstandenes durch die Verbindung solcher Gegensätze. Aber Platon sagt: Das, was so erzeugt wird, setzt voraus ein solches, wodurch das Dritte gemacht wird, die Ursache; dies ist vortrefflicher als die, durch deren Wirksamkeit ein solches entsteht. So haben wir vier Bestimmungen: erstens das Unbegrenzte, Unbestimmte; zweitens das Begrenzte, Maß, Bestimmung, Grenze, wozu die Weisheit gehört; das Dritte ist das Gemischte aus beiden, das nur Entstandene; das Vierte ist die Ursache, und diese ist an ihr eben die Einheit der Unterschiedenen, die Subjektivität, Macht, Gewalt über die Gegensätze, das die Kraft hat, die Gegensätze in sich zu ertragen. Das Mächtige, Kräftige, Geistige ist das, was den Gegensatz in sich ertragen kann; der Geist kann den höchsten Widerspruch ertragen, – das schwache Körperliche nicht, es vergeht, sobald ein Anderes an dasselbe kommt. Diese Ursache ist nun der _nous_, der der Welt vorsteht; die Schönheit der Welt in Luft, Feuer, Wasser und allgemein in den Lebendigen ist durch ihn hervorgekommen. Das Absolute ist also das, was in einer Einheit endlich und unendlich ist.

> {#ParmenidesDialogue} Die ausgeführte eigentliche Dialektik aber ist im [[Parmenides]] enthalten, dem berühmtesten Meisterstück der Platonischen Dialektik. Parmenides und Zenon werden da vorgestellt, als mit Sokrates zusammenkommend in Athen; die Hauptsache aber ist die Dialektik, die dem Parmenides und Zenon in den Mund gelegt wird. Gleich anfangs ist die Natur dieser Dialektik auf folgende Weise näher angegeben. Platon läßt Parmenides so den Sokrates loben: »Ich bemerkte, daß du mit Aristoteles« (einem der anwesenden Unterredner; es paßte wohl auf den Philosophen, aber dieser ist 16 Jahre nach Sokrates' Tode geboren) »dich unterredetest, überhaupt dich übst, zu bestimmen ( _horizesthai_ ), worin die Natur des Schönen, des Gerechten, des Guten und einer jeden dieser Ideen liegt. Dieser dein Trieb (und Geschäft, _hormê_ ) ist schön und göttlich. Ziehe dich aber und übe dich noch mehr in dieser unnütz scheinenden und von der Menge so genannten« (metaphysischen) »Zungendrescherei ( _adoleschias_ , Geschwätz), solange du noch jung bist; sonst wird dir die Wahrheit entgehen. – Worin«, fragt Sokrates, »besteht diese Art von Übung. – Es gefiel mir schon an dir, daß du vorhin sagtest, man müsse nicht sich bei Betrachtung des Sinnlichen und seiner Täuschungen aufhalten, sondern das betrachten, was nur das Denken erfaßt und was allein ist.« Schon früher habe ich bemerkt, daß die Menschen von jeher geglaubt haben, das Wahre könne nur durch das Nachdenken gefunden werden; beim Nachdenken findet man den Gedanken, verwandelt das, was man in der Weise der Vorstellung, des Glaubens vor sich hat, in Gedanken. Sokrates erwidert nun dem Parmenides: »So glaubte ich, das Gleiche und Ungleiche und die anderen allgemeinen Bestimmungen der Dinge am besten einzusehen.« – Parmenides antwortet: »Wohl! Aber du mußt, wenn du von einer solchen Bestimmung« (die Ähnlichkeit, Gleichheit) »anfängst, nicht nur das betrachten, was aus einer solchen Voraussetzung folgt; sondern du mußt auch noch dies hinzufügen, was folgt, wenn du das Gegenteil einer solchen Bestimmung voraussetzest. Z.B. bei der Voraussetzung: das Viele ist, hast du zu untersuchen: was geschieht dem Vielen in Beziehung auf sich selbst und in Beziehung auf das Eine« (es wird so das Umgekehrte seiner selbst geworden sein; das Viele schlägt um in das Eine, indem es betrachtet wird in der Bestimmung, in der es betrachtet werden soll, und dies ist das Wunderbare, was einem beim Denken begegnet, wenn man sich solche Bestimmungen für sich vornimmt); »und ebenso: was geschieht dem Eins in Beziehung auf sich und in Beziehung auf das Viele.« Dies ist zu betrachten. »Aber wiederum ist zu betrachten: wenn das Viele nicht ist, was erfolgt dann für das Eine und für das Viele, beide für sich und gegeneinander. Eben solche Betrachtungen sind anzustellen in betreff der Identität und Nichtidentität, der Ruhe und Bewegung, des Entstehens und Vergehens, und ebenso in Ansehung des Seins selbst und des Nichtseins: was ist jedes für sich und was die Beziehung bei der Annahme des einen oder des anderen? Darin dich vollkommen übend, wirst du die wesentliche Wahrheit erkennen.« So großen Wert legt Platon auf die dialektische Betrachtung. Es ist nicht Betrachtung des Äußerlichen, sondern nur Betrachtung dessen, was als Bestimmung gelten soll. Es sind dies also die reinen Gedanken, sie sind der Inhalt; ihre Betrachtung ist lebendig, sie sind nicht tot, bewegen sich. Und die Bewegung der reinen Gedanken ist, daß sie sich zum Anderen ihrer selbst machen und so zeigen, daß nur ihre Einheit das wahrhaft Berechtigte ist.

> Über den Sinn der Einheit des Einen und Vielen läßt Platon den Sokrates sagen: »Wenn einer mir beweist, daß ich Eines und Vieles sei, so verwundert er mich nicht. Indem er mich nämlich zeigt, daß ich ein Vieles sei, und an mir die rechte Seite, linke, oben und unten, vorn und hinten aufzeigt, so wohnt mir die Vielheit bei, – und wiederum die Einheit, da ich von uns Sieben einer bin. Ebenso Stein und Holz usf. Aber das würde ich bewundern, wenn einer die Ideen zuerst, wie Gleichheit und Ungleichheit, Vielheit und Einheit, Ruhe und Bewegung und dergleichen, jede für sich ( _auta kath' hauta_ ) bestimmte und dann zeigte, wie sie sich an ihnen selbst identisch setzten und unterschieden.«

> Das Resultat (Ganze) solcher Untersuchung im Parmenides ist nun am Ende so zusammengefaßt »Daß das Eine, es sei oder es sei nicht, es selbst sowohl als die anderen Ideen« (Sein, Erscheinen, Werden, Ruhe, Bewegung, Entstehen, Vergehen usf.) »sowohl für sich selbst als in Beziehung aufeinander, – alles durchaus sowohl ist als nicht ist, erscheint und nicht erscheint.« Dies Resultat kann sonderbar erscheinen. Wir sind nach unserer gewöhnlichen Vorstellung sehr entfernt, diese ganz abstrakten Bestimmungen, das Eine, Sein, Nichtsein, Erscheinen, Ruhe, Bewegung usf. und dergleichen, für Ideen zu nehmen; aber diese ganz Allgemeinen nimmt Platon als Ideen. Dieser Dialog ist eigentlich die reine Ideenlehre Platons. Platon zeigt von dem Einen, daß $[$ es $]$, wenn es ist, ebensowohl als wenn es nicht ist, als sich selbst  gleich und nicht sich selbst gleich, sowie als Bewegung wie auch als Ruhe, Entstehen und Vergehen ist und nicht ist, -oder die Einheit ebensowohl wie alle diese reinen Ideen sowohl sind als nicht sind, das Eine ebensosehr Eines als Vieles ist. In dem Satze »das Eine ist« liegt auch, »das Eine ist nicht Eines, sondern Vieles«; und umgekehrt, »das Viele ist« sagt zugleich, »das Viele ist nicht Vieles, sondern Eines«. Sie zeigen sich dialektisch, sind wesentlich die Identität mit ihrem Anderen; und das ist das Wahrhafte. Ein Beispiel gibt das Werden: Im Werden ist Sein und Nichtsein; das Wahrhafte beider ist das Werden, es ist die Einheit beider als untrennbar und doch auch als Unterschiedener; denn Sein ist nicht Werden und Nichtsein auch nicht.

> Dieses Resultat erscheint uns hiernach negativer Art zu sein, so daß dasselbe – als wahrhaft Erstes, prius – nicht als affirmativ ist, nicht als Negation der Negation, diese Affirmation ist hier nicht ausgesprochen. Es kann uns dies Resultat im Parmenides vielleicht nicht befriedigen. Indessen sehen die Neuplatoniker, besonders Proklos, gerade diese Ausführung im Parmenides für die wahrhafte Theologie an, für die wahrhafte Enthüllung aller Mysterien des göttlichen Wesens. Und sie kann für nichts anderes genommen werden. (Es sieht nicht so aus, als ob es dies wäre; Tiedemann sagt, es sei keine Rede davon, lauter neuplatonische Schwärmerei.) Denn unter Gott verstehen wir das absolute Wesen aller Dinge; dies absolute Wesen ist eben in seinem einfachen Begriffe die Einheit und Bewegung dieser reinen Wesenheiten, der Ideen des Einen und Vielen usf. Das göttliche Wesen ist die Idee überhaupt, wie sie entweder für das sinnliche Bewußtsein oder für den Verstand, für das Denken ist. Insofern die Idee das absolute Sich-selbst-Denkende ist, ist sie die Tätigkeit des Denkens in sich; und die Dialektik ist ebenso nichts anderes als die Tätigkeit des Sich-selbst-Denkens in sich selbst. Diesen Zusammenhang sehen die Neuplatoniker nur als metaphysisch an und haben daraus[ die Theologie, die Entwicklung der Geheimnisse des göttlichen Wesens erkannt.

> Aber es tritt hier die schon bemerkte Zweideutigkeit, die hier bestimmter aufzuklären, ein: daß unter Gott und unter dem Wesen der Dinge zweierlei verstanden werden kann. α) Wenn nämlich gesagt wird »Wesen der Dinge«, und dies als die Einheit, welche ebenso unmittelbar Vielheit ist, Sein ebenso unmittelbar Nichtsein, Geschehen, Bewegung ebensofort, so scheint damit nur das unmittelbare Wesen dieser unmittelbar gegenständlichen Dinge bestimmt zu sein und diese Wesenlehre oder Ontologie uns noch von der Erkenntnis Gottes, von der Theologie verschieden zu sein. Diese einfachen Wesenheiten und ihre Beziehung und Bewegung scheinen nur Momente des Gegenständlichen auszudrücken (sie selbst sind einfach und unmittelbar), nicht den Geist; dies darum, weil, so gedacht, ein Moment fehlt, das wir bei Gott denken. Aber der Geist, das wahrhaft absolute Wesen, ist nicht nur das Einfache und Unmittelbare überhaupt sondern das sich in sich Reflektierende, für welches in seinem Gegensatze die Einheit seiner und des Entgegengesetzten ist; als solches aber stellen jene Momente und ihre Bewegung es nicht dar, – jene erscheinen unreflektiert.

> β) Wenn diese einfachen Abstraktionen auf einer Seite als einfache Wesenheiten genommen werden, die unmittelbar sind und denen die Reflexion-in-sich fehlt, so können sie auf der andern Seite auch als reine Begriffe, rein der Reflexion in sich selbst angehörend genommen werden. Es fehlt ihnen die Realität; und dann gilt ihre Bewegung für ein leeres Herumtreiben in leeren Abstraktionen, die nur der Reflexion angehören, aber keine Realität haben. Wir müssen die Natur des Erkennens und Wissens kennen, um im Begriffe alles zu haben, was darin ist. Aber wir müssen dies Bewußtsein haben, daß eben der Begriff weder nur das Unmittelbare in Wahrheit (ob er schon das Einfache ist, – aber er ist von geistiger Einfachheit, wesentlich der in sich zurückgekehrte Gedanke; unmittelbar ist nur dies Rote usf.), noch daß er nur das in sich sich Reflektierende, das Ding des Bewußtseins ist, sondern auch an sich ist, d.h. gegenständliches Wesen ist. Einfachheit ist Unmittelbarkeit, Ansichsein, ist so alle Realität. Dies Bewußtsein über die Natur des Begriffs hat Platon nun nicht so bestimmt ausgesprochen und damit auch dies nicht, daß dies Wesen der Dinge dasselbe ist, was das göttliche Wesen. Zum göttlichen Wesen erfordern wir eben für das Wesen oder Sein diese Reflexion in sich selbst, für die Reflexion-in-sich das Sein oder Wesen. Es ist aber eigentlich nur mit dem Worte nicht ausgesprochen; denn die Sache ist allerdings vorhanden. Der Unterschied des Sprechens ist nur als nach der Weise der Vorstellung und des Begriffs vorhanden.

> Einesteils nun ist diese Reflexion-in-sich, das Geistige, der Begriff, in der Spekulation des Platon vorhanden. Denn die Einheit des Vielen und Einen usf. ist eben diese Individualität in der Differenz, dies Insichzurückgekehrtsein in seinem Gegenteile, dies Gegenteil, das in sich selbst ist. Das Wesen der Welt ist wesentlich diese in sich zurückkehrende Bewegung des Insichzurückgekehrten.
Andernteils aber bleibt eben darum bei Platon noch dies Insichreflektiertsein als Gott nach der Weise der Vorstellung ein davon Getrenntes; und in seiner Darstellung des Werdens der Natur im Timaios erscheint so als ein Unterschiedenes Gott und das Wesen der Dinge. Dies Wesen der Welt werden wir näher in der Platonischen Naturphilosophie kennenlernen.

> Die Dialektik des Platon ist jedoch nicht nach jeder Rücksicht als vollendet anzuerkennen. Es ist besonders in ihr darum zu tun, aufzuzeigen, daß, indem man z.B. nur das Eine setzt, in ihm selbst enthalten ist die Bestimmung der Vielheit oder daß in dem Vielen die Bestimmung der Einheit ist, indem wir es betrachten. Man kann nicht sagen, daß in allen dialektischen Bewegungen des Platon diese strenge Weise enthalten ist, sondern es sind oft äußere Betrachtungen, die in seiner Dialektik Einfluß haben. Z.B. sagt Parmenides: »Das Eine ist; es folgt hieraus, daß das Eine nicht gleichbedeutend ist mit Ist, so daß also das Eine und Ist unterschieden sind. Es ist also in dem Satze: Das Eine ist, der Unterschied; so ist das Viele darin, und so sage ich mit dem Einen schon das Viele.« Diese Dialektik ist zwar richtig, aber nicht ganz rein, indem sie von solcher Verbindung zweier Bestimmungen anfängt.

> Wenn Platon vom Guten, Schönen spricht, so sind dies konkrete Ideen. Es ist aber nur eine Idee. Bis zu solchen konkreten Ideen hat es noch weit hin, wenn man von solchen Abstraktionen anfängt als Sein, Nichtsein, Einheit, Vielheit. Dieses hat Platon nicht geleistet: diese abstrakten Gedanken fortzuführen zur Schönheit, Wahrheit, Sittlichkeit; diese Entwicklung, Verpilzung fehlt. Aber schon in der Erkenntnis jener abstrakten Bestimmungen selbst liegt wenigstens das Kriterium, die Quelle für das Konkrete. Im Philebos wird so das Prinzip der Empfindung, Lust betrachtet; das ist schon konkret. Die alten Philosophen wußten ganz wohl, was sie an solchen abstrakten Gedanken hatten für das Konkrete. Im atomistischen Prinzip der Einheit, Vielheit finden wir so die Quelle einer Konstruktion des Staats; die letzte Gedankenbestimmung solcher Staatsprinzipien ist eben das Logische. Die Alten hatten bei solchem reinen Philosophieren nicht solchen Zweck wie wir, – überhaupt nicht so den Zweck metaphysischer Konsequenz, gleichsam nicht als Zweck, nicht als Problem vorgelegt. Wir haben konkrete Gestaltung, Stoff, wollen es mit diesem Stoff in Richtigkeit bringen. Bei Platon enthält die Philosophie die Richtung, welche das Individuum sich geben soll, dies und dies zu erkennen; aber überhaupt setzt Platon die absolute Glückseligkeit für sich, das selige Leben selbst in die Betrachtung (im Leben) jener göttlichen Gegenstände. Dieses Leben ist betrachtend, scheint zwecklos, alle Interessen sind verschwunden. Im Reiche des Gedankens frei zu leben, ist für die Alten Zweck an und für sich selbst gewesen; und sie erkannten, daß nur im Gedanken Freiheit sei. Bei Platon fing es auch an, sich weiter zu bemühen, um das Bestimmtere zu erkennen; der allgemeine Stoff des Erkennens fing an, sich mehr abzusondern. Wir finden Dialoge, die sich mit dem reinen Gedanken beschäftigen; im Timaios finden wir Naturphilosophie, in der Republik Ethik.


###### 2. Natural philosophy
 {#PlatoNaturalPhilosophy}

> Im Timaios tritt die Idee in ihrer Bestimmtheit näher ausgedrückt hervor; die Grundbestimmungen von der Naturphilosophie des Platon sind im Timaios enthalten. Allein auf das Nähere, Spezielle können wir uns nicht einlassen; es hat indessen auch wenig Interesse. Von den Pythagoreern hat Platon viel aufgenommen; wieviel ihnen angehöre, ist nicht genau zu beurteilen. Der Timaios ist ohne Zweifel die Umarbeitung eines eigentlich von einem Pythagoreer verfaßten Werks. Andere haben auch gesagt, dies sei nur ein Auszug, den ein Pythagoreer gemacht habe aus dem größeren Werke Platons. Aber das erste ist das Wahrscheinlichere. Der Timaios hat zu allen Zeiten für den schwersten und dunkelsten unter den Platonischen Dialogen gegolten. (Besonders, wo er auf Physiologie hinausgeht, entspricht das Vorgetragene unseren Kenntnissen gar nicht, wenn wir auch Platons treffliche, von den Neueren nur zu sehr verkannte Blicke bewundern müssen.) Diese Schwierigkeit ist α) teils die äußere schon bemerkte Vermischung des begreifenden Erkennens und Vorstellens, wie wir gleich pythagoreische Zahlen eingemischt sehen werden, β) vorzüglich aber die philosophische Beschaffenheit der Sache selbst, über die Platon noch kein Bewußtsein hatte. Diese andere Schwierigkeit ist die Anordnung des Ganzen. Was nämlich sogleich daran auffällt, ist, daß Platon mehrmals sich unterbricht, oft umzukehren und wieder von vorne anzufangen scheint.

> Dies hat Kritiker, z.B. selbst $[$ F. A. $]$ Wolf in Halle und andere, die es nicht philosophisch zu nehmen wissen, bewogen, es für eine Sammlung und Zusammenstellung von Fragmenten oder mehreren Werken zu nehmen, die nur äußerlich so zusammengeheftet worden oder wo in das Platonische vieles Fremde eingeschoben worden wäre. (Wolf meinte in mündlichen Unterredungen hieraus zu erkennen, daß dieser Dialog, gleich wie sein Homer, aus verschiedenen Stücken zusammengesetzt sei.) Allein obzwar der Zusammenhang unmethodisch erscheint, Platon selbst dieser Verwechslung wegen gleichsam häufig seine Entschuldigungen macht, so werden wir im Ganzen sehen, wie es notwendig auseinanderfällt und was die Rückkehr gleichsam zum Anfang notwendig macht. (Für diese mehrmalige Rückkehr kann man einen tieferen Grund angeben.)

> Die Darlegung des Wesens der Natur oder des Werdens der Welt leitet Platon nun auf folgende Weise ein: »Gott ist das Gute« ( _to agathon_ , das Gute steht an der Spitze der Platonischen Ideen, wie denn Aristoteles von den Ideen und vom Guten geschrieben hat, worin er die Platonische Lehre abgehandelt hat), »das Gute hat aber auf keinerlei Weise irgendeinen Neid in sich; deswegen hat er die Welt sich am Ähnlichsten machen wollen«. Gott ist hier noch ohne Bestimmung; Platon fängt indessen im Timaios mehrmals so von vorne an. Daß Gott keinen Neid habe, ist allerdings ein großer, schöner, wahrhafter, naiver Gedanke. Bei den Älteren dagegen ist die Nemesis, Dike, das Schicksal, der Neid die einzige Bestimmung der Götter, daß sie das Große herabsetzen, kleinmachen, das Würdige, Erhabene nicht leiden können. Die späteren edlen Philosophen bestritten dies. In der bloßen Vorstellung der Nemesis ist noch keine sittliche Bestimmung enthalten. Die Strafe, das Geltendmachen des Sittlichen gegen das Unsittliche ist eine Herabsetzung dessen, was das Maß überschreitet; aber dies Maß ist noch nicht als das Sittliche vorgestellt. Platons Gedanke ist weit höher als die Ansicht der meisten Neueren, welche, indem sie sagen, Gott sei ein verschlossener Gott, habe sich nicht offenbart und man wisse von Gott nicht, der Gottheit Neid zuschreiben. Denn warum sollte er sich nicht offenbaren, wenn wir einigen Ernst machen wollten mit Gott? Ein Licht verliert nichts, wenn anderes angezündet wird; so war Strafe in Athen auf das Nicht-Erlauben gesetzt. Wird die Erkenntnis Gottes uns verwehrt, so daß wir nur Endliches erkennen, das Unendliche nicht erreichen, so wäre er neidisch, oder Gott ist dann leerer Name. Denn sonst heißt es nichts weiter als: das Höhere von Gott wollen wir auf der Seite liegen lassen und unseren kleinlichen Interessen, Ansichten usf. nachgehen. Diese Demut ist Frevel, Sünde gegen den Geist.

> Gott ist also nach Platon ohne Neid. Er fährt fort: »Er fand nun das Sichtbare vor ( _paralabôn_ )« – ein mythischer Ausdruck, aus dem Bedürfnis hervorgegangen, mit etwas Unmittelbarem anzufangen, das man aber, wie es sich so präsentiert, durchaus nicht gelten lassen kann –, »nicht als ruhig, sondern zufällig und unordentlich bewegt, und brachte es aus der Unordnung in die Ordnung, indem er diese für vortrefflicher als jene erachtete.« Hiernach sieht es so aus, als habe Platon angenommen, Gott sei nur der _dêmiourgos_ , der Ordner der Materie, und diese als ewig, selbständig von ihm vorgefunden, als Chaos. Diese Verhältnisse sind aber nicht Philosopheme, Dogmen des Platon, es ist ihm nicht Ernst damit; dieses ist nur nach der Vorstellung gesprochen, solche Ausdrücke haben keinen philosophischen Gehalt. Es ist nur die Einleitung des Gegenstandes, um zu solchen Bestimmungen einzuführen, wie die Materie ist. Wir müssen wissen, daß, wenn wir in der Philosophie mit Gott, Sein, Raum, Zeit usf. anfangen, auf unmittelbare Weise davon sprechen, dies selbst ein Inhalt ist, der seiner Natur nach unmittelbar ist, zunächst nur unmittelbar ist; und wir müssen wissen, daß diese Bestimmungen als unmittelbar zugleich in sich unbestimmt sind. So ist Gott noch unbestimmt, für den Gedanken leer.

> Platon kommt dann in seinem Fortgange zu weiteren Bestimmungen, und diese sind erst die Idee. Wir müssen uns an das Spekulative Platons halten. Er sagt, Gott achtete die Ordnung für vortrefflicher; dies ist die Manier eines naiven Ausdrucks. Bei uns würde man gleich fordern, Gott erst zu beweisen; ebensowenig würde man das Sichtbare statuieren. Bei Platon ist dies mehr nur naive Weise; was daraus bewiesen wird, ist erst die wahrhafte Bestimmung, die Bestimmung der Idee, die erst später hervorkommt. Er fährt fort: Gott überlegend, daß von dem Sichtbaren (Sinnlichen) das Unverständige ( _anoêton_ ) nicht schöner sein könne als das Vernünftige, der Verstand ( _nous_ ) aber ohne Seele mit nichts teilhaben könne, – nach diesem Schlusse setzte er den Verstand in die Seele, die Seele aber in den Körper, weil der Verstand nicht teilnehmen könnte am Sichtbaren ohne Körper, »und schloß sie so zusammen, daß die Welt ein beseeltes, verständiges Tier geworden ist«. (Wir haben Ähnliches im Phaidros gesehen.) Wir haben Realität und _nous_ , – und die Seele, das Band dieser beiden Extreme; dies ist das ganz Wahrhafte, Reale.

> »Es ist aber nur ein solches Tier. Denn wenn es zwei oder mehrere wären, so wären diese nur Teile des Einen und nur Eines.« 

> Nun geht Platon sogleich zuerst an die Bestimmung der Idee des körperlichen Wesens: »Weil die Welt leiblich, sichtbar und betastbar werden sollte, ohne Feuer aber nichts gesehen werden kann und ohne Festes, ohne Erde aber nichts betastet werden kann, so machte Gott im Anfang gleich das Feuer und die Erde.« Auf kindliche Weise führt Platon diese ein. »Zwei allein aber können nicht ohne ein Drittes vereinigt sein, sondern es muß ein Band in der Mitte sein, das sie beide zusammenhält« (einer der reinen Ausdrücke des Platon); »der Bande schönstes aber ist, welches sich selbst und das, was von ihm zusammengehalten wird, aufs Höchste eins macht.« Das ist tief; da ist der Begriff, die Idee enthalten. Das Band ist das Subjektive, Individuelle, die Macht; es greift übers Andere und macht sich mit ihm identisch. »Dieses bewerkstelligt die Analogie (das stetige Verhältnis) am schönsten.« Analogie aber ist: »Wenn von drei Zahlen oder Massen oder Kräften dasjenige, welches die Mitte ist, sich wie das Erste zu ihm, so es sich zum Letzten verhält, und umgekehrt wie das Letzte zur Mitte, so diese Mitte zum Ersten« (a:b = b:c), »indem dann diese Mitte das Erste und Letzte geworden und das Letzte und Erste umgekehrt beide zu Mittleren, so erfolgt, daß alle nach der Notwendigkeit dasselbe sind« (das ist Unterschied, der keiner ist); »wenn sie aber dasselbe geworden, so wird alles eins sein.«  Das ist vortrefflich, das behalten wir noch jetzt in der Philosophie.

> Diese Diremtion, von der Platon ausgeht, ist der Schluß, der aus dem Logischen bekannt ist. Dieser Schluß bleibt die Form, wie sie im gewöhnlichen [[syllogism|Syllogismus]] erscheint, aber als das Vernünftige. Die Unterschiede sind die Extreme, und die Identität ist es, die sie zu Einem macht. Der Schluß ist das Spekulative, welches sich in den Extremen mit sich selbst zusammenschließt, indem alle Termini alle Stellen durchlaufen. Im Schluß ist die ganze Vernünftigkeit, Idee enthalten, wenigstens äußerlich. Es ist daher Unrecht, vom Schluß schlecht zu sprechen und ihn nicht anzuerkennen als höchste absolute Form. In Hinsicht des Verstandesschlusses hat man dagegen Recht, ihn zu verwerfen. Dieser hat keine solche Mitte; jeder der Unterschiede gilt da als selbständig, verschieden in eigener selbständiger Form, eine eigentümliche Bestimmung gegen das Andere habend. Dies ist in der Platonischen Philosophie aufgehoben, und das Spekulative macht darin die eigentliche, wahrhafte Form des Schlusses aus. Die Mitte macht die Extreme aufs Höchste eins; sie bleiben nicht selbständig, weder gegen sich noch gegen die Mitte. Die Mitte wird die beiden Extreme, und diese werden zur Mitte; dann er folgt erst, daß alle nach der Notwendigkeit dasselbe sind und so die Einheit konstituiert ist. Im Verstandesschluß dagegen ist diese Einheit nur die Einheit wesentlich unterschieden Gehaltener, die so bleiben; hier wird ein Subjekt, eine Bestimmung zusammengeschlossen mit einer anderen oder gar »ein Begriff mit einem anderen« durch die Mitte. Aber die Hauptsache ist die Identität, oder daß das Subjekt in der Mitte mit sich selbst zusammengeschlossen wird, nicht mit einem Anderen. Im Vernunftschluß ist so vorgestellt ein Subjekt, ein Inhalt durch das Andere und im Anderen sich mit sich selbst zusammenschließend; dies liegt darin, daß die Extreme identisch geworden sind, – das eine schließt sich mit dem anderen, aber als ihm identisch, zusammen. Dies ist mit anderen Worten die Natur Gottes. Wird Gott zum Subjekt gemacht, so ist es dies, daß er seinen Sohn, die Welt erzeugt, sich realisiert in dieser Realität, die als Anderes erscheint, aber darin identisch mit sich bleibt, den Abfall vernichtet und sich in dem Anderen nur mit sich selbst zusammenschließt; so ist er erst Geist. Wenn man das Unmittelbare erhebt über das Vermittelte und dann sagt, Gottes Wirkung sei unmittelbar, so hat dies einen guten Grund; aber das Konkrete ist, daß Gott ein Schluß ist, der sich mit sich selbst zusammenschließt. Das Höchste ist so in der Platonischen Philosophie enthalten. Es sind zwar nur reine Gedanken, die aber alles in sich enthalten; und in allen konkreten Formen kommt es allein auf die Gedankenbestimmungen an. Diese Formen haben seit Platon ein paar tausend Jahre brachgelegen; in die christliche Religion sind sie nicht als Gedanken übergegangen, ja man hat sie sogar als mit Unrecht hinübergenommene Ansichten betrachtet, bis man in neueren Zeiten angefangen hat, zu begreifen, daß Begriff, Natur und Gott in diesen Bestimmungen enthalten sind.

> Platon fährt nun fort: In diesem Felde des Sichtbaren waren also als Extreme Erde und Feuer, das Feste und das Belebte. »Weil das Feste zwei Mitten braucht« (wichtiger Gedanke; statt Drei haben wir im Natürlichen Vier, die Mitte ist gedoppelt), »weil es nicht nur Breite, sondern auch Tiefe hat« (eigentlich vier Dimensionen, indem der Punkt durch Linie und Fläche mit dem soliden Körper zusammengeschlossen ist), »so hat Gott zwischen das Feuer und die Erde Luft und Wasser gesetzt« (wieder eine Bestimmung mit logischer Tiefe, da diese Mitte, als das Differente in seinem Unterschied nach den beiden Extremen hingekehrt, in sich selbst unterschieden sein muß), »und zwar nach einem Verhältnisse, so daß sich das Feuer zur Luft wie die Luft zum Wasser und ferner die Luft zum Wasser wie das Wasser zur Erde verhält.« Wir finden so eine gebrochene Mitte, und die Zahl Vier, die hier vorkommt, ist in der Natur eine Hauptgrundzahl. Die Ursache, daß das, was im vernünftigen Schluß nur Dreiheit ist, in der Natur zur Vierheit übergeht, liegt im Natürlichen, indem nämlich das, was im Gedanken unmittelbar eins ist, in der Natur auseinandertritt. Die Mitte nämlich als Gegensatz ist eine gedoppelte. Das Eine ist Gott, das Zweite, das Vermittelnde, ist der Sohn, das Dritte ist der Geist; hier ist die Mitte einfach. Aber in der Natur ist der Gegensatz, damit er als Gegensatz existiere, selbst ein Doppeltes; so haben wir, wenn wir zählen, Vier. Dies findet auch bei der Vorstellung von Gott statt. Indem wir sie auf die Welt anwenden, so haben wir als Mitte die Natur und den existierenden Geist – die Natur als solche und der existierende Geist, die Rückkehr der Natur, der Weg der Rückkehr –, und das Zurückgekehrtsein ist der Geist. Dieser lebendige Prozeß – dies Unterscheiden und das Unterschiedene identisch mit sich zu setzen –, dies ist der lebendige Gott.

> Platon sagt weiter: »Durch diese Einheit ist die sichtbare und berührbare Welt gemacht worden. Dadurch, daß Gott ihr diese Elemente« (Feuer usf. hat hier eigentlich keine Bedeutung) »ganz und ungeteilt gegeben hat, ist sie vollkommen, altert und erkrankt nicht. Denn Alter und Krankheit entstehen nur daraus, daß auf einen Körper solche Elemente im Übermaße von außen wirken. Dies aber ist so nicht der Fall; denn die Welt enthält sie selbst ganz in sich, und es kann nichts von außen kommen. Die Gestalt der Welt ist die kugelige« (wie sonst bei Parmenides und den Pythagoreern), »als die vollkommenste, welche alle anderen in sich enthält; sie ist vollkommen glatt, denn es ist für sie nichts nach außen, kein Unterschied gegen Anderes, sie braucht keine Glieder.« Die Endlichkeit besteht darin, daß ein Unterschied, eine Äußerlichkeit ist für irgendeinen Gegenstand. In der Idee ist auch die Bestimmung, das Begrenzen, Unterscheiden, das Anderssein, aber zugleich aufgelöst, enthalten, gehalten in dem Einen; so ist es ein Unterschied, wodurch keine Endlichkeit entsteht, sondern zugleich aufgehoben ist. Die Endlichkeit ist so im Unendlichen selbst; – dies ist ein großer Gedanke. »Gott hat nun der Welt die angemessenste Bewegung von den sieben gegeben, nämlich diejenige, welche am meisten zum Verstande und Bewußtsein paßt, die Kreisbewegung; die sechs anderen hat er von ihr abgesondert und sie von ihrem ungeordneten Wesen« (vorwärts und rückwärts) »befreit.« Dies ist nur im allgemeinen gesagt.

> Ferner: »Da Gott die Welt sich ähnlich, sie zum Gotte machen wollte, so hat er ihr die Seele gegeben und diese in die Mitte gesetzt und durch das Ganze ausgebreitet« (Weltseele) »und dies auch von außen durch sie umschlossen« (es ist so die Welt eine Totalität) »und auf diese Weise dies sich selbst genügende, keines Anderen bedürftige, sich selbst bekannte und befreundete Wesen zustande gebracht. Und so hat Gott durch alles dieses die Welt als einen seligen Gott geboren.« Wir können sagen: Hier hat Platon nun bestimmte Vorstellung von Gott, erst hier ist das Wahrhafte, die Erkenntnis der Idee. Aber der erste Gott ist noch unbestimmt. Wir müssen mit Bewußtsein diesen Weg nehmen, mit Bewußtsein, daß das Erste, es sei Sein oder Gott, unbestimmt ist. Dieser erzeugte Gott ist erst das Wahrhafte; jener erste ist ein Wort, – angefangen nach der Weise der reinen Vorstellung zu sprechen, als bloße Hypothesis, Voraussetzung der Vorstellung. Als Gott nur das Gute war, war er nur Name, noch nicht als sich selbst bestimmend und bestimmt. Die Mitte ist also das Wahrhafte. Haben wir daher zuerst von einer Materie angefangen und wollte man danach meinen, Platon hätte die Materie für selbständig gehalten, so ist dies nach dem eben Angeführten falsch. Das Anundfürsichseiende, das Selige ist erst dieser Gott, diese Identität.


> »Wenn wir nun von der Seele zuletzt gesprochen haben, so ist sie«, sagt Platon, »deswegen doch nicht das Letzte, sondern dies kommt nur unserer Sprechweise zu; sie ist das Herrschende, das Königliche, – das Körperliche aber, das ihr Gehorchende« ist nicht das Selbständige, Ewige. Das ist die Naivität Platons; er schreibt es der Sprechweise zu. Was hier als zufällig erscheint, ist dann wieder notwendig: mit dem Unmittelbaren anzufangen und dann erst zum Konkreten zu kommen. Man kann also, wie bereits bemerkt ist, in solchen Darstellungen Platons Widersprüche aufzeigen; aber es kommt darauf an, was er gibt für das Wahrhafte. Näher wird uns die Natur der Platonischen Idee folgendes zeigen. Platon sagt nämlich: »Das Wesen der Seele aber ist auf folgende Weise beschaffen worden.« Hier ist eigentlich wieder dieselbe Idee als bei dem Wesen des Körperlichen. Es ist dies eine der berühmtesten, tiefsten Stellen Platons, nämlich: »Von dem ungeteilten und sich immer gleich seienden Wesen und dann von dem geteilten Wesen, welches an den Körpern ist, hat Gott eine dritte Art von Wesen aus beiden zur Mitte vereint, welche von der Natur des Sichselbstgleichen und von der Natur des Anderen ist.« Das Geteilte heißt bei Platon auch das Andere als solches, – nicht von irgend etwas. »Und hiernach hat Gott sie zur gleichen Mitte des Ungeteilten und des Geteilten gemacht.« Da kommen die abstrakten Bestimmungen: das Eine ist die Identität, das Andere ist _to heteron_ , das Andere an ihm selbst, das Viele oder das Nicht-Identische Gegensatz, Unterschied. Sagen wir »Gott, das Absolute, ist die Identität des Identischen und Nicht-Identischen«, so hat man über Barbarei, Scholastik gesprochen. Die Leute, die so darüber sprechen, können den Platon hoch rühmen, und doch hat er das Wahre ebenso bestimmt. »Und diese drei Wesen als verschieden gesetzt nehmend, hat Gott alles in eine Idee vereint« (sie sind nicht drei; das Dritte ist nicht Drittes gegen die anderen), »indem er die Natur des Anderen, die schwer mischbar ist, mit Gewalt in das Sichselbstgleiche einpaßte.« Dies ist allerdings die Gewalt des Begriffs, der das Viele, Außereinander, idealisiert und als Ideelles setzt. Das ist eben auch die Gewalt, die dem Verstande angetan wird, wenn man ihm so etwas proponiert. In der einfachen Reflexion-in-sich, einfachen Zurücknahme jenes Anfangs, worin sie geschieden, sind jene Momente: das sich selbst Gleiche (selbst Moment), das Andere, – das Dritte Vereinigung, aber auflöslich erscheinend, nicht in die erste Einheit zurückkehrend. Es ist nicht zu fragen, ob die Materie (das Andere) ewig. »Dies mit dem Wesen ( _ousia_ ) vermischend und aus allen Dreien Einsmachend, hat er dieses Ganze wieder in Teile, soviel als sich geziemte, ausgeteilt.«  Vergleichen wir diese Substanz der Seele mit der der sichtbaren Welt, so ist sie dieselbe wie diese. Und dies eine Ganze ist nun erst die jetzt systematisierte Substanz, die wahrhafte Materie oder Wesen, der absolute Stoff, der in sich geteilt ist (eine bleibende und untrennbare Einheit des Einen und des Vielen); es muß nach keiner anderen gefragt werden.

> Diese Subjektivität hat Platon also wieder geteilt, und die Art und Weise der Einteilung ist nach der Bestimmung der Zahlen ausgedrückt. Hier treten pythagoreische Vorstellungen ein. (Die Kirchenväter haben bei Platon die Dreieinigkeit gefunden; sie wollten sie in Gedanken fassen, beweisen, aus dem Gedanken erzeugen. Das Wahre hat bei Platon also dieselbe Bestimmung als die Dreieinigkeit. Wir müssen uns aber bei Platon nicht an die Vorstellung halten, daß Gott vorgefunden, genommen hat, sondern wir müssen uns an den Begriff halten. Dieser Gott, von dem Platon spricht, ist nicht Gedanke, sondern Vorstellung.) Diese Verteilung enthält die berühmten Platonischen Zahlen (wie Cicero, der nichts davon verstand, sie nennt), welche ohne Zweifel ursprünglich den Pythagoreern angehören, um die sich die Älteren und die Neueren, auch noch Kepler in seiner Harmonia mundi viele Mühe gegeben, aber niemand sie noch eigentlich verstanden. Sie verstehen, hieße das Gedoppelte: teils ihre spekulative Bedeutung, ihren Begriff erkennen. Allein, wie schon bei den Pythagoreern angemerkt, diese Zahlenunterschiede geben nur einen unbestimmten Begriff des Unterschiedes, und nur in den ersten Zahlen; wo aber die Verhältnisse verwickelter werden, sind sie überhaupt unfähig, ihn näher zu bezeichnen. Teils, da sie Zahlen sind, so drücken sie als solche Größenunterschiede Unterschiede des Sinnlichen aus. Das System der erscheinenden Größe – und das himmlische System ist es, worin die Größe am reinsten und freisten, ununterjocht von dem Qualitativen wie an allem anderen, wo sie mehr dasein muß, erscheint - müßte ihnen entsprechen. Allein diese lebendigen Zahlensphären sind selbst Systeme vieler Momente: Größe der Entfernung, der Geschwindigkeit, auch der Masse. Kein einzelnes dieser Momente kann als eine Reihe dargestellt, mit einer Reihe einfacher Zahlen verglichen werden; denn die Reihe kann zu ihren Gliedern nur das System dieser ganzen Momente enthalten. Wären nun die Platonischen Zahlen auch die Elemente eines jeden solchen Systems, so wäre nicht sowohl dies Element dasjenige, um das es zu tun wäre, sondern das Verhältnis der Momente, die sich in der Bewegung unterscheiden, was als Ganzes zu begreifen und das wahrhaft Interessante und Vernünftige ist. Wir haben kurz die Hauptsache historisch anzugeben. Die gründlichste Abhandlung darüber ist von $[$ August $]$ Böckh in den Studien von Daub und Creuzer.

> Die Grundreihe ist sehr einfach. »Zuerst hat Gott aus dem Ganzen einen Teil genommen; alsdann den zweiten, den doppelten des ersten; der dritte ist 1 1/2 von dem zweiten, der dreifache des ersten; der nächste das Doppelte des zweiten; der fünfte das Dreifache des dritten; der sechste das Achtfache des ersten; der siebente ist um 26 größer als der erste.« Die Reihe ist mithin: 1; 2; 3; dann 4, das Quadrat von 2; 9, das Quadrat von 3; 8 als kubus von 2; und 27 als kubus von 3. »Alsdann hat Gott die zweifachen (1 : 2) und dreifachen (1 : 3) Intervalle (Verhältnisse) ausgefüllt, indem er wieder Teile aus dem Ganzen abschnitt. Diese Teile hat er in die Zwischenräume so gestellt, daß zwei (Mittlere oder) Mitten in jedem seien, wovon die eine um den ebensovielten Teil größer und kleiner als jedes der Extreme, die andere aber der Anzahl nach um gleich viel größer und kleiner als die Extreme ist«, – das erste ein stetiges geometrisches Verhältnis, das andere ein arithmetisches. Die erste Mitte entsteht durch die Quadrate (1:√2:2); die andere ist z.B., wenn 1 1/2 die Mitte ist zwischen 1 und 2. Hierdurch entstehen dann neue Verhältnisse; diese sind wieder auf eine besondere angegebene schwierigere Weise in jene ersten eingeschoben, doch so, daß allenthalben etwas weggelassen worden. Und das letzte Verhältnis (horos) der Zahl zur Zahl ist 256: 243 – oder 28: 35. Man kommt jedoch nicht weit mit diesen Zahlenverhältnissen; sie bieten nichts für den Begriff, für die Idee dar. Die Verhältnisse, Gesetze der Natur lassen sich nicht mit diesen dürren Zahlen ausdrücken. Es ist ein empirisches Verhältnis und macht nicht die Grundbestimmung in den Maßen der Natur aus. Platon sagt nun: »Diese ganze Reihe hat Gott ihrer Länge nach in zwei Teile zerschnitten, sie kreuzweise übereinandergelegt, ihre Enden umgebogen zu einem Kreise und sie mit einer gleichförmigen Bewegung umschlossen: einen inneren Kreis und einen äußeren formierend, den äußeren als die Umwälzung des Sichselbstgleichen, den inneren die des Andersseins oder Sichungleichen, jenen als den herrschenden, ungeteilten. Den inneren aber hat er wieder nach jenen Verhältnissen in sieben Kreise geteilt, wovon drei mit gleicher Geschwindigkeit, vier aber mit ungleicher Geschwindigkeit unter sich und gegen die drei ersten sich[97] umwälzen. Dies ist nun das System der Seele, innerhalb der alles Körperliche gebildet ist. Sie ist die Mitte, durchdringe das Ganze und umschließt es ebenso von außen und bewegt sich in sich selbst – und hat so den göttlichen Grund eines unaufhörlichen und vernünftigen Lebens in sich selbst.« 

> Dies ist nicht ganz ohne Verwirrung. Bei der Idee des körperlichen Universums kommt ihm schon die Seele als das umschließende Einfache herein. Es ist nur das Allgemeine hieraus zu nehmen. α) Das Wesen des Körperlichen und der Seele ist die Einheit in der Differenz. β) Dies Wesen ist ein Gedoppeltes es ist αα) selbst an und für sich selbst in der Differenz gesetzt, – innerhalb des Einen systematisiert es sich in viele Momente, die aber Bewegungen sind, und ββ) Realität; – beide dieses Ganze in der Entgegensetzung von Seele und Körperlichkeit, und dieses ist wieder Eins. Der Geist ist das Durchdringende, Mitte der Kugel, die Ausdehnung und das Umschließende; das Körperliche ist innerhalb seiner, – d.h. es ist ihm ebensosehr entgegengesetzt, seine Differenz, wie es er selbst ist.

> Dies ist die allgemeine Bestimmung der Seele, die in die Welt gesetzt ist, diese regiert; und insofern ihr das Substantielle, was die Materie ist, ähnlich sieht, ist ihre Identität in sich behauptet. Die Seele ist dasselbe Wesen wie das sichtbare Universum; es sind dieselben Momente, die ihre Realität ausmachen. (Gott als absolute Substanz sieht nichts anderes als sich selbst.) Platon beschreibt daher ihr Verhältnis zu dem gegenständlichen Wesen so, daß sie, wenn sie eins der Momente desselben, entweder die teilbare oder unteilbare Substanz berühre, sie sich in sich reflektierend darüber bespreche, beides unterscheide, was dasselbe an ihm oder das Ungleiche sei, wie, wo und wann das Einzelne sich zueinander und zum Allgemeinen sich verhalte. Wenn der Kreis des Sinnlichen, richtig sich verlaufend, sich seiner ganzen Seele zu erkennen gibt, so entstehen wahre Meinungen und richtige Überzeugungen (wenn die »verschiedenen« Kreise des Weltlaufs sich übereinstimmend zeigen mit dem Insichsein des Geistes). »Wenn die Seele aber sich an das Vernünftige wendet und der Kreis des Sichselbstgleichen sich zu erkennen gibt, so vollendet sich der Gedanke zur Wissenschaft.« 

> Dies ist nun die Idee, das Wesen der Welt, als des in sich seligen Gottes. Hier nach dieser Idee tritt erst die Welt hervor, hier ist erst die Idee des Ganzen vollendet. Es war bisher nur das Wesen des Sinnlichen, nicht die Welt als sinnliche noch hervorgetreten; ob er dort zwar schon von dem Feuer usf. gesprochen, so gibt er nur das Wesen. Platon scheint hier von vorne anzufangen, was er schon abgehandelt, aber dort nur das Wesen; jene Ausdrücke, Feuer usf., hätte er besser weggelassen.
Weiter geht nun Platon fort. Diese göttliche Welt nennt er auch »das Muster, das allein im Gedanken (noêton) und immer in der Sichselbstgleichheit ist«. Er setzt dieses Ganze sich wieder so entgegen, daß »ein Zweites ist, das Abbild jenes Ersten, die Welt, die Entstehung hat und sichtbar ist« (48). Dies Zweite ist das System der himmlischen Bewegung, jenes Erste ist das ewige Leben. »Dasjenige, was Entstehung, Werden an ihm hat, ist nicht möglich, ihm« (der ersten Idee, jenem Ewigen) »völlig gleichzumachen. Es ist aber ein sich bewegendes Bild des Ewigen, das in der Einheit bleibt, gemacht; und dies ewige Bild, das nach der Zahl sich bewegt (kat' arithmon iousan aiônion eikona), ist, was wir Zeit nen nen.« Platon sagt von ihr: »Wir pflegen das War und Wirdsein Teile der Zeit zu nennen und tragen in das absolute Wesen der Zeit diese Unterschiede der in der Zeit sich bewegenden Veränderung (peri tên en chronô genesin iousan). Die wahre Zeit aber ist ewig, oder sie ist die Gegenwart. Denn die Substanz ist weder älter noch jünger, und die Zeit, als unmittelbares Bild des Ewigen, hat ebenso nicht die Zukunft und Vergangenheit zu ihren Teilen.«  Die Zeit ist ideell, wie der Raum, – die gegenständliche Weise des Geistigen; es ist Raum, Zeit nichts Sinnliches, – die unmittelbare Weise, wie der Geist in der gegenständlichen Weise hervortritt, die sinnliche unsinnliche.


> Die realen Momente der Zeit – des Prinzips der an und für sich seienden Bewegung im Zeitlichen – sind nun die, an denen die Veränderungen hervortreten: »Die Sonne, der Mond und die fünf anderen Sterne, die Planeten, – sie sind es, welche zur Bestimmung und Erhaltung (Bewahrung) der Zahlenverhältnisse der Zeit dienen«, in ihnen sind die Zahlen der Zeit realisiert. So ist also die himmlische Bewegung (die wahre Zeit) das Bild des Ewigen, das in der Einheit bleibt oder worin das Ewige die Bestimmtheit des Sichselbstgleichen behält. Denn alles ist in der Zeit, d.h. eben in der negativen Einheit, welche nichts frei in sich einwurzeln und so dem Zufalle nach sich bewegen und bewegt werden läßt.

> Aber dies Ewige ist auch in der Bestimmtheit der anderen Wesenheit, in der Idee des sich ändernden und irrenden Prinzips, dessen Allgemeines die Materie ist. Die ewige Welt hat ein Abbild an der Welt, die der Zeit angehört; aber dieser gegenüber ist eine zweite Welt, der die Veränderlichkeit wesentlich innewohnt. Das Sichselbstgleiche und das Andere sind die abstraktesten Gegensätze, die wir früher hatten. Die ewige Welt, als in die Zeit gesetzt, hat so zwei Formen, die Form des Sichselbstgleichen und die Form des Sich-Anderen, des Irrenden. Die drei Momente, wie sie in diesem Prinzip (Sphäre) erscheinen, sind: u) das einfache Wesen, das erzeugt wird, »das Entstandene« (die bestimmte Materie); β) der Ort, »worin es erzeugt wird; und γ) das, wovon das Gezeugte sein Urbild hat«. Oder Platon gibt sie dann auch so an: »Das Wesen, der Ort und die Erzeugung«, – jenes Wesen die Nahrung, Substanz der Erzeugung. Wir haben den Schluß: α) das Wesen, das Allgemeine, β) den Ort (Raum), die Mitte, und γ) die individuelle, einzelne Zeugung. Setzen wir dies Prinzip der Zeit nach ihrer Negativität entgegen, so ist das[100] einfache Moment des on – dies Prinzip des Anderen, als allgemeines Prinzip – ein »aufnehmendes« Medium, ein Wesen »wie eine Amme«, welches alles erhält, für sich bestehen macht und für sich gewähren läßt. Dies Prinzip ist das Formlose, das aller Formen empfänglich ist, das allgemeine Wesen alles unterschieden Erscheinenden. Es ist die schlechte passive Materie, das, was wir unter Materie verstehen, wenn wir davon sprechen. Die Materie ist hier das relativ Substantielle, das Bestehen überhaupt, äußerliches Dasein, – ist das abstrakte nur Fürsichsein. Wir unterscheiden davon in unserer Reflexion die Form; und nach Platon kommt erst durch die Amme die Form zum Bestehen. In dieses Prinzip fällt das, was wir die Erscheinung nennen, denn die Materie ist eben dies Bestehen der einzelnen Zeugung, darin die Entzweiung gesetzt ist. Was nun aber hierin erscheint, ist nicht als Einzelnes irdischer Existenz zu setzen, selbst als Allgemeines in ihrer Bestimmtheit aufzufassen. Da die Materie, als das Allgemeine, das Wesen alles Einzelnen ist, so erinnert fürs erste Platon, daß man von diesen sinnlichen Dingen nicht sprechen dürfe: das Feuer, das Wasser, die Erde, die Luft usf. (hier ist wieder Feuer usf.); denn hierdurch werden sie als eine fixe Bestimmtheit ausgesagt, die als solche bleibt; was aber bleibt, ist nur ihre Allgemeinheit oder sie als Allgemeine, nur das Feurige, Irdische usf. 

> Ferner exponiert nun Platon die bestimmte Wesenheit dieser Dinge oder ihre einfache Bestimmtheit. In dieser Welt der Veränderlichkeit ist nun die Form die räumliche Figur. Wie in der Welt, welche unmittelbares Abbild des Ewigen ist, die Zeit das absolute Prinzip ist, so ist hier das absolute ideelle Prinzip oder die reine Materie als solche das Bestehen des Raums. α) Materie, β) Raum, γ) Erzeugung: Der Raum ist das ideelle Wesen dieser erscheinenden Welt, die Mitte, welche die Positivität und Negativität vereint, und seine Bestimmtheiten sind die Figuren. Und zwar unter den Dimensionen des Raums ist es die Fläche,[101] welche als wahre Wesenheit genommen werden muß, da sie zwischen Linie und Punkt im Raume die Mitte für sich und in ihrer ersten realen Begrenzung Drei ist; so ist auch das Dreieck die erste der Figuren, während der Kreis die Grenze als solche nicht an ihm hat. Und hier kommt Platon auf die Ausführung der Figurationen; in diesen ist das Dreieck die Grundlage. Das Wesen der sinnlichen Dinge sind daher die Dreiecke. Und da sagt er denn auf pythagoreische Weise: Die Zusammensetzung und Verbindung dieser Dreiecke wieder nach den ursprünglichen Zahlenverhältnissen macht dann die sinnlichen Elemente aus, – jene Verbindung derselben ihre Idee (der Mitte angehörend). Dies ist nun die Grundlage. Wie er nun die Figuren der Elemente und die Verbindungen der Dreiecke bestimme, übergehe ich.

> Von hier geht Platon nun auch in eine Physik und Physiologie über, in die wir ihm nicht folgen wollen. Es ist als ein Anfang, kindlicher Versuch anzusehen, die sinnliche Erscheinung in ihrer Vielheit zu begreifen; aber er ist noch oberflächlich und verworren, – ein Aufnehmen der sinnlichen Erscheinung, z.B. der Teile und Glieder des Körpers, und eine Erzählung desselben mit Gedanken vermischt, die sich unseren formellen Erklärungen nähern und worin in der Tat der Begriff ausgeht. Wir haben uns an die Erhabenheit der Idee zu halten, die das Vortreffliche ist; denn die Realisierung der Idee, – davon hat Platon das Bedürfnis gefühlt und ausgedrückt. Oft ist auch der spekulative Gedanke erkennbar, aber meistens geht die Betrachtung auf ganz äußerliche Weisen, z.B. Zweckmäßigkeit usf. Es ist andere Weise, die Physik zu behandeln, die empirische Kenntnis ist da auch noch mangelhaft; jetzt ist umgekehrt Mangel der Idee. Platon stellt, obschon er unserer den Begriff der Lebendigkeit nicht festhaltenden Physik nicht angemessen erscheint und nach kindlicher Weise in äußerlichen Analogien zu sprechen fortfährt, doch im einzelnen sehr tiefe, auch für uns wohl beachtenswerte Blicke dar, wenn anders die Betrachtung der Natur nach der Lebendigkeit Platz hätte. Und ebenso beachtenswert würde uns seine Beziehung des Physiologischen auf Psychisches erscheinen. Einige Momente enthalten etwas Allgemeines, z.B. die Farben, von wo aus er in allgemeinere Betrachtungen wieder übergeht. Merkwürdig ist dies öftere Anfangen von vorne; es liegt nicht darin, daß der Timaios ein Aggregat ist, sondern es ist die innerliche Notwendigkeit. Man muß vom Abstrakten anfangen, um zum Wahren, zum Konkreten zu kommen, und dies tritt erst später ein; hat man dies nun, so hat es wieder den Schein und die Form eines Anfanges, besonders in der losen Weise Platons.

> Indem Platon auf die Farben zu reden kommt, so sagt er über die Schwierigkeit, das Einzelne zu unterscheiden und zu erkennen, daß bei der Naturbetrachtung zwei Ursachen zu unterscheiden sind: die notwendige und die göttliche. »In allem muß man das Göttliche aufsuchen, um des seligen Lebens willen« (eudaimonos biou, diese Beschäftigung ist Zweck an und für sich, und darin liegt die Glückseligkeit), »soweit unsere Natur dessen empfänglich ist; die notwendigen Ursachen nur zum Behuf jener Dinge, da wir sie ohne diese notwendigen Ursachen« (Bedingungen der Erkenntnis) »nicht erkennen können.« Es ist die äußerliche Betrachtung der Gegenstände, ihres Zusammenhangs, ihrer Beziehung usf. »Vom Göttlichen ist Gott selbst der Urheber«; das Göttliche gehört jener ersten göttlichen Welt an, nicht als einer jenseitigen, sondern als einer gegenwärtigen. »Die Erzeugung und Einrichtung der sterblichen Dinge hat Gott seinen Gehilfen aufgetragen (tois heautou gennêmasi dêmiourgein prosetaxen).« Dies ist eine leichte Manier des Übergangs vom Göttlichen zum Endlichen, Irdischen. »Diese nun, das Göttliche nachahmend, weil sie in sich selbst das unsterbliche Prinzip einer Seele empfangen, so haben sie einen sterblichen Körper gemacht und in diesen ein anderes sterbliches Bild (eidos) der Idee der Seele gesetzt (prosôkodomounto). Dies sterbliche Bild enthält die gewalthabenden[103] und notwendigen Leidenschaften (deina kai anankaia pathêmata): das Vergnügen, Leid (Traurigkeit), Mut, Furcht, Zorn, Hoffnung usf. Diese Empfindungen alle gehören der sterblichen Seele an. Und um das Göttliche nicht zu beflecken, wo es nicht unumgänglich notwendig, so haben die unteren Götter dieses Sterbliche vom Sitze des Göttlichen getrennt und in einen anderen Teil des Körpers eingewohnt und haben so einen Isthmus und Grenze gemacht zwischen Kopf und Brust, den Hals dazwischen setzend.« Die Empfindungen, Leidenschaften usf. wohnen nämlich in der Brust, im Herzen (wir legen das Unsterbliche ins Herz); das Geistige ist im Kopfe. Aber um jenes so vollkommen zu machen wie möglich, »haben sie« z.B. »dem Herzen, von Zorn entbrannt, die Lunge als eine Hilfe beigesellt, weich und blutlos, dann durchbohrte Röhren wie in einem Schwamm habend, damit sie, Luft und Getränke (to pôma) in sich nehmend, das Herz abkühle und eine Respiration und Erleichterung seiner Hitze gewähre.« 

> Besonders merkwürdig ist, was Platon dann über die Leber sagt: »Da der unvernünftige Teil der Seele, der Begierde nach Essen und Trinken hat, die Vernunft nicht hört, hat Gott die Natur der Leber geschaffen, damit die aus dem nous herabsteigende Kraft der Gedanken in dieselbe, aufnehmend wie in einem Spiegel die Urbilder (typous) und ihnen« (den unvernünftigen Teilen) »Gespenster, Schreckbilder (eidôla) zeigend, sie erschrecke«; und zwar »damit, wenn dieser Teil der Seele besänftigt ist, er im Schlafe der Gesichte teilhaftig werde (manteia chrômenên). Denn die uns gemacht haben, eingedenk des ewigen Gebots des Vaters, das sterbliche Geschlecht so gut zu machen als möglich, haben den schlechteren Teil von uns so eingerichtet, daß er auch einigermaßen der Wahrheit teilhaftig werde, und haben ihm die Weissagung (to manteion) gegeben.« Platon schreibt so die Weissagung der unvernünftigen, leiblichen Seite des Menschen zu. Und obgleich man oft glaubt, daß bei Platon die Offenbarung usf. der Vernunft zugeschrieben werde, so ist dies doch falsch; es ist eine Vernunft, sagt er; aber in der Unvernünftigkeit. »Daß Gott aber der menschlichen Unvernunft die Weissagung gegeben, davon ist dies ein hinreichender Beweis, daß kein seiner Vernunft mächtiger Mensch (ennous) einer göttlichen (entheou) und wahrhaften Weissagung (alêthous mantikês) teilhaftig wird; sondern nur, wenn entweder im Schlafe die Kraft der Besonnenheit (phronêseôs) gefesselt ist oder wer durch Krankheit oder einen Enthusiasmus außer sich gebracht (verändert) ist (parallaxas).« Das Hellsehen erklärt also Platon für das Niedrigere gegen das bewußte Wissen. »Der Besonnene (emphrôn) aber hat solches (solche manteia) nun auszulegen und zu deuten; denn wer noch im Wahnsinn ist, kann es nicht beurteilen. Gut ist es schon von alters her gesagt worden: zu tun und zu erkennen das Seinige und sich selbst, kommt nur dem besonnenen Manne zu.« Man macht Platon zum Schutzpatron des bloßen Enthusiasmus; das ist also ganz falsch. Dies sind die Hauptmomente der. Naturphilosophie Platons.

###### 3. Philosohy of spirit
 {#PlatoPhilosophyOfSpirit}

> Teils haben wir von diesem sein spekulatives Wesen (nicht die Bedeutung des Geistes, nicht realisiert, wie sie es heißen, am Geiste und an der Natur) schon gesehen, teils aber finden wir bei Platon noch kein ausgebildetes Bewußtsein über den Organismus des theoretischen Geistes. Wir finden Empfindung, Erinnerung usf., Vernunft bei ihm unterschieden, aber diese Momente des Geistes weder genau bestimmt, noch in ihrem Zusammenhange exponiert, wie sie nach der Notwendigkeit sich zueinander verhalten. (Die Unterschiede in Ansehung des Erkennens sind zwar sehr wichtig, aber sie sind schon angeführt.) Sondern die reale, die praktische Seite des Bewußtseins ist vorzüglich das Glänzende bei Platon. Und was uns denn von dem, was auf die Seite des Geistes fällt, interessieren kann, ist die Idee Platons über[105] die sittliche Natur des Menschen. (Dies hat denn auch nicht die Form, daß er sich um ein oberstes Moralprinzip bemüht hätte, wie es jetzt genannt wird und woran man etwas Leeres hat, indem man alles zu haben glaubt, – noch um ein Naturrecht, diese triviale Abstraktion über das reale praktische Wesen, das Recht.) Diese sittliche Natur ist es, die er in seinen Büchern von der Republik expliziert. Die sittliche Natur des Menschen scheint uns entfernt zu sein vom Staate. Aber Platon erschien die Realität des Geistes – des Geistes, insofern er der Natur entgegengesetzt ist – in ihrer höchsten Wahrheit, nämlich als die Organisation eines Staats; und er erkannte, daß die sittliche Natur (der freie Wille in seiner Vernünftigkeit) nur zu ihrem Rechte, zu ihrer Wirklichkeit kommt in einem wahrhaften Volke.

> Näher ist nun zu bemerken, daß Platon in den Büchern von der Republik die Untersuchung seines Gegenstandes so einleitet, daß gezeigt werden solle, was die Gerechtigkeit sei. Nach mancherlei Hin- und Herreden und nach mehreren negativen Betrachtungen ihrer Definitionen sagt Platon endlich in seiner einfachen Weise: In Ansehung dieser Untersuchung verhalte es sich so, wie wenn jemandem aufgegeben worden wäre, kleine und entfernte Buchstabenschrift zu lesen, und die Bemerkung gemacht würde, daß dieselben Buchstaben sich in einem näheren Orte und größer vorfinden, – so würde er sie, wo sie größer sind, lieber erst lesen und dann auch die kleineren leichter lesen können. Ebenso wolle er nun mit der Gerechtigkeit verfahren. Die Gerechtigkeit sei nicht nur am Einzelnen, sondern auch am Staate, und der Staat größer als der Einzelne; sie werde deswegen auch an Staaten in größeren Zügen ausgedrückt und leichter zu erkennen sein. (Das ist verschieden von stoischem Reden von dem Weisen.) Er wolle sie deswegen lieber, wie sie als Gerechtigkeit des Staats ist, betrachten (II, 368-369), – eine naive, anmutige Einleitung. Platon führt so durch Vergleichung die Frage nach der Gerechtigkeit herüber zur Betrachtung des Staats. Das ist ein sehr[106] naiver Übergang, er scheint willkürlich; der große Sinn führte die Alten aber zum Wahren. Was Platon bloß für eine größere Leichtigkeit ausgibt, ist in der Tat vielmehr die Natur der Sache. Denn die Gerechtigkeit in ihrer Realität und Wahrheit ist allein im Staate. Das Recht ist Dasein der Freiheit, Wirklichkeit des Selbstbewußten, die reale Seite und Weise des Geistes. Der Staat ist objektive Wirklichkeit des Rechts. Das Recht ist das geistige Insich- und Beisichsein, das Dasein haben will, tätig ist, – Freiheit, die sich Dasein gibt; die Sache ist mein, d.h. ich setze meine Freiheit in diese äußerliche Sache. Der Geist ist einerseits erkennend, nach der andern Seite will er, d.h. er will sich Realität geben. Die Realität, worin der ganze Geist ist, nicht das Mich-Wissen als diesen Einzelnen, ist der Staat. Denn wie der freie vernünftige Wille sich bestimmt, sind es Gesetze der Freiheit; aber diese Gesetze sind eben als Gesetze der Staaten, da es eben der Staat ist, daß der vernünftige Wille existiere, wirklich vorhanden sei. Im Staate also gelten die Gesetze, sind seine Gewohnheit und seine Sitte; weil aber die Willkür ebenso unmittelbar dabei ist, so sind sie nicht bloß Sitte, sondern müssen zugleich auch Macht sein gegen die Willkür, wie sie in den Gerichten und Regierungen erscheint. Das ist das Wesen des Staats; und mit diesem Instinkt der Vernunft hält er sich an diese Züge, wie der Staat diese Züge der Gerechtigkeit darstellt.
Das Gerechte an sich stellt sich uns gemeiniglich in der Form vor. Wenn von einem natürlichen Recht, vom Recht in einem Naturzustande gesprochen wird, so ist ein solcher Naturzustand unmittelbar ein sittliches Unding. Was an sich ist, wird von denen, die das Allgemeine nicht erreichen, für etwas Natürliches gehalten, wie die notwendigen Momente des Geistes für angeborene Ideen. Das Natürliche ist vielmehr das vom Geist Aufzuhebende, und der Naturzustand kann nur so auftreten, sein Recht ist nur dieses, daß er das absolute Unrecht des Geistes ist. Der Staat ist der reale Geist. Der Geist in seinem einfachen, noch nicht[107] realisierten Begriff ist das abstrakte Ansich, und dieser Begriff, das Ansich, muß allerdings vorhergehender Konstruktion seiner Realität; und dies ist es, was als Naturzustand aufgefaßt worden ist. Wir sind es gewohnt, von der Fiktion eines Naturzustandes auszugehen, der freilich kein Zustand des Geistes, des vernünftigen Willens, sondern der Tiere untereinander ist. Der Krieg aller gegen alle ist der wahre Naturzustand, wie Hobbes sehr richtig bemerkt hat. Dieses Ansich oder der nicht reale Begriff des Geistes ist zugleich der einzelne Mensch; er existiert als solcher. Alsdann trennt sich in der Vorstellung überhaupt das Allgemeine von dem Einzelnen, als ob der Einzelne an und für sich wäre, so wie er einmal ist, als ob das Allgemeine ihn nicht zu dem machte, was er in Wahrheit ist, es nicht sein Wesen wäre, sondern das das Wichtigste wäre, was er Besonderes an sich hat. Die Fiktion des Naturstandes fängt von der Einzelheit der Person an und deren freiem Willen und der Beziehung auf andere Personen nach diesem freien Willen. Was von Natur Recht sei, hat man das genannt, was am Einzelnen und für den Einzelnen Recht ist; und den Zustand der Gesellschaft und des Staats hat man bloß gelten lassen als Mittel für die einzelne Person, die der Grundzweck ist. Platon umgekehrt legt das Substantielle, Allgemeine zugrunde, und zwar so, daß der Einzelne als solcher eben dies Allgemeine zu seinem Zweck, seiner Sitte, seinem Geiste habe, daß der Einzelne für den Staat wolle, handle, lebe und genieße, so daß er seine zweite Natur, seine Gewohnheit und seine Sitte sei. Diese sittliche Substanz, die den Geist, das Leben und das Wesen der Individualität ausmacht und die Grundlage ist, systematisiert sich in einem lebendigen organischen Ganzen, indem es sich wesentlich in seine Glieder unterscheidet, deren Tätigkeit eben das Hervorbringen des Ganzen ist. Dies Verhältnis des Begriffs zu seiner Realität ist bei Platon freilich nicht zum Bewußtsein gekommen. Wir finden bei ihm keine philosophische Konstruktion, welche zuerst die Idee an und für sich, alsdann in[108] ihr selbst die Notwendigkeit ihrer Realisation und diese selbst aufzeigt.
Platon hat also in seiner Republik ein sogenanntes Ideal von einer Staatsverfassung gegeben, die als sobriquet sprichwörtlich geworden ist in dem Sinne, daß es eine Chimäre sei. Oder über die Platonische Republik hat sich dieses Urteil fixiert, daß sie, wie sie Platon beschreibt, allerdings vortrefflich wäre – in dem Sinne, daß sie wohl gedacht werden könne im Kopfe, an sich im Gedanken diese Vorstellung wahr sei; daß sie auch ausführbar sei, aber unter der Bedingung nur, daß die Menschen vortrefflich sind, – wie vielleicht im Monde; daß sie aber nicht ausführbar sei für die Menschen, wie sie einmal auf Erden sind (man müsse die Menschen nehmen, wie sie sind, das Ideal kann man wegen der Schlechtigkeit der Menschen nicht ins Dasein bringen), und daß daher so ein Ideal doch sehr müßig sei.
α) Fürs erste ist hierüber zu bemerken, daß in der christlichen Welt überhaupt ein Ideal eines vollkommenen Menschen gang und gäbe ist, das freilich nicht wohl in Menge wie der Menge eines Volkes vorhanden sein kann. Wenn wir es in Mönchen oder in Quäkern oder dergleichen frommen Leuten realisiert finden, so könnte ein Haufen solcher tristen Geschöpfe kein Volk ausmachen, sowenig als Läuse (Parasitenpflanzen) für sich existieren könnten, nur auf einem organischen Körper. Wenn sie ein solches konstituieren sollten, so müßte diese lammsmäßige Sanftmut, diese Eitelkeit, die sich nur mit der eigenen Person beschäftigt und diese hegt und pflegt, sich immer das Bild und Bewußtsein der eigenen Vortrefflichkeit gibt, zugrunde gehen. Denn das Leben im und fürs Allgemeine fordert nicht jene lahme und feige, sondern eine ebenso energische Sanftmut, – nicht eine Beschäftigung mit sich und seinen Sünden, sondern mit dem Allgemeinen und dem, was für dieses zu tun ist. Wem nun jenes schlechte Ideal vorschwebt, der findet freilich die Menschen immer mit Schwäche und Verderbnis behaftet und findet jenes Ideal nicht realisiert. Denn sie machen eben aus[109] Lumpereien eine Wichtigkeit, worauf kein Vernünftiger sieht, und meinen, solche Schwachheiten und Fehler seien doch vorhanden, wenn sie sie auch übersehen. Allein es ist nicht ihre Großmut zu schätzen; sondern vielmehr, daß sie auf das, was sie Schwachheit und Fehler nennen, sehen, ist ihr eigenes Verderben, das etwas daraus macht. Der Mensch, der sie hat, ist unmittelbar durch sich selbst davon absolviert, insofern er nichts daraus macht. Das Laster ist nur dieses, wenn sie ihm wesentlich sind, und das Verderben dieses, sie für etwas Wesentliches zu halten.
Die Wahrheit ist keine Chimäre. Wünsche zu machen, ist freilich ganz erlaubt. Wenn man aber über Großes und Wahrhaftes in sich nur frommes Wünschen hat, so ist das gottlos; ebenso wenn man nichts tun kann, weil alles heilig und unverletzlich sei, und nichts Bestimmtes sein will, weil alles Bestimmte seinen Mangel habe. Jenes Ideal muß uns also nicht im Wege stehen, in welcher feinen Form es sei: nicht gerade Mönche und Quäker, aber doch dies Prinzip der sinnlichen Entbehrung und der Energie des Tuns, das vieles zu Boden schlagen muß, was sonst gilt. Alle Verhältnisse erhalten, ist widersprechend; es ist immer eine Seite, wo sie beleidigt werden, die sonst gelten. Was ich schon über das Verhältnis der Philosophie zum Staate angeführt habe, zeigt, daß dies Ideal nicht in diesem Sinne zu nehmen ist. Wenn ein Ideal überhaupt in sich Wahrheit hat durch die Idee, durch den Begriff, so ist es keine Chimäre, ist wahrhaft; und ein solches Ideal ist nichts Müßiges, nichts Kraftloses, sondern ist das Wirkliche. Das wahrhafte Ideal soll nicht wirklich sein, sondern ist wirklich und allein das Wirkliche; – dies glaubt man zunächst. Soll eine Idee zur Existenz zu gut sein, so ist dies Fehler des Ideals selbst. Die Platonische Republik wäre deswegen eine Chimäre, nicht weil solche Vortrefflichkeit der Menschheit fehlt, sondern sie, diese Vortrefflichkeit, zu schlecht für sie wäre. Die Wirklichkeit ist zu gut; was wirklich ist, ist vernünftig. Man muß aber wissen, unterscheiden, was in der Tat wirklich[110] ist; im gemeinen Leben ist alles wirklich, aber es ist ein Unterschied zwischen Erscheinungswelt und Wirklichkeit. Das Wirkliche hat auch äußerliches Dasein; das bietet Willkür, Zufälligkeit dar, wie in der Natur Baum, Haus, Pflanze zusammenkommen. Die Oberfläche im Sittlichen, das Handeln der Menschen hat viel Schlimmes; da könnte vieles besser sein. Erkennt man die Substanz, so muß man durch die Oberfläche hindurchsehen. Menschen werden immer lasterhaft, verderbt sein; das ist nicht die Idee. An der Oberfläche balgen sich die Leidenschaften herum; das ist nicht die Wirklichkeit der Substanz. Das Zeitliche, Vergängliche existiert wohl, kann einem wohl Not genug machen, aber dessenungeachtet ist es keine wahrhafte Wirklichkeit, wie auch nicht die Partikularität des Subjekts, seine Wünsche, Neigungen.

> Mit Beziehung auf diese Bemerkung ist an den Unterschied zu denken, der vorhin bei der Platonischen Naturphilosophie gemacht ist: Die ewige Welt, als der in sich selige Gott, ist die Wirklichkeit, nicht drüben, nicht jenseits, sondern die gegenwärtige wirkliche Welt in ihrer Wahrheit betrachtet, nicht wie sie dem Gehör, Gesicht usf. in die Sinne fällt. Wenn wir so den Inhalt der Platonischen Idee betrachten, so wird sich ergeben, daß Platon in der Tat die griechische Sittlichkeit nach ihrer substantiellen Weise dargestellt hat. Das griechische Staatsleben ist das, was den wahrhaften Inhalt der Platonischen Republik ausmacht. Platon ist nicht der Mensch, der sich mit abstrakten Theorien und Grundsätzen herumtreibt, sein wahrhafter Geist hat Wahrhaftes erkannt und dargestellt; und dies konnte nichts anderes sein als das Wahrhafte der Welt, worin er lebte, dieses einen Geistes, der in ihm so gut lebendig gewesen ist wie in Griechenland. Es kann niemand seine Zeit überspringen, der Geist seiner Zeit ist auch sein Geist; aber es handelt sich darum, ihn nach seinem Inhalte zu erkennen.

> β) Auf der andern Seite ist eine vollkommene Konstitution in Beziehung auf ein Volk so zu betrachten, daß die Konstitution[111] nicht für jedes Volk taugt. In dieser Rücksicht ist wesentlich – wenn gesagt wird, daß eine wahrhafte Konstitution nicht für die Menschen, wie sie nun sind, passe –
αα) dies zu bedenken, daß eben die Konstitution eines Volkes, je vortrefflicher sie ist, das Volk eben um so vortrefflicher macht, aber ββ) umgekehrt (da die Sitten die lebendige Konstitution sind) die Konstitution ebenso in ihrer Abstraktion nichts für sich ist, sondern sich auf sie beziehen muß, und der lebendige Geist dieses Volkes sie erfüllen muß. Es kann darum gar nicht gesagt werden, daß eine wahrhafte Konstitution für jedes Volk passe; und es ist allerdings der Fall, daß für die Menschen, wie sie sind, z.B. wie sie Irokesen, Russen, Franzosen sind, nicht jede tauglich ist. Denn das Volk fällt in die Geschichte. Aber wie der einzelne Mensch im Staate erzogen, d.h. er als Einzelheit in die Allgemeinheit erhoben wird und aus dem Kinde erst ein Mensch wird, so wird auch jedes Volk erzogen; sein Zustand, worin es Kind ist, oder die Barbarei geht in einen vernünftigen Zustand über. Und die Menschen bleiben nicht nur, wie sie sind, sondern sie werden anders; ebenso ihre Konstitutionen. Und es ist hier die Frage, welches die wahrhafte ist, der das Volk zugehen muß, – wie die Frage ist, welches die wahre Wissenschaft der Mathematik oder jede andere ist; aber nicht, als ob Kinder oder Knaben jetzt diese Wissenschaft besitzen sollten, sondern daß sie so erzogen werden, daß sie dieser Wissenschaft fähig werden. So steht dem geschichtlichen Volke die wahre Konstitution bevor, so daß es ihr zugeht. Jedes Volk muß mit dem Fortgange der Zeit solche Veränderungen mit seiner vorhandenen Konstitution machen, welche sie der wahren immer näher bringen. Sein Geist tritt selbst seine Kinderschuhe aus; und die Konstitution ist das Bewußtsein über das, was er an sich ist, – die Form der Wahrheit, des Wissens von sich. Ist ihm das Ansich nicht mehr wahr, was ihm seine Konstitution noch als das Wahre ausspricht, sein Bewußtsein oder Begriff und seine Realität verschieden, so ist der Volksgeist ein zerrissenes,[112] geteiltes Wesen. Es treten zwei Fälle ein. Das Volk zerschlägt durch einen inneren gewaltsameren Ausbruch dies Recht, das noch gelten soll, oder ändert auch ruhiger und langsamer dasjenige, was noch als Recht gilt, das Gesetz, das nicht mehr wahre Sitte ist, worüber der Geist hinaus ist. Oder es hat den Verstand und die Kraft nicht dazu, sondern bleibt bei dem niedrigeren Gesetze stehen; oder ein anderes Volk hat seine höhere Konstitution erreicht, es ist hierdurch ein vortrefflicheres Volk, – und jenes erste hört gegen es auf; ein Volk zu sein, und muß ihm unterliegen.

> Deswegen ist es wesentlich, zu wissen, was die wahre Konstitution ist; denn was ihr widerstreitet, hat keinen Bestand, keine Wahrheit, es hebt sich auf. Es hat ein zeitliches Dasein und kann sich nicht erhalten: es hat gegolten, aber kann nicht fortwährend gelten; daß es abgeschafft werden muß, liegt in der Idee der Konstitution. Diese Einsicht kann allein durch die Philosophie erreicht werden. Staatsumwälzungen geschehen ohne gewaltsame Revolutionen, wenn die Einsicht allgemein ist; Einrichtungen fallen ab, verlieren sich, man weiß nicht wie, – jeder ergibt sich drein, sein Recht zu verlieren. Daß es aber an der Zeit damit ist, muß die Regierung wissen. Knüpft aber die Regierung, unwissend über das, was die Wahrheit ist, sich an zeitliche Einrichtungen, nimmt sie das unwesentlich Geltende in Schutz gegen das Wesentliche – und was dieses ist, ist in der Idee enthalten -so wird sie selbst damit von dem drängenden Geiste gestürzt, und die Auflösung der Regierung löst das Volk selbst auf; es entsteht neue Regierung, – oder die Regierung und das Unwesentliche behält die Oberhand.

> Der Hauptgedanke, der nun Platons Republik zugrunde liegt, ist der, der als Prinzip der griechischen Sittlichkeit anzusehen ist, daß nämlich das Sittliche das Verhältnis des Substantiellen habe, als göttlich festgehalten werde, – so daß jedes einzelne Subjekt den Geist, das Allgemeine zu seinem Zwecke, zu seinem Geiste und Sitte habe, nur aus,[113] in diesem Geiste wolle, handle, lebe und genieße, – so daß dies seine Natur, d. i. seine zweite geistige Natur sei, das Subjektive es in der Weise einer Natur als Sitte und Gewohnheit des Substantiellen habe. Dies ist nun allerdings die Grundbestimmung, das Substantielle überhaupt. Die Bestimmung, die diesem entgegensteht – diesem substantiellen Verhältnis der Individuen zur Sitte –, ist die subjektive Willkür der Individuen, die Moral; daß die Individuen nicht aus Achtung, Ehrfurcht für die Institutionen des Staats, des Vaterlandes aus sich heraus handeln, sondern aus eigener Überzeugung, nach einer moralischen Überlegung einen Entschluß aus sich fassen, sich danach bestimmen. Dies Prinzip der subjektiven Freiheit ist ein späteres, ist das Prinzip der modernen, ausgebildeten Zeit. Dies Prinzip ist in die griechische Welt auch gekommen, aber als Prinzip des Verderbens der griechischen Staaten, des griechischen Lebens. Es war das Verderben, weil der griechische Geist, Staatsverfassung, Gesetze nicht berechnet waren und darauf nicht berechnet sein konnten, daß innerhalb ihrer dies Prinzip auftreten würde. Beides ist nicht homogen; und so mußten griechische Sitte und Gewohnheit untergehen. Platon hat nun den Geist, das Wahrhafte seiner Welt erkannt und aufgefaßt und hat es ausgeführt nach der näheren Bestimmung, daß er dies neue Prinzip verbannen, unmöglich machen wollte in seiner Republik. Es ist so ein substantieller Standpunkt, auf dem er steht, indem das Substantielle seiner Zeit zugrunde liegt; aber er ist auch nur relativ so, da es nur ein griechischer Standpunkt ist und das spätere Prinzip mit Bewußtsein ausgeschlossen wird. Dies ist das Allgemeine des Platonischen Ideals vom Staate; und aus diesem Gesichtspunkte muß man es betrachten. Untersuchungen, ob ein solcher Staat möglich und der beste ist, die sich auf die neuesten Gesichtspunkte basieren, führen nur auf schiefe Ansichten. In modernen Staaten ist Freiheit des Gewissens; jedes Individuum kann fordern, für seine Interessen sich ergehen zu können; dies ist aber aus der Platonischen Idee ausgeschlossen.

> Erstens. Ich will nun in näherer Ausführung die Hauptmomente angeben, insofern sie philosophisches Interesse haben. Was nun das Wesen des Staats und was der Staat in seiner Wahrheit ist, stellt Platon dar. Er hat eine Schranke, die wir kennenlernen werden: daß der Einzelne nicht im formalen Recht dieser Allgemeinheit entgegensteht wie in der toten Konstitution der Rechtsstaaten. Der Inhalt ist nur das Ganze, die Natur des Individuums, – aber sich reflektierend ins Allgemeine, nicht fixiert, an und für sich geltend. Es ist schon bemerkt, daß ausgegangen wird von der Gerechtigkeit, daß Platon sagt, es sei bequem, die Gerechtigkeit im Staate zu betrachten. Es ist aber nicht die Bequemlichkeit, die ihn dahin führt; sondern es ist dies, daß die Ausführung der Gerechtigkeit nur möglich ist, insofern der Mensch Mitglied des Staates ist, der als solcher wesentlich sittlich ist. Die Gerechtigkeit schließt allein in sich, daß der Gerechte nur als sittliches Mitglied des Staats existiere. Die Gerechtigkeit ist nun nach Platon, daß der substantielle Geist Wirklichkeit habe und wie diese Wirklichkeit beschaffen sei. Platon zeigt das praktische Wesen am Staate zuerst auf, und dann, daß es dasselbe am Einzelnen ist. Die Idee ist konkret, ebenso das Sittliche. In der näheren Weise der Behandlung legt er nun den Organismus des sittlichen Gemeinwesens, d.h. die Unterschiede, die in der sittlichen Substanz liegen, auseinander; sie ist so lebendig, daseiend. Er entfaltet die Momente, die im Begriffe liegen; sie sind nicht unabhängig, sondern nur gehalten in der Einheit. Platon betrachtet diese Momente des sittlichen Organismus in drei Gestalten: α) wie sie im Staate als Stände sind, β) als Tugenden, Momente des Sittlichen, γ) wie sie Momente des einzelnen Subjekts, der empirischen Wirksamkeit des Willens sind. Platon predigt nicht Moral, er zeigt, wie das Sittliche sich lebendig in sich bewegt; seine Funktionen, Eingeweide stellt er auf. Innere Systematisierung wie im organischen Leibe, nicht gediegene, tote Einheit wie die Metallität, sondern in sich lebendige, sich bewegende, kommt[115] eben durch die Unterschiede (Funktionen der Eingeweide) hervor, welche sie machen.
a) Ohne Stände, ohne diese Teilung in große Massen, hat der Staat keinen Organismus; diese großen Unterschiede sind der Unterschied des Substantiellen. Der Gegensatz des Allgemeinen, als Staatsgeschäfts und Lebens im Staate, und des Einzelnen, als Lebens und Arbeitens für das Einzelne, kommt gleichfalls vor. Beide Geschäfte sind so verteilt, daß die eine Klasse, ein Stand, jenem gewidmet ist, ein anderer aber diesem. Platon führt nun drei Systeme der Wirklichkeit des Sittlichen auf: Die Funktionen α) der Gesetzgebung, Beratung, überhaupt der Tätigkeit, Vorsorge für das Allgemeine, die Interessen des Ganzen als solchen, β) der Verteidigung des Gemeinwesens nach außen gegen Feinde, γ) der Sorge für das Einzelne, das Bedürfnis: Ackerbau, Viehzucht, Verfertigung der Bekleidung, Häuser, Geräte usf. Dies ist im allgemeinen ganz richtig, doch erscheint es mehr als äußere Notwendigkeit, weil sich solche Bedürfnisse vorfinden; es ist nicht aus der Idee des Geistes selbst entwickelt. Ferner werden diese unterschiedenen Funktionen nun an verschiedene Systeme verteilt, – einer Masse von Individuen zugeteilt, die dazu besonders bestimmt sind. Und das gibt die unterschiedenen Stände des Staats, indem Platon ebenfalls gegen die oberflächliche Vorstellung ist, daß einer und derselbe alles zusammen sein müsse. Er führt nun drei Stände auf: α) den der Regierer, Gelehrten, Wissenden; β) den der Krieger; γ) den des Anschaffens der Bedürfnisse: Ackerbauer und Handwerker. Den ersten nennt er auch den der Wächter, wesentlich philosophisch gebildete Staatsmänner, die die wahrhafte Wissenschaft besitzen. (II, 369-376) Diese Abteilung der Stände deduziert Platon nicht, diese Unterschiede sind aber notwendig; jeder Staat ist notwendig ein System dieser Systeme innerhalb seiner selbst. Auf diese Weise bildet die Einteilung in Stände die Konstitution des Platonischen Staates. Platon geht dann hierbei zu einzelnen Bestimmungen über, die zum Teil kleinlich sind und besser[116] entbehrt würden; z.B. er bestimmt sogar für den ersten Stand besondere Titulaturen (V, 463), spricht von der Erziehung, wie die Ammen sich benehmen sollen (V, 460) usf.

> b) Alsdann zeigt Platon die Momente, welche hier in Stände realisiert sind, als dasjenige, was wir Eigenschaften nennen, die in den Individuen vorhanden sind, als sittliche Wesenheiten auf, – der einfache sittliche Begriff in seine Bestimmtheiten verteilt, die allgemein. Indem Platon die Stände auf diese Weise unterscheidet, gibt er als Resultat an, daß durch solch einen Organismus alle Tugenden im Gemeinwesen lebendig vorhanden seien. Diese Tugenden, die er nun angibt, sind vier, und man hat sie Kardinaltugenden genannt.
α) Als erste Tugend erscheint die Weisheit und die Wissenschaft. »Ein solcher Staat wird weise und wohlberaten sein, und zwar so sein nicht wegen der mannigfaltigen Wissenschaften (Kenntnisse), die darin vorhanden sind, welche sich auf die einzelnen Beschäftigungen beziehen, aufs Viele, was gemein ist, und ein Eigentum der Menge sind (Handwerkswissenschaften), wie Schmiedekunst, Ackerbau (Kameral-Wissenschaften), sondern wegen der wahrhaften Wissenschaft, der Wissenschaft der Vorsteher und Regenten, welche das Ganze berät, das Allgemeine weiß, sowohl wiefern es sich in sich selbst und zu anderen Staaten aufs Beste verhält, und die eigentlich nur der Besitz des kleinsten Teils ist. Diese Einsicht hat ihre Realität an dem Stande der Beratenden (Regenten).« (IV, 427-429)

> β) Die zweite Tugend ist die Tapferkeit, welche Platon so bestimmt, daß sie »eine feste Behauptung der gerechten und den Gesetzen gemäßen Meinung ist, von dem, was mächtig, wichtig, zu fürchten ist (deinôn), und die, im Gemüte befestigt, sich durch Begierden, durch Vergnügen nicht wankend machen läßt. Dieser Tugend entspricht der Stand der Tapferen.« (IV, 429-430)

> γ) Die dritte Tugend ist die Mäßigung (sôphrosynê), »die Gewalt über die Begierden und Leidenschaften, die wie eine Harmonie durch das Ganze verbreitet ist; so daß die schwächeren[117] Menschen und die stärkeren, es sei nach dem Verstande betrachtet, nach der Stärke oder Menge oder Reichtum, oder in welcher Rücksicht es sei, auf ein und dasselbe zusammenwirken und miteinander übereinstimmen. Diese Tugend ist nicht, wie Weisheit und Tapferkeit, auf Teile (Stände) eingeschränkt, sondern den Regenten und Regierten gemeinschaftlich, als eine Harmonie verteilt, die Tugend aller « (IV, 430-432) Diese Mäßigung ist eigentlich die Tugend des dritten Standes. Die Harmonie, in der alles zu einem Zwecke wirkt, scheint bei dem ersten Anblicke dem dritten Stande (Herbeischaffung der Bedürfnisse und Arbeit) nicht sogleich zu entsprechen. Allein die sôphrosynê ist eben dieses, daß kein Moment, keine Bestimmtheit, Einzelheit sich isoliert (im Moralischen, daß kein Bedürfnis sich zum Wesen macht, Laster wird). Die Arbeit ist gerade dies Moment der aufs Einzelne sich beschränkenden Tätigkeit, die aber ins Allgemeine zurückgeht, für es ist. Diese Tugend ist allgemein; aber sie findet besonders statt in Ansehung des dritten Standes, der zunächst nur in Harmonie zu bringen ist, indem er nicht die absolute Harmonie hat, die die anderen Stände in sich selbst haben.

> δ) Die vierte Tugend endlich ist die Gerechtigkeit, um die es von Anfang zu tun gewesen. Diese wird im Staate (als Rechtschaffenheit) »darin gefunden, daß jeder Einzelne sich nur um eine Sache, die sich auf den Staat bezieht, bemühe (epitêdeuein), wozu seine Natur am geschicktesten geboren ist, – so daß jeder nicht vielerlei treibt, sondern das ihm Zukommende: Jung und Alt, Knaben, Weiber, Freie, Sklaven, Handwerker, Obrigkeiten und Regierte«. Es ist hierüber zu bemerken: Platon stellt die Gerechtigkeit hier neben die anderen Momente; sie erscheint so als das Vierte, als eine der vier Bestimmungen. Aber er nimmt dies so zurück, daß sie es nun sei, »welche dem anderen – Mäßigkeit, Tapferkeit, Weisheit –, was zu den Staatseinrichtungen gehört, und denselben, unter diese allgemeinen Gesichtspunkte zusammengefaßt, die Kraft (dynamin) gibt, daß sie werden und[118] daß sie, wenn sie vorhanden sind, ihre Wirkung, das Ganze zu erhalten, hervorbringen (hôste engenesthai kai engenomena ge sôtêrian parechein).« Deswegen er auch gesagt hatte, die Gerechtigkeit werde für sich selbst schon vorhanden angetroffen werden, wenn jene anderen Tugenden gefunden sind (esesthai to hypoleiphthen ekeinôn, ei ta tria heuroimen). (IV, 432-433) Bestimmter dies gesagt, so ist der Begriff der Gerechtigkeit die Grundlage, die Idee des Ganzen, welches so in sich organisch geteilt ist, daß jeder Teil nur als Moment im Ganzen ist und das Ganze durch ihn ist, so daß an diesem jene Stände oder Eigenschaften nur eben diese Momente sind. Die Gerechtigkeit nur ist dies Allgemeine, Durchdringende, – das Fürsichsein jedes Teils, den der Staat für sich gewähren läßt. Es erhellt hieraus, daß Platon unter Gerechtigkeit nicht das Recht des Eigentums, wie gemeinhin in der Rechtswissenschaft, verstanden hat, sondern daß der Geist in seiner Totalität zu seinem Rechte, Dasein gelange. Im Eigentum ist höchst abstrakt meine Persönlichkeit, meine ganz abstrakte Freiheit vorhanden. Bestimmungen dieser Rechtswissenschaft hält Platon (IV, 425) im Ganzen für überflüssig. In den Büchern über die Gesetze betrachtet er hauptsächlich auch das Sittliche; doch läßt er sich etwas mehr hierauf ein. Es erhellt hieraus, daß die Gerechtigkeit das ganze Wesen ist, – in Ansehung des Einzelnen so bestimmt, daß jeder das, zu dem er geboren ist, aufs Beste treiben lerne und treibe. Hierdurch kommt er als bestimmte Individualität allein zu seinem Rechte, sie ist im Allgemeinen des Staats; er gehört dem allgemeinen Geiste an und kommt zum Allgemeinen seiner als eines Diesen. Das Recht ist das Allgemeine mit einem bestimmten Inhalte, – formell Allgemeines. Hier ist dieser Inhalt die bestimmte ganze Individualität, nicht dies oder jenes Ding, Zufall des Besitzes; sondern seine eigentliche Habe ist der ausgebildete Besitz und Gebrauch seiner Natur. Die Gerechtigkeit läßt überhaupt jeder besonderen Bestimmung ihr Recht widerfahren und führt sie ebenso ins Ganze zurück.[119] (Die Partikularität eines Individuums muß ausgebildet werden, zum Rechte, Dasein kommen. Jeder ist so an seiner Stelle, jeder erfüllt seine Bestimmung; so daß also jedem sein Recht widerfährt.) Sie heißt nach ihrem wahrhaften Begriff bei uns die Freiheit im subjektiven Sinn. Hier ist sie dies, daß das Vernünftige zu seinem Dasein komme, Existenz erhalte. Das Recht, daß die Freiheit zur Existenz komme, ist allgemein. Deswegen stellt Platon die Gerechtigkeit oben hin als Bestimmung des Ganzen und die Freiheit in dem Sinne, daß die vernünftige Freiheit zur Existenz gelange durch den Organismus des Staats, – eine Existenz, die dann eine notwendige, eine Weise der Natur ist.

> c) Das besondere Subjekt als Subjekt hat ebenso diese Eigenschaften an ihm; diese Momente des Subjekts entsprechen den drei realen Momenten des Staats. Diese dritte Form, in der diese Momente aufgezeigt werden, bestimmt Platon auf folgende Weise. (Daß ein Rhythmus, ein Typus die Idee im Staate ist, – das ist eine große und schöne Grundlage des Platonischen Staates.) »Es zeigen sich am Subjekte zuerst α) Bedürfnisse, Begierden (epithymiai) wie Hunger und Durst, deren jede auf etwas Bestimmtes und nur auf dieses geht. Die Begierde, für die Arbeit, entspricht der Bestimmung des dritten Standes. β) Zugleich aber auch findet sich im einzelnen Bewußtsein etwas anderes, was die Befriedigung dieser Begierde aufhält und hindert und über den Reiz zu derselben die Oberhand hat; dies ist der logos, das Vernünftige. Diesem entspricht der Stand der Vorsteher, die Weisheit des Staats. γ) Außer diesen zwei Ideen der Seele ist ein Drittes, der Zorn (thymos), Gemüt, welcher einesteils den Begierden verwandt ist, aber ebenso auch gegen die Begierde streitet und der Vernunft beisteht. Teils wenn einer Unrecht getan hat und der ihn Hunger und Kälte ausstehen läßt, von dem er mit Recht dies zu leiden glaubt, so wird er, je edler er ist, desto weniger in Zorn gegen ihn entbrennen; teils, wenn er Unrecht leidet, so gärt es in ihm auf, und er steht dem, was gerecht ist, bei, und Hunger und Frost[120] und sonstige Mühseligkeiten, die der Begierde entgegen sind, duldet er und überwindet sie und gibt das Rechte nicht auf, bis er es durchgesetzt oder den Tod gefunden oder durch Gründe, wie ein Hund vom Schäfer, besänftigt ist. Der thymos; entspricht dem Stande der tapferen Verteidiger im Staate, wie diese für die Vernunft des Staats zu den Waffen greifen, so steht der Zorn der Vernunft bei, wenn er nicht durch schlechte Erziehung verderbt worden.« (IV, 437-441)

> »So ist also die Weisheit des Staats dasselbe als des Einzelnen; so auch die Tapferkeit, und so im Übrigen: die Mäßigung, die Übereinstimmung der einzelnen Momente des Natürlichen; und die Gerechtigkeit, wie in den äußeren Handlungen, daß jedes das Seinige vollbringt, so im Innern, daß jedes Moment des Geistes sein Recht erlangt und andere sich nicht in sein Geschäfte mischen, – die Austeilung, welche jedem das Seinige gibt und es gewähren läßt.« (IV, 441-443) Wir haben den Schloß dreier Momente: α) die Allgemeinheit, β) die Mitte, der Zorn für sich gegen das Gegenständliche, in sich zurückkehrend und negativ, besser die negativ sich betätigende Freiheit, γ) die Vereinzelung. Platon ist auch hier, wo er kein Bewußtsein seiner abstrakten Idee, wie beim Timaios, hat, diese in Wahrheit im Innern gegenwärtig; und alles bildet sich darnach. Dies ist nun die Weise, wie Platon die Disposition für das Ganze macht. Die Ausführung ist Detail, das für sich weiter kein Interesse hat.

> Zweitens. Platon gibt dann die Mittel an, den Staat zu erhalten. Dies Mittel ist Erziehung, Bildung. Überhaupt beruht nun das ganze Gemeinwesen auf Sitte, als zur Natur gewordenem Geist der Individuen, daß jeder als sittliches Tun und Wollen vorhanden sei. Wie bewirkt dies nun Platon? Eben wie macht er, daß in ihnen das, was ihre Bestimmung ist, wirklich zum eigenen Sein und Wollen des Individuums werde, daß jeder (nach der Mäßigung) sich unterwerfe dieser seiner Stelle, Geschäfte? – Die Hauptsache ist, die Individuen dazu zu erziehen. Er will diese[121] Sitte direkt hervorbringen in den Individuen, zuerst und vornehmlich in den Wächtern. Da den Wächtern gerade die Sorge überlassen ist, diese Sitte hervorzubringen, so muß auf ihre Erziehung besonders geachtet werden, – hernach auch auf die der Krieger. Wie es im Stande der Gewerbe sei, macht dem Staat wenig Sorge; »denn ob die Schuhflicker schlecht und verdorben werden und das nur zu sein scheinen, was sie sein sollen, – das ist dem Staat kein Unglück (ouden deinon).« (IV, 421) Zum wichtigsten Teil des Ganzen gehört also die Bildung der Vorsteher, als Grundlage. Diese Bildung soll aber durch die Wissenschaft sein, durch die Kunde von dem philosophischen Wissen, von dem Allgemeinen, Anundfürsichseienden, dessen Wissenschaft die Philosophie ist. Platon geht dabei die einzelnen Bildungsmittel durch: Religion, Kunst, Wissenschaft. Ausführlicher redet Platon auch ferner darüber, wie weit Musik und Gymnastik als Mittel zuzulassen seien. Die Dichter aber, Homer und Hesiod, verbannt er aus seinem Staate, weil er ihre Vorstellungen von Gott unwürdig findet. Denn es fing damals an, Ernst zu werden mit der Betrachtung des Glaubens an Jupiter und die Homerischen Geschichten; einzelne Darstellungen wurden als allgemeine Maxime, göttliches Gesetz genommen. Auf einer Stufe der Bildung sind Kindermärchen unschuldig; aber wenn sie zum Grunde der Wahrheit des Sittlichen gelegt werden sollen, als gegenwärtiges Gesetz – so Schriften der Israeliten, das Alte Testament, als Maßstab im Völkerrecht das Ausrotten der Völker, die unzähligen Schändlichkeiten, die David, der Mann Gottes, begangen, Greulichkeiten, welche die Priesterschaft (Samuel) gegen Saul verübt und geltend gemacht hat –, dann ist es Zeit, sie zu einem Vergangenen, zu etwas bloß Historischem herabzusetzen. Platon geht die Gymnastik und Musik durch und spricht vorzüglich von der Philosophie. (II, 376) Dann will er Einleitungen in die Gesetze, worin die Bürger zu ihren Pflichten ermahnt, überzeugt werden usf.; Erziehung, Wahl der Vortrefflichsten, kurz Sittlichkeit.[122]


> (Die Wächter wachen also für die Erhaltung der Gesetze, und die Gesetze beziehen sich besonders auf sie. Allerdings finden wir auch bei Platon Gesetze über Eigentum, Polizei usw. »Aber«, sagt er, »edlen und schönen Männern darüber Gesetze zu geben, verlohnt sich nicht der Mühe.« (IV, 425) Wirklich, wie will man darüber göttliche Gesetze erfinden, wo der Stoff an sich nur Zufälligkeiten enthält?)
Hier ist aber der Zirkel vorhanden: Das öffentliche Staatsleben besteht durch die Sitten, und umgekehrt die Sitten durch Institutionen. Die Sitten dürfen nicht unabhängig von den Institutionen sein oder die Institutionen bloß auf die Sitten gerichtet sein durch Erziehungsanstalten, Religion. Eben Institutionen müssen als das Erste angesehen werden, wodurch die Sitte wird, die Weise, wie die Institutionen subjektiv sind. Platon selber gibt zu verstehen, wieviel Widerspruch er zu finden erwarte. Und noch jetzt pflegt man den Mangel darin zu setzen, daß er idealisch sei; darin liegt er vielmehr, daß er nicht idealisch genug ist. Denn wenn die Vernunft die allgemeine Macht ist, diese aber wesentlich geistig ist, so gehört zum Geistigen die subjektive Freiheit; und diese subjektive Freiheit ist das Prinzip, was schon bei Sokrates war, bei ihm aufgegangen und sich betätigend als das, was das Verderben Griechenlands ausgemacht hat. Griechenland beruhte auf der substantiellen, sittlichen Freiheit; das Erblühen der subjektiven Freiheit hat es nicht auszuhalten vermocht. Also die Vernünftigkeit soll die Grundlage des Gesetzes sein und ist es auch im ganzen; aber auf der andern Seite ist das Gewissen, die eigene Überzeugung – kurz alle Formen der subjektiven Freiheit – wesentlich darin enthalten. Den Gesetzen, dem Staatsorganismus steht die Subjektivität gegenüber. Jene Vernunft ist die absolute Macht, die das Individuum der Familie – durch äußere Notwendigkeit der Bedürfnisse, worin aber Vernunft an und für sich – sich anzueignenden Trieb hat. Es geht von der Subjektivität der freien Willkür aus, schließt sich dem Ganzen an, wählt sich einen Stand,[123] bringt sich empor als sittliche Sache. Aber dieses Moment überhaupt, diese Bewegung des Individuums, dieses Prinzip der subjektiven Freiheit ist bei Platon teils nicht beachtet, teils sogar absichtlich verletzt, und er betrachtet nur, wie die Organisation des Staats die beste sei, nicht wie die subjektive Individualität. Im Hinausgehen über das Prinzip der griechischen Sittlichkeit faßt die Platonische Philosophie es zugleich auf und ging sogar darin noch weiter.
Was nun den anderen Gesichtspunkt betrifft, das Ausschließendes Prinzips der subjektiven Freiheit, so ist dies ein Hauptzug bei der Platonischen Republik. Der Geist derselben besteht wesentlich darin, daß alle Seiten, worin sich die Einzelheit als solche fixiert, im Allgemeinen aufgelöst werden, – alle nur als allgemeine Menschen gelten. Dieser Bestimmung gemäß, das Prinzip der Subjektivität auszuschließen, ist es nun, daß Platon (spezieller)
a) es nicht den Individuen gestattet, sich einen Stand zu wählen, – was wir für die Freiheit als notwendig fordern. Diese Stände sind aber in Ansehung der Individuen nicht durch die Geburt getrennt und für sie bestimmt; sondern je nachdem einer natürliches Geschick und Anlage hat (nach dem Urteile über seine Talente, Erziehung), wird von den Regenten des Staats, den Ältesten des ersten Standes, welche die Individuen erziehen lassen, prüfen, die Auswahl und die Abscheidung gemacht und jeder einem bestimmten Geschäfte zugeteilt (III, 412-415). (Der erste Stand sind Regenten, die Weisheit des Staats, und haben die Krieger auf ihrer Seite als Betätigung, aber so, daß nicht ein Zivil- und Militärstand auseinanderfällt, sondern beides vereine ist, – so daß die Ältesten die Wächter. Dies erscheint unserem Prinzip durchaus widersprechend. Denn obwohl man es für billig findet, daß zu einem gewissen Stande eine besondere Tätigkeit und Geschicklichkeit gehöre, so bleibt es doch[124] immer eine Neigung, welchem Stande man angehört; und mit dieser Neigung – frei scheinenden Wahl – macht der Stand sich für sich selber. Aber von einem anderen Individuum läßt man sich das nicht vorschreiben: »Weil du zu nichts Besserem zu brauchen bist als zu einem Handwerker« usw. Er kann es selbst versuchen; man muß ihn machen lassen, über ihn als Subjekt auch auf subjektive Weise entscheiden lassen durch eigene Willkür, ohnehin nach äußeren Umständen: »Ich will auf das Studieren mich legen.«
b) Ferner kommt es aus dieser Bestimmung her, daß Platon ebenso in seinem Staate das Prinzip des Privateigentums überhaupt aufgehoben hat (III, 416-417). Denn in ihm wird die Einzelheit, das einzelne Bewußtsein absolut, oder die Person angesehen als das Ansichseiende ohne allen Inhalt. Im Recht als solchem gelte ich als Dieser an und für mich. Es gelten alle so, und ich gelte nur, weil alle gelten, oder ich gelte nur als Allgemeines; aber der Inhalt dieser Allgemeinheit ist die fixierte Einzelheit. Wenn es im Recht um das Recht als solches zu tun ist, den Richtern der Sache nichts daran gelegen ist, ob eigentlich dieser oder ein anderer dies Haus besitze, und auch den Parteien nichts am Besitze dieses Dings, um das sie streiten, sondern am Recht um des Rechts willen (wie der Moralität an der Pflicht um der Pflicht willen), so wird an dieser Abstraktion festgehalten und von dem Inhalt der Realität abstrahiert. Aber das Allgemeine der Philosophie ist nicht eine Abstraktion, sondern das Wesen der Einheit des Allgemeinen und der Realität oder seines Inhalts. Es gilt daher nur der Inhalt, insofern er im Allgemeinen negativ gesetzt wird, zurückkehrend, nicht an und für sich geltend. Insofern ich die Dinge brauche – nicht insofern ich sie habe oder sie mir als seiend, als fixiert an mir als Fixiertem gelten –, stehen die Dinge in Beziehung auf mich als Besitz und Eigentum. – Der (andere) dritte Stand aber treibt Handwerke, Handel, Ackerbau und schafft das Nötige für das Allgemeine herbei, ohne Eigentum durch seine Arbeit zu gewinnen; sondern das Ganze ist eine[125] Familie, worin jeder sein angewiesenes Geschäft treibt, aber das Produkt der Arbeit gemeinsam ist und er von seinem sowie von allen Produkten das erhält, was er braucht. Eigentum ist ein Besitz, der mir als dieser Person angehört, worin meine Person als solche zur Existenz, zur Realität kommt. Aus diesem Grunde schließt er es aus. Es bleibt aber unerörtert, wie in Entwicklung der Gewerbe ohne Hoffnung auf Privateigentum ein Reiz der Tätigkeit stattfinden soll. Darin, daß ich Person bin, liegt ja vielmehr meine Fähigkeit zum Eigentum. – Daß dann, wie Platon meint (V, 464), allen Streitigkeiten, Zwist, Haß, Habsucht usf. ein Ende gemacht sei, kann man sieh wohl im allgemeinen vorstellen. Aber das ist nur eine untergeordnete Folge gegen das höhere und vernünftige Prinzip des Eigentumsrechts; und die Freiheit hat nur Dasein, sofern der Person Eigentum zukommt. Auf diese Weise sehen wir die subjektive Freiheit von Platon selbst mit Bewußtsein aus seinem Staate entfernt.
c) Aus demselben Grunde hebt Platon auch die Ehe auf, weil sie eine Verbindung ist, worin eine Person von einem Geschlechte einer Person vom anderen sich als diese gegenseitig bleibend angehört, auch außer der bloß natürlichen Beziehung, – dem »gegenseitigen Gebrauche«, wenn es so genannt werden kann. Platon läßt das Familienleben in seinem Staate nicht aufkommen, – diese Eigentümlichkeit, wonach eine Familie ein Ganzes für sich ausmacht. Die Familie ist die erweiterte Persönlichkeit, – ein sittliches Verhältnis, innerhalb der natürlichen Sittlichkeit, ausschließend gegen Anderes; es ist zwar Sittlichkeit, aber eine solche, die dem Individuum als Einzelheit zugehört. Nach dem Begriff der subjektiven Freiheit muß das Individuum Eigentum haben; ebenso notwendig, ja heilig ist die Familie. So läßt Platon der Mutter das Kind gleich nach der Geburt wegnehmen, in einer eigenen Anstalt (Schafstall) zusammenbringen und durch Säugammen aus der Zahl der Mütter, die entbunden worden, nähren, – so jedoch, daß keine Mutter mehr ihr Kind soll erkennen können. Die[126] Kinder erhalten eine gemeinsame Erziehung. Ebenso werden auch die Frauen verteilt. Es soll wohl Hochzeiten, besondere Frauen geben, – aber so, daß das Zusammen sein von Mann und Frau nicht eine persönliche Neigung voraussetzt, das Individuum nicht sein besonderes Gefallen gelten machen kann, welches Mann und Frau füreinander bestimmt. Die Weiber sollen vom 20. bis 40. Jahre gebären, die Männer vom 30. bis 55. Jahre Frauen haben. Um Blutschande zu verhindern, sollen die Kinder, die zu der Zeit geboren, wo ein Mann verheiratet ist, alle seine Kinder genannt werden (V, 457-461). Die Frauen, deren wesentliche Bestimmung das Familienleben ist, entbehren hier dieses ihres Bodens. In der Platonischen Republik folgt daher: Indem die Familie aufgelöst ist und die Weiber nicht mehr dem Hause vorstehen, so sind sie auch keine Privatpersonen und nehmen die Weise des Mannes als des allgemeinen Individuums im Staate an. Und Platon läßt sie deswegen alle männlichen Arbeiten wie diese verrichten (V, 451-457), auch mit in den Krieg ziehen, setzt sie auf beinahe gleichen Fuß mit den Männern; aber er hat kein sonderliches Zutrauen zu ihrer Tapferkeit und stellt sie nur hinterdrein, und zwar nicht als Reserve, doch »als arrière-garde, um wenigstens dem Feinde durch die Menge Furcht einzujagen, zu imponieren und im Notfall auch zu Hilfe zu eilen« (V, 471).

> Dies macht nun die Grundzüge der Platonischen Republik aus. Sie hat dies Wesentliche, daß das Prinzip der Einzelheit unterdrückt ist, und es scheint, daß die Idee dies erfordere, daß eben hierin der Gegensatz der Philosophie überhaupt gegen die Vorstellungsweise liegt, welche das Einzelne geltend macht und so auch im Staate, als dem realen Geiste, Eigentumsrecht, Schutz der Personen und des Eigentums sogar als die Basis alles Staats ansieht. Das ist die Grenze der Platonischen Idee; jenes nur die abstrakte Idee. Aber in der Tat ist die wahre Idee eben diese, daß jedes Moment sich vollkommen realisiert, verkörpert und selbständig macht und in seiner Selbständigkeit für den Geist doch ein Aufgehobenes[127] ist. Hiernach muß nach dieser Idee die Einzelheit sich vollkommen realisieren, ihr Feld und Reich im Staate haben und doch in ihm aufgelöst sein. Das Element des Staats ist die Familie, d.h. sie ist der natürliche, vernunftlose Staat; dies Element muß als solches vorhanden sein. Alsdann die Idee des Vernunftstaats hat die Momente ihres Begriffs so zu realisieren, daß sie Stände werden, daß die sittliche Substanz in Massen sich zerteilt, wie die körperliche Substanz in Eingeweide und Organe, deren jedes das Leben in eigentümlicher Bestimmtheit treibt, aber alle nur ein Leben zusammen ausmachen. Der Staat überhaupt, das Ganze, als Einzelwesen, noch nicht abstrakte Allgemeinheit der Persönlichkeit, die das Recht ausmacht, muß durch alles hindurchgehen. Aber ebenso muß das abstrakt Formelle, das Recht mit der Einzelheit als seiendem In halt, Prinzip, durchs Ganze hindurchlaufen; aber ein Stand gehört ihm besonders an. So muß auch ein Stand sein, worin das unmittelbare Eigentum, das bleibende Eigentum, wie der Besitz des Leibes, so ein Besitz eines Stücks Land ist, – und dann ein Stand worin immer erworben wird, nicht solcher unmittelbarer Besitz ist, sondern ein sich immer wandelndes und veränderndes Gut. Diese beiden Stände gibt das Volk als einen Teil seiner selbst dem Prinzip der Einzelheit preis und läßt hier das Recht regieren, eine Beständigkeit, das Allgemeine das Ansich in diesem Prinzipe suchen, das vielmehr das der Beweglichkeit ist. Dies Prinzip muß seine ganze vollständige Realität haben, es muß auch als Eigentum vorkommen. Dies ist erst der wahre reale Geist, daß jedes Moment seine vollkommene Selbständigkeit und er sein Anderssein in völliger Gleichgültigkeit des Seins erhält; – dies vermag die Natur nicht, selbständiges Leben ihrer Teile darzustellen außer im großen Systeme.
Dies ist, wie wir sonst sehen werden, die große Erhebung der modernen Welt über die alte, worin das Gegenständliche größere, absolute Selbständigkeit erhält, die aber darum um so schwerer unter die Einheit der Idee zurückkehrt.[128]
Dieser Mangel der Subjektivität ist der Mangel der griechischen sittlichen Idee selbst. Das Prinzip, was bei Sokrates aufging, war nur bisher untergeordneter vorhanden; es muß nun auch absolutes Prinzip, notwendiges Moment der Idee selbst werden.

> Durch dies Ausschließendes Eigentums, des Familienlebens, durch die Aufhebung der Willkür bei Wahl des Standes, durch alle diese Bestimmungen, die sich auf das Prinzip der subjektiven Freiheit beziehen, glaubt Platon allen Leidenschaften, Haß, Streit usf. die Tür verschlossen zu haben. Er hatte wohl erkannt, daß das Verderben des griechischen Lebens davon hergekommen ist, daß die Individuen als solche ihre Zwecke, ihre Neigungen, Interessen geltend zu machen anfingen, Interessen, die über den gemeinsamen Geist Meister geworden sind. Indem dies Prinzip aber notwendig ist durch die christliche Religion – in der die Seele des Einzelnen absoluter Zweck ist und so als notwendig im Begriff des Geistes eingetreten ist in die Welt –, so sieht man, daß die Platonische Staatsverfassung untergeordnet ist, das nicht erfüllen kann, was die höhere Forderung von einem sittlichen Organismus verlangt. Platon hat das Beruhen, Wissen, Wollen, Beschließen des Individuums nicht anerkannt, nicht zu vereinigen gewußt mit seiner Idee. Die Gerechtigkeit erfordert ebenso für dies sein Recht wie die höhere Auflösung und Harmonie mit dem Allgemeinen. Das Entgegengesetzte gegen das Prinzip Platons ist das Prinzip des bewußten freien Willens der Einzelnen, was in späterer Zeit besonders durch Rousseau obenangestellt worden ist: daß die Willkür des Einzelnen als Einzelnen, das Aussprechen des Einzelnen notwendig ist. Da ist denn das Prinzip bis in das direkte Extrem gesteigert und in seiner ganzen Einseitigkeit hervorgetreten. Dieser Willkür und Bildung gegenüber muß das an und für sich Allgemeine, Gedachte, nicht als weise Vorsteher, Sitte, sondern als Gesetz, und zugleich mein Wesen und mein Gedanke, d.h. Subjektivität und Einzelheit sein. Die Menschen müssen das Vernünftige[129] selbst aus sich mit ihrem Interesse, ihrer Leidenschaft hervorgebracht haben, so wie es in die Wirklichkeit tritt durch dringende Not, Gelegenheit, Veranlassungen.
Wir haben auch nicht den Kritias anzuführen, der ein Fragment geblieben ist und im Zusammenhange mit Timaios steht, mit dem sich Kritias so geteilt hatte, daß Timaios von dem spekulativen Ursprung des Menschen und der Natur handeln, Kritias die Geschichte der Menschenbildung (philosophische Geschichte) als die alte Geschichte der Athenienser darstellen sollte, wie sie bei den Ägyptern aufbewahrt werde.
Noch kann eine berühmte Seite der Platonischen Philosophie kurz betrachtet werden, nämlich das Ästhetische, die Erkenntnis dessen, was das Schöne ist. Hierüber hat Platon ebenso den einzigen wahren Gedanken aufgefaßt, daß das Wesen des Schönen intellektuell, die Idee der Vernunft ist. Er ist so zu verstehen, wenn er von einer geistigen Schönheit spricht: Die Schönheit als Schönheit ist die sinnliche Schönheit, nicht an einem anderen Orte, man weiß nicht wo; sondern was am Sinnlichen schön ist, ist eben geistig. Es ist dies der Fall wie mit seiner Idee überhaupt. Wie das Wesen und die Wahrheit des Erscheinenden die Idee ist, so ist auch die Wahrheit des erscheinenden Schönen eben diese Idee. Das Verhältnis zum Körperlichen, als ein Verhältnis der Begierde oder des Angenehmen und Nützlichen, ist kein Verhältnis zu ihm als Schönem; es ist ein Verhältnis zu ihm als dem nur Sinnlichen oder des Einzelnen zu Einzelnem. Sondern das Wesen des Schönen ist nur die auf sinnliche Weise als ein Ding vorhandene einfache Idee der Vernunft; aber sein Inhalt ist nichts anderes als sie. Es ist wesentlich ein geistiges Wesen; α) es ist nicht bloß sinnliches Ding, sondern die der Form der Allgemeinheit, der Wahrheit unterworfene Wirklichkeit. Aber β) dies Allgemeine behält auch nicht die Form[130] der Allgemeinheit, sondern das Allgemeine ist Inhalt, dessen Form die sinnliche Weise ist, – Bestimmtheit des Schönen. In der Wissenschaft hat das Allgemeine auch wieder die Form des Allgemeinen oder des Begriffs. Das Schöne aber tritt als wirkliches Ding oder in der Sprache als Vorstellung hervor, in der Weise [wie] das Dingliche im Geiste ist. Die Natur, das Wesen usf., der Inhalt des Schönen wird allein durch die Vernunft erkannt, – derselbe Inhalt, den die Philosophie hat; und das Schöne ist seinem Wesen nach allein durch sie zu beurteilen. Weil sie im Schönen auf dingliche Weise erscheint, so bleibt das Schöne unter der Erkenntnis; und Platon hat eben deswegen seine wahre Erscheinung als das Geistige, wo sie in Geistes Weise ist, in die Erkenntnis gesetzt.


> Dies wäre der Hauptinhalt der Platonischen Philosophie. Der Platonische Standpunkt ist α) zufällige Form, – Gespräche, Unterhaltung edler Geister, freier Menschen, ohne anderes Interesse als die Theorie, geistiges Leben; β) sie kommen dabei, fortgeführt durch den Inhalt, auf die tiefsten Begriffe, – schöne Stellen, tiefe Gedanken, wie Edelsteine, auf die man stößt, nicht in einer Sandwüste, freilich auf trockenem Gange, Blumengefilde, aber auf mühsamem Wege (Edelsteine, Blumen, wie erheiternde Natur); γ) nicht systematischer Zusammenhang, – mit einem Interesse; δ) nicht Subjektivität des Begriffes überhaupt, aber ε) substantielle Idee.
Platons Philosophie hatte zwei Stufen, nach welchen sie sich ausbilden und in ein höheres Prinzip hinaufarbeiten mußte. α) Das Allgemeine, welches in der Vernunft ist, mußte im stärksten unendlichen Gegensatz sich entzweien, in Selbständigkeit des persönlichen Bewußtseins, das für sich ist. So geht in der Neuen Akademie das Selbstbewußtsein in sich zurück und wird eine Art von Skeptizismus, – die negative Vernunft, welche überhaupt gegen alles Allgemeine sich wendet und die Einheit des Selbstbewußtseins und des[131] Allgemeinen nicht zu finden weiß, daher an jenem stehenbleibt. β) Die Neuplatoniker aber machen die Rückkehr, diese Einheit des Selbstbewußtseins und des absoluten Wesens; ihnen ist Gott in der Vernunft unmittelbar gegenwärtig, – das vernünftige Erkennen ist selbst der göttliche Geist und sein Inhalt das Wesen Gottes. Beides werden wir späterhin sehen.

##### B. Aristotele
 {#Aristotele}

**[[Aristotele]]**

###### 1. Metaphysics
 {#AristotleMetaphysics}


> Das Allgemeine seines Begriffs ist anzugeben. Seine spekulative Idee ist vorzüglich aus den Büchern der Metaphysik zu schöpfen. Allein diese hat die ganz eigene Schwierigkeit in ihrer Zusammensetzung, daß entweder mehrere Schriften in eins zusammengefügt; oder, wenn der Körper dieser Schrift so eins ist, wie es auch wieder wegen des allgemeinen Zusammenhangs scheint, so kann nicht gesagt werden, daß ordnungsmäßig und klar verfahren sei. Metaphysik ist nicht ein Name des Aristoteles, auch von Älteren ist sein Werk nicht unter diesem Namen gekannt; was bei uns Metaphysik, hieß Aristoteles prôtê philosophia.

> Die reine Philosophie oder Metaphysik unterscheidet Aristoteles sehr bestimmt von den anderen Wissenschaften als »die Wissenschaft dessen, was ist, insofern es ist, und was ihm an und für sich selbst zukommt« (IV, 1). Auf die Bestimmung dessen, was nun dies Wesen ist – diese Substanz (ousia) zu erkennen –, geht Aristoteles vorzüglich (VII, 1). In dieser Ontologie oder, wie wir es nennen, Logik untersucht und unterscheidet er genau die vier Prinzipien: α) die Bestimmtheit oder Qualität als solche, wodurch etwas Dieses ist; β) die Materie (hylê); γ) das Prinzip der Bewegung; und b) das Prinzip des Zwecks oder des Guten (I, 3).

> Die Idee des Aristoteles ist unterschieden von der des Platon. Und zwar bestimmt Platon die Idee als das Gute, als den Zweck, als das Allgemeine überhaupt; Aristoteles aber geht weiter. Wir haben davon gesprochen, daß die Idee bei Platon in sich wesentlich konkret, in sich bestimmt ist. Insofern die Idee nun in sich selbst bestimmt ist, so ist das Verhältnis der Momente in ihr näher zu fassen, herauszuheben, und diese Beziehung der Bestimmungen aufeinander ist nun als Tätigkeit überhaupt aufzufassen. Uns ist geläufig, das Mangelhafte von dergleichen im Bewußtsein zu haben, das Mangelhafte der Idee, des Allgemeinen, des Gedankens, des Begriffs, dessen, was nur an sich ist. Das Allgemeine hat damit, daß es Allgemeines ist, noch keine Wirklichkeit; die Tätigkeit der Verwirklichung ist noch nicht gesetzt, das Ansich ist so ein Träges. Vernunft, Gesetze usf. sind so abstrakt; aber das Vernünftige, als sich verwirklichend, erkennen wir als notwendig, – um auf solch Allgemeines, solche Vernunft, solche Gesetze soviel zu halten. Das Platonische ist im Allgemeinen das Objektive, aber das Prinzip der Lebendigkeit, das Prinzip der Subjektivität fehlt darin; und dies Prinzip der Lebendigkeit, der Subjektivität, nicht in dem Sinne einer zufälligen, nur besonderen Subjektivität, sondern der reinen Subjektivität ist Aristoteles eigentümlich.

> So ist bei Aristoteles auch das Gute, der Zweck, das Allgemeine die Grundlage, das Substantielle; und dies Allgemeine, den Zweck macht er geltend, hält ihn fest im Gegensatz gegen Heraklit und gegen die Eleaten. Das Werden des Heraklit ist eine richtige, wesentliche Bestimmung; aber die Veränderung entbehrt noch der Bestimmung der Identität mit sich, der Festigkeit, der Allgemeinheit. Der Strom verändert sich immer, aber er ist auch perennierend – und ist noch mehr ein Bild, eine allgemeine Existenz; woraus denn sogleich sichtbar ist, daß er vorzüglich gegen Heraklit und andere streitet, daß Sein und Nichtsein nicht dasselbe ist, oder den berühmten Satz des Widerspruchs begründet, daß ein Mensch nicht zugleich ein Schiff sei (IV, 3-6). Es erhellt sogleich, daß Aristoteles nicht das reine Sein oder Nichtsein versteht, diese Abstraktion, die wesentlich nur das Übergehen des einen in das andere ist; sondern unter dem, was ist, versteht er wesentlich die Substanz, Idee. Aristoteles fragt nur nach dem, was das Bewegende ist; und dies ist der logos, der Zweck. Wie er gegen das Prinzip der bloßen Veränderung das Allgemeine festhält, so macht er im Gegenteil, gegen die Pythagoreer und gegen Platon, gegen die Zahl die Tätigkeit geltend. Tätigkeit ist auch Veränderung, aber Veränderung als identisch mit sich bleibend, – ist Veränderung, aber innerhalb des Allgemeinen gesetzt als die sich selbst gleiche Veränderung, – ist ein Bestimmen, welches ist Sichselbstbestimmen. In der bloßen Veränderung ist dagegen das Erhalten seiner in der Veränderung noch nicht enthalten. Das Allgemeine ist tätig, bestimmt sich; und der Zweck ist das Sichselbstbestimmen, was sich realisiert. Dies ist die Hauptbestimmung, auf die es bei Aristoteles ankommt.


> Das Nähere sind nun die zwei Hauptformen, welche er bestimmt: α) als die der Möglichkeit (dynamis, potentia) und β) der Wirklichkeit (energeia, actus), noch bestimmter der Entelechie (entelecheia), welches in sich Zweck und Realisierung des Zwecks ist. Dies sind Bestimmungen, die allenthalben bei Aristoteles vorkommen (IX, 1-7; etc.) und die man kennen muß, um ihn zu fassen. Der Hauptbegriff der Substanz ist, daß sie nicht nur Materie ist (VII, 3). Alles Seiende enthält Materie, alle Veränderung erfordert ein Substrat (hypokeimenon), an dem sie vorgeht. Die Materie selbst aber ist nur die Potenz, eine Möglichkeit, sie ist nur dynamei, – nicht die Wirklichkeit, dies ist die Form; daß sie wahrhaft sei, dazu gehört Form, Tätigkeit (VIII, 1-2). Dynamis heißt gar nicht Kraft bei Aristoteles (Kraft ist vielmehr unvollkommene Gestalt der Form), sondern mehr Möglichkeit, Vermögen, nicht die unbestimmte Möglichkeit; energeia aber ist die reine Wirksamkeit aus sich selbst. Durch das ganze Mittelalter waren diese Bestimmungen wichtig. Dynamis ist Anlage, das Ansich, das Objektive bei Aristoteles; dann das abstrakt Allgemeine überhaupt, die Idee, sie ist nur potentia. Erst die Energie, die Form ist die Tätigkeit, das Verwirklichende, die sich auf sich beziehende Negativität. Wenn wir dagegen sagen »das Wesen«, so ist damit noch nicht Tätigkeit gesetzt; Wesen ist nur an sich, ist nur Möglichkeit, ist ohne unendliche Form. Die Materie ist nur das, was an sich ist; denn wenn sie alle Formen annehmen kann, so ist sie eben nicht selbst das formierende Prinzip. Dabei hat die wesentlich absolute Substanz Möglichkeit und Wirklichkeit, Form und Materie nicht voneinander getrennt. Die Materie ist nur eine Möglichkeit, die Form gibt ihr die Wirklichkeit; aber so ist Form nicht ohne Materie oder die Möglichkeit, – die Materie ist gewöhnlich im gemeinen Leben das Substantielle. Energie ist konkreter Subjektivität, Möglichkeit das Objektive; das wahrhaft[154] Objektive hat allerdings auch Tätigkeit in sich, wie das wahrhaft Subjektive auch dynamis.

> Aus dieser Bestimmung erhellt eine Art des Gegensatzes der Aristotelischen Idee gegen die Platonische. Aristoteles polemisiert oft gegen die Zahlen und Ideen. Platon drückt das Wesen mehr als das Allgemeine aus, wodurch das Moment der Wirklichkeit ihm zu fehlen oder wenigstens in den Hintergrund zu stehen zu kommen scheint. Und in der Tat ist dies negative Prinzip auch nicht so unmittelbar ausgedrückt, aber wesentlich ist es daran, wenn es die Einheit Entgegengesetzter ist; denn diese Einheit ist wesentlich negative dieser Entgegengesetzten, was ihr Anderssein, Entgegensetzung aufhebt und sie in sich zurückführt. Was als Wirklichkeit, Energie ausgedrückt ist, ist eben diese Negativität, Tätigkeit, tätige Wirksamkeit: sich selbst, dieses Fürsichsein entzweien, die Einheit aufheben und die Entzweiung setzen, – nicht mehr Fürsichsein, sondern Sein-für-Anderes, also Negativität gegen die Einheit. Die Idee ist mehr: das Aufheben der Entgegengesetzten, aber eins der Entgegengesetzten ist selbst die Einheit. Wenn bei Platon das affirmative Prinzip, die Idee als nur abstrakt sich selbst gleich, das Überwiegende ist, so ist bei Aristoteles das Moment der Negativität, aber nicht als Veränderung, auch nicht als Nichts, sondern als Unterscheiden, Bestimmen hinzugekommen und von ihm herausgehoben. (Vgl. VII, 13)

Was Aristoteles gegen die Platonischen Ideen einwendet, ist weitläufig (I, 7, 9). Er findet diese Prinzipien nicht genügend. (Wir sahen oben schon, daß auch Aristoteles das Allgemeine, den Zweck, aber hauptsächlich das Prinzip der Individuation aufstellt.) Die Tätigkeit, Wirklichkeit sei nicht in ihnen zu finden; daß die wirklichen Dinge teilhaben an den Ideen (paradeigmata), sei leeres Gerede (kenologein) und Metaphern. Es gebe so viele Bestimmtheiten als Dinge. Es enthalte Widersprüche, selbständige Gattungen anzunehmen: Sokrates, Mensch, zweifüßig, Tier.
Aristoteles unterscheidet an der Substanz, insofern die Momente Tätigkeit und Möglichkeit nicht in eins, sondern noch getrennt erscheinen, mannigfache Momente. Die nähere Bestimmung dieses Verhältnisses der Form zur Materie, der Energie zur Möglichkeit, und die Bewegung dieses Gegensatzes gibt die unterschiedenen Weisen der Substanz. Hier geht Aristoteles nun die Substanzen durch, und sie erscheinen bei ihm mehr als eine Reihe von verschiedenen Arten der Substanzen, nacheinander betrachtet, als in ein System zusammengebracht. Deren sind einige Hauptbestimmungen unter anderen folgende drei Momente.

> a) »Die sinnliche empfindbare Substanz« (XII, 1-2; VII, 7), eine endliche Substanz, ist nur nach dieser Form, die die einer Materie hat, von der die Form unterschieden ist, eine äußerliche ist. Dies macht die Natur des Endlichen überhaupt aus, Trennung der Form, des Äußerlichen, von der Materie; die Form an ihr ist auch das Wirksame, der Form kommt die Tätigkeit zu, – aber sie ist hier äußerlich, unterschieden von der Materie. »Die sinnliche Substanz«, sagt Aristoteles, »hat die Veränderung an ihr, aber so, daß sie in das Entgegengesetzte übergeht. Eins dieser Entgegengesetzten bleibt, das andere verschwindet; das Dritte außer diesen Entgegengesetzten, was sich erhält, das Dauernde in dieser Veränderung ist die Materie. « Die Hauptkategorien, die er nennt, sind die vier Unterschiede, nämlich α) nach dem Was (kata to ti) – eidos, dem Zweck, der einfachen Bestimmung –, β) oder nach der Qualität (poion), den weiteren Eigenschaften, γ) oder Quantität (poson, δ) oder Wo (pou). Es sind die Kategorien von α) Entstehung und Untergang nach dem Was (kata tode), dem bestimmten Wesen; β) Vermehrung und Verminderung nach der Quantität; γ) Veränderung nach den Eigenschaften (pathos) – wohl nach dem poion; δ) Bewegung nach dem Orte. Die Materie ist das tote Substrat, das Subjekt, »die Grundlage, an der die Veränderung vorgeht«; die Materie leidet Veränderungen. »Die Veränderung selbst ist aus dem, was der Möglichkeit nach ist, in die Wirklichkeit; das mögliche Weiße verändert sich ins wirkliche Weiße. Nicht aus dem Nichts entstehen nach Zufall die Dinge; sondern alles entsteht aus einem Seienden« – Identität. »Das Mögliche heißt also selbst ein Seiendes«; dies, als allgemein in sich Seiendes, bringt diese Bestimmungen herbei, ohne eine aus der anderen aufzuzeigen. »Die Materie ist das Einfache, -die Möglichkeit« (näher bestimmt) »ist dieselbe, aber als entgegengesetzt; etwas wird nur diese Materie in der Wirklichkeit, das seine Materie auch der Möglichkeit nach war.« Es ist also gesetzt: α) Materie, das allgemeine Wesen, Substrat der Veränderung, gleichgültig gegen das Entgegengesetzte; β) die Bestimmtheiten, das Negative, gegeneinander; γ) das Bewegende, die reine Tätigkeit. So erscheinen an der sinnlichen Substanz die Momente verschieden, aber noch nicht die Rückkehr in sich; aber die Tätigkeit ist das Negative, welches ideell das Entgegengesetzte in sich enthält (eins aufhebt), – also schon auch das, was werden soll.

> b) Eine höhere Art (IX, 2; VII, 7; XII, 3) ist die, wo die Tätigkeit hereinkommt, die Energie, der actus überhaupt, das abstrakt Negative, aber enthaltend das, was werden soll; die sinnliche Gestalt an ihr ist nur die Veränderung. Insofern also nun die Tätigkeit das enthält, was werden soll, ist sie der Verstand (nous), und sein Inhalt ist der Zweck (eidos), und dieser ist dies, durch die Tätigkeit, die Energie, gesetzt, verwirklicht zu werden. Die Momente näher bestimmt, so ist Materie das Subjekt der Veränderung, – auch hier haben wir Materie, dynamis. Die beiden Extreme sind die Materie (Möglichkeit) und der Gedanke (Wirksamkeit), – einmal das passive Allgemeine, das andere Mal das tätige Allgemeine. In diese beiden Momente selbst fällt die Veränderung nicht; denn sie sind das Ansichseiende, Allgemeine als solche in entgegengesetzter Form. »Was verändert wird, ist Etwas« (die Bestimmtheit) »und geht von einem Anderen ins Andere« (in das Entgegengesetzte) »über, durch ein Anderes, von dem es bewegt wird; worin« (Ort), – »die Materie; und zu was, – die Idee«,[157] Zweck, das Allgemeine. Insofern dies Allgemeine das Bewegende ist, heißt es Ursache, archê, insofern es aber Zweck ist, ist es der Grund, aitia (V, 1-2). – Aber die Form ist die Einheit beider, besteht aus Materie oder Substrat und Tätigkeit; was Aristoteles nicht weiter erläutere, wie sie an dieser sind, – entgegengesetzt als Aufzuhebendes und zu Setzendes. Das Tätige setzt seinen Inhalt in die Wirklichkeit, der Inhalt bleibt derselbe; es ist aber noch Materie, die von der Tätigkeit verschieden ist, wenn auch beide verbunden sind. Bei der sinnlichen Substanz ist das Tätige noch ganz verschieden von der Materie. Der nous ist aber an sich für sich bestimmt, dieser Inhalt wird actu aber der Verstand bedarf so noch der Materie, mit der er noch nicht identisch ist, – sie ist vorausgesetzt. Das, was gewöhnlich bei Aristoteles als Energie vorkommt, kommt auch als Entelechie vor. Dies ist näher dieselbe Begriffsbestimmung der Energie, aber insofern sie freie Tätigkeit ist und den Zweck in sich selbst hat, ihn sich selbst setzt und tätig ist, ihn sich zu setzen, – Bestimmen, als Bestimmen des Zwecks, Realisieren des Zwecks. Die Seele ist wesentlich Entelechie, logos, – allgemeines Bestimmen, was sich setzt, sich bewegt.

> c) Der höchste Punkt ist aber vielmehr, wo dynamis, energeia und entelecheia vereint sind. Die absolute Substanz, das Wahrhafte, Anundfürsichseiende, bestimmt sich hier bei Aristoteles (XII, 6, 7; vgl. IX, 8) näher so, daß sie das Unbewegte, Unbewegliche und Ewige ist, aber das zugleich bewegend, reine Tätigkeit, actus purus ist. Dies das allgemeine Moment. Wenn es in neueren Zeiten neu geschienen hat, das absolute Wesen als reine Tätigkeit zu bestimmen, so sehen wir dies aus Unwissenheit des Aristotelischen Begriffs. Die Scholastiker haben dies mit Recht für die Definition Gottes angesehen: Gott ist die reine Tätigkeit, ist das, was an und für sich ist; er bedarf keines Materials, – einen höheren Idealismus gibt es nicht. Oder anders ausgedrückt: Er ist die Substanz, die in ihrer Möglichkeit auch die Wirklichkeit hat, deren Wesen (potentia) Tätigkeit selbst ist, wo beides nicht getrennt ist; an ihr ist die Möglichkeit nicht von der Form unterschieden, sie ist es, die ihren Inhalt, ihre Bestimmungen selbst, sich selbst produziert. Hier unterscheidet sich Aristoteles von Platon und polemisiert aus diesem Grunde gegen Zahl, die Idee und das Allgemeine, weil, wenn dies unbewegt, seiend an und für sich, »nicht als Tätigkeit, Wirksamkeit bestimmt wird, keine Bewegung ist«; es ist nicht identisch mit der reinen Tätigkeit, sondern als ruhend aufgefaßt. Die ruhenden Ideen, Zahlen Platons bringen nichts zur Wirklichkeit; das Absolute ist in seiner Ruhe zugleich absolute Tätigkeit. Energie nennt er auch Entelechie; sie hat ein telos in sich, ist nicht nur formelle Tätigkeit, wo der Inhalt sonstwoher kommt. »Es ist möglich, daß das, was Möglichkeit hat« (dynamei ist, das Ding an sich, – mit solcher leeren Abstraktion hat Aristoteles nichts zu tun), »nicht tätig (wirklich) ist (energein); es hilft also nichts, die Substanzen (ousias) ewig zu machen, wie die Ideen (ta eidê)« (des Platon und die Zahlen der Pythagoreer), »wenn nicht ein Prinzip, das bewegen kann (metaballein, des Bestimmens), darin ist. Wenn die archê sich nicht bewegt, so ist sie nicht tätig, und ihre ousia ist nur eine dynamis das, was der Möglichkeit nach ist, kann auch nicht sein. Es muß also ein Prinzip geben, dessen Substanz als Tätigkeit (Bewegung) gefaßt werden muß«, Wirksamkeit gehört ihr selbst an; so ist beim Geist die Energie die Substanz selber.
»Diese Substanz ist ferner ohne Materie«; denn die Materie ist als solche gesetzt als das Passive, woran die Veränderung vorgeht, das daher nicht unmittelbar (schlechthin) eins ist mit der reinen, wesentlichen Tätigkeit. Hier die Weise, wie auch sonst, ein Prädikat nur zu verneinen, aber was seine Wahrheit, ist nicht gesagt; die Materie ist jenes Moment des unbewegten Wesens. »Es scheint hier aber der Zweifel zu entstehen. Denn alles Tätige scheint dynasthai, aber nicht alles Mögliche (dynamenon) zu energieren; so daß die Möglichkeit das Erste (proteron) zu sein scheint«, – sie ist das Allgemeine. Alles Energische hat auch Möglichkeit; aber es gibt auch Möglichkeit, die nicht energiert; so könnte man denken, die Möglichkeit stände höher. »Aber wenn es so wäre, so würde nichts der Seienden (ouden tôn ontôn) sein; denn es ist möglich, daß es zwar sein könnte, aber noch nicht wäre (endechetai gar dynasthai men einai, mêpô d' einai). Die Energie ist das Höhere, Frühere (prius) als die Möglichkeit.« Aristoteles bemerkt in dieser Rücksicht: »Es ist daher nicht zu sagen, wie die Theologen sagen, daß zuerst in unendlicher Zeit ein Chaos (Kronos) oder die Nacht« (die Materie das erste Seiende) »war oder, wie die Physiker, daß alles zumal. Denn wie könnte etwas sein, wenn nichts der Wirklichkeit nach Ursache wäre (mêden estai energeia aition)? Denn die Materie bewegt nicht sich selber, sondern der Werkmeister. Leukipp und Platon sagen, die Bewegung sei immer; aber sie sagen nicht, warum (dia ti). Die reine Tätigkeit ist vor (proteron) der Möglichkeit, nicht der Zeit nach, sondern dem Wesen nach«, – diese ein untergeordnetes, vom Allgemeinen entferntes Moment; denn das absolute erste Wesen ist das, was in gleicher Wirksamkeit sich immer gleich bleibt. Bei jener Voraussetzung eines Chaos usf. wird eine Wirksamkeit gesetzt, die auf Anderes geht, nicht auf sich selbst, eine Voraussetzung hat; das Chaos ist nur Möglichkeit.

> Als das Wesen, das Wahrhafte, ist also zu setzen, was sich in sich selbst, also »im Kreise, bewegt; und dies ist nicht nur in der denkenden Vernunft zu sehen, sondern auch durch die Tat (ergô)«, d. i. es ist vorhanden, existiert realiter in der sichtbaren Natur. Dies folgt aus der Bestimmung des absoluten Wesens als tätigen, das in die Wirklichkeit, gegenständliche Weise treten macht. Als das sich Gleiche, was sichtbar ist, ist dies absolute Wesen der ewige Himmel; die zwei Weisen der Darstellung des Absoluten sind denkende Vernunft und ewiger Himmel. Der Himmel ist aber bewegt; »er ist aber auch ein Bewegendes«. Da das Kuglige »Bewegendes und Bewegtes ist, so ist eine Mitte, welche bewegt, das Unbewegte ist, selbst zugleich eine Substanz und die Energie«; sie bestimmt dem Aristoteles den Kreis der in sich zurückkehrenden Vernunft, – mit neueren Bestimmungen gleichlautend. Das Unbewegte, was bewegt, – dies ist eine große Bestimmung; das Sichselbstgleichbleibende, die Idee, bewegt und bleibt in der Beziehung auf sich selbst. Er erläutert dies folgendermaßen: »Sein Bewegen ist auf folgende Weise bestimmt. Dasjenige bewegt, was begehrt wird und gedacht wird; dies, was begehrt wird und gedacht wird, ist selbst unbewegt«, ruhend. Es ist Zweck; dieser Inhalt oder Zweck ist aber das Begehren und Denken selbst; solcher Zweck heißt Schönes, Gutes: Was begehrt wird, ist das, was als schön erscheint (gefällt), dessen Erstes oder Zweck, was mit dem Willen gewollt wird, ist, was schön ist. Es ist als gegenständliches Wesen gesetzt, was »wir aber begehren, weil es so erscheint«, gegeben ist, »mehr als daß es so erscheint, weil wir es begehren«. Denn dann wäre es schlechthin durch die Tätigkeit gesetzt; es selbst ist selbständig, unser Begehren wird erst erweckt. Das wahre Prinzip ist hierin aber »das Denken; denn der Gedanke wird nur von dem Gedachten bewegt«. Der Gedanke hat Gegenstand; er ist das Unbewegte, welches bewegt. Aber dieser Inhalt ist selbst ein Gedachtes, so selbst Produkt des Gedankens; es ist unbewegt, und so ganz identisch mit der Tätigkeit des Denkens. Hier im Denken ist so diese Identität vorhanden; das, welches bewegt wird und welches bewegt, ist dasselbe. »Dies Gedachte aber« (man traut kaum seinen Augen) »ist die andere Reihe an und für sich selbst, ist sich selbst sein eigenes Element«, der als gegenständlich gesetzte an und für sich seiende Gedanke; »und dieses anderen Elements Substanz ist die erste: die erste Ursache ist einfach – nicht Eins –, und die reine Tätigkeit.« Die ousia dieses Gedankens ist das Denken; dieses Gedachte ise also die absolute Ursache, selbst unbewegt, aber identisch mit dem Gedanken, der von ihm bewege wird. »Das Schöne und das Beste« (die Pflicht, das Anundfürsichseiende, Endzweck) »ist eben solches«, – ein Unbewegtes, das bewegt. »Daß aber das Umweswillen zum Unbewegten gehört, zeigt der Begriff.« – »Was bewegt wird, kann sich auch anders verhalten. Der Trieb (phora) überhaupt ist die erste Veränderung; die erste ist die Kreisbewegung, diese aber wird von jenem bewegt.« Jenes, der Begriff, principium cognoscendi, ist auch das Bewegende, principium essendi; er spricht es als Gott aus und zeigt die Beziehung auf das einzelne Bewußtsein.


> »Die erste Ursache ist notwendig. Notwendig wird auf dreierlei Weisen gesagt: α) durch Gewalt, was gegen die Neigung (para tên hormên); β) das Zweite, ohne welches nicht das Gute; γ) was nicht auf eine andere Weise sein kann, sondern schlechthin ist. An einem solchen Prinzip des Unbewegten ist nun der Himmel aufgehangen und die ganze Natur«, das sichtbare Ewige und das sichtbare Veränderliche. Dieses System dauert ewig und bleibt immer so. Uns als Einzelnen »ist nur eine kurze Zeit ein Aufenthalt, Leben, welches das vortrefflichste ist, darin vergönnt. Jenes aber ist immer so; uns aber ist es unmöglich. Weil aber dessen Tätigkeit (energeia toutou, des Himmels) selbst auch Genuß (hêdonê) ist, so ist deswegen Wachen, Empfinden und das Denken (noêsis) das Genußreichste«, entgegengesetzt dem Schlafen; Hoffnungen aber und Erinnerungen sind erst Genuß um dieser willen, weil sie Energien sind. »Das Denken aber, das rein für sich selbst ist, ist ein Denken dessen, was das Vortrefflichste an und für sich selbst ist«, -absoluter Endzweck für sich selbst. Dieser Endzweck ist der Gedanke selbst; die Theorie ist daher das Vortrefflichste. »Der Gedanke (ho nous) denkt aber sich selbst durch Annahme (metalêpsin, Aufnahme) des Gedachten (noêtou)« als seines Gegenstandes, so ist er rezeptiv; »er wird aber gedacht, indem er berührt und denkt (noêtos gar ginetai thinganôn kai noôn), so daß der Gedanke und das Gedachte dasselbe ist«; der Gegenstand schlägt um in Aktivität, Energie.
Das Hauptmoment in der Aristotelischen Philosophie ist,[162] daß das Denken und das Gedachte eins ist, – daß das Objektive und das Denken (die Energie) ein und dasselbe ist. »Denn das Aufnehmende des Gedachten und des Wesens ist der Gedanke.« Das Denken ist das Denken des Denkens. Vom Denken sagt Aristoteles: »Es wirkt, insofern es hat« (oder: sein Besitz ist eins mit seiner Wirksamkeit), »so daß jenes« (das Wirken, die Tätigkeit) »mehr göttlich ist als dasjenige, was die denkende Vernunft (nous) Göttliches zu haben meint« (das noêton). Nicht das Gedachte ist das Vortrefflichere, sondern die Energie selbst des Denkens. Die Spekulation (hê theôria) ist so das Erfreulichste (Seligste, hêdiston) und Beste (Höchste). »Wenn nun Gott immer so wohl daran ist als wir zuweilen (ei oun houtôs eu echei, hôs hêmeis pote, ho theos aei)« – bei uns als einzelner Zustand, Gott ist dies ewige Denken selbst –, »so ist er bewundernswürdig (thaumaston); wenn noch mehr, noch bewundernswürdiger.« Die Menschen sind durch das Bewundern Ahnen, Anschauen, Wissen eines Höheren – zur Philosophie gekommen (I, 2). »So ist er aber daran (echei de hôde). Es ist aber auch Leben in ihm vorhanden. Denn die Wirksamkeit des Gedankens ist Leben (kai zôê de ge hyparchei. hê gar nou energeia zôê).« Besser: Denn das Leben des nous ist Wirksamkeit. »Er aber ist die Wirksamkeit (ekeinos de hê energeia); die auf sich selbstgehende Wirksamkeit ist dessen vortrefflichstes und ewiges (aidios) Leben. Wir sagen aber, daß Gott ein ewiges und das beste Leben sei. Diese ousia ist ferner keine Größe.«
Der Begriff sagt: Das Wahre ist die Einheit des Subjektiven und Objektiven und darum weder das eine noch das andere wie sowohl das eine als das andere. In diesen tiefsten spekulativen Formen hat Aristoteles sich herumgearbeitet. Das Ansich, der Gegenstand, ist nur die dynamis, das Mögliche; das Wahrhafte ist ihm diese Einheit selbst. Einheit ist schlechter Ausdruck; sie ist Abstraktion, bloßer Verstand. Die Philosophie ist nicht Identitätssystem; das ist unphilosophisch. So ist es bei Aristoteles auch nicht trockene Identität;[163] sie ist nicht das timiôtaton, Gott, sondern dies ist die Energie. Sie ist Tätigkeit, Bewegung, Repulsion, und so nicht tote Identität; sie ist im Unterscheiden zugleich identisch mit sich. Wenn Aristoteles die strohene Verstandesidentität oder die Erfahrung (nihil est in intellectu, quod non fuerit in sensu) zum Prinzip gemacht hätte, so wäre er niemals zu solcher spekulativen Idee (nous und noêton) gekommen. Möglichkeit und Wirklichkeit sind identisch; nous ist auch dynamis, aber nicht Möglichkeit das Allgemeinere – darum Höhere –, sondern Einzelheit, Tätigkeit. Er unterscheidet zweierlei nous den aktiven und passiven. Der nous als passiv ist nichts anderes als das Ansich, die absolute Idee als an sich betrachtet, der Vater; aber erst als Tätiges wird es gesetzt. Jedoch dies Erste, Unbewegte, als von der Tätigkeit unterschieden, als passiv, ist doch als Absolutes die Tätigkeit selbst. Dieser nous ist alles an sich; aber es ist erst Wahrheit durch die Tätigkeit.

> Das Denken ist dem Aristoteles ein Gegenstand wie die anderen, eine Art von Zustand. Er sagt nicht, es sei allein die Wahrheit, alles sei Gedanke; sondern er sagt, es ist das Erste, Stärkste, Geehrteste. Daß der Gedanke, als das zu sich selbst sich Verhaltende, sei, die Wahrheit sei, sagen wir. Ferner sagen wir, daß der Gedanke alle Wahrheit sei; nicht so Aristoteles. Ebenso haben wir in der Vorstellung Empfindung usw. als Wirkliches neben dem Denken. Wie jetzt die Philosophie spricht, drückt sich Aristoteles nicht aus dieselbe Ansicht liegt aber durchaus zugrunde. Eben dies ist die spekulative Philosophie des Aristoteles, alles denkend zu betrachten, in Gedanken zu verwandeln. Aristoteles denkt die Gegenstände, und indem sie als Gedanken sind, sind sie in ihrer Wahrheit; das ist ihre ousia. Das heißt nicht, daß die Gegenstände der Natur darum selbst denkend seien. Die Gegenstände sind subjektiv von mir gedacht; dann ist mein Gedanke auch der Begriff der Sache, und dieser ist die Substanz der Sache. In der Natur existiert der Begriff nicht als Gedanke in dieser Freiheit, sondern hat[164] Fleisch und Blut; er hat aber eine Seele, und diese ist sein Begriff. Was die Dinge an und für sich sind, erkennt Aristoteles; und das ist ihre ousia. Der Begriff ist nicht für sich selbst, aber er ist, durch Äußerlichkeit verkümmert. Die gewöhnliche Definition von Wahrheit ist: »Wahrheit ist Übereinstimmung der Vorstellung mit dem Gegenstande.« Aber die Vorstellung selbst ist nur eine Vorstellung, ich bin mit meiner Vorstellung (ihrem Inhalte) noch gar nicht in Übereinstimmung; ich stelle Haus, Balken vor, das bin ich noch nicht, – Ich und Hausvorstellung sind ein anderes. Nur im Denken ist wahrhafte Übereinstimmung des Objektiven und Subjektiven vorhanden; das bin Ich. Aristoteles findet sich also auf dem höchsten Standpunkt; man kann nichts Tieferes erkennen wollen. Es hat nur immer selbst die Form, daß er von Vorstellungen anfängt, von empirischen Zuständen des Denkens, z.B. von Schlaf, Müdigkeit; davon separiert er aber dann das Denken. Aristoteles spricht nur von nous, nicht von einer besonderen Natur des nous.
Hier löst Aristoteles (XII, 9) nun noch viele Zweifel, ob z.B. der Gedanke zusammengesetzt, ob die Wissenschaft die Sache selbst sei. »Es entstehen noch einige Zweifel (aporiai) wegen des nous, denn er scheint unter allem das Göttlichste; es hat einige Schwierigkeiten« (sich vorzustellen), »in welchen Bestimmungen oder Zuständen« (wie er sich verhalte, daß) »er dies sei (pôs d' echôn toioutos an eiê. α) Wenn er nichts denkt, sondern sich verhält wie ein Schlafender, was wäre er vorzüglicher (semnon)? Wenn er aber denkt und ihn aber ein Anderes dabei beherrschte (allo kyrion), so wäre das, was seine Substanz ist, nicht ein Gedanke (noêsis), sondern ein Vermögen (dynamis, Kraft).« Alles ist Denken, immer ein Nichtruhendes; wir finden nicht auch ein Denken vor. »So wäre er nicht die beste (aristê) Substanz; denn wegen des Denkens (tou noein, actu) ist ihm seine Würde (to timion). γ) Ob nun der Gedanke (nous) oder das Denken (noêsis) seine Substanz ist, was denkt er? Sich selbst oder ein Anderes? Und[165] wenn ein Anderes, immer dasselbe oder ein Anderes? Ist nun oder nicht verschieden, das Schöne zu denken oder das Zufällige?«

> »α) Wenn der nous nicht Gedanke (noêsis), sondern nur Vermögen (dynamis) ist, so würde das fortgesetzte Denken ihm mühevoll sein«; Kraft nutzt sich ab. β) Alsdann, wenn der Gedanke nicht dieses Wahre wäre, so »wäre ein Anderes vortrefflicher als der nous, – das Gedachte (nooumenon), und das Denken und der Gedanke befänden sich in dem, der das Schlechteste denkt, – daß dieses zu fliehen ist. Denn einiges nicht zu sehen, ist besser, als es zu sehen; die noêsis wäre also nicht das Beste. Der nous ist also dies, sich selbst zu denken, weil er das Vortrefflichste (kratiston, das Mächtigste) ist und er der Gedanke ist, der Gedanke des Gedankens (kai estin hê noêsis, noêseôs noêsis). Denn Wissen und Empfindung und Meinung und Überlegung scheinen immer eines anderen zu sein« (einen anderen Gegenstand zu haben, oder sind ein Scheinen), »ihrer selbst nur im Vorbeigehen (hôs en parergô)«, zuweilen. »γ) Alsdann, wenn das Denken (noein) und das Gedachtwerden (noeisthai) verschieden, welchem von beiden kommt das Gute (eu) zu? Denn es ist nicht dasselbe für das Denken (noêsei) und das Gedachte (nooumenô). Oder ist bei einigen Dingen (ep' eniôn) die Wissenschaft die Sache selbst (pragma)? Im Praktischen (tôn praktikôn) ist es die Substanz und die Bestimmtheit des Zwecks (to ti ên einai), im Theoretischen der Grund (logos) und der Gedanke (noêsis). Da also das Gedachte und der nous nicht verschieden sind, als welche keine haben, sind sie dasselbe; und es ist nur ein Gedanke des Gedachten.« hylê »Noch ist ein Zweifel zurück, ob das Denkende nicht ein Zusammengesetztes (syntheton) sei. Denn es möchte sich in den Teilen des Ganzen verändern. Das Gute (to eu, der Zweck) ist aber nicht in diesem oder jenem Teil, sondern es ist das Beste im Ganzen (en holô tini to ariston), als ein Anderes von ihm (on allo ti)«, dem Ganzen. »So verhält[166] sich ewig (ton hapanta aiôna) das Denken seiner selbst (autê hautês hê noêsis)«, wie das Beste im Universum.
Aristoteles (XII, 10) widerlegt noch einige andere Gedanken: Es kommen z.B. in Verlegenheit, die alles aus Entgegengesetzten entstehen lassen. – Seine weitere Metaphysik untersucht die näheren Bestimmungen, was Idee sei, was Prinzip usf. sei, aber es erscheint in loser Weise nacheinander, obgleich es dann zu einem ganz spekulativen Begriff vereinigt wird.

> Dieses Spekulative ist nun aber das Beste und Freiste. Diese Idee ist nun zu sehen in der Natur (als Himmel) und in der denkenden Vernunft. Aristoteles geht nun von hier zum sichtbaren Gott über, zum Himmel. Gott, als lebendiger Gott, ist das Universum; im Universum bricht Gott als lebendiger Gott aus. Er tritt hier als erscheinend oder als bewegend auf. Und erst in die Erscheinung fällt der Unterschied zwischen Ursache der Bewegung und Bewegtem. Das Prinzip, Ursache, der Himmel, »ist selbst unbewegt, aber bewegend, – in ewiger und einer Bewegung«; das ist der Himmel der Fixsterne. »Wir sehen außer der einfachen Umwälzung (para tên phoran) des Ganzen, der Bewegung der ersten unbewegten Substanz (Umwälzung des Firmaments), noch andere ewige Bewegungen, – die der Planeten« (XII, 8). Dann kommt Aristoteles auf die Planeten; auf das Nähere können wir uns nicht einlassen.

> Hierüber, über die Organisation des Universums im allgemeinen, sagt Aristoteles (XII, 10), es sei zu untersuchen, auf welche Weise die Natur des Ganzen das Gute und das Beste an ihr habe, ob als etwas Abgesondertes und an und für sich selbst oder als eine Ordnung oder auf beide Weisen wie eine Armee. »Denn in der Ordnung besteht das Gute und der Feldherr, und er ist es in höherem Grade (en tê taxei to eu kai ho stratêgos, kai mallon houtos); denn er ist nicht durch die Ordnung, sondern die Ordnung durch ihn.« Er bleibt allgemein sie, – wie auch der Feldherr das Ordnende und das Geordnete ist. »Alles nun ist auf eine gewisse Weise (pôs), aber nicht auf gleiche Weise zusammengeordnet (syntetaktai)« (verschiedene Arten der Organe), »das Schwimmende und Fliegende und die Pflanzen; und sie sind nicht so, daß keines zu dem anderen eine Beziehung hätte, sondern sie sind ein Verhältnis zueinander. Denn alles ist zu Einem zusammengeordnet. Aber wie in einem Hause den Freien es am wenigsten gestattet ist, was es sei (das Zufällige, hoti etyche) zu tun, sondern was sie tun, alles oder das meiste, (Gesetz) geordnet (vorgeschrieben, tetaktai) ist, den Sklaven und Tieren hingegen weniges, was ins allgemeine geht (mikron to eis to koinon), sondern vieles, wie es kommt« (hoti etyche, Willkür und Zufälligkeit), so ist auch das Vortrefflichste, nach dem Allgemeinen, dem Gedanken, nous, tätig zu sein. »Denn das Prinzip eines jeden ist seine Natur. Ebenso ist notwendig, daß alles in den Unterschied (Urteil) komme (ins Gericht); aber einiges ist so beschaffen, daß mit demselben alles in Gemeinschaft zum Ganzen ist«, gegen die Zahlen und Ideen.

> Nimmer Gedeihn bringt Vielherrschaft; nur einer sei Herrscher.

> Besondere Wissenschaften, die Aristoteles behandelt hat. Bei der Seele werden wir wieder aufs Denken zurückkommen. Aristoteles hat viele physikalische Werke, dann Werke über Seele (Geist), Zustände derselben. Da wird von den logischen Büchern gesprochen werden. Das bisher Angeführte steht in der Metaphysik (in den letzten Kapiteln des elften oder zwölften Buchs). In der Lehre der Seele tritt das Spekulativste wieder hervor.

###### 2. Natural philosophy

###### 3. Philosophy of spirit

###### 4. Logic
 {#AristotleLogic}

> Noch ist die Logik des Aristoteles zu betrachten übrig, ebensosehr jahrhunderte- und jahrtausendelang geehrt als jetzt verachtet. Obzwar die Logik hier zum erstenmale erwähnt wird und in der ganzen folgenden Geschichte der Philosophie nie eine andere erwähnt werden kann (denn es hat sonst keine gegeben, wenn man nicht das Negative des Skeptizismus hierher rechnen will), so kann hier doch nicht von ihrem näheren Inhalt die Rede sein, nur eine allgemeine Charakterisierung derselben Platz finden. Er ist als der Vater der Logik angesehen worden; seit Aristoteles' Zeiten hat die Logik keine Fortschritte gemacht. Diese Formen teils über Begriff, teils über Urteil, Schluß kommen von Aristoteles her – eine Lehre, welche bis auf den heutigen Tag beibehalten und keine weitere wissenschaftliche Ausbildung erlangt hat –, sie sind ausgesponnen und dadurch formeller geworden. Das Denken in seiner endlichen Anwendung hat Aristoteles aufgefaßt und bestimmt dargestellt. Er hat sich wie ein Naturbeschreiber verhalten bei diesen Formen des Denkens, aber es sind nur die endlichen Formen bei dem Schließen von einem auf das andere, es ist Naturgeschichte des endlichen Denkens.

> Indem sie ein Bewußtsein über die abstrakte Tätigkeit des reinen Verstandes (nicht Wissen von diesem und jenem Konkreten), reine Form ist, so ist dies Bewußtsein in der Tat bewundernswürdig und noch bewundernswürdiger in dieser Ausbildung dieses Bewußtseins – und ein Werk, das der Tiefe des Erfinders, der Stärke seiner Abstraktion die höchste Ehre macht. Denn die höchste Stärke des Zusammenhaltens über das Denken, Vorstellen ist, es vom Stoffartigen zu trennen und es festzuhalten; und fast noch mehr, wie es, mit dem Stoffe amalgamiert, sich auf die mannigfaltigste Weise umherwirft und einer Menge von Wendungen fähig ist. Aristoteles betrachtet nicht nur die Bewegung des Denkens, sondern ebenso $[$ die Bewegung $]$ des Denkens am Vorstellen.

> Sie ist enthalten in den logischen Schriften, die unter dem Namen Organon zusammengefaßt sind. Hierher gehören fünf Schriften.

> a) Die Kategorien (katêgoriai) oder die einfachen Wesenheiten, die allgemeinen Bestimmungen, das, was von dem Seienden gesagt wird (ha tôn ontôn katêgoreitai); ebensowohl das, was wir Verstandesbegriffe nennen, als Wesenheit der Dinge. Es kann dies eine Ontologie sein, der Metaphysik angehörig; diese Bestimmungen kommen daher auch in Aristoteles' Metaphysik vor.

> Das zweite Kapitel: Peri tôn legomenôn. Legein, wie aus logos erhellt, bezeichnet mehr als das bloße Sagen; und hier ist es noch dem Homonymen usw. des ersten Kapitels entgegengesetzt. Ta legomena ist überhaupt der Ausdruck für bestimmte Begriffe. § 1 fängt an tôn legomenôn § 2 tôn ontôn ta men – und beides wird entgegengesetzt. Aber als ta legomena rein als solche, als subjektive Beziehungen, führt Aristoteles bloß an: »Mit Verbindung oder ohne Verbindung; der Mensch läuft, – der Mensch, Läuft.« Diese ontôn ta men gehören unter das Erste der Einteilung (kata symplokên) und sind allerdings Beziehungen überhaupt, solcher, die sind, für sich; also ist die Beziehung nicht an ihnen selbst, sondern subjektiv oder außer ihnen. Alsdann von den ousi sagt er sogleich tôn ontôn ta men legetai kath' hypokeimenou tinos, und so gebraucht er weiter immer, auch von den ousi, legetai und setzt ihm das esti entgegen; so daß legetai von einer Gattung in der Beziehung auf ihr Besonderes gesetzt wird, – hingegen esti von einem Allgemeinen, das nicht Idee, sondern Einfaches ist.


> »§ 2. α) Es gibt Bestimmtheiten (onta), welche auf ein Subjekt bezogen (von einem Subjekt ausgesagt) werden (legetai), aber in keinem Subjekte sind, wie Mensch auf[230] einen bestimmten Menschen; es ist aber nicht in einem bestimmten Menschen.«
»β) Andere sind in einem Subjekte, werden aber nicht so auf ein Subjekt bezogen (von einem Subjekte gesagt); (in einem Subjekte heißt: nicht als Teil in ihm sein, aber nicht sein können ohne ein Subjekt) wie eine Grammatik (tis grammatikê, Farbe) in einem Subjekte (der Seele) ist, aber nicht von einem Subjekte gesagt« oder nicht als Gattung auf ein Subjekt bezogen werden kann.

> »γ) Anderes wird bezogen auf ein Subjekt und ist in einem Subjekt; die Wissenschaft« (der Grammatik) »ist in der Seele und wird auf Grammatik bezogen.«
»δ) Anderes ist weder in einem Subjekt noch wird es auf ein Subjekt bezogen: ein gewisser Mensch, das Einzelne, Zahlbestimmung; doch kann einiges in einem Subjekte sein, wie eine bestimmte Grammatik.«

> Subjekt (hypokeimenon), besser Substrat: es ist dasjenige, worauf der Begriff sich bezieht, dasjenige, was in der Abstraktion weggelassen wird, – das Entgegengesetzte, worauf ein Begriff sich notwendig bezieht.
Man sieht, Aristoteles hat den Unterschied von Gattung, Allgemeinem und Einzelnem im Sinne.

> α) Die Gattung,legetai, von einem Menschen, ist aber nicht in ihm oder ist nicht als Einzelnes. – Der tapfere Mann ist ein Wirkliches, allgemein ausgedrückt. In der Logik und den Begriffen ist der Gegensatz immer gegen ein Wirkliches; das logisch Wirkliche ist an sich ein Gedachtes. Die Logik sucht in ihren drei Stufen die Kategorien des Absoluten nachzuäffen. Begriff ist logisch Wirkliches, an sich bloß Gedachtes, Mögliches. Im Urteil setzt sie einen Begriff A als ein Wirkliches (Subjekt, hypokeimenon) und verbindet ein Anderes als Begriff B damit; B soll der Begriff sein, und A in Rücksicht auf ihn ein Sein haben, – aber B ist nur der allgemeinere Begriff. Im Schluß soll die Notwendigkeit nachgeahmt werden; schon in einem Urteil ist eine Synthesis eines Begriffs und seinsollenden Seins, im Schluß soll sie die[231] Form der Notwendigkeit tragen, indem beides in einem Dritten gleichgesetzt wird, im medius terminus, nach der Vernunft, die in der mesotês die Entgegengesetzten gleichsetzt. Der Obersatz drückt logisches Sein aus; der Untersatz logische Möglichkeit (Caius ist ein bloß Mögliches für die Logik); der Schlußsatz verbindet beides. Der tapfere Mann ist ein Gedachtes in die Form des Seins gesetzt, es ist ein Begriff als Wirkliches ausgedrückt; – die Tapferkeit ist reine Form der Abstraktion, reines Setzen des rein Gedachten. Vor der Vernunft ist die Tugend das Lebendige; sie ist die wahre Realität.

> β) Das Allgemeine überhaupt, das nicht Gattung ist (d.h. nicht in sich selbst die Einheit des Allgemeinen und Besonderen, – oder absolute Einzelheit, Unendlichkeit), dies ist wohl in einem Subjekte Moment oder Prädikat, aber es ist nicht für sich, ou legetai, es ist nicht an sich selbst; ho legetai was, als Allgemeines, für sich ist oder in ihm selbst zugleich unendlich.

> γ) Das Besondere, was legetai, wie Wissenschaft in ihr selbst unendlich ist, und so die Gattung z.B. der Grammatik; und zugleich Allgemeines, oder als nicht Einzelnes, und Moment eines Subjekts ist.

> δ) Des Aristoteles ist, was unmittelbare Vorstellung heißt: das Individuelle, Einzelne. (Die Ausnahme, daß einiges, z.B. eine bestimmte Grammatik, auch in einem Subjekte sei, gehört nicht hierher; denn die bestimmte Grammatik ist nicht wesentlich an ihr selbst Einzelnes.)

> »§ 3. Wenn etwas von einem Anderen prädiziert wird (katêgoreitai) als von einem Subjekte, so gilt, was vom Prädikate gesagt wird (legetai)«, worauf es als Allgemeines bezogen ist, »auch vom Subjekte.« (Dies ist der gewöhnliche Schluß; man sieht schon hieraus, daß, indem dies so kurz abgefertigt wird, der eigentliche Schluß bei Aristoteles eine viel größere Bedeutung hat.)
»§ 4. Verschiedene Gattungen, die einander nicht untergeordnet sind (hyp' allêla tetagmena), haben verschiedene[232] spezifische Differenzen; (§ 5) hingegen untergeordnete können dieselben haben, denn was von den oberen gilt, gilt auch von dem Subjekte« (hier heißt hypokeimenon nicht das Subjekt als solches oder wesentlich als Einzelnes Bestimmte, sondern das Untergeordnete überhaupt).

> »§ 6. Was ohne Verbindung legetai.« Bisher von dem Verbundenen, wie Gattung usf. Aristoteles legte c. 2 die Einteilung in legomena aneu symplokês und kata symplokên zugrunde; dies bisher, – jenes in der Folge, als eigentliche Kategorien, diese aneu symplokês. »§ 8. Keins derselben ist eine Negation oder Affirmation, ist wahr oder falsch.«

> Diese Kategorien sind hier zusammengestellt; jedoch ist das Werk nicht für vollständig anzusehen. Aristoteles nimmt ihrer zehn an: 1. Substanz, Sein (sysia); 2. Qualität (poion); 3. Quantität (poson – hylê); 4. Verhältnis (pros ti); 5. Ort (pou); 6. Zeit (pote); 7. Lage (keisthai); 8. Haben (echein); 9. Tun (poiein) und 10. Leiden (paschein). Diese nennt er Prädikabilien und fügt dann noch hinzu fünf Postprädikamente; er stellt sie so nebeneinander.

> Kapitel 5. »Vom Wesen (ousia, Substanz).« § 1. Die Substanz, und zwar hê kyriôtata te kai prôtôs kai malista legomenê, ist dem Aristoteles das Individuum, das Einzelne (s. c. 2, δ); »alsdann (§ 2) die zweiten Substanzen sind, in welchen, als Arten (eidesin), jene ersten sind: sie und auch die Gattungen dieser Arten.«
Die Kategorien der Relation sind Synthesen der Qualität und Quantität, sie gehörten somit der Vernunft an; aber sie gehören dem Verstande an und sind Formen der Endlichkeit, insofern sie als Relationen gesetzt werden. Das Sein, das Wesen ist in ihnen das Erste; neben aber steht das Mögliche (Akzidenz, Bewirktes), aber getrennt. In der Substanz ist A Sein, B Möglichkeit; im Kausalitätsverhältnisse ist A und B Sein, aber A wird in B gesetzt als ein Setzen des A. A der[233] Substanz ist logisches Sein, es ist das Wesen entgegengesetzt seiner Existenz, und diese Existenz ist in der Logik bloße Möglichkeit. In der Kategorie der Kausalität ist das Sein des A in B ein bloßes Sein der Reflexion; B ist für sich selbst ein Anderes. In der Vernunft ist A ebensowohl Sein des B als des A, und A ist ganzes Sein des A, so wie des B.

> »§ 3. Von Untergeordneten wird Name und Verhältnis (logos, Gattung) des Allgemeinen (tôn kath' hypokeimenou legomenôn) prädiziert; (§ 4) hingegen unmöglich die Gattung des en hypokeimenô ontos von dem Subjekte (hypokeimenou, Untergeordnetem): der logos des Weißen (Farbe) nicht vom Körper, in dem es ist.«
»§ 5. Das Andere aber (außer der Definition überhaupt, und dem Namen bei einigen) wird auf die Subjekte« (das Einzelne) »bezogen (legetai), – oder ist in ihnen; ohne die ersten Substanzen (das Einzelne) kann also nichts anderes sein, – (§ 7) weil sie allem anderen zugrunde liegen (dia to tois allois hapasi hypokeisthai).«
Das Genus ist nach Aristoteles weniger Substanz als die Art: »§ 6. Von den zweiten Substanzen ist die Art mehr Substanz als die Gattung; denn sie ist der ersten Substanz näher, eigentümlicher, – (§ 7) und die Gattung wird von der Art, nicht umgekehrt, prädiziert; die Art ist das Subjekt. § 8. Aber die Arten sind in gleichem Grade Substanzen, (§ 9) so wie von den prôtais ousiais keine mehr Substanz ist als die andere.«

> »§ 10. Auch sind die Arten und Gattungen vor dem Übrigen« (Eigenschaften, Akzidenzen) »zweite Substanzen zu nennen; der Begriff Mensch vor dem, daß er weiß ist oder läuft.« Abstraktion ist also zweierlei: z.B. »Mensch« und »gelehrt«, beides sind Eigenschaften eines bestimmten Individuums; jenes abstrahiert nur von der Einzelheit und ist also Erhebung des Einzelnen zum Vernünftigen, – es geht nichts verloren als die Entgegensetzung der Reflexion, nicht die Totalität.
»§ 12. Von den zweiten (und ersten) ousiais (Mensch und [234] zôon von einem bestimmten Menschen) wird sowohl der Name als der logos von dem bestimmten Menschen gesagt, aber sie selbst sind nicht in dem bestimmten Menschen; hingegen vom Übrigen, was in einem Substrat ist, kann wohl der Name vom Substrat prädiziert werden, aber nicht der logos.«

> § 15. Was von den Substanzen gelte, gelte auch von den diaphorais, der Name sowohl als der logos sei synônymon b) Die zweite Schrift ist über die Interpretation; es ist die Lehre von den Urteilen und Sätzen. Sätze sind, wo Affirmation (kataphasis) und Negation (apophasis), wo pseudos und alêtheia stattfindet – nicht in dem, wenn der nous sich selbst denkt, im reinen Denken ist; nicht Allgemeines, sondern Einzelnes.
c) Die dritte sind seine analytischen Bücher, deren zwei Werke sind, die früheren und die späteren; sie handeln besonders ausführlich von dem Beweise und den Verstandesschlüssen, – Demonstration. »Der [[syllogism|syllogismos]] ist ein Grund (esti logos, Begründen), in welchem, wenn einiges gesetzt ist, ein Anderes als das Gesetzte nach der Notwendigkeit folgt.« Aristoteles' Logik hat die allgemeine Theorie der Schlüsse hauptsächlich sehr genau behandelt; sie sind gar nicht allgemeine Form der Wahrheit. In seiner Metaphysik, Physik, Psychologie usf. hat er nicht geschlossen, sondern gedacht, den Begriff an und für sich.

> d) Das vierte sind die topischen Bücher (topika) oder von den Örtern. Dies sind die Gesichtspunkte, die Aristoteles durchführt, woraus Sache betrachtet werden kann. Cicero und Giordano Bruno haben dies näher bearbeitet. Aristoteles gibt eine große Anzahl von allgemeinen Gesichtspunkten an, die bei einem Gegenstande, Satze oder Aufgabe usf. genommen werden können. Jede Aufgabe könne sogleich auf diese verschiedenen Gesichtspunkte reduziert werden, die überall vorkommen müssen. Diese öfter sind so gleichsam ein Schema von mancherlei, um danach einen Gegenstand zu betrachten, ihm nachzuforschen, – eine Arbeit, die besonders für die Bildung von Rednern und das Schwatzen sehr zweckmäßig schien: es ist dies ein Erfordernis, Redner zu bilden, indem das Bewußtsein der Gesichtspunkte die Möglichkeit an die Hand gibt, einem Gegenstande sogleich vielerlei Seiten abzugewinnen und sich nach diesen Seiten über ihn zu verbreiten.

> Es ist Dialektik, – äußere Reflexionsbestimmungen. Aristoteles sagt, es sei ein Instrument, Sätze und Schlüsse zu finden aus Wahrscheinlichem. – Solche Orte (topoi) Sind allgemein: α) Verschiedenheit; β) Ähnlichkeit; γ) Gegensatz; δ) Verhältnis; ε) Vergleichung. »Örter, zu beweisen, daß etwas besser oder wünschenswerter, sind: α) Dauer der Zeit; β) Autorität dessen oder mehrerer, die es erwählen; γ) Gattung gegen die Art; δ) wünschenswert für sich; ε) weil es in einem Besseren ist; ζ) Zweck; η) Vergleichung des Zwecks und der Folge; ϑ) schöner und lobens-würdiger« usf. Aristoteles sagt, »man müsse sich gegen die Dialektiker der Syllogismen, gegen die Menge der Induktion bedienen«. Ebenso trennt Aristoteles die dialektischen und beweisenden Syllogismen von der rhetorischen und jeder Art der Überzeugung; zu den rhetorischen rechnet Aristoteles die Induktion.

> e) Die fünfte Schrift endlich sind die sophistischen Elenchen (sophistikoi elenchoi), oder von den Wendungen, wie der Widerspruch in der Vorstellung hervorgebracht wird, – im bewußtlosen Fortlaufendes Gedankens (in den Kategorien) im Stoffartigen, worin er in beständigen Widerspruch mit sich selbst gerät. Die sophistischen Elenchen verführen das bewußtlose Vorstellen zu solchen Widersprüchen und machen[236] es darauf aufmerksam. Bei Zenon wurden sie erwähnt. Besonders waren die Megariker stark darin. Aristoteles geht sie in der Art und Weise durch, daß er solche Widersprüche auflöst; er zeigt die Auflösung dieser Widersprüche durch die Unterscheidung und Bestimmung. Er betrachtet die Elenchen, die die Sophisten und besonders die Megariker aufgesucht haben, um das bewußtlose Vorstellen zu verleiten und darin zu fangen. Aristoteles verfährt bei der Auflösung dieser Widersprüche ruhig und sorgsam und läßt sich die Mühe nicht verdrießen, eine Menge durchzugehen und aufzulösen, wenn sie auch mehr dramatischer Art sein sollten. Früher (s. Bd. 18, S. 528 ff.) schon sahen wir Beispiele bei den Megarikern.

> Diese Teile machen zusammen sein Organon aus; was in unseren gewöhnlichen Logiken davon vorkommt, ist in der Tat das Wenigste und Trivialste, – häufig nur die Isagoge des Porphyr. Diese Aristotelische Logik enthält besonders in den ersten Teilen, in der Interpretation und den analytischen Büchern, schon Darstellungen der Formen, die in der gewöhnlichen Logik abgehandelt werden, die allgemeinen Denkformen, die Grundlage dessen, was bis in die neuesten Zeiten als Logik bekannt ist.

> α) Es ist ein unsterbliches Verdienst des Aristoteles, dies Bewußtwerden über die Tätigkeiten des abstrakten Verstandes, diese Formen erkannt und bestimmt zu haben, die das Denken in uns nimmt. Denn was uns sonst interessiert, ist das konkrete Denken, das Denken versenkt in äußere Anschauung: jene Formen sind darin versenkt, es ist ein Netz von unendlicher Beweglichkeit; und diesen feinen, sich durch alles hindurchziehenden Faden – jene Formen – zu fixieren, zum Bewußtsein zu bringen, ist ein Meisterstück von Empirie, und dies Bewußtsein ist von absolutem Wert. Das bloße Betrachten, als eine Kenntnis von den mancherlei Formen und Wendungen dieser Tätigkeit, ist schon wichtig und interessant genug. Denn so trocken und gehaltlos uns das Aufzählen der verschiedenen Arten von Urteilen und[237] Schlüssen und deren mannigfaltigen Verschränkungen erscheinen kann, auch nicht dienlich, die Wahrheit zu finden, so darf wenigstens im Gegensatz nicht andere Wissenschaft dagegen erhoben werden. Z.B. gilt es für würdige Bestrebung, die unsägliche Menge von Tieren, Insekten, 167 Kuckucksarten, wo eine einen Busch auf dem Kopfe anders gebildet hat, eine neue elende Art von einem elenden Geschlechte eines Mooses (Moos ist Schorf), Insekts, Geschmeißes, der Wanzen (gelehrte Entomologie) kennenzulernen; es ist viel wichtiger, die mancherlei Arten der Bewegung des Denkens als jenes Ungeziefers kennenzulernen. Das Beste, was über die Formen des Urteils, Schlusses usf. in der gewöhnlichen Logik vorkommt, ist aus diesen Schriften des Aristoteles genommen; man hat viel im Detail daran ausgesponnen, aber das Wahrhafte findet sich schon bei Aristoteles.

> β) Der eigentliche philosophische Wert der Aristotelischen Logik. Diese Logik hat in unseren Lehrbüchern die Stellung und Bedeutung erhalten, daß sie nur die Tätigkeit des Verstandes als Bewußtsein ausdrücke und enthalte; Anweisung, richtig zu denken, so daß es scheint, als ob die Bewegung des Denkens etwas für sich wäre, was das, worüber gedacht wird, nichts anginge, – Gesetze unseres Verstandes, wodurch wir zur Einsicht kommen, aber durch eine Vermittlung, Bewegung, welche nicht die Bewegung der Dinge selbst wäre. Das Resultat soll freilich Wahrheit sein, so daß die Dinge so beschaffen sind, wie wir sie nach den Gesetzen des Denkens herausbringen. Aber die Weise dieses Erkennens hat bloß eine subjektive Bedeutung; das Urteil, der Schluß ist nicht Urteil, nicht Schluß der Dinge selbst.

> Wenn nun nach dieser Ansicht das Denken für sich ist, so erscheint es nicht an sich als Erkennen oder hat keinen Inhalt an und für sich selbst, – eine formelle Tätigkeit, die sich wohl richtig verläuft, aber deren Inhalt für sie ein gegebener ist. Es wird zu etwas Subjektivem in diesem Sinne. An und für sich sind diese Schlüsse richtig, aber weil[238] ihnen der Inhalt fehlt, reicht dies Urteilen und Schließen nicht zur Erkenntnis der Wahrheit hin. So geben die Logiker ihre Formen, und das, für was sie gegeben werden, wird getadelt, – daß sie Formen sind. Beide Teile gestehen dies zu, daß sie richtig sind. Allein in dieser Ansicht und Tadel ist das Wahre selbst verfehlt; das Unwahre überhaupt die Gestalt des Gegensatzes des Subjekts und Objekts und der Mangel ihrer Einheit, – nicht die Frage, ob etwas an und für sich selbst wahr ist. So gelten die sogenannten Denkgesetze des Schließens als wahr oder vielmehr richtig für sich selbst; und daran hat noch niemand gezweifelt. Das Schlimmste, was ihnen nachgesagt wird, ist, daß sie formal sind, der Fehler nur daran liege: sowohl die Gesetze des Denkens als solchen als seine Bestimmungen, die Kategorien, [sind] entweder nur Bestimmungen am Urteil oder nur subjektive Formen des Verstandes, gegen die das Ding an sich noch etwas anderes ist.

> Allein α) wenn sie auch nicht den empirischen Inhalt haben, so sind sie selbst der Inhalt, – wahre Wissenschaft, Wissenschaft vom Denken: nichts Formales, Inhalt. Denken und seine Bewegung ist der Inhalt, – ein so interessanter Inhalt, als es irgendeinen geben kann, für sich wahr. Allein hier tritt wieder der Nachteil der ganzen Aristotelischen Manier, und zwar im höchsten Grade ein. Im Denken und der Bewegung des Denkens, als eines solchen, fallen in der Aristotelischen Manier und in aller folgenden Logik die einzelnen Momente auseinander; es sind eine Menge Arten des Urteilens und des Schließens, deren jede so für sich gilt und an und für sich, als solche, Wahrheit haben soll. So sind sie eben Inhalt, gleichgültiges, unterschiedenes Sein: die berühmten Gesetze des Widerspruchs usf., die Schlüsse usf.; so einzeln haben sie eben keine Wahrheit. Nur ihre Totalität ist die Wahrheit des Denkens; diese Totalität ist subjektiv und objektiv zugleich. Sie sind nur das Material der Wahrheit, der formlose Inhalt; ihr Fehler ist nicht, daß sie nur Form sind, sondern Form fehlt. So wie vielerlei Einzelnes[239] eines Dings nicht für sich etwas ist, rot, hart usw., sondern nur ihre Einheit ein reales Ding, so die Einheit der Formen des Urteilens und Schließens; aber einzeln haben sie sowenig Wahrheit als eine solche Eigenschaft oder als Rhythmus, Melodie. Die Form eines Schlusses, so wie sein Inhalt, kann ganz richtig sein und doch sein Schlußsatz ohne Wahrheit, weil diese Form als solche für sich keine Wahrheit hat. Von dieser Seite aber sind diese Formen nie betrachtet worden; und die Verachtung der Logik selbst beruht auf dem falschen Gesichtspunkt des Mangels des Inhalts. Sie haben den Fehler, zu sehr Inhalt zu sein. β) Dieser Inhalt ist nichts anderes als die spekulative Idee. Begriffe des Verstandes oder Vernunft sind das Wesen der Dinge, freilich nicht für jene Ansicht, aber in Wahrheit; auch für Aristoteles [sind] die Begriffe des Verstandes – die Kategorien – die Wesenheiten des Seins. Wenn sie also an und für sich wahr, so sind sie selbst ihr eigener Inhalt, und zwar sogar höchster Inhalt; allein dies ist nicht der Fall.
Diese Formen, die in den Aristotelischen Büchern dargestellt sind, sind jedoch nur Formen des verständigen Denkens; allgemeine Denkbestimmungen vereinzelt der abstrakte Verstand. Dies ist nicht die Logik des spekulativen Denkens, nicht der Vernünftigkeit als unterschieden von der Verständigkeit; die Verstandesidentität, daß nichts sich widersprechen soll, liegt zugrunde. Solche Logik ist ihrer Natur nach nicht spekulativ. Diese Logik ist Logik des Endlichen, aber man muß sich damit bekannt machen; denn im Endlichen findet sie sich überall. Die Mathematik z.B. ist ein fortgesetztes Schließen; die Jurisprudenz ist das Subsumieren des Besonderen unter das Allgemeine, das Zusammenschließen derselben. Es sind diese Formen durchgehend in den endlichen Verhältnissen, und es sind viele Wissenschaften, Kenntnisse usf., die keine anderen Formen des Denkens kennen, brauchen, anwenden als diese Formen des endlichen Denkens; sie machen die allgemeine Methode für die endlichen Wissenschaften aus. Es sind jedoch nur Verhältnisse[240] endlicher Bestimmungen; und der Schluß ist das Ganze, die Totalität dieser Bestimmungen. Der Schluß ist deswegen Vernunftschluß, weil es die verständige Form der Vernünftigkeit ist. Zum Schluß gehören drei Termini: diese Dreiheit macht die Totalität des Schlusses aus. Der Schluß verständig gemacht, wie er in der gewöhnlichen logischen Form vorkommt, hat den Sinn, daß ein Inhalt zusammengeschlossen wird mit einem anderen. Der vernünftige Schluß dagegen hat den Inhalt, daß das Subjekt usf. sich mit sich selbst zusammenschließt; der Vernunftschluß ist, daß irgendein Inhalt, Gott usf., durch Unterscheiden von sich sich mit sich selbst zusammenschließt. Diese Identität macht das wesentliche Moment des spekulativen Gehalts, der Natur des vernünftigen Schlusses aus. Aristoteles ist so der Urheber der verständigen, gewöhnlichen Logik; seine Formen betreffen nur das Verhältnis von Endlichem zueinander; das Wahre kann in solchen Formen nicht gefaßt werden. Aber zu bemerken ist, daß hierauf nicht seine Logik gegründet ist, daß diese nicht sich auf dies verständige Verhältnis begründet, daß es nicht diese Formen des Schlusses sind, nach denen Aristoteles verfährt. Wenn Aristoteles so verführe, so würde er nicht dieser spekulative Philosoph sein, als den wir ihn erkannt haben; keiner seiner Sätze, seiner Ideen könnte aufgestellt, behauptet werden, könnte gelten, wenn er sich an die Formen dieser gewöhnlichen Logik hielte. Man muß ja nicht glauben, daß Aristoteles, indem er spekulativ ist, nach dieser seiner Logik, nach diesen Formen im Organon gedacht, fortgeschritten, bewiesen hätte; sonst hätte er keinen Schritt forttun können, da wäre er zu keinem spekulativen Satz gekommen.
Wie die ganze Aristotelische Philosophie, so bedarf seine Logik (gleichsam Naturgeschichte der geistigen Formen, wie dort Tier, Einhorn, Mammut – was solch eine Bestie –, Käferart, Molluske betrachtet wird) wesentlich dieser Umschmelzung, daß die Reihe seiner Bestimmungen in ein notwendiges systematisches Ganzes gebracht wird, – nicht ein[241] systematisches Ganzes, daß richtig eingeteilt und kein Teil vergessen werde und sie auch in ihrer richtigen Ordnung vorgestellt werden, sondern daß es ein lebendiges organisches Ganzes wird, worin jeder Teil als Teil gilt und nur das Ganze als solches Wahrheit hat. Aristoteles, wie z.B. in der Politik, drückt oft diese Wahrheit aus. Eben darum hat auch die einzelne logische Form keine Wahrheit an ihr selbst; nicht darum, weil sie Form oder Denken ist, sondern weil sie bestimmte Form, bestimmtes Denken ist, einzelne Form, und darin gelten soll. Aber als System, absolute Form, die diesen Inhalt beherrscht, so hat das Denken seinen Inhalt an ihm selbst, Unterschied: ist spekulative Philosophie, Inhalt, der unmittelbar Subjekt und Objekt ist, – Begriff und Allgemeines sind Wesenheiten der Dinge. Sie gelten als Formen, denen der Inhalt gegenübersteht, weil sie selbst nicht die Gestalt des Inhalts haben. Wie die Pflicht eben das Anundfürsichsein ausdrückt, so das Denken das Ansichsein; aber ein bestimmtes Anundfürsichsein, bestimmtes Ansichsein ist selbst nur Moment: muß sich bestimmen, aber sein Bestimmen auch wieder aufzuheben wissen. Die logische Form, die sich als diese bestimmte aufhebt, gibt eben darin ihren Anspruch, daß sie an und für sich gelte, auf. Dann ist die Logik Wissenschaft der Vernunft; sie ist spekulative Philosophie der reinen Idee des absoluten Wesens, nicht Gegensatz des Subjekts und Objekts, sondern bleibt Gegensatz im Denken selbst. Vielerlei ist gleichgültige Form.

> In dieser Darlegung des Hauptinhalts der Aristotelischen Philosophie bin ich weitläufiger gewesen, teils der Wichtigkeit der Sache selbst (es ist eigener Inhalt) [wegen], teils weil in der Tat an keiner Philosophie sich die neuere Zeit so vergangen hat als an ihr und keinem der alten Philosophen so viel abzubitten ist als Aristoteles. Aristoteles ist, wenn einer, für einen der Lehrer des Menschengeschlechts anzusehen; sein Begriff ist in alle Sphären des Bewußtseins eingedrungen, und diese Vereinzelung in der Bestimmung durch den Begriff, da sie gleichfalls notwendig ist, enthält in jeder[242] Sphäre die tiefsten richtigen Gedanken. Aristoteles – um die äußere Geschichte seiner Philosophie im allgemeinen hier zu antizipieren – ist daher viele Jahrhunderte lang ununterbrochen der Träger der Bildung des Denkens gewesen. Als im christlichen Abendlande unter den Christen die Wissenschaft verschwand, hat unter den Arabern sein Ansehen ebensosehr geglänzt, von welchen seine Philosophie in späteren Zeiten wieder dem Abendlande überliefert worden ist. Der Triumph, der gefeiert worden ist, daß die Aristotelische Philosophie aus den Schulen, aus den Wissenschaften, besonders aus der Theologie (Philosophie über das absolute Wesen) verdrängt worden, hat die doppelte Seite: einmal daß in der Tat nicht die Aristotelische Philosophie sosehr verdrängt worden, als das Prinzip dieser, besonders der theologischen Wissenschaft, das Prinzip, daß die erste Wahrheit eine gegebene, geoffenbarte ist, – eine Voraussetzung, die ein für allemal zugrunde liegt und an der sich die Vernunft und das Denken nur oberflächlich hin und her zu bewegen das Recht und die Kraft habe. In dieser Gestalt hatte das im Mittelalter erwachende Denken sich die Theologie besonders zurechtgemacht, sich in alle dialektische Bewegungen und Bestimmungen eingelassen und ein Gebäude errichtet, wo der gegebene Stoff nur oberflächlich verarbeitet, verteilt, bewahrt wurde. Der Triumph über dieses System war der Triumph über dieses Prinzip und der Triumph des selbsttätigen freien Denkens. Eine andere Seite aber dieses Triumphs ist der Triumph der Gemeinheit die sich vom Begriffe befreite und das Joch des Gedankens abschüttelte. Ehemals und noch jetzt hörte man genug von Aristoteles' scholastischen Spitzfindigkeiten; mit diesen Namen glaubt man ein Recht zu haben, die Abstraktion sich zu ersparen – und statt des Begriffs sich zum Sehen, Hören und so Fortlaufen an dem, was gesunder Menschenverstand heißt, berechtigt. Auch in der Wissenschaft ist an die Stelle von spitzfindigen Gedanken spitzfindiges Sehen getreten; ein Käfer, Vogelarten werden so spitzfindig unterschieden[243] als sonst Begriffe und Gedanken. Ob eine Vogelart rote oder grüne Farbe, einen mehr so geformten Schwanz hat usf., – solche Spitzfindigkeiten finden sich leichter als die Unterschiede des Gedankens; und einstweilen, bis ein Volk sich heraufgebildet an Arbeit des Denkens, Allgemeines aushalten zu können, ist jenes eine nützliche Vorbereitung, oder es ist vielmehr ein Moment in diesem Wege der Bildung.

> Der Mangel der Aristotelischen Philosophie liegt also darin, daß, nachdem durch sie die Vielheit der Erscheinungen in den Begriff erhoben war, dieser aber in eine Reihe bestimmter Begriffe auseinanderfiel, die Einheit, der absolut sie vereinende Begriff nicht geltend gemacht worden. Dies ist es nun, was die Folgezeit zu leisten hatte. Dies erscheint nun so: das Bedürfnis ist Einheit des Begriffs. Diese Einheit ist das absolute Wesen. Sie stellt sich zuerst als Einheit des Selbstbewußtseins und Bewußtseins dar, reines Denken. Die Einheit des Wesens als Wesens ist gegenständliche Einheit, der Gedanke, das gedacht ist. Aber die Einheit als Begriff, die an sich allgemeine negative Einheit, die Zeit als absolut erfüllte Zeit und in ihrer Erfüllung als Einheit ist das reine Selbstbewußtsein. Dies sehen wir deswegen so eintreten, daß das reine Selbstbewußtsein sich zum Wesen macht; aber zugleich zuerst mit der subjektiven Bedeutung als ein Selbstbewußtsein, das so als dieses fixiert ist und sich von dem gegenständlichen Wesen trennt und daher mit einer Differenz zunächst behaftet ist, die es nicht überwindet.
Diese Notwendigkeit der Sache hat die stoische, epikureische, dann die neuakademische, skeptische Philosophie herbeigeführt, die nun zu betrachten sind.

> Der unmittelbare Nachfolger des Aristoteles war Theophrast, geboren Ol. 102, 2 (371 v. Chr.), berühmt, doch nur ein Kommentator des Aristoteles (Aristoteles ist ein so[244] reicher Schatz von philosophischen Begriffen, daß sich viel Stoff darin findet zu weiterer Bearbeitung, abstrakterer Darstellung und Heraushebung einzelner Sätze); aber von ihm, so wie von vielen anderen, z.B. Dikaiarch aus Messina, unter denen Straton aus Lampsakos, der Nachfolger des Theophrast, der berühmteste ist, ist nicht viel zu berichten, – von letzterem nur wenige allgemeine Nachrichten darüber: daß er als Physiker sich berühmt gemacht und sein Begriff der Natur dem mechanischen Weg, jedoch nicht dem mechanischen des Leukipp und Demokrit und dann Epikurs, sondern aus Wärme und Kälte folgte und (wenn es so bestimmt wahr ist, was von ihm berichtet wird), den Gedanken des Aristoteles sehr ungetreu geworden, alles auf Mechanismus und Zufall zurückführte, teleologischen Zweck entfernte, – nicht den schlechten moderner Zeit. Die übrigen Peripatetiker beschäftigen sich mehr mit Ausbildung einzelner Lehren des Aristoteles, mit einer Ausführung seiner Werke, in gleichem Inhalte, – nur eine mehr oder weniger rhetorische, kommentatorische Form. Es ist schon erinnert worden, daß die Aristotelischen Schriften früh verschwanden und die Aristotelische Philosophie nicht sowohl durch diese Urkunden sich erhielt als durch die Tradition in der Schule, wodurch sie also wesentliche Veränderungen bald erlitt und Ausführungen der Aristotelischen Lehre veranlaßte, von denen man nicht weiß, ob nicht einige sich eingeschlichen unter das, was für seine Werke gilt.
Die peripatetische Schule setzte als Prinzip der Glückseligkeit, Tugend: logos und Neigung.

> Hiermit wollen wir es in Ansehung der Aristotelischen Philosophie bewenden lassen. Es ist schwer davon loszukommen; je mehr man in das Detail geht, je interessanter wird es und je mehr findet man das Zusammenhalten der Gegenstände. Die Aristotelische Philosophie hat auch den Namen peripatetische Philosophie erhalten; und diese ist mehr, z.B. zu Ciceros Zeiten, eine Art von Populärphilosophie geworden, als daß die tiefe, spekulative Weise des Aristoteles ausgebildet und zum Bewußtsein gekommen wäre.

> Aristoteles ist der würdigste unter den Alten, studiert zu werden.

> Wir haben die erste Abteilung der griechischen Philosophie geschlossen und zur zweiten Periode überzugehen. Die erste Periode der griechischen Philosophie ging bis zu Aristoteles, bis zu dieser Gestaltung der Wissenschaft. Das Resultat bei Platon und Aristoteles war die Idee; das Erkennen hat diesen Boden des Denkens, als freien, gewonnen. Bei Platon hatten wir das Allgemeine mehr abstrakterweise als Prinzip; der Boden ist aufgefaßt worden. Bei Aristoteles ist das Denken konkret geworden; es ist nicht die unbewegte abstrakte Idee, sondern sie als konkret in der Wirksamkeit. Das nächste Bedürfnis, was nun unmittelbar notwendig ist, muß hervorgehen, enthalten sein in dem, wozu sich die Philosophie unter Platon und Aristoteles ausgebildet hatte. Dies Bedürfnis ist nichts anderes, als daß das Allgemeine jetzt gefaßt wird als ein Allgemeines, als die Allgemeinheit des Prinzips, daß auf eine allgemeine Weise ein Prinzip herausgehoben oder geltend gemacht wird, so daß das Besondere durch dieses Allgemeine erkannt werde; oder es tritt unmittelbar das Bedürfnis einer systematischen Philosophie ein. Man kann von platonischem und aristotelischem Systeme sprechen, sie sind aber nicht in der Form des Systems; dazu gehört, daß ein Prinzip aufgestellt und konsequent durchs Besondere hindurchgeführt wird. Die Aristotelische Philosophie ist vollständiger Komplex des Begreifens des Universums, bei Aristoteles haben wir alles aufs Spekulative zurückgeführt, höchste Weise der Wissenschaft, gesehen; aber[246] er ist empirisch zu Werke gegangen. Bei Aristoteles ist wohl ein Prinzip und spekulatives, aber nicht als eines herausgehoben; die Natur des Spekulativen ist nicht als der Begriff für sich zum Bewußtsein gebracht worden, nicht die Entwicklung der Mannigfaltigkeit des natürlichen und geistigen Universums in sich enthaltend, – noch weniger ist es als das Allgemeine aufgestellt, aus welchem das Besondere entwickelt würde (seine Logik ist vielmehr das Gegenteil). Aristoteles geht mehr die Reihe der Lebendigen und der Toten durch, läßt sie vor sein objektives, nämlich begreifendes Denken treten und erfaßt sie begreifend. Jeder Gegenstand ist für sich Begriff; er sagt: dies ist der Gegenstand, wir finden ihn in diesen Bestimmungen. Diese Gedanken bringt er aber zusammen; und dadurch ist er dann spekulativ. Aristoteles und Platon sind im Ganzen zugleich empirisch verfahren, haben diese und diese Vorstellung aufgenommen und sind sie durchgegangen; besonders tritt diese lose Manier bei Aristoteles hervor. In der Aristotelischen Wissenschaft ist die Idee des sich selbst denkenden Denkens als die höchste Wahrheit aufgefaßt; aber die Realisierung desselben, das Bewußtsein des natürlichen und geistigen Universums, macht außerhalb jener Idee eine lange außereinanderfallende Reihe besonderer Begriffe aus. Was mangelt, ist ein Prinzip, das durchs Besondere hindurchgeführt wird. Der Umfang des Erkannten muß auch als eine Einheit, eine Organisation des Begriffs erscheinen. Das nächste Bedürfnis der Philosophie ist daher jetzt, daß das Allgemeine frei für sich aufgefaßt werde, das Bedürfnis eines Prinzips für alle Besonderheit, – jene Idee so aufzufassen, daß die vielgestaltete Realität auf sie als das Allgemeine bezogen, dadurch bestimmt und in dieser Einheit erkannt werde. Und dies ist der Standpunkt, den wir in dieser zweiten Periode haben.

> Solche systematische Philosophie wird zunächst zum Dogmatismus, und daher tritt ihm gleich der Skeptizismus gegenüber; Dogmatisch nennen die Franzosen systematique (système: ein Prinzip konsequent durchgeführt, die Vorstellungen[247] müssen aus einer Bestimmung fließen); daher ist systematique gleichbedeutend mit einseitig. Wir sahen bei Aristoteles die höchste Idee, das sich selbstdenkende Denken; dieses steht wieder nur als Besonderes an seinem Orte, es ist nicht Prinzip seiner ganzen Philosophie. Dieses sich selbstdenkende Denken ist vollkommen konkret: sich selbst denken ist objektiv, das Denken ist subjektiv, – nous, der objektiv und subjektiv ist, Bewußtsein der Einheit; es ist, als Denken des Denkens, so konkret. Das weitere wäre, α) diese Idee aus sich zu entwickeln und das Allgemeine so als real Allgemeines vorzustellen, – die Welt zu erkennen, so daß der Inhalt nur als Bestimmung des sich selbst denkenden Denkens gefaßt werde. Dieses hat an und für sich nicht geschehen können. Es wird nur die Notwendigkeit eines Prinzips erkannt. β) Das zweite ist, daß dieses Prinzip formell, abstrakt dasteht und das Besondere noch aus ihm nicht deduziert wird, sondern das Allgemeine nur aufs Besondere angewendet wird und die Regel der Anwendung gesucht wird. Das Besondere müßte aus der Idee entwickelt werden, so wäre sie konkret; bei Aristoteles ist sie an sich konkret. Das andere Verhältnis wäre nur Subsumtion des Besonderen unters Allgemeine; so sind beide voneinander unterschieden, die Vereinigung ist nur Vereinigung der Subsumtion, das Allgemeine ist darum nur formelles Prinzip. Die Erscheinungen der physischen und geistigen Welt müssen von ihrer Seite herauf erst dem Begriffe zu- und vorgearbeitet sein (Gesetze), – daß beide Geschäfte sich begegnen. Die anderen Wissenschaften für sich erheben die Erscheinung in den bestimmten Gedanken, – Bedürfnis, ganz allgemeine, aber bestimmte Grundsätze zu formieren; dann kann die spekulative Vernunft sich in ihm und den Zusammenhang derselben, der innerlich ist, vollends darstellen.
Es muß also allgemeines Prinzip hervortreten, das Besondere wird aber nicht daraus entwickelt; so ist das Prinzip abstrakt, und dadurch wird solche Philosophie einseitig. Denn nur das in sich Konkrete, was beide Seiten in sich hat,[248] ist nicht einseitig. Darin sind solche Philosophien näher dogmatisch, behauptend. Denn bei dieser Weise wird das Prinzip behauptet, nicht auf die wahrhafte Weise bewiesen. Denn es wird ein Prinzip gefordert, worunter alles subsumiert werde; es ist nur das Erste, so ist es nicht bewiesen, nur behauptet.

> Dieses Bedürfnis für das Erkennen ist vorhanden. Das diesem Bedürfnis Entsprechende erscheint jetzt in der Welt durch die innere Notwendigkeit des Geistes, – nicht äußerlich, sondern wie es dem Begriffe gemäß ist. Dies Bedürfnis hat die stoische, epikureische und skeptische Philosophie erzeugt.
Wenn wir uns in dieser ersten Periode aufgehalten haben, so können wir dies nun nachholen; denn in der nächsten Periode können wir kurz sein.




### Dogmatism and Scepticism

### Neoplatonics

#### A. Philon

#### B. Cabbala and gnosticism

##### Cabbalistic philosophy

##### Gnostics
 {#Gnostics}

* [[gnosticism]]

#### C. Alexandrinic philosophy

## Second part: Philosophy of the middle ages

(...)

* [[Spinoza]]

(...)


## Third part: New philosophy

### Introduction

### Bacon and Böhme
  {#BaconAndBoehme}

(...) [[Jakob Böhme]] (...)

### Period of the thinking mind

#### Period of metaphysics

##### First section

###### 1. Descartes
 {#Descartes}

**[[Descartes]]**

> {#DescartesDerAnfaenger} René Descartes ist in der Tat der wahrhafte Anfänger der modernen Philosophie, insofern sie das Denken zum Prinzip macht. Das Denken für sich ist hier von der philosophierenden Theologie verschieden, die es auf die andere Seite stellt; es ist ein neuer Boden. Die Wirkung dieses Menschen auf sein Zeitalter und die neue Zeit kann nicht ausgebreitet genug vorgestellt werden. Er ist so ein Heros, der die Sache wieder einmal ganz von vorne angefangen und den Boden der Philosophie erst von neuem konstituiert hat, auf den sie nun erst nach dem Verlauf von tausend Jahren zurück gekehrt ist. Die große Wirkung, die Cartesius auf sein Zeit alter und die Bildung der Philosophie überhaupt gehabt hat, liegt vornehmlich darin, auf eine freie und einfache, zugleich populäre Weise mit Hintansetzung aller Voraussetzung von dem populären Gedanken selbst und ganz einfachen Sätzen angefangen und den Inhalt auf Gedanken und Ausdehnung oder Sein geführt, dem Gedanken gleichsam diesen seinen Gegensatz hingestellt zu haben. Mit Hintansetzung aller Voraussetzung hat er vom Denken angefangen, und zwar in Form des bestimmten, klaren Verstandes; dieses Denken kann man nicht spekulatives Denken, spekulative Vernunft nennen. Es sind feste Bestimmungen, aber nur des Gedankens, von denen er anfängt und fortgeht; dieses ist die Weise seiner Zeit. Was die Franzosen exakte Wissenschaften nannten, Wissenschaften des bestimmten Verstandes, haben mit dieser Zeit angefangen. Philosophie und exakte Wissenschaft ist nicht getrennt gewesen; erst später trat Trennung beider ein.

> Sein Leben: Er ist 1596 geboren zu La Haye in Touraine aus einem alt-adligen Geschlecht. Er genoß die gewöhnliche Erziehung in einer Jesuitenschule; er machte große Fortschritte, war von einem lebhaften, unruhigen Geist, griff mit einem unersättlichen Eifer nach allen Seiten hin und trieb sich in allen Systemen und Formen herum, studierte außer der alten Literatur besonders Philosophie, Mathematik, Chemie, Physik, Astronomie usf. Aber seine Jugendstudien in der Jesuitenschule und sein ferner fortgesetztes Studium hatten, nachdem er sich mit Anstrengung in ihnen herumgetrieben hatte, ihm eine starke Abneigung gegen das Studium aus Büchern gegeben; er verließ diese Anstalt. Er wurde verwirrt, erhielt unbefriedigte Sehnsucht; aber sein Eifer zur Wissenschaft wurde nur desto reger gemacht.
Er ging als ein junger Mann, 18 Jahre alt, nach Paris und lebte dann in der großen Welt. Als er aber auch hier keine Befriedigung fand, verließ er bald die Gesellschaft und kehrte zu den Studien zurück. Er retirierte sich incognito in eine Vorstadt von Paris und lebte da entfernt im Studium der Mathematik insbesondere, allen seinen vorigen Bekannten ganz verborgen, bis er nach zwei Jahren endlich von seinen alten Freunden hier entdeckt, hervorgezogen und wieder in die große Welt eingeführt wurde. – Er entsagte jetzt wieder ganz dem Bücherstudium und warf sich in die Welt, in die Wirklichkeit. Er ging hierauf nach Holland und[124] nahm Militärdienste; und bald nachher 1619, in dem ersten Jahre des Dreißigjährigen Krieges, nahm er als Freiwilliger unter den bayrischen Truppen Kriegsdienste und machte mehrere Feldzüge unter Tilly mit. (Manchen haben die Wissenschaften nicht befriedigt, und er ist Soldat geworden, – aber nicht, weil ihm die Wissenschaften zuwenig, sondern weil sie ihm zuviel, zu hoch waren.) Hier in den Winterquartieren studierte er fleißig und machte z.B. in Ulm Bekanntschaft mit einem Bürger, der sehr in die Mathematik eingeweiht war. Dies war noch mehr in den Winterquartieren zu Neuburg an der Donau der Fall, wo in ihm abermals erst recht tief der Trieb erwachte, sich eine neue Bahn in der Philosophie zu machen, die Philosophie umzuschaffen; er gelobte der Mutter Gottes eine Wallfahrt nach Loretto, wenn sie ihm dies Vorhaben gelingen lassen würde, wenn er ruhig nun endlich zu sich selbst käme. – So war er auch in der Schlacht bei Prag, worin Friedrich von der Pfalz die böhmische Krone verlor. Noch weniger konnte ihn der Anblick dieser wilden Szenen befriedigen; 1621 verließ er die Kriegsdienste und machte noch mehrere Reisen durch das übrige Deutschland, dann Polen, Preußen, die Schweiz, Italien, Frankreich.
Er zog sich dann wegen der größeren Freiheit nach Holland zurück, um hier sein Vorhaben auszuführen; er lebte hier in Ruhe von 1629 bis 1644, – eine Periode, worin er seine meisten Schriften schrieb und herausgab und sie auch gegen die mannigfaltigen Angriffe verteidigte, die sie besonders von der Geistlichkeit erlitten. Die Königin Christine von Schweden berief ihn endlich an ihren Hof nach Stockholm, das der Sammelplatz der berühmtesten Gelehrten der damaligen Zeit war; und dort starb er 1650.

> Descartes hat der Mathematik ebenso ein neues Emporstreben gegeben als der Philosophie. Mehrere Hauptmethoden sind seine Entdeckungen, worauf nachher die glänzendsten Resultate der höheren Mathematik gebaut worden sind. Seine Methode macht noch heute eine wesentliche Grundlage der Mathematik aus; Cartesius ist der Erfinder der analytischen Geometrie und somit derjenige, der auch hierin der modernen Mathematik ihre Bahn angewiesen hat. Auch hat er Physik, Optik, Astronomie kultiviert und darin die größten Entdeckungen gemacht. Doch diese Seite gehört nicht hierher.

> 1. In der Philosophie hat er eine ganz neue Wendung genommen: mit Descartes beginnt die neue Epoche der Philosophie, wodurch der Bildung das Prinzip ihres höheren Geistes in Gedanken zu fassen, in der Form der Allgemeinheit, vergönnt war, wie Böhme es in Anschauungen, sinnlichen Formen faßte. Unter seinen philosophischen Schriften haben besonders diejenigen, welche die Grundlage enthalten, in ihrer Darstellung etwas sehr Populäres und Naives, was sie beim Beginne des Studiums sehr empfehlenswert macht; er geht ganz einfach und kindlich dabei zu Werke, – es ist Erzählen seiner Gedanken nacheinander. Er ging davon aus, jede Voraussetzung müsse hintangesetzt werden, der Gedanke müsse von sich selbst anfangen; alles bisherige Philosophieren, besonders das von der Autorität der Kirche ausging, wurde hintangestellt. Da das Denken hier sich aber eigentlich nur als abstrakter Verstand gefaßt hat, so wurden die bestimmten Vorstellungen, der Inhalt, nicht aus dem Verstande abgeleitet, sondern empirischerweise aufgenommen. – Bei seiner Philosophie ist zu unterscheiden, was allgemeines Interesse für uns hat und was nicht. Die Anwendung der Metaphysik auf kirchliche Angelegenheiten, Untersuchungen usf. hat kein Interesse. Auch in seiner Philosophie ist zu unterscheiden der Gang seiner Gedanken selbst und dann die Weise, wie er diese Gedanken abgeleitet, bewiesen hat. Um seinen Gedanken Gerechtigkeit widerfahren zu lassen, ist es nötig, daß wir für uns bekannt, vertraut sind mit der Notwendigkeit dieser Erscheinung. Was nun die Methode anbetrifft, wie er die Gedanken gestellt, wie er sie abgeleitet hat, so hat dies kein besonderes Interesse für uns. – Es ist im ganzen wenig von seiner Philosophie zu sagen.

> a) Er hat von vorn angefangen, vom Denken als solchen; und dies ist ein absoluter Anfang. Und daß nur vom Denken angefangen werden müsse, drückt er so aus, daß man an allem zweifeln müsse. Zum ersten Erfordernis der Philosophie macht Descartes, daß man an allem zweifeln, d.h. alle Voraussetzungen aufgeben müsse. De omnibus dubitandum est, war der erste Satz des Cartesius, – dies Versenken aller Voraussetzungen und Bestimmungen selbst. Es hat jedoch nicht den Sinn des Skeptizismus, der sich kein anderes Ziel setzt als das Zweifeln selbst, daß man stehenbleiben soll bei dieser Unentschiedenheit des Geistes, der darin seine Freiheit hat, sondern es hat vielmehr den Sinn, man müsse jedem Vorurteil entsagen – d.h. allen Voraussetzungen, die ebenso unmittelbar als wahr angenommen – und vom Denken anfangen, um erst vom Denken aus auf etwas Festes zu kommen, einen reinen Anfang zu gewinnen. Dies ist bei den Skeptikern nicht der Fall; da ist der Zweifel das Resultat. Descartes' Zweifeln, keine Voraussetzung Machen, weil nichts Festes, Sicheres ist, geschieht nicht im Interesse der Freiheit selbst als solcher, daß nichts gelte außerhalb der Freiheit, nichts sei in Qualität, Weise einer Voraussetzung, eines äußerlich Objektiven. Unfest ist alles, insofern ich davon abstrahieren kann, d. i. denken; eben reines Denken ist Abstrahieren von allem. Der Trieb der Freiheit liegt in der Tat zugrunde, aber überwiegend oder im Bewußtsein ist der Zweck, zu etwas Festem, Objektivem zu kommen, – das Moment des Objektiven, nicht das Moment des Subjektiven, daß es von mir gesetzt, erkannt, erwiesen sei; aber dies Interesse fällt darein, denn von meinem Denken aus will ich dahin kommen. Wir müssen nicht den Gang des Descartes für konsequent der Methode nach bewiesen halten; es ist tiefer, innerer Fortgang, naiv erscheinend. Der Geist seiner Philosophie ist Wissen, Gedanken, Einheit des Denkens und Seins.

> Das Erste ist also, man müsse keine Voraussetzung machen; und dies ist ein großes, höchst wichtiges Prinzip. Descartes gibt in seiner Weise den Grund davon an; in diesen Sätzen, die er ausspricht, hat er naives, empirisches Räsonnement. Nämlich:
»Weil wir als Kinder geboren sind und von den sinnlichen Dingen vielerlei Urteile vorher gefällt haben, ehe wir den vollkommenen Gebrauch unserer Vernunft hatten, so werden wir durch viele Vorurteile von der Kenntnis des Wahren abgestoßen. Von diesen scheinen wir uns nicht anders befreien zu können, als wenn wir einmal im Leben an dem zu zweifeln streben, worin wir nur den geringsten Verdacht einer Ungewißheit haben.«

> »Ja, es wird sogar nützlich sein, alles das, woran wir zweifeln, für falsch zu halten, damit wir desto klarer das finden, was das Gewisseste und Erkennbarste sei.«
»Doch ist dies Zweifeln auf die Betrachtung der Wahrheit einzuschränken. Denn was den usus vitae beträfe, weil oft die Gelegenheit zum Handeln vorüberginge, ehe wir uns unsere Zweifel lösen könnten, sind wir genötigt, das Wahrscheinliche zu wählen.«
»Hier aber, wo es nur um das Suchen der Wahrheit zu tun ist, so werden wir vornehmlich zweifeln, ob irgend das Sinnliche und Vorstellbare existiere: erstens weil wir finden, daß die Sinne uns oft täuschen und es der Klugheit gemäß ist, dem nicht zu vertrauen, was uns nur einmal getäuscht hat; alsdann weil wir täglich im Traume Unzähliges zu fühlen oder uns vorzustellen meinen, was niemals ist, und dem Zweifelnden keine solche Zeichen erscheinen, an denen er den Schlaf vom Wachen sicher unterscheide.«

> »Wir werden hiermit auch an allem andern zweifeln, selbst an den mathematischen Sätzen: teils weil wir gesehen, daß einige sich auch in dem irren, was uns für das Gewisseste gilt, und gelten lassen, was uns falsch scheint; dann weil wir gehört haben, daß ein Gott ist, der uns geschaffen, der alles kann, also vielleicht uns so geschaffen, daß wir irren sollen. – Wenn wir uns einbilden, nicht von Gott, sondern von irgend etwas anderem, aus uns selbst, zu existieren, so ist es um so wahrscheinlicher, daß wir so unvollkommen sind, zu irren.«

> »So viel erfahren wir aber, die Freiheit in uns zu haben, daß wir uns immer dessen enthalten können, was nicht völlig gewiß und ergründet ist.«

> Das Bedürfnis, das bei diesen Gründen des Descartes zugrunde liegt, ist, daß das Denken von sich anfangen soll; denn das Vorausgesetzte ist nicht durch das Denken gesetzt, ist ein Anderes des Denkens: das Denken ist nicht darin bei sich. Die sogenannte unmittelbare Anschauung, innere Offenbarung der neueren Zeit gehört auch hierher; vom Denken soll ausgegangen werden. Es ist das Interesse der Freiheit, was zugrunde liegt; was als wahr anerkannt wird, soll die Stellung haben, daß unsere Freiheit darin erhalten ist, daß wir denken. Hier in der cartesianischen Form ist das Prinzip der Freiheit als solches nicht herausgehoben, sondern es sind mehr populäre Gründe: weil man irren könnte usf., darum soll man keine Voraussetzung machen.

> b) Das Gewisse. Cartesius suchte etwas an sich selbst Gewisses und Wahres, das weder nur wahr wäre wie der Gegenstand des Glaubens ohne Wissen, noch die sinnliche, auch skeptische Gewißheit, die ohne Wahrheit ist. Das ganze Philosophieren war damit behaftet, etwas als wahr vorauszusetzen, teils, wie die neuplatonische Philosophie, die Form der Wissenschaft nicht ihrem Wesen zu geben oder die Momente desselben nicht auseinanderzusetzen. Nichts ist wahr, was nicht innere Evidenz im Bewußtsein hat oder was die Vernunft nicht so deutlich und bündig erkennt, daß ein Zweifel daran schlechthin unmöglich. Ich hat die Bedeutung als Denken, nicht Einzelheit des Selbstbewußtseins. Der zweite Satz seiner Philosophie ist daher die unmittelbare Gewißheit des Denkens. Wir müssen suchen, was gewiß ist; und das Gewisse ist die Gewißheit, das Wissen als solches in seiner reinen Form als sich auf sich beziehend. Dies ist das Denken; so geht dann der unbeholfene Verstand weiter fort zum Bedürfnis des Denkens. Hiermit ist auf einmal die Philosophie in ein ganz anderes Feld, ganz anderen Standpunkt versetzt, nämlich in die Sphäre der Subjektivität, das Gewisse. Es wird aufgegeben Vorausgesetztes der Religion, nur das Beweisen gesucht, nicht der Inhalt. Es ist unendliche abstrakte Subjektivität; der absolute Inhalt verschwindet. Es ist ebenso dies Gärende, aus großem Gefühl, Anschauung zu sprechen, – wie Bruno und so viele andere, jeder in seiner Weise, als Individualitäten ihre eigentümliche Weltanschauung aussprechen.

> »Indem wir so alles wegwerfen oder es für falsch erklären, an dem wir auf irgendeine Weise zweifeln können, so ist es uns leicht, vorauszusetzen, daß kein Gott, kein Himmel, kein Körper, aber darum nicht, daß wir nicht seien, die wir dieses denken. Denn es ist widersprechend (repugnat, – es geht gegen den Mann), zu meinen, das, was denke, existiere nicht. Daher ist diese Erkenntnis, Ich denke, also bin ich, die erste von allen und die gewisseste, die sich jedem, der in Ordnung philosophiert, darbietet.«

> {#DescartesSchlechthingGewiss} Cartesius fängt also mit dem Standpunkt des Ich als des schlechthin Gewissen an, wie auch [[Fichte]] anfängt; ich weiß, es stellt sich in mir dar. Ein ganz anderer Boden ist so fürs Philosophieren gegeben. Den Inhalt in sich selbst zu betrachten, ist nicht das Erste; nur Ich ist das Gewisse, Unmittelbare. Von allen meinen Vorstellungen kann ich abstrahieren. Das Denken ist das Erste; die nächste Bestimmung, die hinzukommt, unmittelbar damit zusammenhängend, ist die Bestimmung des Seins. Ich denke, dies Denken enthält unmittelbar mein Sein; dies, sagt er, ist das absolute Fundament aller Philosophie. Die Bestimmung des Seins ist in meinem Ich; diese Verbindung selbst ist das Erste. Das Denken als Sein und das Sein als Denken, das ist meine Gewißheit, Ich. Dies ist das berühmte Cogito, ergo sum; Denken und Sein ist so darin unzertrennlich verbunden. Diesen Satz sieht man einerseits an als einen Schluß: aus dem Denken werde das Sein geschlossen. Und besonders hat Kant gegen diesen Zusammenhang eingewandt: im Denken sei nicht das Sein enthalten, es sei verschieden vom Denken. Dies ist wichtig, aber sie sind unzertrennlich, d.h. sie machen eine Identität aus; was unzertrennlich ist, ist dennoch verschieden; aber die Identität wird durch diese Verschiedenheit nicht gefährdet, sie sind Einheit. 

> Indessen ist dieser Ausspruch der reinen abstrakten Gewißheit, die allgemeine Totalität, in der alles an sich, nicht bewiesen; man muß diese Proposition nicht in einen Schluß verwandeln wollen, »es ist ganz und gar kein Schluß. Denn dazu müßte der Obersatz sein: alles, was denkt, existiert«, – und dazu die Subsumtion im Untersatze: Nun aber bin ich. Damit würde eben die Unmittelbarkeit aufgehoben, die darin liegt. »Aber jener Obersatz« wird gar nicht aufgestellt, sondern »ist vielmehr erst ein abgeleiteter von dem ersten: Ich denke, also bin ich.« Zu einem Schlusse gehören drei Glieder, hier ein Drittes, wodurch Denken und Sein vermittelt wäre; so ist es aber nicht, – nicht Ich denke, also so bin ich. Dies Also ist hier nicht das Also des Schlusses; es ist nur der Zusammenhang gesetzt von Sein und Denken. Alle anderen Sätze sind später. Aber das Denken als Subjekt ist das Denkende, und das ist Ich; das Denken ist das innere Beimirsein, die Unmittelbarkeit bei mir, – es ist das einfache Wissen selbst. Diese Unmittelbarkeit ist aber eben dasselbe, als was Sein heißt. Cartesius hat es nun zwar nicht so nachgewiesen, sondern sich einzig und allein auf das Bewußtsein berufen. Auch Fichte hat später mit derselben absoluten Gewißheit, mit dem Ich, wieder angefangen, ist aber dazu fortgegangen, aus dieser Spitze dann alle Bestimmungen zu entwickeln. Also diese Gewißheit ist das Prius. Wir denken zwar dieses und jenes, aber von diesem und jenem können wir abstrahieren, nicht so von dem Ich. Wir denken dies und jenes, deswegen sei es, ist die gewöhnliche altkluge Instanz der Unfähigkeit, das aufzufassen, wovon die Rede ist; daß bestimmter Inhalt sei, ist eben das, woran zu zweifeln ist, – es gibt nichts Festes.

> »Dies ist der beste Weg, die Natur des Geistes und seine Verschiedenheit vom Körper zu erkennen. Denn wenn wir untersuchen, wer wir sind, die wir alles, was von uns verschieden ist, als unwahr setzen können, so sehen wir deutlich, daß keine Ausdehnung, noch Figur, noch Ortsbewegung, noch etwas dergleichen, das dem Körper zuzuschreiben ist, unsere Natur angehe, sondern das Denken allein; diese wird also früher (prius) und gewisser als irgendeine körperliche Sache erkannt.«

> Es sind dagegen auch andere Sätze aufgestellt. Gassendi macht den Einwand Ludificor, ergo sum: Ich werde von meinem Bewußtsein zum Besten gehabt, also existiere ich, – eigentlich: also werde ich zum Besten gehabt. Daß etwas an diesem Einwurf daran ist, hat Descartes selbst gewußt. Aber Descartes widerlegt diesen Einwand hier selbst, indem nur das Ich, nicht der sonstige Inhalt festzuhalten ist. Das Sein nur ist identisch mit dem reinen Denken, der Inhalt mag sein, welcher er will; Ich ist gleich Denken. Er sagt: »Unter dem Denken begreife ich aber das alles, was mit unserem Bewußtsein in uns vorgeht, insofern wir uns dessen bewußt sind; also auch Wollen, Einbilden (Vorstellen), auch Empfinden ist dasselbe, was Denken«, alles dies ist auch darin enthalten. »Denn wenn ich sage ›Ich sehe‹ oder ›Ich gehe spazieren, also bin ich‹ und dies von dem Sehen, Gehen verstehe, das mit dem Körper vollbracht wird, so ist der Schluß nicht absolut gewiß« (insofern ich das konkrete Ich meine), »weil, wie im Traum oft geschieht, ich meinen kann zu sehen, zu gehen, ob ich gleich die Augen nicht aufmache und mich nicht von der Stelle bewege, und vielleicht auch, wenn ich keinen Körper hätte. Aber wenn ich es von der« (subjektiven) »Empfindung oder Bewußtsein des Sehens oder Gehens selbst verstehe, weil sie« (Empfindung und Bewußtsein) »alsdann auf den Geist (mentem) bezogen wird, der allein empfindet oder denkt, er sehe oder gehe, so ist dieser Schluß alsdann ganz gewiß.«

> »Im Traume« ist Weise des empirischen Räsonnements; es muß nicht bloß heißen »weil Ich abstrahieren kann«, sondern » $[$ weil $]$ eben Ich dies Einfache, mit sich Identische ist«. Ich sehe, Ich gehe usf., da ist Ich in der Bestimmung des Sehens, Gehens; aber ich bin darin auch denkend. Das Denken ist nun zwar auch im Wollen, Sehen, Hören usw.; es ist absurd, zu meinen, die Seele habe das Denken in einer besonderen Tasche und anderwärts das Sehen, Wollen usf. Aber wenn ich sage »Ich sehe«, »Ich gehe spazieren«, so ist darin einerseits mein Bewußtsein, Ich, und somit Denken; aber andererseits ist auch Wollen, Sehen, Hören, Gehen darin, also noch eine weitere Modifikation des Inhalts. (Das Denken ist das Prius, das ganz Allgemeine; Denken ist das Ich, Denken als Denkendes ist Ich: es ist das Allgemeine, was auch im Wollen,[133] Fühlen, Gehen usf. ist.) Und wegen dieser Modifikation kann ich nicht sagen »Ich gehe, also bin ich«; denn von der Modifikation kann ich ja abstrahieren, es ist nicht mehr das allgemeine Denken. Man muß also bloß auf das reine, in diesem Konkreten enthaltene Bewußtsein sehen. Nur wenn ich heraushebe, daß ich darin als denkend bin, so liegt das reine Sein darin; und nur mit dem Allgemeinen ist das Sein verbunden. Es ist ganz leicht, diese Identität einzusehen. Denken ist das ganz Allgemeine, nicht das Besondere; in allem Besonderen ist auch das Allgemeine. Das Denken ist die Beziehung auf sich selbst, ist das Allgemeine, das reine sich Beziehen auf sie selbst, das reine Einssein mit sie. Die Frage ist nun: was ist das Sein? Da muß man sich aber nicht das Sein eines konkreten Inhalts vorstellen. Sein ist dann nichts als die einfache Unmittelbarkeit, die reine Beziehung, Identität mit sich; so ist es die Unmittelbarkeit, die auch das Denken ist. Das Denken ist dieselbe Unmittelbarkeit, zugleich aber auch die Vermittlung mit sich selbst, die sich ebenso auch negiert, also auch Unmittelbarkeit. Unmittelbarkeit ist eine einseitige Bestimmung; das Denken enthält sie, aber sie nicht allein, sondern auch die Bestimmung, sich mit sich selbst zu vermitteln; und dadurch, daß das Vermitteln zugleich Aufheben der Vermittlung ist, ist es Unmittelbarkeit. Im Denken ist so Sein; Sein ist eine arme Bestimmung, ist das Abstraktum von dem Konkreten des Denkens.

> »Daß das Denken (mens)«, sagt Cartesius, »mir gewisser ist als der Körper, liegt darin. Daß ich urteile, die Erde existiere, daraus, daß ich sie berühre oder sehe, daraus muß ich ja noch viel mehr urteilen, daß mein Denken (mens) existiert. Denn es kann vielleicht ebensogut sein, daß ich urteile, die Erde existiere, ob sie gleich nicht existiert, nicht aber, daß ich dies urteile und mein Geist (mens), der dies urteilt, nicht sei.« D.i. alles, das für mich ist, kann ich[134] setzen als nichtseiend, indem ich mich als nichtseiend setze, setze ich selbst, oder es ist mein Urteil. Denn daß ich urteile, das kann ich nicht weglassen, wenn ich auch von dem abstrahieren kann, worüber ich urteile. Damit hat nun aber die Philosophie ihren eigentlichen Boden wiedergewannen, daß das Denken vom Denken ausgeht, als einem in sich Gewissen, nicht von etwas Äußerem, nicht von etwas Gegebenem, nicht von einer Autorität, sondern schlechthin von dieser Freiheit, die darin ist: »Ich denke«.
An allem anderen kann ich zweifeln, an dem Dasein körperlicher Dinge, an meinem Körper selbst; oder diese Gewißheit hat nicht die Unmittelbarkeit in sich. Denn Ich ist eben die Gewißheit selbst, an allem anderen ist sie Prädikat; mein Körper ist mir gewiß, er ist nicht diese Gewißheit selbst. Gegen die Gewißheit, einen Körper zu haben, führt Cartesius die empirische Erscheinung an, daß oft die Vorstellung vorhanden ist, man fühle Schmerzen in einem Gliede, das man schon lange nicht mehr hat. Was wirklich ist, ist eine Substanz, – Seele die denkende Substanz; sie ist für sich, von allen äußeren materiellen Dingen verschieden und unabhängig. Daß sie denkend ist, ist für sich evident; sie würde denken und existieren, wenn auch keine materiellen Dinge vorhanden wären. Die Seele kann sich deswegen leichter erkennen als ihren Körper.

> Alles weitere, was wir für wahr halten können, beruht auf dieser Gewißheit; zum Fürwahrhalten gehört Evidenz. Nichts ist wahr, was nicht innere Evidenz im Bewußtsein hat. »Die Evidenz von allem beruht nun darauf, daß wir es ebenso klar und deutlich einsehen als jene Gewißheit selbst und daß es so von diesem Prinzip abhängt und mit ihm übereinstimmt, daß, wenn wir daran zweifeln wollten, wir[135] auch an diesem Prinzip« (an unserem Ich) »zweifeln müßten.«

> c) Das Dritte ist der Obergang dieser Gewißheit zur Wahrheit, zu Bestimmtem; diesen Übergang macht Cartesius auf naive Weise. Dieses Wissen ist für sich nun die vollkommene Evidenz, Gewißheit, aber es ist noch nicht die Wahrheit; oder wenn wir jenes Sein als Wahrheit nehmen, so ist dies ein leerer Inhalt, und um den Inhalt ist es zu tun. – Die nächste Betrachtung ist nun die der Metaphysik des Descartes. Die Einheit des Seins und des Denkens ist dabei das Erste, und das Denken wird dabei genommen als das reine Denken; Descartes hat diesen Satz aber nicht bewiesen. Es sind verschiedene Bestimmungen, Denken und Sein, – und nur ihre Verschiedenheit muß aufgezeigt werden; daß sie identisch sind, diesen Beweis hat Descartes nicht geführt. Es steht einstweilen voran, es ist die interessanteste Idee der neueren Zeit überhaupt; er hat sie zuerst aufgestellt. Das Bewußtsein ist seiner selbst gewiß; »Ich denke« – damit ist gesetzt das Sein. Der Fortgang ist hier, daß ein Interesse entsteht für weitere Vorstellungen von der abstrakten Einheit; da geht er nun äußerlich reflektierend zu Werke. »Das Bewußtsein, das nur sich selbst gewiß weiß, sucht nun aber seine Kenntnis zu erweitern und findet, daß es Vorstellungen von vielen Dingen hat, in welchen Vorstellungen es sich nicht täuscht, solange es nicht behauptet oder negiert, daß ihnen etwas Ähnliches außer ihm entspreche.« Die Täuschung bei den Vorstellungen hat erst Sinn in Beziehung auf äußerliche Existenz. »Es findet auch allgemeine Begriffe und macht daraus Beweise, die evident sind; z.B. der geometrische Satz, daß die drei Winkel im Dreieck zusammen zwei rechten gleich seien ist eine Vorstellung, die an sich unwiderstehlich aus anderen folgt. Aber bei der Reflexion, ob es solche Dinge wirklich gebe, zweifelt es daran«; es ist ja das Dreieck gar nicht gewiß.

> Die Ausdehnung ist nicht in der unmittelbaren Gewißheit meiner selbst enthalten. Die Seele kann sein ohne das Körperliche und dieses ohne sie; sie sind realiter verschieden, eins denkbar ohne das andere. Die Seele denkt und erkennt nicht das Andere ebenso deutlich als die Gewißheit ihrer selbst. Die Wahrheit dieses Wissens beruht auf dem Beweise vom Dasein Gottes. Die Seele ist eine unvollkommene Substanz, hat aber die Idee von Vollkommenheit in sich, – eines absolut vollkommenen Wesens; diese Idee ist nicht in ihr selbst erzeugt, weil sie unvollkommene Substanz ist, also angeboren. Das Bewußtsein hierüber drückt sich bei Descartes so aus, daß, solange Gottes Dasein nicht bewiesen und eingesehen ist, die Möglichkeit bleibt, daß wir uns täuschen, weil man nicht wissen kann, ob wir nicht eine zum Irren eingerichtete Natur haben. Die Form ist etwas schief, drückt nur überhaupt den Gegensatz aus, den das Selbstbewußtsein gegen das Bewußtsein von anderem hat, von Gegenständlichem; und es ist um die Einheit von beiden zu tun, – ob das, was im Denken ist, auch die Gegenständlichkeit habe. Diese Einheit liegt nun in Gott oder ist Gott selbst.

> Ich trage dies in der Weise des Cartesius vor: »Unter den verschiedenen Vorstellungen nun, die wir haben, ist auch die Vorstellung eines höchst intelligenten, höchst mächtigen und absolut vollkommenen Wesens; und dies ist die vorzüglichste aller Vorstellungen«, – die allbefassende, allgemeine Vorstellung. α) Es finden sich Vorstellungen; es ist ungewiß, ob sie sind. β) Eine ist ausgezeichnet; bei ihr findet diese Ungewißheit nicht statt. Sie hat das Eigentümliche, daß »wir darin die Existenz nicht als eine bloß mögliche und zufällige erkennen, wie in den Vorstellungen anderer Dinge, die wir deutlich wahrnehmen, sondern als eine schlechthin notwendige und ewige Bestimmung. Wie der Geist z.B. wahrnimmt, daß im Begriffe des Dreiecks enthalten, die drei Winkel seien gleich zweien rechten, also habe das Dreieck sie, – so daraus, daß er perzipiert, daß die Existenz notwendig und ewig in dem Begriffe des vollkommensten Wesens enthalten ist, muß er schließen, daß das vollkommenste Wesen existiere.« Denn zur Vollkommenheit gehört auch die Bestimmung der Existenz; denn die Vorstellung von einem Nichtexistierenden ist weniger vollkommen. Da ist also die Einheit des Denkens und Seins und der ontologische Beweis vom Dasein Gottes; dies sahen wir nun schon früher beim Anselm (s. Bd. 19, S. 554 ff.). Es wird gesagt: Das Allgemeine, was wir Gott nennen, ist das Vollkommenste. Und es entsteht nun die Frage: Ist es auch in der Existenz? Die Vorstellung des Vollkommensten enthält auch die Bestimmung der Existenz; sonst wäre es nicht das Vollkommenste.

> Descartes geht dazu so fort. Descartes hat das Axiom: α) »Es gibt verschiedene Grade der Realität oder Entität; denn die Substanz hat mehr Realität als das Akzidenz oder der Modus, – die unendliche Substanz mehr als die endliche.« Dies ist ein Axiom bei Cartesius, eine unmittelbare Gewißheit; aber diese Unterschiede sind nicht in »Ich denke«, – es ist nach der Weise eines Erfahrungssatzes aufgestellt. β) »In dem Begriff eines Dings ist die Existenz enthalten, entweder die nur mögliche oder die notwendige«, – die unmittelbare Gewißheit eines Andersseins, des Gegensatzes; es ist dem Ich ein Nicht-Ich entgegengesetzt, im »Ich denke« (Begriff) das Sein enthalten.

> γ) »Kein Ding oder keine Vollkommenheit eines Dings, die wirklich actu existiert, kann zur Ursache ihrer Existenz das Nichts haben.« Dies ist ebenso evident als Ich denke. »Denn wenn von Nichts etwas prädiziert werden könnte, so könnte ebenso gut das Denken von ihm prädiziert werden, und ich würde also sagen, ich sei nichts, indem ich denke.« Das unmittelbare Wissen, die sinnliche Gewißheit hat keine Notwendigkeit. – Hier geht Descartes in eine Trennung, in ein Verhältnis über, das nicht erkannt ist; es kommt der Begriff von Ursache hinzu, der wohl ein Denken ist, aber ein bestimmtes Denken. Spinoza in seiner Erläuterung sagt (p 14), »daß die Vorstellungen mehr oder weniger Realität enthalten und jene Momente ebenso viel Evidenz haben als das Denken selbst, weil sie nicht nur sagen, daß wir denken, sondern wie wir denken«. Aber diese bestimmten Weisen eben als Unterschiede in der Einfachheit des Denkens wären zu erweisen. Spinoza setzt noch zu diesem Übergange hinzu (p. 17), daß »die Grade der Realität, welche wir in den Ideen wahrnehmen, nicht in den Ideen sind, sofern sie nur als Arten des Denkens betrachtet werden; sondern sofern die eine eine Substanz, eine andere nur einen Modus der Substanz vorstellt – oder mit einem Worte, insofern sie als Vorstellungen von Dingen betrachtet werden.«

> d) »Die objektive Realität der Begriffe« (d.h. die Entität des Vorgestellten, insofern es in dem Begriffe ist) »erfordert eine Ursache« (Sache an sich), »worin dieselbe Realität nicht nur objektiv« (d.h. im Begriffe), »sondern formell oder auch eminerter enthalten ist«; – »formell, d.h. ebenso vollkommen; eminenter, vollkommener. Denn es muß wenigstens soviel in der Ursache sein als in der Wirkung.«

> ε) »Die Existenz Gottes wird unmittelbar« (a priori) »aus der Betrachtung seiner Natur erkannt. Daß etwas in der Natur oder in dem Begriffe eines Dings enthalten ist, ist soviel als sagen, daß es wahr ist: die Existenz ist unmittelbar in dem Begriff Gottes enthalten; es ist also wahr, von ihm zu sagen, daß eine notwendige Existenz in ihm ist.« – »In dem Begriffe jedes Dings ist entweder eine mögliche oder eine notwendige Existenz enthalten: eine notwendige im Begriffe Gottes, d.h. des absolut vollkommenen Wesens; denn sonst würde er als unvollkommen begriffen.«
Descartes nimmt auch diese Wendung: »Proposition VI. A posteriori aus dem bloßen Begriffe in uns die Existenz Gottes zu beweisen. Die objektive Realität eines Begriffes erfordert eine Ursache, in welcher dieselbe Realität nicht bloß objektiv« (als im Endlichen), »sondern formaliter« (frei, rein für sich selbst, außer uns) »oder eminenter« (und als ursprünglich) »enthalten ist.« (Axiom VIII: »In der Ursache als solcher ist die Realität formell oder eminenter.«) »Wir haben aber einen Begriff von Gott, seine objektive Realität ist aber in uns weder formell noch eminenter enthalten und kann also nur in Gott selbst sein.«

> Wir sehen dann, daß diese Idee eine Voraussetzung ist. Wir finden in uns diese Idee, würde man jetzt sagen; daß dieses ist, das ist die höchste Idee. Es ist also so vorausgesetzt; und wenn wir fragen, ob diese Idee existiere, so soll gerade dies die Idee sein, daß damit auch die Existenz gesetzt ist. Sagt man nämlich, es ist nur eine Vorstellung, so widerspricht es dem Inhalt der Vorstellung. Aber es befriedigt hier nicht daß die Vorstellung so eingeführt wird: Wir haben diese Vorstellung, – daß sie mithin so als ein Vorausgesetztes erscheint. Sodann ist nicht von diesem Inhalt an ihm selbst gezeigt, daß er sich zu dieser Einheit des Denkens und Seins bestimmt. Es ist hier in der Form von Gott keine andere Vorstellung gegeben, als die in Cogito, ergo sum, – Sein und Denken unzertrennlich verbunden; hier haben wir die Gestalt einer Vorstellung, die ich in mir habe. Der ganze Inhalt dieser Vorstellung, der Allmächtige, Allweise usf. sind Prädikate, die sich erst später ergeben; der Inhalt selbst ist der Inhalt der Idee, mit der Existenz, mit der Wirklichkeit verbunden. So sehen wir diese Bestimmungen aufeinander folgen auf eine Weise, die empirisch ist, die also nicht philosophisch beweisend ist, – in der apriorischen Metaphysik überhaupt Voraussetzungen von Vorstellungen und sie denken, wie in der Empirie Versuche, Beobachtungen, Erfahrungen.

> Cartesius sagt dann: »Und dies glaubt der Geist um so mehr«, ist um so fester von dieser Einheit überzeugt, »wenn er bemerkt, daß er die Vorstellung von keinem anderen Dinge bei sich findet, worin die Existenz als notwendig enthalten sei. Daraus wird er einsehen, daß jene Idee des höchsten Wesens nicht von ihm erdichtet, noch etwas Chimärisches, sondern eine wahrhafte und unveränderliche Natur die nicht anders als existieren kann, da die notwendige Existenz in ihr enthalten ist. – Unsere Vorurteile hindern uns daran, dies leicht festzuhalten, da wir gewohnt sind, bei allem anderen die Essenz (Wesen, Begriff) von der Existenz zu unterscheiden.« Darüber, daß das Denken nicht untrennbar sei von der Existenz, ist das gewöhnliche Gerede: »Wenn das wäre, was man sich denkt, so würde es anders stehen.« Aber man berücksichtigt hierbei nicht, daß das immer ein besonderer Inhalt ist und daß darin gerade das Wesen der Endlichkeit der Dinge besteht, daß Begriff und Sein trennbar sind. Wie kann man aber von endlichen Dingen auf das Unendliche schließen?

»Ferner dieser Begriff«, fährt Cartesius fort, »ist nicht von uns gemacht.« Wir finden in uns diese Vorstellung; es ist eine ewige Vorstellung, eine ewige Wahrheit, – dasselbe, was jetzt gesagt wird, daß es in uns geoffenbart ist. »Wir finden in uns die Perfektionen nicht, die in dieser Vorstellung. Also sind wir gewiß, daß eine Ursache, worin alle Perfektion, Gott als real existierend, sie uns gegeben [sei]; denn es ist uns gewiß, daß aus Nichts nichts entstehe« (nach Böhme hat Gott die Materie der Welt aus sich selbst genommen) »und, was vollkommen, nicht die Wirkung von etwas Unvollkommenem sein könne.« Der Beweis der Existenz Gottes aus seiner Idee ist: In diesem Begriff ist das Dasein enthalten; also ist es wahr. »Von ihm müssen wir in der wahrhaften Wissenschaft alle erschaffenen Dinge ableiten.«

> Mit dem Erweise des Daseins Gottes wird zugleich die Evidenz aller Wahrheit in ihrem Ursprung und in ihrer Gültigkeit begründet. Gott als Ursache ist das Fürsichsein, die Realität, die nicht die Entität, Existenz im Denken ist. Eine solche Existenz, die Ursache (nicht Sache überhaupt), liegt im Begriff des Nicht-Ich, nicht jedes bestimmten Begriffs -denn diese als bestimmte sind Negationen –, sondern nur der reinen Existenz oder der vollkommenen Ursache. Sie ist Ursache der Wahrheit der Ideen; denn sie eben ist die Seite des Seins derselben.

> d) Das Vierte ist nun, daß Cartesius sagt: »Was uns von Gott geoffenbart ist, müssen wir glauben, ob wir es gleich nicht begreifen. Es ist nicht zu verwundern, da wir endlich, daß in Gottes Natur als unbegreiflich Unendliches ist, das über unsere Fassung geht.« Das ist denn ein Hereinfallen einer gewöhnlichen Vorstellung. »Deswegen müssen wir uns nicht mit Untersuchungen über das Unendliche ermüden; denn da wir endlich, ist es ungereimt, etwas darüber zu bestimmen.« So z.B. die Freiheit des Willens und die göttliche Präszienz, – beides ist uns gewiß; er ist nicht verlegen, wie sich dies vereinbare. Das aber lassen wir jetzt. – Das Mysterium der Dreieinigkeit wird immer in uns geboren, sagt Böhme (s. S. 114 f.).

> »Das erste Attribut Gottes«, in dem diese Einheit ist, »ist nun, daß er wahrhaftig ist und der Geber alles Lichts; es ist seiner Natur also ganz zuwider, daß er uns täuscht. Daher das Licht der Natur oder das Erkenntnisvermögen, von Gott uns gegeben, kann kein Objekt berühren, das nicht wahr wäre, insofern es von ihm« (dem Erkenntnisvermögen) »berührt würde, d. i. deutlich und klar eingesehen wird.« Gott schreiben wir Wahrhaftigkeit zu. Daraus folgert er also das Band zwischen dem Erkennen und der Wahrhaftigkeit, Objektivität dessen, was wir erkennen. Das Erkennen hat Gegenstände, hat einen Inhalt, der erkannt wird; diesen Zusammenhang heißen wir dann Wahrheit. Die Wahrhaftigkeit Gottes ist gerade dieses, die Einheit des Gedachten und des Seienden. »Dadurch wird nun der Zweifel gehoben, als ob es sein könnte, daß das nicht wahr wäre, was uns ganz evident ist. Mathematische Wahrheiten dürfen uns also nicht mehr verdächtig sein. Ebenso, wenn wir auf das acht geben, was wir in den Sinnen, im Wachen oder im Schlaf klar und deutlich unterscheiden, so ist es leicht, in jeder Sache zu erkennen, was in ihr Wahres ist.«

> »Es ist gewiß, wegen Gottes Wahrhaftigkeit, daß das Vermögen zu perzipieren und das Vermögen, durch den Willen zuzustimmen (assentiendi), wenn es sich nur auf das klar Perzipierte erstreckt, nicht auf Irrtum gehen (tendere in falsum) könne. Wenn dies auch auf keine Weise bewiesen werden könnte, so ist so fest von Natur in allen, daß, sooft wir etwas deutlich perzipieren, wir ihm von selbst (sponte) beistimmen und auf keine Weise zweifeln können, daß es wahr ist.« Dies alles ist höchst naiv und schlicht hererzählt, aber unbestimmt; es bleibt formell, ohne Tiefe, – es ist eben so. Die Wahrhaftigkeit Gottes ist das absolute Band des von uns klar Eingesehenen und der äußeren Realität. Der Gang bei Cartesius ist der Gang des klaren Verstandes. Gewißheit ist das Erste; davon wird nicht Inhalt notwendig abgeleitet, weder Inhalt überhaupt, noch weniger seine Objektivität als unterschieden von der inneren Subjektivität des Ich. Sondern es wird gesagt, wir finden in uns die Idee des Vollkommensten; die Vorstellung wird hier als gefundene vorausgesetzt. Daran wird gemessen die bloße Vorstellung von Gott, die keine Existenz in sich enthält; und es wird gefunden, daß sie ohne Existenz unvollkommen wäre. Diese Einheit Gottes selbst, seiner Idee mit seinem Dasein, ist allerdings die Wahrhaftigkeit; an dieser haben wir ebenso den Grund, das für wahr zu halten, was für uns ebenso gewiß ist, als die Wahrheit unserer selbst.

> Was gedacht wird richtig und klar, das ist so. Es ist also ausgesprochen, daß der Mensch durch das Denken erfahre, was in der Tat an den Dingen ist. Die Quellen der Irrtümer liegen in der Endlichkeit unserer Natur. In der weiteren Ausführung liegt bei Cartesius das zugrunde, was überhaupt gedacht, und nur insofern es ein Gedachtes, Allgemeines ist, Wahrheit habe. Hiermit ist Gottes Wahrhaftigkeit zum absoluten Band zwischen dem absoluten Erkennen und der Wirklichkeit dessen, was so erkannt wird, gesetzt. Daß dieses erste Attribut Gottes das Band ist zwischen dem subjektiven klaren und deutlichen Denken und der Objektivität, hat ein Cartesianer, wenn man ihn anders so nennen darf, Malebranche, den man hier gleich erwähnen könnte, in seiner Recherche de la vérité, wie wir sehen werden, noch bestimmter ausgedrückt, noch enger zusammengezogen. – Wir haben hier diesen Gegensatz: subjektives Erkennen und die Wirklichkeit. Das eine Mal ist gesagt, sie sind beide unzertrennlich verbunden; Denken ist Sein. Das andere Mal werden sie verschieden betrachtet; da tritt nun das Bedürfnis ein, sie zu vermitteln. Auf dem Vermitteln beruht der Beweis dieser Einheit. Hier ist nun unser Erkennen vorgestellt und auf der andern Seite die Wirklichkeit; als das Vermittelnde wird die Wahrhaftigkeit Gottes gesetzt. Diese Wahrhaftigkeit oder die Wahrheit Gottes ist, daß seine Idee unmittelbar die Wirklichkeit in sich enthält; Begriff und seine Realität nennen wir Wahrheit. – Dies sind so die Grundbestimmungen.

> Dies ist die Idee, die in dieser Metaphysik zugrunde liegt: α) Von der Gewißheit seiner selbst zur Wahrheit zu kommen, im Begriffe des Denkens das Sein zu erkennen. In jenem Denken »Ich denke« bin ich Einzelner; das Denken als ein subjektives schwebt vor; nicht im Begriff des Denkens selbst wird das Sein aufgezeigt, zur Trennung überhaupt fortgegangen. β) Das Negative des Seins für das Selbstbewußtsein schwebt ebenso vor; und dies Negative, vereinigt mit dem positiven Ich, ist als an sich vereinigt in einem Dritten, in Gott gesetzt. In ihm ist Denken und Sein dasselbe; eben im Negativen, im Begriffe, Gedachtsein desselben ist das Sein. α) Ein Einwurf ist schon alt, auch Kantisch, daß aus dem Begriffe des vollkommensten Wesens mehr nicht folgt, als daß im Gedanken Dasein und vollkommenstes Wesen verknüpft sind, nicht aber außer dem Gedanken. Allein eben der Begriff des Daseins ist dies Negative des Selbstbewußtseins, nicht außer dem Gedanken, sondern Gedanke von dem Außer des Denkens. β) Gott – vorher Möglichkeit, kein Widerspruch – hat gegenständliche Form für das Selbstbewußtsein, ist alle Realität, insofern sie positiv, d.h. eben Sein, Einheit des Denkens und Seins, vollkommenstes Wesen. Sein nimmt er nun in dem ganz positiven Sinne und hat nicht den Begriff davon, daß es eben das Negative des Selbstbewußtseins ist.

> 2. Das einfache Sein als Negatives des Selbstbewußtseins gesetzt, ist es die Ausdehnung; und Descartes negiert also von Gott die Ausdehnung, bleibt bei dieser Trennung stehen, verknüpft das Universum, die Materie, so mit Gott, daß er Schöpfer, Ursache desselben sei, und hat den richtigen Gedanken, daß die Erhaltung eine fortgesetzte Schöpfung ist, sofern die Schöpfung als Tätigkeit getrennt gesetzt wird, – aber führt eben die Ausdehnung nicht auf wahrhafte Weise zurück in das Denken.

> Gott ist die Ursache des Universums. Die Materie – ausgedehnte Substanzen – steht den denkenden Substanzen gegenüber, die einfach sind. Sofern das Universum von Gott erschaffen ist, konnte es nicht so vollkommen sein als seine Ursache. (Die Wirkung ist unvollkommener als die Ursache, ist Gesetztsein, wenn beim Verstandesbegriffe der Ursache stehengeblieben wird; Ausdehnung ist schon das Unvollkommenere, aber nicht deduziert.) Als unvollkommen können sie nicht durch sich selbst oder ihren Begriff existieren und bestehen; sie bedürfen also jeden Moment der Assistenz Gottes zu ihrer Erhaltung, ohne diese würden sie augenblicklich in nichts zurücksinken. Erhaltung ist unaufhörliche Wiederhervorbringung.

> Descartes geht nun zu weiteren Bestimmungen fort und sagt folgendes: »Das, was unter unser Bewußtsein fällt, betrachten wir entweder als Dinge oder deren Eigenschaften oder als ewige Wahrheiten, die keine Existenz außer unserem Denken haben«, – die nicht dieser oder jener Zeit, diesem oder jenem Orte angehören. Die letzten nennt er nun uns eingeboren, die nicht von uns gemacht sind, nicht empfunden und der ewige Begriff des Geistes selbst und die ewigen Bestimmungen seiner Freiheit, seiner selbst als seiner sind.

> Von hier geht die Vorstellung aus, ob die Ideen angeboren sind (innatae ideae). So sagt Cicero, die Natur habe sie in uns gepflanzt. Dieser Ausdruck, ewige Wahrheit, ist bis auf die neuesten Zeiten ganz gebräuchlich. Ewige Wahrheiten sind allgemeine, ganz allgemeine Bestimmungen, ganz allgemeiner Zusammenhang; und von diesen ist hier vorgestellt, daß sie uns angeboren sind. Angeboren ist ein schlechter Ausdruck, weil dies eine natürliche Weise bezeichnet; er paßt nicht für den Geist, wegen der physischen Geburt. Wir würden sagen, es liege dies in der Natur, im Wesen unseres Geists begründet. Der Geist ist tätig und verhält sich in seiner Tätigkeit auf eine bestimmte Weise; diese hat aber keinen anderen Grund als seine Freiheit. Daß dies aber so sei, dazu gehört mehr, als es nur zu sagen; es müßte abgeleitet werden als notwendiges Produzieren unseres Geistes. Diese ewigen Wahrheiten sind für sich. Solche logische Gesetze sind z.B.: »Aus Nichts wird Nichts«; »etwas kann nicht zugleich sein und nicht sein.« Das sind Fakta des Bewußtseins; ebenso moralische Grundsätze. Cartesius verläßt diese bald wieder; sie sind nur im Denken als subjektivem, er hat noch nicht nach ihrem Inhalt gefragt.

> {#DescartesSubstance} Was nun die Dinge betrifft, zu deren Betrachtung Cartesius übergeht, das Andere zu diesen ewigen Wahrheiten, so sind die allgemeinen Bestimmungen der Dinge Substanz, Dauer, Ordnung usf. Von diesen gibt er dann Definitionen. Er legt zugrunde, man müsse keine Voraussetzungen machen; und die Vorstellungen, zu denen er dann übergeht, diese nimmt er als ein Gefundenes auf in unserem Bewußtsein. Er definiert sie; die allgemeinen Gedanken, Kategorien, wie Aristoteles, sucht er auf. Er definiert nun die Substanz so: »Unter Substanz verstehe ich nichts anderes als eine Sache (rem), die keines anderen Etwas zum Existieren bedarf; und als eine solche Substanz, die keiner anderen Sache bedarf, kann nur eine einzige angesehen werden, nämlich Gott.« Das ist, was Spinoza sagt; man kann sagen, es sei auch die wahrhafte Definition, die Einheit der Idee und der Realität. Solche Substanz ist nun Gott; die anderen, die wir Substanzen nennen, existieren nicht für sich, haben ihre Existenz nicht im Begriff selbst. »Alle anderen« (Dinge) »können nur vermöge eines concursus (einer Assistenz) Dei existieren.« Das Zusammenkommen von Seele und Leib bewirke so Gott; das nannte man System der Assistenz. Gott ist das absolut Verknüpfende von Begriff und Wirklichkeit; die Anderen, die Endlichen, die eine Grenze haben, in Abhängigkeit stehen, bedürfen eines Anderen; die allgemeine Verknüpfung ist nun Gott. »Heißen wir daher auch andere Dinge Substanzen, so kommt ihnen und Gott dieser Ausdruck nicht, wie man in den Schulen sagt, univoce zu; d.h. es kann keine bestimmte Bedeutung dieses Worts angegeben werden, die Gott und den Kreaturen gemeinschaftlich wäre.«
»Ich anerkenne aber nicht mehr als zweierlei Gattungen der Dinge: nämlich die eine ist die Gattung der denkenden und die andere die Gattung der Dinge, die sich auf das Ausgedehnte beziehen.« Da haben wir diesen Unterschied vom Denken und vom Ausgedehnten, Räumlichen, Außereinander. Das Denken, Begriff, Geistiges, Selbstbewußtes ist das, was bei sich ist, und hat den Gegensatz des Nichtbeisichseienden, Ausgedehnten, Unfreien. Dies ist der reale Unterschied (distinctio realis) der Substanzen: »Die Eine kann deutlich und bestimmt gefaßt werden (intelligi) ohne die andere.« »Die körperliche und die denkende erschaffene Substanz können aber darum unter diesen gemeinschaftlichen Begriff gefaßt werden, weil sie Dinge sind, die allein Gottes concursus zum Existieren bedürfen.« Sie sind allgemeiner; die anderen endlichen Dinge bedürfen anderer Dinge, Bedingungen zu ihrer Existenz. Aber die ausgedehnte Substanz, das Reich der Natur, und die geistige Substanz bedürfen einander nicht. Man kann sie Substanzen nennen, weil jedes dieser ganze Umfang, eine Totalität für sich ist; jedes der beiden, das Ganze jeder Seite, kann ohne das Andere gefaßt werden. Diese bedürfen nur der Konkurrenz Gottes; d.h. das Reich des Denkens ist eine Totalität in sich, und die Natur ist ebenso ein totales System. Darum sind sie also auch (schloß nun Spinoza) an sich identisch, absolut identisch als Gott, die absolute Substanz; für den denkenden Geist ist dieses Ansich Gott, oder ihre Unterschiede sind ideelle. – Cartesius geht vom Begriff Gottes zum Erschaffenen, Denken und Ausdehnung, und von da ins Besondere.
»Die Substanzen haben nun mehrere Attribute, ohne die sie nicht gedacht werden können«, – ihre Bestimmtheit; »jede hat aber ein solches Eigentümliches, das ihre Natur und Essenz ausmacht« (einfache, allgemeine Bestimmtheit) »und worauf sich die anderen alle beziehen. So macht das Denken das absolute Attribut des Geistes aus«, Denken ist seine Qualität; Ausdehnung ist die wesentliche Bestimmung der Körperlichkeit, und nur dies ist »die wahrhafte Natur des Körpers. Alles andere ist nur ein Modus, wie Figur, Bewegung im Ausgedehnten: Einbildungskraft, Empfindung Wille im Denkenden.« »Gott ist die unerschaffene, denkende Substanz.«

> Hier geht nun Cartesius zum Einzelnen; an der Ausdehnung sind wieder zwei Bestimmungen, Materie und Bewegung. Er verfolgt das Ausgedehnte, kommt auf Materie, Ruhe, Bewegung. – Ein Hauptgedanke Descartes' ist nun über die Materie; er faßt das Wesen des Körpers nur als Ausdehnung. Nach Descartes ist die Natur des Körpers vollendet durch sein Ausgedehntsein; Körper ist er, insofern er ausgedehnt ist, nicht insofern er andere Qualitäten hat. Alles andere, was wir als Qualitäten der Körper gelten lassen, sind nur sekundäre Qualitäten, Modi usf.; sie können weggenommen und weggedacht werden. Wir sagen: Der Körper leistet auch Widerstand, hat Geruch, Geschmack, Farbe; ohne solche ist kein Körper. Materie, Körperlichkeit, Ausdehnung ist für den Gedanken (nach Cartesius) ganz dasselbe. Die körperliche Welt soll gedacht werden, es soll also nur dies von ihr aufgenommen werden; das ist das Wesentliche derselben, was für den Gedanken ist. Die weiteren Bestimmungen des Ausgedehnten halten sich innerhalb dieser Sphäre: Quantum von Ausdehnung, Ruhe, Bewegung, Trägheit. Diese anderen Eigenschaften der Körper sind etwas bloß Sinnliches, und das weist Cartesius nach, wie es schon längst von den Skeptikern gezeigt worden ist.

> Jenes ist allerdings der abstrakte Begriff oder das reine Wesen; aber eben zum Körper oder in das reine Wesen gehört notwendig Negativität, Verschiedenheit. Daß dies das Wesen des Körpers ist, zeigt er dadurch, daß alle Bestimmungen desselben ausgelöscht, keine absolut prädiziert werden kann (außer Ausdehnung): Farbe, Durchsichtigkeit, Härte usf.; Materie und Ausdehnung sind identisch. – Er unterstützte dies durch folgenden Grund. Auf die Solidität, Härte (Fürsichsein) der Materie schließen wir durch den Widerstand, den ein Körper unserer Berührung entgegensetzt und vermöge derer er seinen Ort zu behaupten sucht. Nun nehme man an, daß die Materie, sowie wir sie berühren, immer zurückwiche, wie der Raum, so hätten wir keinen Grund, ihr Solidität beizumessen. Geruch, Farbe, Geschmack sind nur sinnliche Eigenschaften; wahr ist nur, was wir deutlich einsehen. Wenn ein Körper in kleine Teile zerrieben wird, so weicht er auch und verliert doch seine Natur nicht; Widerstand ist also nicht wesentlich. Dieses Nichtfürsichsein ist aber nur quantitativ geringerer Widerstand; dieser bleibt immer. Cartesius will aber nur denken; Widerstand, Farbe usw. denkt er nicht, er faßt es nur als sinnlich. Er sagt, alles dieses müsse auf die Ausdehnung, als besondere Modifikation derselben, zurückgeführt werden; es macht dem Cartesius Ehre, nur das Gedachte für wahr zu nehmen. – Allerdings aber eben jenes Aufheben ist die negative Bewegung des Denkens; das Wesen ist bedingt durch dieses Denken, d.h. es ist nicht wahres Wesen.
Von dem Begriff der Ausdehnung geht nun Descartes zu Gesetzen der Bewegung über, als dem allgemeinen Erkennen des Ansich des Körperlichen: α) daß es kein Vakuum gibt, eine Ausdehnung ohne körperliche Substanz, d.h. Körper ohne Körper; β) keine Atome (kein Fürsichsein, Individualität), aus demselben Grunde, das Wesen des Körpers ist Ausdehnung; γ) ferner daß ein Körper durch etwas außer ihm in Bewegung gesetzt werde, für sich im Zustande der Ruhe beharre und ebenso im Zustande der Bewegung durch ein Anderes außer ihm zur Ruhe gebracht werden müsse (Trägheit); nichtssagende Sätze, es ist eben Abstraktion, einfache Ruhe und Bewegung in ihrem Gegensatze festzuhalten.

> {#DescartesMechanism} Ausdehnung und Bewegung sind die Grundbegriffe der mechanischen Physik; sie sind, was die Wahrheit der Körperwelt ist. Idealität schwebt dem Descartes vor; er ist weit erhaben über die Realität der sinnlichen Eigenschaften, aber geht nicht zur Besonderung dieser Idealität über. – Er bleibt also bei der eigentlichen Mechanik stehen. Gebt mir Materie (Ausgedehntes) und Bewegung, und ich will euch Welten bauen, sagt insofern Cartesius; Raum und Zeit waren ihm so die einzigen Bestimmungen des materiellen Universums. Darin liegt denn die mechanische Weise, die Natur zu betrachten, oder daß die Naturphilosophie des Descartes rein mechanisch ist, so daß er alle Verhältnisse auf Ruhe und Bewegung zurückführt, alle materielle Verschiedenheit, Farbe, Geschmack auf Mechanik, Bewegung von Partikeln. Das Verändern der Materie ist daher allein die Bewegung; auf den Mechanismus müssen daher alle körperlichen Eigenschaften und animalischen Erscheinungen zurückgeführt werden. Im Lebendigen sind Verdauung usf. solche mechanische Effekte, deren Prinzipien Ruhe und Bewegung sind. Wir sehen hier also den Grund, den Ursprung der mechanischen Philosophie; die Mechanik ist von Cartesius ausgebildet worden. Es ist aber eine weitere Einsicht, daß dies unbefriedigend ist, – Materie und Bewegung nicht hinreicht, um das Lebendige zu erklären. Es ist aber das Große darin, daß das Denken in seinen Bestimmungen fortgeht und daß es diese Gedankenbestimmungen zu dem Wahrhaften der Natur macht.

> Extension and motion are the fundamental conceptions in mechanical physics; they represent the truth of the corporeal world. It is thus that ideality comes before the mind of Descartes, and he is far elevated above the reality of the sensuous qualities, although he does not reach so far as to the separation of this ideality. He thus remains at the point of view of mechanism pure and simple. Give me matter (extension) and motion and I will build worlds for you, is what Descartes virtually says.(33) Space and time were hence to him the only determinations of the material universe. In this, then, lies the mechanical fashion of viewing nature, or the natural philosophy of Descartes is seen to be purely mechanical.(34) Hence changes in matter are due merely to motion, so that Descartes traces every relationship to the rest and movement of particles, and all material diversity such as colour, and taste — in short, all bodily qualities and animal phenomena — to mechanism. In living beings processes such as that of digestion are mechanical effects which have as principles, rest and movement. We here see the ground and origin of the mechanical philosophy; but further on we find that this is unsatisfactory, for matter and motion do not suffice to explain life. Yet the great matter in all this is that thought goes forward in its determinations, and that it constitutes from these thought-determinations the truth of nature.

See also at _[[Science of Logic]] -- [Mechanism](Science+of+Logic#Mechanismus)_.

> Von da geht Descartes zur Mechanik über; Weltsystem, Bewegung der himmlischen Körper betrachtet er. Er kommt nun auf Bewegung und Ruhe, Erde, Sonne usf., von da aus auf seine Vorstellung der in sich zurückgehenden Bewegung der Himmelskörper in der Form von Wirbeln, auf Reflexionen, metaphysische Hypothesen vom Aus- und Einströmen, Durchgehen, Sich-Begegnen usw. kleiner Partikelchen in Poren, zuletzt auch auf Salpeter und Schießpulver. Zuerst sollen die allgemeinen Gedanken das Interesse haben; das andere, was bei der Ausführung insbesondere zu bemerken ist, ist dieses. Das Weitere ist ein Übergang zum Bestimmten; und dies Bestimmte, Physikalische wird errichtet in einer Physik, die das Resultat von Beobachtungen und Erfahrungen ist. In der weiteren Ausführung geht er ganz auf verständige Weise fort. Descartes hat so viele Beobachtungen mit einer solchen Metaphysik vermischt; und dies ist[152] für uns daher etwas Trübes. – Professor Cousin in Paris hat Descartes' Werke neu herausgegeben, II Bände in Oktav; der größte Teil besteht in Briefen über physikalische Gegenstände.

> {#DescartesNonSpeculative} Bei dieser Philosophie ist die denkende Behandlung des Empirischen vorherrschend; auf eben diese Weise zeigen sich die Philosophien von dieser Zeit an. Die Philosophie hatte bei Descartes und anderen noch die unbestimmtere Bedeutung, durchs Denken, Nachdenken, Räsonieren zu erkennen. Das spekulative Erkennen, Ableiten aus dem Begriffe, freie selbständige Entwicklung des Begriffs ist erst durch Fichte eingeführt. Es ist somit das, was jetzt philosophisches Erkennen und was sonst wissenschaftliches Erkennen heißt, nicht geschieden. Es rechnete sich also damals alle menschliche Wissenschaft zum Philosophieren; und bei Descartes' Metaphysik sahen wir das ganz empirische Räsonieren aus Gründen, aus Erfahrungen, Tatsachen, Erscheinungen auf die naivste Weise eintreten. Das Wissenschaftliche dabei bestand überhaupt näher, strenger in der Methode des Beweisens, wie sie in der Geometrie längst gebraucht worden, und in der gewöhnlichen Weise des formell logischen Schließens.

> Daher geschieht es denn auch, daß das Philosophieren, das ein Ganzes von Wissenschaften ausmachen soll, anfängt von Logik und Metaphysik; dann der weitere Teil ist eine gewöhnliche Physik, Mathematik, freilich mit metaphysischen Spekulationen vermischt; und der dritte, die Ethik, betrifft die Natur des Menschen, seine Pflichten, Staat, den Bürger. So Descartes. Der erste Teil der Principia philosophiae handelt De principiis cognitionis humanae, der zweite De principiis rerum materialium. Diese Philosophie über die Ausdehnung (die Naturphilosophie) ist jedoch nichts anderes, als was damals eine ganz gewöhnliche Physik, Mechanik sein konnte, und noch ganz hypothetisch. Wir unterscheiden genau empirische Physik und Naturphilosophie, die erste ist auch denkend; die Naturphilosophie heißt so immer bei den[153] Engländern dasselbe, als was wir Physik nennen (Newton).

> 3. Das andere ist Philosophie des Geistes, zum Teil metaphysisch, hernach aber auch empirisch; Cartesius hat besonders die Physik ausgebildet. Zu dem dritten Teil, dem ethischen, ist er nicht gekommen; Ethik machte er nicht bekannt, nur einen Traktat De passionibus. Spinozas philosophisches Hauptwerk dagegen ist die Ethik. Bei ihm ist der erste Teil auch allgemeine Metaphysik; den zweiten, die Naturphilosophie, hat er gar nicht behandelt, sondern nur eine Ethik, Philosophie des Geistes. Und das, was das Erkennen betriffe, den intelligenten Geist, das kommt im ersten Teil, in den Prinzipien der menschlichen Erkenntnis vor. So handelt auch Hobbes zuerst von der Logik, dann von einer ganz gewöhnlichen Physik: Sectio I, De corpore: Pars I, Logica s. Computatio; Pars II, Philosophia prima, Ontologie, Metaphysik; Pars III, Mechanik, Physik, menschliche Organe. Sectio II sollte von der Natur des Menschen handeln, Ethik; das Geistige hat er nicht vollständig ausgebildet, nur De cive geschrieben. In Descartes' Metaphysik ist einem ganz naiv, gar nicht spekulativ zumute. – Bei Cartesius war ferner zwar das Prinzip Denken, aber dieses Denken ist noch abstrakt und einfach; das Konkrete steht noch drüben auf der andern Seite, und konkreteren Inhalt erhielt dieses Denken erst aus der Erfahrung. Das Bedürfnis, das Bestimmte aus dem Denken zu entwickeln, war noch nicht vorhanden.

> Cartesius handelt auf der andern Seite auch vom Denken; er handelt von der menschlichen Freiheit. Die Freiheit bewies Descartes daraus, daß die Seele denkt, der Wille unbeschränkt ist; und das macht die Vollkommenheit des Menschen aus. Das ist ganz richtig. In Ansehung der Freiheit kommt er auf die Schwierigkeit: Der Mensch als frei könne etwas tun, was nicht von Gott vorher angeordnet sei, – das streitet gegen Allmacht und Allwissenheit Gottes; und wenn alles von Gott angeordnet, so wäre damit die menschliche Freiheit wieder aufgehoben. – Diese beiden Bestimmungen lösen sich nicht als widersprechende auf: »Der menschliche Geist ist endlich, Gottes Macht und Vorausbestimmung unendlich; wir sind nicht fähig, das Verhältnis zu beurteilen, in welchem die Freiheit der menschlichen Seele zur göttlichen Allmacht und Allwissenheit stehe; aber im Selbstbewußtsein haben wir ihre Gewißheit als Tatsache. Wir müssen uns aber nur an dem, was gewiß ist, halten.« Fernerhin erscheint ihm vielerlei als unerklärbar; wir sehen Zähigkeit, Eigensinn, dabei nach bester Einsicht zu bleiben. Die Weise des Erkennens, wie Cartesius sie angibt, hat auch Gestalt eines verständigen Räsonnements; so ist es ohne besonderes Interesse.

> Dies sind nun die Hauptmomente des Cartesischen Systems. Es sind noch einige einzelne Behauptungen anzuführen, die ihn besonders berühmt gemacht haben, – besondere Formen, die sonst in der Metaphysik, auch bei Wolff, betrachtet sind. Man hebt z.B. heraus: α) daß Cartesius das Organische, die Tiere, als Maschinen angesehen habe, daß sie von einem Anderen bewegt werden, das selbsttätige Prinzip des Denkens nicht in ihnen haben, – eine mechanische Physiologie ein bestimmter, verständiger Gedanke, der weiter von keiner Erheblichkeit. Bei dem scharfen Gegensatze des Denkens und der Ausdehnung ist jenes nicht betrachtet als Empfindung, so daß diese sich isolieren kann. Das Organische, als Körper, muß sich auf Ausdehnung reduzieren. Das Weitere ist also Abhängigkeit von den ersten Bestimmungen. β) Die angeborenen Ideen nennt er die ewigen Wahrheiten; Locke und Leibniz stritten darüber. Es ist krasser Ausdruck, nicht das Allgemeine wie bei Platon und Späteren sondern das, was Evidenz, unmittelbare Gewißheit hat; eine Vielheit des Denkens, mannigfaltige Begriffe in der Form eines Seins, natürlich fest, wie Gefühle ins Herz gepflanzt, – unmittelbare Vielheit, die im Denken selbst gegründet ist. γ) Das Verhältnis zwischen Seele und Körper (sich selbst im Anderen, der Materie, setzen) ist nunmehr eine Hauptfrage, – eben jene Rückkehr des Gegenstandes in sich. In der Metaphysik finden sich viele Systeme darüber. Das eine ist das des influxus physicus, daß der Geist sich auf körperliche Weise verhalte, daß der Gegenstand auf den Geist ein Verhältnis hätte wie die Körper gegeneinander; eine solche Vorstellung ist sehr roh. – Wie faßt Cartesius die Einheit von Seele und Leib? Die erste gehört dem Denken, der andere der Ausdehnung an: beide sind Substanz, keines bedarf des Begriffs des anderen; also ist Seele und Leib unabhängig voneinander. Sie können keinen direkten Einfluß aufeinander haben. Die Seele hat nur Einfluß, Wirksamkeit, insofern die Seele des Körpers bedarf und umgekehrt, d.h. insofern sie wesentliche Beziehung aufeinander haben. Da aber jedes Totalität ist, so hat keines Bedürfnis des anderen und ebensowenig reale Beziehung darauf. Den physischen Einfluß beider hat Cartesius also konsequenterweise geleugnet; das ist mechanisches Verhältnis beider. Descartes hat das Spirituelle, Intellektuelle festgesetzt. In seinem cogito bin ich mir selbst zunächst nur gewiß, ich kann abstrahieren von allem; darauf gründet er das Bestehen des Geistes für sich. Nun ist das Mittelding, die Verbindung anzugeben von dem Abstrakten und dem Äußerlichen, dem Einzelnen. Dies bestimmt nun Cartesius danach, daß er zwischen beiden setzt das, was den Grund ihrer Veränderungen ausmacht, Gott als das Mittelglied der Verbindung. Ihre Veränderungen korrespondieren miteinander: habe ich Triebe, Vorsatz, so wird er leiblich; dies Entsprechen ist bewirkt durch Gott. (Dies heißt man denn das systema assistentiae, es ist transzendent: Gott ist der metaphysische Grund ihrer gegenseitigen Veränderungen, als er[156] der Seele in dem, was sie nicht durch ihre eigene Freiheit bewerkstelligen kann, Beistand leistet. Dies hat nachher Malebranche mehr ausgeführt. Das Bedürfnis, ein Vermittelndes zu haben, ist da; Gott wird nun gesetzt als solches.) Denn oben (S. 142 f.) sahen wir, Cartesius sagt von Gott, er ist eben die Wahrheit der Vorstellung. Insofern ich richtig, konsequent denke, so entspricht dem etwas Reales; der Zusammenhang davon ist Gott. Gott ist die vollkommene Identität beider Gegensätze; da ist die Einheit der Idee, des Begriffs und des Realen. (Dies wird dann in der Spinozistischen Idee in seinen weiteren Momenten noch herausgehoben.) Das ist richtig; in den endlichen Dingen ist diese Identität unvollkommen. Nur ist bei Cartesius diese Form unpassend; α) daß es zwei Dinge, Denken (Seele) und Leib, sind; β) Gott nun als ein drittes Ding erscheint, außerhalb beider, nicht der Begriff der Einheit und die beiden Glieder nicht selbst Begriff. Es muß aber nicht vergessen werden, daß er sagt, jene beiden ersten sind erschaffene Substanzen. Das gehört der Vorstellung an; Erschaffen ist kein bestimmter Gedanke. Diese Zurückführung auf den Gedanken hat dann Spinoza gemacht.

###### 2. Spinoza
 {#Spinoza}

* [[Spinoza]]

###### 3. Malebranche

##### Second section

##### Third section

###### 1. Leibniz
 {#Leibniz}

* [[Leibniz]]

###### 2. Wolff

###### 3. Popular philosophy

#### Transition period

### Newest German philosophy

#### A. Jacobi

#### B. Kant
 {#Kant}

* [[Kant]]

#### C. Fichte
 {#Fichte}

**[[Johann Fichte]]**

##### 1. Ursprüngliche Philosophie Fichtes

> Diesen Mangel, die Kantische gedankenlose Inkonsequenz, durch die es dem ganzen System an spekulativer Einheit fehlt, hat Fichte aufgehoben. Die absolute Form ist es, die Fichte ergriffen, oder die absolute Form ist eben das absolute Fürsichsein, die absolute Negativität, nicht die Einzelheit, sondern der Begriff der Einzelheit und damit der Begriff der Wirklichkeit. Seine Philosophie ist Ausbildung der Form in sich (die Vernunft synthesiert sich in sich selbst, ist Synthese des Begriffs und der Wirklichkeit), und besonders eine konsequentere Darstellung der Kantischen Philosophie; sie geht über den Grundinhalt derselben nicht hinaus, und man hat sie besonders Wissenschaftslehre genannt. Seine ersten Schriften sind ganz Kantisch. Fichte hat auch seine Philosophie zunächst für nichts anderes angesehen als für eine konsequente und systematische Vervollkommnung der Kantischen und Ich als deren absolutes Prinzip, so daß aus ihm, der zugleich unmittelbaren Gewißheit seiner selbst, aller Inhalt des Universums als Produkt dargestellt werden müsse, aufgestellt. Aber dies Prinzip hat er dann ebenso einseitig auf eine Seite gestellt: es ist von Haus aus subjektiv, mit einem Gegensatze behaftet; und die Realisierung desselben ist ein Fortlaufen all der Endlichkeit, ein aufs Vorhergehende Zurücksehen.

> Das Bedürfnis der Philosophie ist dahin gesteigert, α) das absolute Wesen nicht mehr als die unmittelbare Substanz zu denken, welche den Unterschied, die Realität, Wirklichkeit nicht an ihr selbst hat. Gegen diese Substanz hat sich immer teils das Selbstbewußtsein gesträubt, das sein Fürsichsein darin nicht findet und das also seine Freiheit vermißte, -teils, dies Wesen gegenständlich vorgestellt, ein selbstbewußtes, persönliches Wesen forderte, teils ein lebendiges, selbstbewußtes, wirkliches, nicht in den abstrakten metaphysischen Gedanken allein eingeschlossenes. β) Wie das Selbstbewußtsein, so das Bewußtsein, für welches Anderes ist. Dies forderte seinerseits das Moment der gegenständlichen Wirklichkeit, das Sein als solches, in das der Gedanke übergehen müßte, die Wahrheit in dem gegenständlichen Dasein, – das Moment der äußeren Wirklichkeit, das wir bei den Engländern besonders sahen. Dieser Begriff, der unmittelbar Wirklichkeit, und diese Wirklichkeit, die unmittelbar ihr Begriff ist, und zwar so, daß nicht ein dritter Gedanke über diese Einheit ist, noch daß es eine unmittelbare Einheit ist, welche den Unterschied, die Trennung nicht an ihr hätte, ist Ich; es ist dies an ihm selbst Sich-Unterscheiden Entgegengesetzter. Wodurch es sich von der Einfachheit des Denkens unterscheidet und dies Andere unterscheidet, ist ebenso unmittelbar für es, ihm gleich oder nicht unterschieden. So ist es reines Denken; oder Ich ist das wahrhafte synthetische Urteil a priori, wie es Kant genannt hat.

> Dies Prinzip ist die begriffene Wirklichkeit; denn die Wirklichkeit ist eben das Anderssein für das Bewußtsein, welches begriffen ist, das das Selbstbewußtsein in sich zurückgenommen hat. Und der Begriff des Begriffs ist von dieser Seite gefunden, daß in dem, was begriffen wird, das Selbstbewußtsein die Gewißheit seiner selbst hat; was nicht begriffen ist, ist ihm ein Fremdes. – Dieser absolute Begriff oder diese an und für sich selbst seiende Unendlichkeit ist es nun, welche in der Wissenschaft zu entwickeln ist und deren Unterscheidung als alle Unterscheidung des Universums aus sich darzustellen ist; in seinem Unterscheiden muß es in sich reflektiert bleiben, in gleicher Absolutheit. – Es existiert überall nichts weiter als das Ich; und Ich ist da, weil es da ist: was da ist, ist nur im Ich und für Ich. Fichte hat nun nur diesen Begriff aufgestellt; allein zur Wissenschaft, zur Realisierung aus sich selbst, hat er ihn nicht gebracht. Denn dieser Begriff fixiert sich ihm als dieser Begriff; er hat die Absolutheit für ihn, insofern er nur der nicht realisierte Begriff ist und also selbst der Realität wieder gegenübertritt. Fichte hat damit die Natur der Realisierung und die Wissenschaft selbst nicht gefunden.

> {#FichteVorzugWissenschaft} Die Fichtesche Philosophie hat den großen Vorzug und das Wichtige, aufgestellt zu haben, daß Philosophie Wissenschaft aus höchstem Grundsatz sein muß, woraus alle Bestimmungen notwendig abgeleitet sind. Das Große ist die Einheit des Prinzips und der Versuch, wissenschaftlich konsequent den ganzen Inhalt des Bewußtseins daraus zu entwickeln oder, wie man es nannte, die ganze Welt zu konstruieren. Man hat sich darüber aufgehalten. Es ist Bedürfnis der Philosophie, eine lebendige Idee zu enthalten. Die Welt ist eine Blume, die aus einem Samenkorn ewig hervorgeht.

> Wie Kant das Erkennen, so stellt Fichte das Wissen auf. Fichte drückt die Aufgabe der Philosophie so aus, daß sie sei die Lehre von dem Wissen. Das Bewußtsein weiß, das ist seine Natur; die philosophische Erkenntnis ist das Wissen dieses Wissens. Der Umfang des Wissens der ganzen Welt (was nicht für uns ist, geht uns nichts an) soll entwickelt werden; und ferner soll dieses Wissen Konsequenz der Entwicklung der Bestimmungen sein. Der Gegenstand der Philosophie ist Wissen; es ist ebenso Anfangspunkt, das allgemeine Wissen. Das ist Ich, es ist Bewußtsein; das Ich ist Grund, Anfangspunkt. Fichte hat aber dies Prinzip nicht als Idee, sondern noch im Bewußtsein über das, was wir als Wissen tun, aufgefaßt und in der Gestalt der Subjektivität festgehalten. – »Wissenschaft ist ein System der Erkenntnis durch einen obersten Grundsatz, welcher den Gehalt und die Form des Wissens ausdrückt. Wissenschaftslehre ist die Wissenschaft von dem Wissen, welche die Möglichkeit und Gültigkeit alles Wissens darlegt und die Möglichkeit der Grundsätze, der Form und dem Gehalte nach, die Grundsätze selbst und dadurch den Zusammenhang alles menschlichen Wissens nachweist. Sie muß ein Prinzip haben, welches weder aus ihr bewiesen werden kann noch aus einer anderen Wissenschaft; denn sie ist die höchste. Ist die Wissenschaftslehre, so gibt es auch ein System; gibt es ein System, so gibt es auch eine Wissenschaftslehre und einen absoluten ersten Grundsatz, – durch einen unvermeidlichen Zirkel.«

> {#FichteIchDasErste} a) Wo Fichte in seiner Darstellung die höchste Bestimmtheit erlangt hat, fängt er an von dem, was wir oben (S. 343 f., 346) gehabt haben, von der transzendentalen Einheit des Selbstbewußtseins; darin bin Ich eins, dies Ich, diese Einheit ist bei Fichte dieselbe und das Erste. Er geht in seiner Philosophie davon aus, daß die Philosophie mit einem schlechthin unbedingten, gewissen Grundsatz, mit etwas unbezweifelbar Gewissem in der gemeinen Erkenntnis, anfangen müsse. »Beweisen oder bestimmen läßt er sich nicht, wenn er absolut erster Grundsatz sein soll.« Von diesem Wissen ist nun die einfache Grundlage die Gewißheit meiner selbst; diese Gewißheit ist die Beziehung meiner auf mich selbst. Cartesius fing an: Cogito, ergo sum; ich denke, so bin ich. Das Sein des Ich ist nicht totes, sondern konkretes Sein, das höchste Sein, das Denken. Denken ist Tätigkeit; diese als Eins, Fürsichseiendes vorgestellt, ist Ich. Ich ist das abstrakte Wissen, das Wissen überhaupt; im Anfang haben wir nur das Überhaupt. Dieses Wissen hat absolute Gewißheit, wir fangen mit einem Gewissen an, Ich, – derselbe Punkt wie bei Cartesius, aber mit ganz anderen Bedürfnissen und Forderungen. Denn aus diesem Ich soll nicht das Sein, sondern das weitere System des Denkens aufgestellt werden. 

> [[Descartes]] fängt mit dem Ich an; dann haben, finden wir noch andere Gedanken in uns, von Gott; dann kommt er zur Natur usf. Eine Philosophie ganz aus einem Stücke hat Fichte versucht, eine Philosophie, worin nichts Empirisches von außen aufgenommen wäre. – Damit ist gleich ein schiefer Gesichtspunkt hereingebracht; und dieser Gedanke fällt in die alte Vorstellung der Wissenschaft, von Grundsätzen in dieser Form anzufangen und von ihnen auszugehen, so daß diesem Grundsatz die Realität, die aus ihm hergeleitet wird, gegenübertritt und daher in Wahrheit Anderes ist, nicht abgeleitet wird. Oder jener Grundsatz drückt eben darum nur die absolute Gewißheit seiner selbst, ohne die Wahrheit, aus.

> Der oberste Grundsatz ist unmittelbar, nicht abgeleitet; er soll für sich gewiß sein, das ist nur Ich. Ich soll an allem zweifeln, von allem abstrahieren; nur vom Ich kann ich nicht abstrahieren. Das Ich ist gewiß, die Philosophie will aber das Wahre. Das Gewisse ist das Subjektive, es soll der Grund bleiben; so bleibt das Weitere auch das Subjektive diese Form kann nicht weggebracht werden. Dieses Ich sahen wir auch bei Kant in der transzendentalen Apperzeption: Ich ist der Quell der Kategorien und Ideen, es ist das Verknüpfende. Alle Vorstellungen, Gedanken sind solche Synthesen, – Mannigfaltiges durchs Denken synthesiert. Fichte geht nicht wie Kant erzählend zu Werke, indem er vom Ich beginnt; das ist das Große an ihm. Aus dem Ich soll alles hergeleitet werden, das Erzählen soll aufgehoben werden. -Was in mir ist, das weiß ich; es ist das reine, abstrakte Wissen, dies ist Ich selbst. Hiervon fängt Fichte an. Kant nimmt die Bestimmungen des reinen Wissens, die Kategorien, empirisch auf aus der Logik, – ein ganz unphilosophisches, unberechtigtes Verfahren. Fichte ist weitergegangen, und dies ist sein großes Verdienst; er hat gefordert und zu vollbringen gesucht die Ableitung, Konstruktion der Denkbestimmungen aus dem Ich. Ich ist denkend und tätig, bringt seine Bestimmungen hervor. Wie und welche aber bringt es hervor? Ich ist Bewußtsein, aber diese Notwendigkeit, daß ich Bestimmungen wie z.B. Ursache und Wirkung hervorbringe, geht jenseits meines Bewußtseins vor; ich tue es aber, ich bringe die Kategorien instinktmäßig hervor.

> Die Philosophie bestimmt er nun als das künstliche Bewußtsein, als das Bewußtsein über das Bewußtsein, so daß ich Bewußtsein habe von dem, was mein Bewußtsein tut. Man hat nun gesagt, man könne nicht hinter das Bewußtsein kommen: ich habe Bewußtsein, finde dies und jenes, finde die Bestimmung von Ursache und Wirkung usf. darin, finde das, was diese hervorgebracht haben; aber wie das Bewußtsein diese Bestimmungen hervorgebracht hat, dahinter kann ich nicht kommen. Allein wenn ich über mein Bewußtsein philosophiere, wenn ich weiß, was mein Ich tut, so komme ich hinter mein gewöhnliches Bewußtsein. Wenn ich philosophiere, so bin ich Bewußtsein und bin mir als Bewußtsein Gegenstand; ich mache mir so mein gewöhnliches Bewußtsein zum Gegenstand. Dies tut das gewöhnliche Bewußtsein nicht; es beschäftigt sich nur mit anderen Gegenständen, Interessen usf., macht sich nicht sein eigenes Bewußtsein zum Gegenstand. Philosophieren wir z.B. über Sein, Ursache Wirkung usf., so machen wir Sein usf. zu unserem Bewußtsein. Mache ich so eine reine Kategorie zu meinem Bewußtsein, so mache ich mein Bewußt sein zum Bewußtsein und stehe so hinter meinem gewöhnlichen Bewußtsein. Fichte hat so das Wissen des Wissens erst zum Bewußtsein gebracht.

> Das Weitere ist, daß also Fichte das philosophische Bewußtsein, den Zweck der Philosophie darein gesetzt hat, das Wissen zu wissen; und er hat seine Philosophie deshalb Wissenschaftslehre genannt, die Wissenschaft des Wissens. Das Wissen ist hier die Tätigkeit, Wissen der Kategorien; diese hat Fichte betrachtet und konstruiert. Ich ist da Tatsache, sagte Fichte, das Erste. Ich ist noch nicht ein Satz. Als Satz, als Grundsatz muß Ich nicht als trockenes Ich, als Eins genommen werden; zum Satz gehört Synthese. – Fichte analysiert Ich in drei Grundsätze, aus welchen die ganze Wissenschaft entwickelt werden soll.

> α) Der erste Satz muß einfach sein; Prädikat und Subjekt müssen sich gleich sein. Sind sie ungleich, so muß das Verbindende erst bewiesen werden; nach ihrer Verschiedenheit sind die Bestimmungen nicht unmittelbar eins, sie müssen also durch ein Drittes bewiesen werden. Der erste Grundsatz muß also identisch sein. – Dieser erste Grundsatz nun näher, als Grundsatz, unterscheidet die Form und den Gehalt an ihm; aber daß er unmittelbar wahr durch sich selbst sei, muß wieder Form und Gehalt dasselbe und er nach beiden unbedingt sein. Er heißt A = A, die abstrakte Identität. Fichte erinnert selbst an Cogito, ergo sum. »Das Denken ist gar nicht das Wesen, sondern nur eine besondere Bestimmung des Seins; und es gibt außer jener noch manche andere Bestimmungen unseres Seins.« »Ich bemerke nur noch, daß man, wenn man Ich bin überschreitet, notwendig auf den Spinozismus kommen muß.« Seine Einheit ist etwas, das durch uns hervorgebracht werden soll, aber nicht kann; sie ist nicht etwas, das ist.

> Der erste Satz ist nun: Ich bin mir selbst gleich, Ich = Ich, – diese bestimmungslose Identität. Das Subjekt und Prädikat ist der Inhalt, und die Beziehung beider ist ebenso Ich; die Form ist die Beziehung, der Inhalt die beiden Seiten. Das Beziehende und das Bezogene muß dasselbe sein; der erste Grundsatz ist so Ich = Ich, das ist allerdings die Definition des Ich. Ich ist einfach; es ist nichts anderes als ein Beziehen des Ich auf Ich. Ich weiß von mir; sofern ich Bewußtsein bin, weiß ich von einem Gegenstande; so weiß ich, daß er mein Gegenstand ist, – der Gegenstand ist auch meiner. Der abstrakten Form nach ist dieser Satz Ich = Ich, die Identität überhaupt, Beziehung seiner auf sich selbst; zur Beziehung gehören zwei, die aber hier dasselbe sind. Ich ist identisch mit seinem Unterschiede, aber so, daß das Unterschiedene unmittelbar dasselbe ist und das Identische ebenso unterschieden ist; das ist Unterschied, der keiner ist. Das Selbstbewußtsein ist nicht tote Identität, noch Nichtsein, sondern Gegenstand, der mir gleich ist. Ich ist Subjekt, Prädikat und Beziehung. Abstrakt ist dies A = A, der Satz des Widerspruchs. A ist gleichgültiger Inhalt; Ich = Ich ist Einheit beider, Ich selbst. Das ist unmittelbar gewiß, alles andere muß mir ebenso gewiß werden; es soll Beziehung meiner auf mich sein. Der Inhalt soll in Ich verwandelt sein, so daß ich nur meine Bestimmung darin habe.
In diesem Grundsatze nun ist erstens noch kein Unterschied ausgedrückt; es ist wohl Subjekt und Prädikat, aber für uns, die wir darüber reflektieren und es unterscheiden, – an ihm selbst ist kein Unterschied, kein wahrer Inhalt. Zweitens ist er wohl unmittelbar gewiß, Gewißheit des Selbstbewußtseins; allein das Selbstbewußtsein ist ebenso Bewußtsein, und darin ist es ihm ebenso gewiß, daß andere Dinge sind, – es tritt diesen gegenüber. Drittens hat er eben darum die Wahrheit nicht an ihm, weil die Gewißheit seiner keine Gegenständlichkeit, nicht die Form des unterschiedenen Inhalts an ihr hat – oder eben dem Bewußtsein eines Anderen gegenübertritt. – Dieser Grundsatz ist abstrakt, es ist kein Unterschied darin; er hat nur formell einen Inhalt; er ist mangelhaft, weil er Inhalt enthalten soll. Wie kommt denn nun aber die Bestimmung hinein?

> β) Darum ist es für Fichte notwendig, einen zweiten Grundsatz zu setzen; es soll Inhalt, Unterschied vorkommen. Dieser Grundsatz ist der Form nach unbedingt; der Inhalt ist aber bedingt, er kommt dem Ich nicht zu. Der zweite Grundsatz, unter den ersten gesetzt, ist: Ich setze dem Ich ein Nicht-Ich entgegen, worin eben etwas anderes als das absolute Selbstbewußtsein gesetzt wird. Ihm gehört die Form darin an, die Beziehung; aber der Inhalt ist Nicht-Ich, anderer als Ich. Der Satz ist unabhängig danach- das Nicht-Ich, als Inhalt, vom Ich-, oder umgekehrt durch die Form der Entgegensetzung, die nicht aus dem Ersten abgeleitet werden kann; hier ist's denn schon mit dem Ableiten aus. Ich setze ein Anderes dem Ich gegenüber, setze mich als nicht gesetzt; dies Nicht-Ich ist das Objekt überhaupt, der Gegenstand, was gegen mich ist, das Negative meiner. Dieses Andere ist das Andere, Negative von Ich; es ist also ein sehr glücklicher, guter und konsequenter Ausdruck, wenn Fichte es das Nicht-Ich nannte.

> Man hat vieles an dem Ich und Nicht-Ich lächerlich finden wollen; es ist ein neues Wort, und darum kommt es uns Deutschen gleich kurios vor. Die Franzosen sagen Moi und Non-Moi, ohne zu lachen. Das Setzen in diesen Grundsatz gehört dem Ich an; das Nicht-Ich ist unabhängig vom Ich. Wir haben so zwei, – Ich (Selbstbewußtsein), und darin beziehe ich mich auf ein Anderes. Die Form der Entgegensetzung kann nicht aus dem ersten Satz abgeleitet werden, ob gleich dieses doch gefordert war. Dieser zweite Satz heißt also: Ich setze mich als begrenzt, als Nicht-Ich. Fichte sagt, dieser zweite Satz ist auch absolut, wie der erste, nach einer Seite zwar bedingt durch den ersten, nämlich daß das Nicht-Ich in mich aufgenommen ist, ich es mir entgegensetze, es ein Anderes meiner ist; aber das Negative darin ist etwas Absolutes. Dieser zweite Satz ist einerseits, weil Ich schon im ersten Satze war, bedingt; Nicht-Ich ist aber etwas Neues dazu. Wir haben also vor uns ein Feld, welches bloß vom Ich eingenommen ist; sodann habe ich vor mir als Gegenstand das Nicht-Ich.

> γ) Zu diesen kommt noch ein dritter Satz, in welchem ich jetzt diese Verteilung in Ich und Nicht-Ich mache, die Synthesis beider, der Satz des Grundes, der dem Gehalte nach unbedingt ist, insofern der zweite der Form nach. Dieser dritte Satz ist nämlich die Bestimmung jener beiden ersten Sätze durch einander, worin Ich das Nicht-Ich einschränkt. »Das Ich sowohl als das Nicht-Ich sind beide durch das Ich und im Ich gesetzt als durch einander gegenseitig beschränkbar, d. i. so, daß die Realität des einen die Realität des andern aufhebe«, – aber »nur zum Teil«; nur so ist Synthesis, Deduktion möglich. Ich schränke das Nicht-Ich ein, das Nicht-Ich ist für mich; Ich setze es in mich, in die Gleichheit meiner mit mir. So entnehme ich es der Ungleichheit, seinem Nicht-Ich- Sein: d.h. ich beschränke es. Diese Beschränkung des Nicht-Ich drückt Fichte so aus: »Ich setze im Ich«, und zwar »dem teilbaren Ich ein teilbares Nicht-Ich entgegen«; eins ist durch das andere begrenzbar. Die ganze Sphäre dessen, was ich vor mir habe, ist nicht Eins, sondern Zwei. Die Sphäre soll Ich sein; ich setze sie aber teilbar, insofern Nicht-Ich darin ist. Und das Nicht-Ich hebe ich auch als ganze Sphäre (nach dem zweiten Grundsatz) auf und setze es teilbar. Das ist der Satz des Grundes oder die Beziehung der Realität und Negation, die Grenze; das ist der synthetische Grundsatz, er enthält mich begrenzt durch Nicht-Ich und Nicht-Ich begrenzt durch Ich. Von dieser Synthese ist eigentlich in den beiden früheren Sätzen noch nichts enthalten. So ist auch hier derselbe Dualismus wie bei Kant, wenn es auch nur zwei Akte des Ich sind und wenn wir auch ganz im Ich stehenbleiben. Die mannigfaltigen Verhältnisse von Ich und Nicht-Ich geben nun die Kategorien, wie Substantialität, Kausalität usw. – Schon diese erste Aufstellung dreier Grundsätze hebt die wissenschaftliche Immanenz auf.

> Diese Begrenzung kann nun auf zweierlei Weise für mich sein. In der Grenze wird beides negiert: das eine Mal ist das eine passiv, das andere Mal das andere. In dieser Begrenzung setzt α) Ich das eine Mal das Nicht-Ich als begrenzend und sich als begrenzt, worin das Ich sich setzt als einen Gegenstand nötig habend: Ich weiß mich als Ich, aber bestimmt vom Nicht-Ich; Nicht-Ich ist hier tätig, Ich passiv. Dann β) umgekehrt: Ich bin das Beschränkende, das Anderssein aufhebend, Nicht-Ich das Beschränkte; Ich weiß mich als schlechthin bestimmend das Nicht-Ich, Ich ist die absolute Ursache des Nicht-Ich als solchen. Das erste ist der Satz der theoretischen Vernunft, der Intelligenz, – das zweite der Satz der praktischen Vernunft, des Willens. Willen ist es, daß ich meiner mir bewußt bin als den Gegenstand begrenzend; so mache ich mich tätig auf den Gegenstand. Der theoretische Satz ist, daß ich mir Gegenstand bin, so daß ich vom Nicht-Ich begrenzt werde. Wir sagen, der Gegenstand ist vor mir, er bestimmt mich; zwischen beiden ist ein Verhältnis, sie begrenzen einander. Einmal begrenze ich, und das andere Mal werde ich begrenzt von dem Nicht-Ich, – dies ist das Theoretische, daß Ich, indem ich anschaue, ein Inhalt ist; und ich werde so bestimmt, ich habe diesen Inhalt in mir, eben den Inhalt, der außer mir so ist. Dies ist im ganzen ebenso wie bei der Erfahrung Kants: Ich, und ein Stoff, Inhalt; so ist hier ein Nicht-Ich, wodurch das Ich bestimmt wird. Ich ist einmal bestimmt, das andere Mal, indem es sich erhält, auch bestimmend; denn es ist denkend.

> Hier vorzüglich ist es nun, daß man [von] Fichte erwartet, die Rückkehr des Andersseins in das absolute Selbstbewußtsein aufzuzeigen. Allein, indem einmal das Anderssein als unbedingt, an sich angenommen worden, so kommt diese Rückkehr nicht zustande. Das Jenseits des Ich soll vom praktischen[398] Ich bestimmt werden; so bleibt dem unbestimmten Nicht-Ich nur der Anstoß auf Ich übrig. So findet die ins Unendliche gehende Tätigkeit einen Anstoß, durch den sie zurückgedrängt wird in sich, gegen den sie dann aber wieder reagiert. Indem ich nun das Nicht-Ich setze, muß das affirmative Ich sich selbst beschränken. Diesen Widerspruch sucht Fichte zu vereinigen, aber dessenungeachtet läßt er den Grundschaden des Dualismus bestehen; so ist er nicht aufgelöst, und das Letzte ist nur ein Sollen, Bestreben, Sehnen. Diese unendliche Sehnsucht hat man dann im Schönen und im religiösen Gefühl als das Höchste angesehen und damit zusammenhängend die oben (18, S. 459 ff.) erwähnte Ironie. – Dies Ich ist in dieser Rückkehr nur ein Sehnen, Streben; es ist seinerseits fixiert und kann sein Streben nicht realisieren. Es bestimmt wohl das Andere, aber diese Einheit ist schlechthin eine endliche; Nicht-Ich ist unmittelbar dem Bestimmen wieder so entgangen und aus dieser Einheit getreten. – Was vorhanden ist, ist nur eine Abwechslung des Selbstbewußtseins und des Bewußtseins eines Anderen und das unendliche Fortgehen dieses Abwechselns, das kein Ende findet.

> b) Im theoretischen Bewußtsein weiß ich mich als bestimmt von dem Gegenstande; das Ich ist das Setzende überhaupt, findet sich darin durch das Nicht-Ich beschränkt. Es ist sich aber selbst gleich; seine unendliche Tätigkeit geht daher darauf, das Nicht-Ich immer aufzuheben, sich selbst hervorzubringen. Die Weisen, daß das Ich sich selbst setzt, sind die verschiedenen Weisen seiner Tätigkeit; diese haben wir in ihrer Notwendigkeit zu erkennen. Das ist die philosophische Erkenntnis; so erkenne ich immer nur Wissen, Tat des Ich. Es ist ans Bewußtsein appelliert: Ich und Nicht-Ich werden in ihrer Abstraktion postuliert. Die philosophische Erkenntnis betrachtet aber das Bewußtsein selbst. Es ist nicht genug, daß wir dieses im Bewußtsein finden; das Bewußtsein des[399] Bewußtseins ist, daß die Tätigkeiten mit Bewußtsein produziert werden, welche das gemeine Bewußtsein auch produziert, aber ohne es zu wissen. Im gewöhnlichen Bewußtsein weiß ich nicht, daß ich mich darin auch tätig, bestimmend verhalte; dies weiß nur das philosophische Bewußtsein. Ein Gegenstand ist viereckig, ich stelle ihn groß vor usw. Meinem gewöhnlichen Bewußtsein sind diese Bestimmungen gegeben; ich nehme sie, daß sie an mich kommen, – der Gegenstand ist. Das, was ich aber vor mir habe, das tue ich selbst; das weiß das gemeine Bewußtsein nicht, das philosophische Bewußtsein erkennt dies. Wenn ich die Wand sehe, so denke ich nicht ans Sehen, sondern an die Wand; das Sehen ist aber meine Tätigkeit. Ich empfinde, das ist nur ein durch mich Gesetztes; dieses Setzen erkenne ich im philosophischen Bewußtsein, diese Bestimmungen sind also durch mich gesetzt. – Das Ich als theoretisch ist tätig, es setzt sich aber hier als beschränkt, der Gegenstand hat Einwirkung auf mich; das nennt Fichte das philosophische Bewußtsein. Es weiß, daß Ich das Setzende ist; es setzt hier, daß das Nicht-Ich etwas in mir setzt. Das Ich setzt sich als Begrenztwerden vom Nicht-Ich, aber ich mache diese Beschränkung zur meinigen; so ist sie für mich in mir, diese Passivität des Ich ist selbst die Tätigkeit des Ich.

> Diese Begrenzung beider wird nun fortgeführt. Die theoretische Seite ist das Ich, welches alle Bestimmungen der Vorstellung, des Denkens hervorbringt, aber bewußtlos; das Beschränktwerden schwebt dem gemeinen Bewußtsein allein vor; daß ich dies setze, erkennt allein das philosophische Bewußtsein. Ich setzt sich so, oder es ist ein Bestimmen des Ich selbst; d.h. alle Realität, die im Gegenstande für Ich erscheint, ist eine Bestimmung des Ich, – wie bei Kant die Kategorien und sonstigen Bestimmungen. Die Entwicklung der theoretischen Vernunft ist Entwicklung dieser Schranke; diese Tätigkeit ist nun die Kategorie. Fichte will die Formen dieser Begrenzung durchgehen; hieraus entwickelt er die Bestimmungen des Gegenstandes, und diese Bestimmungen[400] nennt er Kategorien. Und näher sucht Fichte null die besonderen Kategorien daraus abzuleiten; woran von Aristoteles an kein Mensch gedacht hat – die Denkbestimmungen in ihrer Notwendigkeit, ihrer Ableitung, ihrer Konstruktion aufzuzeigen –, dies hat Fichte versucht. Aber von Hause aus ist seine Darstellung mit einem Gegensatze behaftet wie bei Kant: Ich und die Vorstellung, und dann die Dinge an sich; hier bei Fichte das Ich und das Nicht-Ich. Es ist ein Anstoß; alle Formen, worunter er mir vorkommt, daß das Objekt Substanz sei usw., ist ein Gesetztwerden durch mich, z.B. Wechselbestimmung im dritten Satze. Durch die Bestimmung der Realität oder Negation des Ich wird zugleich die Negation oder Realität des Nicht-Ich bestimmt; beides in einem ist Wechselbestimmung. Gleicher Grad der Tätigkeit des einen als Leiden im andern ist Kausalität. Ich und Nicht-Ich sind bezogen und durch einander begrenzt; insofern etwas als Realität des Nicht-Ich betrachtet wird, werde Ich insofern als passiv betrachtet. Und umgekehrt: insofern Ich real, tätig bin, das Objekt leidend, ist das entgegengesetzte Verhältnis vorhanden. Dieses Verhältnis, daß die Passivität der Objekte meine Aktivität oder Realität ist und umgekehrt, ist der Begriff der Kausalität. Es ist Weise des Begrenzens, nähere Weise des Verhältnisses. »So viele Teile der Negation das Ich in sich setzt, so viele Teile der Realität setzt es in das Nicht-Ich... Es setzt sich demnach sich bestimmend, insofern es bestimmt wird, und bestimmt werdend, insofern es sich bestimmt.« Das ist der erste vernünftige Versuch in der Welt, die Kategorien abzuleiten; dieser Fortgang von einer Bestimmtheit zu einer anderen ist Analyse vom Standpunkte des Bewußtseins aus, nicht an und für sich.

> Ich ist insofern der Idealgrund aller Vorstellungen des Gegenstandes; alles Bestimmtsein des Gegenstands ist eine Bestimmung des Ich. Aber daß er Gegenstand sei, muß er dem Ich entgegengesetzt sein, – die durch Ich gesetzten Bestimmungen als ein Anderes, Nicht-Ich. Diese Entgegensetzung des Gegenstands ist der Realgrund der Vorstellungen, Ich ist auch Realgrund des Gegenstands; denn es ist ebenso ein Bestimmen des Ich, daß Nicht-Ich als Objekt dem Ich entgegengesetzt sei. Beides, der Realgrund des Vorstellens und der Idealgrund sind ein und dasselbe; in jenem Sinne ist Ich tätig und Nicht-Ich rein passiv, nach der andern Seite ist Ich passiv und der Gegenstand tätig, einwirkend. Ich hat aber im nicht philosophischen Bewußtsein nicht das Bewußtsein seiner Tätigkeit im Vorstellen des Gegenstandes, sondern stellt sich seine eigene Tätigkeit als Tätigkeit des Nicht-Ich vor. – Wir sehen hier den Gegensatz verschiedene Gestalten annehmen: Ich, Nicht-Ich; Setzen und Entgegensetzen; zweierlei Tätigkeiten; Vorstellen des Nicht-Ich, seiner eigenen Tätigkeit des Entgegensetzens als eines Fremden.

> Ich soll nun das Idealprinzip und das Nicht-Ich das Realprinzip sein, worüber Herr Krug viel geschwatzt hat; wie es denn damals in Deutschland viele Philosophien gegeben hat, wie Krugsche, Friessche, Bouterweksche, Schulzesche usf. Philosophie, – ein Gebraue aus aufgerafften Gedanken und Vorstellungen, Tatsachen, die ich in mir finde. Ihre Gedanken sind aber alle aus Fichte, Kant oder Schelling genommen, soweit Gedanken überhaupt darin sind, oder es ist ein Modifikatiönchen angebracht, und diese sind größtenteils nichts anderes, als daß die großen Prinzipien dürftig gemacht, die lebendigen Punkte getötet sind; oder es sind untergeordnete Formen verändert, wodurch denn ein anderes Prinzip aufgestellt werden soll, aber näher betrachtet bleiben es die Prinzipien einer jener Philosophien. Es mag dies als Trost dienen, daß ich von allen diesen Philosophien nicht weiter spreche; das Auseinanderlegen derselben wäre[402] nichts als ein Aufzeigen, daß alles aus Kant, Fichte oder Schelling genommen ist und daß die Modifikation der Formen nur ist der Schein einer Veränderung, eigentlich aber eine Verschlechterung der Prinzipien dieser Philosophen.
Beim Idealprinzip der Fichteschen Philosophie bin Ich also das Bestimmende, Setzende. Aber es ist in diesem Bestimmen auch ein Negatives vorhanden; Ich finde mich bestimmt, und Ich ist sich selbst gleich, ist unendlich, d.h. identisch mit sich. Schranke der menschlichen Vernunft usf. ist eine unnütze Redensart. Daß die Vernunft des Subjekts beschränkt ist, versteht sich von selbst; aber wenn wir vom Denken sprechen, so ist Unendlichkeit nichts anderes als Sich-zu-sich-selbst-Verhalten, nicht zu seiner Grenze: der Ort, wo der Mensch unendlich ist, ist eben im Denken. Die Unendlichkeit kann dann auch sehr abstrakt sein, und so ist sie auch wieder endlich; aber dessenungeachtet bleibt die Unendlichkeit in sich selbst. Fichte sagt nun, Ich ist unendlich, ist denkend, findet sich aber mit einem Nicht-Ich; dies ist ein Widerspruch. Das Ich, das schlechthin bei sich selbst sein soll, soll nun bei anderem sein, – das Ich, das schlechthin frei ist. Die Forderung, diesen Widerspruch aufzulösen, hat nun bei Fichte die Stellung, daß sie nur eine geforderte Auflösung ist, daß ich die Schranke immerfort aufzuheben, über die Grenze immer fortzugehen habe ins Unendliche, in die schlechte Unendlichkeit hinaus, und immer eine neue Grenze finde. Mit dem Aufheben einer Grenze zeigt sich immer eine neue; es ist eine fortgesetzte Abwechslung von Negation und Affirmation, eine Identität mit sich, die wieder in die Negation verfällt und daraus immer wieder hergestellt wird. – Dies ist der Standpunkt Fichtes in Rücksicht des Theoretischen.

Ebenso deduziert Fichte nun das Vorstellen. Ich bin tätig, gehe hinaus; Ich findet sich aber in seiner Tätigkeit gehemmt, findet eine Grenze, geht in sich zurück. Das sind zwei entgegengesetzte[403] Richtungen, Hinaus und Hinein, beide sind in mir; ich schwebe zwischen beiden, will sie vereinigen, so bin ich Einbildungskraft. Daß Bestimmung, Grenze, Festes zwischen beiden sei, muß ich die Grenze ständig machen; das ist der Verstand. Bestimmungen des Verstandes, der Objekte (Kategorien) und Bestimmungen der Vorstellung sind Weisen der Synthese; jede Synthese ist aber neuer Widerspruch. Es sind also neue Vermittlungen nötig; diese sind neue Bestimmungen.
So sagt Fichte: Ich kann das Nicht-Ich immer fort bestimmen, zu meiner Vorstellung machen, d.h. ihm seine Negation gegen mich nehmen; ich habe es nur mit meiner Tätigkeit zu tun. Es ist aber immer noch Äußerlichkeit darin vorhanden, diese bleibt zurück, wird nicht erklärt durch meine Tätigkeit. Dieses Jenseits nennt Fichte den unendlichen Anstoß. Ich ist in seiner Selbstbestimmung als bestimmend und bestimmt zugleich betrachtet worden; wird »darauf reflektiert, daß das das schlechthin Bestimmte Bestimmende ein schlechthin Unbestimmtes sein müsse, ferner darauf, daß Ich und Nicht-Ich schlechthin entgegengesetzt sind«, so ist das eine Mal Ich das Unbestimmte, das andere Mal Nicht-Ich. Ich macht das Objekt zu seiner Vorstellung, negiert es; so ist diese Philosophie Idealismus, alle Bestimmungen des Gegenstandes sind ideelle. Alles, was Ich Bestimmtes hat, hat es durch mein Setzen: Ich mache einen Rock, Stiefel selbst, indem Ich sie anlege. Es bleibt zurück nur der leere Anstoß; das ist das Kantische Ding an sich. Das Ich, die theoretische Vernunft, setzt ihr Bestimmen ins Unendliche fort. ›Ich bleibt aber immer, als Intelligenz überhaupt, abhängig von einem unbestimmten Nicht-Ich; nur durch solches ist es Intelligenz.‹ Das Theoretische ist so abhängig.

> Die Form der Darstellung hat Unbequemlichkeit; Ich setzt, so habe ich immer Ich vor Augen. Da erscheint mir immer mein empirisches Ich; das ist ungereimt. Die theoretische Tätigkeit ist bewußtlos; sie erscheint erst im philosophischen Erkennen als bewußt; im gemeinen Bewußtsein sind mir meine Produkte Gegebenes. Das Ich ist auch ungeschickte, überflüssige Form, die den Gesichtspunkt verrückt. Daß ich vorstelle, ist allerdings meine Tätigkeit; der Inhalt ist aber die Hauptsache, es handelt sich um den Inhalt des Setzens und seinen notwendigen Zusammenhang durch ihn selbst. Beschäftigt man sich nur mit dem Inhalt, so verschwindet diese Form der Subjektivität, welche das Herrschende ist; die subjektive Form ist das Bleibende in seinem Gegensatze. Für das Ich bleibt immer das Ding-an-sich; der Dualismus löst sich nicht auf. Man hat es nicht mit dem Wahren an und für sich zu tun, sondern mit einem Abhängigen, weil Ich beschränkt, nicht absolut ist, wie es sein Begriff fordert. Die Intelligenz wird hier nicht als Geist betrachtet, er ist frei; Ich kommt nicht weiter, hat es immer mit demselben unendlichen Anstoß zu tun.

> c) Das Zweite ist die praktische Vernunft. Im Praktischen aber ist es, wo dieser Gegensatz sich auflösen soll. Das Verhältnis des praktischen Ich ist, daß es sich selbst setzt als bestimmend das Nicht-Ich, – Ich bei mir selbst darin sei. Ich ist unendliche Tätigkeit, Ich = Ich ist absolut, – freilich abstrakt. Aber um eine Bestimmung zu haben, muß doch ein Nicht-Ich sein; Ich ist die Tätigkeit, Kausalität, das Setzende des Nicht-Ich und das Aufhebende des Gegensatzes desselben. – Aber wie bei Kant Sinnlichkeit und Vernunft entgegengesetzt bleibt, so ist derselbe Gegensatz hier, nur in abstrakterer Form, nicht in der roh empirischen Kants. Fichte windet sich hier auf mannigfaltige Weise oder gibt dem Gegensatze mancherlei verschiedene Formen; die schlechteste Form ist, daß Ich als Kausalität gesetzt ist; denn darin[405] hat es ein Anderes notwendig, worauf es tätig ist. »Das absolute Ich soll demnach sein Ursache des Nicht-Ich,... d. i. nur desjenigen im Nicht-Ich, was übrigbleibt, wenn man von allen erweisbaren Formen der Vorstellung abstrahiert; desjenigen, welchem der Anstoß auf die ins Unendliche hinausgehende Tätigkeit des Ich zugeschrieben wird; denn daß von den besonderen Bestimmungen des Vorgestellten, als eines solchen, das intelligente Ich nach den notwendigen Gesetzen des Vorstellens Ursache sei, wird in der theoretischen Wissenschaftslehre dargetan.« Die Schranke der Intelligenz soll durchbrochen werden; das Ich soll das allein Tätige sein. Das Andere, der unendliche Anstoß, soll aufgehoben werden; Ich soll mich befreien.
»Nun sollte in unserer Voraussetzung das Ich ein Nicht-Ich setzen schlechthin und ohne allen Grund, d. i. es sollte sich selbst schlechthin und ohne allen Grund einschränken, zum Teil nicht setzen.« Dies tut es ja schon als intelligent. »Es müßte demnach den Grund, sich nicht zu setzen, in sich selbst haben«; Ich ist aber gleich Ich, setzt sich selbst, – »es müßte in ihm sein das Prinzip, sich zu setzen, und das Prinzip, sich auch nicht zu setzen. Mithin wäre das Ich in seinem Wesen sich selbst entgegengesetzt und widerstreitend; es wäre in ihm ein zwiefaches, entgegengesetztes Prinzip, welche Annahme sich selbst widerspricht, denn dann wäre in ihm gar kein Prinzip. Das Ich wäre gar nichts, denn es höbe sich selbst auf.« »Alle Widersprüche werden vereinigt durch nähere Bestimmung der widersprechenden Sätze... In einem anderen Sinne müßte das Ich gesetzt sein als unendlich, in einem anderen als endlich. Wäre es in einem und demselben Sinne als unendlich und als endlich gesetzt, so wäre der Widerspruch unauflösbar; das Ich wäre nicht Eins, sondern Zwei... Insofern das Ich sich als unendlich setzt geht seine Tätigkeit auf das Ich selbst und auf nichts anderes[406] als das Ich... Insofern das Ich Schranken und sich selbst in diese Schranken setzt, geht seine Tätigkeit nicht unmittelbar auf sich selbst, sondern auf ein entgegenzusetzendes Nicht-Ich«, auf ein Anderes, ein Objekt, ist »objektive Tätigkeit.« So bleibt Fichte beim Gegensatz, nur hat er andere Gestalt als zwei Richtungen im Ich; beide sollen eine und dieselbe Tätigkeit des Ich sein. Ich soll darauf gehen, das Entgegengesetzte, das Nicht-Ich, meiner Freiheit gemäß zu bestimmen; jenseits meiner Bestimmung kommt aber dasselbe Nicht-Ich immer wieder vor. Das Ich setzt schlechthin einen Gegenstand, Grenzpunkt; aber wo die Grenze sei, ist unbestimmt. Den Kreis meiner Bestimmung kann ich ins Unendliche hinaus verlegen, erweitern; aber ein Jenseits bleibt immer.

> Das Letzte in Ansehung des Praktischen ist so, daß die Tätigkeit des Ich ein Sehnen, Streben ist, – dasselbe, was das Kantische Sollen; Fichte behandelt dies mit großer Weitschweifigkeit. Die Fichtesche Philosophie hat denselben Standpunkt als die Kantische Philosophie; das Letzte ist immer die Subjektivität, sie ist an und für sich seiend. Sehnen ist das Göttliche; im Sehnen habe ich mich nicht vergessen; darum ist es ein so behaglicher Zustand, Ich sei diese Vortrefflichkeit. Streben ist ein unvollendetes Tun oder an sich begrenztes Tun. Das Praktische als ein solches ist mit einem Gegensatze behaftet, negativ gegen ein Anderes. Dies Nicht-Ich, worauf es tätig ist, hat zwar alle Bestimmungen durch die Tätigkeit des Ich; aber es bleibt ihm das reine Jenseits übrig, es ist ein unendlicher Anstoß: es hat nur die Bedeutung von Nicht-Ich, keine positive, an sich selbst seiende Bestimmung.

> Das letzte Resultat ist ein nie aufzulösender Zirkel, daß nämlich »der endliche Geist notwendig etwas Absolutes außer sich setzen muß (ein Ding an sich) und dennoch von[407] der andern Seite anerkennen muß, daß dasselbe nur für ihn dasei (ein notwendiges Noumen)«. Oder wir sehen Ich schlechthin bestimmt nur im Gegensatze, Ich nur als Bewußtsein und Selbstbewußtsein, das nicht darüber hinauskommt, noch zum Geiste wird. Ich ist der absolute Begriff, der nicht zur Einheit des Denkens kommt, nicht in diese Einfachheit zurückkehrt oder in der Einfachheit nicht den Unterschied, in der Bewegung nicht die Ruhe hat, – Setzen, reine Tätigkeit des Ich und Entgegensetzen nicht als dasselbe begreift. Oder Ich begreift den unendlichen Anstoß, das Nicht-Ich nicht; es bestimmt das Nicht-Ich, aber es bleibt ein Jenseits – ein Jenseits, welches als Nicht-Ich das Selbstbewußtsein Nicht sich zu eigen zu machen weiß.

> α) Erstens behält dadurch Ich die Bedeutung des einzelnen wirklichen Selbstbewußtseins, entgegengesetzt dem allgemeinen, absoluten, oder dem Geiste, worin es selbst nur Moment ist; denn das einzelne Selbstbewußtsein ist eben dieses, das gegen ein Anderes auf der Seite stehenbleibt. Wenn Ich deswegen das absolute Wesen genannt wurde, so gab dies das ungeheure; Ärgernis, weil Ich in der Tat bestimmt nur in dem Sinne des einzelnen Selbstbewußtseins oder des Subjekts, entgegengesetzt dem Allgemeinen, vorkommt.

> β) Zweitens kommt Fichte nicht zur Idee der Vernunft, als der vollendeten, realen Einheit des Subjekts und Objekts, oder des Ich und Nicht-Ich; sie ist ein Sollen, wie bei Kant ein Ziel, ein Glauben, daß beides an sich eins sei, aber ein Ziel, dessen Erreichung derselbe Widerspruch wie bei Kant ist, nicht die gegenwärtige Wirklichkeit an ihm hat. Fichte bleibt beim Sollen stehen; jedoch wie Kant den Gedanken einer Vereinigung in einem Glauben hinstellt, so schließt auch Fichte mit einem Glauben. Das hat er in populären Schriften ausgeführt. – Weil nämlich Ich fixiert ist als entgegengesetzt gegen Nicht-Ich und nur ist als entgegengesetzt,[408] so geht es in jener Einheit verloren; – die Erreichung dieses Ziels ist deswegen in das schlechte, sinnliche Unendliche hinausgeschoben, eben ein Fortgang ohne Gegenwart, ohne Wirklichkeit an ihm selbst, denn Ich hat nur in seinem Gegensatze alle Wirklichkeit. – Die Fichtesche Philosophie erkennt nur den endlichen Geist, nicht den unendlichen, nicht als allgemeines Denken, wie die Kantische das Nichtwahre; oder sie ist formell. Das Wissen von der absoluten Einheit wird als Glaube an eine moralische Weltordnung gefaßt; sie ist absolute Voraussetzung; wir haben Glauben bei allem, was Ich tue, daß jede moralische Handlung einen guten Erfolg haben werde. Diese Idee ist wie bei Kant ein Allgemeines, ein Gedankending. »In Summa: dadurch, daß etwas begriffen wird, hört es auf, Gott zu sein; und jeder vorgebliche Begriff von Gott ist notwendig der eines Abgotts... Religion ist ein praktischer Glaube an die moralische Weltordnung« (Gott); »Glaube an eine übersinnliche Welt gehört nach unserer Philosophie unter die unmittelbaren Wahrheiten.« Fichte schließt so mit der höchsten Idee, Vereinigung der Freiheit und Natur, so daß sie unmittelbar nicht erkannte ist; nur der Gegensatz fällt ins Bewußtsein. Diese geglaubte Vereinigung findet er auch in Liebe Gottes. Als geglaubt, empfunden, gehört diese Form der Religiosität an, nicht der Philosophie; und nur dies in der Philosophie zu erkennen, kann Interesse haben.

> Es bleibt bei einer völlig ungenügenden Äußerlichkeit: weil eine Bestimmtheit notwendig, so die andere; – die Nicht-Idee liegt zugrunde. Ich ist auf ein Anderes bezogen, wieder auf ein Anderes usf. ins Unendliche. »Die Wissenschaftslehre ist realistisch. Sie zeigt, daß das Bewußtsein endlicher Naturen sich schlechterdings nicht erklären lasse, wenn man nicht eine unabhängig von denselben vorhandene, ihnen[409] völlig entgegengesetzte Kraft annimmt, von der dieselben ihrem empirischen Dasein nach selbst abhängig sind. Sie behauptet aber auch nichts weiter als eine solche entgegengesetzte Kraft, die von den endlichen Wesen bloß gefühlt, aber nicht erkannt wird. Alle möglichen Bestimmungen dieser Kraft oder dieses Nicht-Ich, die in die Unendlichkeit hinaus in unserem Bewußtsein vorkommen können, macht sie sich anheischig, aus dem bestimmenden Vermögen des Ich abzuleiten, und muß dieselben, so gewiß sie Wissenschaftslehre ist, wirklich ableiten können.« Diese Wissenschaft ist aber nicht transzendent, sondern transzendental. »Sie erklärt allerdings alles Bewußtsein aus einem unabhängig von allem Bewußtsein Vorhandenen; aber sie vergißt nicht,... daß jenes Unabhängige abermals ein Produkt ihrer eigenen Denkkraft wird, mithin etwas vom Ich Abhängiges ist, in sofern es für das Ich dasein soll.« Alles ist seiner Idealität nach vom Ich abhängig; Ich aber ist, seiner Realität nach, selbst abhängig. Dies notwendige Außersich des endlichen Geistes, was nur für ihn, ist derjenige »Zirkel, den er in das Unendliche erweitern, aus welchem er aber nie herausgehen kann«.

> Ich ist Denken, an sich bestimmend das Objekt; diese Fortbildung ist Denken. Ich, als Subjekt des Bewußtseins, ist Denken; die logische Fortbestimmung des Objekts ist das in Subjekt und Objekt Identische, der wesentliche Zusammenhang dasjenige, nach welchem das Objektive das Seinige des Ich ist. Aber die Fichtesche Wissenschaftslehre faßt den Kampf des Ich mit Objekten als den des Fortbestimmtwerdens der Objekte durch Ich, aber keine Identität des ruhig sich entwickelnden Begriffs.
γ) Weil Ich so auf einer Seite fixiert ist, so geht von ihm, als diesem Extrem, aller Fortgang des Inhalts der Wissenschaft aus, und das Deduzieren der Fichteschen Philosophie, das Erkennen, seinem Inhalt und seiner Form nach, ist ein[410] Fortgang von Bestimmtheiten zu anderen, die nicht in die Einheit zurückkehren, oder durch eine Reihe von Endlichkeiten, die das Absolute nicht an ihnen haben. Die absolute Betrachtung fehlt, so wie ein absoluter Inhalt. Z.B. die Betrachtung der Natur ist so eine Betrachtung derselben als reiner Endlichkeiten von einem Anderen aus. So z.B. wird der organische Leib so begriffen: Das Bewußtsein braucht eine ganz eigentümliche Sphäre seiner Tätigkeit. Diese Sphäre ist gesetzt durch eine ursprüngliche, notwendige Tätigkeit des Ich, worin es sich nicht frei weiß. Es ist ein Anschauen, ein Linienziehen; dadurch wird dies angeschaut als ein im Raum Ausgedehntes. Er ist als ruhend, fortdauernd und doch als unaufhörlich sich verändernd oder als Materie gesetzt – diese als eine Menge von Teilen, so hat sie Glieder –, da die Person sich nur einen Leib zuschreiben kann, indem sie ihn setzt als stehend unter der Einwirkung einer anderen Person. Aber ebenso notwendig ist, daß ich diese Einwirkung hemmen kann; und die äußere Materie ist ebenso als auch meinen Einwirkungen in sie widerstehend, d.h. als eine haltbare, zähe Materie gesetzt. Diese zähen Materien müssen ferner abgesondert sein, – die verschiedenen Personen können nicht als ein Teig aneinanderkleben. Denn mein Leib ist mein Leib, nicht eines anderen; er soll ferner auch wirken, tätig sein, ohne daß Ich durch ihn wirkte. Erst durch Einwirkung eines anderen kann ich selbst tätig sein und stelle mich als vernünftiges Wesen dar, das von ihm respektiert werden kann; der andere soll mich unmittelbar als vernünftiges Wesen behandeln, ich soll für ihn ein vernünftiges Wesen sein, ehe ich tätig gewesen bin. D.h. meine Gestalt muß durch ihr bloßes Dasein im Raume wirken, ohne daß ich tätig wäre; d.h. sie muß sichtbar sein. Die wechselseitige Einwirkung vernünftiger Wesen soll ohne Tätigkeit aufeinander geschehen; es muß die subtile Materie[411] gesetzt werden, daß sie durch die bloße ruhende Gestalt modifiziert werde. So ist das Licht deduziert und dann ebenso die Luft.
Es ist dies ein bloßes äußerliches Fortgehen von einem zum anderen, nach der Weise der gemeinen teleologischen Betrachtung, daß die Pflanzen und Tiere zur Nahrung des Menschen vorhanden sind. Dies erhält die Wendung: der Mensch muß essen, also muß etwas Eßbares dasein, – somit sind Pflanzen und Tiere deduziert; die Pflanzen müssen in etwas stehen, – somit ist die Erde deduziert. Es fehlt dabei ganz, daß der Gegenstand betrachtet wird, was er an ihm selbst ist; er ist schlechthin nur in Beziehung auf ein Anderes betrachtet. Daher kommt der tierische Organismus als eine zähe, haltbare Materie vor, die artikuliert ist und modifiziert werden kann, Licht als eine subtile Materie der Mitteilung des bloßen Daseins usf., – wie dort Pflanze und Tier nur etwas Eßbares sind. Von philosophischer Betrachtung ist dabei keine Rede.

> Eben dies ist der Fall in Ansehung des Inhalts. Fichte hat auch Moral, Naturrecht verfaßt; er behandelt sie aber nur als Wissenschaften des Verstandes. Das Fichtesche Naturrecht stellt z.B. die Organisation des Staats auf. Diese Organisation ist gerade etwas so Geistloses, als diese Deduktion natürlicher Dinge und als manche der französischen Konstitutionen waren, die wir in neueren Zeiten sahen, -eine formale äußerliche Verknüpfung und Beziehung, worin die Einzelnen als solche als absolute gelten oder das Recht das höchste Prinzip ist. Das Allgemeine ist nicht der Geist, die Substanz des Ganzen, sondern die äußerliche, verständige, negative Gewalt gegen die Einzelnen. Der Staat ist nicht in seinem Wesen, sondern nur als Rechtszustand begriffen, d.h. eben als eine äußerliche Beziehung von Endlichen zu Endlichen. – Die Fichtesche Deduktion der rechtlichen und moralischen Begriffe bleibt gleichfalls in der[412] Schranke des Selbstbewußtseins und der Härte des Verstandes stehen, gegen die Fichtes populäre Darstellungen von Religion und Sittlichkeit Inkonsequenzen darbieten. Kant hat angefangen, das Recht auf die Freiheit zu gründen, auch Fichte macht im Naturrecht die Freiheit zum Prinzip; es ist aber wie bei Rousseau Freiheit in der Form des einzelnen Individuums. Es ist dies ein großer Anfang; aber um zum Besonderen zu kommen, haben sie Voraussetzungen machen, aufnehmen müssen. Es sind mehrere Einzelne; die ganze Ausführung des Staats hat also zur Hauptbestimmung, daß die Freiheit der Einzelnen sich durch die allgemeine Freiheit beschränken müsse. Sie bleiben immer Sprödes, Negatives gegeneinander. Das Gefängnis, die Bande werden immer größer, statt daß der Staat als Realisierung der Freiheit gefaßt werde. Es geht mit borniertem Verstande fort, das Naturrecht ist besonders mißraten; er deduziert auch die Natur, soweit er sie braucht, – das ist ideenloses Fortgehen.

##### 2. Fichtes neu umgebildetes Sytem

##### 3. Hauptformen, die mit der Fichteschen Philosophie zusammenhängen

#### D. Schelling

#### E. Result

> {#BisHierher} Bis hierher ist nun der Weltgeist gekommen. Die letzte Philosophie ist das Resultat aller früheren; nichts ist verloren, alle Prinzipien sind erhalten. Diese konkrete Idee ist das Resultat der Bemühungen des Geistes durch fast 2500 Jahre (Thales wurde 640 vor Christus geboren), - seiner ernsthaftesten Arbeit, sich selbst objektiv zu werden, sich zu erkennen:



## Related

* _[[Lectures on the Philosophy of Religion]]_

* _[[Lectures on the Philosophy of History]]_

category: reference