
+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
###Context###
#### Gravity
+--{: .hide}
[[!include gravity contents]]
=--
#### Super-Geometry
+--{: .hide}
[[!include supergeometry - contents]]
=--
=--
=--



#Contents#
* table of contents
{:toc}

## Idea

[[magic square|Magic Squares]] (MS's), arrays of [[Lie algebras]] enjoying remarkable symmetry properties under reflection with respect to their main diagonal, were discovered long time ago by [[Freudenthal magic square|Freudenthal]], Rozenfeld and Tits, and their structure and fascinating properties have been studied extensively in mathematics and mathematical physics, especially in relation to exceptional Lie algebras.

Following the seminal papers ([Gunyadin-Sierra-Townsend 83](#GunyadinSierraTownsend83), [Gunyadin-Sierra-Townsend 83](#GunyadinSierraTownsend84)) [[magic squares]]  have been related to
the generalized electric-magnetic [[U-duality]] symmetries of particular classes of [[Einstein-Maxwell theory|Maxwell-Einstein]] [[supergravity]]
theories, called _magic supergravities_. In particular, non-compact, real forms of Lie algebras, corresponding to non-compact symmetries of (super)gravity theories, have
become relevant as symmetries of the corresponding rank-3 simple [[Jordan algebras]], defined over real [[normed division algebra]] $(A = \mathbb{R}, \mathbb{C}, \mathbb{H}, \mathbb{O})$ or split $(A = \mathbb{R}, \mathbb{C}_S, \mathbb{H}_S, \mathbb{O}_S)$ composition algebras. Later on, some other MS's have been constructed in literature through the exploitation of Tits' formula. 

(from [Cacciatori-Cerchiai-Marrani 12](#CacciatoriCerchiaiMarrani12))

## Related concepts

* [[magic pyramid]]

## References

* {#GunyadinSierraTownsend83} [[Murat Gunaydin]], G. Sierra and [[Paul Townsend]], _Exceptional Supergravity Theories and the Magic Square_, Phys. Phys. Lett. B 133, 72 (1983) ([spire](http://inspirehep.net/record/192025/))

* {#GunyadinSierraTownsend84} [[Murat Gunaydin]], G. Sierra, [[Paul Townsend]], _The Geometry of $N=2$ Maxwell-Einstein Supergravity and Jordan Algebras_, Nucl.Phys. B242 (1984) 244-268

* [[Murat Gunaydin]], G. Sierra and [[Paul Townsend]], Nucl. Phys. B
253, 573 (1985).

* [[Murat Gunaydin]], S. McReynolds, M. Zagermann, _Unified N=2 Maxwell-Einstein and Yang-Mills-Einstein Supergravity Theories in Four Dimensions_, JHEP 0509:026,2005 ([arXiv:hep-th/0507227](https://arxiv.org/abs/hep-th/0507227))

* Massimo Bianchi, [[Sergio Ferrara]], _Enriques and Octonionic Magic Supergravity Models_,  JHEP 0802:054,2008 ([arXiv:0712.2976](https://arxiv.org/abs/0712.2976))

* {#CacciatoriCerchiaiMarrani12} Sergio L. Cacciatori, Bianca L. Cerchiai, Alessio Marrani, _Squaring the Magic_ ([arXiv:1208.6153](http://arxiv.org/abs/1208.6153))

* Sergio L. Cacciatori, Bianca L. Cerchiai, Alessio Marrani, _Magic coset decompositions_, Adv. Theor. Math. Phys. Volume 17, Number 5 (2013), 1077-1128. ([Euclid](https://projecteuclid.org/euclid.atmp/1408626511))

[[!redirects magic supergravities]]

[[!redirects magic supergravity theory]]
[[!redirects magic supergravity theories]]

