A good part of [[mathematics]] refers to continuous or even smooth spaces of various kinds. **Discrete mathematics** is about discrete structures: [[logic]] and [[combinatorics]] are typical fields in this domain. Basic [[algebra]] and [[set theory]] are discrete, but more advanced material deals with continuous structures. There is a good deal of overlap between discrete mathematics and [[finite mathematics]], and not every author distinguishes them. While modern number theory mixes ideas of discrete and continuous, in its original problematics most of the [[number theory]] may be considered discrete. However socially, and often in methods, modern number theory is for many closer to [[algebraic geometry]] and analysis than to combinatorics.

In $n$lab many items are dedicated to the [[foundations|foundational]] issues in **set theory** (starting with standard basic notions like [[set]], [[proper class]], [[empty set]], [[singleton]], [[subset]], [[relation]], [[reflexive relation]], [[transitive relation]], [[symmetric relation]], [[function]], [[partial function]], [[injection]], [[surjection]], [[bijection]], [[union]], [[disjoint union]], [[complement]], [[intersection]], [[symmetric difference]], [[power set]], [[pointed set]] along with more foundational items like [[axiom of choice]], [[axiom of extensionality]], [[axiom of foundation]], [[axiom of infinity]], [[Zorn's lemma]], [[well-ordering theorem]], [[decidable subset]], [[material set theory]], [[inhabited set]], [[COSHEP]], [[Markov's principle]], [[Grothendieck universe]], [[choice operator]], [[pure set]], [[hereditarily finite set]]). **Logic** also has some entries; among them are [[truth value]] or [[0-poset]], [[predicate]], [[excluded middle]], [[implication]]. We pay attention to the alternative approaches to logic and set theory, like the internal language of a [[topos]]; cf. [[Mitchell-Benabou language]], Lawvere's [[ETCS]], Nelson's [[internal set]] theory etc.  

Some other basic **discrete structures** which have their own entry in $n$lab are [[preorder]], [[order]], [[partial order]], [[total order]], [[well-order]], [[equivalence relation]], [[quotient set]], [[poset]], [[proset]], [[cyclic order]], [[semilattice]], [[lattice]], [[distributive lattice]], [[meet]], [[join]], [[supremum]], [[infimum]], [[suplattice]], [[multiset]], [[graph]], [[quiver]], [[tree]], [[filter]], [[span]], [[multispan]], [[natural number]], [[sequence]], ...

Of course, a plain old [[category]] is a discrete structure per se. 