
{:formalization: .un_remark style="border:solid #0000cc;background: #add8e6;border-width:2px 1px;padding:0 1em;margin:0 1em;"}

{:bluebox: .un_remark }

> under construction

+-- {: .rightHandSide}
+-- {: .toc .clickDown tabindex="0"}
### Context
#### Philosophy
+-- {: .hide}
[[!include philosophy - contents]]
=--
=--
=--

This page is about

* [[Georg Hegel]]

  _Wissenschaft der Logik_ ( _Science of Logic_)

  Volume 1, _The Objective Logic_,

  * The Doctrine of Being;

  * The Doctrine of Essence.

  Volume 2, _The Subjective Logic_,

  * The Doctrine of the Notion

  1812, 1831

  ([English hyperlinked version](http://www.marxists.org/reference/archive/hegel/works/hl/),
 [German hyperlinked version](http://hegel.logik.2.abcphil.de), [German html raw text version](http://www.gutenberg.org/cache/epub/6729/pg6729.html), [full text pdf-s](http://hegel.net/hegelwerke/), [Wikipedia entry](http://en.wikipedia.org/wiki/Science_of_Logic))

  English translation by A. V. Miller in 1969. More recently George di Giovanni has published a new translation, Cambridge University Press, 2010.

and about the further body of text that this is a part of, which consists of the later

* [[Georg Hegel]], _[[Enzyklopädie der Philosophischen Wissenschaften im Grundrisse]]_

  1. _Die Wissenschaft der Logik_

  1. _Die Philosophie der Natur_ / _[The Philosophy of Nature](#PhilosophyOfNature)_

  1. _Die Philosophie des Geistes_ / _[The Philosophy of Spirit](#PhilosophyOfSpirit)_

  1817, 1827, 1830, 1845

  (1830) W. Bonsiepen und H.-C. Lucas (eds.) in _Gesammelte Werke_, Rheinisch-Westfälischen Akademie der Wissenschaften, and xx. Hamburg: Felix Meiner, 1992 ( Bonsiepen/Lucas 1992) ([English hyperlinked version](http://www.marxists.org/reference/archive/hegel/sl_index.htm))

which itself subsumes, in outline, the earlier

* [[Georg Hegel]], _[[Phenomenology of Spirit|Phänomenologie des Geistes]]_, 1807

that, in turn, is claimed ([§50](#50), [§51](#51)) to be the derivation of the concept of _Science_ that the _Science of Logic_ develops.


Together these texts lay out what has come to be called _Hegel's system_ ([§1805](#1805)) (following  _[[Spinoza's system]]_ ([§1287](#1287)); Hegel himself speaks of the _system of pure reason_ [§53b](#53b)).  Notice that these texts overlap. The first part of the _[[Encyclopedia of the Philosophical Sciences]]_ , widely known as the  "Shorter Logic", covers the material of the _Science of Logic_ in more condensed but also slightly re-worked form. Similarly the topics of the _Phenomenology of the Spirit_ re-appear in condensed and slightly re-worked form inside the third piece of the Encyclopedia.

Here the _[[objective logic]]_ is not _[[logic]]_ in the usual sense -- that usual sense of logic (in fact [[Aristotle's logic]]) Hegel calls instead the _[[subjective logic]]_. The _objective logic_ is rather like the  _[[logos]]_ in the old sense of [[Heraclitus]] ([HistPhil](Heraclitus#HegelHistory1b), [Heidegger 58](#Heidegger58), [Lambek 82](#Lambek82))) or the _[[Nous]]_ in the sense of [[Anaxagoras]] ([§54](#54), [PoS pref. §55](Phenomenology+of+Spirit#Vorrede55)) or just _[[metaphysics]]_ ([§85](#85)), which Hegel views as the "[[substance|substantial]]" aspect of logic [§48](#48).

Hegel's system is meant to be the revelation of a dynamical [[ontology|ontological]] process (a diagram is [below](#Process)) of intrinsic oppositions and unifications ("Bewegung des Wissens", "Werden des Seins") by which the _[[logos (in philosophy)|logos]]_ develops from nothingness over various stages of _determinations of being_ (Seinsbestimmungen) to, roughly, _the Idea_, a kind of absolute of Plato's [[doctrine of ideas]] [§55](#55). The idea then _appears_ in the _Essence_ (erscheint im Wesen), next _externalizes_ itself in the form of _Nature_, where, eventually, embodied now as the soul [PN§308](#PN308) of nature ([[nous]]) and of its life forms, it grows into the concious and then self-concious _Spirit_. Eventually by introspection the Spirit recovers this dynamical process of being inside itself (and so the system reiterates [§1812](#1812), [§1814](#1814)).

Other philosophical systems, Hegel claims (see also ([[Lectures on the History of Philosophy|Lect Hist Phil]], [Result](Lectures+on+the+History+of+Philosophy#BisHierher))), are subsumed by and find their place in his more comprehensive and "scientific" system, notably

* [[Parmenides]]' _[[being]]_

* [[Heraclitus]]'s _[[becoming]]_ and the _[[logos (in philosophy)|logos]]_ ([HistPhil](Heraclitus#HegelHistory1b)),

* [[Plato]]'s [[doctrine of ideas]] as "actualized" by [[Aristotle]] ([HistPhil](doctrine+of+ideas#HegelPerspective)),

* [[Zeno]]'s, [[Plato]]'s/[[Parmenides]]'s and [[Kant]]'s _[[dialectics]]_ ([§62](#62), [§63](#§63), [LectHistPhil](Zeno#HegelHistory1), [LectHistPhil-Dialectics](Lectures%20on%20the%20History%20of%20Philosophy#PlatoDialectic)),

* [[Aristotle]]'s term logic of concepts with deduction by [[syllogism]];

* [[Aristotle]]'s and [[Kant]]'s [[category (philosophy)|categories]] ([§126](#126), [§127](#127), [§864](#864)).

* [[Timaeus]]' cosmogeny from _Something_ and _Other_ [EL§92Zusatz](#EL92Zusatz)

* [[Descartes]]' mechanism ([LectHistPhil-Descartes](Lectures+on+the+History+of+Philosophy#DescartesMechanism));

* [[Spinoza]]'s _[omnis determinatio est negatio](https://de.wikipedia.org/wiki/Determinatio)_ (Hegel's [determinate negation](#DeterminateNegation)) [EL§91ZusatzA](#EL91ZusatzA)

* [[Spinoza]]'s [[Spinoza's system|system]] of _[[substance]]_ ([§1287](#1287));

* [[Descartes]]' [ontological argument](http://plato.stanford.edu/entries/descartes-ontological/) for a notion that implies its own objective existence ([§1530b](#1530b), [§1530c](#1530c))

* [[Descartes]]'s and [[Fichte]]'s _schlechthin unbedingter [erster Grundsatz](Grundlage+der+gesamten+Wissenschaftslehre#ErsterGrundsatz)_ ([LectHistPhil-Descartes](Lectures+on+the+History+of+Philosophy#DescartesSchlechthingGewiss), [LectHistPhil- Fichte](Lectures+on+the+History+of+Philosophy#FichteIchDasErste)), the pure conciousness of the I (which is Hegel's very _Notion_ [§1291b](#1291b))

* [[Fichte]]'s principle that philosophy should be _deriving_ determinations  ([LectHistPhil-Fichte](Lectures+on+the+History+of+Philosophy#FichteVorzugWissenschaft)) by "[[speculation]]" ([LectHistPhil-Descartes](Lectures+on+the+History+of+Philosophy#DescartesNonSpeculative))

Also there is some serious [[structuralism]] (e.g. [§1065a](#1065a)) in the _Science of Logic_.

{#Hermeticism} Where Hegel speaks of his system as being _science_ "Wissenschaft" (e.g. [PdGVorrede§5](Phenomenology+of+Spirit#Vorrede5)), and _[[phenomenology]]_ and where he refers to its _[dialectic method](#DialektischeMethode)_  [§62](#62), [§63](#63) this is to claim that the _process_ is indeed being systematically derived and proven ([§50](#50), [[Encyclopedia of the Philosophical Sciences|EncPreface1stEd]]) in fact being observed [PdGPreface15](#PdGPreface15) as the _Arbeit des Begriffs_ ([PhenVorr](Phenomenology+of+Spirit#ArbeitDesBegriffs)) -- but by "supersensuous inner intuition" [§1786a](#1786a). This _observation = speculari_ is what the term _[[speculative philosophy]]_ for this school of thought refers to.   Therefore Hegel is speaking to some extent in a mystic or gnostic tone, revealing truths by the way of a seer, following the similarly mysterious second part of [[Plato]]'s [[Parmenides dialogue]], [§357](#357). One may hence argue that this is not so much [[philosophy]] as [[mysticism]] ([§3](#3), [Enc§82d](#Enc82d), [Russell 45](#Russell45), [Copleston 71](#Copleston71), [Stanfield 14](#Stanfield14)), [[gnosticism]] ([Bauer 1835](#Bauer35)) or [[hermeticism]] ([Magee 01](#Magee01)).
Indeed, in [PhenGeistVorrede]() and in [§8](#8), [§9](#9), [§10](#10), [§11](#11), [§50](#50), [§51](#51), [§52](#52), [§53a](#53a), [§53b](#53b) Hegel explains that the _Phenomenolgy of the Spirit_ is to be regarded as the "first part of the system" in that it establishes the necessary spiritual background to embark on the intellectual project of the _Science of Logic_, that a spirit which is to see and follow the speculative dialectics and the "work on the notion" that is the content of the _Science of Logic_ needs to previously have worked itself through the stages all the way starting from sensual perception, conciousness, reason, via moral and intellectual education, through various stages of religion, to finally achieve the stage of "absolute knowledge".
Apparently not actually expecting that all his readers prepare themselves accordingly, Hegel at times pauses to comment on the incomprehensibility of his very text (e.g. the _[Incomprehensibility of the beginning](#IncomprehensibilityOfTheBeginning)_, the life of the Notion in the Idea and the nature of the Soul [§1648](#1648), or matter being the unity of space and time _[PN§261b](#PN261b)_), much like the mystic [[Meister Eckhart]] [did](Meister+Eckart#UnverhuellteWahrheit) in his texts on the union of the soul with god. Hegel explicitly acknowledges accomplishments of gnosticism and mysticism for philosophy ([[Encyclopedia of the Philosophical Sciences|EncPreface2ndEd]]), but indicates there that he regards his system as more refined. In the [preliminaries](Lectures+on+the+Philosophy+of+Religion#Preliminaries) to his _[[Lectures on the Philosophy of Religion]]_ Hegel states that [[philosophy]] and _religion_ have the same subject, fall together, both are "worship" of the "eternal truth in its very objectivity", just by different means.

In any case, this means that, in an ironic meta-contradiction, the harder Hegel tries, by his own account, to make philosophy a _science_, to make it _logical_ and to root it in _observation_, the further he may seem to depart from what is "commonly" understood by these very words and to indulge in the opposite activity.

Accordingly, after a phase of great popularity in the philosophical community of the 19th century ("[[German idealism]]", [§316](#316)), Hegel's system has variously (see [here](Georg+Hegel#PerceptionOfHegelsPhilosophy) for examples) been rejected and outright ridiculed, famously so by [[Bertrand Russell]] in _[[Logic as the Essence of Philosophy]]_ and in _[[A History of Western Philosophy]]_, as being obfuscating and in fact nonsensical (e.g. already [Grassmann 1844, p. xv](#Grassmann1844) whose introduction however speaks entirely in a Hegel-like tone, then later for instance [Carnap 32](http://www.gleichsatz.de/b-u-t/trad/carn1a.html#dies)). Following the lead of Russell, the whole field of _[[analytic philosophy]]_ defined itself -- in what is known as the "[revolt against idealism](http://en.wikipedia.org/wiki/Bertrand_Russell%27s_views_on_philosophy#Analytic_philosophy)" -- to a large extent in opposition to Hegels _[[absolute idealism]]_ (and more generally to "continental philosophy"), and aimed, in contrast, for undisputable clarity of argument, optimally by use of formalized [[predicate logic]]. Indeed Hegel's system clearly defies any attempt to formalize it in predicate logic. Hegel was aware of this, but insisted:

> [§1798](#1798)  formal thinking lays down for its principle that contradiction is unthinkable; but as a matter of fact the thinking of contradiction is the essential moment of the Notion.

However, there is more to formal logic than plain predicate logic. [[foundations|Foundational]] systems of [[categorical logic]] and of [[type theory]] (which happens to have its roots in ([Russell 08](type+theory#Russell08))) subsume first-order logic but also allow for richer [[category theory|category-theoretic]] [[universal constructions]] such as notably [[adjunctions]] and [[modal operators]] (see at _[[modal type theory]]_). That [[adjunctions]] stand a good chance of usefully formalizing recurring themes of _[[duality]]_ (of opposites) in philosophy was observed in the 1980s ([Lambek 82](#Lambek82)) notably by [[William Lawvere]]. Since then, Lawvere has been proposing (review includes [Rodin 14](#Rodin14)), more or less explicitly and apparently ([Lawvere 95](#Lawvere95)) inspired by ([Grassmann 1844](#Grassmann1844)), that at least some key parts of Hegel's _Logic_, notably his concepts of _[[unity of opposites]]_, of _[[Aufhebung]]_ (sublation) and of _[[abstract general, concrete general and concrete particular]]_ as well as the concepts of _[[objective logic]]_ and _[[subjective logic]]_ as such ([Law94b](#Lawvere94b)) have an accurate, useful and interesting formalization in [[categorical logic]]. Not the least, the concept and terminology of _[[category]]_, _[[modality]]_, _[[theory]]_ and _[[doctrine]]_ matches well under this translation from [[philosophy]] to [[categorical logic]].

[[Lawvere]] also proposed formalizations in [[category theory]] and [[topos theory]] of various terms appearing prominently in Hegel's _[[Encyclopedia of the Philosophical Sciences|Philosophy of Nature]]_, such as the concept of _[[intensive or extensive quantity]]_  and of _[[cohesion]]_. While, when taken at face value, these are hardly deep concepts in [[physics]], and were not at Hegel's time, in Lawvere's formalization and then transported to [[homotopy type theory]] (as [[cohesive homotopy type theory]]), they do impact on open problems in fundamental physics and even in pure mathematics (see also at _[Have professional philosophers contributed to other fields in the last 20 years?](http://philosophy.stackexchange.com/a/9814/5473)_), a feat that the comparatively simplistic mathematics that is considered in [[analytic philosophy]] seems to have little chance of achieving.

> [Lawvere 92](#Lawvere92): It is my belief that in the next decade and in the next century the technical advances forged by category theorists will be of value to dialectical philosophy, lending precise form with disputable mathematical models to ancient philosophical distinctions such as general vs. particular, objective vs. subjective, being vs. becoming, space vs. quantity, equality vs. difference, quantitative vs. qualitative etc. In turn the explicit attention by mathematicians to such philosophical questions is necessary to achieve the goal of making mathematics (and hence other sciences) more widely learnable and useable. Of course this will require that philosophers learn mathematics and that mathematicians learn philosophy.




+-- {: bluebox #nPOVRemark}
###### nPOV

Therefore, while going through Hegel's text, this page here attempts to spell out as much as seems possible the translation of the system to a [[category theory|category-theoretic]] or [[modal type theory|modal]] [[type theory|type-theoretic]] formalization (an "[[nPOV]]"). The way this formalization works in general is surveyed below in _[Formalization in categorical logic / in Modal type theory](#FormalizationText)_;  a dictionary version of the formalization that we arrive at is in  _[The formalization dictionary](#FormalizationDictionary)_; and diagram showing the resulting process is in _[Survey diagram](#OverviewOfTheFormalizationProcess)_.

=--



#Contents#
* table of contents
{:toc}


## Formalization in Categorical logic / in  Modal homotopy type theory
 {#FormalizationText}

We introduce and survey here the formalization of Hegel's Logic
in [[categorical logic]]/[[type theory]], in the vein of the [above remark](Science+of+Logic#nPOVRemark),
which is discussed incrementally in the main text below.

We survey the matching of the formalization to Hegel's text in.

1. _[Formalization dictionary](#FormalizationDictionary)_

1. _[Survey diagram](#OverviewOfTheFormalizationProcess)_


All this appears below in three stages,

1. in the Seinslogik at around [§714](#714), where the modalities are implemented in a bare [[homotopy type theory]];

1. then "reflected" in the Wesenslogik around [§989](#989), where the type theory is now equipped with a [[type universe]] and where every modality $Mod$ now has a "reflection" $'Mod'$ in the type universe;

1. then "externalized" in Nature, given by a [[model]]  $\rho$ of this [[modal type theory]] on a particular [[(infinity,1)-topos]] $\mathbf{H}$, where now every abstract modality $Mod$ has a representation $\rho(Mod)$ as an actual [[(infinity,1)-comonad]] on $\mathbf{H}$.


#### Subjectivity
 {#FormalizationConcepts}

##### Concept
 {#ConceptFormalization}

[[nLab:homotopy type theory|Homotopy type theory]] as such ([UFP 13](#UFP13)) is a logic of [[nLab:types]], of (mathematical) concepts ([Martin-Löf 73, 1.1](#MartinLoef73), [Martin-Löf 90, p.1](#MartinLoef90), [Martin-Löf 93](#MartinLoef93), [Primiero 08](#Primiero08), [Asher 11](#Asher11), [Ladyman & Presnel 14](#LadymanPresnel14)). (References which recall that the modern "type" is a contraction of "type of mathematical concepts" include for instance also  ([Sale 77, p. 6](#Sale77)).

With the [[nLab:univalence axiom]] for [[homotopytypetheory:universe|weakly Tarskian]] [[nLab:type universes]] included -- which says that this essence appears properly reflected within itself -- then its [[nLab:interpretation]] via [[nLab:categorical semantics]] is in [[nLab:elementary (infinity,1)-topos|elementary]] [[nLab:(infinity,1)-toposes|homotopy toposes]] ([Shulman 12a](#Shulman12a), [Shulman 12b](#Shulman12b), [Shulman 14](#Shulman14)). These are the _[[nLab:models]]_ of homotopy type theory. Conversely, homotopy type theory is the [[nLab:internal language]] of [[nLab:(infinity,1)-toposes|homotopy toposes]], hence the latter are its "externalization". This way homotopy type theory overlaps much with (higher) _[[nLab:categorical logic]]_. See at _[[nLab:relation between type theory and category theory]]_ for more background on this.

Accordingly, since it is more immediately readable, we display mostly categorical expressions in the following, instead of the pure type theoretic [[nLab:syntax]].


##### Judgement
 {#JudgementInFormalization}

The earliest formulation of a logic of concepts is arguably [[nLab:Aristotle's logic]], which famously meant to reason about the relation of concepts such as "human" and "mortal". We consider now a natural formalization of at least the core intent of Aristotle's logic in dependent homotopy type theory.


Formalizations of Aristotle's logic in categorical logic or type theory has previously been proposed in ([LaPalmeReyes-Macnamara-Reyes 94, 2.3](#PalmeReyesMacnamaraReyes94)) and in ([Pagnan 10, def. 3.1](#Pagnan10)). The formalization below agrees with these proposal in the identification of the Aristotlean judgement "All $B$ are $A$" with the type-theoretic judgement "$\vdash f \colon B\to A$", and with the identification of [[nLab:syllogisms]] with composition of fuch function terms.


**All $B$ are $A$.**

If $C$ is a concept, a [[nLab:type]], then a [[nLab:judgement]]

$$
  c \colon C
$$

says that $c$ is an instance of the concept $C$, or that $c$ is a [[nLab:term]] of type $C$.

For instance if $\mathbb{N}$ is the concept of [[nLab:natural numbers]], then the judgement $n \colon \mathbb{N}$ says that $n$ is a natural number. Clearly here the "concept" $\mathbb{N}$ may just as well be thought of as the [[nLab:set]] of all its instances.

Given concepts/types $A$ and $B$, there is the concept of maps between them, the [[nLab:function type]] $B\to A$. In the [[nLab:categorical semantics]] this is the [[nLab:internal hom]].

The judgement that there is a [[nLab:function]], hence an instance $f$ of the concept of functions

$$
  f \colon B \longrightarrow A
$$

says that $f$ is a rule that takes instances/terms of $B$ to instances/terms of $A$. At least if this is a [[nLab:monomorphism]] $f \colon B \hookrightarrow A$ (so that the corresponding $a\colon A \vdash f^{-1}(a)$ is a [[nLab:proposition]]) then this says in words that $f$ witnesses the fact that

> All instances of $B$ are instances of $A$.

or for short just

> All $B$ are $A$

hence that if $A$ is das **A**llgemeine (general, universal) concept then $B$ is das **B**esondere (special, particular) concept.

This formalization of Aristotle's "All $B$ are $A$" in [[nLab:categorical logic|categiorical logic]]/[[nLab:type]] has been proposed in ([LaPalmeReyes-Macnamara-Reyes 94, 2.3](#PalmeReyesMacnamaraReyes94)), where it is attributed to [[nLab:William Lawvere]], and in ([Pagnan 10, def. 3.1](#Pagnan10)).


Notice that the choice of $f$ here is an important part of the formalization which is missing in Aristotle's informal logic and causing ambiguity there.

For instance all [[nLab:natural numbers]] are [[nLab:real numbers]], but there are many inequivalent [[nLab:subgroup]] inclusions $\mathbb{Z}\hookrightarrow \mathbb{R}$ realizing this. For the purposes of [[nLab:prequantum field theory]] these choices correspond to the choice of [[nLab:Planck's constant]] (see the discussion there).

Similarly, once we have that the informal "All $B$ are $A$." is formalized by a map of types, we see further refinement of the ancient logical notion.

First, the meaning of $B$,$A$ may depend on some [[nLab:context]] $C$. Leaving that implicit is arguably the greatest source of ambiguity in Aristotle's logic. But it is easily fixed while staying true to the original intention: in general $B$ and $A$ are to be taken as $C$-[[nLab:dependent types]]. Then the intended meaning of _All $B$ are $A$._ is expressed by the [[nLab:dependent product]] over the function type formed in context $C$

$$
  f\colon \underset{C}{\prod} (B \longrightarrow A)
  \,.
$$

Second, if $f$ is not a [[nLab:monomorphism]] it still expresses the fact that for every instance of $B$ there is a corresponding instance of $A$. Hence in general, we should further specify if $f$ is an [[nLab:n-truncated objects in an (infinity,1)-category|n-truncated morphism]]. This is a general phenomenon in passing to higher homotopy types: the [[nLab:(epi, mono) factorization system]] on [[nLab:homotopy 0-types]] refines to a tower of [[nLab:(n-connected, n-truncated) factorization system|(n-epi, n-mono) factorization systems]] for all natural numbers $n$.

**Individual $E$ is $B$.**

There is the [[nLab:unit type]]

$$
  E = \ast
$$

of which there is a unique instance, das **E**inzelne (individual). As a concept, this may be regarded as the concept of pure [[nLab:being]]: since any two instances of the concept $E$ just purely are, there is no distinction and hence there is a unique instance.

Hence a function of the form $E \longrightarrow B$ is equivalently an instance/term $b$ of $B$. In words this says that

> The individual $b$ is an instance of the general concept $B$.

of for short just

> Individual $b$ is $B$.

There is the [[nLab:identity type]] $b = b$, which expresses the concept that $b$ is [[nLab:equivalence|equivalent]] to itself.

The single [[nLab:introduction rule]] for [[nLab:identity types]] gives for all $X$ the statement that there is indeed an instance of this concept

$$
  r_b \colon b = b
  \,.
$$

The [[nLab:categorical semantics]] of $(b = b)$ is the [[nLab:loop space object]] $\Omega_b B$, which is canonically a [[nLab:pointed object]] via the constant loop $id_n \colon \ast \to \Omega_b B$.

Under composition of loops, this object canonically carries the structure of an [[nLab:infinity-group]].

+-- {: .num_prop #LoopingDeloopingTheorem}
###### Proposition

In any [[nLab:(infinity,1)-topos|homotopy topos]] $\mathbf{H}$, the operation of forming [[nLab:loop space objects]] constitutes an [[nLab:equivalence of (infinity,1)-categories]]

$$
  Grp(\mathbf{H})
   \stackrel{\overset{\Omega}{\longleftarrow}}{\underset{\mathbf{B}}{\longrightarrow}}
  \mathbf{H}^{\ast/}_{\geq 1}
$$

between [[nLab:infinity-groups]] in $\mathbf{H}$ and [[nLab:pointed objects|pointed]] [[nLab:n-connected object in an (infinity,1)-topos|connected]] objects in $\mathbf{H}$.

=--

The inverse equivalence $\mathbf{B}$ is called _[[nLab:delooping]]_. See at _[[nLab:looping and delooping]]_ for more.

Now in [[nLab:homotopy type theory]] and in [[nLab:elementary (infinity,1)-topos|elementary (infinity,1)-toposes]], the definition of [[nLab:infinity-groups]] as grouplike [[nLab:A-infinity algebras]] is not available, since the latter is not a finitary concept. But by prop. \ref{LoopingDeloopingTheorem} the concept also has a simple finitary equivalent incarnation, which is available in [[nLab:homotopy type theory]]: we may _identify_ an [[nLab:infinity-group]] $G$ with its pointed connected delooping type $\mathbf{B}G$.

Indeed this is most useful: homotopy type theory in the [[nLab:context]] of $\mathbf{B}G$ is the [[nLab:infinity-representation|infinity]]-[[nLab:representation theory]] of $G$:

[[!include homotopy type representation theory -- table]]

([NSS](#NSS), [dcct](#dcct))

**Some $B_1$ is $B_2$.**

In order to formalize judgements of [[nLab:intersection]] of concepts of the form

> Some $B_1$ is $B_2$.

it is necessary to specify a [[nLab:context]]. Regard both $B_1$ and $B_2$ as [[nLab:dependent types]] witnessed by [[nLab:display maps]]

$f_i \colon B_i \longrightarrow C$

to a common context $C$. Then the [[nLab:product type]] in context, hence, in the [[nLab:categorical semantics]], the [[nLab:homotopy fiber product]]

$$
  B_1 \underset{C}{\times} B_2
$$

is the type whose terms are the "some" instances of $B_1$ which are also instances of $B_2$, and vice versa. Indeed, the fiber product canonically sits in the [[nLab:homotopy pullback]] [[nLab:diagram]]

$$
  \array{
    B_1 \underset{C}{\times} B_2
    &\longrightarrow&
    B_2
    \\
    \downarrow && \downarrow
    \\
    B_1 &\longrightarrow& C
  }
$$

and if we read $B_1 \underset{C}{\times} B_2$ as "some $B_1$" then according to the previous paragraph the top morphism expresses that "all of these particular $B_1$ (but not necessarily all of $B_1$ itself) are $B_2$".

+-- {: .num_example #PrincipalBundlesAsJudgements}
###### Example
**(principal infinity-bundles as judgements)**

Specifically if $C = \mathbf{B}G$ here is [[nLab:pointed object|pointed]] via a map from $B_2 = E = \ast$, and [[nLab:n-connected object in an (infinity,1)-topos|connected]], hence equivalently the [[nLab:delooping]] of its [[nLab:infinity-group]] $G$ of [[nLab:loop space object|loops]], then (writing now $B$ for $B_1$) a map of types

$$
  c \colon B \longrightarrow \mathbf{B}G
$$

may be thought of as a [[nLab:cocycle]] on $B$ with [[nLab:coefficients]] in $G$, representing a class in the [[nLab:nonabelian cohomology]] of $B$. See at _[[nLab:cohomology]]_ for more on this general concept of cohomology.

In this case the [[nLab:homotopy fiber]] of $f$ is the $G$-[[nLab:principal infinity-bundle]] $P \to B$ classified by $f$, fitting into the [[nLab:homotopy pullback]] square.

$$
  \array{
    P &\longrightarrow& E
    \\
    \downarrow && \downarrow
    \\
    B &\stackrel{c}{\longrightarrow} & \mathbf{B}G
  }
$$

Via the above translation this is an Aristotlean judgement of the form "Some $B$ are $E$" in the context of $\mathbf{B}G$.

=--




**Summary**

In summary we have that basic judgements in Aristotle's logic, when some implicit assumptions are made explicit and the broad intention is retained, are naturally taken to be formalized in [[nLab:type theory]] as combinations of a [[nLab:type former]] and a [[nLab:judgement]] asserting a [[nLab:term]] of that type, as follows.

| [[nLab:Aristotle's logic]] | formal [[nLab:syntax]] |  [[nLab:type theory]] |
|----------------------------|----------------------|---|
| concept                 |  $C$                 |  [[nLab:type]] |
| judgement                  |  $c \colon C$ | typing [[nLab:judgement]] |
| All $B$ are $A$.           | $f \colon B \longrightarrow A $ | [[nLab:function type]] |
| Some $B_1$ is $B_2$.       | $s \colon B_1 \underset{C}{\times} B_2$ | [[nLab:product type]] |
| Individual $E$ is $B$.     | $e \colon E \to B$ | [[nLab:unit type]]/[[nLab:global element]] |




##### Deduction

**The figure $E-B-A$**

Functions may be [[nLab:composition|composed]]. Given $b \colon E \to B$ and $f \colon B \to A$, then their composite is a function $f b \colon E \to A$. In type theory this is an example of [[nLab:natural deduction]] ([[nLab:cut elimination]]), in words this is a [[nLab:syllogism]]

> All $B$ are $A$.

> Individual $E$ is $B$.

Hence

> Individual $E$ is $A$.

$$
  \begin{aligned}
    f & \colon B \longrightarrow A
    \\
    b & \colon E \longrightarrow B
    \\
    f b & \colon E \longrightarrow A
  \end{aligned}
$$

**The figure $B-B-A$**

Analogously, the [[nLab:categorical semantics]] for

> Some $B_1$ is $B_2$.

> All $B_2$ is $A$.

Hence

> Some $B_1$ is $A$.

(all in some [[nLab:context]] $C$) is given by the horizontal composite in [[nLab:diagrams]] of the form

$$
  \array{
     B_1 \underset{C}{\times} B_2 &\longrightarrow& B_2 &\longrightarrow& A
     \\
     \downarrow && \downarrow & \swarrow
     \\
     B_1 &\longrightarrow& C
  }
  \,.
$$

Or rather, this composite map will factor through $B_1 \underset{C}{\times} A$ and the resulting map to $A$ gives 'Some $B_1$ is $A$'.

We may also treat negative propositions, such as

> No $B_1$ is $B_2$,

which may be represented by an arrow  $B_1 \underset{C}{\times} B_2 \to 0$. Then, if we have 'All $A$ is $B_2$', there will be a map from the pullback $B_1 \underset{C}{\times} A$ to $B_1 \underset{C}{\times} B_2$, and so to $0$.

This corresponds to the syllogism

> No $B_1$ is $B_2$

> All $A$ is $B_2$

Hence,

> No $B_1$ is $A$.


#### The method (absolute Idea)

What is not present in such bare homotopy type theory is determination of further qualities of types. For instance for [[nLab:synthetic mathematics|synthetically]] formalizing [[nLab:physics]] one needs that types have [[nLab:Euclidean-topological infinity-groupoid|topological]] and moreover [[nLab:higher differential geometry|differential geometric]] qualities to them. Some [[nLab:categorical semantics|externalizations]] of homotopy type theory exhibit these, others do not. We now consider adding axioms to homotopy type theory that narrow it in on those [[nLab:models]] that do exhibit further quality in addition to the pure being of types.


**Moments**

A general abstract way to express a kind of quality carried by types is to posit a _projection_ operation $\bigcirc$ that projects out the _moment of pure such quality_.

For instance for formalizing realistic physics one needs to determine _[[nLab:boson|bosonic]]_ and _[[nLab:boson|fermionic]]_  moments (we come to this [below](#Externalization)), and one way of doing so is by considering a [[nLab:projection]] operation that projects every space of fields to its purely bosonic [[nLab:body]] (lemma \ref{SequenceOfSites} below).

Generally, for $X$ a type, then $\bigcirc X$ is to be the result of projecting out some pure quality of $X$. This being a projection means that $\bigcirc X  \simeq \bigcirc \bigcirc X$. For this to be [[nLab:constructive]], we need to specify a specific comparison map that gives this equivalence. Hence we say a _moment projection_ is an operation $\bigcirc$ on the type system together with [[nLab:natural transformation|natural functions]] $X \to \bigcirc X$ such that $\bigcirc(X \to \bigcirc X)$ is an [[nLab:equivalence]] $\bigcirc \stackrel{\simeq}{\longrightarrow} \bigcirc \bigcirc X$.

In categorical semantics this means essentially that $\bigcirc$ is an _[[nLab:idempotent monad]]_ on the type system $\mathbf{H}$.

Alternatively we may ask for a comparison map the other way around, $\Box X \longrightarrow X$, such that $\Box(\Box X \longrightarrow X)$ is an equivalence. In [[nLab:categorical semantics]] this means essentially that $\Box$ is an [[nLab:idempotent comonad]].

+-- {: .num_defn #Moments}
###### Definition

A _moment_ on (or in) a type system $\mathbf{H}$ is

* an [[nLab:idempotent monad]] $\bigcirc \colon \mathbf{H} \to \mathbf{H}$

or

* an [[nLab:idempotent comonad]] $\Box \colon \mathbf{H} \to \mathbf{H}$.

Given a moment, we write

$$
  \mathbf{H}_{\bigcirc, \Box} \hookrightarrow \mathbf{H}
$$

for the inclusion of its image, which we think of as the collection of those types that exhibit the moment purely (conversely these define the kind of moment as whatever quality it is that they all exhibit purely).

=--

+-- {: .num_remark }
###### Remark

This is a language construct natural and familiar also from the point of view of [[nLab:computational trinitarianism]], see at _[[nLab:monad (in computer science)]]_.

Further, it makes sense to refer to moments $\Box,\;\bigcirc$ also as _[[nLab:modal operators]]_ or just _[[nLab:modalities]]_ for short, and speak of type theory equipped with such operators as _[[nLab:modal type theory]]_, a type-theoretic refinement of [[nLab:modal logic]]. In this language the types in $\mathbf{H}_{\Box}$ are the $\Box$-_[[nLab:modal types]]_.

=--

+-- {: .num_remark #MomentsAndSimilarity}
###### Remark

A moment $\bigcirc$ or $\Box$ may be thought of as encoding a concept of _similarity_: as the operator projects out some details of the quality of a type and only retains some pure moment, it coarse-grains the nature of a type to some extent. Hence two types $X$ and $Y$ may be different but "similar with respect to $\bigcirc$-quality" if their images under $\bigcirc$ are equivalent:

$$
  (X \,similar_{\bigcirc}\, Y)
  \coloneqq
  (\bigcirc(X) \,= \, \bigcirc(Y))
$$

(where on the right we have an [[nLab:identity type]] of the [[nLab:type universe]]).

=--

Example of this are made explicit below as example \ref{SimilarityWithRespectToPureBeing}, example \ref{ShapeAsAConceptOfSimilarity}.


+-- {: .num_prop #bigcircpureObjectsAreEMObjects}
###### Proposition

The category $\mathbf{H}_{\bigcirc}$ is equivalently the [[nLab:Eilenberg-Moore category]] of $\bigcirc$.

=--

This is a standard fact in [[nLab:category theory]], see at _[idempotent monad -- Algebras]( idempotent+monad#AlgebrasForAnIdempotentMonad)_.

+-- {: .num_remark #PurityForNonIdempotent}
###### Remark

Prop. \ref{bigcircpureObjectsAreEMObjects} means that we may naturally make sense of "pure qualtity" also for ([[nLab:comonad|co-]])[[nLab:monads]] that are not [[nLab:idempotent monad|idempotent]], the pure types should be taken to be the "[[nLab:algebras over a monad|algebras]]" over the monad.

=--

A single moment $\Box$ or $\bigcirc$ may be [[nLab:categorical semantics|interpreted]] as most anything, since it is not further determined yet. One now observes that there is an intrinsic, self-propelling way to further determine such abstract moments, by asking for their _opposite_ and for their _negative_ moments.

**Opposites**

+-- {: .num_defn  #UnityOfOpposites}
###### Definition
**(unity of opposites)**

The _opposite_ of a moment $\bigcirc$, def. \ref{Moments} is, if it exists, another moment $\Box$ in [[nLab:adjunction]] with it,

1. either $\bigcirc$ [[nLab:left adjoint]] to $\Box$ and such that there is an [[nLab:adjoint triple]]

   $$
     \mathbf{H}_{\Box}\simeq H_{\bigcirc}
     \stackrel{\hookrightarrow}{\stackrel{\longleftarrow}{\hookrightarrow}}
     \mathbf{H}
   $$

   which we denote by

   $$
     \Box \dashv \bigcirc
   $$

1. or [[nLab:right adjoint]] to it with

   $$
     \mathbf{H}_{\Box}\simeq \mathbf{H}_{\bigcirc}
     \stackrel{\longleftarrow}{\stackrel{\hookrightarrow}{\longleftarrow}}
     \mathbf{H}
   $$

   which we denote by

   $$
     \bigcirc \dashv \Box
     \,.
   $$

(We always display [[nLab:adjoint functors]] with the [[nLab:left adjoint]] on top and its [[nLab:right adjoint]] beneath.)

We say that the [[nLab:adjunction]] itself is the _[[nLab:unity of opposites]]_, and we indicate this by labels as in

$$
  \stackrel{moment}{} \Box \stackrel{unity \atop {of\,opposites}}{\dashv} \bigcirc \stackrel{opposite\;moment}{}
  \,.
$$

=--

+-- {: .num_remark }
###### Remark

In [[nLab:categorical semantics]] an opposition of moments, def. \ref{UnityOfOpposites},

* of the form $\Box \dashv \bigcirc$ defines an [[nLab:essential geometric morphism|essential]] [[nLab:subtopos]], the image of $\bigcirc$. This is also called a _[[nLab:level of a topos]]_.

* of the form $\bigcirc \dashv \Box$ defines a [[nLab:bireflective subcategory]] (in the sense of: [[nLab:reflective subcategory|reflective]] and [[nLab:coreflective subcategory]]).

=--

It is fairly familiar from the practice of [[nLab:category theory]] that [[nLab:adjunctions]] express oppositions. The following example is drawn from [[nLab:arithmetic]] and is meant to illustrate this in a familar context, but the actual examples that we will be concerned with are more fundamental.

+-- {: .num_example }
###### Example

Consider the two inclusions $even, odd \colon (\mathbb{Z},\lt ) \hookrightarrow (\mathbb{Z},\lt)$ of the even and the odd integers, i.e. the maps $n \mapsto 2 n$ and $n \mapsto (2n+1)$, respectively.

$$
  \mathbb{Z}
  \stackrel{\overset{even}{\hookrightarrow}}{\stackrel{\longleftarrow}{\underset{odd}{\hookrightarrow}}}
  \mathbb{Z}
$$

Both are adjoint to the operation of forming the $floor$ of the result of dividing by two, this is right adjoint to the inclusion of even numbers, and left adjoint to the inclusion of odd numbers.

$$
  \array{
    \stackrel{even}{} & \Box &\dashv& \bigcirc & \stackrel{odd}{}
  }
$$

=--

This has been considered in ([Lawvere 00](http://ncatlab.org/nlab/show/Aufhebung#Law00))

+-- {: .num_example }
###### Example

Consider the inclusion $\iota \colon (\mathbb{Z}, \lt) \hookrightarrow (\mathbb{R}, \lt)$ of the [[nLab:integers]] into the [[nLab:real numbers]], both regarded [[nLab:linear orders]]. This inclusion has a [[nLab:left adjoint]] given by $ceiling$ and a right adjoint given by $floor$. The composite $Ceiling \coloneqq \iota ceiling$ is an [[nLab:idempotent monad]] and the composite $Floor \coloneqq \iota floor$ is an [[nLab:idempotent comonad]] on $\mathbb{R}$. Both express a _moment of integrality_ in an real number, but in opposite ways, each real number $x\in \mathbb{R}$ sits in between its floor and celling

$$
  Floor(x) \lt x \lt Ceiling(x)
  \,.
$$

$$
  \array{
     \stackrel{ceiling}{} &\bigcirc &\dashv& \Box & \stackrel{floor}{}
  }
  \,.
$$

=--

This example highlights that:

+-- {: .num_remark #TheTwoKindsOfOpposites}
###### Remark

There is an opposition between the two kinds of opposition here:

1. $(\Box \dashv \bigcirc)$ -- Here are two different opposite "pure moments" .

1. $(\bigcirc \dashv \Box)$ -- Here is only one pure moment, but two opposite ways of projecting onto it.

=--


**Determinate negation**
 {#DeterminateNegation}

> EL$92Zusatz Negation ist das, was wir Grenze heißen. Etwas ist nur in seiner Grenze und durch seine Grenze das, was es ist.

<div style="float:right;margin:0 10px 10px 0;"><img src="https://upload.wikimedia.org/wikipedia/commons/thumb/7/74/Cup_or_faces_paradox.svg/450px-Cup_or_faces_paradox.svg.png" width="300"></div>

If $\Box X$ is a pure moment found inside $X$, then it makes to ask for its _complement moment_ or its _negative_

+-- {: .num_defn #NegativeMoment}
###### Definition

The _negative_ of a comonadic moment $\Box$ is what remains after taking away the piece of pure $\Box$-quality, hence is the [[nLab:cofiber]] of the [[nLab:counit of a comonad|counit map]]:

$$
  \overline{\Box}(X) \coloneqq cofib(\Box X \to X)
  \,.
$$

=--

The intuitive meaning suggests to ask whether this kind of negation of determinations is faithful in that there is no $\Box$-moment left in the negative $\overline{\Box}$, hence whether

$$
  \Box \overline{\Box} \simeq \ast
  \,.
$$

In general there is no reason for this to be the case. But if $\Box$ also has an opposite in the sense of def. \ref{UnityOfOpposites}, then one of the two opposite moments is left adjoint, hence preserves cofibers, and then a little more may be said.

Consider the case of an opposition of the form $\bigcirc \dashv \Box$.
In view of remark \ref{TheTwoKindsOfOpposites} then both $\bigcirc$ and $\Box$ express the same pure moment, just opposite ways of projecting onto it. Therefore in this situation it makes sense to alternatively ask that there is no $\bigcirc$-moment left in the $\overline{\Box}$.

+-- {: .num_defn #CompleteOpposition}
###### Definition

Given a unity of opposite moments $\bigcirc \dashv \Box$, def. \ref{UnityOfOpposites}, we say this has _determinate negation_ if $\Box$ and $\bigcirc$ both restrict to [[nLab:0-type]] and such that there

1. $\bigcirc \ast \simeq \ast$;

1. $\Box  \longrightarrow \bigcirc$ is [[nLab:epimorphism|epi]].


=--

+-- {: .num_prop #AccuracyOfNegatives}
###### Proposition

For an opposition with determinate negation, def. \ref{CompleteOpposition},
then on [[nLab:0-types]] there is no $\bigcirc$-moment left in the negative of $\Box$-moment:

$$
  \bigcirc \overline{\Box} \simeq \ast
  \,.
$$

=--

+-- {: .proof}
###### Proof

Given that $\bigcirc$, being a [[nLab:left adjoint]], preserves [[nLab:colimits]], hence [[nLab:cofibers]], the first condition in def. \ref{CompleteOpposition} gives that

$$
  \bigcirc \overline{\Box} X
  =
  \bigcirc cofib(\Box X \to X)
  \simeq
  cofib(\Box X \to \bigcirc X)
  \,.
$$

Now the second condition and the fact that [[nLab:epimorphism|epiness]] is preserved by [[nLab:pushout]] say that this result receives an [[nLab:epimorphism]] from the [[nLab:terminal object]]. But this forces it to be the terminal obect itself.

=--

The proof of prop. \ref{AccuracyOfNegatives} depends crucially on the restriction to [[nLab:0-types]]. At the other extreme, on [[nLab:stable homotopy types|stable types]] the intuition that $\bigcirc$-moment is complementary to $\overline{\Box}$-moment is verified in the following sense:

+-- {: .num_prop #TheHexagon}
###### Proposition

For opposite moments of the form
$\bigcirc \dashv \Box$, def. \ref{UnityOfOpposites}, then for [[nLab:stable homotopy types|stable types]] $X$ the [[nLab:differential hexagon|hexagons]]

$$
  \array{
    && \overline{\bigcirc} X && \longrightarrow && \overline{\Box} X
    \\
    &\nearrow& &\searrow& & \nearrow && \searrow
    \\
    \overline{\bigcirc} \Box X && && X && && \bigcirc \overline{\Box} X
    \\
    &\searrow& &\nearrow & & \searrow && \nearrow
    \\
    && \Box X && \longrightarrow && \bigcirc X
  }
$$

are homotopy exact in that

1. both squares are homotopy Cartesian, hence are [[nLab:fracture squares]];

1. the boundary sequences are [[nLab:long homotopy fiber sequences]].

In particular every stable type is the [[nLab:homotopy fiber product|fibered direct sum]] of its pure $\bigcirc$-moment and its pure $\overline{\Box}$-moment:

$$
  X \simeq (\bigcirc X) \underset{\bigcirc \overline{\Box} X}{\oplus} (\overline{\Box} X)
  \,.
$$

=--

In this form this has been highlighted in ([Bunke-Nikolaus-Völkl 13](#BunkeNikolausVoelkl13)) in the context of our prop. \ref{DifferentialHexagon} below. See at _[[nLab:differential hexagon]]_ for the proof.

**Accidence**


+-- {: .num_defn #Localization}
###### Definition

Say that a moment $\bigcirc$, is _exhibited_ by a type
$J$ if $\bigcirc$ is equivalently $J$-[[nLab:homotopy localization]]

$$
  \bigcirc \simeq loc_{J}
  \,.
$$

=--

This implies in particular that $\bigcirc J \simeq \ast$.


**Progression**

We have seen how to formalize determination of qualities of types together with their opposite and their negative determination. But so far these determinations are abstract in that when [[nLab:categorical semantics|interpreting]] them in [[nLab:models]] they could come out as all kinds of very different-natured (co-)monads. What is missing is something that bases these determinations on a concrete ground with respect to which they would gain actual meaning.

Indeed, there are natural ways in which determinations of qualities may progress from given ones to further ones: on the one hand a given unity of oppositions may itself have an opposite and hence exhibit a higher order "opposition of oppositions", on the other hand a given unity of oppositions may be "resolved" inside one new quality, which then in turn may have its own opposite and negative in turn, and so on.

**Progression I: Higher order opposition**

Given a [[nLab:concrete particular]] moment (i.e. an interpretation of the moment in  [[nLab:categorical semantics]]), then adjoints to it are a [[nLab:property]] of the moment, not a choice to made. Abstractly we may specify that moments proceed to further moments this way by positing further adjoints.

+-- {: .num_defn #HigherOrderOpposition}
###### Definition
**(opposition of unities of oppositions)**

Given one opposition $\Box \dashv \bigcirc$, we say that on opposition of oppositions is a further left adjoint $\lozenge \dashv \Box$, which we may think of as constituting a system of adjoint of this form:

$$
  \array{
    \lozenge &\overset{unity\;2}{\dashv}& \Box
    \\
    \bot &\stackrel{opposition \atop {of\;unities}}{}& \bot
    \\
    \Box &\underset{unity\;1}{\dashv}& \bigcirc
  }
  \,.
$$

(Indeed, an [[nLab:adjoint triple]] is equivalently an adjunction of adjunctions, see [here](adjoint+triple#AsAdjunctionOfAdjunctions)).


=--

In principle this may go on, but in models one finds that there are essentially no examples with a fourth adjoint that do not degenerate to the [[nLab:ambidextrous adjunction|ambidextrous]] situation where $\lozenge \simeq \bigcirc$.

This shows further how oppositions serve to further determine moments: while a bare $\Box$-operator has all kinds of unrelated interpretations in models, asking it to be in opposition with a $\bigcirc$-moment considerably constrains its possible interpretations, further asking it to participate in an opposition-of-oppositions constraints it much more still, and asking for yet one more opposition tends to overconstrain it such as to degenerate.

**Progression II: Resolution of oppositions**

There is another way for a system of moments to proceed, not by adding further oppositions, but by resolving them.

+-- {: .num_defn #ResolutionOfOpposition}
###### Definition
**(resolution of unity of opposites)**


Given an essential subtopos $\Box \dashv \bigcirc$ then one may ask if it sits inside a bigger essential subtopos, we write

$$
  \array{
     \Box_2 &\dashv& \bigcirc_2
     \\
     \vee && \vee
     \\
     \Box_1 &\dashv& \bigcirc_1
  }
$$

to indicate that the image of $\bigcirc_1$ is contained in the image of $\bigcirc_2$, and we say that $\bigcirc_2$ is at a _higher [[nLab:level of a topos|level]]_ or in a _higher sphere_ than $\bigcirc_1$.

If in addition $\Box_1 \lt \bigcirc_2$ then this means that the opposing moments of $\Box_1 \dashv \bigcirc_1$ both are of purely $\bigcirc_2$ nature, and hence we say that $\bigcirc_2$ _resolves_ or _lifts_ or _sublates_ or _is [[nLab:Aufhebung]] of_ this (unity of) oppostions. We might indicate this by:

$$
  \array{
     \Box_2 &\dashv& \bigcirc_2
     \\
     \vee && \vee
     \\
     \Box_1 & &\dashv& \bigcirc_1
  }
$$

Dually there may be [[nLab:Aufhebung]] of the form


$$
  \array{
     & \Box_2 &\dashv& \bigcirc_2
     \\
     & \vee && \vee
     \\
     \Box_1 &\dashv& & \bigcirc_1
  }
$$


=--

Notice that for oppositions of the other form, given

$$
  \array{
     \bigcirc_2 &\dashv& \Box_2
     \\
     \vee && \vee
     \\
     \bigcirc_1 &\dashv& \Box_1
  }
$$

then resolution in the sense that $\bigcirc_2 \Box _1 \simeq \Box_1$ and $\Box_2 \bigcirc_1 \simeq \bigcirc_1$ is automatic.

These two kinds of progression, higher order opposition, def. \ref{HigherOrderOpposition}, and resolution of oppositions, def. \ref{ResolutionOfOpposition}, may alternate to produce processes of oppositions of moments and of their resolutions of the form

$$
  \array{
     \vdots  &\dashv& \vdots
     \\
     \bot && \bot
     \\
     \lozenge_b &\dashv& \Box_b
     \\
     \vee && \vee
     \\
     \lozenge_a &\dashv& \Box_a
     \\
     \bot && \bot
     \\
     \Box_a &\dashv& \bigcirc_a
  }
$$


#### Objective Logic
 {#ObjectiveLogic}

By the above discussion, we are led to add to homotopy type theory the axiom that there are various moments $\bigcirc$ or $\Box$. But which?

In the existing literature on [[nLab:modal logic]] it is tradition to consider unspecified idempotent (co-)monads to the formal system and have them acquire the intended meaning only via a specific choice of interpretation in a model. But here we are after developing genuine theory that works across all its possible interpretations, and hence we want an axiomatic determination of moments.

We observe now that there is a canonical starting point of two opposing moments that are secretly present in plain homotopy type theory. This hence constitutes a ground from which naturally a progression, as [above](#Progression), of determinations of further moments emanates.


##### The ground
 {#TheGround}


**The beginning**

We observe now that in plain type theory already by itself carries one non-trivial unity of opposites.


There is the [[nLab:unit type]] $\ast$. As a concept, this is the concept with a unique instance (up to [[nLab:equivalence]]). As such this may be thought of as the concept of "pure being": an instance of this concept just purely is, without having any further qualities, and hence two instances have no distinctions between them, both just purely are, nothing else, and so they are indistinguishlably the same.


Every type has a unique map $X\to \ast$ to that. Hence there is the [[nLab:monad]] which sends every type to $\ast$ and this is a moment

$$
  \bigcirc = \ast
$$

according to def. \ref{Moments}.

+-- {: .num_example #SimilarityWithRespectToPureBeing}
###### Example

Every type is similar to every other, in the formal sense of def. \ref{MomentsAndSimilarity}, with respect to the $\ast$-moment.
This says that all things are similar at least in that they are at all ([§906](#906)).

=--


Dually there is the [[nLab:empty type]] $\emptyset$. As a concept, this is the concept with no instance. As such this may be thought of as the concept of "not being": since any instance of that concept would at least be (namely be an instance of the concept), but there is no such instance.

The empty type is such that it has a unique map $\emptyset \to X$
to any other type $X$, hence the comonad which sends every type to the empty type, and this is a moment

$$
  \Box = \emptyset
  \,.
$$

It is immediate that:

+-- {: .num_defn #InitialOpposition}
###### Proposition

In plain homotopy type theory there is a unity of opposites, def. \ref{UnityOfOpposites},

$$
  \emptyset \dashv \ast
  \,.
$$

=--

We also call this the _initial opposition_.

+-- {: .num_remark #AspectsOfTheInitialOpposition}
###### Remark

It may be suggestive to think of this initial opposition in one of the following ways.

1. The initial opposition of prop. \ref{InitialOpposition} is (leaving [[nLab:context extension]] notationally implicit) the adjunction between [[nLab:dependent sum]] and [[nLab:dependent product]] over the [[nLab:context]] given by the [[nLab:empty type]]

   $$
     \underset{\emptyset}{\sum}(-)
     \;\vdash\;
     \underset{\emptyset}{\prod}(-)
     \,.
   $$

1. The initial opposition of prop. \ref{InitialOpposition} is the [[nLab:Cartesian product]] $\dashv$ [[nLab:internal hom]]-adjunction of the [[nLab:empty type]]

   $$
      \left(
        (-) \times \emptyset
      \right)
      \;\dashv\;
      \left(
        \emptyset \to (-)
      \right)
      \,.
   $$

On the other hand, the [[nLab:Cartesian product]]$\dashv$[[nLab:internal hom]]-adjunction of the [[nLab:unit type]]

$$
   \left(
     (-) \times \ast
   \right)
   \;\dashv\;
   \left(
     \ast \to (-)
   \right)
$$

is the identity moment, in opposition with itself:

$$
  id \dashv \id
  \,.
$$

This trivially resolves the initial opposition.  Moreover, the negative, def. \ref{NegativeMoment}, of $id$ is $\ast$:

$$
  \overline{id} = \ast
$$

So that we find

$$
  \array{
    id &\dashv& id & = \overline{\ast}
    \\
    \vee && \vee
    \\
    \emptyset &\dashv& \ast & = \overline{id}
  }
  \,.
$$

From this perspective it seems as if alternatively $(\id \dashv \id)$ could be referred to as the initial opposition.

Notice for completeness that the negative, def. \ref{NegativeMoment}, of $\emptyset$ is the [[nLab:maybe monad]]. (This is however not a moment in the sense of def. \ref{Moments} since it is not [[nLab:idempotent monad|idempotent]].)



=--


Now we may find a progression of further moments by considering the resolution of this unity and then opposites to this resolution, and so forth.

+-- {: .num_remark}
###### Remark

Every [[nLab:essential geometric morphism|essential]] [[nLab:subtopos]] [[nLab:level of a topos|level]] $\Box \dashv \bigcirc$  contains the initial opposition of prop. \ref{InitialOpposition} as the minimal one:

$$
  \array{
     \Box &\dashv& \bigcirc
     \\
     \vee && \vee
     \\
     \emptyset &\dashv& \ast
  }
  \,.
$$

=--

We are to demand that this provides a resolution, def. \ref{ResolutionOfOpposition} of the initial opposition $\empty \dashv \ast$, prop. \ref{InitialOpposition}, in that

$$
  \bigcirc \emptyset \simeq \emptyset
  \,.
$$

In the [[nLab:categorical semantics]] this says equivalently that $(\Box \dashv \bigcirc)$ is a [[nLab:dense subtopos]].




**Double negation**

+-- {: .num_defn #InitialOpposition}
###### Proposition

The _smallest_ [[nLab:dense subtopos]] of a [[nLab:topos]] is that of [[nLab:local object|local types]] with respect to [[nLab:double negation]] $\sharp \coloneqq loc_{\neg \neg}$.

=--

([Johnstone 02, corollary A4.5.20](#Johnstone02)).


Therefore we may add the demand that the resolution of $(\emptyset \dashv \ast)$ be by $loc_{\neg \neg}$ ([Lawvere 91, p. 8](#Lawvere91), [Shulman 15]()). This equivalently means to demand that the [[nLab:double negation]] subtopos is [[nLab:essential geometric morphism|essential]] .

Thus we have found the first step in the process by demanding resolution of the initial opposition. We will denote this by

$$
  \array{
     \flat &\dashv& \sharp & = loc_{\neg \neg}
     \\
     \vee && \vee
     \\
     \emptyset &&\dashv& \ast
  }
$$

+-- {: .num_prop}
###### Proposition

The [[nLab:double negation]] subtopos is  [[nLab:Boolean topos]].

=--

([Johnstone 02, lemma A4.5.21](#Johnstone02))


This means that $(\flat \dashv \sharp)$ is naturally regarded as being the _[[nLab:base topos|ground topos]]_ of the topos formed by the ambient type system, with the corresponding [[nLab:adjoint triple]]

$$
  \mathbf{H}_{\sharp}
  \stackrel{\hookrightarrow}{\stackrel{\stackrel{\Gamma}{\longleftarrow}}{\hookrightarrow}}
  \mathbf{H}
$$

regarded as the termimal [[nLab:geometric morphism]] whose [[nLab:direct image]] $\Gamma$ forms [[nLab:global points]] (aka [[nLab:global sections]]).

Therefore we label the resolution of the initial opposition as "ground" for "ground topos"([[nLab:base topos]]).

$$
  \array{
     \flat &\dashv& \sharp & = loc_{\not\not}
     \\
     \vee &\stackrel{ground}{}& \vee
     \\
     \emptyset &\dashv& \ast
  }
  \,.
$$


##### Cohesive substance

###### Quantity
 {#IntensiveExtensive}

This means then that $\flat$ is the operation of taking [[nLab:global points]] and regarding the collection of them as equipped with [[nLab:discrete object|discrete]] structure. Hence $\flat$ is the _moment of pure discreteness_.

This in turn means that $\sharp$ is the _moment of pure continuity_ ([[nLab:codiscrete topological space|co-discreteness]]).

$$
  \array{
     \stackrel{discreteness}{} & \flat &\dashv& \sharp &= loc_{\not\not}& \stackrel{continuity}{}
     \\
     & \vee &\stackrel{ground}{}& \vee
     \\
     & \emptyset &\dashv& \ast &
  }
$$

We may hence also say that $\flat X$  is the "point content" of $X$. If we regard the equivalence class of $\flat X$ then this is the [[nLab:cardinality]] of the point content of $X$, the _Größe_ of the point content, the _discrete quantity_ of $X$.

$$
  \array{
     & && \flat && \stackrel{content}{}
     \\
     & && \bot &
     \\
     \stackrel{discreteness}{} & \flat &\dashv& \sharp & = loc_{\not \not}&  \stackrel{continuity}{}
     \\
     & \vee &\stackrel{ground}{}& \vee
     \\
     & \emptyset &\dashv& \ast &
  }
$$


The types $X$ that are fully determined by their moment of continuity are those for which $X \to \sharp X$ is a [[nLab:monomorphism]]. In [[nLab:categorical semantics]] these are the [[nLab:concrete objects]] or equivalently the [[nLab:separated presheaves]] for $\sharp$: they are determined by their global points. These are the codomains of those [[nLab:functions]] which in [[nLab:thermodynamics]] one calls _[[nLab:intensive quantities]]_, functions whose value is genuinely given by their restriction to all possible points.

Contrary to that, objects which have purely the negative moment of continuity $\overline{\sharp}$ are codomains for "fuctions" which vanish on points and receive their contribution only from regions that _extend_ beyond a single point. In [[nLab:thermodynamics]] these are called _[[nLab:extensive quantities]]_, (e.g. [[nLab:differential forms]] in positive degree). This concept of _extension_ is precisely that which gave the name to [[nLab:Hermann Grassmann]]'s _[[nLab:Ausdehnungslehre]]_ that introduced the concept of [[nLab:exterior algebra|exterior]] [[nLab:differential form]].

In summary, we have found that $(\flat \dashv \sharp)$ expresses _quantity_, discrete quantity and continuous quantity, and that the latter is further subdivided into intensive and extensive quantity.

$$
  \array{
     & && \flat & && \stackrel{content}{}
     \\
     & && \bot & &&
     \\
     \stackrel{discrete}{} & \overline{\flat}/\flat &\stackrel{quantity}{\dashv}& \sharp &  &   & \stackrel{continuous\; (intensive/extensive)}{}
     \\
     & \vee &\stackrel{ground}{}& \vee
     \\
     & \emptyset &\dashv& \ast &
  }
$$


###### Quality

Proceeding, we next demand a second order opposition, def. \ref{HigherOrderOpposition}, of the above opposition $(\flat \dashv \sharp)$, hence we posit a moment $&#643;$ such that

$$
  \array{
    &#643; &\dashv& \flat
    \\
    \bot && \bot
    \\
    \flat &\dashv& \sharp
  }
  \,.
$$

We ask this to have definite negation, def. \ref{CompleteOpposition}. This means that

1. $&#643; \ast \simeq \ast$ --- the [[nLab:shape]] of the point is trivial;

1. $\flat \to &#643;$ is [[nLab:epimorphism|epi]] on [[nLab:0-types]] --- the [[nLab:points-to-pieces transform]] is onto.


Together this are the axioms of _[[nLab:cohesion]]_ as considered in ([Lawvere 07](#Lawvere07)). (There it is additionally asked that $&#643;$ preserves binary [[nLab:Cartesian products]].)

The intuition is that positing these qualites on a type system makes it, or rather its types $X$, behave like a [[nLab:cohesive]] [[nLab:substance]] where points $\flat X$ are separate but held together by a cohesive attraction which, when the opposing repulsion is removed and only pure $&#643;$-moment is retained, makes them collapse to the components $&#643; X$.

In the more refined [[nLab:categorical semantics]] of [[nLab:(infinity,1)-topos|homotopy toposes]] $\flat$ modulates [[nLab:locally constant infinity-stacks]]. The above adjunction then expresses the central statement of higher [[nLab:Galois theory]] ([dcct](#dcct)):

$$
  \frac{X \to \flat Grpd_\infty}{&#643; X\to Grpd_\infty}
$$

saying that locally constant $\infty$-stacks on $X$ are equivalent to [[nLab:infinity-permutation representations]] of $&#643; X$, and that $&#643; X$ therefore is the [[nLab:fundamental infinity-groupoid]] of $X$, the _[[nLab:shape]]_ of $X$, both in the intuitive as well as in the technical sense of [[nLab:algebraic topology]].


Therefore we further add labels as follows.

$$
  \array{
     \stackrel{shape}{} && & &#643; &\stackrel{}{\dashv}& \flat &  & & \stackrel{content}{}
     \\
     && & \bot &\stackrel{}{}& \bot
     \\
     \stackrel{discrete}{} &\overline{\flat}& / & \flat &\stackrel{quantity}{\dashv}& \sharp & = loc_{\not\not} &   & \stackrel{continuous\; (intensive/extensive)}{}
     \\
     && & \vee &\stackrel{ground}{}& \vee
     \\
     && & \emptyset &\dashv& \ast &
  }
$$

This means that in the presence of the further opposition $&#643; \dashv \flat$ the types $X$ which already had an underlying point content $\flat X$ now also have a _shape_ determined by these points sticking together via a [[nLab:cohesive]] attraction. This is a qualitative aspect of the types in addition to their quantitative moments $\flat X$ and $\sharp X$.


+-- {: .num_example #ShapeAsAConceptOfSimilarity}
###### Example

By remark \ref{MomentsAndSimilarity} the [[nLab:shape modality]] $&#643;$ determines a concept of similarity of types. This is a well known one: &#643; encodes that two types have the same shape. $X$ and $Y$ may look like different differential geometric spaces, but $(X \, similar_{&#643;} Y)$ holds if they have the same shape.

In the standard [[nLab:model]] given by  [[nLab:smooth infinity-groupoids]], discussed in some detail around theorem \ref{SupergeometryIsModel} below there is for instance the [[nLab:circle]] $S^1$ and the [[nLab:cylinder]] $S^1 \times (0,1)$ over it, both regarded as [[nLab:smooth manifolds]] in the standard way. As such they are not equal (not [[nLab:diffeomorphism|diffeomorphic]]), but clearly they are similar in some sense. The shape modality makes one such sense precise: $&#643; (S^1) \simeq &#643; (S^1 \times (0,1) \simeq B \mathbb{Z}$ and hence

$$
  S^1 \, similar_{&#643;} \, (S^1 \times (0,1))
  \,.
$$

=--


For instance there are now types for which $\flat X = \ast$ and yet they may be very different from the point $\ast$ themselves, hence while quantiatively these do not differ from the point, they must have some quality that distinguish them from the point. Hence this [[nLab:unity of opposites]] is _geometric quality_. In standard [[nLab:models]] this geometric quality is for instance [[nLab:topology]] or [[nLab:smooth structure]] or [[nLab:formal smooth manifold|formal smooth structure]] or [[nLab:supergeometry|supergeometric]] structure.

Therefore we write:

$$
  \array{
     \stackrel{shape}{} && & &#643; &\stackrel{quality}{\dashv}& \flat &  & & \stackrel{content}{}
     \\
     && & \bot &\stackrel{}{}& \bot
     \\
     \stackrel{discrete}{} &\overline{\flat}& / & \flat &\stackrel{quantity}{\dashv}& \sharp & = loc_{\not\not}  &   & \stackrel{continuous\; (intensive/extensive)}{}
     \\
     && & \vee &\stackrel{ground}{}& \vee
     \\
     && & \emptyset &\dashv& \ast &
  }
$$

Since with $(&#643; \dashv \sharp)$ we have arrived at an opposition of the form $(\bigcirc \dashv \Box)$, we should ask for further determination of these qualities by demanding via def. \ref{Localization} that $&#643;$ is exhibited by $\mathbb{R}$ (def. \ref{Localization}):

$$
  &#643; = loc_{\mathbb{R}}
  \,.
$$

In view of the above interpretation of $(&#643;\dashv \flat)$ via higher [[nLab:Galois theory]], this comes with a clear meaning: this produces the [[nLab:A1-homotopy theory]] for $\mathbb{A}^1 = \mathbb{R}$. We may think of $\mathbb{R}$ as being _[[nLab:continuum|the continuum]]_, i.e. the [[nLab:real line]] which is the model for the geometric paths that make $&#643;X$ be the [[nLab:fundamental infinity-groupoid]] of $X$.

###### Gauge (Measure)

With the concepts given by $(\flat \dashv \sharp)$ and by $(&#643; \dashv \flat)$ thus understood, it remains to find which concept the full unity of unities of opposites

$$
  \array{
     &#643; &\dashv& \flat
     \\
     \bot && \bot
     \\
     \flat &\dashv& \sharp
  }
$$

expresses.

Recall that the [[nLab:Brown representability theorem]] from [[nLab:stable homotopy theory]]:

+-- {: .num_prop }
###### Proposition


[[nLab:stable homotopy types]] $E$ are equivalently [[nLab:generalized cohomology theories]] $E^\bullet$ via

$$
  E^\bullet(X) = [X,S]
  \,.
$$

=--


+-- {: .num_prop #DifferentialHexagon}
###### Proposition

For the moments $(&#643; \dashv \flat)$ the [[nLab:differential hexagon|exact hexagon]] of prop. \ref{TheHexagon}

$$
  \array{
    && \overline{&#643;} X && \stackrel{}{\longrightarrow} && \overline{\flat} X
    \\
    & \nearrow & & \searrow & & \nearrow_{} && \searrow
    \\
    \overline{&#643;} \flat  X  && && X && && &#643; \overline{\flat} X
    \\
    & \searrow &  & \nearrow & & \searrow && \nearrow_{}
    \\
    && \flat X && \longrightarrow && &#643; X
  }
$$

exhibits cohesive [[nLab:stable homotopy types]] $X$ as [[nLab:differential cohomology|differential generalized cohomology theories]].

Moreover, the existence of $\sharp$ means that the [[nLab:mapping stacks]] into these coefficients have [[nLab:differential concretification]] to [[nLab:moduli stacks]] of differential cocycles.

=--

The first statement is the key insight in ([Bunke-Nikolaus-Völkl 13](#BunkeNikolausVoelkl13)). For more amplification of this point see at _[[schreiber:Differential cohomology is Cohesive homotopy theory]]_.

Here the moments appearing in the hexagon have the following interpretation.

$$
  \array{
    &&  {{connection\;forms}\atop{on\;trivial\;bundles}} && \stackrel{de\;Rham\;differential}{\longrightarrow} && {{curvature}\atop{forms}}
    \\
    & \nearrow & & \searrow & & \nearrow_{\mathrlap{curvature}} && \searrow^{\mathrlap{de\;Rham\;theorem}}
    \\
    {{flat}\atop{differential\;forms}}  &&
    && {{geometric\;bundles}\atop{with\;connection}} && &&
    {{rationalized}\atop{bundle}}
    \\
    & \searrow &  & \nearrow & & \searrow^{\mathrlap{topol.\;class}} && \nearrow_{\mathrlap{Chern\;character}}
    \\
    && {{geometric\;bundles}\atop{with\;flat\;connection}} && \underset{comparison/regulator\;map}{\longrightarrow} && {{shape}\atop{of\;bundle}}
  }
$$

Now, cocycles in [[nLab:differential cohomology]] are the mathematical incarnation of [[nLab:field (physics)|physical fields]] in (stable) [[nLab:higher gauge theory]] (e.g. [[nLab:Dirac charge quantization and generalized differential cohomology|Freed 00]]). Hence the existence of the opposing moments $&#643; \dashv \flat \dashv \sharp$ means that types carry _gauge measure_.

From the [[nLab:gauge theory|gauge theoretic]] perpective the $\flat$-moment is that exhibited by [[nLab:flat infinity-connections]], its negative $\overline{\flat}$ moment is that exhibited by infinity-connections given by just differential form data. For [[nLab:ordinary differential cohomology]], [[nLab:differential K-theory]] etc. this is the "[[nLab:rational homotopy theory|rational]]" aspect.

Hence in summary we have found determinations as follows.

$$
  \array{
     \stackrel{shape}{} && loc_{\mathbb{R}} = & &#643; &\stackrel{quality}{\dashv}& \flat & / & \overline{\flat}&  \stackrel{content\;(flat/rational)}{}
     \\
     && & \bot &\stackrel{gauge\;measure}{}& \bot
     \\
     \stackrel{discrete}{} &\overline{\flat}& / & \flat &\stackrel{quantity}{\dashv}& \sharp & = loc_{\not\not}  &   & \stackrel{continuous\; (intensive/extensive)}{}
     \\
     && & \vee &\stackrel{ground}{}& \vee
     \\
     && & \emptyset &\dashv& \ast &
  }
$$


##### Elastic substance

###### Étalé

Continuing the process, we posit a furrther opposition of moments lifting the previous ones.

$$
  \array{
     \Im &\dashv& \&
     \\
     \vee && \vee
     \\
     &#643; &\dashv& \flat
  }
$$

Since these are oppositions of the form $\bigcirc \dashv \Box$, [[nLab:Aufhebung]] is automatic here and not a further axiom.

To see what these new moments mean, observe that now

$$
  X \to \Im X \to &#643; X
$$

is a factorization of the full [[nLab:shape modality|shape]] projection through a finer approximation. Hence in addition to an intrinsic concept of _path_ (a [[nLab:1-morphism]] in the [[nLab:fundamental infinity-groupoid]] $&#643; X$) there is now an intrinsic concept of _small path_.

Accordingly, what were [[nLab:locally constant infinity-stacks]] in the higher [[nLab:Galois theory]] encoded by $\flat$ now become coverings that are constant on _small_ scales. This is the concept of [[nLab:étale morphism]] as being a [[nLab:formally étale morphism]] with a condition of smallness on its fibers.

Hence we find that this further determination is that of the moment of _being étalé_.

$$
  \array{
     \stackrel{infinitsimal \atop shape}{} && & \Im &\stackrel{infinitesimal \atop quality}{\dashv}& \& & && \text{étalé}
     \\
     && & \vee && \vee
     \\
     \stackrel{shape}{} && loc_{\mathbb{R}} = & &#643; &\stackrel{quality}{\dashv}& \flat & / & \overline{\flat}&  \stackrel{content\;(flat/rational)}{}
     \\
     && & \bot &\stackrel{gauge\;measure}{}& \bot
     \\
     \stackrel{discrete}{} &\overline{\flat}& / & \flat &\stackrel{quantity}{\dashv}& \sharp & = loc_{\not\not}  &   & \stackrel{continuous\; (intensive/extensive)}{}
     \\
     && & \vee &\stackrel{ground}{}& \vee
     \\
     && & \emptyset &\dashv& \ast &
  }
$$


###### Infinitesimal

Proceed by positing a further opposition $\Re \dashv \Im$.

To see what this moment means, observe that the "small shape" obtained above is _representable_ by passing to pure $\Re$-moments

$$
  \frac{U \to \Im X}{\Re U \to X}
$$

This has been understood in the 60s, in the context of [[nLab:crystalline cohomology]], to be the characterization of paths that are so small that they are _[[nLab:infinitesimal]]_. The negative $Re$-moment is that of [[nLab:infinitesimal]] objects, the pure $\Re$-moment is that of "[[nLab:reduced objects]]" ("real" objects), those without infinitesimal extension.

In summary this gives:

$$
  \array{
     \stackrel{infinitesimal/reduced}{} &\overline{\Re} & / & \Re &\dashv& \Im &  &  &
     \\
     && & \bot && \bot
     \\
     \stackrel{infinitesimal \atop shape}{} && & \Im
       &\stackrel{infinitesimal \atop quality}{\dashv}& \& & && \text{étalé}
     \\
     && & \vee && \vee
     \\
     \stackrel{shape}{} && loc_{\mathbb{R}} =& &#643; &\stackrel{quality}{\dashv}& \flat & / & \overline{\flat}&  \stackrel{content\;(flat/rational)}{}
     \\
     && & \bot &\stackrel{gauge\;measure}{}& \bot
     \\
     \stackrel{discrete}{} &\overline{\flat}& / & \flat &\stackrel{quantity}{\dashv}& \sharp & = loc_{\not\not}  &   & \stackrel{continuous\; (intensive/extensive)}{}
     \\
     && & \vee &\stackrel{ground}{}& \vee
     \\
     && & \emptyset &\dashv& \ast &
  }
$$

More in detail, we may ask just _how_ small these small paths are. Hence we demand more generally an infinite tower

$$
  &#643;
  \lt
  \Im
  =
  \Im_{(0)}
  \lt
  \Im_{(1)}
  \lt
  \Im_{(2)}
  \lt
  \Im_{(3)}
  \lt
  \cdots
  \lt
  id
$$

of [[nLab:infinitesimal shape modality|infinitesimal shape modalities]], yielding a further factorization of the shape unit as

$$
  X \to \cdots \to \Im_{(3)}X \to \Im_{(2)}X \to \Im_{(1)}X \to \Im X \to &#643; X
  \,.
$$

###### Differential

In total, so far these are the axioms of [[nLab:differential cohesion]] ([dcct](#dcct)).
Using these one may naturally axiomatize [[nLab:local diffeomorphism]] (def. \ref{LocalDiffeomorphisms} below), [[nLab:jet bundles]] and related concepts.

Hence with these moments posited, types now now qualities of [[nLab:synthetic differential geometry]]. On top of just [[nLab:cohesion|cohesively]] sticking to each other, the terms in the types now may feel a tighter differential connectedness, we have now a rigidly _[[nLab:elasticity|elastic]]_ [[nLab:substance]].

##### Solid substance

###### Grading
 {#Grading}

Proceed to a new [[nLab:level of a topos|level]] of oppositions

$$
  \array{
    \rightsquigarrow &\dashv& \R
    \\
    \vee && \vee
    \\
    \Re &\dashv& \Im
  }
  \,.
$$


This gives for each type $X$ a factorization

$$
  \Re X \longrightarrow \stackrel{\rightsquigarrow}{X} \longrightarrow X
$$

of the [[nLab:counit of a comonad|comparison map]] of the [[nLab:reduction modality]] $\Re$.

This hence means now that the purely $\rightsquigarrow$-types are in between [[nLab:reduced object|reduced type]] and unreduced types, hence they are reduced in some sense, but possibly not properly. Hence there are now two kinds of [[nLab:infinitesimals]], and the $\rightsquigarrow$-types have no extension by infinitesimals of one kind, but possibly infinitesimal extension of the other kind is left.

Hence there is now a kind of [[nLab:graded object|grading]] on the infinitesimals and $\rightsquigarrow$ quotients out everything not in degree 0.

The [[nLab:geometry|geometric]] quality of our formal [[nLab:substance]] that this encodes so far may hence be thought of as akin to _[[nLab:Kapranov's noncommutative geometry]]_, which is about ordinary [[nLab:spaces]] which however may have exotic [[nLab:noncommutative geometry|noncommutative]] [[nLab:formal geometry|infinitesimal thickenings]]. We will find that the next two determinations in the progression of the moments refines this further to something of the quality of [[nLab:supergeometry]], where the infinitesimal thickening satisfies some strong constraints.


###### Cyclic grading

The moments proceed by a further higher-oder opposition

$$
  \array{
    \rightrightarrows &\dashv& \rightsquigarrow
    \\
    \bot && \bot
    \\
    \rightsquigarrow &\dashv& Rh
  }
$$

For this to have non-degenerate models one finds that infinitesimals in degree 0 must be allowed to map to products of infinitesimals in non-vanishing degree. This means that the grading is not by a free group, but for instance by a finite [[nLab:cyclic group]] $\mathbb{Z}/n\mathbb{Z}$-grading. The minimal choice is $\mathbb{Z}/2\mathbb{Z}$-grading.

###### Super
 {#FormalizationSuperGrading}

We are to require that this level provides [[nLab:Aufhebung]] of the previous oppositions, def. \ref{ResolutionOfOpposition}, in that

$$
  \stackrel{\rightsquigarrow}{\Im X} \simeq \Im X
  \,.
$$

for all types $X$. By adjunction this means that

$$
  \Re \stackrel{\rightrightarrows}{U} \simeq \Re U
$$

for a set of generators $U$, such as objects of a [[nLab:site]].

This says that the reduced part of the even-graded part is the same as the reduced part of the original, hence that odd-grade is removed by reduction, hence that odd-graded moment is nilpotent. In [[nLab:superalgebra]] this is the key consequence of the super-sign rule ([[nLab:Hermann Grassmann]], §37 in _[[nLab:Ausdehnungslehre]]_, 1844) which says that for odd coordinate functions $\theta_1$, $\theta_2$ we have

$$
  \theta_1 \theta_2 = -\theta_2 \theta_1
  \,,
$$

see prop. \ref{SublationsRealized} below.


Hence we think of the above Aufhebungs-condition as further determining the graded function algebras to actually be [[nLab:superalgebras]].

By the [[nLab:Pauli exclusion principle]]/[[nLab:spin-statistics theorem]], this is what characterizes [[nLab:fermions]]: the purely fermionic part is the negative moment $\overline{\rightsquigarrow}$.

We indicate this notationally by

$$
  \e \coloneqq \overline{\rightsquigarrow}
$$

We may still further determine this, via def. \ref{Localization}, be requiring that there exists a type $\mathbb{R}^{0|1}$ which exhibits $\R$, in that $Rh \simeq loc_{\mathbb{R}^{0|1}}$.

In summary we now have arrived at the following process of determinations.

$$
  \array{
     && & \rightrightarrows &\dashv& \rightsquigarrow & / & \e & \stackrel{bosonic/fermionic}{}
     \\
     && & \bot && \bot
     \\
     &&  & \rightsquigarrow &\dashv& Rh & = loc_{\mathbb{R}^{0|1}}
     \\
     && & \vee &\stackrel{super}{}& \vee
     \\
     \stackrel{infinitesimal/reduced}{} &\overline{\Re} & / & \Re &\stackrel{}{\dashv}& \Im &  &  &
     \\
     && & \bot && \bot
     \\
     \stackrel{infinitesimal \atop shape}{} && & \Im &\stackrel{infinitesimal \atop quality}{\dashv}& \& & && \text{étalé}
     \\
     && & \vee && \vee
     \\
     \stackrel{shape}{} && loc_{\mathbb{R}} =& &#643; &\stackrel{quality}{\dashv}& \flat & / & \overline{\flat}&  \stackrel{content\;(flat/rational)}{}
     \\
     && & \bot &\stackrel{gauge\;measure}{}& \bot
     \\
     \stackrel{discrete}{} & \overline{\flat} & / & \flat &\stackrel{quantity}{\dashv}& \sharp & = loc_{\not\not}  &   & \stackrel{continuous\; (intensive/extensive)}{}
     \\
     && & \vee &\stackrel{ground}{}& \vee
     \\
     && & \emptyset &\dashv& \ast &
  }
$$

Prop. \ref{TheHexagon} here gives a decomposition of types into their purely even-graded part and their purely fermionic part

$$
  \array{
    &&   &&  && \stackrel{}{\e(X)}
    \\
    & & &  & & \nearrow_{} && \searrow
    \\
     && && X && &&
   \stackrel{\rightrightarrows}{\e(X)}
    \\
    &  &  &  & & \searrow && \nearrow_{}
    \\
    &&  &&  && \stackrel{\rightrightarrows}{X}
  }
  \,.
$$

A [[nLab:substance]] subject to the [[nLab:Pauli exclusion principle]] given by the above super-grading is yet more rigid than just by the [[nLab:elasticity]] we had before: it exhibits [[nLab:solidity]].

$\,$

We conclude the process at this point. One may explore it further by continuing it with further resolutions and further oppositions, but for the applications to physics that we consider below the three stages beyond the ground that we have so far turn out to be sufficient.

#### Objectivity

It is a familiar tought in our age, in view of the intimate relation between [[nLab:physics]] and [[nLab:mathematics]], that [[nLab:theory (physics)|theories of physics]] have a natural mathematical formulation, that it is compelling to consider them also just from within mathematics itself. Famous examples include the formalization of [[nLab:classical mechanics]] by [[nLab:symplectic geometry]], the formalization of [[nLab:Einstein gravity]] by [[nLab:pseudo-Riemannian geometry]]/[[nLab:Cartan geometry]], the close relation of [[nLab:quantum mechanics]] and [[nLab:quantum field theory]] to [[nLab:representation theory]] ([[nLab:Wigner classification]]) and more recently the identification of [[nLab:extended topological field theory|local topological field theory]] with the theory of [[nLab:symmetric monoidal (infinity,n)-categories]].

Hence while [[nLab:mathematics]] is part of the [[nLab:subjective logic]] in that it admits the freedom to consider any [[nLab:mathematical structure]] whatsoever, this suggests to identify among these the "objective" mathematical structures which _are_ theories of physics and as such express a more _objective reality_ than random mathematical structures do.


##### Classical mechanics (Mechanism)
 {#FormalizationClassicalMechanics}

We indicate formulation of [[classical mechanics]] and [[classical field theory]] ("the [mechanism](#Mechanismus)") within the above formal system.

**Process**

Given a logic of concepts as [above](#ConceptFormalization), with its basic constructs of [[nLab:judgements]] of the form $f \colon X \to Y$, among the most natural structures to consider are [[nLab:correspondences]], which go from a type $X_1$ to a type $X_2$ via an intermediate type $Y$ by maps

$$
  \array{
    && Y
    \\
    & {}^{\mathllap{i}}\swarrow && \searrow^{\mathrlap{o}}
    \\
    X_1 && && X_2
  }
  \,.
$$

This is the immediate generalization of a [[nLab:relation]] as we pass from [[nLab:homotopy 0-types]] to general [[nLab:homotopy types]] and thereby allow [[nLab:monomorphisms]] to be replaced by general maps.

Now one observe that a [[nLab:correspondence]] is naturally interpreted as a _process_ :

every instance/term $y\colon Y$ may be thought of as a process under which $i(y) \colon X_1$ turns into $o(y) \colon X_2$.


In traditional [[nLab:mathematical physics]] this is familiar from the concept of [[nLab:Lagrangian correspondences]] which serves to encoce much of [[nLab:classical mechanics]].

**Physical law**

Or rather, classical mechanics is encoded by [[nLab:prequantized Lagrangian correspondences]], the prequantization expressing the [[nLab:prequantum bundle]], an [[nLab:action functional]] and hence the [[nLab:equations of motion|laws of motion]].

By the discussion there, a [[nLab:prequantized Lagrangian correspondence]] is itself again just a correspondence, but now in [[nLab:context]], hence between [[nLab:dependent types]], namely depending on a type of [[nLab:phase and phase space in physics|phases]].

A detailed discussion of how [[nLab:classical field theory]] is formalized via [[nLab:correspondences]] in [[nLab:cohesive homotopy type theory]] in the context of a type of phases is ar

* _[[schreiber:Classical field theory via Cohesive homotopy types]]_.

From the dicussion there one finds a picture of sliced correspondences interpreted as classical mechanics as follows.

$$
  \array{
    && {{space\,of} \atop {trajectories}}
    \\
    & {}^{\mathllap{{initial}\atop {values}}}\swarrow && \searrow^{\mathrlap{{Hamiltonian} \atop {evolution}}}
    \\
    {{phase\,space} \atop {incoming}}
  && \swArrow_{{action} \atop {functional}} && {{phase\,space} \atop {outgoing}}
    \\
    & {}_{\mathllap{{prequantum}\atop {bundle}_{in}}}\searrow
    &&
    \swarrow_{\mathrlap{{prequantum} \atop {bundle}_{out}}}
    \\
    && {{2-group} \atop {of\,phases}}
  }
  \,.
$$


##### Quantum mechanics ((quantum-)Chemism)

Recall from remark \ref{AspectsOfTheInitialOpposition} that the initial opposition gave rise also to the [[nLab:maybe monad]], as the negative of the empty moment: $\overline{\empty} = maybe$.

> The negative of $\id$ is $\ast$.

> The opposite of $\ast$ is $\empty$.

> The negative of $\empty$ is $maybe$.


While $maybe$ is not [[nLab:idempotent monad|idempotent]], by remark \ref{PurityForNonIdempotent} we may still ask for the types which are pure with respect to it in that they they are objects in its [[nLab:Eilenberg-Moore category]]. These are precisely the [[nLab:pointed objects|pointed types]].

On pointed types the [[nLab:smash product]] yields a [[nLab:symmetric monoidal category|symmetric monoidal]] structure which is not [[nLab:cartesian monoidal category|Cartesian]], and we enter the realm of [[nLab:linear type theory]] in the generality of [[nLab:dependent linear type theory]]. As discussed there, [[nLab:dependent sum]] and [[nLab:dependent product]] here now naturally yield the concept of [secondary integral transforms](http://ncatlab.org/nlab/show/dependent+linear+type+theory#SecondaryIntegralTransforms), across [[nLab:correspondences]], which in view of the above interpretation of correspondences as spaces of [[nLab:trajectories]] are really [[nLab:path integrals]]. Developing this one finds that correspondences in linear homotopy type theory give rise to formalization of [[nLab:quantization]] and [[nLab:quantum mechanics]].

For details see at _[[schreiber:Quantization via Linear homotopy types]]_.

##### Boundary conditions (Teleology)

In this context a [[nLab:boundary condition]] is given by a ([[nLab:prequantized Lagrangian correspondence|prequantized]]) [[nLab:correspondence]] which on one end is just the [[nLab:unit type]]

$$
  \array{
    && Y
    \\
    & {}^{\mathllap{b}}\swarrow && \searrow^{\mathrlap{o}}
    \\
    \ast && && X
  }
  \,.
$$

For more on this see at

* _[[schreiber:master thesis Nuiten|Cohomological quantization of local prequantum boundary field theory]]_

* _[[schreiber:Local prequantum field theory]]_

* _[[schreiber:Quantization via Linear homotopy types]]_


#### The idea
 {#TheIdea}

Including in homotopy type theory the progression of [[nLab:modal operators]] that we have found above

$$
  \array{
      &&& && & id &\dashv& id
     \\
      &&& && & \vee && \vee
     \\
      &&& && & \rightrightarrows &\dashv& \rightsquigarrow & / & \e & \stackrel{bosonic/fermionic}{}
     \\
      \stackrel{solidity}{} &&& && & \bot && \bot
     \\
      &&& && & \rightsquigarrow &\dashv& Rh & = loc_{\mathbb{R}^{0\vert 1}}& & \stackrel{rheonomic}{}
     \\
      &&& && & \vee &\stackrel{super}{}& \vee
     \\
     &&& \stackrel{infinitesimal/reduced}{} &\overline{\Re} & / & \Re &\dashv& \Im &  &  &
     \\
     \stackrel{elasticity}{} &&& && & \bot && \bot
     \\
     &&& \stackrel{infinitesimal \atop shape}{} && & \Im &\stackrel{infinitesimal \atop quality}{\dashv}& \& & && \text{étalé}
     \\
     &&& && & \vee && \vee
     \\
     &&& \stackrel{shape}{} && loc_{\mathbb{R}} = &&#643; &\stackrel{quality}{\dashv}& \flat & / & \overline{\flat}&  \stackrel{content\;(flat/rational)}{}
     \\
     \stackrel{cohesion}{} &&& && & \bot &\stackrel{gauge\;measure}{}& \bot
     \\
     &&& \stackrel{discrete}{} &\overline{\flat} & / & \flat &\stackrel{quantity}{\dashv}& \sharp & = loc_{\not\not} &   & \stackrel{continuous\; (intensive/extensive)}{}
     \\
     &&& && & \vee &\stackrel{ground}{}& \vee
     \\
     &&& && & \emptyset &\dashv& \ast &
  }
$$



makes its [[nLab:term model]] richer: there are now true propositions and generally terms that may be constructed which are not constructible in plain homotopy type theory. These terms reflect _the idea_ that is induced by these determinations, in that every [[nLab:categorical semantics|interpretation]] of this modal type theory has to realize (externalize) these terms and make these propositions true.

We now indicate some of these new constructions.

##### Maurer-Cartan forms

Let $G$ be a an [[nLab:∞-group]] type. This means that there is specified a pointed connected type $\mathbf{B}G$ and an [[nLab:equivalence]] $G\simeq \Omega \mathbf{B}G$ with its [[nLab:loop space object]]. We say that $\mathbf{B}G$ is the _[[nLab:delooping]]_ of $G$. Notice that all this happens internal to the ambient cohesive homotopy type theory, which makes $\mathbf{B}G$ have the interpretation of the [[nLab:moduli ∞-stack]] of cohesive $G$-[[nLab:principal ∞-bundles]], instead of just the bare homotopy type of the [[nLab:classifying space]]

$$
  B G \simeq &#643; \mathbf{B}G
  \,.
$$

This richer geometric structure is what the boldface in $\mathbf{B}G$ is meant to remind us of.

+-- {: .num_defn }
###### Definition

Denote the first and second [[nLab:homotopy fiber]] of the comparison map  $\flat \mathbf{B}\mathbb{G} \to \mathbf{B}\mathbb{G}$ of the [[nLab:flat modality|flat moment]] of this as follows.

$$

  G
  \stackrel{\theta_G}{\longrightarrow}
  \flat_{dR}\mathbf{B}G
  \longrightarrow
  \flat \mathbf{B}G
  \longrightarrow
  \mathbf{B}G
  \,.
$$

This double homotopy fiber $\theta_G$ has the interpretation of being the [[nLab:Maurer-Cartan form]] on $G$.

=--


##### Differential cohomology


Let $\mathbb{G}$ be an [[nLab:abelian ∞-group]] type. The group of _[[nLab:phase and phase space in physics|phases]]_.

This being abelian just means that there is specified a [[nLab:delooping]] type $\mathbf{B} \mathbb{G}$ and an equivalence $\mathbb{G}\simeq \Omega \mathbf{B} \mathbb{G}$ with its [[nLab:loop space object]], and that with $\mathbf{B}^0 \mathbb{G} \coloneqq \mathbb{G}$ we have inductively that $\mathbf{B}^n \mathbb{G}$ is itself equipped with the structure of an [[nLab:abelian ∞-group]].

For the present purpose we will assume in addition that $\mathbb{G}$ is [[nLab:0-truncated]], which makes it simply an [[nLab:abelian group]].

+-- {: .num_defn }


###### Definition

A _[[nLab:Hodge filtration]]_ is a compatible system of [[nLab:filtrations]] of $\flat \mathbf{B}^2\mathbb{G}$ of the form

$$
  \mathbf{\Omega}^{2}_{cl}
  \to

  \cdots
  \to
  \flat_{dR} \mathbf{B}^2 \mathbb{G}
  \to
  \flat \mathbf{B}^2 \mathbb{G}
  \,.
$$

with 0-truncated extensive $\mathbf{\Omega}^{2}_{cl}$.

=--

+-- {: .num_defn #BGconn}
###### Definition


Given a [[nLab:Hodge filtration]], write $\mathbf{B}\mathbb{G}_{conn}$ for the homotopy fiber product

$$
  \mathbf{B}\mathbb{G}_{conn}
  \coloneqq
  \mathbf{B}\mathbb{G}\underset{\flat_{dR}\mathbf{B}^2\mathbb{G}}{\times} \mathbf{\Omega}^2_{cl}
$$

of the Maurer-Cartan form $\theta_{\mathbf{B}\mathbb{G}}$ with the last Holdge filtration stage.


=--


+-- {: .num_prop }
###### Proposition

The decomposition of $\mathbf{B}\mathbb{G}_{conn}$ into its $(&#643;, \overline{\flat})$-moments according to prop \ref{TheHexagon} reproduces the defining Cartesian sqare of def. \ref{BGconn}:

$$
  \array{
    && \mathbf{\Omega}^2_{cl}
    \\
    & \nearrow && \searrow
    \\
    \mathbf{B}\mathbb{G}_{conn}
    && &&
    \flat_{dR}\mathbf{B}^2\mathbb{G}
    \\
    & \searrow && \nearrow && \searrow
    \\
    && \mathbf{B}\mathbb{G} && &&  \flat_{dR}B \mathbb{G}
    \\
    && & \searrow && \nearrow
    \\
    && && B \mathbb{G}
  }
$$

=--

##### WZW terms
 {#WZWTerms}

A map

$$
  \mathbf{c} \colon \mathbf{B}G \longrightarrow \mathbf{B}^{p+2} \mathbb{G}
$$

is equivalently a [[nLab:cocycle]] of degree $p+2$ in the [[nLab:group cohomology]] of $G$.

+-- {: .num_defn #FormRefinementOfCocycle}
###### Definition

Given a group cocycle $\mathbf{c}$ and a [[nLab:Hodge filtration]], then a refinement of the Hodge filtration along the group cocycle is a chose of 0-trucated extensive $\mathbf{\Omega}^1_{flat}(-,\mathfrak{g})$ fitting into a square

$$
  \array{
    \mathbf{\Omega}^1_{flat}(-,\mathfrak{g})
    &\stackrel{\mu}{\longrightarrow}&
    \mathbf{\Omega}^2_{cl}
    \\
    \downarrow && \downarrow
    \\
    \flat_{dR} \mathbf{B}G
    &\stackrel{\flat_{dR}\mathbf{c}}{\longrightarrow}&
    \flat_{dR} \mathbf{B}^2 \mathbb{G}
  }
  \,.
$$

Given this, write

$$
  \tilde G
  \coloneqq G \underset{\flat_{dR}\mathbf{B}G}{\times} \mathbf{\Omega}^1_{flat}(-,\mathfrak{g})
$$

=--

+-- {: .num_example }
###### Example

For $G$ 0-truncated, then the canonical choice is $\mathbf{\Omega}^1_{flat}(-,\mathfrak{g}) = \flat_{dR}\mathbf{B}G$. With this one has $\tilde G \simeq G$.

On the other extreme, for $G = \mathbf{B}^{p+1}\mathbb{G}$ then the canonical choice is $\mathbf{\Omega}^1_{flat}(-,\mathfrak{g}) = \mathbf{\Omega}^{p+2}_{cl}$. With this one has $\tilde G \simeq \mathbf{B}^{p+1}\mathbb{G}_{conn}$.

This means that in general $\tilde G$ is a homotopy fiber product of $G$ with $\mathbf{B}^{p+1}\mathbb{G}_{conn}$, hence that a map to out of some $\Sigma$  is a pair of a map $\Sigma \to G$ and of $(p+1)$-form data on $\Sigma$. This is the kind of [[nLab:field (physics)|field]] content of higher [[nLab:gauged WZW models]].

=--

+-- {: .num_prop #WZWTermFromCocycle}
###### Proposition

Given a group cocycle $\mathbf{c} \colon \mathbf{B}G \to \mathbf{B}^{p+2}$ and a form refinement $\mu$ as in def. \ref{FormRefinementOfCocycle}, then there exists an essentially unique [[nLab:prequantization]]

$$
  \mathbf{L}_{WZW}
  \;\colon\;
  \tilde G \longrightarrow \mathbf{B}^{p+1}_{conn}
$$

of $\mu(\theta_G)$ whose underlying $\mathbf{B}^p\mathbb{G}$-[[nLab:principal ∞-bundle]] is $\Omega \\mathbf{c}$.

We call this the _[[nLab:WZW term]]_ whose [[nLab:curvature]] is $\mu(\theta_G)$.

=--


##### $V$-Manifolds
 {#Manifolds}

See also at _[[nLab:geometry of physics -- manifolds and orbifolds]]_.


+-- {: .num_defn #LocalDiffeomorphisms}
###### Definition

Given $X,Y\in \mathbf{H}$ then a morphism $f \;\colon\; X\longrightarrow Y$ is a _[[nLab:local diffeomorphism]]_ if its naturality square of the [[nLab:infinitesimal shape modality]]

$$
  \array{
    X &\longrightarrow& \Im X
    \\
    \downarrow^{\mathrlap{f}} && \downarrow^{\mathrlap{\Im f}}
    \\
    Y &\longrightarrow& \Im Y
  }
$$

is a [[nLab:pullback]] square.

=--

+-- {: .num_remark}
###### Remark

The abstract definition \ref{LocalDiffeomorphisms} comes down to being the appropriate [[nLab:synthetic differential supergeometry]]-version  of the traditional statement that $f$ is a [[nLab:local diffeomorphism]] if the diagram of [[nLab:tangent bundles]]

$$
  \array{
    T X &\longrightarrow& X
    \\
    \downarrow^{\mathrlap{T f}} && \downarrow^{\mathrlap{f}}
    \\
    T Y &\longrightarrow& Y
  }
$$

To see this, notice by the discussion at _[[nLab:synthetic differential geometry]]_ that for $D$ an [[nLab:infinitesimally thickened point]], then for any $X \in \mathbf{H}$ the [[nLab:mapping space]] $[D,X]$ is the [[nLab:jet bundle]] of $X$ with jets of order as encoded by the infinitesimal order of $D$. In particular if $\mathbb{D}^1(1)$ is the first order infinitesimal interval defined by the fact that its [[nLab:algebra of functions]] is the [[nLab:algebra of dual numbers]] $C^\infty(\mathbb{D}^1(1)) = (\mathbb{R} \oplus \epsilon \mathbb{R})/(\epsilon^2)$, and $X$ is a [[nLab:smooth manifold]], then

$$
  [\mathbb{D}^1(1), X]\simeq T X
$$

is the ordinary [[nLab:tangent bundle]] of $X$. Now use that the [[nLab:internal hom]] $[D,-]$ preserves [[nLab:limits]] in its second argument, and that, by the hom-adjunction, $\mathbf{H}(U, [D,X]) \simeq \mathbf{H}(U \times D, X)$ and finally use that $\mathbf{H}(U \times D, \Im X)\simeq \mathbf{H}(\Re(U \times D), X)\simeq \mathbf{H}(U,X)$.


=--

Let now $V \in \mathbf{H}$ be given, equipped with the structure of a [[nLab:group]] ([[nLab:infinity-group]]).

+-- {: .num_defn #VManifold}
###### Definition

A _$V$-[[nLab:manifold]]_ is an $X \in \mathbf{H}$ such that there exists a _$V$-[[nLab:atlas]]_, namely a [[nLab:correspondence]] of the form


$$
  \array{
    && U
    \\
    & \swarrow && \searrow
    \\
    V && && X
  }
$$

with both morphisms being [[nLab:local diffeomorphisms]], def. \ref{LocalDiffeomorphisms}, and the right one in addition being an [[nLab:epimorphism]], hence an [[nLab:atlas]].

=--


+-- {: .num_prop}
###### Proposition

If $f \;\colon\; X \longrightarrow Y$ is a [[nLab:local diffeomorphism]],
def. \ref{LocalDiffeomorphisms}, then so is image
$\stackrel{\rightsquigarrow}{f}\colon \stackrel{\rightsquigarrow}{X} \longrightarrow \stackrel{\rightsquigarrow}{Y}$ under the [[nLab:bosonic modality]].

=--

+-- {: .proof}
###### Proof

Since the [[nLab:bosonic modality]] provides [[nLab:Aufhebung]] for $\Re\dashv \Im$  we have $\rightsquigarrow \Im \simeq \Im$. Moreover $\Im \rightsquigarrow \simeq \Im$ anyway. Finally $\rightsquigarrow$ preserves [[nLab:pullbacks]] (being in particular a [[nLab:right adjoint]]). Hence hitting a pullback diagram

$$
  \array{
    X &\longrightarrow& \Im X
    \\
    \downarrow^{\mathrlap{f}} && \downarrow^{\mathrlap{\Im f}}
    \\
    Y &\longrightarrow& \Im Y
  }
$$

with $\rightsquigarrow\;\;$ yields a pullback diagram

$$
  \array{
    \stackrel{\rightsquigarrow}{X} &\longrightarrow& \Im \stackrel{\rightsquigarrow}{X}
    \\
    \downarrow^{\mathrlap{\stackrel{\rightsquigarrow}{f}}} && \downarrow^{\mathrlap{\Im \stackrel{\rightsquigarrow}{f}}}
    \\
    \stackrel{\rightsquigarrow}{Y} &\longrightarrow& \Im \stackrel{\rightsquigarrow}{Y}
  }
$$

=--

+-- {: .num_cor }
###### Corollary

The bosonic space $\stackrel{\rightsquigarrow}{X}$ underlying
a $V$-manifold $X$, def. \ref{VManifold}, is a $\stackrel{\rightsquigarrow}{V}$-manifold

=--

##### Frame bundles
 {#FrameBundles}

+-- {: .num_defn #InfinitesimalDiskBundle}
###### Definition

Given $X \in \mathbf{H}$, its _infinitesimal disk bundle_ $T_{inf} X\to X$
is the [[nLab:pullback]] of the [[nLab:unit of a monad|unit]] of the
[[nLab:infinitesimal shape modality]] along itself

$$
  \array{
    T_{inf} X &\stackrel{}{\longrightarrow}& X
    \\
    \downarrow && \downarrow
    \\
    X &\longrightarrow& \Im X
  }
  \,.
$$

Given a point $x \;\colon\;  \ast \to X$, then the [[nLab:infinitesimal neighbourhood]]  $\ast \to \mathbb{D}_x \to X$ of that point is the further [[nLab:pullback]] of the infinitesimal disk bundle to this point:

$$
  \array{
    \mathbb{D}_x &\longrightarrow & T_{inf} X &\stackrel{}{\longrightarrow}& X
    \\
    \downarrow && \downarrow && \downarrow
    \\
    \ast &\stackrel{x}{\longrightarrow} & X &\longrightarrow& \Im X
  }
  \,.
$$

More generally, for $k \in \mathbb{N}$ then the $k$th order infinitesimal disk bundle is

$$
  \array{
    T_{(k)} X &\stackrel{}{\longrightarrow}& \Im_{(k)} X
    \\
    \downarrow && \downarrow
    \\
    X &\longrightarrow& \Im X
  }
$$

and accordigly the $k$th order infinitsimal neighbourhood is

$$
  \array{
    \mathbb{D}(k)_x &\longrightarrow & T_{(k)} X &\stackrel{}{\longrightarrow}& \Im_{(k)}X
    \\
    \downarrow && \downarrow && \downarrow
    \\
    \ast &\stackrel{x}{\longrightarrow} & X &\longrightarrow& \Im X
  }
  \,.
$$


=--


It is natural not to pick any point, but to collect all infinitesimal disks around _all_ the points of a space:

+-- {: .num_defn #RelativeFlat}
###### Definition

The _[[nLab:relative flat modality]]_ is the operation $\flat^{rel}$ that sends $X \in \mathbf{H}$ to the [[nLab:homotopy pullback]]

$$
  \array{
    \flat^{rel} &\longrightarrow& X
    \\
    \downarrow && \downarrow
    \\
    \flat X &\longrightarrow& \Im X
  }
  \,.
$$

More generally, for any $k \in \mathbb{N}$ then the _order $k$ relative flat modality_ is the pullback in

$$
  \array{
    \flat^{rel}_{(k)} &\longrightarrow& \Im_{(k)} X
    \\
    \downarrow && \downarrow
    \\
    \flat X &\longrightarrow& \Im X
  }
  \,.
$$


=--


+-- {: .num_defn #GeneralLinearGroup}
###### Definition

The _[[nLab:general linear group]]_ $GL(V)$ is the [[nLab:automorphism infinity-group]] of the [[nLab:infinitesimal neighbourhood]] $\mathbb{D}^V_e$, def. \ref{InfinitesimalDiskBundle}, of the neutral element $e \colon \ast \to \mathbb{D}^V_e \to V$:

$$
  GL(V) \coloneqq \mathbf{Aut}(\mathbb{D}^V_e)
  \,.
$$

=--

+-- {: .num_prop #FrameBundle}
###### Proposition

For $X$ a $V$-manifold, def. \ref{VManifold}, then its infinitesimal disk bundle $T_{inf} X \to X$,
def. \ref{InfinitesimalDiskBundle}, is [[nLab:associated infinity-bundle|associated]] to a $GL(V)$-[[nLab:principal infinity-bundle|principal]] $Fr(X) \to X$ -- to be called the _[[nLab:frame bundle]]_, [[nLab:modulating morphism|modulated]] by a map to be called $\tau_X$, producing [[nLab:homotopy pullbacks]] of the form

$$
  \array{
     T_{inf} X &\longrightarrow& V/GL(V)
     \\
     \downarrow && \downarrow
     \\
     X &\stackrel{\tau_X}{\longrightarrow}& \mathbf{B} GL(V)
  }
  \;\;\;
  \array{
     Fr(X) &\longrightarrow& \ast
     \\
     \downarrow && \downarrow
     \\
     X &\stackrel{\tau_X}{\longrightarrow}& \mathbf{B} GL(V)
  }
  \,.
$$

=--

+-- {: .num_defn #Framing}
###### Definition

A [[nLab:framing]] of a $V$-manifold is a trivialization of its [[nLab:frame bundle]], prop. \ref{FrameBundle}, hence a diagram in $\mathbf{H}$ of the form

$$
  \array{
    X && \longrightarrow && \ast
    \\
    & \searrow &\swArrow& \swarrow
    \\
    && \mathbf{B}GL(V)
  }
$$


=--

+-- {: .num_remark #ModuliForFramings}
###### Remark

It is useful to express def. \ref{Framing} in terms of the [[nLab:slice topos]] $\mathbf{H}_{/\mathbf{B}GL(V)}$. Write $V\mathbf{Frame}\in \mathbf{H}_{/\mathbf{B}GL(V)}$ for the canonical morphism $\ast \to \mathbf{B}GL(V)$ regarded as an object in the slice. Then a framing as in def. \ref{Framing} is equivalently a morphism

$$
  \phi \colon \tau_X \longrightarrow V\mathbf{Frame}
$$

in $\mathbf{H}_{/\mathbf{B}GL(V)}$.

=--

+-- {: .num_prop #LeftTranslationFraming}
###### Proposition

The [[nLab:group object]] $V$, canonically regarded as a $V$-manifold, carries a canonical framing, def. \ref{Framing}, $\phi_{li}$, induced by left translation.

=--

##### $G$-Structure
 {#GStructure}

See also at _[[nLab:geometry of physics -- G-structure and Cartan geometry]]_.

+-- {: .num_defn #GStructure}
###### Definition

Given a homomorphism of groups $G \longrightarrow GL(V)$, a _[[nLab:G-structure]]_ on a $V$-manifold $X$ is a lift $\mathbf{c}$ of the [[nLab:frame bundle]] $\tau_X$ of prop. \ref{FrameBundle} through this map

$$
  \array{
    X && \stackrel{}{\longrightarrow} && G
    \\
    & {}_{\mathllap{\tau_X}}\searrow &\swArrow& \swarrow
    \\
    && \mathbf{B}GL(V)
  }
  \,.
$$

=--

+-- {: .num_remark #ModuliForGStructures}
###### Remark

As in remark \ref{ModuliForFramings}, it is useful to express def. \ref{GStructure} in terms of the [[nLab:slice topos]] $\mathbf{H}_{/\mathbf{B}GL(V)}$. Write $G\mathbf{Struc}\in \mathbf{H}_{/\mathbf{B}GL(V)}$ for the given map $\mathbf{B}G\to \mathbf{B}GL(V)$ regarded as an object in the slice. Then a $G$-structure according to def. \ref{GStructure} is equivalently a choice of morphism in $\mathbf{H}_{/\mathbf{B}GL(V)}$ of the form

$$
  \mathbf{c} \;\colon\; \tau_X \longrightarrow G\mathbf{Struc}
  \,.
$$

In other words, $G\mathbf{Struc} \in \mathbf{H}_{/\mathbf{B}GL(v)}$ is the _[[nLab:moduli stack]]_ for $G$-structures.

=--

+-- {: .num_example #GStructureFromLeftTranslationFraming}
###### Example

A choice of [[nLab:framing]] $\phi$, def. \ref{Framing}, on a $V$-manifold $X$ induces a [[nLab:G-structure]] for any $G$, given by the [[nLab:pasting diagram]] in $\mathbf{H}$

$$
  \array{
     X &\longrightarrow& \ast &\longrightarrow&
     \\
     & \searrow & \downarrow & \swarrow
     \\
     && \mathbf{B}GL(V)
  }
$$

or equivalently, via remark \ref{ModuliForFramings} and remark \ref{ModuliForGStructures}, given as the [[nLab:composition]]

$$
  \mathbf{c}_{li}
  \;\colon\;
  \tau_X \stackrel{\phi}{\longrightarrow} V\mathbf{Frame} \longrightarrow G\mathbf{Struc}\,.
$$

We call this the _left invariant $G$-structure_.

=--

+-- {: .num_defn #IntegrabilityOfGStructure}
###### Definition

For $X$ a $V$-manifold, then
a [[nLab:G-structure]] on $X$, def. \ref{GStructure}, is
_[[nLab:integrable G-structure|integrable]]_ if for any $V$-[[nLab:atlas]] $V \leftarrow U \rightarrow X$  the pullback of the $G$-structure on $X$ to $V$ is equivalent there to  the left-inavariant $G$-structure on $V$ of example \ref{GStructureFromLeftTranslationFraming}, i.e. if we have an [[nLab:correspondence]] in the double [[nLab:slice topos]] $(\mathbf{H}_{/\mathbf{B}GL(V)})_{/G\mathbf{Struc}}$ of the form

$$
  \array{
     && \tau_U
     \\
     & \swarrow && \searrow
     \\
     \tau_V && \swArrow && \tau_X
     \\
     & {}_{\mathllap{\mathbf{c}_{li}}}\searrow && \swarrow_{\mathrlap{\mathbf{c}}}
     \\
     && G \mathbf{Struc}
  }
  \,.
$$

The $G$-structure is _infintesimally integrable_ if this holds true at at after restriction along the [[nLab:relative shape modality]] $\flat^{rel} U \to U$, def. \ref{RelativeFlat}, to all the infinitesimal disks in $U$:

$$
  \array{
     && \tau_{\flat^{rel}U}
     \\
     & \swarrow && \searrow
     \\
     \tau_V && \swArrow && \tau_X
     \\
     & {}_{\mathllap{\mathbf{c}_{li}}}\searrow && \swarrow_{\mathrlap{\mathbf{c}}}
     \\
     && G \mathbf{Struc}
  }
  \,.
$$

Finally, the $G$-structure is _order $k$ infinitesimally integrable_ if this holds for the order-$k$ relative shape modality $\flat^{rel}_{(k)}$.

=--

+-- {: .num_defn #CartanGeometry}
###### Definition


Consider an [[nLab:infinity-action]] of $GL(V)$ on $V$ which linearizes to the canonical $GL(V)$-action on $\mathbb{D}^V_e$ by def. \ref{GeneralLinearGroup}. Form the [[nLab:semidirect product]] $GL(V) \rtimes V$. Consider any group homomorphism $G\to GL(V)$.

A _$(G\to G\rtimes V)$-[[nLab:Cartan geometry]]_ is a $V$-manifold $X$ equipped with a $G$-structure, def. \ref{GStructure}. The Cartan geometry is called _(infinitesimally) integrable_ if the $G$-structure is so, according to def. \ref{IntegrabilityOfGStructure}.

=--

+-- {: .num_remark #TorsionConstraints}
###### Remark

For $V$ an [[nLab:abelian group]], then in traditional contexts the infinitesimal integrability of def. \ref{IntegrabilityOfGStructure} comes down to the [[nLab:torsion of a G-structure]] vanishing. But for $V$ a [[nLab:nonabelian group]], this definition instead enforces that the torsion is on each [[nLab:infinitesimal disk]] the intrinsic left-invariant torsion of $V$ itself.

Traditionally this is rarely considered, matching the fact that ordinary [[nLab:vector spaces]], regarded as [[nLab:translation groups]] $V$, are [[nLab:abelian groups]]. But [[nLab:super vector spaces]] regarded (in suitable dimension) as [[nLab:super translation groups]] are _[[nLab:nonabelian groups]]_. Therefore super-vector spaces $V$ may carry intrinsic torsion, and therefore first-order integrable $G$-structures on $V$-manifolds are torsion-ful.

Indeed, this is a phenomenon known as the [[nLab:torsion constraints in supergravity]]. Curiously, as discussed there, for the case of [[nLab:11-dimensional supergravity]] the [[nLab:equations of motion]] of the gravity theory are _equivalent_ to the super-Cartan geometry satisfying this torsion constraint. This way super-Cartan geometry gives a direct general abstract route right into the heart of [[nLab:M-theory]].

=--


##### Definite forms

+-- {: .num_defn #DefiniteGlobalizationofWZWTerm}
###### Definition

Given a [[nLab:infinity-group cohomology|group cocycle]] $\mathbf{c} \colon \mathbf{B}G\to\mathbf{B}^{p+2}\mathbb{G}$ with [[nLab:WZW term]], prop. \ref{WZWTermFromCocycle}, of the form

$$
  \mathbf{L}_{WZW}^V
  \colon
  V \longrightarrow \mathbf{B}^{p+1}\mathbb{G}
$$

and given a $V$-manifold $X$  we say that an _integrable globalization_ of $\mathbf{L}_{WZW}^V$ over $X$ is a WZW on on $X$

$$
  \mathbf{L}_{WZW}^X \;\colon\;X \longrightarrow \mathbf{B}^{p+1}\mathbb{G}_{conn}
$$

such that there is a $V$-atlas for $X$

$$
  \array{
     && U
     \\
     & \swarrow && \searrow
     \\
     V && && X
  }
$$

which extends to a [[nLab:correspondence]] between $\mathbf{L}_{WZW}$ and $\mathbf{L}_{WZW}^X$

$$
  \array{
     && U
     \\
     & \swarrow && \searrow
     \\
     V && \swArrow && X
     \\
     & {}_{\mathllap{\mathbf{L}_{WZW}^V}}\searrow && \swarrow_{\mathrlap{\mathbf{L}_{WZW}^X}}
     \\
     && \mathbf{B}^{p+1}\mathbb{G}_{conn}
  }
  \,.
$$

Accordingly, as in def. \ref{IntegrabilityOfGStructure} we say that $\mathbf{L}_{WZW}^X$ is an _infinitesimally integrable globalization_ if this correspondence exists after restriction along the inclusion $\flat^{rel} U \to U$ of the [[nLab:infinitesimal disks]] in $X$ and such that

1. the induced section of the [[nLab:associated infinity-bundle|associated]]  $[\mathbb{D}(1)^V,\mathbf{B}^{p+1}\mathbb{G}_{conn}]$-[[nLab:fiber infinity-bundle]] is _definite_ on the restriction $\mathbf{L}_{WZW}^{\mathbb{D}}$ of $\mathbf{L}_{WZW}^V$ to the infinitesimal disk;

1. also the underlying cocycle is definite, in that the infinitesimal disk bundle lifts to an $\mathbb{D}^V(1)$-[[nLab:gerbe]] (for the induced group structure on $\mathbb{D}^V(1)$).

=--

If $\mathbf{B}^{p+1}\mathbb{G}_{conn}$ had no [[nLab:higher gauge transformations]], then this would already ensure that such a globalization globalizes $\mathbf{L}_{WZW}^V$ locally cohesively, but here in [[nLab:higher differential geometry]] this [[nLab:property]] becomes genuine [[nLab:structure]] and hence we need to demand it. There is an axiomatic way to say this (see [dcct](#dcct) for details) and if this is imposed then we say that $\mathbf{L}_{WZW}^X$ is a _[[nLab:definite globalization of WZW term|definite globalization]]_ of $\mathbf{L}_{WZW}^V$.

+-- {: .num_prop #DefiniteGlobalizationsToGStructure}
###### Proposition

There is a canonical [[nLab:(∞,1)-functor]] from (infinitesimally integrable) definite globalizations of $\mathbf{L}_{WZW}^X$ over a $V$-manifold $X$ to (infinitesimally integrable) $G$-structures on $X$, def. \ref{GStructure}, for

$$
  G = intens(\mathbf{Stab}_{GL(V)}(\mathbf{L}_{WZW}^{\mathbb{D}^V}))
$$


the [[nlab:differential concretification|intensification]] (in the sense [above](#IntensiveExtensive)) of the [[nLab:stabilizer ∞-group]] of the restriction of $\mathbf{L}_{WZW}^V$ along the inclusion of the typical [[nLab:infinitesimal disk]] $\mathbb{D}^V \to V$.


=--


#### Nature

Given a [[nLab:theory]] of physics, made sufficiently precise in [[nLab:formal logic]], then an [[nLab:categorical semantics|interpretation]] of the theory by a  [[nLab:model]] "is" nature as predicted by this theory.

For instance if we considered [[nLab:Einstein gravity]] to be the theory of [[nLab:pseudo-Riemannian manifolds]] subject to some [[nLab:energy condition]], then a [[nLab:model]] for this theory is one [[nLab:concrete particular]] [[nLab:spacetime]].

Above we saw that cohesive (elastic) homotopy type theory contains [[nLab:Cartan geometry]], hence in particular [[nLab:pseudo-Riemannian geometry]] in its idea, as well as [[nLab:gauge theory]] and hence we accordingly find models of nature here.


Recall specifically that

1. From prop. \ref{WZWTermFromCocycle} we have that group cocycles $\mathbf{c}\colon \mathbf{B}V \longrightarrow \mathbf{B}^{p+2}\mathbb{G}$ of degree $p+2$ induce [[nLab:WZW terms]] in that degree and hence the [[nLab:WZW model|WZW]] [[nLab:sigma model]] [[nLab:prequantum field theory]] on the [[nLab:worldvolume]] of a [[nLab:p-brane]] propagating on the "model [[nLab:spacetime]]" $V$.

1. A second cocycle on the [[nLab:infinity-group extension]] classified by $\mathbf{c}$ yields a type of $\tilde p$-brane on which these $p$-branes may end;

1. This structure is naturally generalized to $V$-manifolds $X$ equipped with definite globalizations of these WZW terms, defining $p$-branes propagating on $X$.

1. The definite globalization of the WZW term $\mathbf{L}_{\mathrm{WZW}}$ induces a  $Stab(\mathbf{L}_{WZW})$ structure on $X$ and the requirement that this be infinitesimally integrable is a [[nLab:torsion of a G-structure|torsion constraint]] on $X$.

We now find an externalization of the idea such that

1. There is a canonical bouquet of higher group cocycles and their [[nLab:∞-group extensions]] emanating from the unique 0-truncated purely fermionic type -- the [[nLab:superpoint]].

1. The resulting branes and their intersection laws are those seen in [[nLab:string theory]];

1. The resulting spacetimes are  [[nLab:superspacetimes]] as in the relevant [[nLab:supergravity]] theories;

1. The resulting torsion constraints, namely the [[nLab:supergravity torsion constraints]], imply, in the maximally extended situation, the [[nLab:Einstein equations]] [[nLab:equations of motion|of motion]] of [[nLab:11-dimensional supergravity]], specifically of [[nLab:d=4 N=1 supergravity]] arising in the guise of [[nLab:M-theory on G2-manifolds]].

This is a "[[nLab:theory of everything]]" in the sense of modern fundamental physics, which is beeing argued to have viable [[nLab:string phenomenology|phenomenology]], see at _[[nLab:G2-MSSM]]_ for more on this. Even if it turns out that there are no [[nLab:model (physics)|models]] in this theory which match quantitative measurements in [[nLab:experiment]], it is noteworthy that the qualitative structure of this theory is that of [[nLab:Einstein-Yang-Mills-Dirac-Higgs theory]] and hence matches faithfully the qualitative features of nature that is in [[nLab:experiment]]. Given our starting point [above](#TheGround) this is maybe not to be lightly dismissed.

##### Externalization
 {#Externalization}


+-- {: .num_theorem #SupergeometryIsModel}
###### Theorem

The cohesive+elastic+solid homotopy type theory [above](#ObjectiveLogic) has a faithful (i.e. non-degenerate) [[nLab:categorical semantics]] in the [[nLab:(∞,1)-topos|homotopy topos]] $SuperFormalSmooth\infty Grpd$ of _[[nLab:super formal smooth infinity-groupoids]]_.

=--

We now spell out the construction of this model and indicate the proof of this statement.

+-- {: .num_defn #SupergeometricModel}
###### Definition

Write

* [[nLab:CartSp]] for the site of [[nLab:Cartesian spaces]];


* $InfPoint \coloneqq WAlg^{op}$ for the category of first-order [[nLab:infinitesimally thickened points]] (i.e. the [[nLab:abstract duality|formal duals]] of [[nLab:commutative algebras]] over the [[nLab:real numbers]] of the form $\mathbb{R}\oplus V$ with $V$ a finite-dimensional  square-0 [[nLab:nilpotent ideal]]).

* $SuperPoint \coloneqq WAlg_{super}^{op}$ for the category of [[nLab:superpoints]], by which we here mean the [[nLab:formal duals]] to commutative [[nLab:superalgebras]] which are super-[[nLab:Weil algebras]].

There are then "semidirect product" sites $CartSp \rtimes InfinPoint$ and $CartSp \rtimes SuperPoint$ (whose objects are [[nLab:Cartesian products]] of the given form inside [[nLab:synthetic differential supergeometry]] and whose morphisms are all morphisms in that context (not just the product morphisms)).

Set then

$$
  Smooth \infty Grpd \coloneqq Sh_\infty(CartSp)
$$

for the collection of [[nLab:smooth ∞-groupoids]];


$$
  FormalSmooth\infty Grpd \coloneqq Sh_\infty(CartSp \rtimes InfPoint)
$$

for the collection of [[nLab:formal smooth ∞-groupoids]] (see there) and finally

$$
  SuperFormalSmooth\infty Grpd \coloneqq Sh_\infty(CartSp \rtimes SuperPoint)
$$

for that of [[nLab:super formal smooth ∞-groupoids]].

=--

+-- {: .num_lemma #SequenceOfSites}

###### Proposition

The [[nLab:sites]] in question are alternatingly (co-)[[nLab:reflective subcategories]] of each other (we always display [[nLab:left adjoints]] above their right adjoints)

$$
  \ast
  \stackrel{\longleftarrow}{\hookrightarrow}
  CartSp
  \stackrel{\hookrightarrow}{\longleftarrow}
  CartSp\rtimes InfPoint
  \stackrel{\longleftarrow}{\stackrel{\hookrightarrow}{\longleftarrow}}
  CartSp \rtimes SuperPoint
  \,.
$$



Here

* the first inclusion picks the [[nLab:terminal object]] $\mathbb{R}^0$;

* the second inclusion is that of [[nLab:reduced objects]]; the coreflection is [[nLab:reduction]], sending an algebra to its [[nLab:reduced algebra]];

* the third inclusion is that of even-graded algebras, the reflection sends a $\mathbb{Z}_2$-graded algebra to its even-graded part, the co-reflection sends a $\mathbb{Z}_2$-graded algebra to its quotient by the ideal generated by its odd part, see at _[superalgebra -- Adjoints to the inclusion of plain algebras](super+algebra#AdjointsToInclusionOfPlainAlgebra)_.


Passing to [[nLab:(∞,1)-categories of (∞,1)-sheaves]], this yields, via [[nLab:(∞,1)-Kan extension]], a sequence of [[nLab:adjoint quadruples]] as follows:


$$
  \array{
    & && && &\longleftarrow&
    \\
    & && &\hookrightarrow& &\hookrightarrow&
    \\
    & &\longleftarrow& &\longleftarrow& &\longleftarrow&
    \\
    \Delta \colon
    &
    \infty Grpd
    &\hookrightarrow&
    Smooth \infty Grpd
    &\hookrightarrow&
    FormalSmooth \infty Grpd
    &\hookrightarrow&
    SuperFormalSmooth \infty Grpd
    \\
    & &\longleftarrow& &\longleftarrow&
    \\
    & &\hookrightarrow&
  }
$$


the total composite labeled $\Delta$ is indeed the [[nLab:locally constant infinity-stack]]-functor.

Forming [[nLab:adjoint triples]] from these [[nLab:adjoint quadruples]] gives idempotent (co-)monads

$$
  &#643; \dashv \flat \dashv \ast
$$

$$
  \Re \dashv \Im \dashv \&
$$

$$
  \rightrightarrows \dashv \rightsquigarrow \dashv \Re
$$

satisfying the required inclusions of their images.


=--

+-- {: .proof}
###### Proof

All the sites are [[nLab:∞-cohesive sites]], which gives that we have an [[nLab:cohesive (infinity,1)-topos]]. The composite inclusion on the right is an [∞-cohesive neighbourhood site](http://ncatlab.org/nlab/show/differential+cohesive+%28infinity%2C1%29-topos#PresentationOnInfinitesimalNeighbourhoodSites), whence the inclusion $Smooth\infty Gpd\hookrightarrow SuperFormalSmooth\infty Grpd$ exhibits [[nLab:differential cohesion]].

With this the rightmost adjoint quadruple gives the [[nLab:Aufhebung]] of $\Re \dashv \Im$ by $\rightsquigarrow \dashv \R$ and the further opposition $\rightrightarrows \dashv \rightsquigarrow$.


=--

+-- {: .num_remark}
###### Remark

The model in def. \ref{SupergeometricModel} admits also the refinement of the [[nLab:infinitesimal shape modality]] to an infinite tower

$$
  &#643;
  \lt
  \Im
  =
  \Im_{(0)}
  \lt
  \Im_{(1)}
  \lt
  \Im_{(2)}
  \lt
  \Im_{(3)}
  \lt
  \cdots
$$

characterizing $k$th order infinitesimals. Let

$$
  \ast
  =
  InfPoint_{(0)}
  \hookrightarrow
  InfPoint_{(1)}
  \hookrightarrow
  InfPoint_{(2)}
  \hookrightarrow
  InfPoint_{(3)}
  \hookrightarrow
  \cdots
  InfPoint
$$

be the stratification of $InfPoint$ by its [[nLab:full subcategory|full subcategories]] on those objects whose coresponding [[nLab:Weil algebras]]/[[nlab:local Artin algebras]] are of the form $\mathbb{R} \oplus V$ with $V^k = 0$. Each of these inclusions has [[nLab:coreflective subcategory|coreflection]], given by [[nLab:projection]] onto the [[nLab:quotient]] by the ideal $V^k$, as $k$ ranges

=--

+-- {: .num_prop #DeterminateNegationsRealized}
###### Proposition


The model in def. \ref{SupergeometricModel} verifies the required determinate negations

1. determinate negations I:


   * $&#643; \ast \simeq \ast$;

   * $\flat \to &#643;$ is epi restricted to 0-types;

1. determinate negations II:

   * $&#643; \simeq loc_{\mathbb{R}}$ for $\mathbb{R} \in SmoothMfd \hookrightarrow SuperFormalSmooth\infty Grpd$ the ordinary [[nLab:real line]];

   * $Rh \simeq loc_{\mathbb{R}^{0|1}}$ for $\mathbb{R}^{0|1} \in SuperMfd \hookrightarrow SuperFormalSmooth\infty Grpd$ the [[nLab:odd line]].

=--


+-- {: .proof}
###### Proof


The first two items follow with the discussion at [[nLab:∞-cohesive site]].
The second two by [dcct, prop. 5.2.51](#dcct).


=--

+-- {: .num_prop #SublationsRealized}
###### Proposition

The model in def. \ref{SupergeometricModel} verfies the required Aufhebungen

1. $\sharp \emptyset \simeq \emptyset$;

1. $\rightsquigarrow \Im \simeq \Im$.

=--

+-- {: .proof}

###### Proof

For the statement $\sharp \emptyset \simeq \emptyset$ consider the following:

Since the site $S$ of $\mathbf{H} \coloneqq SuperFormalSmooth\infty Grpds$  has a [[nLab:terminal object]] $\ast$, it follows that for $X\in \mathbf{H}$ any sheaf $X \colon \mathcal{S}^{op}\to Set$ then

$$
  \flat X \simeq X(\ast)
$$


(where we may leave the constant re-embedding implicit, due to it being [[nLab:fully faithful functor|fully faithful]]).

Moreover, for every object $U\in \mathcal{S}$ there exists a morphism $i \colon \ast \to U$ hence for every $X\in \mathbf{H}$ and every $U$ there exists a morphism $i^\ast \colon X(U)\to \flat X$. This means that if $\flat X \simeq \emptyset$ then $X(U) \simeq \emptyset$ for all $U \in \mathcal{S}$ and hence $X\simeq \emptyset$.

We now show that this condition is equivalent to the required Aufhebung:


Generally, given a [[nLab:topos]] equipped with a [[nLab:level of a topos]] given by an [[nLab:adjoint modality]] $(\Box\dashv \bigcirc) \coloneqq (\flat \dashv \sharp)$, then the condition $\sharp \emptyset \simeq \emptyset$ is equivalent to $(\flat X \simeq \emptyset) \Leftrightarrow (X \simeq \emptyset)$.

Because: in a topos the [[nLab:initial object]] $\emptyset$ is a [[nLab:strict initial object]], and hence $(X \simeq \emptyset) \simeq (X \to \emptyset)$.
Therefore in one direction, assuming $\sharp \emptyset \simeq \emptyset$ then

$$
  \begin{aligned}
    (X \simeq \emptyset)
    & \simeq
    (X \to \emptyset)
    \\
    & \simeq (X \to \sharp \emptyset)
    \\
    & \simeq (\flat X \to \emptyset)
    \\
    & \simeq (\flat X \simeq \emptyset)
  \end{aligned}
  \,.
$$

Conversely, assuming that $(\flat X \simeq \emptyset) \Leftrightarrow (X \simeq \emptyset)$, then for all $X$

$$
  \begin{aligned}
    (X\to \emptyset)
    & \simeq
    (X\simeq \emptyset)
   \\
    & \simeq (\flat X \simeq \emptyset)
    \\
    & \simeq (\flat X \to \emptyset)
    \\
    & \simeq (X\to \sharp \emptyset)
  \end{aligned}
$$

and hence by the [[nLab:Yoneda lemma]] $\emptyset \simeq \sharp \emptyset$.

$\,$

Second, for the statement $\rightsquigarrow \Im \simeq \Im$ consider the following:

For any $X \in \mathbf{H}$ and any $U \times D_s\in CartSp \rtimes SuperInfPoint \hookrightarrow \mathbf{H}$ we have by [[nLab:adjunction]] [[nLab:natural equivalences]]

$$
  \begin{aligned}
    \mathbf{H}(U \times D_s , \stackrel{\rightsquigarrow}{\Im X})
    & \simeq
    \mathbf{H}(\stackrel{\rightrightarrows}{U \times D_s} , \Im X)
    \\
    &\simeq
    \mathbf{H}(\Re(\stackrel{\rightrightarrows}{U \times D_s}) , X)
    \\
    & \simeq
    \mathbf{H}(U, X)
    \\
    & \simeq
    \mathbf{H}(\Re(U \times D_s), X)
    \\
    & \simeq \mathbf{H}(U \times D_s, \Im X)
  \end{aligned}
  \,.
$$

Here the crucial step is the observation that on representables, by construction, the reduced part of the even part is the reduced part of the original object.

=--

But observe that

+-- {: .num_prop #CompletenessOfOppositionsInSuperFormalSmoothTypes}
###### Proposition

While, due to prop. \ref{DeterminateNegationsRealized},  in the  model of def. \ref{SupergeometricModel}

* the opposition $&#643; \dashv \sharp$ has determinate negation in the sense of def. \ref{CompleteOpposition};

on the other hand

* the opposition $\rightrightarrows \dashv \rightsquigarrow$ does not have definite negation in the sense of def. \ref{CompleteOpposition}.

=--

+-- {: .proof}
###### Proof

The definition would require that

$$
  \stackrel{\rightsquigarrow}{\mathbb{R}^{0|2}}
    \longrightarrow
  \stackrel{\rightrightarrows}{\mathbb{R}^{0|2}}
$$

is an epimorphism. But this is equivalent to the point inclusion

$$
  \ast \longrightarrow \mathbb{D}(1)
$$

into the [[nLab:formal dual]] of the [[nLab:algebra of dual numbers]].

=--


##### Space-Time-Matter

We discuss now how in the externalization of the theory given by theorem \ref{SupergeometryIsModel} there naturally appears [[nLab:spacetime]] from [the idea](#TheIdea).

The progressive system of moments above, yields, by prop. \ref{DeterminateNegationsRealized}, two god-given objects:

| [[nLab:real line]] | [[nLab:superpoint]] |
|---|---|
| $\mathbb{R} = \mathbb{R}^{1\vert 0}$ | $\mathbb{R}^{0\vert 1}$ |
| $&#643; \simeq loc_{\mathbb{R}}$ | $Rh \simeq loc_{\mathbb{R}^{0\vert 1}}$ |


Both have familiar structure of an [[nLab:abelian group]] object, $\mathbb{R}$ being the [[nLab:additive group]], hence there are arbitrary [[nLab:deloopings]] $\mathbf{B}^n \mathbb{R}^{0|1}$ and $\mathbf{B}^{n}\mathbb{R}$.

Given two types, there are the [[nLab:judgements]] in which these appear as
subject and as predicate, in the sense discussed [above](#JudgementInFormalization).

There are no non-trivial judgements with (a delooping of) $\mathbb{R}$ as the subject and (a delooping of) $\mathbb{R}^{0|1}$ as the predicate. But there turn out to be some exceptional judgements with subject $\mathbb{R}^{0|q}$ and predicate $\mathbf{B}^d \mathbb{R}$.

By example \ref{PrincipalBundlesAsJudgements} this leads to the deduction of the object which is the homotopy fibers of the corresponding maps. From these one obtains further judgements, then further objects, and so forth. This way a "bouquet" of objects is induced from the initial ones.


We now discuss how this bouquet first of all yields [[nLab:super Minkowski spacetime]] and then further the [[nLab:extended super Minkowski spacetimes]] arising from [[nLab:super p-brane]] condensates ([FSS](#FSS)).


###### Minkowski spacetime

Consider first the [[nLab:superpoint]] $\mathbb{R}^{0|1}$.

+-- {: .num_remark}
###### Remark

This is the unique 0-truncated object which is

1. purely negative to bosonic moment;

1. purely opposite to bosonic moment;

in that

$$
  \e(\mathbb{R}^{0|1})\simeq \mathbb{R}^{0|1}
$$

$$
  \stackrel{\rightrightarrows}{\mathbb{R}^{0|1}} \simeq \ast
  \,.
$$

=--

Since $\mathbb{R}^{0|1}$ (and the other objects obtained in a moment) are contractible as [[nLab:super Lie groups]], we may use the [[nLab:van Est isomorphism]] to conveniently discuss them as [[nLab:super Lie algebras]].
Regarding $\mathbb{R}^{0\vert 1}$ as a [[nLab:super Lie algebra]], then its [[nLab:Chevalley-Eilenberg algebra]] is freely generated from a $(1,odd)$-bigraded element $d\theta$

$$
  CE(\mathbb{R}^{0\vert 1})
  =
  \left(
    \wedge^\bullet \langle d\theta \rangle, d_{CE} = 0
  \right)
  \,.
$$

It is evident that

+-- {: .num_prop}
###### Proposition

The second [[nLab:super Lie algebra|super]] [[nLab:Lie algebra cohomology]] of $\mathbb{R}^{0\vert 1}$ is

$$
  H^{2}(\mathbb{R}^{0\vert 1}, \mathbb{R})
  =
  \mathbb{R}
$$

represented by the  2-cocycles of the form

$$
  d\theta\wedge d\theta
  \in CE(\mathbb{R}^{0\vert 1})
  \,.
$$

The [[nLab:Lie algebra extension]]

$$
  \array{
    \mathbb{R}^{1|\mathbf{1}}
    \\
    \downarrow
    \\
    \mathbb{R}^{0|1}
    &\stackrel{}{\longrightarrow}&
    \mathbf{B}^1 \mathbb{R}
  }
$$

classified by this is the [[nLab:super translation group]] in 1-dimension.

=--

This is the [[nLab:worldline]] of the [[nLab:superparticle]].


There are no further non-trivial cocycles here giving further extensions.


Hence next consider the [[nLab:Cartesian product]] of the initial superpoint with itself.

$$
  \mathbb{R}^{0|2}
  =
  \mathbb{R}^{0|1}\times \mathbb{R}^{0|1}
  \,.
$$

+-- {: .num_remark}
###### Remark

This is still purely of negative bosonic moment in that
$e(\mathbb{R}^{0|2}) \simeq \mathbb{R}^{0|2}$, but it is no longer has purely no moment opposed to bosonic moment (witnessing that the fermionic opposition is not complete, lemma \ref{CompletenessOfOppositionsInSuperFormalSmoothTypes}), instead

$$
  \stackrel{\rightrightarrows}{\mathbb{R}^{0|2}}
  \simeq
  \mathbb{D}(1)
$$

is the first-order [[nLab:infinitesimal interval]] (the [[nLab:formal dual]] of the "[[nLab:algebra of dual numbers]]").

=--


+-- {: .num_prop #3dSuperMinkowskiSpacetime}
###### Proposition

The second [[nLab:super Lie algebra|super]] [[nLab:Lie algebra cohomology]] of $\mathbb{R}^{0\vert 2}$ is

$$
  H^2(\mathbb{R}^{0\vert 2}, \mathbb{R})
  \simeq
  \mathbb{R}^3
$$

represented by the cocycles of the form

$$
  a_{11}
  \,
  d\theta_1 \wedge d\theta_1
   +
  a_{22}
  \,
  d\theta_2 \wedge d\theta_2
  +
  a_{12}
  \,
  d\theta_1 \wedge d\theta_2
  \,.
$$

The [[nLab:infinity-group extension|extension]] classified by this

$$
  \array{
     \mathbb{R}^{2,1|\mathbf{2}}
     \\
     \downarrow
     \\
     \mathbb{R}^{0|2}
     &\stackrel{}{\longrightarrow}&
     \mathbf{B} \mathbb{R}^3
  }
$$

is 3-dimensional [[nLab:super Minkowski spacetime]].

=--

+-- {: .proof}
###### Proof

This follows by inspection of the real [[nLab:spin representations]]
in dimension 3, see the details spelled out at
_[spin representation -- via division algebras -- Example d=3](http://ncatlab.org/nlab/show/spin%20representation#RealSpinorRepsIn3d)_).

=--

Now the old [[nLab:brane scan]] gives:

+-- {: .num_pro}
###### Proposition

$$
  H^3(\mathbb{R}^{2,1\vert \mathbf{2}}) = \mathbb{R}
$$

represented by the 3-cocycle which, as a [[nLab:left invariant differential form|left invariant]] [[nLab:super differential form]] on $\mathbb{R}^{2,1\vert \mathbf{2}}$
is the [[nLab:WZW term]] in the [[nLab:Green-Schwarz action functional]] for the [[nLab:super 1-brane in 3d]].

$$
  \array{
     \mathfrak{string}_{het \, on \, G_2}
     \\
     \downarrow
     \\
     \mathbb{R}^{2,1\vert \mathbf{2}}
      &\stackrel{}{\longrightarrow}&
     \mathbf{B}^2 \mathbb{R}
  }
$$

=--

A definite globalization, of this 3-cocycle over a $\mathbb{R}^{3\vert \mathbf{2}}$-manifold requires, by def. \ref{DefiniteGlobalizationofWZWTerm}, that the [[nLab:tangent bundle]] is a bundle of [[nLab:super Lie algebras]] and that the cocycle extends to a [[nLab:definite form]]. This imposes [[nLab:G-structure]] for $G$ the [[nLab:Lorentz group]] (or rather its [[nLab:spin group]] [[nLab:double cover]]).

+-- {: .num_prop}
###### Proposition

The joint [[nLab:stabilizer]] of $GL(\mathbb{R}^{2,1\vert 2})$
of the Lie bracket and the 3-cocycle is the [[nLab:pin group]] $Pin(2,1)$, the unoriented generalization of the [[nLab:spin group]] $Spin(2,1)$,
the [[nLab:double cover]] of the [[nLab:Lorentz group]] $SO(2,1)$.

=--

This is one special case of a more general statement which we come to as prop. \ref{StabilizerOfSupersymmetryJointWith3Cocycle} below.

Consider then $\mathbb{R}^{2,1\vert 4}$

$$
  \array{
    && \mathbb{R}^{2,1\vert 4}
    \\
    & \swarrow && \searrow
    \\
    \mathbb{R}^{0 \vert 2} && && \mathbb{R}^{0\vert 2}
    \\
    & \searrow && \swarrow
    \\
    && \mathbf{B} \mathbb{R}^3
  }
  \,.
$$

+-- {: .num_prop #4dSuperMinkowskiSpacetime}
###### Proposition

There is a 1-dimensional space of $Spin(2,1)$-invariant 2-cocycles
on $\mathbb{R}^{2,1\vert \mathbf{2} + \overline{\mathbf{2}}$.
The [[nLab:Lie algebra extension]] classified by that
is 4d [[nLab:super Minkowski spacetime]]

$$
  \array{
    \mathbb{R}^{3,1\vert 4}
    \\
    \downarrow
    \\
    \mathbb{R}^{2,1\vert \mathbf{2}+{\mathbf{2}}}
    &\longrightarrow&
    \mathbf{B}\mathbb{R}
  }
$$

=--

+-- {: .proof}
###### Proof

By inspection of the real [[nLab:spin representations]] in dimension 4.

=--


Now the old [[nLab:brane scan]] gives:

+-- {: .num_prop #TheStringIn4d}
###### Proposition

$$
  H^4(\mathbb{R}^{3,1\vert \mathbf{4}}) = \mathbb{R}
$$

represented by the 4-cocycle which, as a [[nLab:left invariant differential form|left invariant]] [[nLab:super differential form]] on $\mathbb{R}^{3,1\vert \mathbf{2}}$
is the [[nLab:WZW term]] in the [[nLab:Green-Schwarz action functional]] for the [[nLab:super 2-brane in 4d]].

$$
  \array{
     \mathfrak{m}2\mathfrak{brane}_{on\,G_2}
     \\
     \downarrow
     \\
     \mathbb{R}^{3,1\vert  \mathbf{4} }
      &\stackrel{}{\longrightarrow}&
     \mathbf{B}^3 \mathbb{R}
  }
  \,.
$$

=--



###### Lorentz symmetry

Notice that so far we have obtained 3-dimensional
and 4-dimensional  Minkowski spacetime and the WZW-term for the [[nLab:superstring]]
and the [[nLab:membrane]] propagating on it without assuming knowledge of the [[nLab:Lorentz group]]. In fact we assumed nothing but the presence of the [[nLab:real line]] $\mathbb{R}$ and the [[nLab:odd line]] $\mathbb{R}^{0|1}$ and we have simply investigated their cohomology.

The following proposition shows that the [[nLab:Lorentz group]], in fact its [[nLab:universal cover]] by the pseudo-Riemannian [[nLab:spin group]] is _deduced_ from this.

+-- {: .num_prop #StabilizerOfSupersymmetryJointWith3Cocycle}
###### Proposition

Let $\mathbb{R}^{d-1,1,N}$ be [[nLab:super Minkowski spacetime]] in [[nLab:dimension]] $d \in \{3,4,6,10\}$ and let $\phi \in \Omega^{3}(\mathbb{R}^{d-1,1|N})$ the corresponding 3-form characterizing the [[nLab:super p-brane|super-1-brane]] ([[nLab:superstring]]) in this dimension, according to the [[nLab:brane scan]] . Then the [[nLab:stabilizer subgroup]] of both the super Lie bracket and the cocycle is the [[nLab:Spin group]] $Spin(d-1,1)$:

$$
  Stab_{GL(\mathbb{R}^{d-1,1|N})}([-,-], \phi)
  \simeq
  Spin(d-1,1) \hookrightarrow GL(\mathbb{R}^{d-1,1|N})
  \,.
$$

=--

+-- {: .proof}
###### Proof

It is clear that the [[nLab:spin group]] fixes the cocycle, and by the discussion at [[nLab:spin representation]] it preserves the bracket. Therefore it remains to be seen that the Spin group already exhausts the stabiizer group of bracket and cocycle. For that observe that the 3-cocycle is

$$
  (\psi,\phi, v) \mapsto \eta( [\psi,\phi], v )
  \,,
$$

where $\eta(-,-)$ is the given [[nLab:Minkowski metric]], and that the bilinear map

$$
  [-,-]\colon S \otimes S\to V
$$

is surjective. This imples that if $g \in GL(\mathbb{R}^{d-1,1|N})$ preserves both the bracket and the cocycle for all $\psi, \phi \in S$ and $v \in V$
to
$$
  \eta( [g(\psi),g(\phi)], g(v) )
  =
  \eta( g([\psi,\phi]), g(v) )
  =
  \eta( [\psi,\phi], v )
$$

then it preserves the Minkowski metric for all $w,v$

$$
  \eta(g(w), g(v)) = \eta(w,v)
  \,.
$$

=--

This means that $\mathbb{R}^{2,1|2}$-manifolds $X$ equipped with the 3-cocycle as a [[nLab:definite form]] such that the resulting [[nLab:G-structure]] according to prop. \ref{DefiniteGlobalizationsToGStructure} also preserves the the group structure on $\mathbb{R}^{2,1|2}$, then this is equivalent to equipping $X$ with Lorentzian [[nLab:orthogonal structure]], hence with super-[[nLab:pseudo-Riemannian metric]], hence with a [[nLab:field (physics)|field]]-configuration for [[nLab:3d supergravity]].

###### Fundamental branes

[[schreiber:The brane bouquet]] that we find...

$$
  \array{
     && \mathfrak{m}2\mathfrak{brane}_{on\,G_2}
     \\
     && \downarrow
     \\
     && \mathbb{R}^{3,1|\mathbf{4}}  &&  \mathbb{R}^{2,1|\overline{\mathbf{2}}}
     \\
     && \downarrow & \nearrow&  & \searrow
     \\
     \mathfrak{string}_{IIA\,on\,G_2} &\longrightarrow& \mathbb{R}^{2,1|\mathbf{2}+\overline{\mathbf{2}}} &&  && \mathbb{R}^{3}
     \\
     && \downarrow &\searrow&  & \nearrow
     \\
     && \mathbb{R}^{0|\mathbf{2}+\overline{\mathbf{2}}} &&  \mathbb{R}^{2,1|\mathbf{2}}
     \\
     && && \downarrow
     \\
     && && \mathbb{R}^{0|\mathbf{2}}
     \\
     && & \swarrow && \searrow
     \\
     && \mathbb{R}^{0|1} && && \mathbb{R}^{0|1}
  }
$$

this is equivalently the physics coming from [[nLab:M-theory on G2-manifolds]], given by the extensions that emanate from 32 copies of the smallest superpoint:

$$
  \array{
     && && \mathfrak{m}5\mathfrak{brane}
     \\
     && && \downarrow
     \\
     && && \mathfrak{m}2\mathfrak{brane}
     \\
     && && \downarrow
     \\
     && \underset{p}{\coprod} \mathfrak{d}{2p}\mathfrak{brane} && \mathbb{R}^{10,1|\mathbf{32}}
     \\
     && \downarrow && \downarrow
     \\
     && \mathfrak{string}_{IIA} &\longrightarrow & \mathbb{R}^{9,1|\mathbf{16}+\overline{\mathbf{16}}}
     \\
     && && \downarrow
     \\
     && && \mathbb{R}^{0|\mathbf{16}+\overline{\mathbf{16}}}
     \\
     && & \swarrow && \searrow
     \\
     && \mathbb{R}^{0|1} && \cdots  && \mathbb{R}^{0|1}
  }
$$

These are branches of [[schreiber:The brane bouquet]] of string theory, see there for more. By prop. \ref{WZWTermFromCocycle} each branch here gives the WZW form for the corresponing [[nLab:Green-Schwarz super p-brane]] sigma model.

###### Gravity

Above we have found two interlocking ingredients arising from the axiomatics:

1. **abstract generals** -- Given any [[nLab:group object]] $V$, then there is an abstract general concept of $V$-manifolds $X$, def. \ref{VManifold}. Given furthermore a [[nLab:WZW term]] $\mathbf{L}_{WZW}^V$ on $V$, then there is an abstract general concept of [[nLab:definite globalization of WZW term|definite globalizations]] of this term over these manifolds $X$, \ref{DefiniteGlobalizationofWZWTerm} inducing [[nLab:G-structure|G-structures]] on $X$, prop. \ref{DefiniteGlobalizationsToGStructure}.

1. **concrete individuals** -- We have found concrete individual $V$s: [[nLab:extended super Minkowski spacetimes]], prop. \ref{3dSuperMinkowskiSpacetime}, prop. \ref{4dSuperMinkowskiSpacetime} emanating from the objects which represent the moments $&#643;$ and $\rightrightarrows$,  and we have further found individual $\mathbf{L}_{WZW}^V$: the [[nLab:Green-Schwarz super p-brane|super p-brane WZW terms]], prop. \ref{TheStringIn4d} etc., forming [[schreiber:The brane bouquet]].

Plugging the concrete individuals into the general abstract theory, we hence obtain particular phenomena.

$$
  \array{
     && \flat^{rel}_{(1)} U
     \\
     & \swarrow && \searrow
     \\
     \mathbb{R}^{d-1,1|\mathbf{N}}
     && \swArrow &&
     X
     \\
     & {}_{\mathllap{\mathbf{L}_{WZW}^{brane}}}\searrow && \swarrow_{\mathrlap{\mathbf{L}_{WZW}^X}}
     \\
     && \mathbf{B}^{p+2}\mathbb{G}_{conn}
  }
$$

Specifically there is 11-dimensional  [[nLab:super Minkowski spacetime]] $V = \mathbb{R}^{10,1\vert \mathbf{32}}$ carrying the WZW term $\mathbf{L}_{WZW}^{M2}$ for the [[nLab:M2-brane]], in some sense the endpoint of the bouquet of super-spacetimes. The [[nLab:KK-compactification]] of this on a 7-dimensional [[nLab:G2-manifold]] yields the 4-dimensional super-Minkowski spacetime discussed above, with the WZW term for the [[nLab:super 2-brane in 4d]].

The 11-dimensional super-Minkowski spacetime is special in many ways, one of which is that in this dimension the [[nLab:equations of motion]] of [[nLab:11-dimensional supergravity]] on a $(Spin(10,1)\hookrightarrow Iso(\mathbb{R}^{10,1\vert \mathbf{32}}))$-[[nLab:super Cartan geometry]] $X$ modeled on $\mathbb{R}^{10,1\vert \mathbf{32}}$ are already captured by just a constraint on the [[nLab:torsion of a G-structure|torsion tensor]]. But by remark \ref{TorsionConstraints} this means that in dimension 11 the equations of motion of supergravity have an immediate axiomatization in our objective logic.


equivalent to just the condition that the  of $X$ is at each point and to first infinitesimal order the intrinsic torsion of $\mathbb{R}^{10,1\vert \mathbf{32}}$

+-- {: .num_prop #VacuumSolutionsIn11d}
###### Proposition

First-order integrable $(Spin(10,1)\hookrightarrow Iso(\mathbb{R}^{10,1\vert \mathbf{32}}))$-[[nLab:super Cartan geometry|super-Cartan geometries]], def. \ref{CartanGeometry}, on $\mathbb{R}^{10,1\vert\mathbf{32}}$-manifolds $X$, def. \ref{VManifold}, which are first-order integrable with respect to the intrinsic left-invariant [[nLab:torsion of a G-structure|torsion]] of $\mathbb{R}^{10,1\vert \mathbf{32}}$, remark \ref{TorsionConstraints},  are equivalent to [[nLab:vacuum]] solutions to the [[nLab:equations of motion]] of [[nLab:11-dimensional supergravity]], i.e. to solutions for which the [[nLab:field strength]] of the [[nLab:gravitino]] and of the [[nLab:supergravity C-field]] vanishes identically, hence to solutions to the ordinary vacuum [[nLab:Einstein equations]] in 11d.

=--

+-- {: .proof}
###### Proof

([Howe 97](http://ncatlab.org/nlab/show/torsion+constraints+in+supergravity#Howe97)) shows that imposing (on some [[nLab:chart]]) $\mathbf{d} E^a + \omega^{a}{}_b \wedge E^b - \bar \psi \Gamma^a \psi  = 0$ implies (and hence is equivalent to) the equations of motion of [[nLab:11d supergravity]]. These equations (see e.g. [D'Auria-Fré 82, p. 31](http://ncatlab.org/nlab/show/11-dimensional%20supergravity#DAuriaFre)) then show that furthermore requiring $\mathbf{d} \psi + \tfrac{1}{2}\omega_{a b} \Gamma^{a b}\psi = 0$ (and hence requiring the full supertorsion tensor to be that of super-Minkowski spacetime) puts the [[nLab:field strength]] of the [[nLab:gravitino]] and of the [[nLab:supergravity C-field]] to 0.

=--

+-- {: .num_remark}
###### Remark

Vacuum Einstein solutions as in prop. \ref{VacuumSolutionsIn11d}, are considered notably in the context of [[nLab:M-theory on G2-manifolds]] (e.g. [Acharya 02, p. 9](http://ncatlab.org/nlab/show/M-theory+on+G2-manifolds#Acharya02)). See also at _[M-theory on G2-manifolds -- Details -- Vacuum solution and torsion constraints](http://ncatlab.org/nlab/show/M-theory+on+G2-manifolds#VacuumSolutionsAndTorsion)_.

=--


+-- {: .num_prop }
###### Proposition

Given a [[nLab:definite globalization of WZW term|definite globalization]] $\mathbf{L}_{WZW}^X$ of a super $p$-brane WZW term $\mathbf{L}_{WZW}^V$, then the [[nLab:stabilizer infinity-group]] of $\mathbf{L}_{WZW}$ is the integrated [[nLab:BPS charge]] algebra of this solution of supergravity.

=--

See at _[BPS charge -- Formalization in higher differential geometry](http://ncatlab.org/nlab/show/BPS+state#InTermsOfHigherDifferentialGeometry)_.




### Formalization dictionary
 {#FormalizationDictionary}

We here survey in the form of a dictionary which concepts in
Hegel's Logic we are formalizing by which structure in [[modal type theory]]
according to the general procedure laid out [above](#FormalizationText).
Each entry of the dictionary is equipped with citations pointing to
those paragraphs in Hegel's texts, as well as to parts of the secondary literature,
which we argue, below, as suggesting and supporting this identification.

Of course, as with the formalization of anything
that is vague and informal, this identification
involves choices that are subjective, based on one's sense of the
mathematics, the philosophy and notably the
mystic speculative poetry that is the very nature of Hegel's work.
Hence this table should be regarded as a proposal whose purpose is not
to claim a formalization set in stone, but to provide a convenient
survey and summary of what is happening in the bulk text below.



Our **paragraph numbering** is as follows:

* for the _Science of Logic_ itself (which has no paragraph numbering in the original), we follow the English translation by Miller as found online at _[Hegel-by-Hyper-Text](https://www.marxists.org/reference/archive/hegel/works/hl/)_;

  **§xyz** for the _Science of Logic_

* for the _Encyclopedia of the Philosophical Sciences_ where the original does have paragraph numbering in the main text, but not in the preface and introduction, we follow the original numbering in the main text (and still need to figure out what to do about the rest);

  **EL§xyz** for the _Shorter Logic_;

  **PN§xyz** for the _Philosophy of Nature_;

  **PG§xyz** for the _Philosophy of the Spirit_

(Since we are considering formalization as opposed to speculation, we are necessarily inside the doctrine of the Notion, and hence the following table does not show that as an item, but shows the subsections of the subjective logic as items in boldface. From this perspective the objective logic is one of these subsections and displayed accordingly.)

+-- {: bluebox #Dictionary}
###### The formalization dictionary

| Hegel's logic |  [[modal type theory|modal]] [[homotopy type theory]] |  |
|-----|------|---|
| **subjektive Begriffslogik** | **[[type theory]]/[[natural deduction]]** | [§1280](#1280), [Law94b](#Lawvere94b) |
| Begriff, concept, notion | [[type]] | [§1280](#1280), [Kant1871 A69/B94](#Kant1871A69B94), [MaLö73](#MartinLoef73), [MaLö90](#MartinLoef90), [MaLö93](#MartinLoef93), [Sale 77](#Sale77), [Se94](#Sergeraert94), [Ash11](#Asher11), [LaPr14](#LadymanPresnel14) |
| Urteil | [[judgement]] | [MaLö96](#MartinLoef96) |
| Schluss (syllogism) | [[cut elimination]], [[natural deduction]] | [Ge35](#Gentzen35), [RMR 94, 2.3](#PalmeReyesMacnamaraReyes94) |
| Grund (unvermittelt) | [[antecedent]] | [§1021](#1021) |
| das Begründete (vermittelt) | [[succedent]]/[[consequent]] | [§1021](#1021), [§1035](#1035) |
| entering into existence | [[term introduction]] | [§1033](#1033), [§1035](#1035) |
| moment | [[modality]], [[modal operator]] ([[idempotent monad]] ([[comonad|co-]])[[monad]]) |  |
| unity of opposites |  [[adjoint modality]] (moment $\dashv$ co-moment) | [§908](#908), [Law91](#Lawvere91), [[Cohesive Toposes and Cantor's "lauter Einsen"|Law94]], [[Unity and Identity of Opposites in Calculus and Physics|Law96]] |
| negative | [[cofiber]] of [[counit of a comonad]] | [§911](#911), [§938](#938) |
| unity of opposite unities of opposites | [[adjoint triple]] [[adjoint modality]] $\left(\array{moment &\dashv& comoment \\ \bot && \bot \\ comoment &\dashv& cocomoment }\right)$  |  |
| sphere | [[level of a topos|level]] | [§194](#194) |
| Aufhebung | [[Aufhebung]], inclusion of adjoint modality in higher [[level of a topos|level]] | [Law89](Aufhebung#Law89b) |
| **Objektive Logik** |    |  |
| **Seinslogik** | **[[modal type theory]]** | [Law94b](#Lawvere94b) |
| [[being]], One  | [[unit type]] $\ast$ | [§86](#86), [§132](#132), [§1663](#1663) |
| [[nothing]] | [[empty type]] $\emptyset$ | [§133](#133) |
| [[becoming]] | [[adjoint modality]]  $(\emptyset \dashv \ast)$ | [§134](#134), [§152](#152), [§176](#176), [§177](#177), [§180](#180), [Law91](#Lawvere91) |
| everything is an intermediate stage between nothing and being | [[points-to-pieces transform|comparison map]] via [[counit of a comonad|counit]]/[[unit of a monad|uni]]-factorization $(\emptyset \to X \to \ast)$,  | [§174](#174) |
| [[Dasein]]   | [Aufhebung of becoming via sharp modality](Aufhebung#ExamplesBecomingFormalization) $\left(\array{\flat &\dashv&\sharp \\ \vee && \vee \\ \emptyset &\dashv& \ast}\right)$ | [§182](#182),  [§183](#183), [§187](#187), [§191](#191), [§194](#194) |
| Etwas, Ding-an-sich  | generic [[object]] | [§227](#227), [EL§124](#EL124), [#EL124Zusatz](EL§124Zusatz) |
| moment of repulsion | [[flat modality]] $\flat$ | [§342](#342), [[Cohesive Toposes and Cantor's "lauter Einsen"|Law94]] |
| moment of attraction | [[cohesion]], [[shape modality]] $&#643;$ | [§395](#395) |
| quality | [[adjoint modality]] (attraction $\dashv$ repulsion) = ($&#643; \dashv \flat$) |  [§369](#369), [§370](#370), [§342](#342) |
| $\to$ Etwas  |   |  [§1056](#1056)  |
| moment of continuity | [[sharp modality]] $\sharp$ | [§396](#396) |
| moment of discreteness | [[flat modality]] $\flat$ | [§397a](#397a) |
| quantity | [[adjoint modality]] (discreteness $\dashv$ continuity)  = ($\flat \dashv \sharp$) | [§398](#398), [[Cohesive Toposes and Cantor's "lauter Einsen"|Law94]] |
| extensive quantity | $\sharp$-[[anti-modal types]] |  |
| intensive quantity | $\sharp$-[[separated objects]] |  |
| measure (= [[gauge]]), unity of quantity and quality | [[cohesion]] [[adjoint triple]] [[adjoint modality]] $\left(\array{ attraction &\stackrel{quality}{\dashv}& repulsion \\ \bot && \bot \\ discreteness &\stackrel{quantity}{\dashv}& continuity } \right) = \left(\array{ &#643; &\dashv& \flat \\ \bot && \bot \\ \flat &\dashv& \sharp }\right) $ | [§699](#699), [§708](#708), [§714](#714), [§725](#725) |
| non-being of infinitesimals | [[reduction modality]] $\Re$ | [§174](#174), [§404](#304)   |
| being-for-one | [[infinitesimal flat modality]] $\& $ | [§322](#322) |
| being-for-self | [[infinitesimal shape modality]] $\& $ | [§305](#305) |
| ideality (inf. quality) | [[unity of opposites]] ($ \Im \dashv \& $ ) | [§305](#305), [§322](#322)   |
| Aufhebung of finiteness | $\left(\array{\Im &\dashv& \&  \\ \vee && \vee \\ &#643; &\dashv& \flat }\right)$ | [§304](#304) , [§305](#305) |
| reality | [[adjoint modality]] ($\Re \dashv  \Im$) | [§304](#304) , [§305](#305) |
| unity of ideality and reality | [[differential cohesion]] [[adjoint triple]] [[adjoint modality]] $\left( \array{ \Re &\dashv& \Im \\ \bot&\stackrel{}{}& \bot && \\  \Im &\dashv&  \& } \right)$ | [§304](#304), [§324](#324), [EL§214](#EL214), [§1636](#1636) |
| absolute indifference  | [[adjoint modality]] ($id \dashv id$) | [§803](#803), [§808](#808), [§812](#812) |
| **Wesenslogik** | **[[homotopy type theory]]** |   |
| Wesen, essence | the ambient [[(∞,1)-category]], ambient [[(∞,1)-topos]] | [§803](#803), [§812](#812), [§828](#828) |
| essence opposing itself, Bewegung von Nichts zu Nichts  | $id \dashv id$ | [§813](#813), [§823](#823), [§835](#835), [§839](#839) |
|  | $ \array{ id &\dashv& id & = \overline{\ast} \\ \vee && \vee \\ \vdots && \vdots \\ \vee && \vee \\  \emptyset &\dashv& \ast & = \overline{id} } $ |  [Setzende Reflexion](#SetzendeReflexion), [§853b](#853b) |
| essence appears as reflected in itself | [[object classifier]] = [[type of types]] = [[universe]] $Type$ | [§816](#816), [§834](#834), [§850](#850), [§1037](#1037), [Luo11,2.5](type+of+types#Luo11), [MaLö74, p. 6](type+of+types#MartinLoef74) [Pal](type+of+types#Palmgren), [Rat](type+of+types#Rathjen) |
| essence as infinite return-into-self | [[universe enlargement|cumulative hierarchy]] of universe levels $Type_1 \lt Type_2 \lt Type_3 \lt \cdots $ | [§860b](#860b) |
| Schein |  [[type universe]]/[[object classifier]] | [§833](#833), [§818](#818)  |
| das Aeussere | the ambient category of being $\mathbf{H}$ | [§1149](#1149), [§1163b](#1163b) |
| das Innere | the internal [[type universe]] $Type \in \mathbf{H}$ | [§1149](#1149), [§1163b](#1163b) |
| das wesentlich Verhältnis | comparison map between inner and outer type universe $(A = B) \to (A \stackrel{\simeq}{\to} B)$ | [§1158](#1158d) |
| das Absolute, absolute Wirklichkeit | [[univalence]], unity of inner and outer type universe $(A = B) \stackrel{\simeq}{\to} (A \stackrel{\simeq}{\to} B)$ | [§1149](#1149), [§1159](#1159), [§1163c](#1163c), [§1187](#1187) |
| Ding | [[object]] of the [[category]] | [§1065a](#1065a) |
| Ding an sich / thing in itself | generic object $X$ in the (pointed-)object-[[classifying topos]] $\mathbf{H}[X_\ast]$  | [EL§124Zusatz](#EL124Zusatz)  |
| Möglichkeit, possibility | [possibility monad](necessity+and+possibility#InFirstOrderLogicAndTypeTheory) $\lozenge_W = W^\ast \sum_W$ = [[dependent sum]] followed by [[context extension]] | [§1191](#1191) etc. |
| Notwendigkeit, necessity | [necessity comonad](necessity+and+possibility#InFirstOrderLogicAndTypeTheory) $\Box = W^\ast \prod_W$ = [[dependent product]] followed by [[context extension]] | [§1191](#1191) etc. |
| Zufälligkeit, randomness, contingency | [[function monad]] $\prod_W W^\ast$ = [[context extension]] followed by [[dependent product]] | [§1191](#1191) etc., [TorMcCar10a](function+monad#TorontoMcCarthy10a), [TorMcCar10b](function+monad#TorontoMcCarthy10b), [Ver14](function+monad#Verdier14) |
| eigentliche Wirklichkeit, unity of [[possibility]] and [[necessity]] | [[adjoint pair]] of (co-)[[monads]] $(\lozenge \dashv \Box)$, hence [[locally cartesian closed category|local cartesian closure]] | [§1160](#1160) (with [§1159](#1159)), [§1190](#1190), [§1192](#1192) |
| [[first law of thought]]: everything is identical with itself | [[term introduction]] for [[identity types]] | [§863](#863), [§875](#875) |
| all things are different | [[intensional identity]] | [§903](#903) |
| absoluter Widerspruch / absolute contradiction  |  [[adjoint modality]] ([[false]] $\dashv$ [[true]]) = ($\emptyset \dashv \ast$) | [§931](#931)  [§934](#934) |
| Aufhebung des Widerspruchs | [Aufhebung of absolute contradiction via sharp modality](Aufhebung#ExamplesBecomingFormalization) $\left(\array{\flat &\dashv& \sharp \\ \vee && \vee \\ \emptyset &\dashv& \ast}\right)$ | [§943](#943), [§944](#944), [§945](#945) |
| abs. Grund | [[base topos]] of [[sharp modality|sharp]]-[[modal types]] | [§945](#945) |
| Form | [[shape modality]] $&#643;$ | [§973a](#973a) |
| Inhalt | [[flat modality]] $\flat$ | [§989](#989) |
| Matter/([[gauge]]-)Fields | $(&#643; \dashv \flat)$ | [§989](#989), [§1068](#1068)  |
| $\to$ Ding |   |  [§1048](#1048)  |
| Substanz   | the whole [[differential cohesion|differential]] [[cohesive (∞,1)-topos]]/[[cohesive homotopy type theory]]   |  [§1235](#1235), [§1238](#1238), [§1281](#1281) |
| Accidenz | type $\mathbb{A}$ exhibiting a moment, as in $&#643; \someq loc_{\mathbb{A}}$ | [§1236](#1236), [§1237](#1237), [§1238](#1238)  |
| **Objektivität des Begriffs** |  |  |
| der mechanische Proceß |  code execution | [§1529b](#1529b), [§1552b](#1552b), [§1572](#1572) |
| der absolute Mechanismus | [[classical mechanics]] |   |
| das Gesetz | laws of nature, [[equations of motion]]  |  ([§1572](#1572), [§1575](#1575)) |
| der Chemismus | in guise of (quantum-)chemistry: [[quantum mechanics]] | [§1579a](#1579a) |
| die Teleologie | [[boundary conditions]] for the laws of nature |  [§1597e](#1597e)  |
| Idee       | the [[term model]] of the above [[modal type theory]], in particular the [[true]] [[propositions]]  | [§1630b](#1630b), [§1631](#1631), [§1633](#1633), [§1634](#1634)  |
| **Natur**      | [[model]] (representation, [[categorical semantics]]) of the above [[modal type theory]] | [PN§192](#PN192), [PN§193b](#PN193b), [EL§244](#EL244), [§1782](#1782), [§1817](#1817)  |
| Raum       | [[étale stacks]], being the models of [[infinitesimal shape modality|infinitesimal shape]] $\Im$-[[modal types]] | [PN§254a](#PN254a) |
| Raum-Zeit  | [[schreiber:The brane bouquet|brane bouguet]] | [PN§256b](#PN256b) |
| Licht | [[bosonic modality]] $\rightsquigarrow$ | [PN§276](#PN276) |
| Körper der Starrheit | [[fermionic modality]] $\e$ | [PN§279](#PN279) |
| Außereinander der Materie | [[unity of opposites]] ($\e \dashv \rightsquigarrow$)   | [PN§290](#PN290)  |
| opposition of Außereinander and Schwere | $\left(\array{ \rho(\e) &\dashv& \rho(\rightsquigarrow) \\ \bot && \bot \\ \rho(\rightsquigarrow) &\dashv& \rho(\,)  }\right)$ | [PN§262c](#PN262c), [PN§290](#PN290) |

=--


### Survey diagram
 {#OverviewOfTheFormalizationProcess}

The following diagram means to show the development of the system as formalized
[above](#FormalizationDictionary). Unities of opposites at a given stage are shown as [[adjoint modalities]] organized horizontally.
As discussed [above](#FormalizationText), there are different ways in which passage happens vertically:

1. further determinations of being (these are the transitions within each book of the system)

   1. second order unity of opposites, coming from an [[adjoint triple]], arranges to a square of adjoints, with [[adjunctions]] going vertically. This is progression by opposition. The name of the given second order unity is indicated in the middle of these squares.

   1. [[Aufhebung]], by which a new [[adjoint modality]] appears whose [[modal types]] include the modal types of the previous stage, indicated by a vertical inclusion sign $\vee$.

1. reiteration of the system of adjoint modalities (these are the transitions between the books of the system)

   1. First there is the plain system of modalities, starting from the smallest subcategories $\emptyset \dashv \ast$ and ending at the maximal subcategories, the whole category itself $id \dashv id$.

   1. Then, passing to the _Essence_, this system _appears_ _reflected_, namely as type names in the [[type universe]]. Now all the previous modalities repeat in quotation marks (following standard notation as discussed for instance at [[propositional extensionality]]).

   1. Next, passing to _Nature_, the system _externalizes_ or _represents_ itself via a [[model]] $\rho$ (as discussed at _[[relation between type theory and category theory]]_). Now each modality $(-)$ re-appears as its representation $\rho(-)$ in that model.

|  Sphäre |     |    Moment      |  Einheit |   Komoment      |          |
|------|--------|------------|---|------------------|----------------|
| **Seinslogik** | Dasein | Ansichsein | Etwas  |  Sein-für-Anderes | [§226](#226)   |
| **Wesenslogik**    | Existenz |  Inneres / Ding-An-Sich |  Ding  | Äußeres   | [§1048c](#1048c), [§1149](#1149) |
| **Begriffslogik**  |  | Begriff   | Idee | Wirklichkeit   | [§1636](#1636) |





+-- {: bluebox #Process}
###### Weg des Wissens,  Bewegung des Seyns
([§808](#808), [§809](#809))


$$
  \array{
    Geist &&  && &&
    \\
    \\
    && &&  &&  && \rho(id) & \dashv & \rho(id)
    \\
    && &&  &&  && \vee & & \vee
    \\
    && &&  &&  &\stackrel{starre \atop Materie}{}& \rho(\e) &
    \stackrel{Aussereinandersein}{\dashv} & \rho(\rightsquigarrow) & \stackrel{Licht}{}
    \\
    && &&  &&  && \bot & \stackrel{{Festigkeit} }{} & \bot
    \\
    && &&  &&  && \rho(\rightsquigarrow) & \stackrel{Schwere}{\dashv} & \rho(\,\,)
    \\
    && &&  &&  && \vee & & \vee
    \\
    && &&  &&  && \rho(\Re) & \stackrel{Weichheit}{\dashv} & \rho(\Im)
    \\
    && &&  &&  && \bot & \stackrel{Elastizitaet}{} & \bot
    \\
    && &&  &&  &\stackrel{}{}& \rho(\Im) &\stackrel{Haerte}{\dashv} & \rho(\& ) & \stackrel{}{}
    \\
    && &&  &&  && \vee && \vee
    \\
    Natur &&   &&  &&
    &  & \rho(&#643;) &\stackrel{}{\dashv}& \rho(\flat) &
    \\
    && && && && \bot &\stackrel{Kohaesion}{}& \bot
    \\
    && && && \stackrel{Dichtigkeit}{} && \rho(\flat) &\dashv& \rho(\sharp) &
    \\
    && && &&&& \vee && \vee
    \\
    && &&&&\stackrel{}{}&& \rho(\emptyset) &\dashv& \rho(\ast) &
    \\
    \\
    && && && && & Entaeusserung
    \\
    Idee
    \\
    && && && \stackrel{Substanz}{} && 'id' &\dashv& 'id'
    \\
    && && &&  && \vdots && \vdots
    \\
    && &&  &&
    &\stackrel{Form}{} & '&#643;'
    & \stackrel{}{\dashv}& '\flat' &
     \stackrel{Inhalt}{}
    \\
    && &&  && && \bot && \bot
    \\
    && && \stackrel{Ding}{} && \stackrel{Existenz}{} && '\flat' &\dashv& '\sharp' & \stackrel{abs.\,Grund}{}
    \\
    && && &&&& \vee &\stackrel{Aufhebung \atop {des\;Widerspruchs}}{}& \vee
    \\
    && &&&&\stackrel{}{}&\stackrel{falsch}{}& '\emptyset' &\stackrel{abs.\,Widerspruch}{\dashv}& '\ast' & \stackrel{wahr}{}
    \\
    &&
    \\
    &&
    \\
    &&  && && && (A \stackrel{\simeq}{\to} B) &
     \stackrel{\stackrel{abs.\,Wirklichkeit}{\simeq}}{\underset{wes.\,Verhaeltnis}{\longleftarrow}} & ('A' = 'B') &
    \\
    &&  && && &\stackrel{das\;Aeussere}{}& \mathbf{H} &  & Type & \stackrel{das\;Innere}{}
    \\
    && \stackrel{Reflexionsbestimmungen}{}
    \\
    && && && && & Reflexion
    \\
    \\
    &&&& Schein &&  &\stackrel{}{} &  &\stackrel{\stackrel{\stackrel{\vdots}{Type_2}}{Type_1}}{Type_0}&  & \stackrel{}{}
    \\
    \\
    && && && && & Erscheinung
    \\
    &&
    \\
    && && Wesen && & \stackrel{}{} & \sum_W W^\ast & \stackrel{}{\dashv} & \prod_W W^\ast & \stackrel{Zufaelligkeit}{}
    \\
    && && && &\stackrel{Moeglichkeit}{}& W^\ast \sum_W &\stackrel{}{\dashv}& W^\ast \prod_W & \stackrel{Notwendigkeit}{}
    \\
    \\
    && &&  &&
    \\
    \\
    && && &&\stackrel{An\& Fuersichsein}{}&& id &\stackrel{}{\dashv}& id
    \\
    {Objektive \atop Logik}{} && && &&&& \vee &\stackrel{{Aufhebung \atop {der\;Differenzen}}}{}& \vee
    \\
    && && &&& \stackrel{{Nichtsein\;der}\atop Infinitesimalen}{}& \Re &\stackrel{Realitaet}{\dashv}& \Im & \stackrel{{Sein\;der}\atop{Infinitesimalen}}{}
    \\
    && && \stackrel{}{} &&&& \bot &\stackrel{}{}& \bot
    \\
    && && &&\stackrel{Fuersichsein}{} && \Im
    &\stackrel{Idealitaet /}{\stackrel{inf.\,Qualitaet}{\dashv}}& \&  &&\stackrel{Fuer-eines-sein}{}
    \\
    && \stackrel{Seinsbestimmungen}{\stackrel{Die\;Kategorien}{}}&& Sein &&&& \vee &\stackrel{{Aufhebung \atop {der\;Endlichkeit}}}{}& \vee
    \\
    && && \stackrel{Etwas}{} &&\stackrel{Ansichsein}{}&\stackrel{Attraktion}{}&
    &#643;
    &\stackrel{Qualitaet}{\dashv}&
   \flat & \stackrel{Repulsion}{} &
    \stackrel{Sein-fuer-Anderes}{}
    \\
    && && &&&& \bot &\stackrel{Eichmass}{}& \bot
    \\
    && &&  &&\stackrel{Dasein}{}&\stackrel{Diskretion}{}& \flat &\stackrel{Quantitaet}{\dashv}& \sharp & \stackrel{Kontinuitaet}{}
    \\
    && &&  &&&& \vee &\stackrel{Aufhebung \atop {des\;Werdens}}{}& \vee
    \\
    && &&&&\stackrel{reines\;Sein}{}&\stackrel{Nichts}{}& \emptyset &\stackrel{Werden}{\dashv}& \ast & \stackrel{Sein}{}
    \\
    && && &&
    \\
    \\
    {Subjektive \atop Logik}{} && && Begriff &&
  }
$$

=--



## **Introduction** and Prefaces

### Vorrede zur ersten Ausgabe / Preface of first edition

> {#3} §3 Indem so die Wissenschaft und der gemeine Menschenverstand sich in die Hände arbeiteten, den Untergang der Metaphysik zu bewirken, so schien das sonderbare Schauspiel herbeigeführt zu werden, ein gebildetes Volk ohne Metaphysik zu sehen, – wie einen sonst mannigfaltig ausgeschmückten Tempel ohne Allerheiligstes. – Die Theologie, welche in früheren Zeiten die Bewahrerin der spekulativen Mysterien und der obzwar abhängigen Metaphysik war, hatte diese Wissenschaft gegen Gefühle, gegen das Praktisch-Populäre und gelehrte Historische aufgegeben.

> §3 Philosophy [Wissenschaft] and ordinary common sense thus co-operating to bring about the downfall of metaphysics, there was seen the strange spectacle of a cultured nation without metaphysics – like a temple richly ornamented in other respects but without a holy of holies. Theology, which in former times was the guardian of the speculative mysteries and of metaphysics (although this was subordinate to it) had given up this science in exchange for feelings, for what was popularly matter-of-fact, and for historical erudition.

> {#8} §8 Was nun auch für die Sache und für die Form der Wissenschaft bereits in sonstiger Rücksicht geschehen seyn mag; die logische Wissenschaft, welche die eigentliche Metaphysik oder reine spekulative Philosophie ausmacht, hat sich bisher noch sehr vernachlässigt gesehen. Was ich unter dieser Wissenschaft und ihrer Standpunkte näher verstehe, habe ich in der Einleitung vorläufig angegeben. Die Nothwendigkeit, mit dieser Wissenschaft wieder einmal von vorne anzufangen, die Natur des Gegenstandes selbst, und der Mangel an Vorarbeiten, welche für die vorgenommen Umbildung hätten benutzt werden können, mögen bei billigen Beurtheilern in Rücksicht kommen, wenn auch eine vieljährige Arbeit diesem Versuche nicht eine größere Vollkommenheit geben konnte. —Der wesentliche Gesichtspunkt ist, daß es überhaupt um einen neuen Begriff wissenschaftlicher Behandlung zu thun ist. Die Philosophie, indem sie Wissenschaft seyn soll, kann, wie ich anderwärts erinnert Phänomenologie des Geistes, Vorr. zur ersten Ausg.—Die eigentliche Ausführung ist die Erkenntniß der Methode, und hat ihre Stelle in der Logik selbst, habe, hierzu ihre Methode nicht von einer untergeordneten Wissenschaft, wie die Mathematik ist, borgen, so wenig als es bei kategorischen Versicherungen innerer Anschauung bewenden lassen, oder sich des Raisonnements aus Gründen der äußern Reflexion bedienen. Sondern es kann nur die Natur des Inhalts seyn, welche sich im wissenschaftlichen Erkennen bewegt, indem zugleich diese eigne Reflexion des Inhalts es ist, welche seine Bestimmung selbst erst setzt und erzeugt.

> §8 Now whatever may have been accomplished for the form and content of philosophy in other directions, the science of logic which constitutes metaphysics proper or purely speculative philosophy, has hitherto still been much neglected. What it is exactly that I understand by this science and its standpoint, I have stated provisionally in the Introduction. The fact that it has been necessary to make a completely fresh start with this science, the very nature of the subject matter and the absence of any previous works which might have been utilised for the projected reconstruction of logic, may be taken into account by fair-minded critics, even though a labour covering many years has been unable to give this effort a greater perfection. The essential point of view is that what is involved is an altogether new concept of scientific procedure. Philosophy, if it would be a science, cannot, as I have remarked elsewhere, borrow its method from a subordinate science like mathematics, any more than it can remain satisfied with categorical assurances of inner intuition, or employ arguments based on grounds adduced by external reflection. On the contrary, it can be only the nature of the content itself which spontaneously develops itself in a scientific method of knowing, since it is at the same time the reflection of the content itself which first posits and generates its determinate character.

> {#9} §9 Der Verstand bestimmt und hält die Bestimmungen fest; die Vernunft ist negativ und dialektisch, weil sie die Bestimmungen des Verstands in Nichts auflöst; sie ist positiv, weil sie das Allgemeine erzeugt, und das Besondere darin begreift. Wie der Verstand als etwas Getrenntes von der Vernunft überhaupt, so pflegt auch die dialektische Vernunft als etwas Getrenntes von der positiven Vernunft genommen zu werden. Aber in ihrer Wahrheit ist die Vernunft Geist, der höher als Beides, verständige Vernunft, oder vernünftiger Verstand ist. Er ist das Negative, dasjenige, welches die Qualität sowohl, der dialektischen Vernunft, als des Verstandes ausmacht;—er negirt das Einfache, so setzt er den bestimmten Unterschied des Verstandes, er löst ihn eben so sehr auf, so ist er dialektisch. Er hält sich aber nicht im Nichts dieses Resultates, sondern ist darin ebenso positiv, und hat so das erste Einfache damit hergestellt, aber als Allgemeines, das in sich konkret ist; unter dieses wird nicht ein gegebenes Besonderes subsumirt, sondern in jenem Bestimmen und in der Auflösung desselben hat sich das Besondere schon mit bestimmt. Diese geistige Bewegung, die sich in ihrer Einfachheit ihre Bestimmtheit, und in dieser ihre Gleichheit mit sich selbst giebt, die somit die immanente Entwickelung des Begriffes ist, ist die absolute Methode des Erkennens, und zugleich die immanente Seele des Inhalts selbst. —Auf diesem sich selbst konstruirenden Wege allein, behaupte ich, ist die Philosophie fähig, objektive, demonstrirte Wissenschaft zu seyn.


> §9 The understanding determines, and holds the determinations fixed; reason is negative and dialectical, because it resolves the determinations of the understanding into nothing; it is positive because it generates the universal and comprehends the particular therein. Just as the understanding is usually taken to be something separate from reason as such, so too dialectical reason is usually taken to be something distinct from positive reason. But reason in its truth is spirit which is higher than either merely positive reason, or merely intuitive understanding. It is the negative, that which constitutes the quality alike of dialectical reason and of understanding; it negates what is simple, thus positing the specific difference of the understanding; it equally resolves it and is thus dialectical. But it does not stay in the nothing of this result but in the result is no less positive, and in this way it has restored what was at first simple, but as a universal which is within itself concrete; a given particular is not subsumed under this universal but in this determining, this positing of a difference, and the resolving of it, the particular has at the same time already determined itself. This spiritual movement which, in its simple undifferentiatedness, gives itself its own determinateness and in its determinateness its equality with itself, which therefore is the immanent development of the Notion, this movement is the absolute method of knowing and at the same time is the immanent soul of the content itself. I maintain that it is this self-construing method alone which enables philosophy to be an objective, demonstrated science

> {#10} §10 In dieser Weise habe ich das Bewußtseyn in der Phänomenologie des Geistes darzustellen versucht. Das Bewußtseyn ist der Geist als konkretes und zwar in der Äußerlichkeit befangenes Wissen; aber die Formbewegung dieses Gegenstandes beruht allein, wie die Entwickelung alles natürlichen und geistigen Lebens, auf der Natur der reinen Wesenheiten, die den Inhalt der Logik ausmachen. Das Bewußtseyn, als der erscheinende Geist, welcher sich auf seinem Wege von seiner Unmittelbarkeit und äußerlichen Konkretion befreit, wird zum reinen Wissen, das sich jene reinen Wesenheiten selbst, wie sie an und für sich sind, zum Gegenstand giebt. Sie sind die reinen Gedanken, der sein Wesen denkende Geist. Ihre Selbstbewegung ist ihr geistiges Leben, und ist das, wodurch sich die Wissenschaft konstituirt, und dessen Darstellung sie ist.

> §10 It is in this way that I have tried to expound consciousness in the Phenomenology of Spirit. Consciousness is spirit as a concrete knowing, a knowing too, in which externality is involved; but the development of this object, ®like the development of all natural and spiritual life, rests solely on the nature of the pure essentialities which constitute the content of logic.

Consciousness, as spirit in its manifestation which in its progress frees itself from its immediacy and external concretion, attains to the pure knowing which takes as its object those same pure essentialities as they are in and for themselves. They are pure thoughts, spirit thinking its own essential nature. Their self-movement is their spiritual life and is that through which philosophy constitutes itself and of which it is the exposition.

> {#11} §11 Es ist hiermit die Beziehung der Wissenschaft, die ich Phänomenologie des Geistes nenne, zur Logik angegeben.—Was das äußerliche Verhältniß betrifft, so war dem ersten Theil des Systems der Wissenschaft, (Bamberg und Würzburg bei Göbhard 1807). Dieser Titel wird der zweiten Ausgabe, die auf nächsten Ostern erscheinen wird, nicht mehr beigegeben werden.—An die Stelle des im Folgenden erwähnten Vorhabens eines zweiten Theils, der die sämmtlichen andern philosophischen Wissenschaften enthalten sollte, habe ich seitdem die Encyklopädie der philosophischen Wissenschaften, voriges Jahr in der dritten Ausgabe, ans Licht treten lassen (Anmerkung zur zweiten Ausgabe), der die Phänomenologie enthält, ein zweiter Theil zu folgen bestimmt, welcher die Logik und die beiden realen Wissenschaften der Philosophie, die Philosophie der Natur und die Philosophie des Geistes, enthalten sollte, und das System der Wissenschaft beschlossen haben würde. Aber die nothwendige Ausdehnung, welche die Logik für sich erhalten mußte, hat mich veranlaßt, diese besonders ans Licht treten zu lassen; sie macht also in einem erweiterten Plane die erste Folge zur Phänomenologie des Geistes aus. Späterhin werde ich die Verarbeitung der beiden genannten realen Wissenschaften der Philosophie folgen lassen.—Dieser erste Band der Logik aber enthält als erstes Buch die Lehre vom Seyn; das zweite Buch, die Lehre vom Wesen, als zweite Abtheilung des ersten Bandes; der zweite Band aber wird die subjektive Logik, oder die Lehre vom Begriff enthalten.

> §11 In the foregoing there is indicated the relation of the science which I call the Phenomenology of Spirit, to logic. As regards the external relation, it was intended that the first part of the System of Science which contains the Phenomenology should be followed by a second part containing logic and the two concrete [realen] sciences, the Philosophy of Nature and the Philosophy of Spirit, which would complete the System of Philosophy. But the necessary expansion which logic itself has demanded has induced me to have this part published separately; it thus forms the first sequel to the Phenomenology of Spirit in an expanded arrangement of the system. It will later be followed by an exposition of the two concrete philosophical sciences mentioned. This first volume of the Logic contains as Book One the Doctrine of Being; Book Two, the Doctrine of Essence, which forms the second part of the first volume, is already in the press; the second volume will contain Subjective Logic or the Doctrine of the Notion.



### Allgemeiner Begriff der Logik
 {#AllgemeinerBregiffDerLogik}



> {#33} §33 Es fühlt sich bei keiner Wissenschaft stärker das Bedürfniß, ohne vorangehende Reflexionen, von der Sache selbst anzufangen, als bei der logischen Wissenschaft. In jeder andern ist der Gegenstand, den sie behandelt, und die wissenschaftliche Methode von einander unterschieden; so wie auch der Inhalt nicht einen absoluten Anfang macht, sondern von andern Begriffen abhängt, und um sich herum mit anderem Stoffe zusammenhängt. Diesen Wissenschaften wird es daher zugegeben, von ihrem Boden und dessen Zusammenhang, so wie von der Methode nur lemmatischer Weise zu sprechen, die als bekannt und angenommen vorausgesetzten Formen von Definitionen und dergleichen ohne weiteres anzuwenden, und sich der gewöhnlichen Art des Raisonnements zur Festsetzung ihrer allgemeinen Begriffe und Grundbestimmungen zu bedienen.

> §33 In no science is the need to begin with the subject matter itself, without preliminary reflections, felt more strongly than in the science of logic. In every other science the subject matter and the scientific method are distinguished from each other; also the content does not make an absolute beginning but is dependent on other concepts and is connected on all sides with other material. These other sciences are, therefore, permitted to speak of their ground and its context and also of their method, only as premises taken for granted which, as forms of definitions and such-like presupposed as familiar and accepted, are to be applied straight-way, and also to employ the usual kind of reasoning for the establishment of their general concepts and fundamental determinations.

> {#34} §34 Die Logik dagegen kann keine dieser Formen der Reflexion oder Regeln und Gesetze des Denkens voraussetzen, denn sie machen einen Theil ihres Inhalts selbst aus und haben erst innerhalb ihrer begründet zu werden. Nicht nur aber die Angabe der wissenschaftlichen Methode, sondern auch der Begriff selbst der Wissenschaft überhaupt gehört zu ihrem Inhalte, und zwar macht er ihr letztes Resultat aus; was sie ist, kann sie daher nicht voraussagen, sondern ihre ganze Abhandlung bringt dieß Wissen von ihr selbst erst als ihr Letztes und als ihre Vollendung hervor. Gleichfalls ihr Gegenstand, das Denken oder bestimmter das begreifende Denken, wird wesentlich innerhalb ihrer abgehandelt; der Begriff desselben erzeugt sich in ihrem Verlaufe, und kann somit nicht vorausgeschickt werden. Was daher in dieser Einleitung vorausgeschickt wird, hat nicht den Zweck, den Begriff der Logik etwa zu begründen, oder den Inhalt und die Methode derselben zum voraus wissenschaftlich zu rechtfertigen, sondern, durch einige Erläuterungen und Reflexionen, in raisonnirendem und historischem Sinne, den Gesichtspunkt, aus welchem diese Wissenschaft zu betrachten ist, der Vorstellung näher zu bringen.

> §34 Logic on the contrary, cannot presuppose any of these forms of reflection and laws of thinking, for these constitute part of its own content and have first to be established within the science. But not only the account of scientific method, but even the Notion itself of the science as such belongs to its content, and in fact constitutes its final result; what logic is cannot be stated beforehand, rather does this knowledge of what it is first emerge as the final outcome and consummation of the whole exposition. Similarly, it is essentially within the science that the subject matter of logic, namely, thinking or more specifically comprehensive thinking is considered; the Notion of logic has its genesis in the course of exposition and cannot therefore be premised. Consequently, what is premised in this Introduction is not intended, as it were, to establish the Notion of Logic or to justify its method scientifically in advance, but rather by the aid of some reasoned and historical explanations and reflections to make more accessible to ordinary thinking the point of view from which this science is to be considered.

The problem of circularity of [[foundations]]. The traditional approach in [[mathematics]] is (see e.g. [Trimble 13](#Trimble13) _[Are logical foundaitons circular?](http://ncatlab.org/toddtrimble/published/Notes+on+predicate+logic#are_logical_foundations_circular)_) to _presuppose_ [[first order logic]] as accepted _a priori_ (i.e. not itself formalized in another system, for one needs to start somewhere), and then formulate all [[theory]], notably [[set theory]], in terms of first order logic.

But other such starting points are possible. For instance taking instead [[type theory]] or [[homotopy type theory]] as the foundation, then it first of all contains [[first-order logic]] (in its restriction to [[types]] which are [[mere propositions]]) but second it already contains a kind of [[constructive set theory]] "natively". See at _[[homotopy type theory FAQ]]_.

Here [§34](#34) is asking for something like an intrinsic justification of such an otherwise _a priori_ foundation "out of itself". Common attitude is that this is circular, hence nonsensical, in that one needs to start somewhere, at least one needs to assume that there is general agreement on first-order logic (see e.g. [Trimble 13](#Trimble13)). Hegel's attitude is that, yes, it is circular, but, no, this does not mean that it is non-sensical.

> {#48} §48 Ganz ohne Rücksicht auf metaphysische Bedeutung aber wird dasjenige betrachtet, was gemeinhin unter Logik verstanden wird. Diese Wissenschaft, in dem Zustande, worin sie sich noch befindet, hat freilich keinen Inhalt der Art, wie er als Realität und als eine wahrhafte Sache in dem gewöhnlichen Bewußtsein gilt. Aber sie ist nicht aus diesem Grunde eine formelle, inhaltsvoller Wahrheit entbehrende Wissenschaft. In jenem Stoffe, der in ihr vermißt [wird], welchem Mangel das Unbefriedigende derselben zugeschrieben zu werden pflegt, ist ohnehin das Gebiet der Wahrheit nicht zu suchen. Sondern das Gehaltlose der logischen Formen liegt vielmehr allein in der Art, sie zu betrachten und zu behandeln. Indem sie als feste Bestimmungen auseinanderfallen und nicht in organischer Einheit zusammengehalten werden, sind sie tote Formen und haben den Geist in ihnen nicht wohnen, der ihre lebendige konkrete Einheit ist. Damit aber entbehren sie des gediegenen Inhalts, – einer Materie, welche Gehalt an sich selbst wäre. Der Inhalt, der an den logischen Formen vermißt wird, ist nichts anderes als eine feste Grundlage und Konkretion dieser abstrakten Bestimmungen; und ein solches substantielles Wesen pflegt für sie außen gesucht zu werden. Aber die logische Vernunft selbst ist das Substantielle oder Reelle, das alle abstrakten Bestimmungen in sich zusammenhält und ihre gediegene, absolut-konkrete Einheit ist. Nach dem also, was eine Materie genannt zu werden pflegt, brauchte nicht weit gesucht zu werden; es ist nicht Schuld des Gegenstandes der Logik, wenn sie gehaltlos sein soll, sondern allein der Art, wie derselbe gefaßt wird.

> §48 But what is commonly understood by logic is considered without any reference whatever to metaphysical significance. This science in its present state has, it must be admitted, no content of a kind which the ordinary consciousness would regard as a reality and as a genuine subject matter. But it is not for this reason a formal science lacking significant truth. Moreover, the region of truth is not to be sought in that matter which is missing in logic, a deficiency to which the unsatisfactoriness of the science is usually attributed. The truth is rather that the insubstantial nature of logical forms originates solely in the way in which they are considered and dealt with. When they are taken as fixed determinations and consequently in their separation from each other and not as held together in an organic unity, then they are dead forms and the spirit which is their living, concrete unity does not dwell in them. As thus taken, they lack a substantial content — a matter which would be substantial in itself. The content which is missing in the logical forms is nothing else than a solid foundation and a concretion of these abstract determinations; and such a substantial being for them is usually sought outside them. But logical reason itself is the substantial or real being which holds together within itself every abstract determination and is their substantial, absolutely concrete unity. One need not therefore look far for what is commonly called a matter; if logic is supposed to lack a substantial content, then the fault does not lie with its subject matter but solely with the way in which this subject matter is grasped.


The [[substance|substantial]] aspect of logic.

> {#50} §50 In der Phänomenologie des Geistes habe ich das Bewußtsein in seiner Fortbewegung von dem ersten unmittelbaren Gegensatz seiner und des Gegenstandes bis zum absoluten Wissen dargestellt. Dieser Weg geht durch alle Formen des Verhältnisses des Bewußtseins zum Objekte durch und hat den Begriff der Wissenschaft zu seinem Resultate. Dieser Begriff bedarf also (abgesehen davon, daß er innerhalb der Logik selbst hervorgeht) hier keiner Rechtfertigung, weil er sie daselbst erhalten hat; und er ist keiner anderen Rechtfertigung fähig als nur dieser Hervorbringung desselben durch das Bewußtsein, dem sich seine eigenen Gestalten alle in denselben als in die Wahrheit auflösen.

> §50 In the Phenomenology of Mind, I have exhibited consciousness in its movement onwards from the first immediate opposition of itself and the object to absolute knowing. The path of this movement goes through every form of the relation of consciousness to the object and has the Notion of science of its result. This Notion therefore (apart from the fact that it emerges within logic itself) needs no justification here because it has received it in that work; and it cannot be justified in any other way than by this emergence in consciousness, all the forms of which are resolved into this Notion as into their truth.

> {#51} §51 Der Begriff der reinen Wissenschaft und seine Deduktion wird in gegenwärtiger Abhandlung also insofern vorausgesetzt, als die Phänomenologie des Geistes nichts anderes als die Deduktion desselben ist. Das absolute Wissen ist die Wahrheit aller Weisen des Bewußtseins, weil, wie jener Gang desselben es hervorbrachte, nur in dem absoluten Wissen die Trennung des Gegenstandes von der Gewißheit seiner selbst vollkommen sich aufgelöst hat und die Wahrheit dieser Gewißheit sowie diese Gewißheit der Wahrheit gleich geworden ist.

> §51 The Notion of pure science and its deduction is therefore presupposed in the present work in so far as the Phenomenology of Spirit is nothing other than the deduction of it. Absolute knowing is the truth of every mode of consciousness because, as the course of the Phenomenology showed, it is only in absolute knowing that separation of the object from the certainty of itself is completely eliminated: truth is now equated with certainty and this certainty with truth.

> {#52} §52 Die reine Wissenschaft setzt somit die Befreiung von dem Gegensatze des Bewußtseyns voraus. Sie enthält den Gedanken, insofern er eben so sehr die Sache an sich selbst ist, oder die Sache an sich selbst, insofern sie ebenso sehr der reine Gedanke ist. Als Wissenschaft ist die Wahrheit das reine sich entwicklende Selbstbewußtseyn, und hat die Gestalt des Selbst, daß das an und für sich seyende gewußter Begriff, der Begriff als solcher aber das an und für sich seyende ist.


> §52 Thus pure science presupposes liberation from the opposition of consciousness. It contains thought in so far as this is just as much the object in its own self, or the object in its own self in so far as it is equally pure thought. As science, truth is pure self-consciousness in its self-development and has the shape of the self, so that the absolute truth of being is the known Notion and the Notion as such is the absolute truth of being.

> {#53a} §53a Dieses objektive Denken ist denn der Inhalt der reinen Wissenschaft. Sie ist daher so wenig formell, sie entbehrt so wenig der Materie zu einer wirklichen und wahren Erkenntniß, daß ihr Inhalt vielmehr allein das absolute Wahre, oder wenn man sich noch des Worts Materie bedienen wollte, die wahrhafte Materie ist,—eine Materie aber, der die Form nicht ein Äußerliches ist, da diese Materie vielmehr der reine Gedanke, somit die absolute Form selbst ist.


> §53a This objective thinking then, is the content of pure science. Consequently, far from it being formal, far from it standing in need of a matter to constitute an actual and true cognition, it is its content alone which has absolute truth, or, if one still wanted to employ the word matter, it is the veritable matter — but a matter which is not external to the form, since this matter is rather pure thought and hence the absolute form itself.


> {#53b} §53b Die Logik ist sonach als das System der reinen Vernunft, als das Reich des reinen Gedankens zu fassen. Dieses Reich ist die Wahrheit, wie sie ohne Hülle an und für sich selbst ist. Man kann sich deswegen ausdrücken, daß dieser Inhalt die Darstellung Gottes ist, wie er in seinem ewigen Wesen vor der Erschaffung der Natur und des endlichen Geistes ist.


> §53b Accordingly, logic is to be understood as the system of pure reason, as the realm of pure thought. This realm is truth as it is without veil and in its own absolute nature. It can therefore be said that this content is the exposition of God as he is in his eternal essence before the creation of nature and a finite mind.


To wit, the _Logic_ ends with the appearance of _the idea_ in [§1636](#1636) and then nature appears from that in [PN§192](#PN192) "as the idea in the form of otherness".


> {#54} §54 Anaxagoras wird als derjenige gepriesen, der zuerst den Gedanken ausgesprochen habe, daß der Nus, der Gedanke, das Princip der Welt, daß das Wesen der Welt als der Gedanke bestimmt ist. Er hat damit den Grund zu einer Intellektualansicht des Universums gelegt, deren reine Gestalt die Logik seyn muß. Es ist in ihr nicht um ein Denken über etwas, das für sich außer dem Denken zu Grunde läge, zu thun, um Formen, welche bloße Merkmale der Wahrheit abgeben sollten; sondern die nothwendigen Formen und eigenen Bestimmungen des Denkens sind der Inhalt und die höchste Wahrheit selbst.

> §54 Anaxagoras is praised as the man who first declared that Nous, thought, is the principle of the world, that the essence of the world is to be defined as thought. In so doing he laid the foundation for an intellectual view of the universe, the pure form of which must be logic. What we are dealing with in logic is not a thinking about something which exists independently as a base for our thinking and apart from it, nor forms which are supposed to provide mere signs or distinguishing marks of truth; on the contrary, the necessary forms and self-consciousness of thought are the content and the ultimate truth itself.

> {#55} §55 Um dies in die Vorstellung wenigstens aufzunehmen, ist die Meinung auf die Seite zu legen, als ob die Wahrheit etwas Handgreifliches sein müsse. Solche Handgreiflichkeit wird zum Beispiel selbst noch in die Platonischen Ideen, die in dem Denken Gottes sind, hineingetragen, als ob sie gleichsam existierende Dinge, aber in einer anderen Welt oder Region seien, außerhalb welcher die Welt der Wirklichkeit sich befinde und eine von jenen Ideen verschiedene, erst durch diese Verschiedenheit reale Substantialität habe. Die Platonische Idee ist nichts anderes als das Allgemeine oder bestimmter der Begriff des Gegenstandes; nur in seinem Begriffe hat etwas Wirklichkeit; insofern es von seinem Begriffe verschieden ist, hört es auf, wirklich zu sein, und ist ein Nichtiges; die Seite der Handgreiflichkeit und des sinnlichen[44] Außersichseins gehört dieser nichtigen Seite an.

> §55 To get some idea of this one must discard the prejudice that truth must be something tangible. Such tangibility is, for example, imported even into the Platonic Ideas which are in God's thinking, as if they are, as it were, existing things but in another world or region; while the world of actuality exists outside that region and has a substantial existence distinct from those Ideas and only through this distinction is a substantial reality. The Platonic Idea is the universal, or more definitely the Notion of an object; only in its Notion does something possess actuality and to the extent that it is distinct from its Notion it ceases to be actual and is a non-entity; the side of tangibility and sensuous self-externality belongs to this null aspect. But on the other side, one can appeal to the conceptions of ordinary logic itself; for it is assumed, for example, that the determinations contained in definitions do not belong only to the knower, but are determinations of the object, constituting its innermost essence and its very own nature. Or, if from given determinations others are inferred, it is assumed that what is inferred is not something external and alien to the object, but rather that it belongs to the object itself, that to the thought there is a correspondent being.

[[Plato]]'s [[doctrine of ideas]]

> {#61} §61 Was solchen Inhalt betrifft, so ist schon oben der Grund angegeben worden, warum er so geistlos ist. Die Bestimmungen desselben gelten in ihrer Festigkeit unverrückt und werden nur in äußerliche Beziehung miteinander gebracht. Dadurch, daß bei den Urteilen und Schlüssen die Operationen vornehmlich auf das Quantitative der Bestimmungen zurückgeführt und gegründet werden, beruht alles auf einem äußerlichen Unterschiede, auf bloßer Vergleichung, wird ein völlig analytisches Verfahren und begriffloses Kalkulieren. Das Ableiten der sogenannten Regeln und Gesetze, des Schließens vornehmlich, ist nicht viel besser als ein Befingern von Stäbchen von ungleicher Länge, um sie nach ihrer Größe zu sortieren und zu verbinden, – als die spielende Beschäftigung der Kinder, von mannigfaltig zerschnittenen Gemälden[47] die passenden Stücke zusammenzusuchen. – Man hat daher nicht mit Unrecht dieses Denken dem Rechnen und das Rechnen wieder diesem Denken gleichgesetzt. In der Arithmetik werden die Zahlen als das Begrifflose genommen, das außer seiner Gleichheit oder Ungleichheit, d.h. außer seinem ganz äußerlichen Verhältnisse keine Bedeutung hat, das weder an ihm selbst noch dessen Beziehung ein Gedanke ist. Wenn auf mechanische Weise ausgerechnet wird, daß drei Viertel mit zwei Dritteln multipliziert ein Halbes ausmacht, so enthält diese Operation ungefähr soviel und sowenig Gedanken als die Berechnung, ob in einer Figur diese oder jene Art des Schlusses statthaben könne.

> §61 Regarding this content, the reason why logic is so dull and spiritless has already been given above. Its determinations are accepted in their unmoved fixity and are brought only into external relation with each other. In judgments and syllogisms the operations are in the main reduced to and founded on the quantitative aspect of the determinations; consequently everything rests on an external difference, on mere comparison and becomes a completely analytical procedure and mechanical calculation. The deduction of the so-called rules and laws, chiefly of inference, is not much better than a manipulation of rods of unequal length in order to sort and group them according to size — than a childish game of fitting together the pieces of a coloured picture puzzle. Consequently, this thinking has been equated, not incorrectly, with reckoning, and reckoning again with this thinking. In arithmetic, numbers are regarded as devoid of any concrete conceptual content, so apart from their wholly external relationship they have no meaning, and neither in themselves nor in their interrelationships are thoughts. When it is calculated in mechanical fashion that three-fourths multiplied by two-thirds makes one-half, this operation contains about as much and as little thought as calculating whether in a logical figure this or that kind of syllogism is valid.

mechanical nature of [[formal logic]]


> {#62} §62 Das Einzige, um den wissenschaftlichen Fortgang zu gewinnen – und um dessen ganz einfache Einsicht sich wesentlich zu bemühen ist –, ist die Erkenntnis des logischen Satzes, daß das Negative ebensosehr positiv ist oder daß das sich Widersprechende sich nicht in Null, in das abstrakte Nichts auflöst, sondern wesentlich nur in die Negation seines besonderen Inhalts, oder daß eine solche Negation nicht alle Negation, sondern die Negation der bestimmten Sache, die sich auflöst, somit bestimmte Negation ist; daß also im Resultate wesentlich das enthalten ist, woraus es resultiert, – was eigentlich eine Tautologie ist, denn sonst wäre es ein Unmittelbares, nicht ein Resultat. Indem das Resultierende, die Negation, bestimmte Negation ist, hat sie einen Inhalt. Sie ist ein neuer Begriff, aber der höhere, reichere Begriff als der vorhergehende; denn sie ist um dessen Negation oder Entgegengesetztes reicher geworden, enthält ihn also, aber auch mehr als ihn, und ist die Einheit seiner und seines Entgegengesetzten. – In diesem Wege hat sich das System der Begriffe überhaupt zu bilden – und in unaufhaltsamem, reinem, von außen nichts hereinnehmendem Gange sich zu vollenden.


> §62 All that is necessary to achieve scientific progress — and it is essential to strive to gain this quite simple insight — is the recognition of the logical principle that the negative is just as much positive, or that what is self-contradictory does not resolve itself into a nullity, into abstract nothingness, but essentially only into the negation of its particular content, in other words, that such a negation is not all and every negation but the negation of a specific subject matter which resolves itself, and consequently is a specific negation, and therefore the result essentially contains that from which it results; which strictly speaking is a tautology, for otherwise it would be an immediacy, not a result. Because the result, the negation, is a specific negation, it has content. It is a fresh Notion but higher and richer than its predecessor; for it is richer by the negation or opposite of the latter, therefore contains it, but also something more, and is the unity of itself and its opposite. It is in this way that the system of Notions as such has to be formed — and has to complete itself in a purely continuous course in which nothing extraneous is introduced.

[[dialectic]]

> {#63} §63 Wie würde ich meinen können, daß nicht die Methode, die ich in diesem Systeme der Logik befolge – oder vielmehr die dies System an ihm selbst befolgt –, noch vieler Vervollkommnung, vieler Durchbildung im einzelnen fähig sei; aber ich weiß zugleich, daß sie die einzige wahrhafte ist. Dies erhellt für sich schon daraus, daß sie von ihrem Gegenstande und Inhalte nichts Unterschiedenes ist; – denn es ist der Inhalt in sich, die Dialektik, die er an ihm selbst hat, welche ihn fortbewegt. Es ist klar, daß keine Darstellungen für wissenschaftlich gelten können, welche nicht den Gang dieser Methode gehen und ihrem einfachen Rhythmus gemäß sind, denn es ist der Gang der Sache selbst.

> §63 I could not pretend that the method which I follow in this system of logic — or rather which this system in its own self follows — is not capable of greater completeness, of much elaboration in detail; but at the same time I know that it is the only true method. This is self-evident simply from the fact that it is not something distinct from its object and content; for it is the inwardness of the content, the dialectic which it possesses within itself, which is the mainspring of its advance. It is clear that no expositions can be accepted as scientifically valid which do not pursue the course of this method and do not conform to its simple rhythm, for this is the course of the subject matter itself.

> Das, wodurch sich der Begriff selbst weiterleitet, ist das vorhin angegebene Negative, das er in sich selbst hat; dies macht das wahrhaft Dialektische aus. Die Dialektik, die als ein abgesonderter Teil der Logik betrachtet und in Ansehung ihres Zwecks und Standpunkts, man kann sagen, gänzlich verkannt worden, erhält dadurch eine ganz andere Stellung. – Auch die Platonische Dialektik hat selbst im Parmenides, und anderswo ohnehin noch direkter, teils nur die Absicht, beschränkte Behauptungen durch sich selbst aufzulösen und zu widerlegen, teils aber überhaupt das Nichts zum Resultate. Gewöhnlich sieht man die Dialektik für ein äußerliches und negatives Tun an, das nicht der Sache selbst angehöre, in bloßer Eitelkeit als einer subjektiven Sucht, sich das Feste und Wahre in Schwanken zu setzen und aufzulösen, seinen Grund habe oder wenigstens zu nichts führe als zur Eitelkeit des dialektisch behandelten Gegenstandes.

> Kant hat die Dialektik höher gestellt – und diese Seite gehört unter die größten seiner Verdienste –, indem er ihr den Schein von Willkür nahm, den sie nach der gewöhnlichen Vorstellung hat, und sie als ein notwendiges Tun der Vernunft darstellte. Indem sie nur für die Kunst, Blendwerke vorzumachen und Illusionen hervorzubringen, galt, wurde schlechthin vorausgesetzt, daß sie ein falsches Spiel spiele und ihre ganze Kraft allein darauf beruhe, daß sie den Betrug verstecke; daß ihre Resultate nur erschlichen und ein subjektiver Schein seien. Kants dialektische Darstellungen in den Antinomien der reinen Vernunft verdienen zwar, wenn sie näher betrachtet werden, wie dies im Verfolge dieses Werkes weitläufiger geschehen wird, freilich kein großes Lob; aber die allgemeine Idee, die er zugrunde gelegt und geltend gemacht hat, ist die Objektivität des Scheins und Notwendigkeit des Widerspruchs, der zur Natur der Denkbestimmungen gehört: zunächst zwar in der Art, insofern diese Bestimmungen von der Vernunft auf die Dinge an sich angewendet werden; aber eben, was sie in der Vernunft und in Rücksicht auf das sind, was an sich ist, ist ihre Natur. Es ist dies Resultat, in seiner positiven Seite aufgefaßt, nichts anderes als die innere Negativität derselben, als ihre sich selbst bewegende Seele, das Prinzip aller natürlichen und geistigen Lebendigkeit überhaupt. Aber sowie nur bei der abstrakt-negativen Seite des Dialektischen stehengeblieben wird, so ist das Resultat nur das Bekannte, daß die Vernunft unfähig sei, das Unendliche zu erkennen; – ein sonderbares Resultat, indem das Unendliche das Vernünftige ist, zu sagen, die Vernunft sei nicht fähig, das Vernünftige zu erkennen.
In diesem Dialektischen, wie es hier genommen wird, und damit in dem Fassen des Entgegengesetzten in seiner Einheit oder des Positiven im Negativen besteht das Spekulative. Es ist die wichtigste, aber für die noch ungeübte, unfreie Denkkraft schwerste Seite. Ist solche noch darin begriffen, sich vom sinnlich-konkreten Vorstellen und vom Räsonieren[52] loszureißen, so hat sie sich zuerst im abstrakten Denken zu üben, Begriffe in ihrer Bestimmtheit festzuhalten und aus ihnen erkennen zu lernen. Eine Darstellung der Logik zu diesem Behuf hätte sich in ihrer Methode an das obenbesagte Einteilen und in Ansehung des näheren Inhalts an die Bestimmungen, die sich für die einzelnen Begriffe ergeben, zu halten, ohne sich auf das Dialektische einzulassen. Sie würde der äußeren Gestalt nach dem gewöhnlichen Vortrag dieser Wissenschaft ähnlich werden, sich übrigens dem Inhalte nach auch davon unterscheiden und immer noch dazu dienen, das abstrakte, obzwar nicht das spekulative Denken zu üben, welchen Zweck die durch psychologische und anthropologische Zutaten populär gewordene Logik nicht einmal erfüllen kann. Sie würde dem Geiste das Bild eines methodisch geordneten Ganzen geben, obgleich die Seele des Gebäudes, die Methode, die im Dialektischen lebt, nicht selbst darin erschiene.

> {#71} §71 At first, therefore, logic must indeed be learnt as something which one understands and sees into quite well but in which, at the beginning, one feels the lack of scope and depth and a wider significance. It is only after profounder acquaintance with the other sciences that logic ceases to be for subjective spirit a merely abstract universal and reveals itself as the universal which embraces within itself the wealth of the particular — just as the same proverb, in the mouth of a youth who understands it quite well, does not possess the wide range of meaning which it has in the mind of a man with the experience of a lifetime behind him, for whom the meaning is expressed in all its power. Thus the value of logic is only apprehended when it is preceded by experience of the sciences; it then displays itself to mind as the universal truth, not as a particular knowledge alongside other matters and realities, but as the essential being of all these latter.

[[general abstract]], [[concrete general]]




### Allgemeine Einteilung der Logik

> {#85} §85 Die objektive Logik tritt damit vielmehr an die Stelle der vormaligen Metaphysik, als welche das wissenschaftliche Gebäude über die Welt war, das nur durch Gedanken aufgeführt seyn sollte.—Wenn wir auf die letzte Gestalt der Ausbildung dieser Wissenschaft Rücksicht nehmen, so ist erstens unmittelbar die Ontologie, an deren Stelle die objektive Logik tritt,—der Theil jener Metaphysik, der die Natur des Ens überhaupt erforschen sollte;—das Ens begreift sowohl Seyn als Wesen in sich, für welchen Unterschied unsere Sprache glücklicherweise den verschiedenen Ausdruck gerettet hat.—Alsdann aber begreift die objektive Logik auch die übrige Metaphysik insofern in sich, als diese mit den reinen Denkformen die besondern, zunächst aus der Vorstellung genommenen Substrate, die Seele, die Welt, Gott, zu fassen suchte, und die Bestimmungen des Denkens das Wesentliche der Betrachtungsweise ausmachten.



> §85 The objective logic, then, takes the place rather of the former metaphysics which was intended to be the scientific construction of the world in terms of thoughts alone. If we have regard to the final shape of this science, then it is first and immediately ontology whose place is taken by objective logic — that part of this metaphysics which was supposed to investigate the nature of ens in general; ens comprises both being and essence, a distinction for which the German language has fortunately preserved different terms. But further, objective logic also comprises the rest of metaphysics in so far as this attempted to comprehend with the forms of pure thought particular substrata taken primarily from figurate conception, namely the soul, the world and God; and the determinations of thought constituted what was essential in the mode of consideration.




## **Die Lehre vom Sein** / **The Doctrine of Being**


### Womit muss der Anfang der Wissenschaft gemacht werden?


> {#121} §121 Was somit über das Seyn ausgesprochen oder enthalten seyn soll, in den reicheren Formen des Vorstellens von Absolutem oder Gott, dieß ist im Anfange nur leeres Wort, und nur Seyn; dieß Einfache, das sonst keine weitere Bedeutung hat, dieß Leere ist also schlechthin der Anfang der Philosophie.

> §121 Consequently, whatever is intended to be expressed or implied beyond being, in the richer forms of representing the absolute or God, this is in the beginning only an empty word and only being; this simple determination which has no other meaning of any kind, this emptiness, is therefore simply as such the beginning of philosophy.

> §122 Diese Einsicht ist selbst so einfach, daß dieser Anfang als solcher, keiner Vorbereitung noch weiteren Einleitung bedarf; und diese Vorläufigkeit von Raisonnement über ihn konnte nicht die Absicht haben, ihn herbeizuführen, als vielmehr alle Vorläufigkeit zu entfernen.

> §122 This insight is itself so simple that this beginning as such requires no preparation or further introduction; and, indeed, these preliminary, external reflections about it were not so much intended to lead up to it as rather to eliminate all preliminaries.

### Vorbegriff (Enzyklopädie)

#### Erste Stellung des Gedankens zur Objektivität

#### Zweite Stellung des Gedankens zur Objektivität

#### Dritte Stellung des Gedankens zur Objektivität

> {#EL61} EL§61 If we are to believe the Critical philosophy, thought is subjective, and its ultimate and invincible mode is abstract universality or formal identity. Thought is thus set in opposition to Truth, which is no abstraction, but concrete universality. In this highest mode of thought, which is entitled Reason, the Categories are left out of account. The extreme theory on the opposite side holds thought to be an act of the particular only, and on that ground declares it incapable of apprehending the Truth. This is the Intuitional theory.

[[abstract general]], [[concrete general]]

In [Hibben-Luft, p. 143](#HibbenLuft) is says about the _Shorter Logic_:

> Particularity and individuality are related as "abstract" and "concrete", respectively. The particular is the "abstract individual". The individual is the "concrete particular". The universal is their union, and may be either "abstract" or "concrete". The so-called "concrete universal" is Hegel's gold standard for conceptual thought $[$...$]$.

#### Näherer Begriff und Einteilung der Logik

> Das Logische hat der Form nach drei Seiten:

> α) die abstrakte oder verständige,

> β) die dialektische oder negativ-vernünftige,

> γ) die spekulative oder positiv-vernünftige.

##### Abstrakte oder Verständige Logik

##### Dialektische oder negativ-vernünftige Logic

##### Dialektische oder positive-vernünfitge Logik
 {#DialektischeLogik}

> {#Enc82a} Enc§82a  Im gemeinen Leben pflegt der Ausdruck Spekulation in einem sehr vagen und zugleich untergeordneten Sinn gebraucht zu werden,  so z. B., wenn von Heirats- oder Handelsspekulationen die Rede ist,  worunter dann nur so viel verstanden wird, einerseits daß über das unmittelbar Vorhandene hinausgegangen werden soll und andererseits daß dasjenige, was den Inhalt solch Spekulationen bildet, zunächst nur ein Subjektives ist, jedoch nicht ein solches bleiben, sondern realisiert oder in Objektivität übersetzt werden soll.

> {#Enc82b} Enc§82b  Es gilt von diesem gemeinen Sprachgebrauch hinsichtlich der Spekulationen dasselbe, was früher von der Idee bemerkt wurde, woran sich dann noch die weitere Bemerkung schließt,  daß vielfältig von solchen, die sich schon zu den Gebildeteren rechnen, von der Spekulation auch ausdrücklich in der Bedeutung eines bloß Subjektiven gesprochen wird, in der Art nämlich, daß es heißt, eine gewisse Auffassung natürlicher oder geistiger Zustände und Verhältnisse möge zwar, bloß spekulativ genommen, sehr schön und richtig sein, allein die Erfahrung stimme damit nicht überein, und in der Wirklichkeit könne dergleichen nicht zugelassen werden.
Dagegen ist dann zu sagen, daß das Spekulative seiner wahren Bedeutung nach weder vorläufig noch auch definitiv ein bloß Subjektives ist, sondern vielmehr ausdrücklich dasjenige, welches jene Gegensätze, bei denen der Verstand stehenbleibt (somit auch den des Subjektiven und Objektiven), als aufgehoben in sich enthält und eben damit sich als konkret und als Totalität erweist.

> {#Enc82c} Enc§82c Ein spekulativer Inhalt kann deshalb auch nicht in einem einseitigen Satz ausgesprochen werden.  Sagen wir z. B., das Absolute sei die Einheit des Subjektiven und des Objektiven, so ist dies zwar richtig, jedoch insofern einseitig, als hier nur die Einheit ausgesprochen und auf diese der Akzent gelegt wird, während doch in der Tat das Subjektive und das Objektive nicht nur identisch, sondern auch unterschieden sind.


> {#Enc82d} Enc§82d  Hinsichtlich der Bedeutung des Spekulativen ist hier noch zu erwähnen, daß man darunter dasselbe zu verstehen hat, was früher, zumal in Beziehung auf das religiöse Bewußtsein und dessen Inhalt, als das Mystische bezeichnet zu werden pflegte.  Wenn heutzutage vom Mystischen die Rede ist, so gilt dies in der Regel als gleichbedeutend mit dem Geheimnisvollen und Unbegreiflichen, und dies Geheimnisvolle und Unbegreifliche wird dann, je nach Verschiedenheit der sonstigen Bildung und Sinnesweise, von den einen als das Eigentliche und Wahrhafte, von den anderen aber als das dem Aberglauben und der Täuschung Angehörige betrachtet.
Hierüber ist zunächst zu bemerken, daß das Mystische allerdings ein Geheimnisvolles ist, jedoch nur für den Verstand, und zwar einfach um deswillen, weil die abstrakte Identität das Prinzip des Verstandes, das Mystische aber (als gleichbedeutend mit dem Spekulativen) die konkrete Einheit derjenigen Bestimmungen ist, welche dem Verstand nur in ihrer Trennung und Entgegensetzung für wahr gelten.
Wenn dann diejenigen, welche das Mystische als das Wahrhafte anerkennen, es gleichfalls dabei bewenden lassen, daß dasselbe ein schlechthin Geheimnisvolles sei, so wird damit ihrerseits nur ausgesprochen, daß das Denken für sie gleichfalls nur die Bedeutung des abstrakten Identischsetzens hat und daß man um deswillen, um zur Wahrheit zu gelangen, auf das Denken verzichten oder, wie auch gesagt zu werden pflegt, daß man die Vernunft gefangennehmen müsse.

[[speculation]] is [[mysticism]]

> {#Enc82e}  Enc§82e Nun aber ist, wie wir gesehen haben, das abstrakt verständige Denken so wenig ein Festes und Letztes, daß dasselbe sich vielmehr als das beständige Aufheben seiner selbst und als das Umschlagen in sein Entgegengesetztes erweist, wohingegen das Vernünftige als solches gerade darin besteht, die Entgegengesetzten als ideelle Momente in sich zu enthalten.
Alles Vernünftige ist somit zugleich als mystisch zu bezeichnen, womit jedoch nur so viel gesagt ist, daß dasselbe über den Verstand hinausgeht, und keineswegs, daß dasselbe überhaupt als dem Denken unzugänglich und unbegreiflich zu betrachten sei.”


###  Allgemeine Einteilung des Seins


> {#126} §126 Diese Eintheilung ist hier, wie in der Einleitung von diesen Eintheilungen überhaupt erinnert worden, eine vorläufige Anführung; ihre Bestimmungen haben erst aus der Bewegung des Seyns selbst zu entstehen, sich dadurch zu definiren und zu rechtfertigen. Über die Abweichung dieser Eintheilung von der gewöhnlichen Aufführung der Kategorien, nämlich als Quantität, Qualität, Relation und Modalität, was übrigens bei Kant nur die Titel für seine Kategorien seyn sollen, in der That aber selbst, nur allgemeinere, Kategorien sind,—ist hier nichts zu erinnern, da die ganze Ausführung das überhaupt von der gewöhnlichen Ordnung und Bedeutung der Kategorien Abweichende zeigen wird.

> §126 At this stage, this division is, as was remarked of these divisions generally in the Introduction, a preliminary statement; its determinations have first to arise from the movement of being itself and in so doing define and justify themselves. As regards the divergence of this classification from the usual presentation of the categories, namely, as quantity, quality, relation and modality — these moreover with Kant are supposed to be only titles for his categories though they are, in fact, themselves categories, only more general ones — this calls for no special comment here, as the entire exposition will show a complete divergence from the usual arrangement and significance of the categories.

[[category (philosophy)]]


> {#127} §127 Nur dieß kann etwa bemerkt werden, daß sonst die Bestimmung der Quantität von der Qualität aufgeführt wird,—und dieß—wie das Meiste—ohne weiteren Grund. Es ist bereits gezeigt worden, daß der Anfang sich mit dem Seyn als solchem macht, daher mit dem qualitativen Seyn. Aus der Vergleichung der Qualität mit der Quantität erhellt leicht, daß jene die der Natur nach erste ist. Denn die Quantität ist die schon negativ gewordenen Qualität; die Größe ist die Bestimmtheit, die nicht mehr mit dem Seyn Eins, sondern schon von ihm unterschieden, die aufgehobene, gleichgültig gewordenen Qualität ist. Sie schließt die Veränderlichkeit des Seyns ein, ohne daß die Sache selbst, das Seyn, dessen Bestimmung sie ist, durch sie verändert werde; da hingegen die qualitative Bestimmtheit mit ihrem Seyn Eins ist, nicht darüber hinausgeht, noch innerhalb desselben steht, sondern dessen unmittelbare Beschränktheit ist. Die Qualität ist daher, als die unmittelbare Bestimmtheit die erste und mit ihr der Anfang zu machen.

> §127 This only perhaps can be remarked, that hitherto the determination of quantity has been made to precede quality and this as is mostly the case — for no given reason. It has already been shown that the beginning is made with being as such, therefore, with qualitative being. It is easily seen from a comparison of quality with quantity that the former by its nature is first. For quantity is quality which has already become negative; magnitude is the determinateness which is no longer one with being but is already differentiated from it, sublated quality which has become indifferent. It includes the alterableness of being, although the category itself, namely Being, of which it is the determination, is not altered by it. The qualitative determinateness, on the other hand, is one with its being: it neither goes beyond it nor is internal to it, but is its immediate limitedness. Quality therefore, as the immediate determinateness, is primary and it is with it that the beginning must be made.


> {#128} §128 Das Maaß ist eine Relation, aber nicht die Relation überhaupt, sondern bestimmt der Qualität und Quantität zu einander; die Kategorien, die Kant unter der Relation befaßt, werden ganz anderwärts ihre Stelle nehmen. Das Maaß kann auch für eine Modalität, wenn man will, angesehen werden; aber indem bei Kant diese nicht mehr eine Bestimmung des Inhalts ausmachen, sondern nur die Beziehung desselben auf das Denken, auf das Subjektive, angehen soll, so ist dieß eine ganz heterogene, hierher nicht gehörige Beziehung.

> §128 Measure is a relation, but not relation in general, for it is the specific relation between quality and quantity; the categories which Kant includes under relation will come up for consideration in quite another place. Measure can also, if one wishes, be regarded as a modality; but since with Kant modality is supposed no longer to constitute a determination of the content, but to concern only the relation of the content to thought, to the subjective element, it is a quite heterogeneous relation and is not pertinent here.

> {#129} §129 Die dritte Bestimmung des Seyns fällt innerhalb des Abschnittes, der Qualität, indem es sich als abstrakte Unmittelbarkeit zu einer einzelnen Bestimmtheit gegen seine anderen innerhalb seiner Sphäre herabsetzt.

> §129 The third determination of being falls within the section Quality, for as abstract immediacy it reduces itself to a single determinateness in relation to its other determinatenesses within its sphere.


### First section. Bestimmtheit (Qualität) / Determinateness (Quality)

#### First chapter

From  the [shorter Logic](#EPSBOI):

> EL§86 Pure [[being]] constitutes the beginning, because it is pure thought as well as the undetermined, simple immediate, and the first beginning cannot be anything mediated and further determined.

> EL§87 Now this pure being is a pure abstraction and thus the absolutely negative which, when likewise taken immediately, is nothing.

> {EL#88} EL§88 Conversely, nothing, as this immediate, self-same category, is likewise the same as being. The truth of being as well as of nothing is therefore the unity of both; this unity is [[becoming]].


##### A. Sein / Being
 {#OnBeingAndBecoming}

> {#132} §132 Being, pure being, [...] it has no diversity within itself nor any with a reference outwards.


This is the _[[unit type]]_ $\ast$. See also [§1663](#1663).


Indeed, later this is called "Das Eins"  which is maybe indeed better translated as "The Unit" instead of as "The One" as commonly done.


##### B. Nichts / Nothing

> §133 Nothing, pure nothing: it is simply equality with itself, complete emptiness,

The [[empty type]] $\emptyset$.


##### C. Werden / Becoming
 {#Becoming}


> {#134} §134 Pure Being and pure nothing are, therefore, the same. What is the truth is neither being nor nothing, but that being — does not pass over but has passed over — into nothing, and nothing into being. But it is equally true that they are not undistinguished from each other, that, on the contrary, they are not the same, that they are absolutely distinct, and yet that they are unseparated and inseparable and that each immediately vanishes in its opposite. Their truth is therefore, this movement of the immediate vanishing of the one into the other: becoming, a movement in which both are distinguished, but by a difference which has equally immediately resolved itself.




According to the formalization of such [[unity of opposites]] as in def. \ref{UnityOfOpposites} we identify this [[becoming]] (following [Lawvere 91]({#LawvereComo})) as the universal factorization


$$
  \array{
    \emptyset &\longrightarrow& X &\longrightarrow& \ast
    \\
    \\
    nothing && becoming && being
  }
$$

of the factorization of the unique [[function]] from the [[empty type]] to the [[unit type]] through any other [[type]] $X$.


Indeed, later in [§174](#174) it says:

> there is nothing which is not an intermediate state between being and nothing.

Also, [below](#SomethingAndAnOther) it says

> {#222} §222 Being and nothing in their unity, which is determinate being

which points to the [[Aufhebung]] of this duality via the [[sharp modality]].

###### 1. Unity of Being and Nothing

###### $\;\;$ Remark 1 The opposition  of being and nothing in ordinary thinking

###### $\;\;$ Remark 2: Defectiveness of the Expression "Unity, Identity of Being and Nothing"

> {#152} §152  But the third in which being and nothing subsist must also present itself here, and it has done so; it is becoming. In this being and nothing are distinct moments; becoming only is, in so far as they are distinguished.

In view of the above it seems that "moment" is well translated with _[[modality]]_.

###### $\;\;$ Remark 3 The isolating of these abstractions

###### $\;\;$ Remark 4 Incomprehensibility of the beginning
 {#IncomprehensibilityOfTheBeginning}

> §171 It is impossible for anything to begin, either in so far as it is, or in so far as it is not; for in so far as it is, it is not just beginning, and in so far as it is not, then also it does not begin. If the world, or anything, is supposed to have begun, then it must have begun in nothing, but in nothing — or nothing — is no beginning; for a beginning includes within itself a being, but nothing does not contain any being. Nothing is only nothing. In a ground, a cause, and so on, if nothing is so determined, there is contained an affirmation, a being. For the same reason, too, something cannot cease to be; for then being would have to contain nothing, but being is only being, not the contrary of itself.


> {#174} §174 Das Angeführte ist auch dieselbe Dialektik, die der Verstand gegen den Begriff braucht, den die höhere Analysis von den unendlich-kleinen Größen giebt. Von diesem Begriffe wird weiter unten ausführlicher gehandelt.—Diese Größen sind als solche, bestimmt worden, die in ihrem Verschwinden sind, nicht vor ihrem Verschwinden, denn als dann sind sie endliche Größen;—nicht nach ihrem Verschwinden, denn alsdann sind sie nichts. Gegen diesen reinen Begriff ist eingewendet und immer wiederholt worden, daß solche Größen entweder Etwas seyen, oder Nichts; daß es keinen Mittelzustand (Zustand ist hier ein unpassender, barbarischer Ausdruck) zwischen Seyn und Nichtseyn gebe.—Es ist hierbei gleichfalls die absolute Trennung des Seyns und Nichts angenommen. Dagegen ist aber gezeigt worden, daß Seyn und Nichts in der That dasselbe sind, oder um in jener Sprache zu sprechen, daß es gar nichts giebt, das nicht ein Mittelzustand zwischen Seyn und Nichts ist. Die Mathematik hat ihre glänzendsten Erfolge der Annahme jener Bestimmung, welcher der Verstand widerspricht, zu danken.



> {#174} §174 The foregoing dialectic is the same, too, as that which understanding employs the notion of infinitesimal magnitudes, given by higher analysis. A more detailed treatment of this notion will be given later. These magnitudes have been defined as such that they are in their vanishing, not before their vanishing, for then they are finite magnitudes, or after their vanishing, for then they are nothing.

Mathematically, the vanishing of [[infinitesimal objects]] is exactly what is expressed by the [[reduction modality]] $\Re$.


> §174 there is nothing which is not an intermediate state between being and nothing.

The universal factorization for [[unity of opposites]] of the [[empty type]] $\dashv$ [[unit type]] [[adjoint modality]]

$$
  \array{
    \emptyset &\longrightarrow& X &\longrightarrow& \ast
    \\
    \\
    nothing && becoming && being
  }
$$

of the factorization of the unique [[function]] from the [[empty type]] to the [[unit type]] through any other [[type]] $X$.



###### 2. Momente des Werdens / Moments of Becoming

> {#176} §176 Das Werden, Entstehen und Vergehen, ist die Ungetrenntheit des Seyns und Nichts; nicht die Einheit, welche vom Seyn und Nichts abstrahirt; sondern als Einheit des Seyns und Nichts ist es diese bestimmte Einheit, oder in welcher sowohl Seyn als Nichts ist. Aber indem Seyn und Nichts, jedes ungetrennt von seinem Anderen ist, ist es nicht. Sie sind also in dieser Einheit, aber als verschwindende, nur als Aufgehobene. Sie sinken von ihrer zunächst vorgestellten Selbstständigkeit zu Momenten herab, noch unterschiedenen, aber zugleich aufgehobenen.

> {#176} §176 Becoming is the unseparatedness of being and nothing, not the unity which abstracts from being and nothing; but as the unity of being and nothing it is this determinate unity in which there is both being and nothing. But in so far as being and nothing, each unseparated from its other, is, each is not. They are therefore in this unity but only as vanishing, sublated moments. They sink from their initially imagined self-subsistence to the status of moments, which are still distinct but at the same time are sublated.

> {#177} §177 Nach dieser ihrer Unterschiedenheit sie aufgefaßt, ist jedes in derselben als Einheit mit dem Anderen. Das Werden enthält also Seyn und Nichts als zwei solche Einheiten, deren jede selbst Einheit des Seyns und Nichts ist; die eine das Seyn als unmittelbar und als Beziehung auf das Nichts; die andere das Nichts als unmittelbar und als Beziehung auf das Seyn; die Bestimmungen sind in ungleichem Werthe in diesen Einheiten.

> {#177} §177 Grasped as thus distinguished, each moment is in this distinguishedness as a unity with the other. Becoming therefore contains being and nothing as two such unities, each of which is itself a unity of being and nothing; the one is being as immediate and as relation to nothing, and the other is nothing as immediate and as relation to being; the determinations are of unequal values in these unities.


An archetypical description of the [[unity of opposites]]. Here:

[[becoming]]/Werden : [[nothing]] $\dashv$ [[being]]

$\;\;\;$ [[empty type]] $\dashv$ [[unit type]]

$\;\;\;$ $\emptyset \dashv \ast$

This is also the interpretation in ([LawvereComo, p. 11](#LawvereComo)).
$$
  \emptyset \longrightarrow X \longrightarrow \ast
$$



> {#178} §178 Das Werden ist auf diese Weise in gedoppelter Bestimmung; in der einen ist das Nichts als unmittelbar, d. i. sie ist anfangend vom Nichts, das sich auf das Seyn bezieht, das heißt, in dasselbe übergeht, in der anderen ist das Seyn als unmittelbar d. i. sie ist anfangend vom Seyn, das in das Nichts übergeht,—Entstehen und Vergehen.


> {#178} §178 Becoming is in this way in a double determination. In one of them, nothing is immediate, that is, the determination starts from nothing which relates itself to being, or in other words changes into it; in the other, being is immediate, that is, the determination starts from being which changes into nothing: the former is coming-to-be and the latter is ceasing-to-be.

$\;\;$ [[nothing]] $\dashv$ [[being]]  $\;\colon\;$ [[ceasing]]





###### 3. Aufheben des Werdens / Sublating of Becoming
 {#AufhebenDesWerdens}

> {#180} §180 Das Gleichgewicht, worein sich Entstehen und Vergehen setzen, ist zunächst das Werden selbst. Aber dieses geht eben so in ruhige Einheit zusammen. Seyn und Nichts sind in ihm nur als verschwindende; aber das Werden als solches ist nur durch die Unterschiedenheit derselben. Ihr Verschwinden ist daher das Verschwinden des Werdens, oder Verschwinden des Verschwindens selbst. Das Werden ist eine haltungslose Unruhe, die in ein ruhiges Resultat zusammensinkt.

> §180 The resultant equilibrium of coming-to-be and ceasing-to-be is in the first place becoming itself. But this equally settles into a stable unity. Being and nothing are in this unity only as vanishing moments; yet becoming as such is only through their distinguishedness. Their vanishing, therefore, is the vanishing of becoming or the vanishing of the vanishing itself. Becoming is an unstable unrest which settles into a stable result.

> {#181} §181 Dieß könnte auch so ausgedrückt werden: Das Werden ist das Verschwinden von Seyn in Nichts, und von Nichts in Seyn, und das Verschwinden von Seyn und Nichts überhaupt; aber es beruht zugleich auf dem Unterschiede derselben. Es widerspricht sich also in sich selbst, weil es solches in sich vereint, das sich entgegengesetzt ist; eine solche Vereinigung aber zerstört sich.

> §181 This could also be expressed thus: becoming is the vanishing of being in nothing and of nothing in being and the vanishing of being and nothing generally; but at the same time it rests on the distinction between them. It is therefore inherently self-contradictory, because the determinations it unites within itself are opposed to each other; but such a union destroys itself.

> {#182} §182 Dieß Resultat ist das Verschwundenseyn, aber nicht als Nichts; so wäre es nur ein Rückfall in die eine der schon aufgehobenen Bestimmungen, nicht Resultat des Nichts und des Seyns. Es ist die zur ruhigen Einfachheit gewordene Einheit des Seyns und Nichts. Die ruhige Einfachheit aber ist Seyn, jedoch ebenso, nicht mehr für sich, sondern als Bestimmung des Ganzen.

> §182 This result is the vanishedness of becoming, but it is not nothing; as such it would only be a relapse into one of the already sublated determinations, not the resultant of nothing and being. It is the unity of being and nothing which has settled into a stable oneness. But this stable oneness is being, yet no longer as a determination on its own but as a determination of the whole.

> {#183} §183 Das Werden so Übergehen in die Einheit des Seyns und Nichts, welche als seyend ist, oder die Gestalt der einseitigen unmittelbaren Einheit dieser Momente hat, ist das Daseyn.

> §183 Becoming, as this transition into the unity of being and nothing, a unity which is in the form of being or has the form of the onesided immediate unity of these moments, is determinate being.

By the discussion around [§177](#177) the [[unity of opposites]] of [[nothing]] and [[being]] is to be expressed by the [[adjunction]]

$$
  \emptyset \dashv \ast
$$

between the [[modalities]] which are constant on the [[empty type]]/[[initial object]] and on the [[unit type]]/[[terminal object]], respectively.

To exhibit [[Aufhebung]] of this duality we are now to produce another such [[adjunction]] of the form $(\flat \dashv \sharp)$ which characterizes a higher [[level of a topos]], and such that both $\emptyset$ and $\ast$ are $\sharp$-[[modal types]].

This is the case for $\flat$ the [[flat modality]] and $\sharp$ the [[sharp modality]] over a [[cohesive site]], this is discussed at _[Aufhebung -- over cohesive sites](Aufhebung#ExamplesBecomingFormalization)_.

So the first step to further determination in the [Proceß](#Process) is this:

$$
  \array{
    && && &&\stackrel{Dasein}{}&& \flat &\stackrel{}{\dashv}& \sharp &
    \\
    && && &&&& \vee &\stackrel{Aufhebung \atop {des\;Werdens}}{}& \vee
    \\
    && &&&&\stackrel{reines\;Sein}{}&\stackrel{Nichts}{}& \emptyset &\stackrel{Werden}{\dashv}& \ast & \stackrel{Sein}{}
 }
$$


| |  | [[Dasein]] | |  |
|--|--|--|--|--|
| [[Werden]] : | [[Nichts]] | $\;\;\;\dashv$ | [[Sein]] | : [[Vergehen]] |

$\,$

| |  | [[Dasein]] | |  |
|--|--|--|--|--|
| [[becoming]] : | [[nothing]] | $\;\;\;\dashv$ | [[being]] | : [[ceasing]] |


> {#187} §187 Der nähere Sinn und Ausdruck, den Seyn und Nichts, indem sie nunmehr Momente sind, erhalten, hat sich bei der Betrachtung des Daseyns, als der Einheit, in der sie aufbewahrt sind, zu ergeben. Seyn ist Seyn, und Nichts ist Nichts nur in ihrer Unterschiedenheit von einander; in ihrer Wahrheit aber, in ihrer Einheit, sind sie als diese Bestimmungen verschwunden, und sind nun etwas anderes. Seyn und Nichts sind dasselbe; darum weil sie dasselbe sind, sind sie nicht mehr Seyn und Nichts, und haben eine verschiedene Bestimmung; im Werden waren sie Entstehen und Vergehen; im Daseyn als einer anders bestimmten Einheit sind sie wieder anders bestimmte Momente. Diese Einheit bleibt nun ihre Grundlage, aus der sie nicht mehr zur abstrakten Bedeutung von Seyn und Nichts heraustreten.

> §187 The more precise meaning and expression which being and nothing receive, now that they are moments, is to be ascertained from the consideration of determinate being as the unity in which they are preserved. Being is being, and nothing is nothing, only in their contradistinction from each other; but in their truth, in their unity, they have vanished as these determinations and are now something else. Being and nothing are the same; but just because they are the same they are no longer being and nothing, but now have a different significance. In becoming they were coming-to-be and ceasing-to-be; in determinate being, a differently determined unity, they are again differently determined moments. This unity now remains their base from which they do not again emerge in the abstract significance of being and nothing.

moment $\leftrightarrow$ [[modality]]

Notice that all this has a striking resemblance to the following lines from the [[Tao Te Ching]] (English translation following [[Xiao-Gang Wen]] [here](http://physics.stackexchange.com/a/94612/5603)):

> The nameless nonbeing is the origin of universe;

> The named being is the mother of all observed things.

> Within nonbeing, we enjoy the mystery of the universe.

> Among being, we observe the richness of the world.

> Nonbeing and being are two aspects of the same mystery.

> From nonbeing to being and from being to nonbeing is the gateway to all understanding.

#### Second chapter. Dasein / Determinate Being

##### A. Dasein als solches / Determinate being as such
 {#ExistenceAsSuch}

> {#188} §188 Daseyn ist bestimmtes Seyn; seine Bestimmtheit ist seyende Bestimmtheit, Qualität.

>  §188 In considering determinate being the emphasis falls on its determinate character; the determinateness is in the form of being, and as such it is quality. Through its quality, something is determined as opposed to an other, as alterable and finite; and as negatively determined not only against an other but also in its own self. This its negation as at first opposed to the finite something is the infinite; the abstract opposition in which these determinations appear resolves itself into the infinity which is free from the opposition, into being-for-self.

The first sentence here is made up by the translator, in the original it says:

> Daseyn ist bestimmtes Seyn;

Di Giovanni has

> Existence is _determinate_ being;

In any case, by the discussion at _[Becoming](#Becoming)_ we have that "being" is a moment of the adjunction $(\emptyset \dashv \ast)$ and the discussion at _[Relation between repulsion and attraction](#RelationBetweenRepulsionAndAttraction)_ we have that "quality" is the adjunction $(&#643; \dashv \flat)$. Therefore it seems that

* types have "being" in the presence of $(\emptyset \dashv \ast)$

  * types moreover have "existence"/Dasein in the further presence of $(&#643; \dashv \flat)$.

For more on this see at _[Remark on reality as opposite to ideality](#RemarkOnRealityAsOppositeToDuality)_.

###### a. Dasein überhaupt / Determinant being in general
 {#DaseinUberhaupt}

> {#191} §191 From becoming there issues determinate being, which is the simple oneness of being and nothing. Because of this oneness it has the form of immediacy. Its mediation, becoming, lies behind it; it has sublated itself and determinate being appears

Above we saw that _[[becoming]]_ is formalized by the universal [[unity of opposites]] of [[nothing]] $\dashv$ [[being]], i.e. $\emptyset \dashv \ast$, exhibiting any [[type]] $X$ as intermediate (via $\emptyset$-[[unit of a monad|unit]] and $\ast$-[[counit of a comonad]])

$$
  \emptyset \longrightarrow X \longrightarrow \ast
  \,.
$$

Now by [§ 191](#191) [[determinate being]] is the [[sublation]] of this [[unity of opposites]]. By the discussion at _[Aufhebung -- Examples -- Aufhebung of Becoming](Aufhebung#AufhebungOfBecoming)_ this is given by the [[level of a topos|level]] of the  [[flat modality]] $\dashv$ [[sharp modality]]-opposition $(\flat \dashv \sharp)$, [[Dasein]]:

$$
  \array{
     \flat \; &\dashv& \;\;\sharp
     \\
     \vee \; &\nearrow_{\mathrlap{Dasein}}& \;\;\vee
     \\
     \emptyset \; &\dashv& \;\;\ast
  }
  \,.
$$

> {#194} § 194 Determinate being corresponds to being in the previous sphere

Here "sphere" is [[level of a topos|level]].

So $\sharp$ is the version of $\ast$ ([[being]]) in the next level, which indeed it is by the above.

###### b. Qualität / Quality

> §196 Determinateness thus isolated by itself in the form of being is quality


> {#EL91ZusatzA} EL§91ZusatzA Die Grundlage aller Bestimmtheit ist die Negation (_omnis determinatio est negatio_, wie [[Spinoza]] sagt).

###### c. Etwas / Something
 {#Etwas}

> {#208} §208 An dem Dasein ist seine Bestimmtheit als Qualität unterschieden worden; an dieser als daseiender ist der Unterschied – der Realität und der Negation. Sosehr nun diese Unterschiede an dem Dasein vorhanden sind, sosehr sind sie auch nichtig und aufgehoben. Die Realität enthält selbst die Negation, ist Dasein, nicht unbestimmtes, abstraktes Sein. Ebenso ist die Negation Dasein, nicht das abstrakt sein sollende Nichts, sondern hier gesetzt, wie es an sich ist, al seiend, dem Dasein angehörig. So ist die Qualität überhaupt nicht vom Dasein getrennt, welches nur bestimmtes, qualitatives Sein ist.

> §208 In determinate being its determinateness has been distinguished as quality; in quality as determinately present, there is distinction — of reality and negation. Now although these distinctions are present in determinate being, they are no less equally void and sublated. Reality itself contains negation, is determinate being, not indeterminate, abstract being. Similarly, negation is determinate being, not the supposedly abstract nothing but posited here as it is in itself, as affirmatively present $[$ als seiend $]$, belonging to the sphere of determinate being. Thus quality is completely unseparated from determinate being, which is simply determinate, qualitative being.





>  §209a This sublating of the distinction is more than a mere taking back and external omission of it again, or than a simple return to the simple beginning, to determinate being as such. The distinction cannot be omitted, for it is. What is, therefore, in fact present is determinate being in general, distinction in it, and sublation of this distinction; determinate being, not as devoid of distinction as at first, but as again equal to itself through sublation of the distinction, the simple oneness of determinate being resulting from this sublation.


> {#209b} §209b Dieß Aufgehobenseyn des Unterschieds ist die eigne Bestimmtheit des Daseyns; so ist es Insichseyn; das Daseyn ist Daseyendes, Etwas.

> §209b This sublatedness of the distinction is determinate being's own determinateness; it is thus being-within-self: determinate being is a determinate being, a something.

The _something_ here in the sphere of being will become the _thing_ in the sphere of essence ([§1048](#1048)). Clearly this concept wants to be interpreted as _[[type]]_, _[[object]].

Indeed, by the discussion around [§191](#191), Dasein is interpreted by the [[subtopos]] inclusion embodied by the [[sharp modality]]. This exhibits the inclusion of the [[base topos]] ([[base (infinity,1)-topos]]) into the ambient type theory. (The analogue in the spehere of essence is _Der Grund_ in [§945](#945) (and indeed _Grund_ is  _basis_ (as well as _reason for_)).

Now, at least in as far as [[sheaf toposes]] are concerned, then determining a topos over a [[base topos]] means to consider a [[category of sheaves]] with values in the base topos, and the logical interpretation of this is _[[forcing]]_: the [[site]] encodes the forcing-into-existence of certain [[objects]], satisfying certain relations.

The archetypical case of this is the [[classifying topos]] for objects. Internally, this is the topos obtained from the base topos by adjoining what today is called a _generic object_, but what one might just as well call an _object-in-itself_ (Objekt an sich). See ([§227](#227), [EL§124](#EL124), [#EL124Zusatz](EL§124Zusatz)).

More general sheaf toposes encode the forcing of more objects, and of relations between them. In either case, the _Dasein_ (being-there) exhibited by a topos over a base topos brings with it things (objects) which thereby "are there".

See also [EL§124Zusatz](#EL124Zusatz).


> {#210a} §210a Das Etwas ist die erste Negation der Negation...

> §210a Something is the first negation of negation...

>  {#210b} §210b ...als einfache seiende Beziehung auf sich. Dasein, Leben, Denken usf. bestimmt sich wesentlich zum Daseienden, Lebendigen, Denkenden (Ich) usf. Diese Bestimmung ist von der höchsten Wichtigkeit, um nicht bei dem Dasein, Leben, Denken usf., auch nicht bei der Gottheit (statt Gottes) als Allgemeinheiten stehenzubleiben. Etwas gilt der Vorstellung mit Recht als ein Reelles. Jedoch ist Etwas noch eine sehr oberflächliche Bestimmung; wie Realität und Negation, das Dasein und dessen Bestimmtheit zwar nicht mehr die leeren – Sein und Nichts –, aber ganz abstrakte Bestimmungen sind. Deswegen sind sie auch die geläufigsten Ausdrücke, und die philosophisch nicht gebildete Reflexion gebraucht sie am meisten, gießt ihre Unterscheidungen darein und meint daran etwas recht gut und fest Bestimmtes zu haben. – Das Negative des Negativen ist als Etwas nur der Anfang des Subjekts, – das Insichsein nur erst ganz unbestimmt. Es bestimmt sich fernerhin zunächst als Fürsichseiendes und so fort, bis es erst im Begriff die konkrete Intensität des Subjekts erhält. Allen diesen Bestimmungen liegt die negative[123] Einheit mit sich zugrunde. Aber dabei ist die Negation als erste, als Negation überhaupt wohl zu unterscheiden von der zweiten, der Negation der Negation, welche die konkrete, absolute Negativität, wie jene erste dagegen nur die abstrakte Negativität ist.

> §210b ...as simple self-relation in the form of being. Determinate being, life, thought, and so on, essentially determine themselves to become a determinate being, a living creature, a thinker (ego) and so on. This determination is of supreme importance if we are not to remain at the stage of determinate being, life, thought, and so on — also the Godhead (instead of God) — as generalities. In our ordinary way of thinking, something is rightly credited with reality. However, something is still a very superficial determination; just as reality and negation, determinate being and its determinateness, although no longer blank being and nothing, are still quite abstract determinations. It is for this reason that they are the most current expressions and the intellect which is philosophically untrained uses them most, casts its distinctions in their mould and fancies that in them it has something really well and truly determined. The negative of the negative is, as something, only the beginning of the subject [Subjekt] — being-within-self, only as yet quite indeterminate. It determines itself further on, first, as a being-for-self and so on, until in the Notion it first attains the concrete intensity of the subject. At the base of all these determinations lies the negative unity with itself. But in all this, care must be taken to distinguish between the first negation as negation in general, and the second negation, the negation of the negation: the latter is concrete, absolute negativity, just as the former on the contrary is only abstract negativity.

> {#211} §211 Etwas ist seiend als die Negation der Negation;

> §211 Something is the negation of the negation in the form of being;

> {#212} §212 Diese Vermittlung mit sich, die Etwas an sich ist, hat, nur als Negation der Negation genommen, keine konkreten Bestimmungen zu ihren Seiten; so fällt sie in die einfache Einheit zusammen, welche Sein ist. Etwas ist und ist denn auch Daseiendes; es ist an sich ferner auch Werden, das aber nicht mehr nur Sein und Nichts zu seinen Momenten hat. Das eine derselben, das Sein, ist nun Dasein und weiter Daseiendes. Das zweite ist ebenso ein Daseiendes, aber als Negatives des Etwas bestimmt, – ein Anderes. Das Etwas als Werden ist ein Übergehen, dessen Momente selbst Etwas sind und das darum Veränderung ist; – ein bereits konkret gewordenes Werden. – Das Etwas aber verändert sich zunächst nur in seinem Begriffe; es ist noch nicht so als vermittelnd und vermittelt gesetzt; zunächst nur als sich in seiner Beziehung auf sich einfach erhaltend, und das Negative seiner als ein ebenso Qualitatives, nur ein Anderes überhaupt.

> §212 This mediation with itself which something is in itself, taken only as negation of the negation, has no concrete determinations for its sides; it thus collapses into the simple oneness which is being. Something is, and is, then, also a determinate being; further, it is in itself also becoming, which, however, no longer has only being and nothing for its moments. One of these, being, is now determinate being, and, further, a determinate being. The second is equally a determinate being, but determined as a negative of the something — an other. Something as a becoming is a transition, the moments of which are themselves somethings, so that the transition is alteration — a becoming which has already become concrete. But to begin with, something alters only in its Notion; it is not yet posited as mediating and mediated, but at first only as simply maintaining itself in its self-relation, and its negative is posited as equally qualitative, as only an other in general.

In the  _Lesser Logic_ it has:

> {#EL91} EL§91 Die Negation, nicht mehr das abstrakte Nichts, sondern als ein Dasein und Etwas,

##### B. Die Endlichkeit / Finitude.

###### a. Etwas und ein Anderes. / Something and an Other
 {#SomethingAndAnOther}

> {#EL92Zusatz} EL§92Zusatz Gott hat die Welt aus der Natur des Einen und des Anderen (του ετεου) gemacht; diese hat er zusammengebracht und daraus ein Drittes gebildet, welches von der Natur des Einen und des Anderen ist. (vgl. Timaios, Steph. 34 f.)

This probably refers to the following part of the _[[Timaeus dialogue]]_:

> [35a] and in the fashion which I shall now describe. Midway between the Being which is indivisible and remains always the same and the Being which is transient and divisible in bodies, He blended a third form of Being compounded out of the twain, that is to say, out of the Same and the Other; and in like manner He compounded it midway between that one of them which is indivisible and that one which is divisible in bodies. And He took the three of them, and blent them all together into one form, by forcing the Other into union with the Same, in spite of its being naturally difficult to mix.

> [35b] And when with the aid of Being He had mixed them, and had made of them one out of three, straightway He began to distribute the whole thereof into so many portions as was meet; and each portion was a mixture of the Same, of the Other, and of Being. And He began making the division thus: First He took one portion from the whole; then He took a portion double of this; then a third portion, half as much again as the second portion, that is, three times as much as the first; he fourth portion He took was twice as much as the second; the fifth three times as much as the third;


> {#221} §221 Seyn-für-Anderes und Ansichseyn machen die zwei Momente des Etwas aus.

> §221  Being-for-other and being-in-itself constitute the two moments of the something.


Hence a [[unity of opposites]]:

$$
  \array{
    Ansichsein &\stackrel{Etwas}{\dashv}& Sein-fuer-Anderes
  }
  \,.
$$

This will repeat in the Wesenslogik with _Etwas_ replaced by _Ding_,
see [§1048](#1048).

|  | | moment  |  unity   | comoment |
|---|--|---|-----|--|
| **Seinslogik** | Sein  |  Ansichseyn | Etwas | Sein-fuer-Anderes |
| **Wesenslogik** | Existenz | Ding-an-sich  | Ding |  äußerliche Existenz |


Notice that there in the discussion of _Ding_ is a comment hidden that concerns the _Etwas_ here:

> [§1056](#1056) Die Qualität ist die unmittelbare Bestimmtheit des Etwas; das Negative selbst, wodurch das Seyn Etwas ist.

> §1056 Quality is the immediate determinateness of something, the negative itself through which being is something.

This says that the the "immediate determinateness" of the adjunction in [§221](#221)
is the adjunction [[shape modality]]$\dashv$[[flat modality]] that we identify with _quality_. We display this in the _[Process](#Process)_.


> §222 Being and nothing in their unity, which is determinate being

This is the [[Aufhebung]] discussed around [§182](#182), [§183](#183)

> {#226} §226 Dieß führt zu einer weitern Bestimmung. Ansichseyn und Seyn-für-Anderes sind zunächst verschieden; aber daß Etwas dasselbe, was es an sich ist, auch an ihm hat, und umgekehrt, was es als Seyn-für-Anderes ist, auch an sich ist,—dieß ist die Identität des Ansichseyns und Seyns-für-Anderes, nach der Bestimmung, daß das Etwas selbst ein und dasselbe beider Momente ist, sie also ungetrennt in ihm sind.—Es ergiebt sich formell diese Identität schon in der Sphäre des Daseyns, aber ausdrücklicher in der Betrachtung des Wesens und dann des Verhältnisses der Innerlichkeit und Äußerlichkeit, und am bestimmtesten in der Betrachtung der Idee, als der Einheit des Begriffs und der Wirklichkeit.

> §226 This leads to a further determination. Being-in-itself and being-for-other are, in the first instance, distinct; but that something also has within it the same character that it is in itself, and, conversely, that what it is as being-for-other it also is in itself-this is the identity of being-in-itself and being-for-other, in accordance with the determination that the something itself is one and the same something of both moments, which, therefore, are undividedly present in it. This identity is already formally given in the sphere of determinate being, but more expressly in the consideration of essence and of the relation of inner and outer, and most precisely in the consideration of the Idea as the unity of the Notion and actuality.

|  Sphäre |     |    Moment      |  Einheit |   Komoment      |          |
|------|--------|------------|---|------------------|----------------|
| **Seinslogik** | Dasein | Ansichsein | Etwas  |  Sein-für-Anderes | [§226](#226)   |
| **Wesenslogik**    | Existenz |  Inneres / Ding-An-Sich |  Ding  | Äußeres   | [§1048c](#1048c), [§1149](#1149) |
| **Begriffslogik**  |  | Begriff   | Idee | Wirklichkeit   | [§1636](#1636) |


For the following comment on the thing-in-itself, see also ([EL§124](#EL124), [#EL124Zusatz](EL§124Zusatz)).

> {#227} §227 Es kann bemerkt werden, daß sich hier der Sinn des Dings-an-sich ergibt, das eine sehr einfache Abstraktion ist, aber eine Zeitlang eine sehr wichtige Bestimmung, gleichsam etwas Vornehmes, so wie der Satz, daß wir nicht wissen, was die Dinge an sich sind, eine vielgeltende Weisheit war.  - Die Dinge heißen an-sich, insofern von allem Sein-für-Anderes abstrahiert wird, das heißt überhaupt, insofern sie ohne alle  Bestimmung, als Nichtse gedacht werden. In diesem Sinn kann man freilich nicht wissen, was das Ding an-sich ist. Denn die Frage Was? verlangt, daß Bestimmungen angegeben werden; indem aber die Dinge, von denen sie anzugeben verlangt würde, zugleich Dinge-an-sich sein sollen, das heißt eben ohne Bestimmung, so ist in die Frage gedankenloserweise die Unmöglichkeit der Beantwortung gelegt, oder man macht nur eine widersinnige Antwort.  - Das Ding-an-sich ist dasselbe, was jenes Absolute, von dem man nichts weiß, als daß Alles eins in ihm ist. Man weiß daher sehr wohl, was an diesen Dingen-an-sich ist; sie sind als solche nichts als wahrheitslose, leere Abstraktionen. Was aber das Ding-an-sich in Wahrheit ist, was wahrhaft an sich ist, davon ist die Logik die Darstellung, wobei aber unter Ansich etwas Besseres als die Abstraktion verstanden wird, nämlich was etwas in seinem Begriffe ist; dieser aber ist konkret in sich, als Begriff überhaupt begreiflich und als bestimmt und Zusammenhang seiner Bestimmungen in sich erkennbar.

> §227 It may be observed that the meaning of the thing-in-itself is here revealed; it is a very simple abstraction but for some while it counted as a very important determination, something superior, as it were, just as the proposition that we do not know what things are in themselves ranked as a profound piece of wisdom. Things are called 'in themselves' in so far as abstraction is made from all being-for-other, which means simply, in so far as they are thought devoid of all determination, as nothings. In this sense, it is of course impossible to know what the thing-in-itself is. For the question: what? Demands that determinations be assigned; but since the things of which they are to be assigned are at the same time supposed to be things in-themselves, which means, in effects to,- be without any determination, the question is thoughtlessly made impossible to answer, or else only an absurd answer is given. The thing-in-itself is the same as that absolute of which we know nothing except that in it all is one. What is in these things-in-themselves, therefore, we know quite well; they are as such nothing but truthless, empty abstractions. What, however, the thing-in-itself is in truth, what truly is in itself, of this logic is the exposition, in which however something better than an abstraction is understood by 'in-itself', namely, what something is in its Notion; but the Notion is concrete within itself, is comprehensible simply as Notion, and as determined within itself and the connected whole of its determinations, is cognisable.

##### C. Die Unendlichkeit


###### a. Das Unendliche Überhaupt

###### b. Wechselwirkung des Endlichen und Unendlichen

###### c. Die affirmative Unendlichkeit





> {#304} §304 In Beziehung auf Realität und Idealität wird aber der Gegensatz des Endlichen und Unendlichen so gefaßt, daß das Endliche für das Reale gilt, das Unendliche aber für das Ideelle gilt; wie auch weiterhin der Begriff als ein Ideelles und zwar als ein nur Ideelles, das Daseyn überhaupt dagegen als das Reale betrachtet wird.


> With reference to reality and ideality, however, the opposition of finite and infinite is grasped in such a manner that the finite ranks as the real but the infinite as the 'ideal' [das Ideelle]; in the same way that further on the Notion, too, is regarded as an 'ideal', that is, as a mere 'ideal', in contrast to determinate being as such which is regarded as the real.

Notice here from _[Der quantitative unendliche Progress](#DerQuantitativeUnendlicheProgress)_ and [§530](#530) that "infinite" refers much to the _infinite progression_ that in mathematics is referred to as _[[sequences]]_ and _[[series]]_, and that what "ideal" ( _ideell_ ) about them is that they need not converge to any finite value, but be regarded as sequences --- such as [[formal power series]].
Hence if we take the "infinite" and the "infinitesimal" to go together -- as also in [§502](#502) -- then [§304](#304) gives that  "the [[infinitesimal]] ranks as the ideal", whereas "the [[reduced object|reduced]] ranks as the real". See also the discussion below [§305](#305).

This way we may think of the "ideal" here as related to the idealization involved in the concept of [[infinitesimals]], which are "not real" in an evident sense and of the "real" hence of the _finite_, the non-infinitesimal.

Now the [[reduction modality]] $\Re$ is the operation that makes all infinitesimal vanish, i.e. it expresses precisely the "vanishing of infinitesimals" in [§174](#174). Hence its [[modal types]] are precisely those without infinitesimal extension. It is perfectly plausible to think of these as the _real types_.

Moreover, the $\Re$-[[anti-modal types]] are indeed precisely those that consist entirely only of [[infinitesimals]] (the [[infinitesimally thickened points]]), hence those which are "ideel" but not "real" in the sense of [§304](#304).

We discuss below [§305](#305) the [[adjunction]] that $\Re$-participates in and the [[unity of opposites]] that this may be thought to express.

###### Der Übergang

> {#305} §305 Die Idealität kann die Qualität der Unendlichkeit genannt werden; aber sie ist wesentlich der Proceß des Werdens und damit ein Übergang, wie des Werdens in Daseyn, der nun anzugeben ist. Als [[Aufhebung|Aufheben]] der Endlichkeit, d. i. der Endlichkeit als solcher und ebenso sehr der ihr nur gegenüberstehenden, nur negativen Unendlichkeit ist diese Rückkehr in sich, Beziehung auf sich selbst, Seyn. Da in diesem Seyn Negation ist, ist es Daseyn, aber da sie ferner wesentlich Negation der Negation, die sich auf sich beziehende Negation ist, ist sie das Daseyn, welches Fürsichseyn genannt wird.

> §305 Ideality can be called the _quality_ of infinity; but it is essentially the process of _becoming_, and hence a transition — like that of becoming in determinate being — which is now to be indicated. As a sublating of finitude, that is, of finitude as such, and equally of the infinity which is merely its opposite, merely negative, this return into self is _self-relation_, _being_. As this being contains negation it is _determinate_, but as this negation further is essentially negation of the negation, the self-related negation, it is that determinate being which is called _being-for-self_.



If here we take the "infinite" and the "infinitesimal" to go together -- as in [§502](#502) -- then the above would give also that _ideality is the quality of the infinitesimal_.

Now we have from [§699](#699) that _quality_, being the oppisite moment of quantity, is the [[duality of opposites]] formalized by [[shape modality]] and [[flat modality]]


$$
  \array{
    quality \colon &#643; \dashv \flat
  }
$$

This indeed has a direct infinitesimal analog, namely the [[adjunction]] between the [[infinitesimal shape modality]] $\Im $ and [[infinitesimal flat modality]] $\& $.

This clearly suggests to translate "ideality is the quality of the infinite"
in [§305](#305)  as the [[unity of opposites]] which is expressed by the [[adjunction]] $ \Im \dashv \& $


$$
  \array{
    & &  \Im &\stackrel{ideality}{\stackrel{inf\, quality}{\dashv}}& \&
    \\
    && \vee && \vee
    \\
    &&  &#643; &\stackrel{quality}{\dashv}& \flat
  }
$$

as part of the [Proceß](#Process). From [§322](#322) we see what the moments here are to be called:

$$
  \array{
    & \text{being-for-self} &  \Im &\stackrel{ideality /}{\stackrel{inf.\, quality}{\dashv}}& \&  & \text{being-for-one}
    \\
    && \vee && \vee
    \\
    & attraction &  &#643; &\stackrel{quality}{\dashv}& \flat & repulsion
  }
$$



In fact, this provides [[Aufhebung]] for quality, as indicated, which we may read as the Aufhebung of the finite as it passes into the infinite (which we read as expressed via the infinitesimal).


Moreover, this extends to an [[adjoint triple]] $\Re \dashv \Im \dashv \& $, with the [[reduction modality]] $\Re$ (from the discussion below [§304](#304)) on the left

This hence gives a second order unity of opposites

$$
  \array{
    && \Re &\dashv& \Im
    \\
    && \bot && \bot
    \\
    && \Im &\stackrel{{ideality/ \atop {inf.\,quality}}}{\dashv}& \&
  }
$$

and hence exibits a dual moment of ideality, which, by the discussion below [§304](#304), is related to reality.

Now by [§324](#324) the opposite moment of ideality is indeed supposed to be _reality_. So we should write

$$
  \array{
    && \Re &\stackrel{reality}{\dashv}& \Im
    \\
    && \bot && \bot
    \\
    && \Im &\stackrel{{ideality/ \atop {inf.\,quality}}}{\dashv}& \&
  }
$$

and interpret not just the [[reduction modality]] alone as being about reality, but as being just one moment of it, the other moment being expresed by the [[infinitesimal shape modality]] $\Im $.

This happens to make good sense: the [[modal types]] of $\Im $ in [[context]] $X$ are the [[étale spaces]] over $X$, exhibiting [[étale groupoids]] (see the discussion at _[[differential cohesion]]_ for details). In terms of [[geometry]] this is what characterizes among all generalized geometric objects those that are _[[manifolds]]_, _[[orbifolds]]_ and generally, _[[geometric stacks]]_. These are indeed "the real spaces" as opposed to non-étale spaces such as generic [[moduli stacks]], in that a "real space" such as a [[spacetime]] is an [[geometric stack]], while some "abstract", hence maybe "ideal" space such as that of "all electromagnetic field configurations" (a [[moduli stack]]) of not an étale groupoid. (See also the discussion of this point at _[[higher geometry]]_).

Therefore the [[infinitesimal shape modality|infinitesimal shape]]-[[modal types]] certainly qualify as one "aspect of reality" in any mathematical description of [[physics]] (see also at _[[geometry of physics]]_), and so we conclude that reading the adjunction as

$$
  reality \colon \Re \dashv \Im
$$

makes good sense.

Notice that -- and this is of course precisely what the second-order duality with $ideality \colon \Im \dashv \&  $ expresses -- while this is all about reality, in the above sense, it is so only _via_ ideal (ideelle) infinitesimals. This is of course in a way just the big insight of [[Leibniz]] when formulating [[differential calculus]] in terms of infinitesimals (today: [[synthetic differential geometry]]): in order to express the physical _reality_ that is described, notably, by [[differential equations]], it is most useful to consider the idealized concept of infinitesimals, itself without reality, but nevertheless serving to characterize reality.

The view that the concept of [[infinitesimals]] are closely related to reality is also expressed in [Cohen83, secion 19](#Cohen83):

> Für diesen Höhepunkt kritischer Naturerkenntnis bildet die Charakteristik der infinitesimalen Größe als intensiver die notwendige Vermittlung;  denn die kritische Bedeutung der Realität wird  vorzugsweise  an der  infinitesimalen Intensität  durchgeführt.

In conclusion, we add to the [Proceß](#Process) the following piece


$$
  \array{
     & \stackrel{vanishing \atop {of\, infinitesimals}}{} & \Re &\stackrel{reality}{\dashv}&  \Im
    \\
    && \bot && \bot
    \\
    & &  \Im &\stackrel{ideality/ \atop {inf.\, quality} }{\dashv}& \&
    \\
    && \vee && \vee
    \\
    &&  &#643; &\stackrel{quality}{\dashv}& \flat
  }
$$


Moreover, here the bottom step upward is an [[Aufhebung]] in the mathematical sense that $\&  \circ &#643; \simeq &#643;$. In view of this, we learn from [§305](#305)
"Die Idealität ... Als [[Aufhebung|Aufheben]] der Endlichkeit" that we might label this as

$$
  \array{
     & \stackrel{vanishing \atop {of\, infinitesimals}}{} & \Re &\stackrel{reality}{\dashv}&  \Im
    \\
    && \bot &\stackrel{Idee}{}& \bot
    \\
    & &  \Im &\stackrel{ideality/ \atop {inf.\, quality} }{\dashv}&
    \&
    \\
    && \vee &\stackrel{Aufhebung \atop {der.\, Endlichkeit}}{}& \vee
    \\
    &&  &#643; &\stackrel{quality}{\dashv}& \flat
  }
$$



> {#316} §316 Anmerkung 2. Der Satz, daß das Endliche ideell ist, macht den Idealismus aus. Der Idealismus der Philosophie besteht in nichts anderem, als darin, das Endliche nicht als ein wahrhaft Seyendes anzuerkennen. Jede Philosophie ist wesentlich Idealismus, oder hat denselben wenigstens zu ihrem Princip, und die Frage ist dann nur, inwiefern dasselbe wirklich durchgeführt ist. Die Philosophie ist es so sehr als die Religion; denn die Religion anerkennt die Endlichkeit ebenso wenig als ein wahrhaftes Seyn, als ein Letztes, Absolutes, oder als ein Nicht-Gesetztes, Unerschaffenes, Ewiges. Der Gegensatz von idealistischer und realistischer Philosophie ist daher ohne Bedeutung. Eine Philosophie, welche dem endlichen Daseyn als solchem wahrhaftes, letztes, absolutes Seyn zuschriebe, verdiente den Namen Philosophie nicht; Principien älterer oder neuerer Philosophien, das Wasser, oder die Materie oder die Atome sind Gedanken, Allgemeine, Ideelle, nicht Dinge, wie sie sich unmittelbar vorfinden, d. h. in sinnlicher Einzelnheit, selbst jenes thaletische Wasser nicht; denn, obgleich auch das empirische Wasser, ist es außerdem zugleich das Ansich oder Wesen aller anderen Dinge; und diese sind nicht selbstständige, in sich gegründete, sondern aus einem Anderen, dem Wasser, gesetzte, d. i. ideelle. Indem vorhin das Princip, das Allgemeine, das Ideelle genannt worden, wie noch mehr der Begriff, die Idee, der Geist, Ideelles zu nennen ist, und dann wiederum die einzelnen sinnlichen Dinge als ideell im Princip, im Begriffe, noch mehr im Geiste, als aufgehoben sind, so ist dabei auf dieselbe Doppelseite vorläufig aufmerksam zu machen, die bei dem Unendlichen sich gezeigt hat, nämlich daß das eine Mal das Ideelle das Konkrete, Wahrhaftseyende ist, das andere Mal aber ebenso sehr seine Momente das Ideelle, in ihm Aufgehobene sind, in der That aber nur das Eine konkrete Ganze ist, von dem die Momente untrennbar sind.

[[idealism]]


#### Third chapter. Das Fürsichsein / Being for self

> {#318} §318 Im Fürsichseyn ist das qualitative Seyn vollendet;

> §318 In being-for-self, qualitative being finds its consummation;

> §319 Being-for-self is first, immediately a being-for-self — the One.

> Secondly, the One passes into a plurality of ones — repulsion — and this otherness of the ones is sublated in their ideality — attraction.

> Thirdly, we have the alternating determination of repulsion and attraction in which they collapse into equilibrium, and quality, which in being-for-self reached its climax, passes over into quantity.

Here we have a second-order unity of opposites: quantity itself is


quantity : discreteness $\dashv$ continuity


and by the above we take the


continuum :  attraction $\dashv$  repulsion

to be quality, then we get from the [[adjoint triple]]




[[shape modality]] $\dashv$ [[flat modality]] $\dashv$ [[sharp modality]]

the duality of dualities



$$
  \array{
    & attraction && repulsion
    \\
    quality : & &#643; &\dashv& \flat
    \\
    & \bot && \bot
    \\
    quantity : & \flat &\dashv& \sharp
    \\
    & discreteness && continuity
  }
$$




##### A. Das Fürsichsein als solches / Being-for-self as such



###### a. Dasein und Fürsichsein / Determinate being and Being-for-self

> {#321} §321 Das Fürsichseyn ist, wie schon erinnert ist, die in das einfache Seyn zusammengesunkene Unendlichkeit; es ist Daseyn, insofern die negative Natur der Unendlichkeit, welche Negation der Negation ist, in der nunmehr gesetzten Form der Unmittelbarkeit des Seyns, nur als Negation überhaupt, als einfache qualitative Bestimmtheit ist.


> §321 But being, which in such determinateness is determinate being, is also at once distinct from being-for-self, which is only being-for-self in so far as its determinateness is the infinite one above-mentioned; nevertheless, determinate being is at the same time also a moment of being-for-self; for this latter, of course, also contains being charged with negation. Thus the determinateness which in determinate being as such is an other, and a being-for-other, is bent back into the infinite unity of being-for-self, and the moment of determinate being is present in being-for-self as a being-for-one.

###### b. Seyn-für-eines / Being-for-one

> {#322} §322  Seyn-für-eines -- Dieß Moment drückt aus, wie das Endliche in seiner Einheit mit dem Unendlichen oder als Ideelles ist.

> Für-sich-seyn und Für-Eines-seyn sind also nicht verschiedene Bedeutungen der Idealität, sondern sind wesentliche, untrennbare Momente derselben.

> §322 Being-for-one -- This moment expresses the manner in which the finite is present in its unity with the infinite, or is an ideal being [Ideelles].

> §322 To be 'for self' and to be 'for one' are therefore not different meanings of ideality, but are essential, inseparable moments of it.

By the discussion below [§305](#305) the inclusion of [[flat modality|flat modal]] types into [[infinitesimal flat modality|infinitesimal flat modality]] [[modal types]]

$$
  \array{
    \&
    \\
    \vee
    \\
    \flat
  }
$$

reflects the [[Aufhebung]] which is the passage from the finite to the infinitesimal.

So we may pronounce, in the [Proceß](#Process) the [[infinitesimal flat modality]] as _Seyn-fuer-eines_, _being-for-one_.



Below [§305](#305) we find the [[adjunction]] which plausibly captures the [[unity of opposites]] called ideality, and hence by [§322](#322) what its moments are to be called.

$$
  \array{
    Fuersichsein & \Im &\stackrel{Idealitaet}{\dashv}& \&  & Fuereinssein
  }
$$

See also the discussion below [§348](#348)


###### Anmerkung
 {#RemarkOnRealityAsOppositeToDuality}

> {#324} §324 Die Idealität kommt zunächst den aufgehobenen Bestimmungen zu, als unterschieden von dem, worin sie aufgehoben sind, das dagegen als das Reelle genommen werden kann. So aber ist das Ideelle wieder eins der Momente und das Reale das andere;

> §324 But thus the ideal is again one of the moments, and the real the other;

Hence we have another [[unity of opposites]] is $ideality \dashv reality$. See also at _[The One and the Many](#EinsUndVieles)_.

It seems that in _Science of Logic_ there is no _name_ given to this unity. But in the [shorter logic](#EPSBOI) there is:

> {#EL214} EL§214 Die Idee kann als die Vernunft, (dies ist die eigentliche philosophische Bedeutung der Vernunft), ferner als das Subjekt-Objekt, als die Einheit des Ideellen und Reellen, des Endlichen und Unendlichen, der Seele und des Leibs, als die Möglichkeit, die ihre Wirklichkeit an ihr selbst hat, als das, dessen Natur nur als existierend begriffen werden kann, u.s.f gefaßt werden; weil in ihr alle Verhältnisse des Verstandes, aber in ihrer unendlichen Rückkher, und Identität in sich enthalten sind.

> EL§214 The Idea may be described in many ways. It may be called reason; (and this is the proper philosophical signification of reason); subject-object; the unity of the ideal and the real, of the finite and the infinite, of soul and body; the possibility which has its actuality in its own self; that of which the nature can be thought only as existent, etc.

|      |       |
|------|-------|
| real | ideal |
| finite | infinitesimal |
| body | soul |

(Regarding "soul and body" see also the comments at _[The monad of Leibniz](#TheMonadOfLeibniz)_, where the similarity to the standard terminology "soul" and "body" for (super-)infinitesimals is pointed out.)


But see below _[The idea](#TheIdea)_, where the idea is given as the unity of the _notion_ and the real. See the discussion below [§1683](#1638).



###### c. Eins

> §328 Being-for-self is the simple unity of itself and its moment, being-for-one.

> §329 The moments which constitute the Notion of the one as a being-for-self fall asunder in the development. They are: (1) negation in general, (2) two negations, (3) two that are therefore the same, (4) sheer opposites, (5) self-relation, identity as such, (6) relation which is negative and yet to its own self.

If we translate "moment" as [[modality]] then here the
[[double negation modality]] comes to mind.

Notice that the [[empty type]] and the [[unit type]] are the [[modal types]] for the [[double negation modality]].

##### B. Eins und Vieles. / The One and the Many
 {#EinsUndVieles}

> Die Idealität des Fürsichseyns als Totalität schlägt so fürs erste in die Realität um, und zwar in die festeste, abstrakteste, als Eins.

###### a. Das Eins an ihm selbst

###### b. Das Eins und das Leere / The One and the Void

> §335 The one is the void as the abstract relation of the negation to itself.

###### $\;\;$ Remark: Atomism
 {#Atomism}

> §337 The one in this form of determinate being is the stage of the category which made its appearance with the ancients as the atomistic principle, according to which the essence of things is the atom and the void.

Eins: [[atom]], [[infinitesimally thickened point]]

###### c. Viele Eins. Repulsion. / Many ones. Repulsion.

> {#340} §340 The one and the void constitute the first stage of the determinate being of being-for-self. Each of these moments has negation for its determination and is at the same time posited as a determinate being; according to the former determination the one and the void are the relation of negation to negation as of an other to its other: the one is negation in the determination of being, and the void is negation in the determination of non-being.

Das Eins (the One): $\ast$ [[unit type]]

Das Leere (the void): $\emptyset$ [[empty type]] ( _leere Menge_ !)

Negation $(\not X) \coloneqq (X \to \emptyset)$

$\ast \simeq \not \emptyset$.

> {#342} §342 the one repels itself from itself. The negative relation of the one to itself is repulsion.

> §343 This repulsion as thus the positing of many ones but through the one itself, is the one's own coming-forth-from-itself but to such outside it as are themselves only ones. This is repulsion according to its Notion, repulsion in itself. The second repulsion is different from it, it is what is immediately suggested to external reflection: repulsion not as the generation of ones, but only as the mutual repelling of ones presupposed as already present.


To see a formalization of "the one repels itself from itself",
suppose we have a [[shape modality]] $&#643;$ but without the assumption that it preserves finite product types. (This is what the term "[[shape of an (infinity,1)-topos|shape]]" really refers to).

Then given just the [[empty type]] $\emptyset$ and the [[unit type]] $\ast$, there is one new [[type]] to be formed (since necessarily $&#643; \emptyset \simeq \emptyset$) and this is

$$
  &#643; {}_{\ast}
$$

Below we see that this, being a [[discrete type]], is what Hegel describes with "repulsion": The points in $&#643; \ast$ do not attract/cohese, they are different and repel.

At the same time, being a [[discrete type]] it is necessarily a [[homotopy colimit]] of copies of the [[unit type]] (see [here](limit+in+a+quasi-category#Tensoring))

$$
  &#643; {}_{\ast} \simeq \underset{\longrightarrow}{\lim}_I \ast
$$

where the [[diagram]] $I$ that the colimit is over is $I = &#643; {}_{\ast}$ itself.

For a similar argument see Lawvere's  _[Cohesive toposes and Cantor's Lauter Einsen ](#LawvereLauterEinsen))_. On p. 6 there is suggested that the [[unity of opposites]] "all elements of a set are indistinguishable and yet distinct" is captured by the fact that both $\flat X$ as well as $\sharp X$ have the same image under $\flat$.

###### $\;\;$ Remark: The Monad of Leibniz
 {#TheMonadOfLeibniz}

> {#348} §348 We have previously referred to the [[Gottfried Leibniz|Leibnizian]] idealism. We may add here that this idealism which started from the ideating [[monad (disambiguation)|monad]], which is determined as being for itself, advanced only as far as the repulsion just considered, and indeed only to plurality as such, in which each of the ones is only for its own self and is indifferent to the determinate being and being-for-self of the others; or, in general, for the one, there are no others at all. The monad is, by itself, the entire closed universe; it requires none of the others. But this inner manifoldness which it possesses in its ideational activity in no way affects its character as a being-for-self. The Leibnizian idealism takes up the plurality immediately as something given and does not grasp it as a repulsion of the monads. Consequently, it possesses plurality only on the side of its abstract externality.

  The atomistic philosophy does not possess the Notion of ideality; it does not grasp the one as an ideal being, that is, as containing within itself the two moments of being-forself and being-for-it, but only as a simple, dry, real being-for-self.

  It does, however, go beyond mere indifferent plurality; the atoms become further determined in regard to one another even though, strictly speaking, this involves an inconsistency; whereas, on the contrary, in that indifferent independence of the monads, plurality remains as a fixed fundamental determination, so that the connection between them falls only in the monad of monads, or in the philosopher who contemplates them.

To summarize, in [§322](#322) we get a clear prescription:

> To be 'for self' and to be 'for one' are therefore not different meanings of ideality, but are essential, inseparable moments of it.

So we are to find an [[adjoint modality]] that expresses

$$
  Ideality \;\colon\; BeingForSelf \dashv BeingForOne
$$

(or possibly the other way around).

The complaint about Leibniz in §348, makes pretty clear what this is about:

> The atomistic philosophy does not possess the Notion of ideality; it does not grasp the one as an ideal being, that is, as containing within itself the two moments of being-forself and being-for-it, but only as a simple, dry, real being-for-self.

Here "atoms" really refers to the decomposition of the continuum into points (atoms of space, as in [[monad in nonstandard analysis]]) because in §337 it says:

> The one in this form of determinate being is the stage of the category which made its appearance with the ancients as the atomistic principle, according to which the essence of things is the atom and the void.

But "The one" (The unit) with its repulsion of many we claimed before is well modeled by what $\flat$ produces, the underlying points, the atoms of space.

So in conclusion the statement here is that it is a defect of both the ancients as well as of Leibniz to consider atoms/monads/points which have no way to look outside of themselves into interaction with others, that instead one needs to characterized atoms/monads/points by the above adjoint modality which expresses _Ideality_.

In conclusion, _Eins_ ("The One"/"The Unit") is a notion of atom which is similar to what the ancients and Leibniz called atom/monad, only that it improves on that by keeping an additional "moment" which the ancients and Leibniz forgot to retain.

Now in [[William Lawvere]]'s _[Toposes of Laws of Motion](#LawvereMotion)_  "atom" is proposed to refer to, essentially, [[infinitesimally thickened points]]. Indeed, the "infinitesimal thickening" of the point has  something to do with the point "coming out of itself"and interacting with other points.

So possibly the [[adjoint modality]] given by [[reduction modality]] $\dashv$ [[infinitesimal shape modality]] captures some of this well.

Here is a cartoon of an [[infinitesimally thickened point]] with its infinitesimal antennas reaching out to test what's going on around

$$
  \array{
      -- \bullet --
  }
$$

and here is the [[reduced object|reduced point]], all by itself/for itself

$$
  \array{
      \bullet
  }
  \,.
$$

Notice that in [[superalgebra]] one says "[[soul]]" for these "antennas" and "[[body]]" for what remains. (This happens to fit well with [EL§214](#EL214)) Therefore it seems plausible to conclude that the formalization of the [[unity of opposites]]

$$
  Ideality \;\colon\; BeingForSelf \dashv BeingForOne
$$

is the [[adjoint modality]] given by [[reduction modality]] $\dashv$ [[infinitesimal shape modality]]. The "Ideality" of infinitesimal extension gives the Eins, the atom-of-space, its dual character of containing a reduced point for-itself and at the same time an infinitesimal thickening that extends beyond that.



##### C. Repulsion und Attraktion

###### a. Ausschlißen des Eins.

{#UnityOfTheOneAndTheMany} **Remark: The unity of the One and the Many**

> {#357} §357 It is an ancient proposition that the one is many and especially that the many are one. We may repeat here the observation that the truth of the one and the many expressed in propositions appears in an inappropriate form, that this truth is to be grasped and expressed only as a becoming, as a process, a repulsion and attraction-not as being, which in a proposition has the character of a stable unity. We have already mentioned and recalled the dialectic of Plato in the [[Parmenides]] concerning the derivation of the many from the one, namely, from the proposition: the one is. The inner dialectic of the Notion has been stated; it is easiest to grasp the dialectic of the proposition, that the many are one, as an external reflection; and it may properly be grasped externally here inasmuch as the object too, the many, are mutually external. It directly follows from this comparison of the many with one another that any one is determined simply like any other one; each is a one, each is one of the many, is by excluding the others — so that they are absolutely the same, there is present one and only one determination. This is the fact, and all that has to be done is to grasp this simple fact. The only reason why the understanding stubbornly refuses to do so is that it has also in mind, and indeed rightly so, the difference; but the existence of this difference is just as little excluded because of the said fact, as is the certain existence of the said fact in spite of the difference. One could, as it were, comfort understanding for the naive manner in which it grasps the fact of the difference, by assuring it that the difference will



###### b. Das eine Eins der Attraktion


###### c. Die Beziehung der Repulsion und der Attraktion
 {#RelationBetweenRepulsionAndAttraction}



> {#361} §361 The difference of the one and the many is now determined as the difference of their relation to one another, with each other, a relation which splits into two, repulsion and attraction, each of which is at first independent of the other and stands apart from it, the two nevertheless being essentially connected with each other. Their as yet indeterminate unity is to be more precisely ascertained

So we are looking now for a [[unity of opposites]] of the form

$$
  attraction \dashv repulsion

  \,.
$$


The natural choice is [[shape modality]] $\dashv$ [[flat modality]] $&#643; \dashv \flat$. For instance for $\mathbb{R}^n$ a [[Cartesian space]] then $&#643; \mathbb{R}^n \simeq \ast$ is a One into which all the points of the space have collapsed, whereas $\flat \mathbb{R}^n$ is the many Ones out of which this space consist.


> {#369} §369 Die Repulsion daseyender Eins ist die Selbsterhaltung des Eins durch die gegenseitige Abhaltung der andern, so daß 1) die anderen Eins an ihm negirt werden, dieß ist die Seite seines Daseyns oder seines Seyns-für-Anderes; diese ist aber somit Attraktion, als die Idealität der Eins;—und daß 2) das Eins an sich sey, ohne die Beziehung auf die andere; aber nicht nur ist das Ansich überhaupt längst in das Fürsichseyn übergegangen, sondern an sich, seiner Bestimmung nach, ist das Eins jenes Werden zu Vielen.—Die Attraktion daseyender Eins ist die Idealität derselben, und das Setzen des Eins, worin sie somit als Negiren und Hervorbringen des Eins sich selbst aufhebt, als Setzen des Eins das Negative ihrer selbst an ihr, Repulsion ist.

> §369 The repulsion of the determinately existent ones is the self-preservation of the one through the mutual repulsion of the others, so that (1) the other ones are negated in it-this is the side of its determinate being or of its being-for-other; but this is thus attraction as the ideality of the ones; and (2) the one is in itself, without relation to the others; but not only has being-in-itself as such long since passed over into being-for-self, but the one in itself, by its determination, is the aforesaid becoming of many ones. The attraction of the determinately existent ones is their ideality and the positing of the one, in which, accordingly, attraction as a negating and a generating of the one sublates itself, and as a positing of the one is in its own self the negative of itself, repulsion.



> §370 Damit ist die Entwickelung des Fürsichseyns vollendet und zu ihrem Resultate gekommenen.

> §370 With this, the development of being-for-self is completed and has reached its conclusion.

> {#372} §372 This unity is, therefore, $[$...$]$ determinate being


Since _determinate being_, _Dasein_ and _Fürsichsein_ both are qualitative being/are quality ([§188](#188), [§318](#318), [§321](#321))  the [[unity of opposites]] from [§361](#361) should be _quality_

$$
  quality \;\colon\; attraction \dashv repulsion
$$

By [§361](#361) we put

$$
 \array{
    attraction & &#643; & \stackrel{quality}{\dashv}  & \flat & repulsion
 }
 \,.
$$

Continuing the example from [§361](#361) this makes perfect sense: given a [[Cartesian space]] $\mathbb{R}^n$ then the opposition between

1. the single One $&#643; \mathbb{R}^n$ obtained by having all its points collapse under the attraction of its [[cohesion]];

1. the many Ones $\flat \mathbb{R}^n$ obtained by having the points of $\mathbb{R}^n$ repel each other against their cohesive attraction

exhibits exactly the [[cohesion|cohesive]] ([[topology|continuous]], [[smooth structure|smooth]]) quality of $\mathbb{R}^n$, the quality that distinguishes it from the bare set $\flat \mathbb{R}^n$ of its underlying points, as well as from the bare contractible [[homotopy type]] $\int X$ obtained from it.

Notice that later when _Nature_ has appeared, the unity of attraction and repulsion becomes _gravity_ [PN§204](#PN204).


> §372 This unity is, therefore, [a] being, only as affirmative, that is immediacy, which is self-mediated through negation of the negation; being is posited as the unity which pervades its determinatenesses, limit, etc., which are posited in it as sublated; [b] determinate being: in such determination it is the negation or determinateness as a moment of affirmative being, yet determinateness no longer as immediate, but as reflected into itself, as related not to an other but to itself; a being determined simply in itself-the one; the otherness as such is itself a being-for-self; [c] being-for-self, as that being which continues itself right through the determinateness and in which the one and the intrinsic determinedness is itself posited as sublated. The one is determined simultaneously as having gone beyond itself, and as unity; hence the one, the absolutely determined limit, is posited as the limit which is no limit, which is present in being but is indifferent to it.



###### Remark: The Kantian Construction of Matter from the Forces of Attraction and Repulsion
 {#ConstructionOfMatterFromTheForces}


> §374 Kant, as we know, constructed matter from the forces of attraction and repulsion, or at least he has, to use his own words, set up the metaphysical elements of this construction.

Not (yet) about actual [[forces]] in [[matter]] so much as about what makes the points in the [[continuum]] both stay apart (repulsion) and at the same time hang together (attraction/cohesion).

But later when _Nature_ has appeared, the unity of attraction and repulsion indeed becomes _gravity_ [PN§204](#PN204).



### Second section. The magnitude

#### First chapter. Die Quantität / The quantity

##### A. Die reine Quantität / Pure quantity
 {#PureQuantity}

> {#395a} §395a Die Quantität ist das aufgehobene Fürsichsein; das repellierende Eins, das sich gegen das ausgeschlossene Eins nur negativ verhielt, in die Beziehung mit demselben übergegangen, verhält sich identisch zu dem Anderen und hat damit seine Bestimmung verloren; das Fürsichsein ist in Attraktion übergegangen. Die absolute Sprödigkeit des repellierenden Eins ist in diese Einheit zerflossen, welche aber, als dies Eins enthaltend, durch die inwohnende Repulsion zugleich bestimmt, als Einheit des Außersichseins Einheit mit sich selbst ist.

> §395a Quantity is sublated being-for-self; the repelling one which related itself only negatively to the excluded one, having passed over into relation to it, treats the other as identical with itself, and in doing so has lost its determination: being-for-self has passed over into attraction. The absolute brittleness of the repelling one has melted away into this unity which, however, as containing this one, is at the same time determined by the immanent repulsion, and as unity of the self-externality is unity with itself.


> {#395b} §395b Die Attraktion ist auf diese Weise als das Moment der Kontinuität in der Quantität.

> §395b Attraction is in this way the moment of continuity in quantity.


> §396 Die Kontinuität ist also einfache, sich selbst gleiche Beziehung auf sich, die durch keine Grenze und Ausschließung unterbrochen ist, aber nicht unmittelbare Einheit, sondern Einheit der fürsichseienden Eins. Es ist darin das Außereinander der Vielheit noch enthalten, aber zugleich als ein nicht Unterschiedenes, Ununterbrochenes. Die Vielheit ist in der Kontinuität so gesetzt, wie sie an sich ist; die Vielen sind eins was andere, jedes dem anderen gleich, und die Vielheit daher einfache, unterschiedslose Gleichheit. Die Kontinuität ist dieses Moment der Sichselbstgleichheit des Außereinanderseins, das Sichfortsetzen der unterschiedenen Eins in ihre von ihnen Unterschiedenen.

> §396 Continuity is, therefore, simple, self-same self-relation, which is not interrupted by any limit or exclusion; it is not, however, an immediate unity, but a unity of ones which possess being-for-self. The asunderness of the plurality is still contained in this unity, but at the same time as not differentiating or interrupting it. In continuity, the plurality is posited as it is in itself; the many are all alike, each is the same as the other and the plurality is, consequently, a simple, undifferentiated sameness. Continuity is this moment of self-sameness of the asunderness, the self-continuation of the different ones into those from which they are distinguished.

This kind of continuity is expressed by the [[sharp modality]] $\sharp$.

> {#397a} §397a Unmittelbar hat daher die Größe in der Kontinuität das Moment der Diskretion, - die Repulsion, wie sie nun Moment in der Quantität ist.


> §397a In continuity, therefore, magnitude immediately possesses the moment of discreteness — repulsion, as now a moment in quantity.

So by [§395b](#395b) and [§397a](#397a):

| unmittelbar |  as moment of quantity |
|--|------------------------|
| attraction | continuity |
| repulsion  | discreteness |


> {#397b} §397b Die Stetigkeit ist Sichselbstgleichheit, aber des Vielen, das jedoch nicht zum Ausschließenden wird; die Repulsion dehnt erst die Sichselbstgleichheit zur Kontinuität aus. Die Diskretion ist daher ihrerseits zusammenfließende Diskretion, deren Eins nicht das Leere, das Negative, zu ihrer Beziehung haben, sondern ihre eigene Stetigkeit, und diese Gleichheit mit sich selbst im Vielen nicht unterbrechen.


> §397b Continuity is self-sameness, but of the Many which, however, do not become exclusive; it is repulsion which expands the selfsameness to continuity. Hence discreteness, on its side, is a coalescent discreteness, where the ones are not connected by the void, by the negative, but by their own continuity and do not interrupt this self-sameness in the many.

An opposite to continuity, and so this is the [[flat modality]] $\flat$ in which all points lose their cohesive attraction and repel each other to isolated pointss

> [§398](#398) Die Quantität ist die Einheit dieser Momente, der Kontinuität und Diskretion

> §398 Quantity is the unity of these moments of continuity and discreteness

By [[unity of opposites]] and since the [[flat modality]] matches the "moment of discreteness" this is the duality with the [[sharp modality]]

$$
  \array{
    \flat X &\longrightarrow& X &\longrightarrow& \sharp X
    \\
    {moment\;of \atop discreteness}
    &&
    &&
    {moment\;of \atop continuity}
  }
$$

Hence we add to the _[Proceß](#Process)_ the [[unity of opposites]]

$$
  \array{
    discreteness & \flat &\stackrel{quantity}{\dashv}& \sharp & continuity
  }
$$


> [EL§99](#EL99) Die Quantität ist das reine Sein, an dem die Bestimmtheit nicht mehr als eins mit dem Sein selbst, sondern als aufgehoben oder gleichgültig gesetzt ist.

>  EL§99 Quantity is pure Being, where the mode or character is no longer taken as one with the being itself, but explicitly put as superseded or indifferent.

###### On attraction / cohesion

> {#395} §395 Attraction is in this way the moment of continuity in quantity.

attraction is what holds stuff together, hence this is the idea of [[cohesion]]

if $X$ has continuity then the [[shape modality]] $&#643; X$ is the result of letting things collapse under their cohesion/attraction


###### On discreteness and repulsion
 {#OnDiscretenessAndRepulsion}

> §397 In continuity, therefore, magnitude immediately possesses the moment of discreteness — repulsion, as now a moment in quantity.

continuous object $X$ possesses moment
of [[discrete object|discreteness]]= [[flat modality]] $\flat X$

> §398 Quantity is the unity of these moments of continuity and discreteness,


By the formalization of [[unity of opposites]] this must mean that
"moment of continuity" is the [[right adjoint]] [[modality]] to the [[flat modality]].  This is the [[sharp modality]] $\sharp$. Therefore their [[unity of opposites]] is

$$
  quantity
    \;\colon\;
  \array{
     \flat X &\longrightarrow& X &\longrightarrow& \sharp X
      \\
      \\
      {moment\;of \atop discreteness}
      &&
      &&
      {moment\;of \atop continuity}
  }
$$

Notice that by[[Lawvere]]'s _[Cohesive Toposes and Cantor's "lauter Einsen"](#LawvereLauterEinsen)_ precisely this [[unity of opposites]] is that characteristic of [[cardinality]] (Mengen/Kardinalen).

we also have

$$
  \array{
    \flat X &\longrightarrow& X &\longrightarrow& &#643; X
    \\
    repulsion &&  && { attraction/ \atop cohesion }
  }
$$


##### B. Kontinuirliche und diskrete Größe.

###### On the continuum

> §400 Mathematics, on the other hand, rejects a metaphysics which would make time consist of points of time; space in general — or in the first place the line — consist of points of space; the plane, of lines; and total space of planes. It allows no validity to such discontinuous ones. Even though, for instance, in determining the magnitude of a plane, it represents it as the sum of infinitely many lines, this discreteness counts only as a momentary representation, and the sublation of the discreteness is already implied in the infinite plurality of the lines, since the space which they are supposed to constitute is after all bounded.

The [[continuum]].


> Diese Antinomie besteht allein, darin daß die Diskretion eben so sehr als die Kontinuität behauptet werden muß. Die einseitige Behauptung der Diskretion giebt das unendliche oder absolute Getheiltseyn, somit ein Untheilbares zum Princip; die einseitige Behauptung der Kontinuität dagegen die unendliche Theilbarkeit.


###### On space, time, matter



> §432 Space, time, matter, and so forth are continuous magnitudes




##### C. Begrenzung der Quantität


#### Second chapter. Quantum

> §437 Quantum, which to begin with is quantity with a determinateness or limit in general is, in its complete determinateness, number. Quantum differentiates itself secondly, into (a) extensive quantum, in which the limit is a limitation of the determinately existent plurality; and (b) intensive quantum or degree, the determinate being having made the transition into being-for-self. Intensive quantum as both for itself and at the same time immediately outside itself — since it is an indifferent limit — has its determinateness in an other. As this manifest contradiction of being determined simply within itself yet having its determinateness outside it, pointing outside itself for it, quantum posited as being in its own self external to itself, passes over thirdly, into quantitative infinity.

[[extensive and intensive quantity]]


##### A. Die Zahl

[[natural number object]] (a [[discrete object]])

> §441 Quantum completely posited in these determinations is number. The complete positedness lies in the existence of the limit as a plurality and so in its distinction from the unity. Consequently, number appears as a discrete magnitude, but in the unity it equally possesses continuity.

[[real number object]]

##### B. Extensives und Intensives Quantum
 {#ExtensiveAndIntensiveQuantity}

[[extensive and intensive quantity]]

In modern [[thermodynamics]]

* an _[[extensive quantity]]_ is one expressed by a [[differential form]] in positve degree (for instance a mass density 3-form on Euclidean 3-space) -- this is close to the "extension" of differential forms in [[Grassmann]]'s _[[Ausdehnungslehre]]_;

* an _[[intensive quantity]]_ is one expressed by a differential form of degree 0, namely by a function (for instance a temperator function on that Euclidean 3-space).


The existence and difference between these two concepts is neatly encoded by the [[sharp modality]] $\sharp$:


an intensive quantity object such as the smooth sheaf $\mathbb{R}$ of real numbers is characterized by being a [[concrete object]], witnessed by the fact that the [[unit of a monad|unit]] of the sharp modality is a [[monomorphism]]

$\mathbb{R} \hookrightarrow \sharp \mathbb{R}$.

On the other hand extensive quantities such as given by the sheaves $\mathbf{\Omega}^p$ of differential forms in positive degree $p \geq 1$ are $\sharp$-[[anti-modal objects]] $\sharp \mathbf{\Omega}^p \simeq \ast$.





##### C. Die quantitative Unendlichkeit

###### a. Begriff derselben

###### b. Der quantitative unendliche Progreß
 {#DerQuantitativeUnendlicheProgress}

> §500 The progress to infinity is in general the expression of contradiction, here, of that which is implicit in the quantitative finite, or quantum as such. It is the reciprocal determining of the finite and infinite which was considered in the sphere of quality, with the difference that, as just remarked, in the sphere of quantity the limit in its own self dispatches and continues itself into its beyond and hence, conversely, the quantitative infinite too is posited as having quantum within it; for quantum in its self-externality is also its own self, its externality belongs to its determination.

> §501 Now the infinite progress is only the expression of this contradiction, not its resolution; but because the one determinateness is continued into its other, the progress gives rise to the show of a solution in a union of both. As at first posed, it is the problem of attaining the infinite, not the actual reaching of it; it is the perpetual generation of the infinite, but it does not get beyond quantum, nor does the infinite become positively present. It belongs to the Notion of quantum to have a beyond of itself. This beyond is first, the abstract moment of the non-being of quantum: the vanishing of quantum is its own act; it is thus related to its beyond as to its infinity, in accordance with the qualitative moment of the opposition. Secondly, however, quantum is continuous with its beyond; quantum consists precisely in being the other of itself, in being external to itself; this externality is, therefore, no more an other than quantum itself; the beyond or the infinite is, therefore, itself a quantum. In this way, the beyond is recalled from its flight and the infinite is attained. But because the infinite now affirmatively present is again a quantum, what has been posited is only a fresh limit; this, too, as a quantum, has again fled from itself, is as such beyond itself and has repelled itself into its non-being, into its own beyond, and as it thus repels itself into the beyond, so equally does the beyond perpetually become a quantum.

> [§502](#502) Die Kontinuität des Quantums in sein Anderes bringt die Verbindung beider in dem Ausdruck eines Unendlich-Großen oder Unendlich-Kleinen hervor. Da beide die Bestimmung des Quantums noch an ihnen haben, bleiben sie veränderliche und die absolute Bestimmtheit, die ein Für-sichseyn wäre, ist also nicht erreicht. Dieß Außersichseyn der Bestimmung ist in dem gedoppelten Unendlichen, das sich nach dem Mehr und Weniger entgegengesetzt ist, dem Unendlich-großen und Kleinen, gesetzt. An jedem selbst ist das Quantum im perennirenden Gegensatze gegen sein Jenseits erhalten. Das Große noch so sehr erweitert, schwindet zur Unbeträchtlichkeit zusammen; indem es sich auf das Unendliche als auf sein Nichtseyn bezieht, ist der Gegensatz qualitativ; das erweiterte Quantum hat daher dem Unendlichen nichts abgewonnen; dieses ist vor wie nach das Nichtseyn desselben. Oder, die Vergrößerung des Quantums ist keine Näherung zum Unendlichen, denn der Unterschied des Quantums und seiner Unendlichkeit hat wesentlich auch das Moment ein nicht quantitativer Unterschied zu seyn. Es ist nur der ins Engere gebrachte Ausdruck des Widerspruchs; es soll ein Großes d. i. ein Quantum, und unendlich, d. i. kein Quantum seyn.—Eben so das Unendlichkleine ist als Kleines ein Quantum und bleibt daher absolut d. h. qualitativ zu groß für das Unendliche, und ist diesem entgegengesetzt. Es bleibt in beiden der Widerspruch des unendlichen Progresses erhalten der in ihnen sein Ziel gefunden haben sollte.


> §502 The continuity of quantum with its other produces the conjunction of both in the expression of an infinitely great or infinitely small. Since both still bear the character of quantum they remain alterable, and the absolute determinateness which would be a being-for-self is, therefore, not attained. This self-externality of the determination is posited in the dual infinite — which is opposed to itself as a 'more' and a 'less' — in the infinitely great and infinitely small. In each, the quantum is maintained in perpetual opposition to its beyond. No matter how much the quantum is increased, it shrinks to insignificance; because quantum is related to the infinite as to its non-being, the opposition is qualitative; the increased quantum has therefore gained nothing from the infinite, which is now, as before, the non-being of quantum. In other words, the increase of quantum brings it no nearer to the infinite; for the difference between quantum and its infinity is essentially not a quantitative difference. The expression 'the infinitely great' only throws the contradiction into sharper relief; it is supposed to be great, that is, a quantum, and infinite, that is, not a quantum. Similarly, the infinitely small is, as small, a quantum, and therefore remains absolutely, that is, qualitatively, too great for the infinite and is opposed to it. In both, there remains the contradiction of the infinite progress which in them should have reached its goal.

[[infinitesimal]]



####### Anmerkung 1


####### Anmerkung 2



###### c. Die Unendlichkeit des Quantums

> [§530](#530) 1. The infinite quantum as infinitely great or infinitely small is itself implicitly the infinite progress;

[[infinitesimal]] and [[limit of a sequence]]

####### Anmerkung 1

> In Rücksicht der Erhaltung des Verhältnisses im Verschwinden der Quantorum findet sich (anderwärts, wie bei Carnot, Réflexions sur la Métaphysique du Calcul Infinitésimal.) der Ausdruck, daß vermöge des Gesetzes der Stätigkeit die verschwindenden Größen noch das Verhältniß, aus dem sie herkommen, ehe sie verschwinden, behalten. —Diese Vorstellung drückt die wahre Natur der Sache aus, insofern nicht die Stätigkeit des Quantums verstanden wird, die es im unendlichen Progreß hat, sich in sein Verschwinden so zu kontinuiren, daß im Jenseits seiner wieder nur ein endliches Quantum, ein neues Glied der Reihe entsteht; ein stätiger Fortgang wird aber immer so vorgestellt, daß die Werthe durchloffen werden, welche noch endliche Quanta sind.

> In demjenigen Übergange dagegen, welcher in das wahrhafte Unendliche gemacht wird, ist das Verhältniß das stätige; es ist so sehr stätig und sich erhaltend, daß er vielmehr allein darin besteht, das Verhältniß rein herauszuheben, und die verhältnißlose Bestimmung, d. i. daß ein Quantum, welches Seite des Verhältnisses ist, auch außer dieser Beziehung gesetzt, noch Quantum ist, verschwinden zu machen. —Diese Reinigung des quantitativen Verhältnisses ist insofern nichts anders, als wenn ein empirisches Daseyn begriffen wird. Dieß wird hierdurch so über sich selbst erhoben, daß sein Begriff dieselben Bestimmungen enthält, als es selbst, aber in ihrer Wesentlichkeit und in die Einheit des Begriffes gefaßt, worin sie ihr gleichgültiges, begriffloses Bestehen verloren haben.
















#### Third chapter Das quantitative Verhältnis (quantitative ratio)




### Third section. The measure.
 {#TheMeasure}

> {#699} §699 Im Maaße sind, abstrakt ausgedrückt, Qualität und Quantität vereinigt.

> §699 Abstractly expressed, in measure quality and quantity are united

(Repeated in [§708](#708), below.)

So by the formalization of [[unity of opposites]] we have

$$
  measure \colon quantity \dashv quality
$$

and since quantity and quality are already themselves unities of opposites, we find that Maß (Eichmaß) is the second-order adjunction



$$

  \array{
    Qualitaet && \int &\dashv& \flat
    \\
    Eichmass && \bot && \bot
    \\
    Quantitaet  && \flat &\dashv& \sharp
  }
$$

See the _[Proceß](#Process)_ diagram.

Notice that in [PN§202b](#PN202b) it says

> The truly philosophical science of mathematics as theory of magnitude would be the science of measures, but this already presupposes the real particularity of things, which is only at hand in concrete nature.

> {##703} §703 The observation here made extends generally to those systems of pantheism which have been partially developed by thought. The first is being, the one, substance, the infinite, essence; in contrast to this abstraction the second, namely, all determinateness in general, what is only finite, accidental, perishable, non-essential, etc. can equally abstractly be grouped together; and this is what usually happens as the next step in quite formal thinking. But the connection of this second with the first is so evident that one cannot avoid grasping it as also in a unity with the latter;

> {#708} §708 Das Maaß ist zunächst unmittelbare Einheit des Qualitativen und
Quantitativen, so daß (1) erstens ein Quantum ist, das qualitative Bedeutung hat, und als Maaß ist. Dessen Fortbestimmung ist, daß an ihm, dem an sich bestimmten, —der Unterschied seiner Momente, des qualitativen und quantitativen Bestimmtseyns, hervortritt. Diese Momente bestimmen sich weiter selbst zu Ganzen des Maaßes, welche insofern als Selbstständige sind; indem sie sich wesentlich aufeinander beziehen, wird das Maaß (2) zweitens Verhältniß von specifischen Quantis, als selbstständigen Maaßen. Ihre Selbstständigkeit beruht aber wesentlich zugleich auf dem quantitativen Verhältnisse und dem Größenunterschiede; so wird ihre Selbstständigkeit ein Übergehen in einander. Das Maaß geht damit im Maaßlosen zu Grunde.—Dieß Jenseits des Maaßes ist aber die Negativität desselben nur an sich selbst; es ist dadurch (3) drittens die Indifferenz der Maaßbestimmungen, und als reell mit der in ihr enthaltenen Negativität das Maaß gesetzt, als umgekehrtes Verhältniß von Maaßen, welche als selbstständige Qualitäten wesentlich nur auf ihrer Quantität und auf ihrer negativen Beziehung aufeinander beruhen, und damit sich erweisen, nur Momente ihrer wahrhaft selbstständigen Einheit zu seyn, welche ihre Reflexion-in-sich und das Setzen derselben, das Wesen, ist.

> §708 At first, measure is only an immediate unity of quality and quantity, so that: (1), we have a quantum with a qualitative significance, a measure. The progressive determining of this consists in explicating what is only implicit in it, namely, the difference of its moments, of its qualitatively and quantitatively determined being. These moments further develop themselves into wholes of measure which as such are self-subsistent. These are essentially in relationship with each other, and so measure becomes (2), a ratio of specific quanta having the form of self-subsistent measures. But their self-subsistence also rests essentially on quantitative relation and quantitative difference; and so their self-subsistence becomes a transition of each into the other, with the result that measure perishes in the measureless. But this beyond of measure is the negativity of measure only in principle; this results (3), in the positing of the indifference of the determinations of measure, and the positing of real measure — real through the negativity contained in the indifference — as an inverse ratio of measures which, as self-subsistent qualities, are essentially based only on their quantity and on their negative relation to one another, thereby demonstrating themselves to be only moments of their truly self-subsistent unity which is their reflection-into-self and the positing thereof, essence.

> {#709} §709 Die Entwickelung des Maaßes, die im Folgenden versucht worden, ist eine der schwierigsten Materien; indem sie von dem unmittelbaren, äußerlichen Maaße anfängt, hätte sie einer Seits zu der abstrakten Fortbestimmung des Quantitativen (einer Mathematik der Natur) fortzugehen, anderer Seits den Zusammenhang dieser Maaßbestimmung mit den Qualitäten der natürlichen Dinge anzuzeigen, wenigstens im Allgemeinen; denn die bestimmte Nachweisung des aus dem Begriffe des konkreten Gegenstandes hervorgehenden Zusammenhangs des Qualitativen und Quantitativen gehört in die besondere Wissenschaft des Konkreten; wovon Beispiele in der Encykl. der philos. Wissensch. 3te Aufl. _. 267 u. 270 Anm. das Gesetz des Falles und das der freien himmlischen Bewegung betreffend, nachzusehen sind. Es mag hierbei dieß überhaupt bemerkt werden, daß die verschiedenen Formen, in welchen sich das Maaß realisirt, auch verschiedenen Sphären der natürlichen Realität angehören. Die vollständige, abstrakte Gleichgültigkeit des entwickelten Maaßes d. i. der Gesetze desselben kann nur in der Sphäre des Mechanismus Statt haben, als in welchem das konkrete Körperliche nur die selbst abstrakte Materie ist; die qualitativen Unterschiede derselben haben wesentlich das Quantitative zu ihrer Bestimmtheit; Raum und Zeit sind die reinen Äußerlichkeiten selbst, und die Menge der Materien, Massen, Intensität des Gewichts, sind ebenso äußerliche Bestimmungen, die an dem Quantitativen ihre eigenthümliche Bestimmtheit haben.

> §709 The development of measure which has been attempted in the following chapters is extremely difficult. Starting from immediate, external measure it should, on the one hand, go on to develop the abstract determination of the quantitative aspects of natural objects (a mathematics of nature), and on the other hand, to indicate the connection between this determination of measure and the qualities of natural objects, at least in general; for the specific proof, derived from the Notion of the concrete object, of the connection between its qualitative and quantitative aspects, belongs to the special science of the concrete. Examples of this kind concerning the law of falling bodies and free, celestial motion will be found in the Encyclopedia. of the Phil. Sciences, 3rd ed., Sections 267 and 270, Remark. In this connection the general observation may be made that the different forms in which measure is realised belong also to different spheres of natural reality. The complete, abstract indifference of developed measure, i.e. the laws of measure, can only be manifested in the sphere of mechanics in which the concrete bodily factor is itself only abstract matter; the qualitative differences of such matter are essentially quantitatively determined; space and time are the purest forms of externality, and the multitude of matters, masses, intensity of weight, are similarly external determinations which have their characteristic determinateness in the quantitative element.

Regarding this, see also below [§714](#714).


#### First chapter. Die specifische Quantität.
 {#TheMeasureFirstChapter}

##### A. Das specifische Quantum / The Specific Quantum

> {#714} §714 Ein Maaß, als Maaßstab im gewöhnlichen Sinne, ist ein Quantum, das als die an sich bestimmte Einheit gegen äußerliche Anzahl willkürlich angenommen wird. Eine solche Einheit kann zwar auch in der That an sich bestimmte Einheit seyn, wie Fuß und dergleichen ursprüngliche Maaße; insofern sie aber als Maaßstab zugleich für andere Dinge gebraucht wird, ist sie für diese nur äußerliches, nicht ihr ursprüngliches Maaß.—So mag der Erddurchmesser, oder die Pendellänge, als specifisches Quantum für sich genommen werden. Aber es ist willkürlich, den wievielsten Theil des Erddurchmessers oder der Pendellänge und unter welchem Breitengrade man diese nehmen wolle, um sie als Maaßstab zu gebrauchen. Noch mehr aber ist für andere Dinge ein solcher Maaßstab etwas Äußerliches. Diese haben das allgemeine specifische Quantum wieder auf besondere Art specificirt, und sind dadurch zu besondern Dingen gemacht. Es ist daher thöricht, von einem natürlichen Maaßstab der Dinge zu sprechen. Ohnehin soll ein allgemeiner Maaßstab nur für die äußerliche Vergleichung dienen; in diesem oberflächlichsten Sinne, in welchem er als allgemeines Maaß genommen wird, ist es völlig gleichgültig, was dafür gebraucht wird. Es soll nicht ein Grundmaaß in dem Sinne seyn, daß die Naturmaaße der besondern Dinge daran dargestellt und daraus nach einer Regel, als Specifikationen Eines allgemeinen Maaßes, des Maaßes ihres allgemeinen Körpers, erkannt würden. Ohne diesen Sinn aber hat ein absoluter Maaßstab nur das Interesse und die Bedeutung eines Gemeinschaftlichen, und ein solches ist nicht an sich, sondern durch Übereinkommen ein Allgemeines.


> §714 A measure taken as a standard in the usual meaning of the word is a quantum which is arbitrarily assumed as the intrinsically determinate unit relatively to an external amount. Such a unit can, it is true, also be in fact an intrinsically determinate unit, like a foot and suchlike original measures; but in so far as it is also used as a standard for other things it is in regard to them only an external measure, not their original measure. Thus the diameter of the earth or the length of a pendulum may be taken, each on its own account, as a specific quantum; but the selection of a particular fraction of the earth's diameter or of the length of the pendulum, as well as the degree of latitude under which the latter is to be taken for use as a standard, is a matter of choice. But for other things such a standard is still more something external. These have further specified the general specific quantum in a particular way and have thereby become particular things. It is therefore foolish to speak of a natural standard of things. Moreover, a universal standard ought only to serve for external comparison; in this most superficial sense in which it is taken as a universal measure it is a matter of complete indifference what is used for this purpose. It ought not to be a fundamental measure in the sense that it forms a scale on which the natural measures of particular things could be represented and from which, by means of a rule, they could be grasped as specifications of a universal measure, i.e. of the measure of their universal body. Without this meaning, however, an absolute measure is interesting and significant only as a common element, and as such is a universal not in itself but only by agreement.

This concept of _Maßstab_ in [§714](#714) is very explicitly that of _Eichmaß_, a _choice_ that is made (durch Übereinkommen). The English translation that captures this maybe more properly than "standard" is "[[gauge]]".

This aspect is further amplified below in [§725](#725), which states that this choice is the choice of _Einheit_ (unit), i.e. Maßeinheit. Mathematically, indeed, the choice of units is precisely a choice of [[gauge]] as in [[gauge theory]]. See at _[[physical unit]]_ for more on this. By the discussion there (see also at _[[torsor]]_), this is indeed all about ratios, just as stated in [§708](#708) above.


(Observe also that [§709](#709) above said that to develop a theory of measure, hence a theory of gauge, is to develop a "mathematics of nature". Moreover, by [Philosophy of Nature §202](Philosophy+of+Nature#202) "The truly philosophical science of mathematics as theory of magnitude would be the science of measures".)

Therefore by ([§699](#699)) we may label this part of the [Proceß](#Process) as follows:

+-- {: bluebox #gauge}
###### .


$$
  \array{
    & & attraction && repulsion
    \\
    & quality : & &#643; &\dashv& \flat
    \\
    gauge & \bot & \bot && \bot
    \\
    & quantity : & \flat &\dashv& \sharp
    \\
    & & discreteness && continuity
  }
$$

=--

This is striking, as at the same time precisely this [[adjoint triple]] is also an abstract axiomatization of ([[higher gauge theory|higher]]) [[gauge theory]] in [[physics]] via [[cohesion]]. This is discussed further at _[[differential cohomology hexagon]]_.

Moreover, below after transition from the Seinslogik to the Wesenslogik, find gauge fields again, with the above structure repeated in the Wesenslogik, see the discussion around [§714](#714).

##### B. Specificirendes Maß / Specifying measure



###### (a) Die Regel / The Rule

> {#725} §725 Die Regel oder der Maaßstab, von dem schon gesprochen worden, ist zunächst als eine an sich bestimmte Größe, welche Einheit gegen ein Quantum ist, das eine besondere Existenz ist, an einem andern Etwas, als das Etwas der Regel ist, existirt,—an ihr gemessen, d. i. als Anzahl jener Einheit bestimmt wird. Diese Vergleichung ist ein äußerliches Thun, jene Einheit selbst eine willkürliche Größe, die ebenso wieder als Anzahl (der Fuß als eine Anzahl von Zollen) gesetzt werden kann. Aber das Maaß ist nicht nur äußerliche Regel, sondern als specifisches ist es dieß, sich an sich selbst zu seinem Andern zu verhalten, das ein Quantum ist.



> §725 The rule or standard $[$ gauge $]$, which has already been mentioned, is in the first place an intrinsically determinate magnitude which is a unit with reference to a quantum having a particular existence in a something other than the something of the rule; this other something is measured by the rule, i.e. is determined as an amount of the said unit. This comparison is an external act, the unit itself being an arbitrary magnitude which in turn can equally be treated as an amount (the foot as an amount of inches). But measure is not only an external rule; as a specifying measure its nature is to be related in its own self to an other which is a quantum.


Choice of _Einheit_ unit is choice of gauge, as in _[[gauge theory]]_. See at _[[physical unit]]_ for more on this.

###### (b) Das specificirende Maß / Specifying Measure


###### (c) Verhältnis beider Seiten als Qualitäten / Relation of the two Sides as Qualities

##### C. Das Fürsichseyn im Maaße

#### Chapter two. Das reale Maaß



#### Chapter three. Das Werden des Wesens.

##### A. Die absolute Indifferenz


##### B. Die Indifferenz als umgekehrtes Verhältniß ihrer Faktoren.

##### C. Übergang in das Wesen.
 {#UeberGangInDasWesen}

> {#803} §803 Die absolute Indifferenz ist die letzte Bestimmung des Seyns, ehe dieses zum Wesen wird;

> §803 Absolute indifference is the final determination of being before it becomes essence; but it does not attain to essence.

Under the formalization of [[unity of opposites]], "absolute indifference" is plausibly the name of the trivial adjunction $id\dashv id$ which describes a difference that is none, hence an indifference.

$$
  Wesen \colon id \dashv id
  \,.
$$

This fits well with the idea in [§803](#803) that the process of determination comes to an end in the Wesen, because indeed $(id \dashv id)$ is the topmost [[level of a topos|level]] in the mathematical sense.

$$
  \array{
     Wesen &\colon& id &\dashv& id
     \\
     && \vee && \vee
     \\
     && \vdots && \vdots
  }
$$

See also [§812](#812)


## **Die Lehre vom Wesen** / **The doctrine of essence**
 {#LehreVomWesen}


> {#807} §807 Die Wahrheit des Seins is das Wesen.

> §807 The truth of being is essence.

> {#808} §808 Diese Bewegung, als Weg des Wissens vorgestellt, so erscheint dieser Anfang vom Seyn und der Fortgang, der es aufhebt und beim Wesen als einem Vermittelten anlangt, eine Thätigkeit des Erkennens zu seyn, die dem Seyn äußerlich sey und dessen eigene Natur nichts angehe.

> {#809} §809 Aber dieser Gang ist die Bewegung des Seyns selbst. Es zeigte sich an diesem, daß es durch seine Natur sich erinnert, und durch dieß Insichgehen zum Wesen wird.

Bewegung des Seins from pure being to essence. The [Proceß](#Process).

> {#812} §812 Das Wesen aber, wie es hier geworden ist, ist das, was es ist, nicht durch eine ihm fremde Negativität, sondern durch seine eigne, die unendliche Bewegung des Seyns. Es ist An-und-Fürsichseyn; absolutes Ansichseyn, indem es gleichgültig gegen alle Bestimmtheit des Seyns ist, das Andersseyn und die Beziehung auf anderes schlechthin aufgehoben worden ist.

> §812 But essence as it has here come to be, is what it is, through a negativity which is not alien to it but is its very own, the infinite movement of being. It is being that is in itself and for itself; it is absolute being-in-itself in that it is indifferent to every determinateness of being, and otherness and relation-to-other have been completely sublated.

So Essence is the ultimate [[Aufhebung]], hence the topmost [[level of a topos|level]]

$$
  \array{
     Wesen &\colon& id &\dashv& id
     \\
     && \vee && \vee
     \\
     && \vdots && \vdots
  }
$$

See the [Proceß](#Process).

> {#813} §813 weil es Abstoßen seiner von sich oder Gleichgültigkeit gegen sich, negative Beziehung auf sich ist, setzt es sich somit sich selbst gegenüber und ist nur insofern unendliches Fürsichsein, als es die Einheit mit sich in diesem seinem Unterschiede von sich ist.

> §813 Because it is self-repelling or indifferent to itself, negative self-relation, it sets itself over against itself and is infinite being-for-self only in so far is as it is at one with itself in this its own difference from itself.

"die Einheit mit sich in diesem seinem Unterschiede von sich"

So indeed the Essence is in opposition to itself, which is what the trivial [[unity of opposites]] $id \dashv id$ expresses See also [§839](#839)

> {#815} §815 Das Wesen steht zwischen Sein und Begriff und macht die Mitte derselben und seine Bewegung den Übergang vom Sein in den Begriff aus. Das Wesen ist das Anundfürsichsein, aber dasselbe in der Bestimmung des Ansichseins; denn seine allgemeine Bestimmung ist, aus dem Sein herzukommen oder die erste Negation des Seins zu sein. Seine Bewegung besteht darin, die Negation oder Bestimmung an ihm zu setzen, dadurch sich Dasein zu geben und das als unendliches Fürsichsein zu werden, was es an sich ist. So gibt es sich sein Dasein, das seinem Ansichsein gleich ist, und wird der Begriff.

> §815 Essence stands between being and Notion; it constitutes their mean, and its movement is the transition from being into the Notion. Essence is being-in-and-for-itself, but in the determination of being-in-itself; for the general determination of essence is to have proceeded from being, or to be the first negation of being. Its movement consists in positing within itself the negation or determination, thereby giving itself determinate being and becoming as infinite being-for-self what it is in itself. It thus gives itself its determinate being that is equal to its being-in-itself and becomes Notion.

Der Begriff ist das daseiende Wesen.

> {#816} §816 Das Wesen scheint zuerst in sich selbst, oder ist Reflexion

> §816 At first, essence shines or shows within itself, or is reflection

Notice first that with the translation from [§803](#803),[§812](#812) of "Das Wesen" = terminal [[Aufhebung]] = "the ambient category", the original German here translates really to:

> The ambient category appears within itself

See also [§834](#834), [§1036](#1036), [§1037](#1037) below.


In ([[homotopy type theory|homotopy]]) [[type theory]] the appearance of a _reflection_ of the type system in itself is a _[[type universe]]_ $Type \in \mathbf{H}$., (see there references listed [here](type+of+types#TypeUniverseAsReflection)) see also [§833](#833). This was introduced as a type theoretical [[reflection principle]] in [Martin-Löf 74, p. 6](type+of+types#MartinLoef74).


> Introducing universes can be considered as a [[reflection principle]]: such a universe reflects those types whose names are its objects. [Luo 11, section 2.5](type+of+types#Luo11)

> Adding a universe is a reflection process ([Stanf. Enc. Phil. Extensions of Type System](http://plato.stanford.edu/entries/type-theory/#6))

The [Rezk-Lurie theorem](infinity-topos#CharacterizationByObjectClassifier) states that the very characterization of an [[(infinity,1)-topos|infinity-topos]] is that it (is presentable with universal colimits and) has a [[type of types]] = [[object classifier]] = [[universe]] (in the mathematical sense!). This [[type of types]] is indeed nothing but the small reflection of the full $\infty$-topos inside it self.

(Indeed, [§850](#850) below highlights that "Reflexion" here does _not_ mean the usual "to reflect on a topic" (but means "Reflexion überhaupt", for what it's worth).)

There is of course not just one [[object classifier]]/[[type of types]] but a [[universe enlargement|cumulative hierarchy]] of them (see also at _[[universe polymorphism]]_)

$$
  Type_1 \subset Type_2 \subset Type_3 \subset Type_4 \subset \cdots
$$

By the above this should correspond to an infinite Reflexion of the Wesen inside itself, and sure enough, this is what [§860b](#860b) below says.



Notice the following characteristic properties of [[(infinity,1)-topos|infinity-topos]] in relation to WdL:

1. [[identity types]], characterized by their [[term introduction rule]] via the reflector $refl: (A = A)$, w

   This matches neatly with section 1, chapter 2 [§863](#863), [§903](#903).

1. [[object classifier]]=[[type of types]]=[[universe]]=self-relfecton

   This matches neatly with section 2 [§1037](#1037), also [§834](#834) etc.

1. [[locally Cartesian closed (∞,1)-category|local cartesian closure]],  equivalently incarnated in the [[base change]] [[adjoint triples]] whose associated [[monad]]/[[comonad]] [[adjoint pairs]] are nothing but the [[possibility]]$\dashv$[[necessity]]-[[adjunction]] as discussed at _[Possible worlds via homotopy type theory](necessity+and+possibility#InFirstOrderLogicAndTypeTheory)_


   This matches neatly with section 3 [§1160](#1160).



In summary the formalization dictionary gives fairly accurately that in _Das Wegen_ Hegel speak about [[locally Cartesian closed (∞,1)-categories]] with [[object classifier]].



This is pretty close to being the proposed definition of _[[elementary (∞,1)-topos]]_, as in ([Shulman 12](elementary+infinity-topos#Shulman12)).

Hence we formalize _Wesen_ by _$\infty$-topos_.

This fits well also with [Phen§760](#Phen760): "der Begriff des Wesens ist die absolute Abstraktion, welche reines Denken ist", "the notion of being is the absolute abstract, which is pure thought"

> {#Phen760} Phen§760  Denn der Begriff des Wesens, erst indem er seine einfache Reinheit erlangt hat, ist er die absolute Abstraktion, welche reines Denken und damit die reine Einzelnheit des Selbsts, so wie um seiner Einfachheit willen das Unmittelbare oder Sein ist. Was das sinnliche Bewußtsein genannt wird, ist eben diese reine Abstraktion, es ist dies Denken, für welches das Sein das Unmittelbare ist.



> Phen§760 For only when the notion of Being has reached its simple purity of nature, is it both the absolute abstraction, which is pure thought and hence the pure singleness of self, and immediacy or objective being, on account of its simplicity. What is called sense-consciousness is just this pure abstraction; it is this kind of thought for which being is the immediate.


### Section 1.Das Wesen als Reflexion in ihm selbst. /  Essence as Reflection within Itself {#WesenAlsReflexionInIhmSelbst}

> {#817} §817 Das Wesen ist erstens Reflexion. Die Reflexion bestimmt sich; ihre Bestimmungen sind ein Gesetztseyn, das zugleich Reflexion in sich ist; es sind

> zweitens diese Reflexions-Bestimmungen oder die Wesenheiten zu betrachten.

> Drittens macht sich das Wesen als die Reflexion des Bestimmens in sich selbst, zum Grunde, und geht in die Existenz und Erscheinung über.




#### Der Schein / Illusory Being


> {#818} §818 Das Wesen aus dem Sein herkommend scheint demselben gegenueber zu stehen; dies unmittelbare Sein ist zunaechst das Unwesentliche. Allein es ist zweitens mehr als nur unwesentliches, es ist wesenloses Sein, es ist Schein. Drittens, dieser Schein ist nicht ein aeusserliches, dem Wesen anderes, sondern er ist sein eigner Schein. Das Erscheinen des Wesens in ihm selbst ist die Reflexion.

> §818 Essence that issues from being seems to confront it as an opposite; this immediate being is, in the first instance, the unessential. But secondly, it is more than merely unessential being, it is essenceless being, it is illusory being.
Thirdly, this illusory being is not something external to or other than essence; on the contrary, it is essence's own illusory being. The showing of this illusory being within essence itself is reflection.

In ([[homotopy type theory|homotopy]]) [[type theory]] the appearance of a _reflection_ of the type system in itself is a _[[type universe]]_ $Type \in \mathbf{H}$., (see there references listed [here](type+of+types#TypeUniverseAsReflection)) see also [§833](#833). This was introduced as a type theoretical [[reflection principle]] in [Martin-Löf 74, p. 6](type+of+types#MartinLoef74)

> Adding a universe is a reflection process ([Stanf. Enc. Phil. Extensions of Type System](http://plato.stanford.edu/entries/type-theory/#6))

> Introducing universes can be considered as a [[reflection principle]]: such a universe reflects those types whose names are its objects. [Luo 11, section 2.5](type+of+types#Luo11)


> {#827} §827 Es ist die Unmittelbarkeit des Nichtseins, welche den Schein ausmacht; dies Nichtsein aber ist nichts anderes als die Negativität des Wesens an ihm selbst. Das Sein ist Nichtsein in dem Wesen. Seine Nichtigkeit an sich ist die negative Natur des Wesens selbst.  Die Unmittelbarkeit oder Gleichgültigkeit aber, welche dies Nichtsein enthält, ist das eigene absolute Ansichsein des Wesens.  Die Negativität des Wesens ist seine Gleichheit mit sich selbst oder seine einfache Unmittelbarkeit und Gleichgültigkeit.  Das Sein hat sich im Wesen erhalten, insofern dieses an seiner unendlichen Negativität diese Gleichheit mit sich selbst hat;  hierdurch ist das Wesen selbst das Sein. Die Unmittelbarkeit, welche die Bestimmtheit am Scheine gegen das Wesen hat,  ist daher nichts anderes als die eigene Unmittelbarkeit des Wesens; aber nicht die seiende Unmittelbarkeit, sondern die schlechthin vermittelte oder reflektierte Unmittelbarkeit, welche der Schein ist, - das Sein nicht als Sein, sondern nur als die Bestimmtheit des Seins, gegen die Vermittlung; das Sein als Moment.

> §827 It is the immediacy of non-being that constitutes illusory being; but this non-being is nothing else but the negativity of essence present within it. In essence, being is non-being. Its intrinsic nothingness is the negative nature of essence itself. But the immediacy or indifference which this non-being contains is essence's own absolute being-in-itself. The negativity of essence is its equality with itself or its simple immediacy and indifference. Being has preserved itself in essence in so far as the latter in its infinite negativity has this equality with itself; it is through this that essence itself is being. The immediacy of the determinateness in illusory being over against essence is consequently nothing other than essence's own immediacy; but the immediacy is not simply affirmative [seiend], but is the purely mediated or reflected immediacy that is illusory being-being, not as being, but only as the determinateness of being as opposed to mediation; being as a moment.

##### A Das Wesentliche und das Unwesentliche / The essential and the unessential


##### B Der Schein / Illusory being

> {#823} §823 1. Das Sein ist Schein. Das Sein des Scheins besteht allein in dem Aufgehobensein des Seins, in seiner Nichtigkeit;  diese Nichtigkeit hat es im Wesen, und außer seiner Nichtigkeit, außer dem Wesen ist er nicht.  Er ist das Negative gesetzt als Negatives.

> §823 1. Being is illusory being. The being of illusory being consists solely in the sublatedness of being, in its nothingness; this nothingness it has in essence and apart from its nothingness, apart from essence, illusory being is not. It is the negative posited as negative.

Notice that here the text begins to say _Nichtigkeit_ ($\sim$" nothingness" for the result of Aufhebung of all determinations. According to [§803](#803) this ultimate Aufhebung is the trivial unity of opposites $id \dashv id$. The $id$-[[modal operator]] encodes _no determination_ and hence encodes "nothing", but this is rather different from the sense of _Nichts_, _Nichtsein_ (again $\sim$ nothing) that is at the beginning of the Seinslogik.

We will read _Nichtigkeit_ ($\sim $"nothing") here in the Wesenslogik in this sense of [§823](#823). This seems to match well with its use here, in particular with the repeated statemens [§835](#835) that movement of the essence is not like that of being from something (some determination, really) to something else (some other determination, oppose of sublated), but _moves from nothing to nothing_. This is hence speaking of $id \dashv id$. See also [§827](#827)


> {#827} §827 Es ist die Unmittelbarkeit des Nichtseins, welche den Schein ausmacht; dies Nichtsein aber ist nichts anderes als die Negativität des Wesens an ihm selbst. Das Sein ist Nichtsein in dem Wesen. Seine Nichtigkeit an sich ist die negative Natur des Wesens selbst.  Die Unmittelbarkeit oder Gleichgültigkeit aber, welche dies Nichtsein enthält, ist das eigene absolute Ansichsein des Wesens. Die Negativität des Wesens ist seine Gleichheit mit sich selbst oder seine einfache Unmittelbarkeit und Gleichgültigkeit.  Das Sein hat sich im Wesen erhalten, insofern dieses an seiner unendlichen Negativität diese Gleichheit mit sich selbst hat;  hierdurch ist das Wesen selbst das Sein. Die Unmittelbarkeit, welche die Bestimmtheit am Scheine gegen das Wesen hat,  ist daher nichts anderes als die eigene Unmittelbarkeit des Wesens; aber nicht die seiende Unmittelbarkeit, sondern die schlechthin vermittelte oder reflektierte Unmittelbarkeit, welche der Schein ist, - das Sein nicht als Sein, sondern nur als die Bestimmtheit des Seins, gegen die Vermittlung; das Sein als Moment.

> §827 It is the immediacy of non-being that constitutes illusory being; but this non-being is nothing else but the negativity of essence present within it. In essence, being is non-being. Its intrinsic nothingness is the negative nature of essence itself. But the immediacy or indifference which this non-being contains is essence's own absolute being-in-itself. The negativity of essence is its equality with itself or its simple immediacy and indifference. Being has preserved itself in essence in so far as the latter in its infinite negativity has this equality with itself; it is through this that essence itself is being. The immediacy of the determinateness in illusory being over against essence is consequently nothing other than essence's own immediacy; but the immediacy is not simply affirmative [seiend], but is the purely mediated or reflected immediacy that is illusory being-being, not as being, but only as the determinateness of being as opposed to mediation; being as a moment.

> {#828} §828 Diese beiden Momente, die Nichtigkeit, aber als Bestehen, und das Sein, aber als Moment, oder die an sich seiende Negativität und die reflektierte Unmittelbarkeit, welche die Momente des Scheins ausmachen, sind somit die Momente des Wesens selbst: es ist nicht ein Schein des Seins am Wesen oder ein Schein des Wesens am Sein vorhanden; der Schein im Wesen ist nicht der Schein eines Anderen, sondern er ist der Schein an sich, der Schein des Wesens selbst.

> §828 These two moments, namely the nothingness which yet is and the being which is only a moment, or the implicit negativity and the reflected immediacy that constitute the moments of illusory being, are thus the moments of essence itself. What we have here is not an illusory show of being in essence, or an illusory show of essence in being; the illusory being in essence is not the illusory being of an other, but is illusory being per se, the illusory being of essence itself. What we have here is not an illusory show of being in essence, or an illusory show of essence in being; the illusory being in essence is not the illusory being of an other, but is illusory being per se, the illusory being of essence itself.

Reading _Nichtigkeit_ here via [§823](#823) is $id \dashv id$ and _reflektierte Unmittelbarkeit_ as the self-reflection of the $\infty$-topos in its [[type universe]] via [§833](#833), then [§828](#828) says that the two moments of the Essence are

$$
  (id \dashv id) \;\;\;\;, \;\;\;\; Type
$$

which in turn is the ambient category and its [[type universe]]. Hence this gives again that Essence is the ambient $\infty$-topos.

##### C Die Reflexion / Reflection

> {#833} §833 Der Schein ist dasselbe was die Reflexion ist, aber er ist die Reflexion als unmittlebare.

> §833 Illusory being is the same thing as reflection; but it is reflection as immediate.

In ([[homotopy type theory|homotopy]]) [[type theory]]/[[(infinity,1)-topos theory]] the appearance of a _reflection_ of the type system in itself is called [[type universe]]/[[object classifier]] (see there references listed [here](type+of+types#TypeUniverseAsReflection)).


> {#834} §834 Das Wesen ist Reflexion;...

> §834 Essence is reflection...

See discussion at _[Wesen als Reflexion in Ihm Selbst](#WesenAlsReflexionInIhmSelbst)_

>  §834 Das Wesen ist Reflexion; die Bewegung des Werdens und Übergehens, das in sich selbst bleibt, worin das Unterschiedene schlechthin nur als das an sich Negative, als Schein bestimmt ist.  - In dem Werden des Seins liegt der Bestimmtheit das Sein zugrunde, und sie ist Beziehung auf Anderes.  Die reflektierende Bewegung hingegen ist das Andere als die Negation an sich, die nur als sich auf sich beziehende Negation ein Sein hat.  Oder indem diese Beziehung auf sich eben dies Negieren der Negation ist, so ist die Negation als Negation vorhanden, als ein solches, das sein Sein in seinem Negiertsein hat, als Schein.  Das Andere ist hier also nicht das Sein mit der Negation oder Grenze, sondern die Negation mit der Negation.  Das Erste aber gegen dies Andere, das Umittelbare oder Sein, ist nur diese Gleichheit selbst der Negation mit sich,  die negierte Negation, die absolute Negativität. Diese Gleichheit mit sich oder Unmittelbarkeit ist daher nicht ein Erstes,  von dem angefangen wird und das in seine Negation überginge, noch ist es ein seiendes Substrat,  das sich durch die Reflexion hindurch bewegte; sondern die Unmittelbarkeit ist nur diese Bewegung selbst.

> §834 Essence is reflection, the movement of becoming and transition that remains internal to it, in which the differentiated moment is determined simply as that which in itself is only negative, as illusory being. At the base of becoming in the sphere of being, there lies the determinateness of being, and this is relation to other. The movement of reflection, on the other hand, is the other as the negation in itself, which has a being only as self-related negation. Or, since the self-relation is precisely this negating of negation, the negation as negation is present in such wise that it has its being in its negatedness, as illusory being. Here, therefore, the other is not being with a negation, or limit, but negation with the negation. But the first, over against this other, the immediate or being, is only this very equality of the negation with itself, the negated negation, absolute negativity. This equality with itself, or immediacy, is consequently not a first from which the beginning was made and which passed over into its negation; nor is it an affirmatively present substrate that moves through reflection; on the contrary, immediacy is only this movement itself.

> {#835} §835 Das Werden im Wesen, seine reflektierende Bewegung, ist daher die Bewegung von Nichts zu Nichts und dadurch zu sich selbst zurück.

> §835 Consequently, becoming is essence, its reflective movement, is the movement of nothing to nothing, and so back to itself.

in view of [§823](#823) we read this as the ultimate opposition

$id \dashv id$

see also [§839](#839)

###### (1) Die setzende Reflexion / Positing reflection
 {#SetzendeReflexion}

> {#839} §839 Zunächst ist die Reflexion die Bewegung des Nichts zu Nichts, somit die mit sich selbst zusammengehende Negation. Dieses Zusammengehen mit sich ist überhaupt einfache Gleichheit mit sich, die Unmittelbarkeit. Aber dies Zusammenfallen ist nicht Übergehen der Negation in die Gleichheit mit sich als in ihr Anderssein, sondern die Reflexion ist Übergehen als Aufheben des Übergehens; denn sie ist unmittelbares Zusammenfallen des Negativen mit sich selbst; so ist dies Zusammengehen erstlich Gleichheit mit sich oder Unmittelbarkeit; aber zweitens ist diese Unmittelbarkeit die Gleichheit des Negativen mit sich, somit die sich selbst negierende Gleichheit; die Unmittelbarkeit, die an sich das Negative, das Negative ihrer selbst ist, dies zu sein, was sie nicht ist.

> §839 In the first place, reflection is the movement of nothing to nothing and is the negation that coincides with itself. This coincidence with itself is, in general, simple equality-with-self, immediacy. But this coincidence is not a transition of the negation into equality-with-self as into its otherness: on the contrary, reflection is transition as sublating of the transition; for reflection is immediate coincidence of the negative with itself. This coincidence is thus first, equality-with-self or immediacy; but secondly, this immediacy is the equality of the negative with itself, hence self-negating equality, the immediacy that is in itself the negative, the negative of itself, that consists in being that which it is not.

This amplifies nicely on [§835](#835)

"die Bewegung des Nichts zu Nichts ... ist unmittelbares Zusammenfallen des Negativen mit sich selbst"

hence coincidence of the opposite with itself hence the trivial [[unity of opposites]]

$id \dashv id$

see also [§813](#813)

For the following paragraphs it may be helpful to keep in mind the outer part of the movement, remark \ref{AspectsOfTheInitialOpposition}:

$$
  \array{
    id &\dashv& id & = \overline{\ast}
    \\
    \vee && \vee
    \\
    \vdots && \vdots
    \\
    \vee && \vee
    \\
    \emptyset &\dashv& \ast & = \overline{id}
  }
$$

with its interpretation as the initial opposition of [[being]] $\ast$ and [[nothing]] $\emptyset$ in [[becoming]], finding its ultimate [[Aufhebung]] in the self-opposition of identity, which is at the same time the negation of pure being, and vice versa.

> {#840} §840 Die Beziehung des Negativen auf sich selbst ist also seine Rückkehr in sich; sie ist Unmittelbarkeit als das Aufheben des Negativen; aber Unmittelbarkeit schlechthin nur als diese Beziehung oder als Rückkehr aus einem, somit sich selbst aufhebende Unmittelbarkeit.  - Dies ist das Gesetztsein, die Unmittelbarkeit rein nur als Bestimmtheit oder als sich reflektierend. Diese Unmittelbarkeit, die nur als Rückkehr des Negativen in sich ist, ist jene Unmittelbarkeit, welche die Bestimmtheit des Scheins ausmacht und von der vorhin die reflektierende Bewegung anzufangen schien. Statt von dieser Unmittelbarkeit anfangen zu können, ist diese vielmehr erst als die Rückkehr oder als die Reflexion selbst. Die Reflexion ist also die Bewegung, die, indem sie die Rückkehr ist, erst darin das ist, das anfängt oder das zurückkehrt.

> §840 The self-relation of the negative is, therefore, its return into itself; it is immediacy as the sublating of the negative; but immediacy simply and solely as this relation or as return from a negative, and hence a self-sublating immediacy. This is posited being or positedness, immediacy purely and simply as determinateness or as self-reflecting. This immediacy which is only as return of the negative into itself, is that immediacy which constitutes the determinateness of illusory being and which previously seemed to be the starting point of the reflective moment. But this immediacy, instead of being able to form the starting point is, on the contrary, immediacy only as the return or as reflection itself. Reflection therefore is the movement that starts or returns only in so far as the negative has already returned into itself.

> {#841} §841 Sie ist Setzen, insofern sie die Unmittelbarkeit als ein Rückkehren ist; es ist nämlich nicht ein Anderes vorhanden, weder ein solches, aus dem sie, noch in das sie zurückkehrte; sie ist also nur als Rückkehren oder als das Negative ihrer selbst.  Aber ferner ist diese Unmittelbarkeit die aufgehobene Negation und die aufgehobene Rückkehr in sich.  Die Reflexion ist als Aufheben des Negativen Aufheben ihres Anderen, der Unmittelbarkeit. Indem sie also die Unmittelbarkeit als ein Rückkehren, Zusammengehen des Negativen mit sich selbst ist, so ist sie ebenso Negation des Negativen als des Negativen.  So ist sie Voraussetzen.  - Oder die Unmittelbarkeit ist als Rückkehren nur das Negative ihrer selbst, nur dies, nicht Unmittelbarkeit zu sein; aber die Reflexion ist das Aufheben des Negativen seiner selbst, sie ist Zusammengehen mit sich; sie hebt also ihr Setzen auf, und indem sie das Aufheben des Setzens in ihrem Setzen ist, ist sie Voraussetzen.  - In dem Voraussetzen bestimmt die Reflexion die Rückkehr in sich als das Negative ihrer selbst, als dasjenige, dessen Aufheben das Wesen ist. Es ist sein Verhalten zu sich selbst, aber zu sich als dem Negativen seiner;  nur so ist es die insichbleibende, sich auf sich beziehende Negativität.  Die Unmittelbarkeit kommt überhaupt nur als Rückkehr hervor und ist dasjenige Negative, welches der Schein des Anfangs ist,  der durch die Rückkehr negiert wird. Die Rückkehr des Wesens ist somit sein Sich-Abstoßen von sich selbst.  Oder die Reflexion-in-sich ist wesentlich das Voraussetzen dessen, aus dem sie die Rückkehr ist.

> §841 It is a positing in so far as it is immediacy as a returning movement; for there is no other on hand, either an other from which or into which immediacy returns; it is, therefore, only as a returning movement, or as the negative of itself. Furthermore, this immediacy is the sublated negation and the sublated return-into-self. Reflection, as sublating the negative, is a sublating of its other, of immediacy. Since, therefore, it is immediacy as a returning movement, as a coincidence of the negative with itself, it is equally a negative of the negative as negative. Thus it is a presupposing. Or immediacy, as a returning movement, is only the negative of itself, only this, to be not immediacy; but reflection is the sublating of the negative of itself, it is a coincidence with itself; it therefore sublates its positing, and since in its positing it sublates its positing, it is a presupposing. Reflection, in its presupposing, determines the return-into-self as the negative of itself, as that, the sublating of which is essence. The presupposing is the manner in which it relates itself to itself, but to itself as the negative of itself; only thus is it the self-relating negativity that remains internal to itself. Immediacy presents itself simply and solely as a return and is that negative which is the illusory being of the beginning, the illusory being which is negated by the return. Accordingly, the return of essence is its self-repulsion. In other words, reflection-into-self is essentially the presupposing of that from which it is the return.

> {#842} §842 Es ist das Aufheben seiner Gleichheit mit sich, wodurch das Wesen erst die Gleichheit mit sich ist.  Es setzt sich selbst voraus, und das Aufheben dieser Voraussetzung ist es selbst; umgekehrt ist dies Aufheben seiner Voraussetzung die Voraussetzung selbst.  - Die Reflexion also findet ein Unmittelbares vor, über das sie hinausgeht und aus dem sie die Rückkehr ist.  Aber diese Rückkehr ist erst das Voraussetzen des Vorgefundenen. Dies Vorgefundene wird nur darin, daß es verlassen wird; seine Unmittelbarkeit ist die aufgehobene Unmittelbarkeit.  - Die aufgehobene Unmittelbarkeit umgekehrt ist die Rückkehr in sich, das Ankommen des Wesens bei sich, das einfache sich selbst gleiche Sein. Damit ist dieses Ankommen bei sich das Aufheben seiner und die von sich selbst abstoßende, voraussetzende Reflexion, und ihr Abstoßen von sich ist das Ankommen bei sich selbst.

> §842 It is only when essence has sublated its equality-with-self that it is equality-with-self. It presupposes itself and the sublating of this presupposition is essence itself; conversely, this sublating of its presupposition is the presupposition itself. Reflection therefore finds before it an immediate which it transcends and from which it is the return. But this return is only the presupposing of what reflection finds before it. What is thus found only comes to be through being left behind; its immediacy is sublated immediacy. Conversely, the sublated immediacy is the return-into-self, the coming-to-itself of essence, simple, self-equal being. Hence this coming-to-itself is the sublating of itself and is the self-repelling, presupposing reflection, and its self-repelling is the coming-to-itself of reflection.

> {#843} §843 Die reflektierende Bewegung ist somit nach dem Betrachteten als absoluter Gegenstoß in sich selbst zu nehmen.  Denn die Voraussetzung der Rückkehr in sich - das, woraus das Wesen herkommt und erst als dieses Zurückkommen ist -, ist nur in der Rückkehr selbst. Das Hinausgehen über das Unmittelbare, von dem die Reflexion anfängt, ist vielmehr erst durch dies Hinausgehen; und das Hinausgehen über das Unmittelbare ist das Ankommen bei demselben. Die Bewegung wendet sich als Fortgehen unmittelbar in ihr selbst um und ist nur so Selbstbewegung - Bewegung, die aus sich kommt, insofern die setzende Reflexion voraussetzende, aber als voraussetzende Reflexion schlechthin setzende ist.

> §843 It follows, therefore, from the foregoing considerations that the reflective movement is to be taken as an absolute recoil upon itself. For the presupposition of the return-into-self-that from which essence comes, and is only as this return-is only in the return itself. The transcending of the immediate from which reflection starts is rather the outcome of this transcending; and the transcending of the immediate is the arrival at it. The movement, as an advance, immediately turns round upon itself and only so is self-movement — a movement which comes from itself in so far as positing reflection is presupposing, but, as presupposing reflection, is simply positing reflection.

> {#844} §844 So ist die Reflexion sie selbst und ihr Nichtsein, und ist nur sie selbst, indem sie das Negative ihrer ist, denn nur so ist das aufheben des Negativen zugleich als ein  Zusammengehen mit sich.

> §844 Thus reflection is itself and its non-being, and is only itself, in that it is the negative of itself, for only thus is the sublating of the negative at the same time a coincidence with itself.


###### (2) Die äußere Reflexion

> {#848} §848 Diese äußere Reflexion ist der Schluß, in welchem die beiden Extreme, das Unmittelbare und die Reflexion-in-sich, sind; die Mitte desselben ist die Beziehung beider, das bestimmte Unmittelbare, so daß der eine Teil derselben, die Unmittelbarkeit, nur dem einen Extreme, die andere, die Bestimmtheit oder Negation, nur dem anderen Extreme zukommt.

> §848 This external reflection is the syllogism in which are the two extremes, the immediate and reflection-into-self; the middle term of the syllogism is the connection of the two, the determinate immediate, so that one part of the middle term, immediacy, belongs only to one of the extremes, the other, determinateness or negation, belongs only to the other extreme.

Anmerkung


> {#850} §850 Es ist aber hier nicht, weder von der Reflexion des Bewußtseyns, noch von der bestimmteren Reflexion des Verstandes, die das Besondere und Allgemeine zu ihren Bestimmungen hat, sondern von der Reflexion überhaupt die Rede. Jene Reflexion, der Kant das Aufsuchen des Allgemeinen zum gegebenen Besondern zuschreibt, ist, wie erhellt, gleichfalls nur die äußere Reflexion, die sich auf das Unmittelbare als auf ein gegebenes bezieht.

> Reflection is usually taken in a subjective sense as the movement of the faculty of judgement that goes beyond a given immediate conception and seeks universal determinations for it or compares such determinations with it. Kant opposes reflective judgement to determining judgement. He defines the faculty of judgement in general as the ability to think the particular as subsumed under the universal.

###### (3) Bestimmende Reflexion


> {#853a} §853a Die bestimmende Reflexion ist überhaupt die Einheit der setzenden und der äußeren Reflexion. Dieß ist näher zu betrachten.

> §853a Determining reflection is in general the unity of positing and external reflection. This is to be considered in more detail.


> {#853b} §853b 1. Die äußere Reflexion fängt vom unmittelbaren Seyn an, die setzende vom Nichts. Die äußere Reflexion, die bestimmend wird, setzt ein Anderes, aber das Wesen, an die Stelle des aufgehobenen Seins;

> §853b 1. External reflection starts from immediate being, positing reflection from nothing. External reflection, when it determines, posits an other-but this is essence-in the place of the sublated being;

$$
  \array{
    id &\dashv& id & = \overline{\ast}
    \\
    \vee && \vee
    \\
    \vdots &\uparrow& \vdots
    \\
    \vee && \vee
    \\
    \emptyset &\dashv& \ast & = \overline{id}
  }
$$

> {#854a} §854a Das Gesetzte ist daher ein Anderes, aber so, daß die Gleichheit der Reflexion mit sich schlechthin erhalten ist; denn das Gesetzte ist nur als Aufgehobenes, als Beziehung auf die Rückkehr in sich selbst.  - In der Sphäre des Seins war das Dasein das Sein, das die Negation an ihm hatte, und das Sein der unmittelbare Boden und Element dieser Negation, die daher selbst die unmittelbare war.  Dem Dasein entspricht in der Sphäre des Wesens das Gesetztsein. Es ist gleichfalls ein Dasein, aber sein Boden ist das Sein als Wesen oder als reine Negativität; es ist eine Bestimmtheit oder Negation nicht als seiend, sondern unmittelbar als aufgehoben.

> §854a What is posited is consequently an other, but in such a manner that the equality of reflection with itself is completely preserved; for what is posited is only as sublated, as a relation to the returninto-self. In the sphere of being, determinate being was the being in which negation was present, and being was the immediate base and element of this negation, which consequently was itself immediate. In the sphere of essence, positedness corresponds to determinate being. It is likewise a determinate being but its base is being as essence or as pure negativity; it is a determinateness or negation, not as affirmatively present but immediately as sublated.

> {#854b} §854b Das Dasein ist nur Gesetztsein; dies ist der Satz des Wesens vom Dasein.

> §854b Determinate being is merely posited being or positedness; this is the proposition of essence about determinate being.


> {#854c} §854c Das Gesetztsein steht einerseits dem Dasein, andererseits dem Wesen gegenüber und ist als die Mitte zu betrachten, welche das Dasein mit dem Wesen und umgekehrt das Wesen mit dem Dasein zusammenschließt. - Wenn man sagt, eine Bestimmung ist nur ein Gesetztsein, so kann dies daher den doppelten Sinn haben; sie ist dies im Gegensatze gegen das Dasein oder gegen das Wesen. In jenem Sinne wird das Dasein für etwas Höheres genommen als das Gesetztsein und dieses der äußeren Reflexion, dem Subjektiven zugeschrieben. In der Tat aber ist das Gesetztsein das Höhere; denn als Gesetztsein ist das Dasein als das, was es an sich ist, als Negatives, ein schlechthin nur auf die Rückkehr in sich bezogenes. Deswegen ist das Gesetztsein nur ein Gesetztsein in Rücksicht auf das Wesen, als die Negation des Zurückgekehrtseins in sich selbst.

> §854c Positedness stands opposed, on the one hand, to determinate being, and on the other, to essence, and is to be considered as the middle term which unites determinate being with essence, and conversely, essence with determinate being. Accordingly, when it is said that a determination is only a positedness, this can have a twofold meaning; it is a positedness as opposed to determinate being or as opposed to essence. In the former meaning, determinate being is taken to be superior to positedness and the latter is ascribed to external reflection, to the subjective side. But in fact positedness is the superior; for as positedness, determinate being is that which it is in itself, a negative, something that is simply and solely related to the return-into-self. It is for this reason that positedness is only a positedness with respect to essence, as the negation of the accomplished return-into-self.



#### Chapter 2. Die Wesenheiten oder die Reflexions-Bestimmungen / The Essentialities or Determination of Reflection

> {#860a} §860a Die Reflexion ist bestimmte Reflexion; somit ist das Wesen bestimmtes Wesen, oder es ist Wesenheit.

> §860a Reflection is determinate reflection; hence essence is determinate essence, or it is an essentiality.

> {#860b} §860b Die Reflexion ist das Scheinen des Wesens in sich selbst. Das Wesen als unendliche Rückkehr in sich ist nicht unmittelbare, sondern negative Einfachheit; es ist eine Bewegung durch unterschiedene Momente, absolute Vermittelung mit sich. Aber es scheint in diese seine Momente; sie sind daher selbst in sich reflektirte Bestimmungen.

> §860b Reflection is the showing of the illusory being of essence within essence itself. Essence, as infinite return-into-self, is not immediate but negative simplicity; it is a movement through distinct moments, absolute self-mediation. But it reflects itself into these its moments which consequently are themselves determinations reflected into themselves.

$$
  Type_1 \subset Type_2 \subset Type_3 \subset Type_4 \subset \cdots
$$

See above at [§816](#816)

> {#863} §863 So wird die wesentliche Bestimmung der Identität in dem Satze ausgesprochen: Alles ist sich selbst gleich; $A = A$.

> §863 Thus the essential category of identity is enunciated in the proposition: everything is identical with itself, $A = A$.

The [[first law of thought]]: the reflector (sic) [[term constructor]] in an [[identity type]]. This is more explicit below at _[Identity](#Identity)_.



> {#864} §864 Die Kategorie ist ihrer Etymologie und der Definition des Aristoteles nach, dasjenige, was von dem Seyenden gesagt, behauptet wird.

> §864 According to its etymology and Aristotle's definition, category is what is predicated or asserted of the existent.

[[category (philosophy)]]

> {#865} §865 Die Reflexions-Bestimmungen dagegen sind nicht von qualitativer Art.

> §865 The determinations of reflection, on the contrary, are not of a qualitative kind.

##### A Identity
 {#Identity}

> §869 Essence is therefore simple identity with self.

> §869 This identity-with-self is the immediacy of reflection.

Below this is called te _[First original law of thought](#FirstOriginalLawOfThought)_.

##### $\;\;$ Remark 1: Abstract identity

##### $\;\;$ Remark 2: First original law of thought
 {#FirstOriginalLawOfThought}

The [[first law of thought]]:

> {#875} §875 In this remark, I will consider in more detail identity as the law of identity which is usually adduced as the first law of thought.

> This proposition in its positive expression $A = A$ is, in the first instance, nothing more than the expression of an empty tautology.

See also [§863](#863).

This is the reflector [[term constructor]] in an [[identity type]].

Hegel's terminology "[[first law of thought]]" follows that of [[Johann Fichte]]'s _[Erstem, schlechthin unbedingten Grundsatz](Grundlage+der+gesamten+Wissenschaftslehre#ErsterGrundsatz)_. See also for instance [Danaher -- The laws of thought](http://www.the-philosopher.co.uk/lawsofthought.htm).


##### B Der Unterschied / Difference

###### (a) Der absolute Unterschied / Absolute difference

> {#886} §886 _Darin_, drückt man sich aus, sind zwei Dinge unterschieden, daß sie u.s.f.— _Darin_, das heißt, in einer und derselben Rücksicht, in demselben Bestimmungsgrunde. Er ist der Unterschied der Reflexion, nicht das Andersseyn des Daseyns. Ein Daseyn und ein anderes Daseyn sind gesetzt als außereinanderfallend, jedes der gegen einander bestimmten Daseyn hat ein unmittelbares Seyn für sich. Das Andre des Wesens dagegen ist das Andre an und für sich, nicht das Andre als eines andern außer ihm Befindlichen; die einfache Bestimmtheit an sich. Auch in der Sphäre des Daseyns erwies sich das Andersseyn und die Bestimmtheit von dieser Natur, einfache Bestimmtheit, identischer Gegensatz zu seyn; aber diese Identität zeigte sich nur als das Übergehen einer Bestimmtheit in die andere. Hier in der Sphäre der Reflexion tritt der Unterschied als reflektirter auf, der so gesetzt ist, wie er an sich ist.


> §886 1. Two things are different, it is said, in that they, etc. 'In that' is, in one and the same respect, in the same ground of determination. It is the difference of reflection, not the otherness of determinate being. One determinate being and another determinate being are posited as falling apart, each of them, as determined against the other, has an immediate being for itself. The other of essence, on the contrary, is the other in and for itself, not the other as other of an other, existing outside it but simple determinateness in itself. In the sphere of determinate being, too, otherness 'and determinateness proved to be of this nature, to be simple determinateness, identical opposition; but this identity revealed itself only as the transition of one determinateness into the other. Here, in the sphere of reflection, difference appears as reflected difference, which is thus posited as it is in itself.

Given a moment $\bigcirc$ and two types $X$ and $Y$ that are not equivalent, then if also $\bigcirc X$ is not equivalent to $\bigcirc Y$ we may say that $X$ and $Y$ are different _in that_ their $\bigcirc$-moments are (already) different.

If hower these moments are equivalent, then $X$ and $Y$ are similar in this respect. [similarity](#MomentsAndSimilarity).


###### (b) Die Verschiedenheit / Diversity

> {#897} §897 An der sich entfremdeten Reflexion kommen also die Gleichheit und Ungleichheit als gegen einander selbst unbezogene hervor, und sie trennt sie, indem sie sie auf ein und dasselbe bezieht, durch die Insoferns, Seiten und Rücksichten. Die Verschiedenen, die das eine und dasselbe sind, worauf beide, die Gleichheit und Ungleichheit, bezogen werden, sind also nach der einen Seite einander gleich, nach der andern Seite aber ungleich, und insofern sie gleich sind, insofern sind sie nicht ungleich. Die Gleichheit bezieht sich nur auf sich, und die Ungleichheit ist ebenso nur Ungleichheit.

> §897 In the self-alienated reflection, therefore, likeness and unlikeness appear as mutually unrelated, and in relating them to one and the same thing, it separates them by the introduction of 'in so far', of sides and respects. The diverse, which are one and the same, to which both likeness and unlikeness are related, are therefore, from one side like one another, but from another side are unlike, and in so far as they are like, they are not unlike. Likeness is related only to itself, and similarly unlikeness is only unlikeness.


> {#898} §898 Durch diese ihre Trennung von einander aber heben sie sich nur auf. Gerade, was den Widerspruch und die Auflösung von ihnen abhalten soll, daß nämlich Etwas einem Andern in einer Rücksicht gleich, in einer andern aber ungleich sey;—dieß Auseinanderhalten der Gleichheit und Ungleichheit ist ihre Zerstörung. Denn beide sind Bestimmungen des Unterschiedes; sie sind Beziehungen aufeinander, das eine, zu seyn, was das andere nicht ist; gleich ist nicht ungleich, und ungleich ist nicht gleich; und beide haben wesentlich diese Beziehung, und außer ihr keine Bedeutung; als Bestimmungen des Unterschiedes ist jedes das was es ist, als unterschieden von seinem andern. Durch ihre Gleichgültigkeit aber gegen einander, ist die Gleichheit nur bezogen auf sich, die Ungleichheit ist ebenso eine eigene Rücksicht und Reflexion für sich; jede ist somit sich selbst gleich; der Unterschied ist verschwunden, da sie keine Bestimmtheit gegen einander haben; oder jede ist hiermit nur Gleichheit.


> §898 But by this separation of one from the other they merely sublate themselves. The very thing that was supposed to hold off contradiction and dissolution from them, namely, that something is like something else in one respect, but is unlike it in another - this holding apart of likeness and unlikeness is their destruction. For both are determinations of difference; they are relations to one another, the one being what the other is not; like is not unlike and unlike is not like; and both essentially have this relation and have no meaning apart from it; as determinations of difference, each is what it is as distinct from its other. But through this mutual indifference, likeness is only self-referred, and unlikeness similarly is self-referred and a reflective determination on its own; each, therefore, is like itself; the difference has vanished, since they cannot have any determinateness over against one another; in other words, each therefore is only likeness.

"The diverse $[$...$]$ are related $[$...$]$ from one side like one another, but from another side are unlike $[$...$]$ that something is like something else in one respect, but is unlike it in another "

[similarity](#MomentsAndSimilarity)



###### Bemerkung The Law of Diversity
 {#LawOfDiversity}

> {#903} §903 All things are different; or: there are no two things like each other.

Reminiscent of [[identity types]] in [[intensional type theory]].


> {#906} §906 Zwei Dinge sind nicht vollkommen gleich; so sind sie gleich und ungleich zugleich; gleich schon darin, daß sie Dinge oder zwei überhaupt sind, denn jedes ist ein Ding und ein Eins so gut als das andere,jedes also dasselbe, was das andere; ungleich aber sind sie durch die Annahme.

> §906 Two things are not perfectly alike; so they are at once alike and unlike; alike, simply because they are things, or just two, without further qualification — for each is a thing and a one, no less than the other — but they are unlike ex hypothesi.

Via the formalization of _[similarity](#MomentsAndSimilarity)_ this "alike, simply because they are things" is similarity with respec to the $\ast$-modality, example \ref{SimilarityWithRespectToPureBeing}.

###### (c)  Der Gegensatz / Opposition

> {#908} §908 Im Gegensatze ist die bestimmte Reflexion, der Unterschied vollendet.
Er ist die Einheit der Identität und der Verschiedenheit;

> §908 In opposition, the determinate rejection, difference, finds its completion. It is the unity of identity and difference; its moments are different in one identity and thus are opposites.

> {#911} §911 Diese in sich reflektirte Gleichheit mit sich, die in ihr selbst die Beziehung auf die Ungleichheit enthält, ist das Positive; so die Ungleichheit die in ihr selbst die Beziehung auf ihr Nichtseyn, die Gleichheit enthält, ist das Negative.—Oder beide sind das Gesetztseyn; insofern nun die unterschiedene Bestimmtheit als unterschiedene bestimmte Beziehung des Gesetztseyns auf sich genommen wird, so ist der Gegensatz eines Theils das Gesetztseyn in seine Gleichheit mit sich reflektirt; andern Theils dasselbe in seine Ungleichheit mit sich reflektirt; das Positive und Negative.—Das Positive ist das Gesetztseyn als in die Gleichheit mit sich reflektirt; aber das reflektirte ist das Gesetztseyn, das ist, die Negation als Negation, so hat diese Reflexion in sich die Beziehung auf das Andere zu ihrer Bestimmung. Das Negative ist das Gesetztseyn als in die Ungleichheit reflektirt; aber das Gesetztseyn ist die Ungleichheit selbst, so ist diese Reflexion somit die Identität der Ungleichheit mit sich selbst und absolute Beziehung auf sich.—Beide also, das in die Gleichheit mit sich reflektirte Gesetztseyn hat die Ungleichheit, und das in die Ungleichheit mit sich reflektirte Gesetztseyn hat auch die Gleichheit an ihm.


>  §911 This self-likeness reflected into itself that contains within itself the reference to unlikeness, is the positive; and the unlikeness that contains within itself the reference to its non-being, to likeness, is the negative. Or, both are a positedness; now in so far as the differentiated determinateness is taken as a differentiated determinate self-reference of positedness, the opposition is, on the one hand, positedness reflected into its likeness to itself and on the other hand, positedness reflected into its unlikeness to itself — the positive and the negative. The positive is positedness as reflected into self-likeness; but what is reflected is positedness, that is, the negation as negation, and so this reflection-into-self has reference-to-other for its determination. The negative is positedness as reflected into unlikeness; but the positedness is unlikeness itself, and this reflection is therefore the identity of unlikeness with itself and absolute self-reference. Each is the whole; the positedness reflected into likeness-to-self contains unlikeness, and the positedness reflected into unlikeness-to-self also contains likeness.

> {#912} §912 Das Positive und das Negative sind so die selbstständig gewordenen Seiten des Gegensatzes. Sie sind selbstständig, indem sie die Reflexion des Ganzen in sich sind, und sie gehören dem Gegensatze an, insofern es die Bestimmtheit ist, die als Ganzes in sich reflektirt ist. Um ihrer Selbstständigkeit willen machen sie den an sich bestimmten Gegensatz aus. Jedes ist es selbst und sein Anderes, dadurch hat jedes seine Bestimmtheit nicht an einem andern, sondern an ihm selbst.—Jedes bezieht sich auf sich selbst, nur als sich beziehend auf sein Anderes. Dieß hat die doppelte Seite; jedes ist Beziehung auf sein Nichtseyn als Aufheben dieses Andersseyns in sich; so ist sein Nichtseyn nur ein Moment in ihm. Aber andern Theils ist hier das Gesetztseyn ein Seyn, ein gleichgültiges Bestehen geworden; das andre seiner, das jedes enthält, ist daher auch das Nichtseyn dessen, in welchem es nur als Moment enthalten seyn soll. Jedes ist daher nur, insofern sein Nichtseyn ist, und zwar in einer identischen Beziehung.

> §912 The positive and the negative are thus the sides of the opposition that have become self-subsistent. They are self-subsistent in that they are the reflection of the whole into themselves, and they belong to the opposition in so far as this is the determinateness which, as a whole, is reflected into itself. On account of their selfsubsistence, they constitute the implicitly determined opposition. Each is itself and its other; consequently, each has its determinateness not in an other, but in its own self. Each is self-referred, and the reference to its other is only a self-reference. This has a twofold aspect: each is a reference to its non-being as a sublating of this otherness within it; thus its non-being is only a moment in it. But on the other hand positedness here has become a being, an indifferent ssistence; consequently, the other of itself which each contains is also the non-being of that in which it is supposed to be contained only as a moment. Each therefore is, only in so far as its non-being is, and is in an identical relationship with it.

> {#913} §913 Die Bestimmungen, welche das Positive und Negative konstituiren, bestehen also darin, daß das Positive und das Negative erstens absolute Momente des Gegensatzes sind; ihr Bestehen ist untrennbar Eine Reflexion; es ist Eine Vermittelung, in welcher jedes durch das Nichtseyn seines Andern, damit durch sein Anderes oder sein eigenes Nichtseyn ist.—So sind sie Entgegengesetzte überhaupt; oder jedes ist nur das Entgegengesetzte des Andern; das eine ist noch nicht positiv, und das andre noch nicht negativ, sondern beide sind negativ gegen einander. Jedes ist so überhaupt erstens insofern das Andre ist; es ist durch das Andre, durch sein eignes Nichtseyn, das was es ist; es ist nur Gesetztseyn; zweitens es ist insofern das Andre nicht ist; es ist durch das Nichtseyn des Andern das was es ist; es ist Reflexion in sich.—Dieses beides ist aber die eine Vermittelung des Gegensatzes überhaupt, in der sie überhaupt nur Gesetzte sind.

> §913 The determinations which constitute the positive and negative consist, therefore, in the fact that the positive and negative are, in the first place, absolute moments of the opposition; their subsistence is inseparably one reflection; it is a single mediation in which each is through the non-being of its other, and so is through its other or its own non-being. Thus they are simply opposites; in other words, each is only the opposite of the other, the one is not as yet positive, and the other is not as yet negative, but both are negative to one another. In the first place, then, each is, only in so far as the other is; it is what it is, through the other, through its own non-being; it is only a positedness; secondly, it is, in so far as the other is not; it is what it is, through the non-being of the other; it is reflection-into-self. But these two are the one mediation of the opposition as such, in which they are simply only posited moments

> {#914} §914 Aber ferner dieß bloße Gesetztseyn ist in sich reflektirt überhaupt; das Positive und Negative ist nach diesem Momente der äußern Reflexion gleichgültig gegen jene erste Identität, worin sie nur Momente sind; oder indem jene erste Reflexion die eigne Reflexion des Positiven und Negativen in sich selbst, jedes sein Gesetztseyn an ihm selbst ist, so ist jedes gleichgültig gegen diese seine Reflexion in sein Nichtseyn, gegen sein eigenes Gesetztseyn. Die beiden Seiten sind so bloß verschiedene, und insofern ihre Bestimmtheit, positiv und negativ zu seyn, ihr Gesetztseyn gegen einander ausmacht, so ist jede nicht an ihr selbst so bestimmt, sondern ist nur Bestimmtheit überhaupt; jeder Seite kommt daher zwar eine der Bestimmtheiten von Positivem und Negativem zu; aber sie können verwechselt werden, und jede Seite ist von der Art, daß sie ebenso gut als positiv wie als negativ genommen werden kann.

> §914 Further, however, this mere positedness is simply reflected into itself; in accordance with this moment of external reflection the positive and negative are indifferent to that first identity in which they are only moments; in other words, since that first reflection is the positive's and negative's own reflection into themselves, each is in its own self its positedness, so each is indifferent to this its reflection into its non-being, to its own positedness. The two sides are thus merely different, and in so far as their being determined as positive and negative constitutes their positedness in relation to one another, each is not in its own self so determined but is only determinateness in general. Therefore, although one of the determinatenesses of positive and negative belongs to each side, they can be changed round, and each side is of such a kind that it can be taken equally well as positive as negative.

> {#915} §915 Aber das Positive und Negative ist drittens nicht nur ein Gesetztes, noch bloß ein Gleichgültiges, sondern ihr Gesetztseyn oder die Beziehung auf das andere in einer Einheit, die nicht sie selbst sind, ist in jedes zurückgenommen. Jedes ist an ihm selbst positiv und negativ; das Positive und Negative ist die Reflexionsbestimmung an und für sich; erst in dieser Reflexion des Entgegengesetzten in sich ist es positiv und negativ. Das Positive hat die Beziehung auf das Andere, in der die Bestimmtheit des Positiven ist, an ihm selbst; ebenso das Negative ist nicht Negatives als gegen ein anderes, sondern hat die Bestimmtheit, wodurch es negativ ist, gleichfalls in ihm selbst.

> §915 But thirdly, the positive and negative are not only something posited, not merely an indifferent something, but their positedness, or the reference-to-other in a unity which they are not themselves, is taken back into each. Each is in its own self positive and negative; the positive and negative are the determination of reflection in and for itself; it is only in this reflection of opposites into themselves that they are positive and negative. The positive has within itself the reference-to-other in which the determinateness of the positive is; similarly, the negative is not a negative as contrasted with an other, but likewise possesses within itself the determinateness whereby it is negative.

##### C Der Widerspruch / Contradiction

###### 1. Der Unterschied ueberhaupt

> {#931} §931 Der Unterschied überhaupt enthält seine beiden Seiten als Momente; in der Verschiedenheit fallen sie gleichgültig auseinander; im Gegensatze als solchem sind sie Seiten des Unterschiedes, eines nur durchs andere bestimmt, somit nur Momente; aber sie sind ebenso sehr bestimmt an ihnen selbst, gleichgültig gegen einander und sich gegenseitig ausschließend; die selbstständigen Reflexions-Bestimmungen.

> §931 Difference as such contains its two sides as moments; in diversity they fall indifferently apart; in opposition as such, they are sides of the difference, one being determined only by the other, and therefore only moments; but they are no less determined within themselves, mutually indifferent and mutually exclusive: the self-subsistent determinations of reflection.

> {#934} §934 Der Unterschied überhaupt ist schon der Widerspruch an sich; denn er ist die Einheit von solchen, die nur sind, insofern sie nicht eins sind,—und die Trennung solcher, die nur sind als in derselben Beziehung getrennte. Das Positive und Negative aber sind der gesetzte Widerspruch, weil sie als negative Einheiten, selbst das Setzen ihrer, und darin jedes das Aufheben seiner und das Setzen seines Gegentheils ist.—Sie machen die bestimmende Reflexion als ausschließende aus; weil das Ausschließen Ein Unterscheiden, und jedes der Unterschiedenen als Ausschließendes selbst das ganze Ausschließen ist, so schließt jedes in ihm selbst sich aus.

> §934 Difference as such is already implicitly contradiction; for it is the unity of sides which are, only in so far as they are not one-and it is the separation of sides which are, only as separated in the same relation. But the positive and negative are the posited contradiction because, as negative unities, they are themselves the positing of themselves, and in this positing each is the sublating of itself and the positing of its opposite. They constitute the determining reflection as exclusive; and because the excluding of the sides is a single act of distinguishing and each of the distinguished sides in excluding the other is itself the whole act of exclusion, each side in its own self excludes itself.

Here we need a [[unity of opposites]] that expresses "difference as such". The obvious candidate is the opposition between [[false]] and [[true]]. And indeed, in [[type theory]]/[[categorical logic]] these are again given by [[empty type]] $\emptyset$ and [[unit type]] $\ast$ which form an [[adjunction]]

$$
  Abs.\,Contradiction
  \colon
  \array{
     false & \emptyset &\dashv& \ast & true
  }
$$

Technically this is the same adjunction as that between [[nothing]] and [[being]] as around [§134](#134) in the Seinslogik. Indeed that makes sense: the tower of determination of the Seinslokig should repeat in the Wesenslogik, but reflected, and hence with different meaning.

> {#938} §938 Das Negative ist also die ganze, als Entgegensetzung auf sich beruhende Entgegensetzung, der absolute sich nicht auf Anderes beziehende Unterschied; er schließt als Entgegensetzung die Identität von sich aus; aber somit sich selbst, denn als Beziehung auf sich bestimmt er sich als die Identität selbst, die er ausschließt.

> §938 The negative is, therefore, the whole opposition based, as opposition, on itself, absolute difference that is not related to an other; as opposition, it excludes identity from itself — but in doing so excludes itself; for as self-relation it is determined as the very identity that it excludes.

###### 2. Der Widerspruch löst sich auf


> {#943} §943 Nach dieser positiven Seite, daß die Selbstständigkeit im Gegensatze, als ausschließende Reflexion sich zum Gesetztseyn macht, und es ebenso sehr aufhebt, Gesetztseyn zu seyn, ist der Gegensatz nicht nur zu Grunde, sondern in seinen Grund zurückgegangen.— Die ausschließende Reflexion des selbstständigen Gegensatzes macht ihn zu einem Negativen, nur Gesetzten; sie setzt dadurch ihre zunächst selbstständigen Bestimmungen, das Positive und Negative, zu solchen herab, welche nur Bestimmungen sind; und indem so das Gesetztseyn zum Gesetztseyn gemacht wird, ist es überhaupt in seine Einheit mit sich zurückgekehrt; es ist das einfache Wesen, aber das Wesen als Grund. Durch das Aufheben der sich an sich selbst widersprechenden Bestimmungen des Wesens, ist dieses wiederhergestellt, jedoch mit der Bestimmung, ausschließende Reflexionseinheit zu seyn,—einfache Einheit, welche sich selbst als Negatives bestimmt, aber in diesem Gesetztseyn unmittelbar sich selbst gleich und mit sich zusammen-gegangen ist.

> § 943 According to this positive side, in which the self-subsistence in opposition, as the excluding reflection, converts itself into a positedness which it no less sublates, opposition is not only destroyed [zugrunde gegangen] but has withdrawn into its ground. The excluding reflection of the self-subsistent opposition converts this into a negative, into something posited; it thereby reduces its primarily self-subsistent determinations, the positive and negative, to the status of mere determinations; and the positedness, being thus made into a positedness, has simply returned into its unity with itself; it is simple essence, but essence as ground. Through the sublating of its inherently self-contradictory determinations, essence has been restored, but with this determination, that it is the excluding unity of reflection-a simple unity that determines itself as a negative, but in this positedness is immediately like itself and united with itself.


> {#944} §944 Zunächst geht also der selbstständige Gegensatz durch seinen Widerspruch in den Grund zurück; jener ist das Erste, Unmittelbare, von dem angefangen wird, und der aufgehobene Gegensatz oder das aufgehobene Gesetztseyn ist selbst ein Gesetztseyn. Somit ist das Wesen als Grund ein Gesetztseyn, ein Gewordenes. Aber umgekehrt hat sich nur dieß gesetzt, daß der Gegensatz oder das Gesetztseyn ein Aufgehobenes, nur als Gesetztseyn ist. Das Wesen ist also als Grund so ausschließende Reflexion, daß es sich selbst zum Gesetztseyn macht, daß der Gegensatz, von dem vorhin der Anfang gemacht wurde und der das Unmittelbare war, die nur gesetzte, bestimmte Selbstständigkeit des Wesens ist, und daß er nur das sich an ihm selbst Aufhebende, das Wesen aber das in seiner Bestimmtheit in sich Reflektirte ist. Das Wesen schließt als Grund sich von sich selbst aus, es setzt sich; sein Gesetztseyn,—welches das Ausgeschlossene ist,—ist nur als Gesetztseyn, als Identität des Negativen mit sich selbst. Dieß Selbstständige ist das Negative, gesetzt als Negatives; ein sich selbst Widersprechendes, das daher unmittelbar im Wesen als seinem Grunde bleibt.



> §944 In the first place, therefore, the self-subsistent opposition through its contradiction withdraws into ground; this opposition is the prius, the immediate, that forms the starting point, and the sublated opposition or the sublated positedness is itself a positedness. Thus essence as ground is a positedness, something that has become. But conversely, what has been posited is only this, that opposition or positedness is a sublated positedness, only is as positedness. Therefore essence as ground is the excluding reflection in such wise that it makes its own self into a positedness, that the opposition from which we started and which was the immediate, is the merely posited, determinate self-subsistence of essence, and that opposition is merely that which sublates itself within itself, whereas essence is that which, in its determinateness, is reflected into itself. Essence as ground excludes itself from itself, it posf its elf; its positedness — which is what is excluded — is only as positedness, as identity, of the negative with itself. This self-subsistent is the negative posited as negative; it is self-contradictory and therefore remains immediately in essence as-init ground.



> {#945} §945 Der aufgelöste Widerspruch ist also der Grund,

> §945 The resolved contradiction is therefore ground, essence as unity of the positive and negative.

By the discussion at [§931](#931) the contradiction in question is given by the adjunction between [[false]]=[[empty type]] and [[true]]=[[unit type]]. The [[Aufhebung]] of that proceeds via the [[sharp modality]] exactly as for [[becoming]] as discussed around [§183](#183) following the technical discussion at _[Aufhebung -- over cohesive sites](Aufhebung#ExamplesBecomingFormalization)_.


$$
  \array{
    && \vdots && \vdots
    \\
    && \bot && \bot
    \\
    && \flat &\dashv& \sharp
    \\
    &&\vee &\stackrel{Aufhebung \atop {des\;Widerspruchs}}{}& \vee
    \\
    &&\emptyset &\stackrel{abs.\,Widerspruch}{\dashv}& \ast
    \\
    Wesen
  }
$$

The question then remains which part of this diagram is to carry the name "Grund".
From [§945](#945) Grund might be the Aufhebung itself, that would make it the analog in the Wesenslogik of the Dasein in the Seinslogik, which was the Aufhebung of [[becoming]].

However, the analog of Dasein in the Wesen should be another determination of being, and "Grund" seems not to be the right word for a determination of being. It seems rather that Grund is to go along with "Existenz" which is a decent name for a determination of being.

So if Grund is not the process of the above Aufhebung, then maybe it is that wherein which we have Aufhebung. By the above these are the [[sharp modality|sharp]]-[[modal types]].

This now has a certain charm to it, because these of course form the [[base topos]]/[[base (infinity,1)-topos|base infinity topos]] of the topos which is the Wesen, and for _that_ the term "Grund" is rather fitting.

So in the [Proceß](#Process) we tentatively label the fragment as

$$
  \array{
    && \vdots && \vdots
    \\
    && \bot && \bot
    \\
    && \flat &\dashv& \sharp & \stackrel{Grund}{}
    \\
    &&\vee &\stackrel{Aufhebung \atop {des\;Widerspruchs}}{}& \vee
    \\
    &&\emptyset &\stackrel{abs.\;Widerspruch}{\dashv}& \ast
    \\
    Wesen
  }
$$




#### Der Grund

> {#964} §964 Das Wesen bestimmt sich selbst als Grund.

> Wie das Nichts zuerst mit dem Seyn in einfacher unmittelbarer Einheit, so ist auch hier zuerst die einfache Identität des Wesens mit seiner absoluten Negativität in unmittelbarer Einheit. Das Wesen ist nur diese seine Negativität, welche die reine Reflexion ist. Es ist diese reine Negativität als die Rückkehr des Seyns in sich; so ist es an sich oder für uns bestimmt, als der Grund, in dem sich das Seyn auflöst. Aber diese Bestimmtheit ist nicht durch es selbst gesetzt; oder es ist nicht Grund, eben insofern es diese seine Bestimmtheit nicht selbst gesetzt hat. Seine Reflexion aber besteht darin, sich als das, was es an sich ist, als Negatives zu setzen und sich zu bestimmen. Das Positive und Negative machen die wesenhafte Bestimmung aus, in die es als in seine Negation verloren ist. Diese selbstständigen Reflexions-Bestimmungen heben sich auf, und die zu Grunde gegangene Bestimmung ist die wahrhafte Bestimmung des Wesens.

> {#964} §964 Essence determines itself as ground.

> §964 Just as nothing is at first in simple immediate unity with being, so here too the simple identity of essence is at first in immediate unity with its absolute negativity. Essence is only this its negativity, which is pure reflection. It is this pure negativity as the return of being into itself; as such, it is determined in itself, or for us, as ground in which being is dissolved. But this determinateness is not posited by essence itself; in other words, essence is not ground except in so far as it has itself posited this its determinateness. Its reflection, however, consists in its positing and determining itself as that which it is in itself, as a negative. The positive and negative constitute that determination of essence in which essence is lost in its negation. These self-subsistent determinations of reflection sublate themselves, and the determination that has fallen to the ground [zugrunde gegangene] is the true determination of essence.


On this see the discussion around [§945](#945)


> §964 Essence determines itself as ground.

> {#968} §968 Der Grund ist zuerst absoluter Grund, in dem das Wesen zunächst als Grundlage überhaupt für die Grundbeziehung ist; näher bestimmt er sich aber als Form und Materie, und giebt sich einen Inhalt.

> Zweitens ist er bestimmter Grund, als Grund von einem bestimmten Inhalt; indem die Grundbeziehung sich in ihrer Realisirung überhaupt äußerlich wird, geht sie in die bedingende Vermittelung über.

> Drittens, der Grund setzt eine Bedingung voraus; aber die Bedingung setzt ebenso sehr den Grund voraus; das Unbedingte ist ihre Einheit, die Sache an sich, die durch die Vermittelung der bedingenden Beziehung in die Existenz übergeht.

> Ground is first, absolute ground, in which essence is, in the first instance, a substrate for the ground relation; but it further determines itself as form and matter and gives itself a content.

> Secondly, it is a determinate ground as ground of a determinate content; in that the ground relation in its realisation as such becomes external to itself, it passes over into conditioning mediation.

> Thirdly, ground presupposes a condition; but the condition no less presupposes the ground; the unconditioned is their unity, the fact in itself, which through the mediation of the conditioning relation passes over into Existence.

##### A. Der absolute Grund

###### a. Form und Wesen

> {#970} §970 der Grund ist als das aufgehobene Bestimmtseyn nicht das Unbestimmte, sondern das durch sich selbst bestimmte Wesen, aber als unbestimmt oder als aufgehobenes Gesetztseyn Bestimmtes. Er ist das Wesen, das in seiner Negativität mit sich identisch ist.

> §970 The determination of reflection, in so far as it withdraws into ground, is a first, an immediate determinate being in general, which forms the starting point. But determinate being still has only the meaning of positedness and essentially presupposes a ground-in the sense that it does not really posit a ground, that this positing is a sublating of itself, that really it is the immediate that is the posited, and ground the not-posited. As we have seen, this presupposing is positing that recoils on that which posits: ground, as the determination that has been sublated, is not indeterminate; it is essence determined through itself, but determined as undetermined, or as a sublated positedness. Ground is essence that in its negativity is identical with itself.

> Der Form gehört überhaupt alles Bestimmte an; es ist Formbestimmung, insofern es ein Gesetztes, hiermit von einem solchen, dessen Form es ist, Unterschiedenes ist; die Bestimmtheit als Qualität ist eins mit ihrem Substrat, dem Seyn; das Seyn ist das unmittelbar Bestimmte, das von seiner Bestimmtheit noch nicht unterschieden,—oder das in ihr noch nicht in sich reflektirt, so wie diese daher eine seyende, noch nicht eine Gesetzte ist.—Die Formbestimmungen des Wesens sind ferner als die Reflexions-Bestimmtheiten, ihrer nähern Bestimmtheit nach, die oben betrachteten Momente der Reflexion. Die Identität, und der Unterschied, dieser Theils als Verschiedenheit, Theils als Gegensatz. Ferner aber gehört auch die Grundbeziehung dazu, insofern sie zwar die aufgehobene Reflexions-Bestimmung aber dadurch das Wesen zugleich als Gesetztes ist. Dagegen gehört zur Form nicht die Identität, welche der Grund in sich hat, nämlich daß das Gesetztseyn als aufgehobenes und das Gesetztseyn als solches,—der Grund und das Begründete,—Eine Reflexion ist, welche das Wesen als einfache Grundlage ausmacht, die das Bestehen der Form ist. Allein dieß Bestehen ist im Grunde gesetzt; oder dieß Wesen ist selbst wesentlich als bestimmtes; somit ist es auch wieder das Moment der Grundbeziehung und Form.—Dieß ist die absolute Wechselbeziehung der Form und des Wesens, daß dieses einfache Einheit des Grundes und des Begründeten, darin aber eben selbst bestimmt oder Negatives ist, und sich als Grundlage von der Form unterscheidet, aber so zugleich selbst Grund und Moment der Form wird.

> {#973a} §973a Das Wesen hat eine Form und Bestimmungen derselben.

> §973a Essence has a form and determinations of the form.

Notice that "Form" also means _shape_. By the discussion at [§812](#812),[§816](#816),  the Essence  is formalized as the ambient [[(infinity,1)-topos|topos]]. In view of this [§973](#973) translates to "The topos has a shape", and indeed there is the concept of [[shape of an (infinity,1)-topos|shape of an infinity-topos]].
This is just what is reflected by the [[shape modality]] $&#643;$.

Morover, given a [[type]] $X$ in the Wesen, hence in [[cohesive homotopy type theory]], it makes good sense to refer to $&#643; X$ as the  _shape_ of that [[homotopy type]] -- which is in the established traditional sense of _[[shape theory]]_ . This is indeed what the name "shape modality" is alluding to.

See the discussion below [§989](#989) for the dual moment.


> {#973b} §973b Erst als Grund hat es eine feste Unmittelbarkeit oder ist Substrat.

> §973b It is only as ground that it has a fixed immediacy or is a substrate.


###### b. Form und Materie
 {#FormUndMaterie}

> {#978} §978 Das Wesen wird zur Materie, indem seine Reflexion sich bestimmt, zu demselben als zu dem formlosen Unbestimmten sich zu verhalten.

> §978 Essence becomes matter in that its reflection is determined as relating itself to essence as to the formless indeterminate.

> {#980} §980 Die Materie muß daher formirt werden, und die Form muß sich materialisiren,

> {#981} §981 2. Die Form bestimmt daher die Materie, und die Materie wird von der Form bestimmt.

> §981 2. Hence form determines matter, and matter is determined by form.

Notice by [§1068](#1068) that here indeed _Materie_ refers to the physical world (even if physical _nature_ only appears much further down in [PN§192](#PN192)) and explicitly refers also to [[physical fields]].

###### c. Form und Inhalt.
 {#FormUndInhalt}

> {#989} §989 Die Form steht zuerst dem Wesen gegenüber; so ist sie Grundbeziehung überhaupt, und ihre Bestimmungen, der Grund und das Begründete. Alsdenn steht sie der Materie gegenüber; so ist sie bestimmende Reflexion und ihre Bestimmungen sind die Reflexionsbestimmung selbst und das Bestehen derselben. Endlich steht sie dem Inhalte gegenüber,

> §989 At first, form stands opposed to essence; it is then the simple ground relation, and its determinations are the ground and the grounded. Secondly, it stands opposed to matter; it is then determining reflection, and its determinations are the reflected determination itself and the subsistence of the determination. Lastly, it stands opposed to content;

Above in the discussion at [§973a](#973a) we identified the moment of "form" with the shape modality at the reflected level of the Wesen, since for $X$ a [[type]] in [[cohesive homotopy type theory]], then $&#643; X$ is indeed naturally pronounced as the "shape of the homotopy type" in the traditional sense of [[shape theory]].

In this vein, the collection of all global points $\ast \to X$ in $X$, hence its [[flat modality]] $\flat X$ is naturally pronounced as the "content" of that type. It is literally the collection of unit types ( _ones_ [§340](#340))-- that it _contains_ .

Indeed, if one thinks of $X$ as a [[cohesive homotopy type]], then $\flat X$ is the _underlying bare homotopy type_ with its cohesion forgotten.

This terminology is motivated from and well adapted to the picture in chemistry (see at _[[motivation for cohesive toposes]]_): imagine a chunk of chemical substance, then its plain content of substance is the collection of all the separate molecules -- quantified by the number of moles of the substance -- whereas in remembering just this number  all memory of the shape and cohesion of the substance has been forgotten. Indeed, by [§1068](#1068), this reference to chemistry seems to be entirely intended.

Therefore it is natural to pronounce the [[flat modality]] $\flat$, as the _content_, _Inhalt_. And so then by [§973a](#973a) its [[adjunction]] with the [[shape modality]] yields a [[unity of opposites]]

$$
  \array{
     form & &#643; & \dashv & \flat & content
  }
$$

which is naturally identified with what the text in [§989](#989) alludes to.

It remains to find the name of this [[unity of opposites]]:


> {#990} §990 Der Inhalt hat erstlich eine Form und eine Materie, die ihm angehören und wesentlich sind; er ist ihre Einheit.

> §990 The content is, first, a form and a matter which belong to it and are essential; it is their unity

So form-content-matter form a [[unity of opposites]].  The exact form of [§990](#990) suggests to take $(form \stackrel{content}{\dashv} matter)$, which however seems a bit awkward. But by [§989](#989) there seems to be some flexibility in these three terms opposing each other, and if we appeal to that and declare that we should put


$$
  \array{
     form & &#643; & \stackrel{matter}{\dashv} & \flat & content
  }
$$

then it works out nicely:  Notice by [§1068](#1068) that "matter" here includes _[[physical fields]]_ such as explicitly the [[electromagnetic field]], hence _[[gauge fields]]_. Now this matches: by the discussion at _[[differential cohomology hexagon]]_ the adjunction $&#643; \dashv \flat$ is precisely what axiomatizes [[higher gauge fields]] in the form of [[cocycles]] in [[differential cohomology]].

This fits indeed rather well, as it means that we recover at the stage of the Wesenslogik what we already had at the stage of the Seinslogik (where the appearance of [[gauge fields]] via the above adjunction is discussed around [§714](#714)).

But we should maybe make notationally more explicit (than would have been possibl in 1812) that, by [§1068](#1068), "matter" here means "[[physical fields]] and matter" and specifically [[gauge fields]]. Therefore in the [Proceß](#Process) we add the stage:

$$
  \array{
     form & &#643; & \stackrel{(gauge)\,fields}{\dashv} & \flat & content
  }
  \,.
$$

Notice that in the Naturphilosophie [PN§204](#PN204) this unity of opposites of attraction and repulsion becomes _gravity_.



##### B. Der bestimmte Grund

###### a. Der formelle Grund

###### b. Der reale Grund

###### c. Der vollstaendige Grund

##### C. Die Bedingung

###### a. Das relativ Unbedingte

> {#1021} §1021 Der Grund ist das Unmittelbare und das Begründete das Vermittelte.

> §1021 Ground is the immediate, and the grounded the mediated.

|  | Begriffslogik | [[natural deduction]] |
|--|---------------|-----------------------|
| unmittlebar | Grund         | [[antecedent]]       |
| vermittelt  | das Begründete | [[succedent]]/[[consequent]] |


###### b. Das absolute Unbedingte

###### c. Hervorgang der Sache in die Existenz

> {#1033} §1033 Wenn alle Bedingungen einer Sache vorhanden sind, so tritt sie in die Existenz.

> §1033 When all the conditions of a fact are present, it enters into Existence.

This is [[term introduction]] via the [[natural deduction]] from the [[antecedent]] of the term introduction rule. More of this in [§1035](#1035)

> {#1035} §1035 Die Sache geht aus dem Grunde hervor. Sie wird nicht durch ihn so begründet oder gesetzt, daß er noch unten bliebe, sondern das Setzen ist die Herausbewegung des Grundes zu sich selbst, und das einfache Verschwinden desselben. Er erhält durch die Vereinigung mit den Bedingungen die äußerliche Unmittelbarkeit und das Moment des Seyns.

> §1035 The fact emerges from the ground. It is not grounded or posited by it in such a manner that ground remains as a substrate; on the contrary, the positing is the movement of the ground outwards to itself and its simple vanishing.

>  This immediacy that is mediated by ground and condition and is self-identical through the sublating of mediation, is Existence.

### Die Erscheinung

> {#1036} §1036 Das Wesen muß erscheinen.

> §1036 Essence must appear

Notice that by [§816](#816) this "appear" is short for "appear in itself".

> {#1037} §1037 So erscheint das Wesen. Die Reflexion ist das Scheinen des Wesens in ihm selbst.

> Thus appears essence . Reflection is the appearance of essence within itself.

This nicely explicitly re-iterates [§816](#816). See the discussion there about translating this to "The ambient category appears reflected within itself".

#### Die Existenz / Existence.

> {#1040} §1040 Just as the proposition of ground states that whatever is has a ground, or is something posited or mediated, so too we must formulate a proposition of Existence, and in these terms: whatever is, exists. The truth of being is to be, not a first immediate, but essence that has emerged into immediacy.

##### A. Das Ding und seine Eigenschaften.

> {#1048} §1048 Das Ding wird von seiner Existenz unterschieden, wie das Etwas von seinem Seyn unterschieden werden kann.

> §1048 The thing is distinct from its Existence just as something can be distinguished from its being.

This means that the _Ding_ repeats (reflected) the _Etwas_ from the Seinslogik in [§221](#221).

Moreover the two moments of _Etwas_ ( Ansichsein und Sein-für-anderes, according to[§221](#221)) now become _Ding-an-sich_ und _äußerliche Existenz_:

> {#1048c} §1048c die Existenz als solche enthält diese Unterscheidung selbst in dem Momente ihrer Vermittlung, – den Unterschied von Ding-an-sich und von äußerlicher Existenz.

> §1048c Existence as such contains this distinction itself in the moment of its mediation; the distinction of thing-in-itself and of external Existence.




|  Sphäre |     |    Moment      |  Einheit |   Komoment      |          |
|------|--------|------------|---|------------------|----------------|
| **Seinslogik** | Dasein | Ansichsein | Etwas  |  Sein-für-Anderes | [§226](#226)   |
| **Wesenslogik**    | Existenz |  Inneres / Ding-An-Sich |  Ding  | Äußeres   | [§1048c](#1048c), [§1149](#1149) |
| **Begriffslogik**  |  | Begriff    | Idee | Wirklichkeit   | [§1636](#1636) |



###### a. Ding an sich und Existenz.

From the _Shorter Logic_:


> {#EL124} EL§124 Die Reflexion-in-Anderes des Existierenden ist aber ungetrennt von der Reflexion-in-sich; der Grund ist ihre Einheit, aus der die Existenz hervorgegangen ist. Das Existierende enthält daher die Relativität und seinen mannigfachen Zusammenhang mit anderen Existierenden an ihm selbst und ist in sich als Grund reflektiert. So ist das Existierende Ding. Das Ding-an-sich, das in der Kantischen Philosophie so berühmt geworden, zeigt sich hier in seiner Entstehung, nämlich als die abstrakte Reflexion-in-sich, an der gegen die Reflexion-in-Anderes und gegen die unterschiedenen Bestimmungen überhaupt als an der leeren Grundlage derselben festgehalten wird.

> {#EL124Zusatz} EL§124Zusatz  Wenn behauptet wird, daß das Ding-an-sich unerkennbar sei, so ist dies insofern zuzugeben, als man unter dem Erkennen das Auffassen eines Gegenstandes in seiner konkreten Bestimmtheit zu verstehen hat, das Ding-an-sich aber nichts anderes ist als das ganz abstrakte und unbestimmte Ding überhaupt.

See also [§227](#227)

The abstract and undetermined thing in itself: the generic object $X$ in the [classifying topos for objects](classifying+topos#ForObjects) $\mathbf{H}[X] = [\infty Grpd_{fin}, \mathbf{H}]$.

Recall that the nothing-anti-modal types, hence the $\ast \underset{\emptyset}{\coprod}(-)$-modal types (algebras over the [[maybe monad]]) are the [[pointed objects]]. Positing a pointed thing in itself in $\mathbf{H}[X_\ast]$ would be to posit a thing that negates nothingness. (Not sure if Hegel's text ever says it this way (maybe [§210a](#210a), [EL§91](#EL91)), but this is now how it comes out of the formalization.)

The notion $\mathbf{H}[X_\ast]$ with a nothing-negating thing-in-itself carries a tower of monads which is the [[Goodwillie-Taylor tower]], ending in the [[tangent (infinity,1)-topos]] $T \mathbf{H} \to \mathbf{H}$.

See also [§209b](#209b).

> EL§124ZusatzB Mit demselben Recht übrigens, mit welchem vom Ding-an-sich gesprochen wird, wäre auch von der Qualität-an-sich, von der Quantität-an-sich und ebenso weiter von allen übrigen Kategorien zu sprechen und  würden darunter diese Kategorien in ihrer abstrakten Unmittelbarkeit, d. h. abgesehen von ihrer Entwicklung und inneren Bestimmtheit zu verstehen sein.  Es ist insofern als eine Willkür des Verstandes zu betrachten, wenn gerade nur das Ding in seinem Ansich fixiert wird. Weiter pflegt nun aber auch das Ansich auf den Inhalt der natürlichen sowohl als auch der geistigen Welt angewendet und demgemäß z. B. von der Elektrizität oder von der Pflanze an sich und ebenso vom Menschen oder vom Staat an sich gesprochen und unter dem Ansich dieser Gegenstände das Rechte und Eigentliche derselben verstanden zu werden. Hiermit verhält es sich nicht anders als mit dem Ding-an-sich überhaupt, und zwar näher so, daß, wenn bei dem bloßen Ansich der Gegenstände stehengeblieben wird, dieselben nicht in ihrer Wahrheit, sondern in der einseitigen Form der bloßen Abstraktion aufgefaßt werden. So ist z. B. der Mensch-an-sich das Kind, dessen Aufgabe darin besteht, nicht in diesem abstrakten und unentwickelten Ansich zu verharren, sondern das, was es zunächst nur an sich ist - nämlich ein freies und vernünftiges Wesen -, auch für sich zu werden. Ebenso ist der Staat-an-sich der noch unentwickelte, patriarchalische Staat, in welchem die im Begriff des Staats liegenden verschiedenen politischen Funktionen noch nicht zu ihrer begriffsmäßigen Konstituierung gelangt sind. In demselben Sinn kann auch der Keim als die Pflanze-an-sich betrachtet werden. Aus diesen Beispielen ist zu entnehmen, daß man sich sehr im Irrtum befindet, wenn man meint, das Ansich der Dinge oder das Ding-an-sich überhaupt sei etwas für unser Erkennen Unzugängliches. Alle Dinge sind zunächst an sich, allein es hat dabei nicht sein Bewenden, und so wie der Keim, welcher die Pflanze an sich ist, nur dies ist, sich zu entwickeln, so schreitet auch das Ding überhaupt über sein bloßes Ansich, als die abstrakte Reflexion-in-sich, dazu fort, sich auch als Reflexion-in-Anderes zu erweisen, und so hat es Eigenschaften.

###### b. Die Eigenschaft.

> {#1056} §1056 Die Qualität ist die unmittelbare Bestimmtheit des Etwas; das Negative selbst, wodurch das Seyn Etwas ist.

> §1056 Quality is the immediate determinateness of something, the negative itself through which being is something.

###### c. Die Wechselwirkung der Dinge.

> {#1064} §1064 Das Ding-an-sich existiert wesentlich; die äußerliche Unmittelbarkeit und die Bestimmtheit gehört zu seinem Ansichsein oder zu seiner Reflexion-in-sich. Das Ding-an-sich ist dadurch ein Ding, das Eigenschaften hat, und es sind dadurch mehrere Dinge, die nicht durch eine ihnen fremde Ruecksicht, sondern sich durch sich selbst voneinander unterscheiden.

> §1064 The thing-in-itself essentially exists; the external immediacy and determinateness belongs to its in-itself or to its reflection-into-self. By virtue of this, the thing-in-itself is a thing which has properties, and hence there are a number of things which are distinguished from one another not in respect of something alien to them but through themselves.


> {#1065a} §1065a Diese mehreren verschiedenen Dinge stehen in wesentlicher Wechselwirkung durch ihre Eigenschaften; die Eigenschaft ist diese Wechselbeziehung selbst, und das Ding ist nichts außer derselben;

> §1065a These many different things stand in essential reciprocal action via their properties; the property is this reciprocal relation itself and apart from it the thing is nothing;

This is the concept of [[structuralism]]. As discussed there, at least to some extent this is captured by [[category theory]], where the nature of [[objects]] is entirely determined and only determined by the [[morphisms]] relating objects to each other.

Hence we read _thing_ here as _object_ of the ambient [[topos]].


> {#1065b} §1065b die gegenseitige Bestimmung, die Mitte der Dinge-an-sich, die als Extreme gleichgültig gegen diese ihre Beziehung bleiben sollten, ist selbst die mit sich identische Reflexion und das Ding-an-sich, das jene Extreme sein sollten.


> §1065b the reciprocal determination, the middle terms of the things-in-themselves, which, as extremes, are supposed to remain indifferent to this their relation, is itself the self-identical reflection and the thing-in-itself which these extremes are supposed to be. Thinghood is thus reduced to the form of indeterminate identity-with-self which has its essentiality only in its property. If, therefore, one is speaking of a thing or things in general without any determinate property, then their difference is merely indifferent, quantitative. What is considered as one thing can equally be made into or considered as several things; the separation or union of them is external. A book is a thing and each of its leaves is also a thing, and so too is each bit of its pages, and so on to infinity. The determinateness through which one thing is this thing only, lies solely in its properties. Through them it distinguishes itself from other things, because property is negative reflection and a distinguishing; the thing therefore contains the difference of itself from other things solely in its property. This is the difference reflected into itself, through which the thing, in its positedness, that is, in its relation to another, is at the same time indifferent to the other and to its relation to it. All that remains therefore to the thing without its properties is abstract being-in-self or initselfness, an unessential compass and external holding together. The true in-itself is the in-itself in its positedness: and this is property. With this, thinghood has passed over into property.

##### B. Das Bestehen des Dings aus Materien.
 {#BestehenDesDingsAusMaterien}

> {#1068} §1068 Der Übergang der Eigenschaft in eine Materie oder in einen selbstständigen Stoff ist der bekannte Übergang, den an der sinnlichen Materie die Chemie macht, indem sie die Eigenschaften der Farbe, des Geruchs, des Geschmacks u.s.f. als Lichtstoff, Färbestoff, Riechstoff, sauren, bittern u.s.f. Stoff darzustellen sucht oder andere wie den Wärmestoff, die elektrische, magnetische Materie geradezu nur annimmt, und damit die Eigenschaften in ihrer Wahrhaftigkeit zu handhaben überzeugt ist.—Ebenso geläufig ist der Ausdruck, daß die Dinge aus verschiedenen Materien oder Stoffen bestehen. Man hütet sich, diese Materien oder Stoffe Dinge zu nennen; ob man wohl auch einräumen wird, daß z.B. ein Pigment, ein Ding ist; ich weiß aber nicht, ob z.B. auch der Lichtstoff, der Wärmestoff, oder die elektrische Materie u.s.f. Dinge genannt werden. Man unterscheidet die Dinge und ihre Bestandtheile, ohne genau anzugeben, ob diese und in wie weit sie auch Dinge, oder etwa nur Halbdinge seyen; aber Existirende überhaupt sind sie wenigstens.

> §1068 The transition of property into a matter or into a self-subsistent stuff is the familiar transition performed on sensible matter by chemistry when it seeks to represent the properties of colour, smell, taste and so on, as luminous matter, colouring matter, odorific matter, sour, bitter matter and so on, or merely straightway postulates others like heat matter or caloric, electrical and magnetic matter, in the conviction that it has got hold of properties in their truth. Equally current is the expression that things consist of various matters. One is careful not to call these matters things; although it would certainly be admitted that, e.g. a pigment is a thing; but I do not know whether e.g. luminous matter, heat matter or electrical matter and so on, are also called things. Things and their constituents are distinguished without it being exactly stated whether and to what extent the latter are also things or perhaps only half things; but they are at least existents in general.

Despite -- and in fact via -- this cautioning remark, this says that the word _Materie_ as used before in _[Form und Materie](#FormUndMaterie)_ and _[Form und Inhalt](#FormUndInhalt)_ is indeed meant what the physical world is made of. Notice

1. how the reference to chemical substances harmonizes with the chemical imagery going with [[cohesion]] in the discussion below [§989](#989);

1. that not just genuine matter but also what in modern parlance is called _[[physical fields]]_, notably  _[[gauge fields]]_ ("Lichtstoff" = [[light]], "elektrische Materie" =[[electromagnetic field]]), is explicitly included.

To highlight this we should maybe write  _Materiefelder_ or just _Felder_ or even _Eichfelder_ instead, which is what we do in the [Proceß](#Process)-diagram.

It is maybe noteworthy that some physics appears here in the Wesenslogik, even though _nature_ will not appear before [PN§192](#PN192).



> Die Nothwendigkeit, von den Eigenschaften zu Materien überzugehen, oder daß die Eigenschaften in Wahrheit Materien sind, hat sich daraus ergeben, daß sie das Wesentliche und damit das wahrhaft Selbstständige der Dinge sind.



##### C. Die Auflösung des Dinges.

> Die Existenz hat in diesem Dinge ihre Vollständigkeit erreicht, nämlich in Einem an sich seyendes Seyn oder selbstständiges Bestehen, und unwesentliche Existenz zu seyn; die Wahrheit der Existenz ist daher, ihr Ansichseyn in der Unwesentlichkeit, oder ihr Bestehen in einem Andern und zwar dem absolut Andern, oder zu ihrer Grundlage ihre Nichtigkeit zu haben. Sie ist daher Erscheinung.

#### Die Erscheinung

> {#1084} §1084 Die Erscheinung ist daher Einheit des Scheins und der Existenz

> §1084 Appearance is accordingly the unity of illusory being and Existence.

(Here the English translation does not really seem to work...)

#### Das wesentliche Verhältnis

##### Das Verhältnis des Ganzen und der Teile

##### Das Verhältnis der Kraft und ihrer Auesserung

##### Verhaeltnis des Inneren und Aeusseren

> {#1149} §1149 Das innere ist als die Form der reflektierten Unmittelbarkeit oder des Wesens, gegen das Aussere als die Form des Seins bestimmt, aber beide sind nur eine Identitaet.

> §1149 The inner is determined as the form of reflected immediacy or of essence over against the outer as the form of being, but the two are only one identity.

(see also [§226](#226))

The "form of being" is to refer to the category of being, hence to the ambient $\infty$-category. Opposed to that is the [[type universe]] which is the inner reflection of that inside itself, see also [§1163b](#1163b).

Their unity hence must be [[univalence]]. See also ([§1159](1159), [§1187](#1187)).


### Die Wirklichkeit
 {#DieWirklichkeit}

> {#1158} §1158 Die Wirklichkeit ist die Einheit des Wesens und der Existenz;

> §1158 Actuality is the unity of essence and Existence

> {#1158b} §1158b in it, formless essence and unstable Appearance, or mere subsistence devoid of all determination and unstable manifoldness, have their truth.

> {#1158c} §1158c Existence is, indeed, the immediacy which has proceeded from ground, but form is not as yet posited in it. In determining and forming itself it is Appearance; and when this subsistence which is determined only as reflection-into-an-other is developed further into reflection-into-self, it becomes two worlds, two totalities of the content, one of which is determined as reflected into itself, the other as reflected into an other.

>  {#1158d} §1158d Das wesentliche Verhältnis aber stellt ihre Formbeziehung dar, deren Vollendung das Verhältnis des Inneren und Äußeren ist

> §1158d But the essential relation exhibits their form relation, the consummation of which is the relation of inner and outer in which the content of both is only one identical substrate and equally only one identity of form.

Relation between inner and outer: comparison map $(A \stackrel{\simeq}{\to}B) \to (A = B)$.


> {#1158e} §1158e By virtue of the fact that this identity is now also identity of form, the form determination of their difference is sublated, and it is posited that they are one absolute totality.

> {#1159} §1159 Diese Einheit des Innern und Äußern ist die absolute Wirklichkeit. Diese Wirklichkeit aber ist zunächst das Absolute als solches;

> §1159 This unity of inner and outer is absolute actuality. But this actuality is, in the first instance, the absolute as such — in so far as it is posited as a unity in which form has sublated itself and made itself into the empty or outer difference of an outer and inner.

If the _inner_ is the [[type universe]], being the inner reflection of the ambient category, hence of the outer ([§1149](#1149)) then the unity of the inner and the outer is [[univalence]].

> {#1160} §1160 Zweitens die eigentliche Wirklichkeit.  Wirklichkeit, Möglichkeit und Nothwendigkeit machen die formellen Momente des Absoluten, oder die Reflexion desselben aus.

> §1160 Secondly, we have actuality proper. Actuality, possibility and necessity constitute the formal moments of the absolute, or its reflection.


(beware that the [[possibility]] [[monad]] and [[necessity]] [[comonad]] are not in general [[idempotent monad|idempotent]]).

In any case, by the discussion at _[necessity and possibility -- As modality in dependent type theory](necessity+and+possibility#InFirstOrderLogicAndTypeTheory)_ the adjunction ([[possibility]] $\dashv$ [[necessity]]) characterizes [[locally cartesian closed category]]. So with the "Wesen" ("Essence") translating to the ambient category by [§812](#812), actuality proper here translates to this ambient category being a [[locally Cartesian closed category]].

For more on this see below [§1191](#1191).




> {#1161} §1161 Drittens die Einheit des Absoluten und seiner Reflexion ist das absolute Verhältniß, oder vielmehr das Absolute als Verhältniß zu sich selbst; Substanz.

> §1161 Thirdly, the unity of the absolute and its reflection is the absolute relation, or rather the absolute as relation to itself — substance.

This we come to in more detail below.

#### Das Absolute

##### A. Die Auslegung des Absoluten

> §1163b {#1163b} die Beziehung von Seyn und Wesen hat sich bis zum Verhältnisse des Innern und Aeußern fortgebildet.  Das Innere ist das Wesen aber als die Totalität, welche wesentlich die Bestimmung hat, auf das Seyn bezogen und unmittelbar Seyn zu seyn.  Das Aeußere ist das Seyn, aber mit der wesentlichen Bestimmung, auf die Reflexion bezogen unmittelbar ebenso verhältnißlose Identität mit dem Wesen zu seyn.

> §1163b the connection between being and essence has progressed to the relation of inner and outer. The inner is essence, but as totality, which essentially has the determination of connection with being and immediately to be being. The outer is being, but with the essential determination of being connected with reflection, and equally to be immediately a relationless identity with essence.


We found that being, the [[category of being]], is the full ambient $\infty$-topos $\mathbf{H}$, while essence, in its appearence in itself, is the internal [[type universe]] $Type \in \mathbf{H}$. Hence _the outer_ is the "outer type universe", the $\infty$-topos $\mathbf{H}$, regarded as the full category of being, and the inner is its essence, hence by the above its internal reflection, hence is its inner [[type universe]] $Type \in \mathbf{H}$.

> §1163c {#1163c} Das Absolute selbst ist die absolute Einheit beider; es ist dasjenige, was überhaupt den Grund des wesentlichen Verhältnisses ausmacht, das als Verhältniß nur noch nicht in diese seine Identität zurückgegangen, und dessen Grund noch nicht gesetzt ist.

> §1163c The absolute itself is the absolute unity of both; it is that which constitutes in general the ground of the essential relation which, as relation, merely has not yet withdrawn into this its identity and whose ground is not yet posited.

> §1169 {#1169} Das Absolute ist nur das Absolute, weil es nicht die abstrakte Identität, sondern die Identität des Seyns und Wesens, oder die Identität des Innern und Aeußern ist. Es ist also selbst die absolute Form, welche es in sich scheinen macht, und es zum Attribut bestimmt.

> §1169 The absolute is the absolute only because it is not abstract identity, but the identity of being and essence, or the identity of inner and outer; it is therefore itself the absolute form which makes it reflect itself into itself  and determines it into attribute.

This unity is [[univalence]], see [§1149](#1149), [§1159](#1159), [§1187](#1187).


##### B. Das absolute Attribut

##### C. Der Modus des Absoluten

#### Die Wirklichkeit / Actuality
  {#DieWirklichkeitKapitel2}


> §1187 {#1187} Das Absolute ist die Einheit des Innern und Aeußern als erste, ansichseyende Einheit.

> §1187 The absolute is the unity of inner and outer as initial, implicit unity.

[[univalence]], as in [§1159](#1159)


> {#1190} §1190 Die Wirklichkeit als selbst unmittelbare Formeinheit des Innern und Äußern ist damit in der Bestimmung der Unmittelbarkeit gegen die Bestimmung der Reflexion in sich; oder sie ist eine Wirklichkeit gegen eine Möglichkeit. Die Beziehung beider auf einander ist das Dritte, das Wirkliche bestimmt ebenso sehr als in sich reflektirtes Seyn, und dieses zugleich als unmittelbar existirendes. Dieses Dritte ist die Nothwendigkeit.

> §1190 Actuality as itself the _immediate form_ — unity of inner and outer is thus in the determination of _immediacy_ over against the determination of reflection-into-self; or it is an _actuality as against a possibility_. Their _relation_ to each other is the _third_ term, the actual determined equally as a being reflected into itself, and this at the same time as a being existing immediately. This third term is _necessity_.



> {#1191} §1191 Aber zunächst, indem Wirkliches und Mögliches formelle Unterschiede sind, ist ihre Beziehung gleichfalls nur formell, und besteht nur darinn, daß das Eine wie das Andere ein Gesetztseyn ist, oder in der Zufälligkeit.

> §1191 But first of all, since the actual and the possible are formal differences, their relation is likewise merely formal and consist only in the fact that the one like the other is a positedness, or in contingency.

These paragraphs as well as those of the following subsections [below](#PossibilityAndNecessity) explore _Wirklichkeit_ (reality, actuality) as expressed in a triple of [[modalities]]

1. Möglichkeit (pssobility)

1. Notwendigkeit (necessity)

1. Zufälligkeit (randomness, contingency)

(Notice the original German of the third. While the existing English translations  chose "contingency", arguably "randomness" may be closer to the spirit of the orginal.)

Formalization in [[formal logic]] of the [[modalities]] of _[[possibility]]_ and _[[necessity]]_ via [[modal operators]] constitutes the field of [[modal logic]], which has by now a long tradition and is well establlished. In the following we highlight how this traditional formalization refines faithfully and usefully to the [[type theory]]/[[categorical logic]] that we are using for formalization here ([[modal type theory]]), namely by identifying the [[necessity and possibility]] monads (as also discussed there) as one of the two [[adjoint pairs]] induced by the [[adjoint triple]] of [[base change]] into a [[context]] of a type of "[[possible worlds]]". Then we discuss that the _other_ adjoint pair induced by this adjoint triple indeed captures randomness, in that its monad may be thought of as producing space of [[random variables]].

Let $W$ be a type (space) of [[possible worlds semantics|possible worlds]] in some contex and consider the [[base change]] [[adjoint triple]] of [[dependent sum]] $\sum_W$, [[context extension]] $W^\ast$ and [[dependent product]] $\prod_X$ over $X$

$$
  \mathbf{H}_{/X}
    \stackrel{\overset{\sum_X}{\longrightarrow}}{\stackrel{\overset{W^\ast}{\longleftarrow}}{\underset{\prod_X}{\longrightarrow}}}
  \mathbf{H}
  \,.
$$

Then, as discussed in some detail at _[[necessity and possibility]]_, we have that

* the [[dependent sum]] $\sum_X$ expresses _[[possibility]]_: if $P$ is a [[proposition]] about elements of $W$, then $\sum_W P$ is the type which under [[propositions as types]] expresses the proposition that there is a $w \in W$ such that $P(w)$ holds, hence such that it is possible (in some world $w$) that $P$ holds;

* the [[dependent product]] $\prod_X$ expresses _[[necessity]]_: if $P$ is a [[proposition]] about elements of $W$, then $\prod_W P$ holds when $P$ holds for all $w \in W$, hence when $P$ holds necessarily, independently of which particular possible world is realized.

Or rather, to stay in the context of the possible worlds $W$, we consider the possibility [[monad]]

$$
  \lozenge_W \coloneqq W^\ast \sum_W
$$

and the necessity comonad

$$
  \Box_W \coloneqq W^\ast \prod_W
  \,,
$$

both operating on the [[slice topos|slice]] $\mathbf{H}_{/W}$.

But then there is also the induced monad operating on $\mathbf{H}$, given by

$$
  \prod_W W^\ast  \colon \mathbf{H} \to \mathbf{H}
  \,,
$$

often called the _[[function monad]]_. To see which meaning this has we need to consider its action on a type which is not a [[mere proposition]] (for a mere proposition $P$ in the absolute context is either [[true]] or [[false]] and hence so is $\prod_W W^\ast$, there is nothing interesting happening in this case). For $V\in \mathbf{H}$ any type, then

$$
  \prod_W W^\ast V
  \simeq
  [W,V]
  =
  (W\to V)
$$

is the space of $V$-valued functions on the space of [[possible worlds]]. A modern mathematical incarnation of spaces of "possible worlds" (possible configurations of a system under consideration) are [[probability spaces]] (e.g. [Toronto-McCarthy 10b, slide 23](function+monad#TorontoMcCarthy10b)). Now the space of ([[measurable function|measurable]]) functions on a probability space $W$ is to be interpreted as its space of _[[random variables]]_ ([[stochastic variables]]).

In the context of [[monad (in computer science)|monads in computer science]], the [[function monad]] $[W,-]$ is called the _[[reader monad]]_ (notably in the [[Haskell]] [[programming language]]). This terminology reflects the intended usage where $W$ is a type of input that is read in from a device such as a keyboard. When used this way, then the terms of $W$ are indeed entirely random as far as the program that reads them in is concerned. Indeed, software prgrams that require genuine randomness (as opposed to pseudo-randomness) as input, such as programs the generate keys for cryptography, commonly ask the user to hit some keys on the keyboard or read other data from external input devices. When such software models input via a [[reader monad]], then the terms of the relevant type $[W,V]$ _are_ precisely the kind of random variables in the physical universe that probability theory is designed to model.

In this vein, the Haskell-introduction [Verdier 14](function+monad#Verdier14) says:

> The intuition behind the Reader monad, for a mathematician, is perhaps stochastic variables. A stochastic variable is a function from a probability space to some other space. So we see a stochastic variable as a monadic value.

In a more technical style the very same point may be found made in ([Toronto-McCarthy 10b, slide 24](http://ncatlab.org/nlab/show/function+monad#TorontoMcCarthy10b)) and then  [Toronto-McCarthy 10b, slide 35](function+monad#TorontoMcCarthy10b), where it says:

> you could interpret this by regarding random variables as reader monad computations.

In the [Toronto-McCarthy 10a, 2.2](function+monad#TorontoMcCarthy10b) the authors call the monad $\prod_W W^\ast = [W,-]$ the _random variable idiom_.

Traditional [[Haskell]] tutorials model random states $w \in W$ via the [[state monad]]

$$
  [W, W \times (-)] = \prod_W W^\ast \sum_W W^\ast (-)
$$

for $W = StdGen$ a type of random numbers. This allows programs $Y \to [W, W\times Y]$ which not only depend on the state $w\in W$ but may also modify it. If one restricts attention to the case where the environment possible world $w$ is not to be changed by the program, then this construct may be reduced to the reader monad, as above.

From all this we may conclude that $\prod_W W^\ast$ expresses core aspects of _Zufälligkeit_, _randomness_, _contingency_ much like $W^\ast \prod_W$ expresses [[necessity]].

We may make this yet more concrete as follows. By the discussion at _[[dependent linear type theory]]_ and _[[schreiber:Quantization via Linear homotopy types]]_, the [secondary integral transforms](dependent+linear+type+theory#SecondaryIntegralTransforms) on [[linear types|linear types]] which formalize aspects of [[path integral quantization]] are all controled by the action of $\prod_W W^\ast$ on [[linear type theory|linear types]]. Of course an intrinsic randomness is the very hallmark of [[quantum mechanics]], which is the actual reality, hence we see that in [[linear homotopy type theory]] the relation of $\prod_W W^\ast$ to aspects of randomness is stronger still.

Observe furthermore that for that discussion of [secondary integral transforms](dependent+linear+type+theory#SecondaryIntegralTransforms) one needs to choose [fundamental classes in linear homotopy type theory](http://ncatlab.org/nlab/show/dependent%20linear%20type%20theory#FundamentalClasses),which are essentially choices of equivalences $\prod_W W^\ast (-) \simeq \sum_W W^\ast(-)$ (see there for details). Hence in the context the fourth (co-)monad induced by the [[base change]] [[adjoint triple]] coincides or essentially coincides with the third one.

In summary we get that the [[base change]] [[adjoint triple]] of a [[locally Cartesian closed category]]

$$
  \mathbf{H}_{/W}
    \stackrel{\overset{\sum_W}{\longrightarrow}}{\stackrel{\overset{W^\ast}{\longleftarrow}}{\underset{\prod_W}{\longrightarrow}}}
  \mathbf{H}
$$

induces an adjoint pair of (co-)monads on $\mathbf{H}_{/W}$ as well as to (co-)monads on $\mathbf{H}$ which in application to quantum physics are forced to coincide on their relevant input types, such as to yield a total of three operations which may be pronounced thus:

$$
  \underset{Wirklichkeit}{
  \underbrace{
  \array{
     possibility &\dashv& necessity &\;\;\;\;,\;\;& randomness
     \\
     Moeglichkeit &\dashv& Notwendigkeit &\;\;\;\;,\;\;& Zufaelligkeit
     \\
     W^\ast\sum_W &\dashv& W^\ast \prod_W  &\;\;\;\;,\;\;&  \prod_W W^\ast
  }
  }
  }
$$


##### A Zufälligkeit oder formelle Wirklichkeit, Möglichkeit und Nothwendigkeit/ Randomness or Formal Actuality, Possibility and Necessity
 {#PossibilityAndNecessity}

> {#1192} §1192 1. Die Wirklichikeit ist formell, insofern sie als erste Wirklichkeit nur unmittelbare, unreflektirte Wirklichkeit, somit nur in dieser Formbestimmung, aber nicht als Totalität der Form ist. Sie ist so weiter nichts als ein Seyn oder Existenz überhaupt. Aber weil sie wesentlich nicht bloße unmittelbare Existenz, sondern, als Formeinheit des Ansichseyns oder der Innerlichkeit, und der Äußerlichkeit ist, so enthält sie unmittelbar das Ansichseyn oder die Möglichkeit. Was wirklich ist, ist möglich.

> §1192 1. Actuality is formal in so far as, being primary actuality, it is only immediate, unreflected actuality, and hence is only in this form-determination but not as the totality of form. As such it is nothing more than a being or Existence in general. But because it is essentially not a mere immediate Existence but exists as form-unity of being-within-self or inwardness and outwardness, it immediately contains the in-itself or possibility. What is actual is possible.

see below [§1191](#1191)

##### B. Relative Nothwendigkeit oder reale Wirklichkeit, Möglichkeit und Nothwendigkeit / Relative Necessity, or Real Actuality, Possibility and Necessity

see below [§1191](#1191)


##### C. Absolute Nothwendigkeit / Absolute Necessity



#### Das absolute Verhältniß

> {#1234} §1234 Dieß Verhältniß in seinem unmittelbaren Begriff ist das Verhältniß der Substanz und der Accidenzen, das unmittelbare Verschwinden und Werden des absoluten Scheines in sich selbst. Indem die Substanz sich zum Fürsichseyn gegen ein Anderes bestimmt, oder das absolute Verhältniß als reales, ist das Verhältniß der Kausalität. Endlich indem dieses als sich auf sich Beziehendes in Wechselwirkung übergeht, so ist damit das absolute Verhältniß nach den Bestimmungen, welche es enthält, auch gesetzt; diese gesetzte Einheit seiner in seinen Bestimmungen, die als das Ganze selbst und damit ebenso sehr als Bestimmungen gesetzt sind, ist alsdann der Begriff.

> §1234 This relation in its immediate Notion is the relation of substance and accidents, the immediate vanishing and becoming of the absolute illusory being within itself. When substance determines itself to being-for-self over against an other, or the absolute relation determines itself as real, then we have the relation of causality. Lastly, when this as self-relating passes over into reciprocity, the absolute relation is also posited in accordance with the determinations it contains; this posited unity of itself in its determinations which are posited as themselves the whole, but equally as determinations, is then the Notion.

[[substance]] and [[accidence]]


##### Das Verhaeltniß der Sustantialitaet / The relation of substantiality
 {#TheRelationOfSubstantiality}


> {#1235} §1235 Absolute necessity is absolute relation because it is not being as such, but being that is because it is, being as absolute self-mediation. This being is substance; as the final unity of essence and being it is the being in all being; it is neither the unreflected immediate, nor an abstract being standing behind Existence and Appearance, but it is immediate actuality itself and this as absolute reflectedness-into-self, as a subsisting in and for itself. Substance as this unity of being and reflection is essentially the reflective movement [Scheinen] and positedness of itself. The reflective movement is the reflective movement that is self-related, and it is thus that it is; this being is substance as such. Conversely, this being is only the positedness that is identical with itself, and as such it is totality in the form of illusory being, accidentality.


This means that

* _substance_ is the unity of being and reflection

recall also the announcement of substance in [§1161](#1161).

> {#1238} §1238 Substance, as this identity of the reflective movement, is the totality of the whole and embraces accidentality within it, and accidentality is the whole substance itself.

Since above we identified

1. the logic of being with the system of [[adjoint modalities]] of [[differential cohesion|differential]] [[cohesion]];

1. the logic of essence with the theory of the [[type universe]], hence with the ambient [[homotopy type theory]]/[[(infinity,1)-topos]];

the union of the two is the totality of the whole, the full [[differential cohesion|differential]] [[cohesive homotopy type theory]]/[[cohesive (infinity,1)-topos]].

Therefore we label in the _[Process](#Process)_ the $\infty$-topos as its own maximal subcategory $\mathbf{H}$ as "substance".

Notice here that every (higher) topos has two geometric interpretations (see at _[topos -- Idea](topos#Idea)_): on the one hand as a _category of spaces_ and on the other hand as one single [[space]] (see there) itself, the latter at least if it is a [[ringed topos]] or more generally a [[structured (infinity,1)-topos]]. The latter is canonically the case for $\mathbf{H}$, by the discussion at _[differential cohesion -- structure sheaves](differential+cohesion#StructureSheaves)_. Under this interpretation, all the objects (types/concepts) inside $\mathbf{H}$ may naturally be interpreted as _spaces modeled on the space $\mathbf{H}$_, hence as _spaces built out of the substance $\mathbf{H}$_.

A modern imagery may be suggestive here: consider this [[differential cohesion|differential]] [[cohesive homotopy type theory]] coded (as has partially been done already, see the [cohesive HoTT -- References](http://ncatlab.org/nlab/show/cohesive%20homotopy%20type%20theory#References)) in a [[programming language]] such as [[Coq]]. Then it is a piece of _software_, the modern absolute substance. If one now sets out, as the aim is, to use this as a kind of computer algebra system for reasoning about fundamental physics, then this software is farily literally the _substance_ on which the world, nature, is to be modeled.

This imagery also seems to be well suited to do away with the notorious issue with whether [[Spinoza's system|Spinoza's substance]] is "material". No, it is not [[matter]] as in the nature which "runs" on it, still, it is in evident sense the substance out of which this nature is formed, but, if one wishes, a substance of a more [[idealism|idealistic]] form that plain matter.

Compare this to the statement of [§1287](#1287) that this _substance_ is the substance of [[Spinoza's system]], which [[Spinoza]] introduces as

> [Per Substantiam Intelligo](Spinoza%27s+system#PerSubstantiamIntelligo)-- By substance I understand what is in itself and is conceived through itself, i.e., that whose concept does not require the concept of another thing, from which it must be formed.

Back in the imagery of a computer algebra software for formalized fundamental physics, this is indeed the situation after the moment of booting the system and seeing the green prompt on an empty black screen. Nothing has been introduced yet on the basis of anything, all we have is the software kernel running, from which now everything is to be formed. In this imagery, Spinoza's

> [Prop 15](Spinoza%27s+system#Prop15) Whatever is, is in the substance, and nothing can be or be conceived without the substance.

seems clear.


> {#1236} §1236 Die Bewegung der Accidentalität stellt daher an jedem ihrer Momente das Scheinen der Kategorien des Seyns und der Reflexions-Bestimmungen des Wesens in einander dar.

> §1236 The movement of accidentality therefore exhibits in each of its moments the illusory showing in one another of the categories of being and of the reflective determinations of essence.

> {#1237} §1237 Diese Bewegung der Accidentalität ist die Aktuosität der Substanz, als ruhiges Hervorgehen ihrer selbst.

> §1237 This movement of accidentality is the actuosity of substance as a tranquil coming forth of itself.

Where for instance the [[shape modality]] $&#643;$ determines a category of being, as discussed above, we may ask if it happens to be, accidentally, exhibited by a type/object $\mathbb{A}$ in that $&#643; \simeq loc_{\mathbb{A}}$ is the [[localization]] at $\mathbb{A}\to\ast$. If so, then this $\mathbb{A}$ has the interpretation of theing the [[continuum]], e.g. the [[real line]] in [[smooth infinity-groupoids]].

> {#1238} §1238 Die Substanz als diese Identität des Scheinens ist die Totalität des Ganzen, und begreift die Accidentalität in sich, und die Accidentalität ist die ganze Substanz selbst. Der Unterschied ihrer in die einfache Identität des Seyns, und in den Wechsel der Accidenzen an derselben ist eine Form ihres Scheins. Jenes ist die formlose Substanz des Vorstellens, dem der Schein sich nicht als Schein bestimmt hat, sondern das als an einem Absoluten an solcher unbestimmten Identität festhält, die keine Wahrheit hat, nur die Bestimmtheit der unmittelbaren Wirklichkeit oder ebenso des Ansichseyns oder der Möglichkeit ist;—Formbestimmungen, welche in die Accidentalität fallen.

> §1238 Substance, as this identity of the reflective movement, is the totality of the whole and embraces accidentality within it, and accidentality is the whole substance itself. The differentiation of itself into the simple identity of being and the flux of accidents in it, is a form of its illusory being. The former is the formless substance of ordinary thinking for which illusory being has not determined itself as illusory being, but which clings to such an indeterminate identity as an absolute, an identity which has no truth and is only the determinateness of immediate actuality or equally of the in-itself or possibility — form determinations which fall into accidentality.



##### The relation of causality

##### Reciprocity



## **Die Lehre vom Begriff** / **The doctrine of the notion**

> [LectHistPhi-Anaxagoras](#Lectures+on+the+History+of+Philosophy#DiesAllgemeineSoFuerSichSeiende) ...den Begriff selbst zu begreifen. Den sich zu einem System realisierenden, als Universum organisierten Verstand, diesen reinen Begriff...

### Vom Begriff im Allgemeinen

> {#1280} §1280 Der Begriff ist von dieser Seite zunächst überhaupt als das Dritte zum Seyn und Wesen, zum Unmittelbaren und zur Reflexion anzusehen. Seyn und Wesen sind insofern die Momente seines Werdens; er aber ist ihre Grundlage und Wahrheit, als die Identität, in welcher sie untergegangen und enthalten sind. Sie sind in ihm, weil er ihr Resultat ist, enthalten, aber nicht mehr als Seyn und als Wesen; diese Bestimmung haben sie nur, insofern sie noch nicht in diese ihre Einheit zurückgegangen sind.


> §1280 From this aspect the Notion is to be regarded in the first instance simply as the third to being and essence, to the immediate and to reflection. Being and essence are so far the moments of its becoming; but it is their foundation and truth as the identity in which they are submerged and contained.

This justifies, despite the order of the books and chapters, to order the Notion below Being and the Essence in the _[Process](#Process)_. We read _concept/notion_ as _[[type]]_ and so the doctrine of the notion as the ambient [[type theory]], literally the _[[foundation]]_ in which the determinations of being (the [[adjoint modalities]]) and the reflections of essence (the [[type of types]]) are formulated.

> {#1281} §1281 Objective logic therefore, which treats of being and essence constitutes properly the genetic exposition of the Notion. More precisely, substance is already real essence, or essence in so far as it is united with being and has entered into actuality. Consequently, the Notion has substance for its immediate presupposition; what is implicit in substance is manifested in the Notion. Thus the dialectical movement of substance through causality and reciprocity is the immediate genesis of the Notion, the exposition of the process of its becoming. But the significance of its becoming, as of every becoming is that it is the reflection of the transient into its ground and that the at first apparent other into which the former has passed constitutes its truth. Accordingly the Notion is the truth of substance; and since substance has necessity for its specific mode of relationship, freedom reveals itself as the truth of necessity and as the mode of relationship proper to the Notion.

> {#1286} §1286 Diese unendliche Reflexion in sich selbst, daß das An- und Fürsichseyn erst dadurch ist, daß es Gesetztseyn ist, ist die Vollendung der Substanz. Aber diese Vollendung ist nicht mehr die Substanz selbst, sondern ist ein Höheres, der Begriff das Subjekt. Der Uebergang des Substantialitäts-Verhältnisses geschieht durch seine eigene immanente Nothwendigkeit, und ist weiter nichts, als die Manifestation ihrer selbst, daß der Begriff ihre Wahrheit, und die Freiheit die Wahrheit der Nothwendigkeit ist.

> §1286 This infinite reflection-into-self, namely, that being is in and for itself only in so far as it is posited, is the consummation of substance. But this consummation is no longer substance itself but something higher, the Notion, the subject. The transition of the relation of substantiality takes place through its own immanent necessity and is nothing more than the manifestation of itself, that the Notion is its truth, and that freedom is the truth of necessity.

> {#1287} §1287 Es ist schon früher im zweiten Buch der objektiven Logik S. 194 f. Anm. erinnert worden, daß die Philosophie, welche sich auf den Standpunkt der Substanz stellt und darauf stehen bleibt, das System des Spinoza ist.

> §1287 I have already mentioned in the Second Book of the Objective Logic that the philosophy which adopts the standpoint of substance and stops there is the system of Spinoza.

_[[Spinoza's system]]_

> {#B160} §B160 Der Begriff ist das Freie, als die für sich seiende Macht der Substanz; -- und als die Totalität dieser Negativität, in welcher jedes der Momente das Ganze ist, das er ist, und als ungetrennte Einheit mit ihm gesetzt ist, ist er in seiner Identität mit sich das an und für sich bestimmte.



> §1291a The foregoing is to be regarded as the Notion of the Notion. It may seem to differ from what is elsewhere understood by 'notion' and in that case we might be asked to indicate how that which we have here found to be the Notion is contained in other conceptions or explanations. On the one hand, however, there can be no question of a confirmation based on the authority of the ordinary understanding of the term; in the science of the Notion its content and character can be guaranteed solely by the immanent deduction which contains its genesis and which already lies behind us. On the other hand, the Notion as here deduced must, of course, be recognisable in principle in what is elsewhere presented as the concept of the Notion. But it is not so easy to discover what others have said about the nature of the Notion. For in the main they do not concern themselves at all with the question, presupposing that everyone who uses the word automatically knows what it means. Latterly, one could have felt all the more relieved from any need to trouble about the Notion since, just as it was the fashion for a while to say everything bad about the imagination, and then the memory, so in philosophy it became the habit some time ago, a habit which in some measure still exists, to heap every kind of slander on the Notion, on what is supreme in thought, while the incomprehensible and non-comprehension are, on the contrary, regarded as the pinnacle of science and morality.

> {#1291b} §1291b Ich beschränke mich hier auf eine Bemerkung, die für das Auffassen der hier entwickelten Begriffe dienen kann und es erleichtern mag, sich darein zu finden. Der Begriff, insofern er zu einer solchen Existenz gediehen ist, welche selbst frei ist, ist nichts anderes als Ich oder das reine Selbstbewußtsein. Ich habe wohl Begriffe, d.h. bestimmte Begriffe; aber Ich ist der reine Begriff selbst, der als Begriff zum Dasein gekommen ist. Wenn man daher an die Grundbestimmungen, welche die Natur des Ich ausmachen, erinnert, so darf man voraussetzen, daß an etwas Bekanntes, d. i. der Vorstellung Geläufiges erinnert wird. Ich aber ist erstlich diese reine sich auf sich beziehende Einheit, und dies nicht unmittelbar, sondern indem es von aller Bestimmtheit und Inhalt abstrahiert und in die Freiheit der schrankenlosen Gleichheit mit sich selbst zurückgeht. So ist es Allgemeinheit, Einheit, welche nur durch jenes negative Verhalten, welches als das Abstrahieren erscheint, Einheit mit sich ist und dadurch alles Bestimmtsein in sich aufgelöst enthält. Zweitens ist Ich ebenso unmittelbar als die sich auf sich selbst beziehende Negativität Einzelheit, absolutes Bestimmtsein, welches sich Anderem gegenüberstellt und es ausschließt; individuelle Persönlichkeit. Jene absolute Allgemeinheit, die ebenso unmittelbar absolute Vereinzelung ist, und ein Anundfürsichsein, welches schlechthin Gesetztsein und nur dies Anundfürsichsein durch die Einheit mit dem Gesetztsein ist, macht ebenso die Natur des Ich als des Begriffes aus; von dem einen und dem anderen ist nichts zu begreifen, wenn nicht die angegebenen beiden Momente zugleich in ihrer Abstraktion und zugleich in ihrer vollkommenen Einheit aufgefaßt werden


> §1291b I will confine myself here to a remark which may help one to grasp the notions here developed and may make it easier to find one’s bearings in them. The Notion, when it has developed into a concrete existence that is itself free, is none other than the I or pure self-consciousness. True, I have notions, that is to say, determinate notions; but the I is the pure Notion itself which, as Notion, has come into existence. When, therefore, reference is made to the fundamental determinations which constitute the nature of the I, we may presuppose that the reference is to something familiar, that is, a commonplace of our ordinary thinking. But the I is, first, this pure self-related unity, and it is so not immediately but only as making abstraction from all determinateness and content and withdrawing into the freedom of unrestricted equality with itself. As such it is universality; a unity that is unity with itself only through its negative attitude, which appears as a process of abstraction, and that consequently contains all determinedness dissolved in it. Secondly, the I as self-related negativity is no less immediately individuality or is absolutely determined, opposing itself to all that is other and excluding it — individual personality. This absolute universality which is also immediately an absolute individualisation, and an absolutely determined being, which is a pure positedness and is this absolutely determined being it only through its unity with the positedness, this constitutes the nature of the I — as well as of the Notion; neither the one nor the other can be truly comprehended unless the two indicated moments are grasped at the same time both in their abstraction and also in their perfect unity.

### Der subjektive Begriff / Subjectivity.

#### Begriff

> {#1322} §1322 Understanding is the term usually employed to express the faculty of notions; as so used, it is distinguished from the faculty of judgment and the faculty of syllogisms, of the formal reason But it is with reason that it is especially contrasted; in that case, however, it does not signify the faculty of the notion in general, but of determinate notions, and the idea prevails that the notion is only a determinate notion. When the understanding in this signification is distinguished from the formal faculty of judgment and from the formal reason, it is to be taken as the faculty of the single determinate notion. For the judgment and the syllogism or reason are, as formal, only a product of the understanding since they stand under the form of the abstract determinateness of the Notion. Here, however, the Notion emphatically does not rank as something merely abstractly determinate; consequently, the understanding is to be distinguished from reason only in the sense that the former is merely the faculty of the notion in general.

> {#1323} §1323 This universal Notion, which we have now to consider here, contains the three moments: universality, particularity and individuality. The difference and the determinations which the Notion gives itself in its distinguishing, constitute the side which was previously called positedness. As this is identical in the Notion with being-in-and-for-self, each of these moments is no less the whole Notion than it is a determinate Notion and a determination of the Notion.

[[abstract general]], [[concrete general]], [[concrete particular]]

see also [EL§61](#EL61)

> {#1324a} §1324a In the first instance, it is the pure Notion or the determination of universality. But the pure or universal Notion is also only a determinate or particular Notion, which takes its place alongside other Notions. Because the Notion is a totality, and therefore in its universality or pure identical self-relation is essentially a determining and a distinguishing, it therefore contains within itself the standard by which this form of its self-identity, in pervading and embracing all the moments, no less immediately determines itself to be only the universal over against the distinguishedness of the moments.


> {#1324b} §1324b Secondly, the Notion is thereby posited as this particular or determinate Notion, distinct from others.

> {#1324c} §1324c Thirdly, individuality is the Notion reflecting itself out of the difference into absolute negativity. This is, at the same time, the moment in which it has passed out of its identity into its otherness, and becomes the judgment.

##### Der allgemeine Begriff

##### Der besondere Begriff

> {#1337a} §1337a Now determinateness, it is true, is the abstract, as against the other, determinateness; but this other is only universality itself which is, therefore, also abstract, and the determinateness of the Notion, or particularity, is again nothing more than a determinate universality. In this, the Notion is outside itself; since it is the Notion that is here outside itself, the abstract universal contains all the moments of the Notion. It is (a) universality, (b) determinateness, (c) the simple unity of both; but this unity is immediate, and therefore particularity is not present as totality. In itself it is also this totality and mediation; it is essentially an exclusive relation to an other, or sublation of the negation, namely, of the other determinateness – an other, however, that exists only in imagination, for it vanishes immediately and shows itself to be the same as its supposed other. Therefore, what makes this universality abstract is that the mediation is only a condition or is not posited in the universality itself. Because it is not posited, the unity of the abstract universality has the form of immediacy, and the content has the form of indifference to its universality, for the content is not present as the totality which is the universality of absolute negativity. Hence the abstract universal is, indeed, the Notion, yet it is without the Notion; it is the Notion that is not posited as such.

> {#1337b} §1337b When people talk of the determinate Notion, what is usually meant is merely such an abstract universal. Even by notion as such, what is generally understood is only this notion that is no Notion, and the understanding denotes the faculty of such notions. Demonstration appertains to this understanding in so far as it progresses by notions, that is to say, merely by determinations. Such a progression by notions, therefore, does not get beyond finitude and necessity; for it, the highest is the negative infinite, the abstraction of the supreme being [des höchsten Wesen], which is itself the determinateness of indeterminateness. Absolute substance, too, though it is not this empty abstraction – from the point of view of its content it is rather the totality – is nevertheless abstract because it lacks the absolute form; its inmost truth is not constituted by the Notion; true, it is the identity of universality and particularity, or of thought and asunderness, yet this identity is not the determinateness of the Notion; on the contrary, outside substance there is an understanding – and just because it is outside it, a contingent understanding – in which and for which substance is present in various attributes and modes.

> {#1337c} §1337c Moreover, abstraction is not empty as it is usually said to be; it is the determinate Notion and has some determinateness or other for its content. Even the supreme being, the pure abstraction, has, as already remarked, the determinateness of indeterminateness; but indeterminateness is a determinateness, because it is supposed to stand opposed to the determinate. But the enunciation of what it is, itself sublates what it is supposed to be; it is enunciated as one with determinateness, and in this way, out of the abstraction is established its truth and the Notion. But every determinate Notion is, of course, empty in so far as it does not contain the totality, but only a one-sided determinateness. Even when it has some other concrete content, for example man, the state, animal, etc., it still remains an empty Notion, since its determinateness is not the principle of its differences; a principle contains the beginning and the essential nature of its development and realization; any other determinateness of the notion, however, is sterile. To reproach the Notion generally with being empty, is to misjudge that absolute determinateness of the Notion which is the difference of the Notion and the only true content in the element of the Notion.

##### Das Einzelne

#### Urtheil / Judgement


##### Das Urteil des Daseins

##### Das Urteil der Reflexion

##### Das Urteil der Notwendigkeit

##### Das Urteil des Begriffs



#### Schluss / Syllogism
 {#SchlussSyllogism}

[[syllogism]]

see [above](#FormalizationConcepts)

> §1436 We have found the syllogism to be the restoration of the Notion in the judgment, and consequently the unity and truth of both. The Notion as such holds its moments sublated in unity; in the judgment this unity is internal or, what is the same thing, external; and the moments, although related, are posited as self-subsistent extremes. In the syllogism the Notion determinations are like the extremes of the judgment, and at the same time their determinate unity is posited.

> §1437 Thus the syllogism is the completely posited Notion; it is therefore the rational. The understanding is regarded as the faculty of the determinate Notion which is held fast in isolation by abstraction and the form of universality. But in reason the determinate Notions are posited in their totality and unity. Therefore, not only is the syllogism rational, but everything rational is a syllogism. The syllogistic process has for a long time been ascribed to reason; yet on the other hand reason in and for itself, rational principles and laws, are spoken of in such a way that it is not clear what is the connection between the former reason which syllogises and the latter reason which is the source of laws and other eternal truths and absolute thoughts. If the former is supposed to be merely formal reason, while the latter is supposed to be creative of content, then according to this distinction it is precisely the form of reason, the syllogism, that must not be lacking in the latter. Nevertheless, to such a degree are the two commonly held apart, and not mentioned together, that it seems as though the reason of absolute thoughts was ashamed of the reason of the syllogism and as though it was only in deference to tradition that the syllogism was also adduced as an activity of reason. Yet it is obvious, as we have just remarked, that the logical reason, if it is regarded as formal reason, must essentially be recognisable also in the reason that is concerned with a content; the fact is that no content can be rational except through the rational form. In this matter we cannot look for any help in the common chatter about reason; for this refrains from stating what is to be understood by reason; this supposedly rational cognition is mostly so busy with its objects that it forgets to cognise reason itself and only distinguishes and characterises it by the objects that it possesses. If reason is supposed to be the cognition that knows about God, freedom, right and duty, the infinite, unconditioned, supersensuous, or even gives only ideas and feelings of these objects, then for one thing these latter are only negative objects, and for another thing the first question still remains, what it is in all these objects that makes them rational. It is this, that the infinitude of these objects is not the empty abstraction from the finite, not the universality that lacks content and determinateness, but the universality that is fulfilled or realised, the Notion that is determinate and possesses its determinateness in this true way, namely, that it differentiates itself within itself and is the unity of these fixed and determinate differences. It is only thus that reason rises above the finite, conditioned, sensuous, call it what you will, and in this negativity is essentially pregnant with content, for it is the unity of determinate extremes; as such, however, the rational is nothing but the syllogism.

> §1438 Now the syllogism, like the judgment, is in the first instance immediate; hence its determinations are simple, abstract determinatenesses; in this form it is the syllogism of the understanding. If we stop short at this form of the syllogism, then the rationality in it, although undoubtedly present and posited, is not apparent. The essential feature of the syllogism is the unity of the extremes, the middle term which unites them, and the ground which supports them. Abstraction, in holding rigidly to the self-subsistence of the extremes, opposes this unity to them as a determinateness which likewise is fixed and self-subsistent, and in this way apprehends it rather as non-unity than as unity. The expression middle term is taken from spatial representation and contributes its share to the stopping short at the mutual externality of the terms. Now if the syllogism consists in the unity of the extremes being posited in it, and if, all the same, this unity is simply taken on the one hand as a particular on its own, and on the other hand as a merely external relation, and non-unity is made the essential relationship of the syllogism, then the reason which constitutes the syllogism contributes nothing to rationality.

> §1439 First, the syllogism of existence in which the terms are thus immediately and abstractly determined, demonstrates in itself (since, like the judgment, it is their relation) that they are not in fact such abstract terms, but that each contains the relation to the other and that the middle term is not particularity as opposed to the determinations of the extremes but contains these terms posited in it.

> §1440 Through this its dialectic it is converted into the syllogism of reflection, into the second syllogism. The terms of this are such that each essentially shows in, or is reflected into, the other; in other words they are posited as mediated, which they are supposed to be in accordance with the nature of the syllogism in general.

> §1441 Thirdly, in that this reflecting or mediatedness of the extremes is reflected into itself, the syllogism is determined as the syllogism of necessity, in which the mediating element is the objective nature of the thing. As this syllogism determines the extremes of the Notion equally as totalities, the syllogism has attained to the correspondence of its Notion or the middle term, and its existence of the difference of its extremes; that is, it has attained to its truth and in doing so has passed out of subjectivity into objectivity.

##### Der Schluß des Daseins

##### Der Schluß der Reflexion

##### Der Schluß der Notwendigkeit / The Syllogism of Necessity

> §1503 This syllogism is pregnant with content, because the abstract middle term of the syllogism of existence posited itself as determinate difference to become the middle term of the syllogism of reflection, while this difference has reflected itself into simple identity again. This syllogism is therefore the syllogism of necessity, for its middle term is not some alien immediate content, but the reflection-into-self of the determinateness of the extremes.

> §1504 These possess in the middle term their inner identity, the determinations of whose content are the form determinations of the extremes. Consequently, that which differentiates the terms appears as an external and unessential form, and the terms themselves as moments of a _necessary_ existence.

###### Übergang in die Objetivität / Transition into objectivity

> {#1528} §1528 Damit ist der Begriff überhaupt realisiert worden; bestimmter hat er eine solche Realität gewonnen, welche Objektivität ist. Die nächste Realität war, daß der Begriff als die in sich negative Einheit sich dirimiert und als Urteil seine Bestimmungen in bestimmtem und gleichgültigem Unterschiede setzt und im Schlusse sich selbst ihnen entgegenstellt. Indem er so noch das Innerliche dieser seiner Äußerlichkeit ist, so wird durch den Verlauf der Schlüsse diese Äußerlichkeit mit der innerlichen Einheit ausgeglichen; die verschiedenen Bestimmungen kehren durch die Vermittlung, in welcher sie zunächst nur in einem Dritten eins sind, in diese Einheit zurück, und die Äußerlichkeit stellt dadurch den Begriff an ihr selbst dar, der hiermit ebensosehr nicht mehr als innerliche Einheit von ihr unterschieden ist.

> §1528 Thus the Notion as such has been realised; more exactly, it has obtained a reality that is objectivity. The first reality was that the Notion, as within itself negative unity, sunders itself, and as judgment posits its determinations in a determinate and indifferent difference, and in the syllogism sets itself in opposition to them. In this way it is still the inwardness of this its externality, but the outcome of the course of the syllogisms is that this externality is equated with the inner unity; the various determinations return into this unity through the mediation in which at first they are united only in a third term, and thus the externality exhibits in its own self the Notion, which therefore is no longer distinguished from it as an inner unity.

> {#1529} §1529 Jene Bestimmung des Begriffs aber, welche als Realität betrachtet worden, ist umgekehrt ebensosehr ein Gesetztsein. Denn nicht nur in diesem Resultate hat sich als die Wahrheit des Begriffs die Identität seiner Innerlichkeit und Äußerlichkeit dargestellt, sondern schon die Momente des Begriffs im Urteile bleiben auch in ihrer Gleichgültigkeit gegeneinander Bestimmungen, die ihre Bedeutung nur in ihrer Beziehung haben. Der Schluß ist Vermittlung, der vollständige Begriff in seinem Gesetztsein. Seine Bewegung ist das Aufheben dieser Vermittlung, in welcher nichts an und für sich, sondern jedes nur vermittels eines Anderen ist. Das Resultat ist daher eine Unmittelbarkeit, die durch Aufheben der Vermittlung hervorgegangen, ein Sein, das ebensosehr identisch mit der Vermittlung und der Begriff ist, der aus und in seinem Anderssein sich selbst hergestellt hat. Dies Sein ist daher eine Sache, die an und für sich ist, – die Objektivität.[

> §1529 However, this determination of the Notion which has been considered as reality, is, conversely, equally a positedness. For it is not only in this result that the truth of the Notion has exhibited itself as the identity of its inwardness and externality; already in the judgment the moments of the Notion remain, even in their mutual indifference, determinations that have their significance only in their relation. The syllogism is mediation, the complete Notion in its positedness. Its movement is the sublating of this mediation, in which nothing is in and for itself, but each term is only by means of an other. The result is therefore an immediacy which has issued from the sublating of the mediation, a being which is no less identical with the mediation, and which is the Notion that has restored itself out of, and in, its otherness. This being is therefore a fact that is in and for itself objectivity.

The _Shorter Logic_ on this transition:

> EL§91ZusatzB Man spricht so z. B. von der Realität eines Plans oder einer Absicht und versteht dann darunter, daß dergleichen nicht mehr ein nur Inneres, Subjektives, sondern ins Dasein herausgetreten sei. In demselben Sinn kann dann auch der Leib die Realität der Seele und dies Recht die Realität der Freiheit oder, ganz allgemein, die Welt die Realität des göttlichen Begriffs genannt werden.


### Objektivität / Objectivity

> {#1530a} §1530a Im ersten Buche der objektiven Logik wurde das abstrakte Sein dargestellt als übergehend in das Dasein, aber ebenso zurückgehend in das Wesen. Im zweiten zeigt sich das Wesen, daß es sich zum Grunde bestimmt, dadurch in die Existenz tritt und sich zur Substanz realisiert, aber wieder in den Begriff zurückgeht.

> §1530a In Book One of the Objective Logic, abstract being was exhibited as passing over into determinate being, but equally as withdrawing into essence. In Book Two, essence reveals itself as determining itself into ground, thereby entering into Existence and realising itself as substance, but again withdrawing into the Notion.

> {#1530b} §1530b Vom Begriffe ist nun zunächst gezeigt worden, daß er sich zur Objektivität bestimmt. Es erhellt von selbst, daß dieser letztere Übergang seiner Bestimmung nach dasselbe ist, was sonst in der Metaphysik als der Schluß vom Begriffe, nämlich vom Begriffe Gottes auf sein Dasein, oder als der sogenannte ontologische Beweis vom Dasein Gottes vorkam.

> §1530b Of the Notion, now, we have shown to begin with that it determines itself into objectivity. It is self-evident that this latter transition is identical in character with what formerly appeared in metaphysics as the inference from the notion, namely, the notion of God, to his existence, or as the so-called ontological proof of the existence of God.

> {#1530c} §1530c Es ist ebenso bekannt, daß der erhabenste Gedanke [[Descartes]]', daß der Gott das ist, dessen Begriff sein Sein in sich schließt, nachdem er in die schlechte Form des formalen Schlusses, nämlich in die Form jenes Beweises herabgesunken, endlich der Kritik der Vernunft und dem Gedanken, daß sich das Dasein nicht aus dem Begriffe herausklauben lasse, unterlegen ist. Einiges diesen Beweis Betreffende ist schon früher beleuchtet worden; im ersten Teile, S. 88 ff., indem das Sein in seinem nächsten Gegensatze, dem Nichtsein, verschwunden und als die Wahrheit beider sich das Werden gezeigt hat, ist die Verwechslung bemerklich gemacht worden, wenn bei einem bestimmten Dasein nicht das Sein desselben, sondern sein bestimmter Inhalt festgehalten und daher gemeint wird, wenn dieser bestimmte Inhalt, z.B. hundert Taler, mit einem anderen bestimmten Inhalte, z.B. dem Kontexte meiner Wahrnehmung, meinem Vermögenszustand verglichen und dabei ein Unterschied gefunden wird, ob jener Inhalt zu diesem hinzukomme oder nicht, – als ob dann vom Unterschiede des Seins und Nichtseins oder gar vom Unterschiede des Seins und des Begriffes gesprochen werde. Ferner ist[402] daselbst S. 119 und II. Teil, S. 78 die in dem ontologischen Beweise vorkommende Bestimmung eines Inbegriffs aller Realitäten beleuchtet worden.

> §1530c It is equally well known that [[Descartes]]' sublimest thought, that God is that whose notion includes within itself its being, after being degraded into the defective form of the formal syllogism, that is, into the form of the said proof, finally succumbed to the Critique of Reason and to the thought that existence cannot be extracted from the notion. Some points connected with this proof have already been elucidated. In Vol. 1, pp. 86 sqq., where being has vanished in its immediate opposite, non-being, and becoming has shown itself as the truth of both, attention was drawn to the confusion that arises when, in the case of a particular determinate being, what is fixed on is not the being of that determinate being but its determinate content; then, comparing this determinate content, for example a hundred dollars, with another determinate content, for example, with the context of my perception or the state of my finances, it is found that it makes a difference whether the former content is added to the latter or not – and it is imagined that what has been discussed is the difference between being and non-being, or even the difference between being and the Notion. Further, in the same Vol., p. 112 and Vol. II, p. 442 we elucidated a determination that occurs in the ontological proof, that of a sum-total of all realities.


> {#1530d} §1530d Den wesentlichen Gegenstand jenes Beweises, den Zusammenhang des Begriffes und des Daseins, betrifft aber die eben geschlossene Betrachtung des Begriffs und des ganzen Verlaufs, durch den er sich zur Objektivität bestimmt. Der Begriff ist als absolut mit sich identische Negativität das sich selbst Bestimmende; es ist bemerkt worden, daß er schon, indem er sich in der Einzelheit zum Urteil entschließt, sich als Reales, Seiendes setzt; diese noch abstrakte Realität vollendet sich in der Objektivität.

> §1530d But the essential subject matter of that proof, the connection of the Notion and determinate being, is the concern of our consideration of the Notion just concluded, and the entire course through which the Notion determines itself into objectivity. The Notion, as absolutely self-identical negativity, is self-determining; we have remarked that the Notion, in determining itself into judgment in individuality, is already positing itself as something real, something that is; this still abstract reality completes itself in objectivity.

> {#1531} §1531 Wenn es nun scheinen möchte, als ob der Übergang des Begriffs in die Objektivität etwas anderes sei als der Übergang vom Begriff Gottes zu dessen Dasein, so wäre einerseits zu betrachten, daß der bestimmte Inhalt, Gott, im logischen Gange keinen Unterschied machte und der ontologische Beweis nur eine Anwendung dieses logischen Ganges auf jenen besonderen Inhalt wäre. Auf der ändern Seite aber ist sich wesentlich an die oben gemachte Bemerkung zu erinnern, daß das Subjekt erst in seinem Prädikate Bestimmtheit und Inhalt erhält, vor demselben aber, er mag für das Gefühl, Anschauung und Vorstellung sonst sein, was er will, für das begreifende Erkennen nur ein Name ist; in dem Prädikate beginnt mit der Bestimmtheit aber zugleich die Realisation überhaupt. – Die Prädikate müssen aber gefaßt werden als selbst noch in den Begriff eingeschlossen, somit als etwas Subjektives, mit dem noch nicht zum Dasein herausgekommen ist; insofern ist einerseits allerdings die Realisation des Begriffs im Urteil noch nicht vollendet. Andererseits bleibt aber auch die bloße Bestimmung eines Gegenstandes durch Prädikate, ohne daß sie zugleich die Realisation und Objektivierung des Begriffes ist, etwas so Subjektives, daß sie auch nicht einmal die wahrhafte Erkenntnis und Bestimmung des Begriffs des Gegenstandes ist, – ein Subjektives in dem Sinne von abstrakter Reflexion und unbegriffenen[403] Vorstellungen. – Gott als lebendiger Gott und noch mehr als absoluter Geist wird nur in seinem Tun erkannt. Früh ist der Mensch angewiesen worden, ihn in seinen Werken zu erkennen; aus diesen können erst die Bestimmungen hervorgehen, welche seine Eigenschaften genannt werden, so wie darin auch sein Sein enthalten ist. So faßt das begreifende Erkennen seines Wirkens, d. i. seiner selbst, den Begriff Gottes in seinem Sein und sein Sein in seinem Begriffe. Das Sein für sich oder gar das Dasein ist eine so arme und beschränkte Bestimmung, daß die Schwierigkeit, sie im Begriffe zu finden, wohl nur daher hat kommen können, daß nicht betrachtet worden ist, was denn das Sein oder Dasein selbst ist. – Das Sein, als die ganz abstrakte, unmittelbare Beziehung auf sich selbst, ist nichts anderes als das abstrakte Moment des Begriffs, welches abstrakte Allgemeinheit ist, die auch das, was man an das Sein verlangt, leistet, außer dem Begriff zu sein; denn sosehr sie Moment des Begriffs ist, ebensosehr ist sie der Unterschied oder das abstrakte Urteil desselben, indem er sich selbst sich gegenüberstellt. Der Begriff, auch als formaler, enthält schon unmittelbar das Sein in einer wahreren und reicheren Form, indem er, als sich auf sich beziehende Negativität, Einzelheit ist.

> §1531 Now though it might seem that the transition from the Notion into objectivity is not the same thing as the transition from the Notion of God to his existence, it should be borne in mind on the one hand that the determinate content, God, makes no difference in the logical process, and the ontological proof is merely an application of this logical process to the said content. On the other hand however it is essential to bear in mind the remark made above that the subject only obtains determinateness and content in its predicate; until then, no matter what it may be for feeling, intuition and pictorial thinking, for rational cognition it is only a name; but in the predicate with its determinateness there begins, at the same time, realisation in general. The predicates, however, must be grasped as themselves still included within the Notion, hence as something subjective, which so far has not emerged into existence; to this extent we must admit on the one hand that the realisation of the Notion in the judgment is still not complete. On the other hand however the mere determination of an object by predicates, when that determination is not at the same time the realisation and objectifying of the Notion, also remains something so subjective that it is not even the genuine cognition and determination of the Notion of the object-subjective in the sense of abstract reflection and uncomprehended pictorial thinking. God, as the living God, and still more as absolute spirit, is known only in his activity; man was early instructed to recognise God in his works; only from these can proceed the determinations, which are called his properties, and in which, too, his being is contained. Thus the philosophical [begreifende] cognition of his activity, that is, of himself, grasps the Notion of God in his being and his being in his Notion. Being merely as such, or even determinate being, is such a meagre and restricted determination, that the difficulty of finding it in the Notion may well be the result of not having considered what being or determinate being itself is. Being as the wholly abstract, immediate relation to self, is nothing else than the abstract moment of the Notion, which moment is abstract universality. This universality also effects what one demands of being, namely, to be outside the Notion; for though this universality is moment of the Notion, it is equally the difference, or abstract judgment, of the Notion in which it opposes itself to itself. The Notion, even as formal, already immediately contains being in a truer and richer form, in that, as self-related negativity, it is individuality.

> §1532 But of course the difficulty of finding being in the Notion as such and equally in the Notion of God, becomes insuperable when the being is supposed to be that which obtains in the context of outer experience or in the form of sensuous perception, like the hundred dollars in my finances, something to be grasped with the hand, not with the mind, something visible essentially to the outer, not to the inner eye; in other words, when that being which things possess as sensuous, temporal and perishable, is given the name of reality or truth. A philosophising that in its view of being does not rise above sense, naturally stops short at merely abstract thought, too, in its view of the Notion; such thought stands opposed to being.

> {#1533} §1533 The custom of regarding the Notion merely as something one-sided, such as abstract thought is, will already hinder the acceptance of what was suggested above, namely, to regard the transition from the Notion of God to his being, as an application of the logical course of objectification of the Notion presented above. Yet if it is granted, as it commonly is, that the logical element as the formal element constitutes the form for the cognition of every determinate content, then the above relation must at least be conceded, unless in this opposition between Notion and objectivity, one stops short at the untrue Notion and an equally untrue reality, as something ultimate. But in the exposition of the pure Notion, it was further made clear that this is the absolute, divine Notion itself, so that in truth the relationship of our application would not obtain, and the logical process in question would in fact be the immediate exposition of God's self-determination to being. But on this point it is to be remarked that if the Notion is to be presented as the Notion of God, it is to be apprehended as it is when taken up into the Idea. This pure Notion passes through the finite forms of the judgment and syllogism because it is not yet posited as in its own nature explicitly one with objectivity but is grasped only in process of becoming it. Similarly this objectivity, too, is not yet the divine existence, is not yet the reality that is reflected in the divine Idea. Yet objectivity is just that much richer and higher than the being or existence of the ontological proof, as the pure Notion is richer and higher than that metaphysical void of the sum total of all reality. But I reserve for another occasion the more detailed elucidation of the manifold misunderstanding that has been brought by logical formalism into the ontological, as well as the other, so-called proofs of God's existence, as also the Kantian criticism of them, and by establishing their true significance, to restore the fundamental thoughts of these proofs to their worth and dignity.

> §1534 As previously remarked, we have already met with several forms of immediacy, though in different determinations. In the sphere of being immediacy is being itself and determinate being; in the sphere of essence it is existence, and then actuality and substantiality; in the sphere of the Notion, besides immediacy as abstract universality, there is now objectivity. When the exactitude of philosophical distinctions of the Notion is not involved, these expressions may be used as synonymous; but the determinations mentioned have issued from the necessity of the Notion. Being is in general the first immediacy, and determinate being is the same plus the first determinateness. Existence, along with things, is the immediacy that issues from the ground-from the self-sublating mediation of the simple reflection of essence. But actuality and substantiality is the immediacy that has issued from the sublated difference of the still unessential Existence as Appearance and its essentiality. Finally, objectivity is the immediacy to which the Notion determines itself by the sublation of its abstraction and mediation. Philosophy has the right to select from the language of common life which is made for the world of pictorial thinking, such expressions as seem to approximate to the determinations of the Notion. There cannot be any question of demonstrating for a word selected from the language of common life that in common life, too, one associates with it the same Notion for which philosophy employs it; for common life has no Notions, but only pictorial thoughts and general ideas, and to recognise the Notion in what is else a mere general idea is philosophy itself. It must suffice therefore if pictorial thinking, in the use of its expressions that are employed for philosophical determinations, has before it some vague idea of their distinctive meaning; just as it may be the case that in these expressions one recognises nuances of pictorial thought that are more closely related to the corresponding Notions. One will be less ready, perhaps, to admit that something can be without existing; but at least, one will hardly use 'being' as copula of the judgment as interchangeable with the expression 'to exist' and say, 'this article exists dear, suitable, etc.', 'gold exists, a metal or metallic', instead of 'this article is dear, suitable, etc.', 'gold is a metal or metallic'.

> §1535 And surely it is usual to distinguish between being and appearing, appearance and actuality, as well as to distinguish mere being from actuality, and still more all these expressions from objectivity. However, even should they be employed synonymously, philosophy will in any case be free to utilise such empty superfluity of language for its distinctions.

> §1536 When treating of the apodeictic judgment — the consummation of the judgment — where the subject loses its determinateness as against the predicate, we referred to the twofold meaning of subjectivity originating therefrom, namely, the subjectivity of the Notion, and equally of the externality and contingency opposed to the Notion. A similar twofold meaning also appears for objectivity which stands opposed to the self-subsistent Notion, yet is also the being that is in-and-for-itself. In the former sense, the object stands opposed to the I = I which in subjective idealism is enunciated as the absolutely true; in that case it is the manifold world in its immediate existence with which the ego or the Notion only engages in never-ending struggle, in order, by the negation of the intrinsic nullity of this other, to give to the first certainty of self the actual truth of its equality with itself. In a less specific sense it denotes an object in general for any interest or activity of the subject.

> §1537 But in the opposite sense, objectivity signifies that which is in and for itself, and free from limitation and opposition. Rational principles, perfect works of art, etc., are called objective in so far as they are free and above all contingency. Although rational, theoretical or ethical principles belong only to subjectivity, to consciousness, yet that element in the latter that is in and for itself is called objective; the cognition of truth is placed in cognising the object as object, free from anything added by subjective reflection, and right conduct in the obedience to objective laws that are not subjective in origin and admit no caprice and no treatment that might overthrow their necessity.

> §1538 At the present standpoint of our exposition objectivity signifies, in the first instance, the absolute being of the Notion, that is, the Notion that has sublated the mediation posited in its self-determination and converted it into immediate relation-to-self. Consequently this immediacy is itself immediately and wholly pervaded by the Notion, just as the Notion's totality is immediately identical with its being. But since, further, the Notion has equally to restore the free being-for-self of its subjectivity, there arises a relationship between the Notion as end and objectivity. In this relationship the immediacy of the objectivity becomes the negative element over against the end, an element to be determined by the activity of the end; this immediacy thus acquires the other significance, that of being in and for itself null in so far as it stands opposed to the Notion.

> §1539 First, then, objectivity is an immediacy whose moments, by virtue of the totality of all the moments, exist in a self-subsistent indifference as objects outside one another, and in their relationship possess the subjective unity of the Notion only as an inner or an outer unity. This is Mechanism.

> §1540 But secondly, this unity reveals itself as the immanent law of the objects themselves, and thus their relationship becomes their peculiar specific difference founded on their law; it becomes a relation in which their determinate self-subsistence sublates itself. This is Chemism.

> §1541 Thirdly, this essential unity of the objects is thereby posited as distinct from their self-subsistence; it is the subjective Notion, but posited as in and for itself related to objectivity, as end. This is Teleology.

> §1542 Since the end is the Notion that is posited as in its own self relating itself to objectivity and as sublating by its own act its defect of being subjective, the purposiveness which is at first external becomes, through the realisation of the end, internal and the Idea.

#### Mechanismus
 {#Mechanismus}

The terminology of _mechanism_ here, clearly refers to the _mechanism  of [[Descartes]]_  ([LectHistPhil-Descartes](Lectures+on+the+History+of+Philosophy#DescartesMechanism)) via deterministic ([§1549](#1549)) laws of nature ([§1572](#1572), [§1575](#1575)). This is what today is called _[[classical mechanics]]_. In fact, Descartes' mechanism is more a [[continuum mechanics]] than a point particle mechanics ([SEP](René+Descartes#SEPDescartesOnSpace), [Dusek 99](René+Descartes#OnDusekOnDescartes)) and hence closer to [[classical field theory]]. See also at _[Formalization -- Classical mechanics](#FormalizationClassicalMechanics)_.

It is maybe noteworthy that until [[Max Planck]]'s proposal of the first hint of [[quantum mechanics]] in 1900, classical field theory was widely regarded (whence its name) as being the fundamental [[theory (physics)]] of nature. Today it is understood that not only the details of [[black body radiation]] that had motivated Planck, but all of [[atom physics]] and hence in particular of [[chemistry]] is not derivable from classical field theory, but only form [[quantum mechanics]]/[[quantum field theory]]. Consider this in view of Hegel's insistence [below](#Chemismus) that the _mechanism_ of Descartes further progresses to become _[chemism](#Chemismus)_.

> {#1543} §1543 Da die Objektivität die in ihre Einheit zurückgegangene Totalität des Begriffes ist, so ist damit ein Unmittelbares gesetzt, das an und für sich jene Totalität und auch als solche gesetzt ist, in der aber die negative Einheit des Begriffs sich noch nicht von der Unmittelbarkeit dieser Totalität abgeschieden hat; – oder die Objektivität ist noch nicht als Urteil gesetzt. Insofern sie den Begriff immanent in sich hat, so ist der Unterschied desselben an ihr vorhanden; aber um der objektiven Totalität willen sind die Unterschiedenen vollständige und selbständige Objekte, die sich daher auch in ihrer Beziehung nur als selbständige zueinander verhalten und sich in jeder Verbindung äußerlich bleiben. – Dies macht den Charakter des Mechanismus aus, daß, welche Beziehung zwischen den Verbundenen stattfindet, diese Beziehung ihnen eine fremde ist, welche ihre Natur[409] nichts angeht und, wenn sie auch mit dem Schein eines Eins verknüpft ist, nichts weiter als Zusammensetzung, Vermischung, Haufen usf. bleibt. Wie der materielle Mechanismus, so besteht auch der geistige darin, daß die im Geiste Bezogenen sich einander und ihm selbst äußerlich bleiben. Eine mechanische Vorstellungsweise, ein mechanisches Gedächtnis, die Gewohnheit, eine mechanische Handlungsweise bedeuten, daß die eigentümliche Durchdringung und Gegenwart des Geistes bei demjenigen fehlt, was er auffaßt oder tut. Obzwar sein theoretischer oder praktischer Mechanismus nicht ohne seine Selbsttätigkeit, einen Trieb und Bewußtsein stattfinden kann, so fehlt darin doch die Freiheit der Individualität, und weil sie nicht darin erscheint, erscheint solches Tun als ein bloß äußerliches.

> §1543 As objectivity is the totality of the Notion withdrawn into its unity, an immediate is thereby posited that is in and for itself this totality, and is also posited as such, although in it the negative unity of the Notion has not as yet detached itself from the immediacy of this totality; in other words, objectivity is not yet posited as judgment. In so far as it has the Notion immanent in it, it contains the difference of the Notion, but on account of the objective totality, the differentiated moments are complete and self-subsistent objects which consequently, even in their relation, stand to one another only as self-subsistent things and remain external to one another in every combination. This is what constitutes the character of mechanism, namely, that whatever relation obtains between the things combined, this relation is one extraneous to them that does not concern their nature at all, and even if it is accompanied by a semblance of unity it remains nothing more than composition, mixture, aggregation and the like. Spiritual mechanism also, like material, consists in this, that the things related in the spirit remain external to one another and to spirit itself. A mechanical style of thinking, a mechanical memory, habit, a mechanical way of acting, signify that the peculiar pervasion and presence of spirit is lacking in what spirit apprehends or does. Although its theoretical or practical mechanism cannot take place without its self-activity, without an impulse and consciousness, yet there is lacking in it the freedom of individuality, and because this freedom is not manifest in it such action appears as a merely external one.

##### Das mechanische Objekt

> {#1544} §1544 Das Objekt ist, wie sich ergeben hat, der Schluß, dessen Vermittlung ausgeglichen und daher unmittelbare Identität geworden ist. Es ist daher an und für sich Allgemeines; die Allgemeinheit nicht im Sinne einer Gemeinschaftlichkeit von Eigenschaften, sondern welche die Besonderheit durchdringt und in ihr unmittelbare Einzelheit ist.

> §1544 The object is, as we have seen, the syllogism, whose mediation has been sublated [ausgeglichen] and has therefore become an immediate identity. It is therefore in and for itself a universal — universality not in the sense of a community of properties, but a universality that pervades the particularity and in it is immediate individuality.

proof term

> {#1549} §1549 Indem also das Objekt in seiner Bestimmtheit ebenso gleichgültig gegen sie ist, weist es durch sich selbst für sein Bestimmtsein außer sich hinaus, wieder zu Objekten, denen es aber auf gleiche Weise gleichgültig ist, bestimmend zu sein. Es ist daher nirgend ein Prinzip der Selbstbestimmung vorhanden; der Determinismus – der Standpunkt, auf dem das Erkennen steht, insofern ihm das Objekt, wie es sich hier zunächst ergeben hat, das Wahre ist – gibt für jede Bestimmung desselben die eines anderen Objekts an; aber dieses andere ist gleichfalls indifferent, sowohl gegen sein Bestimmtsein als gegen sein aktives Verhalten. – Der Determinismus ist darum selbst auch so unbestimmt, ins Unendliche fortzugehen; er kann beliebig allenthalben stehenbleiben und befriedigt sein, weil das Objekt, zu welchem er übergegangen, als eine formale Totalität in sich beschlossen und gleichgültig gegen das Bestimmtsein durch ein anderes ist. Darum ist das Erklären der Bestimmung eines Objekts und das zu diesem Behufe gemachte Fortgehen dieser Vorstellung nur ein leeres Wort, weil in dem anderen Objekt, zu dem sie fortgeht, keine Selbstbestimmung liegt.

> §1549 The object, therefore, being in its determinateness equally indifferent to it, it is the object's own nature that points it outside and beyond itself to other objects for its determination; but to these others, their determinant function is similarly a matter of indifference. Consequently, a principle of self-determination is nowhere to be found; determinism — the standpoint occupied by cognition when it takes the object, just as we have found it here, to be the truth — assigns for each determination of the object that of another object; but this other is likewise indifferent both to its being determined and to its active determining. For this reason determinism itself is also indeterminate in the sense that it involves the progression to infinity; it can halt and be satisfied at any point at will, because the object it has reached in its progress, being a formal totality, is shut up within itself and indifferent to its being determined by another. Consequently, the explanation of the determination of an object and the progressive determining of the object made for the purpose of the explanation, is only an empty word, since in the other object to which it advances there resides no self-determination.

determinism

##### Der mechanische Proceß

> {#1551} §1551 If objects are regarded merely as self-enclosed totalities, they cannot act on one another. In this determination they are the same thing as the monads, which for this very reason were thought of as exercising no influence whatever on one another. But the concept of a monad is, just for this reason, a defective reflection. For first it is a determinate conception of the monad's merely implicit totality; as a certain degree of the development and positedness of its representation of the world, it is determinate; now while it is a self-enclosed totality, it is also indifferent to this determinateness; therefore the determinateness is not its own, but one that is posited by another object. Secondly it is an immediate in general, in so far as it is supposed to be merely a mirroring entity; its relation to itself is therefore abstract universality; hence it is a determinate being open to others. To gain the freedom of substance it is not sufficient to represent it as a totality that is complete within itself and has nothing to receive from without. On the contrary, the mechanical [begrifflose], merely mirrored relation to itself is precisely a passivity towards another. Similarly determinateness, whether taken as the determinateness of something that is or of a mirroring entity, that is a degree of the monad's own spontaneous development, is something external; the degree that the development reaches has its limit in an other. To shift the reciprocity of substances on to a predetermined harmony means nothing more than to convert it into a presupposition, that is, to withdraw it from the Notion. The need to avoid the interaction of substances was based on the moment of absolute self-subsistence and originality which was made a fundamental assumption. But since the positedness, the degree of development, does not correspond to this in-itself, it has for that very reason its ground in an other.

> {#1552a} §1552a When treating of the relationship of substantiality, we showed that it passes over into the causal relationship. But here what is, no longer has the determination of a substance, but of an object; the causal relationship has been superseded in the Notion; the originality of one substance in relation to the other has shown itself to be illusory, its action to be transition into the opposed substance. This relationship therefore has no objectivity. Hence in so far as the one object is posited in the form of subjective unity as active cause, this no longer counts as an original determination but as something mediated; the active object has this its determination only by means of another object. Mechanism, since it belongs to the sphere of the Notion, has that posited within it which proved to be the truth of the causal relationship, namely that the cause, which is supposed to be the original and self-subsistent factor is essentially effect, positedness, as well. In mechanism therefore the causality of the object is immediately a non-originality; it is indifferent to this its determination, therefore its being cause is for it something contingent.

> {#1552b} §1552b Insofern könnte man wohl sagen, daß die Kausalität der Substanzen nur ein Vorgestelltes ist. Aber eben diese vorgestellte Kausalität ist der Mechanismus, indem er dies ist, daß die Kausalität, als identische Bestimmtheit verschiedener Substanzen, somit als das Untergehen ihrer Selbständigkeit in dieser Identität, ein bloßes Gesetztsein ist; die Objekte sind gleichgültig gegen diese Einheit und erhalten sich gegen sie. Aber ebensosehr ist auch diese ihre gleichgültige Selbständigkeit ein bloßes Gesetztsein, sie sind darum fähig, sich zu vermischen und zu aggregieren und als Aggregat zu einem Objekte zu werden. Durch diese Gleichgültigkeit ebensowohl gegen ihren Übergang als gegen ihre Selbständigkeit sind die Substanzen Objekte.

> §1552b To this extent, one might indeed say that the causality of substances is only a subjective conception. But this causality as thus represented is precisely mechanism; for mechanism is this, that causality as identical determinateness of different substances and hence as the extinction of their self-subsistence in this identity, is a mere positedness; the objects are indifferent to this unity and maintain themselves in face of it. But, no less is this their indifferent self-subsistence also a mere positedness; they are therefore capable of mixing and aggregating and of becoming, as an aggregate, one object. Through this indifference both to their transition and to their self-subistence, substances are objects.

mechanism is vorgestellte causality

###### Der formale mechanische Prozeß

###### Der reale mechanische Prozeß

> {#1562} §1562 Das erste Moment dieses realen Prozesses ist nun wie vorhin die Mitteilung

> §1562 Now the first moment of this real process is, as before, communication.

###### Das Produkt des mechanischen Prozesses

##### Der absolute Mechanismus

###### Das Zentrum

(here the objects are described now as distinctal physical objects acting on each other via forces, pressure, weight)

> {#1572} §1572 Diese Totalität, deren Momente selbst die vollständigen Verhältnisse des Begriffes, die Schlüsse, sind, worin jedes der drei unterschiedenen Objekte die Bestimmung der Mitte und[425] der Extreme durchläuft, macht den freien Mechanismus aus. In ihm haben die unterschiedenen Objekte die objektive Allgemeinheit, die durchdringende, in der Besonderung sich identisch erhaltende Schwere zu ihrer Grundbestimmung. Die Beziehungen von Druck, Stoß, Anziehen und dergleichen sowie Aggregierungen oder Vermischungen gehören dem Verhältnisse der Äußerlichkeit an, die den dritten der zusammengestellten Schlüsse begründet. Die Ordnung, welches die bloß äußerliche Bestimmtheit der Objekte ist, ist in die immanente und objektive Bestimmung übergegangen; diese ist das Gesetz.

> §1572 This totality, whose moments are themselves the complete relationships of the Notion, the syllogisms in which each of the three different objects runs through the determination of middle term and of extremes, constitutes free mechanism. In it the different objects have for their basic determination the objective universality, the pervasive gravity that maintains its identity in the particularisation. The relations of pressure, thrust, attraction and the like, as also aggregations or mixtures, belong to the relationship of externality which forms the basis of the third of this group of syllogisms. Order, which is the merely external determinateness of objects, has passed over into the determination that is immanent and objective; this is Law.

This means that this law is _natural law_, preconfiguring the physics discussed once the mechanism has further become the Idea and then externalized itself as Nature

###### Das Gesetz

> {#1575} §1575 Diese selbstbestimmende, die äußerliche Objektivität in die Idealität absolut zurückführende Einheit ist Prinzip von Selbstbewegung; die Bestimmtheit dieses Beseelenden, welche der Unterschied des Begriffes selbst ist, ist das Gesetz.

> §1575 This self-determining unity that absolutely reduces external objectivity to ideality is the principle of self-movement the determinateness of this animating principle, which is the difference of the Notion itself, is law.

This law of the mechanism, is the deterministic physical laws of nature, this is made more explicit below in ([§1597e](#1597e)).


##### Uebergang des Mechanismus

#### Chemismus
 {#Chemismus}



##### Das chemische Objekt
 {#DasChemischeObject}

> {#1579a} §1579a The chemical object is distinguished from the mechanical by the fact that the latter is a totality indifferent to determinateness, whereas in the case of the chemical object the determinateness, and consequently the relation to other and the kind and manner of this relation, belong to its nature.

The mechanism [above](#Mechanismus) is deterministic [[classical mechanics]].
While at Hegel's times of course there was no idea of the required refinement of that, the phenomenological problem was evident: chemical reactions and in fact [[solid state physics]] have no explanation in classical point particle mechanics, not even qualitatively. The way two atoms may interact to become a molecule is distinctly outside the scope of classical point particle mechanics. Today we understand such chemical reaction to be due to [[quantum physics]] ([[quantum chemistry]]). It is worth remembering how important this is for a decent theoretical explanation of observed nature: without quantum mechanics, there are no solids, no soft matter, the world would be a dust of points without quantum mechanics.

Thus [[chemistry]] and [[solid state physics]] ([[cohesion]], [[elasticity]], [[solidity]],...) is that hallmark of quantum physics which is visible to the naked eye at human scaes, but ubiquituously so. Turning to chemistry as that aspect of the laws of nature which goes beyond classical mechanics towards quantum mechanics is the closest possible step towards fundamental physics possible at Hegel's time. And that is what he does.


>  {#1579b} §1579b Indem es $[$ das chemische Objekt $]$ auf diese Weise an sich der ganze Begriff ist, so hat es an ihm selbst die Notwendigkeit und den Trieb, sein entgegengesetztes, einseitiges Bestehen aufzuheben und sich zu dem realen Ganzen im Dasein zu machen, welches es seinem Begriffe nach ist.

>  §1579b Since in this way it $[$ the chemical objet $]$ is in itself or implicitly the whole Notion, it has in its own self the necessity and the urge to sublate its opposed, one sided — existence and to give itself an existence as that real whole that according to its Notion it is.

> {#1580} §1580 Über den Ausdruck Chemismus für das Verhältnis der Differenz der Objektivität, wie es sich ergeben hat, kann übrigens bemerkt werden, daß er hier nicht so verstanden werden muß, als ob sich dies Verhältnis nur in derjenigen Form der elementarischen Natur darstellte, welche der eigentliche sogenannte Chemismus heißt. Schon das meteorologische Verhältnis muß als ein Prozeß angesehen werden, dessen Partien mehr die Natur von physikalischen als chemischen Elementen haben. Im Lebendigen steht das Geschlechtsverhältnis unter diesem Schema, so wie es auch für die geistigen Verhältnisse der Liebe, Freundschaft usf. die formale Grundlage ausmacht.

> §1580 With regard to the expression chemism for the relation of the difference of objectivity as it has presented itself, it may be further remarked that the expression must not be understood here as though this relation only exhibited itself in that form of elemental nature to which the name chemism so called is strictly applied. Even the meteorological relation must be regarded as a process whose parts have the nature more of physical than chemical elements. In the animate world, the sex relation comes under this schema and it also constitutes the formal basis for the spiritual relations of love, friendship, and the like.

##### Der chemische Proceß

##### Uebergang des Chemismus

#### Teleologie


> {#1599} §1599 However unsatisfactory, therefore, the discussion of the teleological principle is in respect of its essential point of view, nevertheless the position that Kant gives to it is worthy of note. In ascribing it to a reflective judgment, he makes it a connecting middle term between the universal of reason and the individual of intuition; further, he distinguishes this reflective judgment from the determining judgment, the latter merely subsuming the particular under the universal. Such a universal which merely subsumes, is an abstraction which only becomes concrete in something else, in the particular. End, on the contrary, is the concrete universal, which possesses in its own self the moment of particularity and externality and is therefore active and the urge to repel itself from itself. The Notion, as end, is of course an objective judgment in which one determination, the subject, namely the concrete Notion, is self-determined, while the other is not merely a predicate but external objectivity. But the end relation is not for that reason a reflective judging that considers external objects only according to a unity, as though an intelligence had given this unity for the convenience of our cognitive faculty; on the contrary it is the absolute truth that judges objectively and determines external objectivity absolutely. Thus the end relation is more than judgment; it is the syllogism of the self-subsistent free Notion that unites itself with itself through objectivity.

[[concrete general]]

> {#1597a} §1597a Die Thesis der hier zu betrachtenden lautet: »Die Kausalität nach Gesetzen der Natur ist nicht die einzige, aus welcher die Erscheinungen der Welt insgesamt abgeleitet werden können. Es ist noch eine Kausalität durch Freiheit zu Erklärung derselben anzunehmen notwendig.«
Die Antithesis: »Es ist keine Freiheit, sondern alles in der Welt geschieht lediglich nach Gesetzen der Natur.«

> §1597a The thesis of the antinomy here to be considered runs thus: Causality according to natural laws is not the sole causality from which the phenomena of the world can one and all be derived. For their explanation a causality through freedom must be assumed as well. The antithesis is: There is no freedom, but everything in the world happens solely according to natural laws.

> {#1597e} §1597e Zum Beweise der Thesis soll nämlich zuerst angenommen werden, es gebe keine andere Kausalität als nach Gesetzen der Natur, d. i. nach der Notwendigkeit des Mechanismus überhaupt, den Chemismus mit eingeschlossen. Dieser Satz widerspreche sich aber darum, weil das Gesetz der Natur gerade darin bestehe, daß ohne hinreichend a priori bestimmte Ursache, welche somit eine absolute Spontaneität in sich enthalte, nichts geschehe; – d.h. die der Thesis entgegengesetzte Annahme ist darum widersprechend, weil sie der Thesis widerspricht.

> §1597e Thus in order to prove the thesis we have first to assume that there is no other causality than that according to natural laws, that is, according to the necessity of mechanism in general, including chemism. This proposition w e find to be selfcontradictory, because we take natural law to consist just in this, that nothing happens without a cause sufficiently determined a priori, which cause therefore must contain an absolute spontaneity within itself; that is, the assumption opposed to the thesis is contradictory because it contradicts the thesis.

In modern terminology this is the issue of choice of [[boundary conditions]] for the [[equations of motion]] that are taken as the laws of nature.

{#HilbertWeltgesetze} [[David Hilbert]] has famously reflected on the issue of bundary conditions for _Weltgesetze_ (today roughly: [[theory of everything|theories of everything]]) in view of the modern theory of [[gravity]] ([[general relativity]]) and has wondered whether imposing certain canonical boundary conditions (such as periodic boundary conditions in time) would lead to what he called "Hegelian physiscs" where the nature of the world follows from pure thought. This is reproduced in ([Sauer-Majer 09, p. 417, 423](#SauerMajer09))

##### Der subjektive Zweck

##### Das Mittel

##### Der ausgeführte Zweck

> {#1630a} §1630a First we saw subjectivity, the Notion's being-for-self, pass over; into its in-itself, objectivity, to be followed by the reappearance in the latter of the negativity of the Notion's being-for-self; in that negativity the Notion has determined itself in such a manner that its particularity is an external objectivity, or it has determined itself as a simple concrete unity whose externality is its self-determination.

> {#1630b} §1630b Die Bewegung des Zweckes hat nun dies erreicht, daß das Moment der Äußerlichkeit nicht nur im Begriff gesetzt, er nicht nur ein Sollen und Streben, sondern als konkrete Totalität identisch mit der unmittelbaren Objektivität ist. Diese Identität ist einerseits der einfache Begriff und ebenso unmittelbare Objektivität, aber andererseits gleich wesentlich Vermittlung und nur durch sie als sich selbst aufhebende Vermittlung jene einfache Unmittelbarkeit; so ist er wesentlich dies, als fürsichseiende Identität von seiner ansichseienden Objektivität unterschieden zu sein und dadurch Äußerlichkeit zu haben, aber in dieser äußerlichen Totalität die selbstbestimmende Identität derselben zu sein. So ist der Begriff nun die Idee.

> §1630b The movement of the end has now reached the stage where the moment of externality is not merely posited in the Notion, where the end is not merely an ought-to-be and a striving to realise itself, but as a concrete totality is identical with the immediate objectivity. This identity is on the one hand the simple Notion and the equally immediate objectivity, but on the other hand, it is just as essentially a mediation, and only through the latter as a self-sublating mediation is it that simple immediacy; the Notion is therefore essentially this: to be distinct as an explicit identity from its implicit objectivity, and thereby to possess externality, yet in this external totality to be the totality's self-determining identity. As such, the Notion is now the Idea.



### Die Idee / The Idea
 {#TheIdea}

> {#1631} §1631 Die Idee ist der adäquate Begriff, das objektive Wahre oder das Wahre als solches. Wenn irgend etwas Wahrheit hat, hat es sie durch seine Idee, oder etwas hat nur Wahrheit, insofern es Idee ist.

> §1631 The Idea is the adequate Notion, that which is objectively true, or the true as such. When anything whatever possesses truth, it possesses it through its Idea, or, something possesses truth only in so far as it is Idea.

> §1633 Indem nun der Ausdruck Idee für den objektiven oder realen Begriff zurückbehalten und von dem Begriff selbst

> §1633 Reserving then the expression 'Idea' for the objective or real Notion and distinguishing it from the Notion itself

> §1634 Indem sich aber das Resultat ergeben hat, daß die Idee die Einheit des Begriffs und der Objektivität, das Wahre ist, so ist sie nicht nur als ein Ziel zu betrachten, dem sich anzunähern sei, das aber selbst immer eine Art von Jenseits bleibe, sondern daß alles Wirkliche nur insofern ist, als es die Idee in sich hat und sie ausdrückt. Der Gegenstand, die objektive und subjektive Welt überhaupt sollen mit der Idee nicht bloß kongruieren, sondern sie sind selbst die Kongruenz des Begriffs und der Realität; diejenige Realität, welche dem Begriffe nicht entspricht, ist bloße Erscheinung, das Subjektive, Zufällige, Willkürliche, das nicht die Wahrheit ist.

> §1634 But having reached the result that the Idea is the unity of the Notion and objectivity, is the true, it must not be regarded merely as a goal to which we have to approximate but which itself always remains a kind of beyond; on the contrary, we must recognise that everything actual is only in so far as it possesses the Idea and expresses it. It is not merely that the object, the objective and subjective world in general, ought to be congruous with the Idea, but they are themselves the congruence of Notion and reality; the reality that does not correspond to the Notion is mere Appearance, the subjective, contingent, capricious element that is not the truth.

With _Notion/Begriff_ being _[[type]]_ and _[[true]]_ being (under [[propositions as types]]) [[inhabited types]] or rather particular [[terms]] inhabiting a type, the _Idea_ is the system of definable [[terms]] that may be constructed (from the basic type [[term introduction rules]] and those coming with the above [[modal operators]]).

Moreover, by [§1630b](#1630b) this is to have a _concrete_ and _external_ aspect to it. Hence both by the understanding of _externalization_ as [[representation]]/[[model]] as well as by the understanding of _[[concrete general]]_ as a [[category]] of [[models]] of a [[theory]] the Idea is to be thought of as the [[category]] of these definable terms. This is known as the _[[term model]]_ of the given ([[modal type theory|modal]] [[type theory]]).

Specifically, under [[propositions as types]] this includes all witnesses of the [[true|truth]] of [[propositions]], hence the Idea is the collection of all the "true concepts", the actual facts that may be [[proof|proven]] from the given [[modal type theory]].

Compare this to [[Wittgenstein]]'s:

> **Prop 4.11** The totality of true propositions is the whole of natural science (or the whole corpus of the natural sciences). ([[Tractatus Logico-Philosophicus]])

especially in view of Hegel's [PN§192](#PN192) and following, by which Nature is the representation of the Idea.


> §1635 When it is said that no object is to be found in experience that is perfectly congruous with the Idea, one is opposing the Idea as a subjective standard to the actual; but what anything actual is supposed in truth to be, if its Notion is not in it and if its objectivity docs not correspond to its Notion at all, it is impossible to say; for it would be nothing. It is true that the mechanical and chemical object, like the nonspiritual subject and the spirit that is conscious only of the finite, not of its essence, do not, according to their various natures, have their Notion existent in them in its own free form.

> But they can only be true at all in so far as they are the union of their Notion and reality, of their soul and their body. Wholes like the state and the church cease to exist when the unity of their Notion and their reality is dissolved; man, the living being, is dead when soul and body are parted in him; dead nature, the mechanical and chemical world — taking, that is, the dead world to mean the inorganic world, otherwise it would have no positive meaning at all — dead nature, then, if it is separated into its Notion and its reality, is nothing but the subjective abstraction of a thought form and a formless matter. Spirit that was not Idea, was not the unity of the Notion with its own self, or the Notion that did not have the Notion itself for its reality would be dead, spiritless spirit, a material object.

> {#1636} §1636 Sein hat die Bedeutung der Wahrheit erreicht, indem die Idee die Einheit des Begriffs und der Realität ist; es ist also nunmehr nur das, was Idee ist.

> §1636 The Idea being the unity of Notion and reality, being has attained the significance of truth; therefore what now is is only what is Idea.

(see also [§226](#226)).

> Der Gegenstand, die objektive und subjektive Welt überhaupt sollen mit der Idee nicht bloß kongruieren, sondern sie sind selbst die Kongruenz des Begriffs und der Realität;

> Die Idee hat aber nicht nur den allgemeineren Sinn des wahrhaften Seins, der Einheit von Begriff und Realität, sondern den bestimmteren von subjektivem Begriffe und der Objektivität.



> {#1634} §1634 But having reached the result that the Idea is the unity of the Notion and objectivity,

> {#1636} §1636 Die Idee ist die Einheit des Begriffs und der Realität

> §1636 The Idea being the unity of Notion and reality,

> {#1638} §1638 However, the Idea has not merely the more general meaning of the true being, of the unity of Notion and reality, but the more specific one of the unity of subjective Notion and objectivity.

So

* Idee = Begriff & Realität

See also [EL§214](#EL214), which instead has

* Idee = das Ideelle & das Reelle .

But of course the Notion is _ideell_, by [§304](#304) "wie auch weiterhin der Begriff als ein Ideelles und zwar als ein nur Ideelles" and [§316](#316) "wie noch mehr der Begriff, die Idee, der Geist, Ideelles zu nennen ist".

(Notice that it is _Realität_ [§304](#304), [§305](#305) which appears here, not _Wirklichkeit_ ( _actuality_ ) as in [§1160](#1160).)

> §1640  As this relation, the Idea is the process of sundering itself into individuality and its inorganic nature, and again of bringing this inorganic nature under the power of the subject and returning to the first simple universality. The identity of the Idea with itself is one with the process; the thought which liberates actuality from the illusory show of purposeless mutability and transfigures it into the Idea must not represent this truth of actuality as a dead repose, as a mere picture, lifeless, without impulse or movement, as a genius or number, or an abstract thought; by virtue of the freedom which the Notion attains in the Idea, the Idea possesses within itself also the most stubborn opposition; its repose consists in the security and certainty with which it eternally creates and eternally overcomes that opposition, in it meeting with itself

In the _Lectures on the History of Philosophy_ it is clarified that _The Idea_ here indeed relates to the [[doctrine of ideas]] of [[Plato]]:

> [HistoryOfPhilosophy -- Plato](https://www.marxists.org/reference/archive/hegel/works/hp/hpplato.htm)  -- In this account of Philosophy, we at once see what the so much talked of Ideas of Plato are. The Idea is nothing else than that which is known to us more familiarly by the name of the Universal, regarded, however, not as the formal Universal, which is only a property of things, but as implicitly and explicitly existent, as reality, as that which alone is true. We translate eidoς first of all as species or kind; and the Idea is no doubt the species, but rather as it is apprehended by and exists for Thought. Of course when we understand by species nothing but the gathering together by our reflection, and for convenience sake, of the like characteristics of several individuals as indicating their distinguishing features, we have the universal in quite an external form. But the specific character of the animal is its being alive; this being alive is that which makes it what it is, and deprived of this. it ceases to exist. To Plato, accordingly, Philosophy is really the science of this implicitly universal, to which, as contrasted with the particular, he always continues to return. “When Plato spoke of tableness and cupness, Diogenes the Cynic said: ‘I see a table and a cup, to be sure, but not tableness and cupness.’ ‘Right,’ answered Plato; ‘for you have eyes wherewith to see the table and the cup, but mind, by which one sees tableness and cupness, you have not (noun ouk exeiς).” What Socrates began was carried out by Plato, who acknowledged only the Universal, the Idea, the Good, as that which has existence. Through the presentation of his Ideas. Plato opened up the intellectual world, which, however, is not beyond reality, in heaven, in another place, but is the real world. With Leucippus, too, the Ideal is brought closer to reality, and not — metaphysically — thrust away behind Nature. The essence of the doctrine of Ideas is thus the view that the True is not that which exists for the senses, but that only what has its determination in itself, the implicitly and explicitly Universal, truly exists in the world; the intellectual world is therefore the True, that which is worthy to be known — indeed, the Eternal, the implicitly and explicitly divine. The differences are not essential, but only transitory; yet the Absolute of Plato, as being the one in itself and identical with itself, is at the same time concrete in itself, in that it is a movement returning into itself, and is eternally at home with itself. But love for Ideas is that which Plato calls enthusiasm.


Now that the Idea has appeared in the _Logic_, nature springs out of it (as announced in [§53](#53)). The _[shorter Logic](#EPSBOI)_ ends with [EL§244](#EL244).

> {#1641a} §1641a Zunächst aber ist die Idee auch wieder erst nur unmittelbar oder nur in ihrem Begriffe, die objektive Realität ist dem Begriffe zwar angemessen, aber noch nicht zum Begriffe befreit, und er existiert nicht für sich als der Begriff.

> §1641a In the first instance, however, the Idea is once again only immediate or only in its Notion; objective reality is, it is true, conformable to the Notion, but it is not yet liberated into the Notion, and the latter does not exist explicitly for itself as Notion.

> {#1641b} §1641b Der Begriff ist so zwar Seele, aber die Seele ist in der Weise eines Unmittelbaren, d.h. ihre Bestimmtheit ist nicht als sie selbst, sie hat sich nicht als Seele erfaßt, nicht in ihr selbst ihre objektive Realität; der Begriff ist als eine Seele, die noch nicht seelenvoll ist.

> §1641b Thus though the Notion is soul, it is soul in the guise of an immediate, that is, its determinateness does not appear as soul itself, it has not grasped itself as soul, it does not possess its objective reality within itself; the Notion is as a soul that is not yet fully a soul.

> {#1642} §1642 So ist die Idee erstlich das Leben; der Begriff, der unterschieden von seiner Objektivität einfach in sich seine Objektivität durchdringt und als Selbstzweck an ihr sein Mittel hat und sie als sein Mittel setzt, aber in diesem Mittel immanent und darin der realisierte mit sich identische Zweck ist. – Diese Idee hat um ihrer Unmittelbarkeit willen die Einzelheit zur Form ihrer Existenz. Aber die Reflexion ihres absoluten Prozesses in sich selbst ist das Aufheben dieser unmittelbaren Einzelheit; dadurch macht der Begriff, der in ihr als Allgemeinheit das Innere ist, die Äußerlichkeit zur Allgemeinheit oder setzt seine Objektivität als Gleichheit mit sich selbst. So ist die Idee

> §1642 At this first stage the Idea is Life: the Notion that, distinguished from its objectivity, simple within itself, pervades its objectivity and, as its own end, possesses its means in the objectivity and posits the latter as its means, yet is immanent in this means and is therein the realised end that is identical with itself. This Idea, on account of its immediacy, has individuality for the form of its existence. But the reflection-into-self of its absolute process is the sublating of this immediate individuality; thereby the Notion which, as universality in this individuality, is the inwardness of the latter, converts the externality into universality, or posits its objectivity as being the same as itself.

> {#1643} §1643 zweitens die Idee des Wahren und des Guten, als Erkennen und Wollen. Zunächst ist sie endliches Erkennen und endliches Wollen, worin das Wahre und Gute sich noch unterscheiden und beide nur erst als Ziel sind. Der Begriff hat sich zunächst zu sich selbst befreit und sich nur erst eine abstrakte Objektivität zur Realität gegeben. Aber der Prozeß dieses endlichen Erkennens und Handelns macht die[468] zunächst abstrakte Allgemeinheit zur Totalität, wodurch sie vollkommene Objektivität wird. – Oder von der ändern Seite betrachtet, macht der endliche, das ist der subjektive Geist sich die Voraussetzung einer objektiven Welt, wie das Leben eine solche Voraussetzung hat, aber seine Tätigkeit ist, diese Voraussetzung aufzuheben und sie zu einem Gesetzten zu machen. So ist seine Realität für ihn die objektive Welt, oder umgekehrt, die objektive Welt ist die Idealität, in der er sich selbst erkennt.

> §1643 In this second stage, the Idea is the Idea of the true and the good as cognition and volition ®. In the first instance, it is finite cognition and finite volition, in which the true and the good are still distinguished and each appears as yet only as a goal. The Notion has, in the first instance, liberated itself into itself and as yet given itself only an abstract objectivity for its reality. But the process of this finite cognition and action converts the initially abstract universality into a totality, whereby it becomes a complete objectivity. Or, to consider it from the other side, finite, that is, subjective spirit, makes for itself the presupposition of an objective world, just as life has such a presupposition; but its activity consists in sublating this presupposition and converting it into a positedness. In this way its reality is for it the objective world, or conversely, the objective world is the ideality in which it cognises itself.

> {#1644} §1644 Drittens erkennt der Geist die Idee als seine absolute Wahrheit, als die Wahrheit, die an und für sich ist; die unendliche Idee, in welcher Erkennen und Tun sich ausgeglichen hat und die das absolute Wissen ihrer selbst ist.

> §1644 Thirdly, spirit cognises the Idea as its absolute truth, as the truth that is in and for itself; the infinite Idea in which cognition and action are equalised, and which is the absolute knowledge of itself.



#### Leben
 {#Leben}

> {#EL2126} EL§216  Die unmittelbare Idee ist das Leben. Der Begriff ist als Seele in einem Leibe realisiert.

> §1645 The Idea of Life is concerned with a subject matter so concrete, and if you will, so real, that with it we may seem to have overstepped the domain of logic as it is commonly conceived.

> {#1646} §1646 In der Natur erscheint das Leben als die höchste Stufe, welche von ihrer Äußerlichkeit dadurch erreicht wird, daß sie in sich gegangen ist und sich in der Subjektivität aufhebt. In der Logik ist es das einfache Insichsein, welches in der Idee des Lebens seine ihm wahrhaft entsprechende Äußerlichkeit erreicht hat; der Begriff, der als subjektiver früher auftritt, ist die Seele des Lebens selbst; er ist der Trieb, der sich durch die Objektivität hindurch seine Realität vermittelt.

> §1646 In nature life appears as the highest stage, a stage that nature's externality attains by withdrawing into itself and sublating itself in subjectivity. In Logic it is simple inwardness [Insichsein], which in the Idea of life has attained an externality that genuinely corresponds to it; the Notion that earlier appeared on the scene as subjective Notion is the soul of life itself; it is the urge that mediates for itself its reality throughout objectivity.

> {#1648} §1648 Aber die Äußerlichkeit ist im Leben zugleich als die einfache Bestimmtheit seines Begriffs; so ist die Seele allgegenwärtig in diese Mannigfaltigkeit ausgegossen und bleibt zugleich schlechthin das einfache Einssein des konkreten Begriffs mit sich selbst.  Am Leben, an dieser Einheit seines Begriffs in der Äußerlichkeit der Objektivität, in der absoluten Vielheit der atomistischen Materie, gehen dem Denken, das sich an die Bestimmungen der Reflexionsverhältnisse und des formalen Begriffes hält, schlechthin alle seine Gedanken aus; die Allgegenwart des Einfachen in der vielfachen Äußerlichkeit ist für die Reflexion ein absoluter Widerspruch und, insofern sie dieselbe zugleich aus der Wahrnehmung des Lebens auffassen, hiermit die Wirklichkeit dieser Idee zugeben muß, ein unbegreifliches Geheimnis, weil sie den Begriff nicht erfaßt und den Begriff nicht als die Substanz des Lebens.

> §1648  But in life externality is at the same time present as the simple determinateness of its Notion; thus the soul is an omnipresent outpouring of itself into this multiplicity and at the same remains absolutely the simple oneness of the concrete Notion with itself. The thinking that clings to the determinations of the relationships of reflection and of the formal Notion, when it comes to consider life, this unity of its Notion in the externality of objectivity, in the absolute multiplicity of atomistic matter, finds all its thoughts without exception are of no avail; the omnipresence of the simple in manifold externality is for reflection an absolute contradiction, and as reflection must at the same time apprehend this omnipresence from its perception of life and therefore admit the actuality of this Idea, it is an incomprehensible mystery for it, because it does not grasp the Notion, and the Notion as the substance of life.

##### The living individual

##### The life-process

##### The genus
 {#TheGenus}

> §1669 The living individual, at first disengaged from the universal Notion of life, is a presupposition that is not as yet authenticated by the living individual itself. Through its process with the simultaneously presupposed world, it has posited itself on its own account as the negative unity of its otherness, as the foundation of itself; as such it is the actuality of the Idea, in such a manner that now the individual brings itself forth out of actuality, whereas before it proceeded only from the Notion, and that its genesis which was an act of presupposing, now becomes its production.

> §1670 But the further determination that it has attained by the sublation of the opposition is that of being the genus as identity of itself with its previously indifferent otherness. This Idea of the individual, since it is this essential identity, is essentially the particularisation of itself. This its diremption, in accordance with the totality from which it proceeds, is the duplication of the individual — a presupposing of an objectivity that is identical with it, and a relationship of the living being to itself as to another living being.

> §1671 This universal is the third stage, the truth of life in so far as this is still confined within its sphere. This sphere is the self-related process of the individual, where externality is its immanent moment; secondly, this externality is itself, as a living totality, an objectivity that for the individual is its own self, an objectivity in which, not as sublated but as persisting, the individual has the certainty of itself.

> §1672 Now because the relationship of the genus is the identity of individual self-feeling in what is at the same time another self-subsistent individual, it is contradiction; thus the living being is again an urge. Now the genus is indeed the consummation of the Idea of life, but at first it is still within the sphere of immediacy; this universality is therefore actual in an individual shape — the Notion, whose reality has the form of immediate objectivity. Consequently, though the individual is indeed in itself genus, it is not explicitly or for itself the genus; what is for it is as yet only another living individual; the Notion distinguished from itself has for object, with which it is identical, not itself as Notion but a Notion that as a living being has at the same time external objectivity for it, a form that is therefore immediately reciprocal.

> §1673a The identity with the other individual, the individual's universality, is thus as yet only internal or subjective; it therefore has the longing to posit this and to realise itself as a universal. But this urge of the genus can realise itself only by sublating the single individualities which are still particular relatively to one another.

> §1673b In that first instance, in so far as it is these latter which, in themselves, universal, satisfy the tension of their longing and dissolve themselves into the universality of their genus, their realised end identity is the negative unity of the genus that is reflected into itself out of its disremption.

> §1674 It is thus the individuality of life itself, generated no longer from its Notion, but from the actual Idea. In the first instance, it is itself only Notion that has yet to objectify itself, but it is the actual Notion — the germ of a living individual. The germ is visible evidence to ordinary perception of what the Notion is, and it demonstrates that the subjective Notion has external actuality. For the germ of the living being is the complete concretion of individuality, in which all its diverse aspects, properties and articulated differences are contained in their entire determinateness, and the initially immaterial, subjective totality is undeveloped, simple and non-sensuous; the germ is thus the entire living being in the inner form of the Notion.

> §1675 The reflection of the genus into itself is from this side the means whereby it obtains actuality, the moment of negative unity and individuality being thereby posited in it — the propagation of the living species. The Idea, which as life, is still in the form of immediacy, thus falls back into actuality and this its reflection is only repetition and the infinite progress, in which it does not emerge from the finitude of its immediacy. But this return into its first Notion has also the higher side, that the Idea has not merely run through the mediation of its processes within its immediacy, but by this very act has sublated this immediacy and thereby raised itself to a higher form of its existence.

> §1676 That is to say, the process of the genus, in which the single individuals sublate in one another their indifferent immediate existence and in this negative unity expire, has further for the other side of its product the realised genus, which has posited itself identical with the Notion. In the genus process, the separated individualities of individual life perish; the negative identity in which the genus returns into itself, while it is on the one hand the process of generating individuality, is on the other hand the sublating of it, and is thus the genus coming together with itself, the universality of the Idea in process of becoming for itself. In copulation the immediacy of the living individuality perishes; the death of this life is the procession of spirit. The Idea, which as genus is implicit, is now explicit, in that it has sublated its particularity which constituted the living species, and has thereby given itself a reality that is itself simple universality. As such it is the Idea that relates itself to itself as Idea, the universal that has universality for its determinateness and existence — the Idea of cognition.

See also [PS§456b](#PS456b).

#### Erkennen

#### Absolute Idee


> {#EL244} EL§244 Die Idee, welche für sich ist, nach dieser ihrer Einheit mit sich betrachtet, ist sie Anschauen, und die anschauende Idee Natur. Als Anschauen aber ist die Idee in einseitiger Bestimmung der Unmittelbarkeit oder Negation durch äußerliche Reflexion gesetzt. Die absolute Freiheit der Idee aber ist, daß sie nicht bloß ins Leben übergeht, noch als endliches Erkennen dasselbe in sich scheinen läßt, sondern in der absoluten Wahrheit ihrer selbst sich entschließt, das Moment ihrer Besonderheit oder des ersten Bestimmens und Andersseins, die unmittelbare Idee als ihren Widerschein, sich als Natur frei aus sich zu entlassen.

> {#1782} §1782 Sie ist der einzige Gegenstand und Inhalt der Philosophie Indem sie alle Bestimmtheit in sich enthält, und ihr Wesen dieß ist, durch ihre Selbstbestimmung oder Besonderung zu sich zurückzukehren, so hat sie verschiedene Gestaltungen, und das Geschäft der Philosophie ist, sie in diesen zu erkennen. Die Natur und der Geist sind überhaupt unterschiedene Weisen, ihr Daseyn darzustellen; Kunst und Religion ihre verschiedenen Weisen, sich zu erfassen und ein sich angemessenes Daseyn zu geben; die Philosophie hat mit Kunst und Religion denselben Inhalt und denselben Zweck; aber sie ist die höchste Weise, die absolute Idee zu erfassen, weil ihre Weise die höchste, der Begriff, ist. Sie faßt daher jene Gestaltungen der reellen und ideellen Endlichkeit, so wie der Unendlichkeit und Heiligkeit in sich, und begreift sie und sich selbst. Die Ableitung und Erkenntniß dieser besonderen Weisen ist nun das fernere Geschäft der besonderen philosophischen Wissenschaften.

> §1782 It is the sole subject matter and content of philosophy. Since it contains all determinations within it, and its essential nature is to return to itself through its self-determination or particularisation, it has various shapes, and the business of philosophy is to cognise it in these. Nature and spirit are in general different modes of presenting its existence, art and religion its different modes of apprehending itself and giving itself an adequate existence. Philosophy has the same content and the same end as art and religion; but it is the highest mode of apprehending the absolute idea, because its mode is the highest mode, the Notion.

nature is [[representation]] of the (absolute) idea, but the idea is the [[term model]], hence nature is a [[model]] of the [[theory]] (the substance).
see also in [PN§193b](#PN193b), [PN§250](#PN250)


##### (Die dialektische Methode)
 {#DialektischeMethode}

> §1783a The logical aspect of the absolute Idea may also be called a mode of it; but whereas mode signifies a particular kind, a determinateness of form, the logical aspect, on the contrary, is the universal mode in which all particular modes are sublated and enfolded. The logical Idea os the Idea itself in its pure essence, the Idea enclosed in simple identity within its Notion prior to its immediate reflection in a form-determinateness.

> §1783b Hence logic exhibits the self-movement of the absolute Idea only as original word, which is an outwardising or utterance, but an utterance that in being has immediately vanished again as something outer; the Idea is, therefore, only in this self-determination of apprehending itself; it is in pure thought, in which difference is not yet otherness, but is and remains perfectly transparent to itself. Thus the logical Idea has itself as the infinite form for its content — form which constitutes the opposite to content to this extent that the content is the form-determination withdrawn into itself and sublated in the identity in such a manner that this concrete identity stands opposed to the identity explicated as form; the content has the shape of an other and a datum as against the form which as such stands simply in relation, and its determinateness is at the same time posited as an illusory being. More exactly, the determination is its own completed totality, the pure Notion. Now the determinateness of the Idea and the entire course followed by this determinateness has constituted the subject matter of the science of logic, from which course the absolute Idea itself has issued into an existence of its own; but the nature of this existence has shown itself to be this, that determinateness does not have the shape of content, but exists wholly as form, and that accordingly the Idea is the absolutely universal Idea. Therefore what remains to be considered here is not a content as such, but the universal aspect of its form — that is, the method.




> §1785a Accordingly, what is to be considered here as method is only the movement of the Notion itself, the nature of which movement has already been cognised; but first, there is now the added significance that the Notion is everything, and its movement is the universal absolute activity, the self-determining and self-realising movement. The method is therefore to be recognised as the unrestrictedly universal, internal and external mode; and as the absolutely infinite force, to which no object, presenting itself as something external, remote from and independent of reason, could offer resistance or be of a particular nature in opposition to it, or could not be penetrated by it. It is therefore soul and substance, and anything whatever is comprehended and known in its truth only when it is completely subjugated to the method; it is the method proper to every subject matter because its activity is the Notion. This is also the truer meaning if its universality; according to the universality of reflection it is regarded merely as the method for everything; but according to the universality of the Idea, it is both the manner peculiar to cognition, to the subjectively selfknowing Notion, and also the objective manner, or rather the substantiality, of things — that is of Notions, in so far as they appear primarily to representation and reflection as others. It is therefore not only the highest force, or rather the sole and absolute force of reason, but also its supreme and sole urge to find and cognise itself by means of itself in everything. Here, secondly, is indicated the difference of the method from the Notion as such, the particular aspect of the method. The Notion, when it was considered by itself, appeared in its immediacy; the reflection, or the Notion that considered it, fell within our knowing.

> §1785b The method is this knowing itself, for which the Notion is not merely the subject matter, but knowing's own subjective act, the instrument and means of the cognising activity, distinguished from that activity, but only as the activity's own essentiality. In the cognition of enquiry, the method likewise occupies the position of an instrument, of a means standing on the subjective side by which this side relates itself to the object. In this syllogism the subject is one extreme and the object the other, and the former by means of its method unites with the latter, but in doing so it does not unite with itself. The extremes remain diverse because subject, method, and object are not posited as the one identical Notion; the syllogism is therefore still the formal syllogism; the premises in which the subject posits the form on its side as its method is an immediate determination, and therefore contains the determinations of form, as we have seen, of definition, division, and so forth, as facts found existing in the subject. In true cognition on the contrary, the method is not merely an aggregate of certain determinations, but the Notion that is determined in and for itself; and the Notion is the middle term only because it has equally the significance of the objective, and consequently in the conclusion the objective does not merely attain an external determinateness by means of the method, but is posited in its identity with the subjective Notion.


> {#1786a} §1786a 1. Thus what constitute the method are the determinations of the Notion itself and their relations, which we have now to consider in their significance as determinations of the method. In doing so we must first begin with the beginning. Of the beginning we have already spoken at the beginning of the Logic itself, and also above, when dealing with subjective cognition, and we have shown that, if it is not made arbitrarily and with a categorical unconsciousness, it may indeed seem to involve a number of difficulties but nevertheless is of an extremely simple nature. Because it is the beginning, its content is an immediate, but an immediate that has the significance and form of abstract universality. Be it otherwise a content of being, or of essence, or of the Notion, it is as an immediate something assumed, found already in existence, assertorical. But first of all it is not an immediate of sensuous intuition or of representation, but of thinking, which on account of its immediacy may also be called a supersensuous inner intuition.

> §1786b The immediate of sensuous intuition is a manifold and an individual. But cognition is thinking by means of notions, and therefore its beginning also is only in the element of thought — it is a simple and a universal. This form has already been discussed under definition. At the beginning of finite cognition universality is likewise recognised as an essential determination, but it is taken as a determination of thought and of Notion only in opposition to being. In point of fact this first universality is an immediate one, and for that reason has equally the significance of being; for being is precisely this abstract relation-to-self. Being requires no further derivation, as though it belonged to the abstract product of definition only because it is taken from sensuous intuition or elsewhere, and in so far as it is pointed out to us. This pointing out and derivation is a matter of mediation, which is more than a mere beginning, and is a mediation of a kind that does not belong to a comprehension by means of thinking, but is the elevation of ordinary thinking, of the empirical and ratiocinative consciousness, to the standpoint of thought. According to the current opposition of thought or concept and being it is regarded as an important truth that no being belongs as yet to the former, taken on its own, and that the latter has a ground of its own that is independent of thought. But the simple determination of being is in itself so meagre that, if only for that reason, there is no need to make much fuss about it; the universal is immediately itself this immediate, since as abstract it also is merely the abstract relation-to-self, which is being. As a matter of fact, the demand that being should be exhibited for us to see has a further, inner meaning involving more than this abstract determination; what is meant by it is in general the demand for the realisation of the Notion, which realisation does not lie in the beginning itself, but is rather the goal and the task of the entire further development of cognition. Further, since the content of the beginning is supposed to be justified and authenticated as something true or correct by its being pointed out in inner or outer perception, it is no longer the form of universality as such that is meant, but its determinateness, of which we shall need to speak presently. The authentication of the determinate content with which the beginning is made seems to lie behind it; but in fact it is to be considered as an advance, that is, if it belongs to philosophical cognition.

> {#1798} §1798  On this point, formal thinking lays down for its principle that contradiction is unthinkable; but as a matter of fact the thinking of contradiction is the essential moment of the Notion. Formal thinking does in fact think contradiction, only it at once looks away from it, and in saying that it is unthinkable it merely passes over from it into abstract negation.


> {#1799} §1799 Now the negativity just considered constitutes the turning point of the movement of the Notion. It is the simple point of the negative relation to self, the innermost source of all activity of all animate and spiritual self-movement, the dialectical soul that everything true possesses and through which alone it is true; for on this subjectivity alone rests the sublating of the opposition between the Notion and reality, and the unity that is truth. The second negative, the negative of the negative, at which we have arrived, is this sublating of the contradiction, but just as little as the contradiction is it an act of external reflection, but rather the innermost, most objective moment of life and spirit through which a subject, a person, a free being, exists.



> {#1805} §1805 It is here that the content of cognition as such first enters into the circle of consideration, since, as deduced, it now belongs to the method. The method itself by means of this moment expands itself into a system. At first the beginning had to be, for the method, wholly indeterminate in respect of content; to this extent it appears as the merely formal soul, for and by which the beginning was determined simply and solely in regard to its form, namely, as the immediate and the universal. Through the movement we have indicated, the subject matter has obtained for itself a determinateness that is a content, because the negativity that has withdrawn into simplicity is the sublated form, and as simple determinateness stands over against its development, and first of all over against its very opposition to universality.

> {#1812} §1812 It is in this manner that each step of the advance in the process of further determination, while getting further away from the indeterminate beginning is also getting back nearer to it, and that therefore, what at first sight may appear to be different, the retrogressive grounding of the beginning, and the progressive further determining of it, coincide and are the same. The method, which thus winds itself into a circle, cannot anticipate in a development in time that the beginning is, as such, already something derived; it is sufficient for the beginning in its immediacy that it is simple universality. In being that, it has its complete condition; and there is no need to deprecate the fact that it may only be accepted provisionally and hypothetically. Whatever objections to it might be raised — say, the limitations of human knowledge, the need to examine critically the instrument of cognition before starting to deal with the subject matter — are themselves presuppositions, which as concrete determinations involve the demand for their mediation and proof. Since therefore they possess no formal advantage over the beginning with the subject matter against which they protest, but on the contrary themselves require deduction on account of their more concrete content, their claim to prior consideration must be treated as an empty presumption. They have an untrue content, for they convert what we know to be finite and untrue into something incontestable and absolute, namely, a limited cognition determined as form and instrument relatively to its content; this untrue cognition is itself also the form, the process of seeking grounds, that is retrogressive.. The method of truth, too, knows the beginning to be incomplete, because it is a beginning; but at the same time it knows this incompleteness to be a necessity, because truth only comes to be itself through negativity of immediacy.

> {#1814} §1814 By virtue of the nature of the method just indicated, the science exhibits itself as a circle returning upon itself, the end being wound back into the beginning, the simple ground, by the mediation; this circle is moreover a circle of circles, for each individual member as ensouled by the method is reflected into itself, so that in returning into the beginning it is at the same time the beginning of a new member. Links of this chain are the individual sciences [of logic, nature and spirit], each of which has an antecedent and a successor — or, expressed more accurately, has only the antecedent and indicates its successor in its conclusion

> {#1815} §1815 Thus then logic, too, in the absolute Idea, has withdrawn into that same simple unity which its beginning is; the pure immediacy of being in which at first every determination appears to be extinguished or removed by abstraction, is the Idea that has reached through mediation, that is, through the sublation of mediation, a likeness correspondent to itself. The method is the Pure Notion that relates itself only to itself; it is therefore the simple self-relation that is being. But now it is also fulfilled being, the Notion that comprehends itself, being as the concrete and so absolutely intensive totality. In conclusion, there remains only this to be said about this Idea, that in it, first, the science of logic has grasped its own Notion.

##### (Übergang zur Natur)

> §1816a In the sphere of being, the beginning of its content, its Notion appears as a knowing in a subjective reflection external to that content. But in the Idea of absolute cognition the Notion has become the Idea's own content. The Idea is itself the pure Notion that has itself for subject matter and which, in running itself as subject matter through the totality of its determinations, develops itself into the whole of its reality, into the system of the science [of logic], and concludes by apprehending this process of comprehending itself, thereby superseding its standing as content and subject matter and cognising the Notion of the science.

> §1816b Secondly, this Idea is still logical, it is enclosed within pure thought and is the science only of the divine Notion. True, the systematic exposition is itself a realisation of the Idea but confined within the same sphere. Because the pure Idea of cognition is so far confined within subjectivity, it is the urge to sublate this, and pure truth as the last result becomes also the beginning of another sphere and science. It only remains here to indicate this transition.

> {#1817} §1817 The Idea, namely, in positing itself as absolute unity of the pure Notion and its reality and thus contracting itself into the immediacy of being, is the totality in this form — nature. $\,\,\,\,\,\,\,$ But this determination has not issued from a process of becoming, nor is it a transition, as when above, the subjective Notion in its totality becomes objectivity, and the subjective end becomes life. On the contrary, the pure Idea in which the determinateness or reality of the Notion is itself raised into Notion, is an absolute liberation for which there is no longer any immediate determination that is not equally posited and itself Notion; in this freedom, therefore, no transition takes place; the simple being to which the Idea determines itself remains perfectly transparent to it and is the Notion that, in its determination, abides with itself. The passage is therefore to be understood here rather in this manner, that the Idea freely releases itself in its absolute self-assurance and inner poise. By reason of this freedom, the form of its determinateness is also utterly free — the externality of space and time existing absolutely on its own account without the moment of subjectivity. In so far as this externality presents itself only in the abstract immediacy of being and is apprehended from the standpoint of consciousness, it exists as mere objectivity and external life; but in the Idea it remains essentially and actually [in and for itself] the totality of the Notion, and science in the relationship to nature of divine cognition. $\,\,\,\,\,\,\,$ But in this next resolve of the pure Idea to determine itself as external Idea, it thereby only posits for itself the mediation out of which the Notion ascends as a free Existence that has withdrawn into itself from exteranlity, that completes its self-liberation in the science of spirit, and that finds the supreme Notion of itself in the science of logic as the self-comprehending pure Notion.

The theme of the idea expressing itself via the spirit in nature is summarized well [here](#PSEJul14).




## **Die Philosophie der Natur** / **Philosophy of Nature**
 {#PhilosophyOfNature}

The next book in the system, after the _Science of Logic_, is the _[[Philosophy of Nature]]_. It starts continuing from [EL§244](#EL244) in [PN§192](#PN192).

(Notice however that "matter" and in fact "[[physical fields]]" were already in the Wesenslogik, around [§1068](#1068), and "life" was already in the Begriffslogik [above](#Leben). Natural law had appeared from the objectivization of the Notion in [§1572](#1572))

### Betrachtungsweisen der Natur

### Begriff der Natur



> {#PN192} PN§192.  Die Natur hat sich als die Idee in der Form des Andersseins ergeben. Da die Idee so als das Negative ihrer selbst oder sich äußerlich ist, so ist die Natur nicht äußerlich nur relativ gegen diese Idee (und gegen die subjektive Existenz derselben, den Geist), sondern die Äußerlichkeit macht die Bestimmung aus, in welcher sie als Natur ist.

> PN§192 Nature has come into being as the idea in the form of otherness".

Hence Nature is the externalization of the Idea, and, by [PN§193b](#PN193b) is _representation_ of the Idea. By the above, the Idea is the last stage in the system of modalities. Possible technical terminology for a [[model]] of the [[modal type theory]] is essentially verbatim "representation" and "externalization".


> {#PN193a} PN§193a Die Natur zeigt daher in ihrem Dasein keine Freiheit, sondern Notwendigkeit und Zufälligkeit.

> PN§193a Hence nature exhibits no freedom in its existence, but only necessity and contingency.

> {#PN193b} PN§193b Weil sie jedoch, $[$ ... $]$ Darstellung der Idee ist,

> PN§193b $[$ ... $]$ nature is a representation of the idea,

Darstellung/representation: [[model]] of the [[theory]]. See also [§1782](#1782) and [PN§250](#PN250)


> PN§195. Nature is, in itself a living whole. The movement of its idea through its sequence of stages is more precisely this: the idea posits itself as that which it is in itself; or, what is the same thing, it goes into itself out of that immediacy and externality which is death in order to go into itself; yet further, it suspends this determinacy of the idea, in which it is only life, and becomes spirit, which is its truth.


> {#PN202a} PN§202a Other mathematical determinations, such as infinity and its relationships, the infinitesimal, factors, powers, and so on, have their true concepts in philosophy itself. It is awkward to want to take and derive these from mathematics, where they are employed in a nonconceptual, often meaningless way; rather, they must await their justification and significance from philosophy.

### Einteilung

> Die Idee als Natur ist:

> I. in der Bestimmung des Außereinander, der unendlichen Vereinzelung, außerhalb welcher die Einheit der Form, diese daher als eine ideelle, nur an sich seiende und daher nur gesuchte ist, die Materie und deren ideelles System, – Mechanik;

> II. in der Bestimmung der Besonderheit, so daß die Realität mit immanenter Formbestimmtheit und an ihr existierender Differenz gesetzt ist, ein Reflexionsverhältnis, dessen Insichsein die natürliche Individualität ist, – Physik;

> III. in der Bestimmung der Subjektivität, in welcher die realen Unterschiede der Form ebenso zur ideellen Einheit, die sich selbst gefunden und für sich ist, zurückgebracht sind, – Organik

On the importance of the discussion of _Measure_ [above](#TheMeasure) in the passage to nature:

> {#PN202b} PN§202b The truly philosophical science of mathematics as theory of magnitude would be the science of measures, but this already presupposes the real particularity of things, which is only at hand in concrete nature.

> {#PN250} PN§250 Der Widerspruch der Idee, indem sie als Natur sich selbst äußerlich ist

see also [PN§193b](#PN193b)

### Die Mechanik
 {#DieMechanik}

#### Mathematische Mechanik -- Raum und Zeit

##### Der Raum
 {#DerRaum}

> {#PN254a} PN§254a Die erste oder unmittelbare Bestimmung der Natur ist die abstrakte Allgemeinheit ihres Außersichseins, – dessen vermittlungslose Gleichgültigkeit, der Raum. Er ist das ganz ideelle Nebeneinander, weil er das Außersichsein ist, und schlechthin kontinuierlich, weil dies Außereinander noch ganz. abstrakt ist und keinen bestimmten Unterschied in sich hat.


"ideelles Nebeneinander" [[étale stack]] via [[infinitesimal shape modality]] $\Im$

> {#PN254b} PN§254b Von Raumpunkten zu sprechen, als ob sie das positive Element des Raums ausmachten, ist unstatthaft,

> PN§254b To speak of points of space, as if they constituted the positive element of space, is inadmissible

[[synthetic geometry]], see also [PN§256b](#PN256b)

> {#PN256a} PN§256a Aber der Unterschied ist wesentlich bestimmter, qualitativer Unterschied. Als solcher ist er $\alpha$) zunächst Negation des Raumes selbst, weil dieser das unmittelbar unterschiedlose Außersichsein ist, -- der Punkt.

> {#PN256b} PN§256b $\beta$) Die Negation ist aber Negation des Raumes, d. i. sie ist selbst räumlich; der Punkt als wesentlich diese Beziehung, d.i. als sich aufhebend, ist die Line, das erste anders-, d.i. Räumlich-sein des Punktes. $\gamma$) Die Wahrheit des Andersseins ist aber die Negation der Negation. Die Linie geht daher in die Fläche über, welche einerseits eine Bestimmtheit gegen Linie und Punkt, und so Fläche überhaupt, andererseits aber die aufgehobene Negation des Raumes ist, somit Wiederherstellung der  räumlichen Totalität, welche nunmehr das negative Moment an ihr hat; -- umschließende Oberfläche, die einen einzelnen ganzen Raum absondert.

Hence out of the point there emanates the line, out of the line the plane, etc. Such a hierarchy of extensions by which spacetime emanates out of the point appears in the
[[schreiber:The brane bouquet|the brane bouquet]] discuss above in _[Formalization -- Nature -- Spacetime](#FormalizationNatureSpacetime)_: from the (super-)point $\mathbb{R}^{0|N}$ emanate the [[super Minkowski spacetimes]] $\mathbb{R}^{d-1,1|N}$ by central extension via the $(-\Gamma-)$, prop. \ref{3dSuperMinkowskiSpacetime}.

> {#PN256b} PN§256b Daß die Linie nicht aus Punkten, die Fläche nicht aus Linien besteht, geht aus ihrem Begriffe hervor, da die Linie vielmehr der Punkt als außer sich seiend, nämlich sich auf den Raum beziehend und sich aufhebend, die Fläche ebenso die aufgehobene, außer sich seiende Linie ist. –

> PN§256b That the line does not consist of points, nor the plane of lines, follows from their concepts

This is essentially the motto of _[[synthetic geometry]]_, see also [PN§254b](#PN254b).

##### Die Zeit

##### Einheit von Raum und Zeit

###### Ort und Bewegung

> {#PN260} PN§260 Der Raum ist in sich selbst der Widerspruch des gleichgültigen Auseinanderseins und der unterschiedlosen Kontinuität, die reine Negativität seiner selbst und das Übergehen zunächst in die Zeit. Ebenso ist die Zeit, da deren in Eins zusammengehaltene entgegengesetzte Momente sich unmittelbar aufheben, das unmittelbare Zusammenfallen in die Indifferenz, in das ununterschiedene Außereinander oder den Raum. So ist an diesem die negative Bestimmung, der ausschließende Punkt, nicht mehr nur an sich dem Begriffe nach, sondern gesetzt und in sich concret durch die totale Negativität welche die Zeit ist; -- der so konkrete Punkt ist der Ort.

modern terminology here would be: [[spacetime]] [[event]]

###### Materie und Bewegung

> {#PN261} PN§261 Dies Vergehen und Sich-wiedererzeugen des Raumes in der Zeit und der Zeit im Raum, $[$...$]$ ist die Bewegung. Dies Werden ist aber selbst eben so sehr das in sich Zusammenfallen seines Widerspruchs, die unmittelbar identische daseiende Einheit beider, die Materie.

> This disappearance and regeneration of space in time and of time in space is motion;-- a becoming, which, however, is itself just as much immediately the identically existing unity of both, or matter.


So [[space]] and [[time]] transmute into each other, forming a unity. The appropriate modern word for this is clearly _[[spacetime]]_. That Hegel's perspective fits well with modern [[general relativity]] has been argued in ([Wandschneider82](#Wandschneider82)).

Moreover, this unity of space and time in spacetime is [[matter]] and by [PN§26d](#PN26d) it is matter _with_ the [[forces]] acting on it included. This is very much the perspective of the modern concept of _[[Kaluza-Klein compactification]]_ in which theories of pure ([[supergravity]]-)[[gravity]] give rise to matter and forces depending on how parts of spacetime take certain shape. For instance [[model (physics)|models]] such as the [[G2-MSSM]] are theories of pure gravity (in this case [[11d supergravity]]) taking shape in the form of a [[KK-compactification]] on a [[G2-manifold]] [[fiber bundle]], and all the [[matter]] (and [[force]] field) content of the [[standard model of particle physics]] arises from just this (super-)geometry.


A vaguely similar synthethis had been suggested in ([Weyl 1919](#Weyl19)). In the 1960s [[John Wheeler]] highlighted this idea of producing matter from pure spacetime geometry, coining the term [[geometrodynamics]] for it. His slogan "mass without mass" referred to mass arising from pure spacetime geometry. At this level of detail, this is rather close to [PN§261](#PN261).

> {#PN261b} PN§261b Der Uebergang von der Idealität zur Realität, von der Abstraktion zum konkreten Dasein, hier von Raum und Zeit zu der Realität, welche als Materie erscheint, ist für den Verstand unbegreiflich

> {#PN261c} PN§261c Die geläufige Vorstellung ist, Raum und Zeit als leer, gleichgueltig gegen ihre Erfuellung, und doch immer als voll zu betrachten, sie als leer von außen her mit der Materie erfuellen zu lassen, und einerseits auf diese Weise die materiellen Dinge als gleichgueltig  gegen Raum ind Zeit, und andererseits zugleich als wesentlich räumlich und zeitlich anzunehmen.

> {#PN261d} PN§26d Es gehlrt ferner zu dieser begrifflosen Reflexion, die sogenannten Kräfte als der Materie eingepflanzt, das ist, als ihr urpsrünglich äußerlich anzusehen, so daß eben diese Identität der Zeit und des Raumes, welche bei der Reflexionsbestimmung von Kraft vorschwebt und welche in Wahrheit das Wesen der Materie ausmacht, als etwas ihr fremdes und Zufälliges von außen in sie gebrachtes gesetzt ist.

#### Endliche Mechanik -- Materie und Bewegung.

> {#PN262a} PN§262a Die Materie hält sich gegen ihre Identität mit sich, durch das Moment ihrer Negativität, ihrer Abstrakten Vereinzelung, auseinander; die Repulsion der Materie.

In modern terminology this intrinsic _repulsion_ which keeps [[solid state physics|solid matter]] from collapsing to a [[condensate]] is the [[degeneracy pressure]] of [[fermion]] [[matter]] induced by the [[Pauli exclusion principle]]. See also [PN§290](#PN290).

> {#PN262b} PN§262b Ebenso wesentlich ist, weil diese Verschiedenen ein und dasselbe sind, die negative Einheit dieses außereinander-seienden Fürsichseins; die Materie is somit kontinuierlich -- ihre Attraktion.

> {#PN262c} PN§262c Die Materie ist untrennbar beides, und negative Einheit dieser Momente, Einzelnheit, aber gegen das unmittelbare Außereinander der Materie noch unterschieden und darum selbst noch nicht als materiell gesetzte, idelle Einzelheit, Mittelpunkt -- die Schwere.

> {#PN262d} PN§262d Die Schwere ist von der bloßen Attraktion wesentlich zu unterscheiden.

> {#PN262e} PN§262e Die Schwere macht die Substantialität der Materie aus, diese selbst ist das Streben nach dem -- aber (dies ist die andere Wesentliche Bestimmung) außer ihr fallenden -- Mittelpunkt.

See also [PN§271](#PN271).

>  PN§262 Matter in itself holds itself apart from itself through the moment of its negativity, diversity, or abstract separation into parts; it has repulsion. Its being apart from itself is just as essential, however, because these differences are one and the same: the negative unity of this existence apart from itself as being for itself, and thus continuous. Matter therefore has attraction. The unity of these moments is gravity.

So we have a [[unity of opposites]]:

$$
  Aussereinander \dashv Schwere
$$

Below in [PN§290](#PN290) we see more in detail what _Außereinander_ / _asunderness is_ and we give the formalization of this opposition there.

Notice that before in the Seinslogik, the unity of attraction with repulsion was in [§369](#369), where we interpreted it as the [[unity of opposites]] $&#643; \dashv \flat$ of the [[shape modality]] and the [[flat modality]]. By the discussion below  [§990](#990), this unity indeed describes [[gauge fields]] (via the [[differential cohomology hexagon]]) among which one may count [[gravity]] (when thinking of it as a [[Cartan connection]]).

See also on _Science of Logic_ the [Comment on the Construction of Matter from the Forces](#ConstructionOfMatterFromTheForces).


#### Absolute Mechanik -- Gravitation

##### Die allgemeine Gravitation

> {#PN269} PN§269 Die Gravitation ist der wahrhafte und bestimmte Begriff der materiellen Körperlichkeit, der zur Idee realisiert ist

##### Die Kepplerschen Gesetze

##### Die Totalität des Sonnen-Systems

> {#PN271} PN§271 Die Substanz der Materie, die Schwere, zur Totalität der Form entwickelt hat das außersichsein der Materie nicht mehr außer ihr. ... Ihr abstraktes dumpfes In-sich-sein, als schwer ueberhaupt, ist zur Form entschlossen, sie ist die qualifizierte Materie; -- Physik.

### Die Physik
 {#DiePhysik}


> PN§218 Gravity, as the essence of matter existing in itself only inner identity, transforms, since its concept is the essential externality, into the manifestation of the essence. As such it is the totality of the determinations of reflection, but these as thrown apart from each other, so that each appears as particular, qualified matter which, not yet determined as individuality, is a formless element.

#### Die Physik der allgemeinen Individualität

##### Die freien physikalischen Körper

###### Das Licht

> {#PN275} PN§275 Die erste qualifizierte Materie... existierende allgemeine Selbst der Materie ist das Licht.

> {#PN276} PN§276 Als das abstrakte Selbst der Materie ist das Licht das absolute-leichte, und als Materie, und als Materie ist sie unendliches Außersichsein aber als reines Manifestieren, materielle Idealität untrennbares und einfaches Außersichsein

We may grant [[light]] here as a placeholder for the modern concept of [[bosons]] and relate "light" to the [[bosonic modality]].

###### Die Körper des Gegensatzes

> {#PN279} PN§279 Das Dunkle, zunächst das Negative des Lichts, ist der Gegensatz gegen dessen abstrakte-identische Idealität, -- der Gegensatz an ihm selbst; er hat materielle Realität under zerfällt in sich in die Zweihet, $\alpha$) der körperlichen Verschiedenheit, d.i.  des materiellen Fürsichseins, der Starrheit, $\beta$) der Entgegensetzung...

This material reality and rigidity opposing _light_ which by [PN§276](#PN276) we identified with the [[bosonic modality]]  is clearly captured well by its [[left adjoint]], the [[fermionic modality]] $\e$. Hence we have a [[unity of opposites]]

rigid matter $\,$ [[fermionic modality]] $\e \dashv \rightsquigarrow$ [[bosonic modality]] $\,$ light


###### Die Körper der Individualität


##### Die Elemente



#### Die Physik der besonderen Individualität


> {#PN290} PN§290  Die vorher elementarischen Bestimmtheiten nun der individuellen Einheit unterworfen, so ist diese die immanente Form, welche für sich die Materie gegen ihre Schwere bestimmt. Die Schwere als suchen des Einheitspunktes tut dem Außereinander der Materie keinen Eintrag, d.i. der Raum und zwar nach einem Quantum ist das Maaß der Besonderungen der Unterschiede der schweren Materie, der Massen, (...) jetzt durch die gesetzte Individualität der Materie ist sie in ihrem Außereinander selbst ein Zentralisieren gegen dieß ihr Außereinander und gegen dessen suchen der Individualität, different gegen das ideelle Zentralisieren der Schwere, ein immanentes anderes Bestimmenn der materiellen Räumlichkeit als durch die Schwere nach der Richtung derselben. Dieser Teil der Physik ist die individualisierende Mechanik, indem die Materie durch die immanente Form und zwar nach dem Räumlichen bestimmt wird.



In modern terminology, this _asunderness_ (see also [PN§262c](#PN262c)) of matter that opposes its gravitational collapse is the [[Pauli exclusion principle]] obeyed by [[fermions]]. Mathematically this originates in the [[graded algebra|odd grading]] involved in [[superalgebra]]/[[supergeometry]]. In terms of [[adjoint modalities]]/[[unity of opposites]], this is embodied by the [adjoint triple between plain and superalgebra](super+algebra#AdjointTripleBetweenPlainAndSuperalgebra), hence by the ([[fermionic modality]] $\e \dashv \rightsquigarrow$ [[bosonic modality]])-[[adjunction]] on [[super smooth infinity-groupoids]]. This was identified above in [PN§279](#PN279) with the [[unity of opposites]] between rigid matter and light. Hence we find

rigid matter $\,$ [[fermionic modality]] $\e \stackrel{asunderness}{\dashv} \rightsquigarrow$ [[bosonic modality]] $\,$ light

Since there is a further [[right adjoint]] (by the discussion at _[[super smooth infinity-groupoid]]_) we get a second order duality, and since by [PN§262c](#PN262c) this opposite of _asunderness_ is _Schwere_, i.e. _gravity_ we add to the _[Process](#Process))_ the level:

$$
  \array{
     \stackrel{starre \atop Materie}{} & \rho(\e) &\stackrel{Aussereinander}{\dashv}& \rho(\rightsquigarrow) & \stackrel{Licht}{}
     \\
     \bot && \bot
     \\
     & \rho(\rightsquigarrow) &\stackrel{Schwere}{\dashv}& \rho(\,)
  }
$$

Notice that this fits well in [[11-dimensional supergravity]] (which by [PN§261](#PN261) is indeed the case at hand), where the bosonic part of the [[physical fields]] is the [[graviton]], which after [[KK-compactification]] becomes also [[light]] and the other bosonic [[force]] field, and the rest is the fermionic matter content resisting its gravitational collapse via the [[Pauli exclusion principle]].

##### Die spezifische Schwere

> PN§293 {#PN293} Die einfache, abstrakte Spezifikation ist die spezifische Schwere oder Dichtigkeit der Materie, ein Verhältnis des Gewichts der Masse zu dem Volumen, wodurch das Materielle als selbstisch sich von dem abstrakten Verhältnisse zum Zentralkörper, der allgemeinen Schwere, losreißt, aufhört, die gleichförmige Erfüllung des Raums zu sein, und dem abstrakten Außereinander ein spezifisches Insichsein entgegensetzt.

this being the first abstract determination, by comparison with the
previous stages it should be at the level of $\flat \dashv \sharp$.
In the Seinslogik this was the, the quantity/cardinality
"of points in space", which harmonizes with the suggestion of
specific weight.

> §294 Die Dichtigkeit ist nur erst einfache Bestimmtheit der schweren Materie; aber indem die Materie das wesentliche Außereinander bleibt, so ist die Formbestimmung weiter eine spezifische Weise der räumlichen Beziehung ihres Vielfachen aufeinander, - Kohäsion.

##### Die Kohäsion
 {#Kohaesion}


> PN§295 {#PN295} In der Kohäsion setzt die immanente Form eine andere Weise des räumlichen Nebeneinanderseins der materiellen Teile, als durch die Richtung der Schwere bestimmt ist. Diese somit spezifische Weise des Zusammenhalts des Materiellen ist erst am Verschiedenen überhaupt gesetzt, noch nicht zu in sich beschlossener Totalität (Gestalt) zurückgegangen; sie kommt somit nur gegen gleichfalls verschiedene, und kohärent verschiedene, Massen zur Erscheinung und zeigt sich daher als eine eigentümliche Weise des Widerstands im mechanischen Verhalten gegen andere Massen.

[[cohesion]]

> PN§296 {#PN296} Die eigentliche qualitative Kohäsion ist ein Zusammenhalten der homogenen Massen durch immanente, eigentümliche Form oder Begrenzung, welche sich hier als die abstrakten Dimensionen des Raums expliziert. Die eigentümliche Gestaltung kann nämlich keine andere sein als eine Weise bestimmter Räumlichkeit, die der Körper an sich zeichnet. Denn die Kohärenz ist die Identität des Körpers in seinem Außereinander, die qualitative Kohärenz ist also eine bestimmte Weise des Außereinanderseins, d. h. eine Raumdetermination. Diese Einheit ist in der individuellen Materie selbst, als ein Zusammenhalten gegen die allgemeine Einheit, welche sie in der Schwere sucht. Die Materie erhält jetzt nach vielerlei Seiten eigentümliche Richtungen in sich selbst, die von der nur vertikalen Richtung der Schwere verschieden sind. Diese Kohäsion, obgleich Individualität, ist aber zugleich noch bedingte Individualität, weil sie nur durch das Einwirken von anderen Körpern zum Vorschein kommt; sie ist noch nicht die freie Individualität als Gestalt, d. h. noch nicht die Individualität als Totalität ihrer durch sie gesetzten Formen. Die to
tale Gestalt nämlich ist da, mechanisch bestimmt, mit solchen Seiten und Winkeln. Hier aber ist der Charakter der Materie nur erst die innere Gestalt derselben, d. h. eben eine solche, die noch nicht in ihrer Bestimmtheit und Entwicklung da ist.

> {#PN297} PN§297 γ) Das Körperliche, gegen dessen Gewalt ein Körperliches im Nachgeben zugleich seine Eigentümlichkeit behauptet, ist ein anderes Körperindividuum. Aber als kohärent ist der Körper auch an ihm selbst außereinanderseiende Materialität, deren Teile, indem das Ganze Gewalt leidet, gegeneinander Gewalt ausüben und nachgeben, aber als ebenso selbständig die erlittene Negation aufheben und sich herstellen. Das Nachgeben und darin die eigentümliche Selbsterhaltung nach außen ist daher unmittelbar verknüpft mit diesem inneren Nachgeben und Selbsterhalten gegen sich selbst, die Elastizität.

> {#PN297Zusatz} PN§297Zusatz Die Elastizität ist die Kohäsion, die sich in der Bewegung darstellt, das Ganze der Kohäsion.

[[elasticity]]


> {#PN298} PN§298 Wenn hier und sonst von materiellen Teilen die Rede ist, so sind nicht Atome, noch Moleküle, d. h. nicht abgesondert für sich bestehende zu verstehen, sondern nur quantitativ oder zufällig unterschiedene, so daß ihre Kontinuität wesentlich von ihrer Unterschiedenheit nicht zu trennen ist; die Elastizität ist die Existenz der Dialektik dieser Momente selbst. Der Ort des Materiellen ist sein gleichgültiges bestimmtes Bestehen; die Idealität dieses Bestehens ist somit die als reelle Einheit gesetzte Kontinuität, d. i. daß zwei vorher außereinander bestehende materielle Teile, die also als in verschiedenen Orten befindlich vorzustellen sind, jetzt in einem und demselben Orte sich befinden. Es ist dies der Widerspruch, und er existiert hier materiell. Es ist derselbe Widerspruch, welcher der Zenonischen Dialektik der Bewegung zum Grunde liegt, nur daß er bei der Bewegung abstrakte Orte betrifft, hier aber materielle Orte, materielle Teile. In der Bewegung setzt sich der Raum zeitlich und die Zeit räumlich (§ 260); die Bewegung fällt in die Zenonische Antinomie, die unauflöslich ist, wenn die Orte als Raumpunkte und die Zeitmomente als Zeitpunkte isoliert werden, und die Auflösung der Antinomie, d. i. die Bewegung, ist nur so zu fassen, daß Raum und Zeit in sich kontinuierlich sind und der sich bewegende Körper in demselben Orte zugleich ist und nicht, d. i. zugleich in einem anderen ist, und ebenso derselbe Zeitpunkt zugleich ist und nicht, d. i. ein anderer zugleich ist.

[[Zeno's paradox of motion]] is what is resolved by modern [[analysis]], by the concept of the [[infinitesimal]], encoded by the [[reduction modality]] $\dashv$ [[infinitesimal shape modality]] $\&  \dashv \Im$

Hence "elasticity is the existence of the dialetic of these moments themselves" points to a [[unity of opposites]]

$\rho(\& ) \stackrel{Elastizitaet}{\dashv} \rho(\Im)$.

> Indem ein Körper sich im andern setzt und sie jetzt von einer gewissen Dichtigkeit sind, so wird erstens die spezifische Schwere dessen, in dem sich der andere setzt, verändert. Das zweite Moment ist das Widerstandleisten, das Negieren, das sich abstrakt Verhalten; das dritte ist, daß der Körper reagiert und den ersten von sich abstößt. Das sind die drei Momente, die als Weichheit, Härte und Elastizität bekannt sind.

hence we further label this [[unity of opposites]] as

$$
  \array{
    Weichheit & \rho(\& ) & \stackrel{Elastizitaet}{\dashv} & \rho(\Im) & Haerte
  }
$$

> {#PN298b} PN§298b So ist in der Elastizität der materielle Teil, Atom, Molekül, zugleich als affirmativ seinen Raum einnehmend, bestehend gesetzt, und ebenso zugleich nicht bestehend, - als Quantum, in einem als extensive Größe und als nur intensive Größe.

[[extensive and intensive quantity]]


##### Der Klang

> PN§300 {#PN300} Die spezifische Einfachheit der Bestimmtheit, welche der Körper in der Dichtigkeit und dem Prinzip seiner Kohäsion hat, diese zuerst innerliche Form, hindurchgegangen durch ihr Versenktsein in das materielle Außereinander, wird frei in der Negation des für sich Bestehens dieses seines Außereinanderseins. Es ist dies das Übergehen der materiellen Räumlichkeit in materielle Zeitlichkeit. Damit, daß diese Form so im Erzittern, d. i. durch die momentane ebenso Negation der Teile wie Negation dieser ihrer Negation, die aneinander gebunden eine durch die andere erweckt wird, und so, als ein Oszillieren des Bestehens und der Negation der spezifischen Schwere und Kohäsion, am Materiellen als dessen Idealität ist, ist die einfache Form für sich existierend und kommt als diese mechanische Seelenhaftigkeit zur Erscheinung.

> Die Geburt des Klanges ist schwer zu fassen. Das spezifische Insichsein, von der Schwere geschieden, ist, als hervortretend, der Klang; er ist die Klage des Ideellen in dieser Gewalt des Anderen, ebenso aber auch sein Triumph über dieselbe, indem es sich in ihr erhält. Der Klang hat zweierlei Weisen seiner Hervorbringung: α) durch Reibung, β) durch eigentliches Schwingen, Elastizität des Insichseins. Bei der Reibung ist auch dieses vorhanden, daß während ihrer Dauer eine Mannigfaltigkeit in eins gesetzt wird, indem die verschiedenen außereinander seienden Teile momentan in Berührung gebracht werden. Die Stelle eines jeden, somit seine Materialität, wird aufgehoben; sie stellt sich aber ebenso wieder her. Diese Elastizität ist es eben, die sich durch den Klang kundgibt.

Following the above, the [[cohesion]] and [[elasticity]] here is not so much that of actual physical bodies, but more of mathematical space itself (matter is the union of space and time anyway [PN§261](#PN261)). Viewed this way speaking of a "sound of space" here is precisely what modern mathematics does, in the discussion of _[[hearing the shape of a drum]]_, where it refers to the spectrum of [[Laplace operators]] on [[Riemannian manifolds]]. Now [[Riemannian geometry]] is an example of a [[Cartan geometry]], and Cartan geometry is one of the hallmark concepts formalized in [[differential cohesion]]. At the same time, followin [PN§298](#PN298) we think of differential cohesion as the formalization of Hegel's [[elasticity]].

Summing this up. Hegel's "sound" matches well with the structure of [[higher Cartan geometry]] formalized in [[differential cohesion]].

##### Die Wärme

#### Die Physik der totalen Individualität

##### Die Gestalt

##### Die Besonderheit des individuellen Körpers

##### Der chemische Prozeß

### Die Organik

#### A. Die geologische Natur


> {#PN338-341} PN§338 The first organism is the body of Earth. PN§339 The process of nature that leaves Earth in its independency are its solar, lunar and cometary life. PN§341 This crystal of life is the subject of a meteorological process by which it is fertilized to live. Land and sea blossom in an infinitude of points of puntual temporary life, immesurable phosphorescent points of life in the sea.


#### B. Die vegetabilische Natur

#### C. Der tierische Organismus


The last paragraph is

> In this way nature has passed over into its truth, into the subjectivity of the concept, whose objectivity is itself the suspended immediacy of individuality, the concrete generality, the concept which has the concept as its existence — into the spirit.

## **Die Philosophie des Geistes** / **Philosophy of Spirit**
 {#PhilosophyOfSpirit}


### Einleitung

### Begriff des Geistes

> PG§381 Der Geist hat für uns die Natur zu seiner Voraussetzung, deren Wahrheit und damit deren absolut Erstes er ist. In dieser Wahrheit ist die Natur verschwunden, und der Geist hat sich als die zu ihrem Fürsichsein gelangte Idee ergeben, deren Objekt ebensowohl als das Subjekt der Begriff ist. Diese Identität ist absolute Negativität, weil in der Natur der Begriff seine vollkommene äußerliche Objektivität hat, diese seine Entäußerung aber aufgehoben und er in dieser identisch mit sich geworden ist. Er ist diese Identität somit zugleich nur als Zurückkommen aus der Natur.

> PS§381 Spirit has for us nature as its presupposition, of which it is truth. In this truth, its concept, nature has disappeared; spirit has therefore produced itself as idea, of which the concept is both the object and the subject. This identity is absolute negativity, because in nature the concept has its completely external objectivity. But it has suspended its articulation, and in this it has become identical with itself. It is this identity only insofar as it is a return from nature.

> The essence of the spirit is therefore freedom, the identity of the absolute negativity of the concept with itself. It can distance itself from everything external and from its own externality as well as from its being, and thus bear infinite pain, the negation of its individual immediacy; in other words, it can be identical for itself in this negativity. This possibility is its self-contained being in itself its simple concept, or absolute generality itself.

The theme of the idea expressing itself via the spirit in nature is summarized well [here](#PSEJul14).

> PG§381 Das Wesen des Geistes ist deswegen formell die Freiheit

> § 384 Das Offenbaren, welches als das Offenbaren der abstrakten Idee unmittelbarer Übergang, Werden der Natur ist, ist als Offenbaren des Geistes, der frei ist, Setzen der Natur als seiner Welt; ein Setzen, das als Reflexion zugleich Voraussetzen der Welt als selbständiger Natur ist. Das Offenbaren im Begriffe ist Erschaffen derselben als seines Seins, in welchem er die Affirmation und Wahrheit seiner Freiheit sich gibt.

> Das Absolute ist der Geist, dies ist die höchste Definition des Absoluten. – Diese Definition zu finden und ihren Sinn und Inhalt zu begreifen, dies, kann man sagen, war die absolute Tendenz aller Bildung und Philosophie, auf diesen Punkt hat sich alle Religion und Wissenschaft gedrängt; aus diesem Drang allein ist die Weltgeschichte zu begreifen. – Das Wort und die Vorstellung des Geistes ist früh gefunden, und der Inhalt der christlichen Religion[29] ist, Gott als Geist zu erkennen zu geben. Dies, was hier der Vorstellung gegeben und was an sich das Wesen ist, in seinem eigenen Elemente, dem Begriffe, zu fassen, ist die Aufgabe der Philosophie, welche so lange nicht wahrhaft und immanent gelöst ist, als der Begriff und die Freiheit nicht ihr Gegenstand und ihre Seele ist.[30]


### Erste Abteilung. Der subjektive Geist

#### A. Die Seele -- Anthropologie

> {#PS308} PS§308 Spirit came into being as the truth of nature which has translated and suspended itself. But spirit is, then, not merely true and primordial: its transition into the realm of the concept is not only reflection into others and reflection into itself but it is also free judgment. The becoming of spirit in this way indicates that nature suspends itself in itself as untruth, and that spirit no longer presupposes itself as immediacy self-externalised in physical individuality, but as general and as that immediacy, simple in its concreteness, in which it is soul.


##### a. Natürliche Seele

> {#PS311} PS§311 Spirit as the abstract soul of nature is simple, sidereal, and terrestrial life. It is the [[nous]] of the ancients, the simple, unconscious thought, which (a) as this general essence is the inner idea and would have its reality in the underlying externality of nature. But since it, as soul, is immediate substance, its existence is the particularisation of its natural being, an immediate and natural determinacy, which has its presupposed reality in the individual earth.

##### b. Träumende Seele

##### c. Wirkliche Seele

> {#309} PN§308 Spirit came into being as the truth of nature which has translated and suspended itself. But spirit is, then, not merely true and primordial: its transition into the realm of the concept is not only reflection into others and reflection into itself but it is also free judgment. The becoming of spirit in this way indicates that nature suspends itself in itself as untruth, and that spirit no longer presupposes itself as immediacy self-externalised in physical individuality, but as general and as that immediacy, simple in its concreteness, in which it is soul.

#### B. Bewußtsein -- Phänomenologie



> {#PdGPreface15} PdGPreface15 Hence the important thing for the student of science is to make himself undergo the strenuous toil of conceptual reflection, of thinking in the form of the notion. This demands concentrated attention on the notion as such, on simple and ultimate determinations like being-in-itself, being-for-itself, self-identity, and so on; for these are elemental, pure, self-determined functions of a kind we might call souls, were it not that their conceptual nature denotes something higher than that term contains. The interruption by conceptual thought of the habit of always thinking in figurative ideas (Vorstellungen) is as annoying and troublesome to this way of thinking as to that process of formal intelligence which in its reasoning rambles about with no real thoughts to reason with. The former, the habit, may be called materialised thinking, a fortuitous mental state, one that is absorbed in what is material, and hence finds it very distasteful at once to lift its self clear of this matter and be with itself alone. The latter, the process of raisonnement, is, on the other hand, detachment from all content, and conceited superiority to it. What is wanted here is the effort and struggle to give up this kind of freedom, and instead of being a merely arbitrary principle directing the content anyhow, this freedom should sink into and pervade the content, should let it be directed and controlled by its own proper nature, i.e. by the self as its own self, and should observe this process taking place. We must abstain from interrupting the immanent rhythm of the movement of conceptual thought; we must refrain from arbitrarily interfering with it, and introducing ideas and reflections that have been obtained elsewhere. Restraint of this sort is itself an essential condition of attending to and getting at the real nature of the notion.

##### a. Bewußtsein als solches

##### b. Selbstbewußtsein

##### c. Vernunft

#### B. Geist -- Psychologie

##### a. Theoretischer Geist

> {#PS363} PS§363 Spirit has shown itself as the unity of the soul and consciousness, — the former a simple immediate totality, and the latter is knowledge which is not limited by any object, and no longer stands in relation to it, but is knowledge of the simple, neither subjective nor objective totality. Spirit originates, therefore, only from its own being, and only relates itself to its own determinations.


> {#PS356} PS§365 The progress of the spirit is development, because its existing phase, knowledge, involves consciousness in and for itself as the purpose or rationale. Thus the action of translating this purpose into reality is strictly only this formal transition into manifestation. Insofar as knowledge is infinite negativity, this translation in the concept is creativity in general. Insofar as knowledge is only abstract or formal, the spirit in it does not conform to its concept, and its purpose is to bring forth the absolute fulfilment and the absolute freedom of its knowledge.

> {#PS456b} PS§456b This common element is either any one particular side of the object raised to the form of universality, such as, for example, in the rose, the red colour; or the concrete universal, the genus, for example, in the rose, the plant;

[[concrete general]], see also at _[The genus](#TheGenus)_.


##### b. Praktischer Geist


###### $\alpha$. Praktisches Gefühl

###### $\beta$. Trieb

###### $\gamma$. Willkür und Glückseligkeit

### Zweite Abteilung. Der objektive Geist

#### A. Das Recht

#### B. Die Moralität

#### C. Die Sittlichkeit

### Dritte Abteilung. Der absolute Geist

> {#PS553} PS§553 The concept of the spirit has its reality in the spirit. If this reality is in completed identity with that concept as the knowledge of the absolute idea, then the necessary aspect is that the implicitly free intelligence liberates itself for its concept, in order for it to be a shape worthy of it. The subjective and the objective spirit can therefore be seen as the path on which this side of reality or existence forms itself (§ 304). Conversely, this path also has the significance that the subjective spirit is seen as the first entity which exists in its immediacy without the concept, grasps its essence and forms itself from there, and thereby reaches its free identity with the concept, its absolute reality.

#### A. Die Kunst

#### B. Die geoffenbarte Religion

#### C. Die Philosophie



> PG§574 Dieser Begriff der Philosophie ist die sich denkende Idee, die wissende Wahrheit (§ 236), das Logische mit der Bedeutung, daß es die im konkreten Inhalte als in seiner Wirklichkeit bewährte Allgemeinheit ist. Die Wissenschaft ist auf diese Weise in ihren Anfang zurückgegangen und das Logische so ihr Resultat als das Geistige, daß es aus dem voraussetzenden Urteilen, worin der Begriff nur an sich und der Anfang ein Unmittelbares war, hiermit aus der Erscheinung, die es darin an ihm hatte, in sein reines Prinzip zugleich als in sein Element sich erhoben hat.

return to the beginning

The second edition of the _Enzyklopädie der philos. Wiss._ from 1827 ends here. Later the following three paragraphs are added, concerning three kinds of _Schluß_.

> PG§575 Es ist dieses Erscheinen, welches zunächst die weitere Entwicklung begründet. Die erste Erscheinung macht der Schluß aus, welcher das Logische zum Grunde als Ausgangspunkt und die Natur zur Mitte hat, die den Geist mit demselben zusammenschließt. Das Logische wird zur Natur und die Natur zum Geiste. Die Natur, die zwischen dem Geiste und seinem Wesen steht, trennt sie zwar nicht zu Extremen endlicher Abstraktion, noch sich von ihnen zu einem Selbständigen, das als Anderes nur Andere zusammenschlösse; denn der Schluß ist in der Idee und die Natur wesentlich nur als Durchgangspunkt und negatives Moment bestimmt und an sich die Idee; aber die Vermittlung des Begriffs hat die äußerliche Form des Übergehens und die Wissenschaft die des Ganges der Notwendigkeit, so daß nur in dem einen Extreme die Freiheit des Begriffs als sein Zusammenschließen mit sich selbst gesetzt ist.


$$
  Logik \stackrel{Natur}{\longrightarrow} Geist
$$

> PG§576 Diese Erscheinung ist im zweiten Schlüsse insoweit aufgehoben, als dieser bereits der Standpunkt des Geistes selbst ist, welcher das Vermittelnde des Prozesses ist, die Natur voraussetzt und sie mit dem Logischen zusammenschließt. Es ist der Schluß der geistigen Reflexion in der Idee; die Wissenschaft erscheint als ein subjektives Erkennen, dessen Zwecks die Freiheit und es selbst der Weg ist, sich dieselbe hervorzubringen.

> §577 Der dritte Schluß ist die Idee der Philosophie, welche die sich wissende Vernunft, das Absolut-Allgemeine zu ihrer Mitte hat, die sich in Geist und Natur entzweit, jenen zur Voraussetzung als den Prozeß der subjektiven Tätigkeit der Idee und diese zum allgemeinen Extreme macht, als den Prozeß der an sich, objektiv, seienden Idee. Das Sich-Urteilen der Idee in die beiden Erscheinungen (§ 575/6) bestimmt dieselben als ihre (der sich wissenden Vernunft) Manifestationen, und es vereinigt sich in ihr, daß die Natur der Sache, der Begriff, es ist, die sich fortbewegt und entwickelt, und diese Bewegung ebensosehr die Tätigkeit des Erkennens ist, die ewige an und für sich seiende Idee sich ewig als absoluter Geist betätigt, erzeugt und genießt.[394]





## **References**

### General

Texts with background, introduction and survey include

* [[J.M. Ellis McTaggart]], _A Commentary on Hegel’s Logic_ Cambridge University Press, 1910 ([web](https://www.marxists.org/reference/archive/mctaggart/logic/))

* [[Paul Redding]],  [section 3.2](http://plato.stanford.edu/entries/hegel/#SciLog) of _Georg Wilhelm Friedrich Hegel_, The Stanford Encyclopedia of Philosophy (Winter 2013 Edition), Edward N. Zalta (ed.) ([web](http://plato.stanford.edu/archives/win2013/entries/hegel/))


* {#Houlgate06} [[Stephen Houlgate]], _The opening of Hegel's Logic_, Purdue University Press, 2006 ([pdf](http://www.magonzalezvalerio.com/Houlgate,%20Stephen%20%20-%20The%20Opening%20of%20Hegel%27s%20Logic_From%20Being%20to%20Infinity%20-%20Purdue%20University%20Press.pdf))

* {#HibbenLuft} John Grier Hibben, Eric v.d. Luft, _Hegel's Shorter Logic: An Introduction and Commentary_

* {#CarlsonMeasure} [[David Carlson]], _Hegel's theory of measure_ ([web](http://papers.ssrn.com/sol3/papers.cfm?abstract_id=413602))

* {#CarlsonActual} [[David Carlson]], _Hegel and what is actual_ ([pdf](http://www.hegel.net/carlson/Carlson2005-Hegel%20and%20What%20is%20Actual.pdf))

* [[Richard Dien Winfield]], _Lecture Course in Hegel's Science of Logic_ ([web](https://archive.org/details/LectureCourseInHegelsScienceOfLogic-RichardDienWinfield))


A quick survey of the theme of the idea expressing itself via the spirit in nature is in

* {#PSEJul14} musingsofacigarettesmokingman, _[P.SE comment](http://philosophy.stackexchange.com/a/14554/5473)_, July 2014

Further comments on Hegel's text include

* {#Heidegger58} [[Martin Heidegger]], _Hegel and the Greeks_, Conference of the Academy of Sciences at Heidelberg, July 26, 1958 ([web](http://www.morec.com/hegelgre.htm))

* {#Inwood1983} Inwood, _Hegel_, 1983

* {#Lambek82} [[Joachim Lambek]], _The Influence of Heraclitus on Modern Mathematics_, In _Scientific Philosophy Today: Essays in Honor of Mario Bunge_, edited by Joseph Agassi and Robert S Cohen, 111–21. Boston: D. Reidel Publishing Co.



### Mysticism

Texts amplifying the [[hermeticism]], [[gnosticism]] and [[mysticism]] of Hegel's system include

* {#Bauer35} Christian Bauer’s _Die christliche Gnosis_ (1835).

* {#Russell45} [[Bertrand Russell]], chapter 22 of _[[A History of Western Philosophy]]_ (1945)

* {#Copleston71} Frederick Copleston _Hegel and the Rationalization of Mysticism_, 1971.

* {#Magee01} [[Glenn Alexander Magee]], _Hegel and the Hermetic Tradition_, Cornell University Press, 2001 ([introduction html](https://www.marxists.org/reference/subject/philosophy/works/en/magee.htm))

* {#Stanfield14} Phil Stanfield, _Hegel, Mystic_, 2014 ([part I](http://philipstanfield.com/2014/09/22/hegel-mystic/), [part II](http://philipstanfield.com/2014/09/23/hegel-mystic-part-two/), [part III](http://philipstanfield.com/2014/09/24/hegel-mystic-part-three-2/))

Hegel himself expands on the relation of the _Science of Logic_ to the [[Tao Te Ching]] in

* {#Hegel27} [[Georg Hegel]], _[[Lectures on the Philosophy of Religion]]_, Volume II: Determinate Religion. Edited by Peter C. Hodgson; translated by R.F. Brown, P.C. Hodgson, and J.M. Stewart, with the assistance of J.P. Fitzer and H.S. Harris. Berkeley: University of California Press, 1995 (orig. 1987). (Translation of: Vorlesungen über die Philosophie der Religion.)  This extract (pp. 556-561) is from the Lectures of 1827; A. Immediate Religion, or Nature Religion; 1. The Religion of Magic; c. The State Religion of the Chinese Empire and the Dao. ([web](http://www.autodidactproject.org/quote/hegel-tao1.html))


### Relation to Logic, Mathematics and Physics

Comments on the general aim of a fundamental logic based on [[dialectic]] are in

* {#Wandschneider99} [[Dieter Wandschneider]], _Dialektik als Letztbegründung der Logik_, in Koreanische Hegelgesellschaft (ed.), _Festschrift für Sok-Zin Lim_ Seoul 1999, 255–278 ([pdf](http://www.philosophie.rwth-aachen.de/global/show_document.asp?id=aaaaaaaaaabpltw))

Related discussion in view of [[infinitesimals]] is in

* {#Cohen83} [[Hermann Cohen]], _Das Prinzip der Infinitesimal-Methode und seine Geschichte_ , Berlin 1883. ([html](http://www.gleichsatz.de/b-u-t/archiv/Cohen/hc-infinit1.html))


Reflections by [[David Hilbert]] on the claim that laws of physics may follow from pure concepts, in view of more modern developments in physics, are reproduced around pages 417, 423 of

* {#SauerMajer09} [[Tilman Sauer]], [[Ulrich Majer]] with  Arne Schirrmacher, Heinz-Jürgen Schmidt (eds.), _David Hilbert’s "Lectures on the foundations of physics"_, 1915-1927 : relativity, quantum theory and epistemology, Springer 2009


Comments on the similarity of Hegel's physics to aspects of [[general relativity]] are in

* {#Wandschneider82} [[Dieter Wandschneider]], _Raum, Zeit, Relativität_, 1982 [web](http://www.klostermann.de/Wandschneider-Raum-Zeit-Relativitaet)

and the idea of matter emerging from space and time has apparently influenced

* {#Weyl19} [[Hermann Weyl]], _Raum, Zeit, Materie_, 1919 ([web](https://archive.org/details/raumzeitmateriev00weyl))





### Concept logic as Type theory
 {#ReferencesConceptLogicAsTypeTheory}

The idea that the [[types]] in [[type theory]] are (mathematical) _concepts_ or _notions_ (i.e. "Begriffe", as in the [formalization dictionary](#Dictionary) above ) is arguably implicit in the original

* {#MartinLoef73} [[Per Martin-Löf]], _An intuitionistic theory of types: predicative part_, In Logic Colloquium (1973), ed. H. E. Rose and J. C. Shepherdson (North-Holland, 1974), 73-118. ([web](http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.131.926))

where it says in section 1.1:

> Every mathematical object is of a certain type [...] a type is well defined if we understand (or _grasp_ to use a word favoured by Kreisel 1970) what it means to be an object of that type.

and

* {#MartinLoef90} [[Per Martin-Löf]], _A path from logic to metaphysics_, talk at _Nuovi problemi della logica e della filosofia della scienza_, Jan 1990 ([pdf](https://github.com/michaelt/martin-lof/raw/master/pdfs/A-path-from-logic-to-metaphysics-1991.pdf))

where it says on p. 1 (to be read with [[propositions as types]] in mind):

> ...by saying that a concept has existence, I mean that there exists an object which falls under the concept. So to say that a proposition is true is the same as to say that the concept 'proof of the proposition' has existence...

and

* {#MartinLoef93} [[Per Martin-Löf]], _Philosophical aspects of intuitionistic type theory_, unpublished lectures given at the Faculteit der Wijsbegeerte, Rijksuniversiteit, Leiden, Sept-Dec 1993,

where he was recorded as saying

> There is no question of talking of an object of type $\alpha$ unless $\alpha$ is a type, so the $\alpha$, the type, must come before $a$, come before the object, in this conceptual order. As $\alpha$ here is the universal general concept under which $a$, the object $a$, falls, the conclusion is that in the conceptual order the general concept, the universale, is prior to the object which falls under it. (Cited in P. Boldini, _Des catégories aux types : un itinéraire en mathématiques appliquées_, [pdf](http://pboldini.free.fr/Papers/mathmu.pdf), p. 13-14).

The explicit statement "a type is a concept"  appears for instance (referring both to types of mathematical objects as well as to [[data types]] in [[computer science]]) in:

* {#Sale77} [[Arthur Sale]], _Primitive data types_, The Australian Computer Journal, Vol. 9, No. 2, July 1977 ([pdf](http://eprints.utas.edu.au/139/1/PrimitiveData.pdf))

The explicit statement "a type is a 'mathematical' concept" appears on p. 6 of

* {#Sergeraert94} [[Francis Sergeraert]], _The computability problem in algebraic topology_, Advances in mathematics 104, 1-29, 1994 [pdf](http://www-fourier.ujf-grenoble.fr/~sergerar/Papers/Advances.pdf)

and with explicit reference to [[type theory]] in

* {#Primiero08} [[Giuseppe Primiero]], _Information and knowledge: A constructive type-theoretical approach_, Springer (2008)

where it says on page 129:

>_Types are general concepts_: This statement represents the main conceptual
basis of the whole idea of using CTT [constructive type theory] as a language to formalize knowledge processes.

as well as

* {#Asher11} [[Nicholas Asher]], _A Web of Words, Lexical Meaning in Context_, Cambridge University Press (2011) ([pdf](http://www.phil.pku.edu.cn/cllct/ann_attachments/asher_webofwords.pdf))

where it says on pages 37/38:

> $[...]$ this leads us to the hypothesis that types are concepts.

With explicit reference to [[homotopy type theory]] the proposal that "type" should be read as a "concept"  is voiced in

* {#LadymanPresnel14} [[James Ladyman]], [[Stuart Presnell]], _Does Homotopy Type Theory Provide a Foundation for Mathematics?_, British Journal for the Philosophy of Science axw006 2014 ([PhilArchive](http://philsci-archive.pitt.edu/11143/), [doi.org/10.1093/bjps/axw006 ](https://doi.org/10.1093/bjps/axw006))

Hence the types of type theory may be thought of as a formalization of concepts. On the other hand, concepts have famously been identified with the [[predicates]] in [[Aristotelian logic]]:

> {#Kant1871A69B94} _Concepts ... serve as predicates of possible judgements._ ([[Critique of Pure Reason]] A69/B94)


### Formalizations
 {#ReferencesFormalizations}

Proposals for formalizing some of Hegel's thoughts in terms of [[algebra]] may be identified in

* {#Grassmann1844} [[Hermann Grassmann]], _[[Ausdehnungslehre]]_, 1844

and, apparently following this, according to

* {#Lawvere95} [[William Lawvere]], _A new branch of mathematics, “The Ausdehnungslehre of 1844,” and other works. Open Court (1995), Translated by Lloyd C. Kannenberg, with foreword by Albert C. Lewis_, _Historia Mathematica Volume 32, Issue 1, February 2005, Pages 99–106_ ([publisher](http://www.sciencedirect.com/science/article/pii/S031508600400059X))

proposals for formalization of Hegel's [[objective logic]] in [[categorical logic]] have been put forward by [[William Lawvere]] in several places, for instance in

* {#LawvereComo} {#Lawvere91} [[nLab:William Lawvere]], _[[nLab:Some Thoughts on the Future of Category Theory]]_ in A. Carboni, M. Pedicchio, G. Rosolini, _Category Theory_  , [[nLab:Como|Proceedings of the International Conference held in Como]], Lecture Notes in Mathematics 1488, Springer (1991)


* {#LawvereLauterEinsen} [[William Lawvere]], _[[Cohesive Toposes and Cantor's "lauter Einsen"]]_

* {#Lawvere94b} [[William Lawvere]], _[[Tools for the advancement of objective logic]]: closed categories and toposes_, in J. Macnamara and [[Gonzalo Reyes]] (Eds.), _The Logical Foundations of Cognition_, Oxford University Press 1993 (Proceedings of the Febr. 1991 Vancouver Conference "Logic and Cognition"),
pages 43-56, 1994.

* {#LawvereMotion} [[William Lawvere]] _[[Toposes of laws of motion]]_ , transcript of a talk in Montreal, Sept. 1997 ([pdf](http://www.acsu.buffalo.edu/~wlawvere/ToposMotion.pdf))

* {#Lawvere92} [[William Lawvere]], _Categories of space and quantity_ in J. Echeverria et al (eds.), _The Space of mathematics_ , de Gruyter, Berlin, New York, pages 14-30, 1992.

Related commentary is in

* {#Rodin14} [[Andrei Rodin]], section 5.8 _Categorical Logic and Hegelian Dialectics_ of _Axiomatic Method and Category Theory_ ([arXiv:1210.1478](http://arxiv.org/abs/1210.1478)), Springer 1914

Discussion of formalization of the topics of the "subjective logic" within [[type theory]] include

* {#MartinLoef96} [[Per Martin-Löf]], _On the Meanings of the Logical Constants and the Justifications of the Logical Laws_, Nordic Journal of Philosophical Logic, 1(1): 11–60, 1996, ([pdf](http://docenti.lett.unisi.it/files/4/1/1/6/martinlof4.pdf))

which gives a detailed discussion of the term [[judgement]] as used  in the history  [[philosophy]] and then in [[type theory]].


Texts on [[foundations of mathematics]] which comment on the circularity (or not) of foundations include

* {#Trimble13} [[Todd Trimble]], _[[toddtrimble:Notes on predicate logic]]_, 2013

The formalization of _Schluss_ by [[natural deduction]] originates in

* {#Gentzen35} [[Gerhard Gentzen]], _Untersuchungen über das logische Schließen_, _Mathematische Zeitschrift_ 39(1), Springer-Verlag 1935. <http://dx.doi.org/10.1007/BF01201353> (English translation _Investigations into Logical Deduction_ in Szabo)

Further references referred to in the context of the formalization discussed [above](#FormalizationText) include the following:

* {#BunkeNikolausVoelkl13} [[nLab:Ulrich Bunke]], [[nLab:Thomas Nikolaus]], [[nLab:Michael Völkl]], _Differential cohomology theories as sheaves of spectra_, Journal of Homotopy and Related Structures, October 2014 ([arXiv:1311.3188](http://arxiv.org/abs/1311.3188))

* {#FSS} [[nLab:Domenico Fiorenza]], [[nLab:Hisham Sati]], [[nLab:Urs Schreiber]], _[[schreiber:The brane bouquet|Super Lie n-algebra extensions, higher WZW models and super p-branes with tensor multiplet fields]]_, Volume 12, Issue 02 (2015) 1550018

* {#Johnstone02} [[nLab:Peter Johnstone]], _[[nLab:Sketches of an Elephant|Sketches of an Elephant -- A Topos Theory Compendium]], Oxford 2002.

* {#Lawvere07} [[nLab:William Lawvere]], _Axiomatic cohesion_ Theory and Applications of Categories, Vol. 19, No. 3, 2007, pp. 41–49. ([web](http://www.tac.mta.ca/tac/volumes/19/3/19-03abs.html), [pdf](http://www.tac.mta.ca/tac/volumes/19/3/19-03.pdf))

* {#NSS} [[nLab:Thomas Nikolaus]], [[nLab:Urs Schreiber]], [[nLab:Danny Stevenson]], _[[schreiber:Principal ∞-bundles -- theory, presentations and applications|Principal ∞-Bundles -- General theory]]_, Journal of Homotopy and Related Structures, June 2014 ([arXiv:1207.0248](http://arxiv.org/abs/1207.0248))

* {#dcct} [[nLab:Urs Schreiber]], _[[schreiber:differential cohomology in a cohesive topos]]_


* {#PalmeReyesMacnamaraReyes94} [[Marie La Palme Reyes]], John Macnamara, [[Gonzalo Reyes]] , _Functoriality and Grammatical Role in Syllogisms_ , Notre Dame J. Formal Logic **35** no.1 (1994) pp.41-66. ([Euclid](http://projecteuclid.org/euclid.ndjfl/1040609293), [pdf](http://projecteuclid.org/download/pdf_1/euclid.ndjfl/1040609293))

* {#Pagnan10} Ruggero Pagnan, _A diagrammatic calculus of syllogisms_, Journal of Logic, Language and Information July 2012, Volume 21, Issue 3, pp 347-364 ([arXiv:1001.1707](http://arxiv.org/abs/1001.1707))


* {#Shulman12a} [[nLab:Michael Shulman]], _Univalence for inverse diagrams and homotopy canonicity_, Mathematical Structures in Computer Science, 2014 ([arXiv:1203.3253](http://arxiv.org/abs/1203.3253))

* {#Shulman12b} [[nLab:Mike Shulman]], _Inductive and higher inductive types_ (2012) ([pdf](https://home.sandiego.edu/~shulman/hottminicourse2012/04induction.pdf))


* {#Shulman14} [[nLab:Michael Shulman]], _[[homotopytypetheory:model of type theory in an (infinity,1)-topos]]_

* {#UFP13} [[nLab:Univalent Foundations Project]], _[[nLab:Homotopy Type Theory -- Univalent Foundations of Mathematics]]_, 2013

